/*===========================================================================*/
/*   (Ast/sexp.scm)                                                          */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/sexp.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_lambdazd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static bool_t BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	static obj_t BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3z04exitza31537ze3ze70z60zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_ifzd2symzd2zzast_sexpz00();
	static obj_t BGl_toplevelzd2initzd2zzast_sexpz00();
	BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_sexpz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_addzd2staticzd2pragmaz12z12zzast_pragmaz00(BgL_nodez00_bglt);
	extern bool_t BGl_privatezd2sexpzf3z21zzast_privatez00(obj_t);
	static obj_t BGl_objectzd2initzd2zzast_sexpz00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_privatezd2nodezd2zzast_privatez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_labelszd2symzf3z21zzast_labelsz00(obj_t);
	extern obj_t BGl_labelszd2symzd2zzast_labelsz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2containszd2zz__r4_strings_6_7z00(obj_t, obj_t,
		int);
	extern obj_t BGl_castzd2sexpzd2typez00zzast_privatez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	static obj_t BGl_za2cachezd2resza2zd2zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	extern obj_t BGl_letzd2symzf3z21zzast_letz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2refzf2srczd2ze3nodezc3zzast_sexpz00
		(BgL_globalz00_bglt, BgL_nodez00_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_sexpz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
	static obj_t BGl_liipze70ze7zzast_sexpz00(obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
	static BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2refzf2srczd2ze3nodeza1zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern BgL_nodez00_bglt BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t,
		obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_castzd2sexpzf3z21zzast_privatez00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza31544ze3ze5zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_sexpz00();
	BGL_EXPORTED_DECL obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00();
	static obj_t BGl_gczd2rootszd2initz00zzast_sexpz00();
	static obj_t BGl_z62zc3z04anonymousza31545ze3ze5zzast_sexpz00(obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_za2sitesza2z00zzast_sexpz00 = BUNSPEC;
	static obj_t BGl_notzd2testzd2zzast_sexpz00(obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	static obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_letzd2symzd2zzast_letz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza36980ze3ze5zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt, obj_t, obj_t);
	static obj_t BGl_za2ifza2z00zzast_sexpz00 = BUNSPEC;
	extern BgL_letzd2funzd2_bglt BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	static obj_t BGl_loopze70ze7zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	static bool_t BGl_usedzd2inzf3z21zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_letrecza2zd2ze3nodez93zzast_letz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern BgL_feffectz00_bglt BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static obj_t BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	static obj_t __cnst[49];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_topzd2levelzd2sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762topza7d2levelza7d7521za7,
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpza2zd2ze3nodezd2envz41zzast_sexpz00,
		BgL_bgl_za762sexpza7a2za7d2za7e37522z00,
		BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refzf2srczd2ze3nodezd2envz11zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim7523z00,
		BGl_z62definezd2primopzd2refzf2srczd2ze3nodeza1zzast_sexpz00, 0L, BUNSPEC,
		3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim7524z00,
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_errorzd2sexpzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762errorza7d2sexpza77525za7,
		BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string7500z00zzast_sexpz00,
		BgL_bgl_string7500za700za7za7a7526za7, "Illegal `()' expression", 23);
	      DEFINE_STRING(BGl_string7501z00zzast_sexpz00,
		BgL_bgl_string7501za700za7za7a7527za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string7502z00zzast_sexpz00,
		BgL_bgl_string7502za700za7za7a7528za7, "Illegal formal argument", 23);
	      DEFINE_STRING(BGl_string7503z00zzast_sexpz00,
		BgL_bgl_string7503za700za7za7a7529za7, "Illegal `lambda' form", 21);
	      DEFINE_STRING(BGl_string7504z00zzast_sexpz00,
		BgL_bgl_string7504za700za7za7a7530za7,
		"Backend (~a) does not support external first class function", 59);
	      DEFINE_STRING(BGl_string7505z00zzast_sexpz00,
		BgL_bgl_string7505za700za7za7a7531za7, "Illegal pragma/effect", 21);
	      DEFINE_STRING(BGl_string7506z00zzast_sexpz00,
		BgL_bgl_string7506za700za7za7a7532za7, "Illegal free-pragma/effect", 26);
	      DEFINE_STRING(BGl_string7507z00zzast_sexpz00,
		BgL_bgl_string7507za700za7za7a7533za7, "Illegal lambda", 14);
	      DEFINE_STRING(BGl_string7508z00zzast_sexpz00,
		BgL_bgl_string7508za700za7za7a7534za7, "Illegal empty sequence", 22);
	      DEFINE_STRING(BGl_string7509z00zzast_sexpz00,
		BgL_bgl_string7509za700za7za7a7535za7, "Illegal mutation", 16);
	BGL_IMPORT obj_t BGl_expzd2envzd2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string7510z00zzast_sexpz00,
		BgL_bgl_string7510za700za7za7a7536za7, "($1)", 4);
	      DEFINE_STRING(BGl_string7511z00zzast_sexpz00,
		BgL_bgl_string7511za700za7za7a7537za7, "<@", 2);
	      DEFINE_STRING(BGl_string7512z00zzast_sexpz00,
		BgL_bgl_string7512za700za7za7a7538za7, ":", 1);
	      DEFINE_STRING(BGl_string7513z00zzast_sexpz00,
		BgL_bgl_string7513za700za7za7a7539za7, "./", 2);
	      DEFINE_STRING(BGl_string7514z00zzast_sexpz00,
		BgL_bgl_string7514za700za7za7a7540za7, "@>", 2);
	      DEFINE_STRING(BGl_string7515z00zzast_sexpz00,
		BgL_bgl_string7515za700za7za7a7541za7, ">", 1);
	      DEFINE_STRING(BGl_string7516z00zzast_sexpz00,
		BgL_bgl_string7516za700za7za7a7542za7, "-", 1);
	      DEFINE_STRING(BGl_string7517z00zzast_sexpz00,
		BgL_bgl_string7517za700za7za7a7543za7, "ast_sexp", 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ifzd2symzd2envz00zzast_sexpz00,
		BgL_bgl_za762ifza7d2symza7b0za7za77544za7, BGl_z62ifzd2symzb0zzast_sexpz00,
		0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string7518z00zzast_sexpz00,
		BgL_bgl_string7518za700za7za7a7545za7,
		"not mutex @> bdb anonymous location pragma::obj (@ __evmeaning_address foreign) (@ define-primop! __evenv) at (@ define-primop-ref/loc! __evenv) (@ define-primop-ref! __evenv) write car exp app cons :prelock apply synchronize jump-exit set-exit case failure free-pragma/effect static-pragma free-pragma pragma/effect letrec* labels letrec let define begin -> __r4_control_features_6_9 quote @ eval bool test set! pragma else (quote ()) lambda value if (value apply app set! test) ",
		480);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2anonymouszd2namezd2envzd2zzast_sexpz00,
		BgL_bgl_za762makeza7d2anonym7546z00, va_generic_entry,
		BGl_z62makezd2anonymouszd2namez62zzast_sexpz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2localzd2envz00zzast_sexpz00,
		BgL_bgl_za762findza7d2localza77547za7, BGl_z62findzd2localzb0zzast_sexpz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_locationzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762locationza7d2za7e7548za7,
		BGl_z62locationzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762sexpza7d2za7e3nod7549za7,
		BGl_z62sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string7484z00zzast_sexpz00,
		BgL_bgl_string7484za700za7za7a7550za7, "Illegal `application' form", 26);
	      DEFINE_STRING(BGl_string7485z00zzast_sexpz00,
		BgL_bgl_string7485za700za7za7a7551za7, "Illegal `case' form", 19);
	      DEFINE_STRING(BGl_string7486z00zzast_sexpz00,
		BgL_bgl_string7486za700za7za7a7552za7, "Illegal `failure' form", 22);
	      DEFINE_STRING(BGl_string7487z00zzast_sexpz00,
		BgL_bgl_string7487za700za7za7a7553za7, "Illegal `static-pragma' expression",
		34);
	      DEFINE_STRING(BGl_string7488z00zzast_sexpz00,
		BgL_bgl_string7488za700za7za7a7554za7, "anonymous", 9);
	      DEFINE_STRING(BGl_string7489z00zzast_sexpz00,
		BgL_bgl_string7489za700za7za7a7555za7, "Illegal `define' form", 21);
	      DEFINE_STRING(BGl_string7490z00zzast_sexpz00,
		BgL_bgl_string7490za700za7za7a7556za7, "illegal `define' expression", 27);
	      DEFINE_STRING(BGl_string7491z00zzast_sexpz00,
		BgL_bgl_string7491za700za7za7a7557za7, "Illegal `set!' form", 19);
	      DEFINE_STRING(BGl_string7492z00zzast_sexpz00,
		BgL_bgl_string7492za700za7za7a7558za7, "Read-only variable", 18);
	      DEFINE_STRING(BGl_string7493z00zzast_sexpz00,
		BgL_bgl_string7493za700za7za7a7559za7, "illegal `set!' expression", 25);
	      DEFINE_STRING(BGl_string7494z00zzast_sexpz00,
		BgL_bgl_string7494za700za7za7a7560za7, "Illegal ->", 10);
	      DEFINE_STRING(BGl_string7495z00zzast_sexpz00,
		BgL_bgl_string7495za700za7za7a7561za7, "Illegal `if' form", 17);
	      DEFINE_STRING(BGl_string7496z00zzast_sexpz00,
		BgL_bgl_string7496za700za7za7a7562za7, "Illegal `quote' expression", 26);
	      DEFINE_STRING(BGl_string7497z00zzast_sexpz00,
		BgL_bgl_string7497za700za7za7a7563za7, "Illegal `@' expression", 22);
	      DEFINE_STRING(BGl_string7498z00zzast_sexpz00,
		BgL_bgl_string7498za700za7za7a7564za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string7499z00zzast_sexpz00,
		BgL_bgl_string7499za700za7za7a7565za7, "Illegal atom in s-expression", 28);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_usezd2variablez12zd2envz12zzast_sexpz00,
		BgL_bgl_za762useza7d2variabl7566z00,
		BGl_z62usezd2variablez12za2zzast_sexpz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim7567z00,
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2cachezd2nameza2zd2zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2cachezd2resza2zd2zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2sitesza2z00zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2ifza2z00zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2cachezd2stackza2zd2zzast_sexpz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long
		BgL_checksumz00_14300, char *BgL_fromz00_14301)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_sexpz00))
				{
					BGl_requirezd2initializa7ationz75zzast_sexpz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_sexpz00();
					BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
					BGl_cnstzd2initzd2zzast_sexpz00();
					BGl_importedzd2moduleszd2initz00zzast_sexpz00();
					return BGl_toplevelzd2initzd2zzast_sexpz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00()
	{
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "ast_sexp");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_sexpz00()
	{
		{	/* Ast/sexp.scm 14 */
			{	/* Ast/sexp.scm 14 */
				obj_t BgL_cportz00_14288;

				{	/* Ast/sexp.scm 14 */
					obj_t BgL_stringz00_14296;

					BgL_stringz00_14296 = BGl_string7518z00zzast_sexpz00;
					{	/* Ast/sexp.scm 14 */
						obj_t BgL_startz00_14297;

						BgL_startz00_14297 = BINT(((long) 0));
						{	/* Ast/sexp.scm 14 */
							obj_t BgL_endz00_14298;

							BgL_endz00_14298 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_14296)));
							{	/* Ast/sexp.scm 14 */

								BgL_cportz00_14288 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_14296, BgL_startz00_14297, BgL_endz00_14298);
				}}}}
				{
					long BgL_iz00_14289;

					BgL_iz00_14289 = ((long) 48);
				BgL_loopz00_14290:
					if ((BgL_iz00_14289 == ((long) -1)))
						{	/* Ast/sexp.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/sexp.scm 14 */
							{	/* Ast/sexp.scm 14 */
								obj_t BgL_arg7520z00_14292;

								{	/* Ast/sexp.scm 14 */

									{	/* Ast/sexp.scm 14 */
										obj_t BgL_locationz00_14294;

										BgL_locationz00_14294 = BBOOL(((bool_t) 0));
										{	/* Ast/sexp.scm 14 */

											BgL_arg7520z00_14292 =
												BGl_readz00zz__readerz00(BgL_cportz00_14288,
												BgL_locationz00_14294);
										}
									}
								}
								{	/* Ast/sexp.scm 14 */
									int BgL_tmpz00_14339;

									BgL_tmpz00_14339 = (int) (BgL_iz00_14289);
									CNST_TABLE_SET(BgL_tmpz00_14339, BgL_arg7520z00_14292);
							}}
							{	/* Ast/sexp.scm 14 */
								int BgL_auxz00_14295;

								BgL_auxz00_14295 = (int) ((BgL_iz00_14289 - ((long) 1)));
								{
									long BgL_iz00_14344;

									BgL_iz00_14344 = (long) (BgL_auxz00_14295);
									BgL_iz00_14289 = BgL_iz00_14344;
									goto BgL_loopz00_14290;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_sexpz00()
	{
		{	/* Ast/sexp.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_sexpz00()
	{
		{	/* Ast/sexp.scm 14 */
			BGl_za2sitesza2z00zzast_sexpz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2ifza2z00zzast_sexpz00 =
				BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 1)));
			BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BFALSE;
			BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BFALSE;
			return (BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE, BUNSPEC);
		}

	}



/* top-level-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_17,
		obj_t BgL_locz00_18)
	{
		{	/* Ast/sexp.scm 66 */
			return
				((BgL_nodez00_bglt)
				BGl_zc3z04exitza31537ze3ze70z60zzast_sexpz00(BgL_locz00_18,
					BgL_expz00_17));
		}

	}



/* <@exit:1537>~0 */
	obj_t BGl_zc3z04exitza31537ze3ze70z60zzast_sexpz00(obj_t BgL_locz00_14286,
		obj_t BgL_expz00_14285)
	{
		{	/* Ast/sexp.scm 67 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1109z00_1743;

			if (SET_EXIT(BgL_an_exit1109z00_1743))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1109z00_1743 = (void *) jmpbuf;
					{	/* Ast/sexp.scm 67 */
						obj_t BgL_env1113z00_1744;

						BgL_env1113z00_1744 = BGL_CURRENT_DYNAMIC_ENV();
						PUSH_ENV_EXIT(BgL_env1113z00_1744, BgL_an_exit1109z00_1743,
							((long) 1));
						{	/* Ast/sexp.scm 67 */
							obj_t BgL_an_exitd1110z00_1745;

							BgL_an_exitd1110z00_1745 =
								BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1113z00_1744);
							{	/* Ast/sexp.scm 67 */
								obj_t BgL_res1112z00_1748;

								{	/* Ast/sexp.scm 70 */
									obj_t BgL_zc3z04anonymousza31545ze3z87_14228;
									obj_t BgL_zc3z04anonymousza31544ze3z87_14229;

									BgL_zc3z04anonymousza31545ze3z87_14228 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31545ze3ze5zzast_sexpz00,
										(int) (((long) 0)), (int) (((long) 2)));
									BgL_zc3z04anonymousza31544ze3z87_14229 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31544ze3ze5zzast_sexpz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3z04anonymousza31545ze3z87_14228,
										(int) (((long) 0)), BgL_expz00_14285);
									PROCEDURE_SET(BgL_zc3z04anonymousza31545ze3z87_14228,
										(int) (((long) 1)), BgL_locz00_14286);
									PROCEDURE_SET(BgL_zc3z04anonymousza31544ze3z87_14229,
										(int) (((long) 0)), BgL_an_exitd1110z00_1745);
									BgL_res1112z00_1748 =
										BGl_withzd2exceptionzd2handlerz00zz__errorz00
										(BgL_zc3z04anonymousza31544ze3z87_14229,
										BgL_zc3z04anonymousza31545ze3z87_14228);
								}
								POP_ENV_EXIT(BgL_env1113z00_1744);
								return BgL_res1112z00_1748;
							}
						}
					}
				}
		}

	}



/* &top-level-sexp->node */
	BgL_nodez00_bglt BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_14230, obj_t BgL_expz00_14231, obj_t BgL_locz00_14232)
	{
		{	/* Ast/sexp.scm 66 */
			return
				BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_14231,
				BgL_locz00_14232);
		}

	}



/* &<@anonymous:1545> */
	obj_t BGl_z62zc3z04anonymousza31545ze3ze5zzast_sexpz00(obj_t BgL_envz00_14233)
	{
		{	/* Ast/sexp.scm 72 */
			{	/* Ast/sexp.scm 73 */
				obj_t BgL_expz00_14234;
				obj_t BgL_locz00_14235;

				BgL_expz00_14234 = PROCEDURE_REF(BgL_envz00_14233, (int) (((long) 0)));
				BgL_locz00_14235 = PROCEDURE_REF(BgL_envz00_14233, (int) (((long) 1)));
				return
					((obj_t)
					BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_14234, BNIL,
						BgL_locz00_14235, CNST_TABLE_REF(((long) 2))));
		}}

	}



/* &<@anonymous:1544> */
	obj_t BGl_z62zc3z04anonymousza31544ze3ze5zzast_sexpz00(obj_t BgL_envz00_14236,
		obj_t BgL_ez00_14238)
	{
		{	/* Ast/sexp.scm 69 */
			{	/* Ast/sexp.scm 70 */
				obj_t BgL_an_exitd1110z00_14237;

				BgL_an_exitd1110z00_14237 =
					PROCEDURE_REF(BgL_envz00_14236, (int) (((long) 0)));
				BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_14238);
				return
					unwind_stack_until(BgL_an_exitd1110z00_14237, BFALSE, BUNSPEC, BFALSE,
					BFALSE);
			}
		}

	}



/* if-sym */
	BGL_EXPORTED_DEF obj_t BGl_ifzd2symzd2zzast_sexpz00()
	{
		{	/* Ast/sexp.scm 88 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}

	}



/* &if-sym */
	obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t BgL_envz00_14239)
	{
		{	/* Ast/sexp.scm 88 */
			return BGl_ifzd2symzd2zzast_sexpz00();
		}

	}



/* proc-or-lambda? */
	bool_t BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(obj_t BgL_ez00_20)
	{
		{	/* Ast/sexp.scm 100 */
			if (SYMBOLP(BgL_ez00_20))
				{	/* Ast/sexp.scm 101 */
					return ((bool_t) 1);
				}
			else
				{	/* Ast/sexp.scm 101 */
					if (PAIRP(BgL_ez00_20))
						{	/* Ast/sexp.scm 101 */
							if ((CAR(BgL_ez00_20) == CNST_TABLE_REF(((long) 3))))
								{	/* Ast/sexp.scm 101 */
									obj_t BgL_tmpz00_14392;

									BgL_tmpz00_14392 = CDR(BgL_ez00_20);
									return PAIRP(BgL_tmpz00_14392);
								}
							else
								{	/* Ast/sexp.scm 101 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* Ast/sexp.scm 101 */
							return ((bool_t) 0);
						}
				}
		}

	}



/* sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t
		BgL_expz00_21, obj_t BgL_stackz00_22, obj_t BgL_locz00_23,
		obj_t BgL_sitez00_24)
	{
		{	/* Ast/sexp.scm 114 */
		BGl_sexpzd2ze3nodez31zzast_sexpz00:
			{
				obj_t BgL_atomz00_1770;
				obj_t BgL_lz00_1775;
				obj_t BgL_bodyz00_1779;
				obj_t BgL_lz00_1784;
				obj_t BgL_valz00_1785;
				obj_t BgL_bodyz00_1789;
				obj_t BgL_argsz00_1790;
				obj_t BgL_bindingsz00_1792;
				obj_t BgL_exprz00_1793;
				obj_t BgL_varz00_1797;
				obj_t BgL_bodyz00_1798;
				obj_t BgL_argz00_1799;
				obj_t BgL_varsz00_1801;
				obj_t BgL_bodyz00_1802;
				obj_t BgL_argsz00_1803;
				obj_t BgL_testz00_1805;
				obj_t BgL_proc1z00_1806;
				obj_t BgL_proc2z00_1807;
				obj_t BgL_argsz00_1808;
				obj_t BgL_testz00_1810;
				obj_t BgL_proc1z00_1811;
				obj_t BgL_proc2z00_1812;
				obj_t BgL_argsz00_1813;
				obj_t BgL_effectz00_1817;
				obj_t BgL_restz00_1818;
				obj_t BgL_effectz00_1822;
				obj_t BgL_restz00_1823;

				if (NULLP(BgL_expz00_21))
					{	/* Ast/sexp.scm 119 */
						{	/* Ast/sexp.scm 122 */
							BgL_nodez00_bglt BgL_res7414z00_9680;

							{	/* Ast/sexp.scm 726 */
								obj_t BgL_arg7194z00_9676;
								BgL_nodez00_bglt BgL_arg7195z00_9677;

								BgL_arg7194z00_9676 =
									BGl_shapez00zztools_shapez00
									(BGl_currentzd2functionzd2zztools_errorz00());
								BgL_arg7195z00_9677 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)),
									BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
								{	/* Ast/sexp.scm 725 */
									obj_t BgL_list7196z00_9679;

									BgL_list7196z00_9679 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg7195z00_9677), BNIL);
									BgL_res7414z00_9680 =
										((BgL_nodez00_bglt)
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_locz00_23, BgL_arg7194z00_9676,
											BGl_string7500z00zzast_sexpz00, BgL_expz00_21,
											BgL_list7196z00_9679));
							}}
							return BgL_res7414z00_9680;
						}
					}
				else
					{	/* Ast/sexp.scm 119 */
						bool_t BgL_test7574z00_14406;

						{	/* Ast/sexp.scm 119 */
							obj_t BgL_classz00_10453;

							BgL_classz00_10453 = BGl_nodez00zzast_nodez00;
							if (BGL_OBJECTP(BgL_expz00_21))
								{	/* Ast/sexp.scm 119 */
									BgL_objectz00_bglt BgL_arg1825z00_10455;

									BgL_arg1825z00_10455 = (BgL_objectz00_bglt) (BgL_expz00_21);
									{	/* Ast/sexp.scm 119 */
										bool_t BgL_arg1822z00_10458;
										bool_t BgL_arg1823z00_10459;

										{	/* Ast/sexp.scm 119 */
											long BgL_idxz00_10462;

											BgL_idxz00_10462 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_10455);
											BgL_arg1822z00_10458 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_10462 + ((long) 1))) ==
												BgL_classz00_10453);
										}
										{	/* Ast/sexp.scm 119 */
											bool_t BgL_res7453z00_10484;

											{	/* Ast/sexp.scm 119 */
												obj_t BgL_oclassz00_10470;

												{	/* Ast/sexp.scm 119 */
													long BgL_arg1833z00_10476;

													{	/* Ast/sexp.scm 119 */
														long BgL_arg1834z00_10477;

														BgL_arg1834z00_10477 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_10455);
														BgL_arg1833z00_10476 =
															(BgL_arg1834z00_10477 - OBJECT_TYPE);
													}
													BgL_oclassz00_10470 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_10476);
												}
												{	/* Ast/sexp.scm 119 */
													bool_t BgL__ortest_1110z00_10471;

													BgL__ortest_1110z00_10471 =
														(BgL_classz00_10453 == BgL_oclassz00_10470);
													if (BgL__ortest_1110z00_10471)
														{	/* Ast/sexp.scm 119 */
															BgL_res7453z00_10484 = BgL__ortest_1110z00_10471;
														}
													else
														{	/* Ast/sexp.scm 119 */
															long BgL_odepthz00_10472;

															BgL_odepthz00_10472 =
																BGL_CLASS_DEPTH(BgL_oclassz00_10470);
															if ((((long) 1) < BgL_odepthz00_10472))
																{	/* Ast/sexp.scm 119 */
																	obj_t BgL_arg1821z00_10474;

																	BgL_arg1821z00_10474 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_10470,
																		((long) 1));
																	BgL_res7453z00_10484 =
																		(BgL_arg1821z00_10474 ==
																		BgL_classz00_10453);
																}
															else
																{	/* Ast/sexp.scm 119 */
																	BgL_res7453z00_10484 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_10459 = BgL_res7453z00_10484;
										}
										BgL_test7574z00_14406 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_10458,
											BgL_arg1823z00_10459);
									}
								}
							else
								{	/* Ast/sexp.scm 119 */
									BgL_test7574z00_14406 = ((bool_t) 0);
								}
						}
						if (BgL_test7574z00_14406)
							{
								obj_t BgL_auxz00_14425;

								{	/* Ast/sexp.scm 125 */
									bool_t BgL_test7578z00_14426;

									{	/* Ast/sexp.scm 125 */
										obj_t BgL_classz00_9681;

										BgL_classz00_9681 = BGl_externz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_expz00_21))
											{	/* Ast/sexp.scm 125 */
												BgL_objectz00_bglt BgL_arg1825z00_9683;

												BgL_arg1825z00_9683 =
													(BgL_objectz00_bglt) (BgL_expz00_21);
												{	/* Ast/sexp.scm 125 */
													bool_t BgL_arg1822z00_9686;
													bool_t BgL_arg1823z00_9687;

													{	/* Ast/sexp.scm 125 */
														long BgL_idxz00_9690;

														BgL_idxz00_9690 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9683);
														BgL_arg1822z00_9686 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_9690 + ((long) 3))) ==
															BgL_classz00_9681);
													}
													{	/* Ast/sexp.scm 125 */
														bool_t BgL_res7415z00_9712;

														{	/* Ast/sexp.scm 125 */
															obj_t BgL_oclassz00_9698;

															{	/* Ast/sexp.scm 125 */
																long BgL_arg1833z00_9704;

																{	/* Ast/sexp.scm 125 */
																	long BgL_arg1834z00_9705;

																	BgL_arg1834z00_9705 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9683);
																	BgL_arg1833z00_9704 =
																		(BgL_arg1834z00_9705 - OBJECT_TYPE);
																}
																BgL_oclassz00_9698 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_9704);
															}
															{	/* Ast/sexp.scm 125 */
																bool_t BgL__ortest_1110z00_9699;

																BgL__ortest_1110z00_9699 =
																	(BgL_classz00_9681 == BgL_oclassz00_9698);
																if (BgL__ortest_1110z00_9699)
																	{	/* Ast/sexp.scm 125 */
																		BgL_res7415z00_9712 =
																			BgL__ortest_1110z00_9699;
																	}
																else
																	{	/* Ast/sexp.scm 125 */
																		long BgL_odepthz00_9700;

																		BgL_odepthz00_9700 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_9698);
																		if ((((long) 3) < BgL_odepthz00_9700))
																			{	/* Ast/sexp.scm 125 */
																				obj_t BgL_arg1821z00_9702;

																				BgL_arg1821z00_9702 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_9698, ((long) 3));
																				BgL_res7415z00_9712 =
																					(BgL_arg1821z00_9702 ==
																					BgL_classz00_9681);
																			}
																		else
																			{	/* Ast/sexp.scm 125 */
																				BgL_res7415z00_9712 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_9687 = BgL_res7415z00_9712;
													}
													BgL_test7578z00_14426 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_9686,
														BgL_arg1823z00_9687);
												}
											}
										else
											{	/* Ast/sexp.scm 125 */
												BgL_test7578z00_14426 = ((bool_t) 0);
											}
									}
									if (BgL_test7578z00_14426)
										{	/* Ast/sexp.scm 127 */
											obj_t BgL_l01347z00_8399;

											BgL_l01347z00_8399 =
												(((BgL_externz00_bglt) COBJECT(
														((BgL_externz00_bglt) BgL_expz00_21)))->
												BgL_exprza2za2);
											{
												obj_t BgL_l1346z00_8401;

												BgL_l1346z00_8401 = BgL_l01347z00_8399;
											BgL_zc3z04anonymousza36699ze3z87_8402:
												if (NULLP(BgL_l1346z00_8401))
													{	/* Ast/sexp.scm 127 */
														BgL_l01347z00_8399;
													}
												else
													{	/* Ast/sexp.scm 127 */
														{	/* Ast/sexp.scm 127 */
															BgL_nodez00_bglt BgL_arg6701z00_8404;

															{	/* Ast/sexp.scm 127 */
																obj_t BgL_ez00_8405;

																BgL_ez00_8405 =
																	CAR(((obj_t) BgL_l1346z00_8401));
																{	/* Ast/sexp.scm 127 */
																	obj_t BgL_arg6702z00_8406;

																	BgL_arg6702z00_8406 =
																		(((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					((BgL_externz00_bglt)
																						BgL_expz00_21))))->BgL_locz00);
																	BgL_arg6701z00_8404 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_ez00_8405, BgL_stackz00_22,
																		BgL_arg6702z00_8406,
																		CNST_TABLE_REF(((long) 2)));
															}}
															{	/* Ast/sexp.scm 127 */
																obj_t BgL_auxz00_14458;
																obj_t BgL_tmpz00_14456;

																BgL_auxz00_14458 =
																	((obj_t) BgL_arg6701z00_8404);
																BgL_tmpz00_14456 = ((obj_t) BgL_l1346z00_8401);
																SET_CAR(BgL_tmpz00_14456, BgL_auxz00_14458);
														}}
														{	/* Ast/sexp.scm 127 */
															obj_t BgL_arg6703z00_8407;

															BgL_arg6703z00_8407 =
																CDR(((obj_t) BgL_l1346z00_8401));
															{
																obj_t BgL_l1346z00_14463;

																BgL_l1346z00_14463 = BgL_arg6703z00_8407;
																BgL_l1346z00_8401 = BgL_l1346z00_14463;
																goto BgL_zc3z04anonymousza36699ze3z87_8402;
															}
														}
													}
											}
										}
									else
										{	/* Ast/sexp.scm 125 */
											BFALSE;
										}
								}
								{	/* Ast/sexp.scm 128 */
									bool_t BgL_test7583z00_14464;

									{	/* Ast/sexp.scm 128 */
										obj_t BgL_classz00_9716;

										BgL_classz00_9716 = BGl_appz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_expz00_21))
											{	/* Ast/sexp.scm 128 */
												BgL_objectz00_bglt BgL_arg1825z00_9718;

												BgL_arg1825z00_9718 =
													(BgL_objectz00_bglt) (BgL_expz00_21);
												{	/* Ast/sexp.scm 128 */
													bool_t BgL_arg1822z00_9721;
													bool_t BgL_arg1823z00_9722;

													{	/* Ast/sexp.scm 128 */
														long BgL_idxz00_9725;

														BgL_idxz00_9725 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9718);
														BgL_arg1822z00_9721 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_9725 + ((long) 3))) ==
															BgL_classz00_9716);
													}
													{	/* Ast/sexp.scm 128 */
														bool_t BgL_res7416z00_9747;

														{	/* Ast/sexp.scm 128 */
															obj_t BgL_oclassz00_9733;

															{	/* Ast/sexp.scm 128 */
																long BgL_arg1833z00_9739;

																{	/* Ast/sexp.scm 128 */
																	long BgL_arg1834z00_9740;

																	BgL_arg1834z00_9740 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9718);
																	BgL_arg1833z00_9739 =
																		(BgL_arg1834z00_9740 - OBJECT_TYPE);
																}
																BgL_oclassz00_9733 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_9739);
															}
															{	/* Ast/sexp.scm 128 */
																bool_t BgL__ortest_1110z00_9734;

																BgL__ortest_1110z00_9734 =
																	(BgL_classz00_9716 == BgL_oclassz00_9733);
																if (BgL__ortest_1110z00_9734)
																	{	/* Ast/sexp.scm 128 */
																		BgL_res7416z00_9747 =
																			BgL__ortest_1110z00_9734;
																	}
																else
																	{	/* Ast/sexp.scm 128 */
																		long BgL_odepthz00_9735;

																		BgL_odepthz00_9735 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_9733);
																		if ((((long) 3) < BgL_odepthz00_9735))
																			{	/* Ast/sexp.scm 128 */
																				obj_t BgL_arg1821z00_9737;

																				BgL_arg1821z00_9737 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_9733, ((long) 3));
																				BgL_res7416z00_9747 =
																					(BgL_arg1821z00_9737 ==
																					BgL_classz00_9716);
																			}
																		else
																			{	/* Ast/sexp.scm 128 */
																				BgL_res7416z00_9747 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_9722 = BgL_res7416z00_9747;
													}
													BgL_test7583z00_14464 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_9721,
														BgL_arg1823z00_9722);
												}
											}
										else
											{	/* Ast/sexp.scm 128 */
												BgL_test7583z00_14464 = ((bool_t) 0);
											}
									}
									if (BgL_test7583z00_14464)
										{	/* Ast/sexp.scm 130 */
											obj_t BgL_l01350z00_8411;

											BgL_l01350z00_8411 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_expz00_21)))->BgL_argsz00);
											{
												obj_t BgL_l1349z00_8413;

												BgL_l1349z00_8413 = BgL_l01350z00_8411;
											BgL_zc3z04anonymousza36705ze3z87_8414:
												if (NULLP(BgL_l1349z00_8413))
													{	/* Ast/sexp.scm 130 */
														BgL_l01350z00_8411;
													}
												else
													{	/* Ast/sexp.scm 130 */
														{	/* Ast/sexp.scm 130 */
															BgL_nodez00_bglt BgL_arg6707z00_8416;

															{	/* Ast/sexp.scm 130 */
																obj_t BgL_ez00_8417;

																BgL_ez00_8417 =
																	CAR(((obj_t) BgL_l1349z00_8413));
																{	/* Ast/sexp.scm 130 */
																	obj_t BgL_arg6708z00_8418;

																	BgL_arg6708z00_8418 =
																		(((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					((BgL_appz00_bglt) BgL_expz00_21))))->
																		BgL_locz00);
																	BgL_arg6707z00_8416 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_ez00_8417, BgL_stackz00_22,
																		BgL_arg6708z00_8418,
																		CNST_TABLE_REF(((long) 2)));
															}}
															{	/* Ast/sexp.scm 130 */
																obj_t BgL_auxz00_14496;
																obj_t BgL_tmpz00_14494;

																BgL_auxz00_14496 =
																	((obj_t) BgL_arg6707z00_8416);
																BgL_tmpz00_14494 = ((obj_t) BgL_l1349z00_8413);
																SET_CAR(BgL_tmpz00_14494, BgL_auxz00_14496);
														}}
														{	/* Ast/sexp.scm 130 */
															obj_t BgL_arg6709z00_8419;

															BgL_arg6709z00_8419 =
																CDR(((obj_t) BgL_l1349z00_8413));
															{
																obj_t BgL_l1349z00_14501;

																BgL_l1349z00_14501 = BgL_arg6709z00_8419;
																BgL_l1349z00_8413 = BgL_l1349z00_14501;
																goto BgL_zc3z04anonymousza36705ze3z87_8414;
															}
														}
													}
											}
										}
									else
										{	/* Ast/sexp.scm 128 */
											BFALSE;
										}
								}
								BgL_auxz00_14425 = BgL_expz00_21;
								return ((BgL_nodez00_bglt) BgL_auxz00_14425);
							}
						else
							{	/* Ast/sexp.scm 119 */
								if (PAIRP(BgL_expz00_21))
									{	/* Ast/sexp.scm 119 */
										obj_t BgL_carzd2478zd2_1844;

										BgL_carzd2478zd2_1844 = CAR(BgL_expz00_21);
										if (SYMBOLP(BgL_carzd2478zd2_1844))
											{	/* Ast/sexp.scm 119 */
												bool_t BgL_test7590z00_14508;

												{	/* Ast/sexp.scm 119 */
													obj_t BgL__ortest_1146z00_5124;

													BgL__ortest_1146z00_5124 =
														BGl_findzd2localzd2zzast_sexpz00
														(BgL_carzd2478zd2_1844, BgL_stackz00_22);
													if (CBOOL(BgL__ortest_1146z00_5124))
														{	/* Ast/sexp.scm 119 */
															BgL_test7590z00_14508 =
																CBOOL(BgL__ortest_1146z00_5124);
														}
													else
														{	/* Ast/sexp.scm 119 */
															obj_t BgL_gz00_5125;

															BgL_gz00_5125 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_carzd2478zd2_1844, BNIL);
															if (CBOOL(BgL_gz00_5125))
																{	/* Ast/sexp.scm 119 */
																	if (
																		((((BgL_globalz00_bglt) COBJECT(
																						((BgL_globalz00_bglt)
																							BgL_gz00_5125)))->
																				BgL_modulez00) ==
																			CNST_TABLE_REF(((long) 13))))
																		{	/* Ast/sexp.scm 119 */
																			BgL_test7590z00_14508 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/sexp.scm 119 */
																			BgL_test7590z00_14508 = ((bool_t) 1);
																		}
																}
															else
																{	/* Ast/sexp.scm 119 */
																	BgL_test7590z00_14508 = ((bool_t) 0);
																}
														}
												}
												if (BgL_test7590z00_14508)
													{	/* Ast/sexp.scm 119 */
														return
															BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_21,
															BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
													}
												else
													{	/* Ast/sexp.scm 119 */
														if (
															(CAR(BgL_expz00_21) ==
																CNST_TABLE_REF(((long) 11))))
															{	/* Ast/sexp.scm 119 */
															BgL_tagzd2371zd2_1774:
																{	/* Ast/sexp.scm 174 */
																	obj_t BgL_locz00_8451;

																	BgL_locz00_8451 =
																		BGl_findzd2locationzf2locz20zztools_locationz00
																		(BgL_expz00_21, BgL_locz00_23);
																	{
																		obj_t BgL_namez00_8452;
																		obj_t BgL_modulez00_8453;

																		if (PAIRP(BgL_expz00_21))
																			{	/* Ast/sexp.scm 175 */
																				obj_t BgL_cdrzd262164zd2_8458;

																				BgL_cdrzd262164zd2_8458 =
																					CDR(BgL_expz00_21);
																				if (
																					(CAR(BgL_expz00_21) ==
																						CNST_TABLE_REF(((long) 11))))
																					{	/* Ast/sexp.scm 175 */
																						if (PAIRP(BgL_cdrzd262164zd2_8458))
																							{	/* Ast/sexp.scm 175 */
																								obj_t BgL_carzd262167zd2_8462;
																								obj_t BgL_cdrzd262168zd2_8463;

																								BgL_carzd262167zd2_8462 =
																									CAR(BgL_cdrzd262164zd2_8458);
																								BgL_cdrzd262168zd2_8463 =
																									CDR(BgL_cdrzd262164zd2_8458);
																								if (SYMBOLP
																									(BgL_carzd262167zd2_8462))
																									{	/* Ast/sexp.scm 175 */
																										if (PAIRP
																											(BgL_cdrzd262168zd2_8463))
																											{	/* Ast/sexp.scm 175 */
																												obj_t
																													BgL_carzd262173zd2_8466;
																												BgL_carzd262173zd2_8466
																													=
																													CAR
																													(BgL_cdrzd262168zd2_8463);
																												if (SYMBOLP
																													(BgL_carzd262173zd2_8466))
																													{	/* Ast/sexp.scm 175 */
																														if (NULLP(CDR
																																(BgL_cdrzd262168zd2_8463)))
																															{	/* Ast/sexp.scm 175 */
																																BgL_namez00_8452
																																	=
																																	BgL_carzd262167zd2_8462;
																																BgL_modulez00_8453
																																	=
																																	BgL_carzd262173zd2_8466;
																																{	/* Ast/sexp.scm 177 */
																																	obj_t
																																		BgL_globalz00_8472;
																																	obj_t
																																		BgL_locz00_8473;
																																	BgL_globalz00_8472
																																		=
																																		BGl_findzd2globalzf2modulez20zzast_envz00
																																		(BgL_namez00_8452,
																																		BgL_modulez00_8453);
																																	BgL_locz00_8473
																																		=
																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																		(BgL_namez00_8452,
																																		BgL_locz00_8451);
																																	{	/* Ast/sexp.scm 180 */
																																		bool_t
																																			BgL_test7602z00_14550;
																																		{	/* Ast/sexp.scm 180 */
																																			obj_t
																																				BgL_classz00_9864;
																																			BgL_classz00_9864
																																				=
																																				BGl_globalz00zzast_varz00;
																																			if (BGL_OBJECTP(BgL_globalz00_8472))
																																				{	/* Ast/sexp.scm 180 */
																																					BgL_objectz00_bglt
																																						BgL_arg1825z00_9866;
																																					BgL_arg1825z00_9866
																																						=
																																						(BgL_objectz00_bglt)
																																						(BgL_globalz00_8472);
																																					{	/* Ast/sexp.scm 180 */
																																						bool_t
																																							BgL_arg1822z00_9869;
																																						bool_t
																																							BgL_arg1823z00_9870;
																																						{	/* Ast/sexp.scm 180 */
																																							long
																																								BgL_idxz00_9873;
																																							BgL_idxz00_9873
																																								=
																																								BGL_OBJECT_INHERITANCE_NUM
																																								(BgL_arg1825z00_9866);
																																							BgL_arg1822z00_9869
																																								=
																																								(VECTOR_REF
																																								(BGl_za2inheritancesza2z00zz__objectz00,
																																									(BgL_idxz00_9873
																																										+
																																										((long) 2))) == BgL_classz00_9864);
																																						}
																																						{	/* Ast/sexp.scm 180 */
																																							bool_t
																																								BgL_res7422z00_9895;
																																							{	/* Ast/sexp.scm 180 */
																																								obj_t
																																									BgL_oclassz00_9881;
																																								{	/* Ast/sexp.scm 180 */
																																									long
																																										BgL_arg1833z00_9887;
																																									{	/* Ast/sexp.scm 180 */
																																										long
																																											BgL_arg1834z00_9888;
																																										BgL_arg1834z00_9888
																																											=
																																											BGL_OBJECT_CLASS_NUM
																																											(BgL_arg1825z00_9866);
																																										BgL_arg1833z00_9887
																																											=
																																											(BgL_arg1834z00_9888
																																											-
																																											OBJECT_TYPE);
																																									}
																																									BgL_oclassz00_9881
																																										=
																																										VECTOR_REF
																																										(BGl_za2classesza2z00zz__objectz00,
																																										BgL_arg1833z00_9887);
																																								}
																																								{	/* Ast/sexp.scm 180 */
																																									bool_t
																																										BgL__ortest_1110z00_9882;
																																									BgL__ortest_1110z00_9882
																																										=
																																										(BgL_classz00_9864
																																										==
																																										BgL_oclassz00_9881);
																																									if (BgL__ortest_1110z00_9882)
																																										{	/* Ast/sexp.scm 180 */
																																											BgL_res7422z00_9895
																																												=
																																												BgL__ortest_1110z00_9882;
																																										}
																																									else
																																										{	/* Ast/sexp.scm 180 */
																																											long
																																												BgL_odepthz00_9883;
																																											BgL_odepthz00_9883
																																												=
																																												BGL_CLASS_DEPTH
																																												(BgL_oclassz00_9881);
																																											if ((((long) 2) < BgL_odepthz00_9883))
																																												{	/* Ast/sexp.scm 180 */
																																													obj_t
																																														BgL_arg1821z00_9885;
																																													BgL_arg1821z00_9885
																																														=
																																														BGL_CLASS_ANCESTORS_REF
																																														(BgL_oclassz00_9881,
																																														((long) 2));
																																													BgL_res7422z00_9895
																																														=
																																														(BgL_arg1821z00_9885
																																														==
																																														BgL_classz00_9864);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 180 */
																																													BgL_res7422z00_9895
																																														=
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																								}
																																							}
																																							BgL_arg1823z00_9870
																																								=
																																								BgL_res7422z00_9895;
																																						}
																																						BgL_test7602z00_14550
																																							=
																																							BGL_ISA_C_BACKEND
																																							(BgL_arg1822z00_9869,
																																							BgL_arg1823z00_9870);
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 180 */
																																					BgL_test7602z00_14550
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																		if (BgL_test7602z00_14550)
																																			{	/* Ast/sexp.scm 180 */
																																				if (
																																					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_globalz00_8472)))->BgL_importz00) == CNST_TABLE_REF(((long) 10))))
																																					{	/* Ast/sexp.scm 183 */
																																						obj_t
																																							BgL_arg6742z00_8477;
																																						{	/* Ast/sexp.scm 183 */
																																							obj_t
																																								BgL_arg6743z00_8478;
																																							BgL_arg6743z00_8478
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BGl_atomz00zzast_nodez00,
																																								BNIL);
																																							BgL_arg6742z00_8477
																																								=
																																								MAKE_YOUNG_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 10)), BgL_arg6743z00_8478);
																																						}
																																						{
																																							obj_t
																																								BgL_locz00_14578;
																																							obj_t
																																								BgL_expz00_14577;
																																							BgL_expz00_14577
																																								=
																																								BgL_arg6742z00_8477;
																																							BgL_locz00_14578
																																								=
																																								BgL_locz00_8473;
																																							BgL_locz00_23
																																								=
																																								BgL_locz00_14578;
																																							BgL_expz00_21
																																								=
																																								BgL_expz00_14577;
																																							goto
																																								BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																						}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 182 */
																																						return
																																							BGl_variablezd2ze3nodez31zzast_sexpz00
																																							(BgL_globalz00_8472,
																																							BgL_locz00_8473,
																																							BgL_sitez00_24);
																																					}
																																			}
																																		else
																																			{	/* Ast/sexp.scm 181 */
																																				BgL_nodez00_bglt
																																					BgL_res7423z00_9902;
																																				{	/* Ast/sexp.scm 726 */
																																					obj_t
																																						BgL_arg7194z00_9898;
																																					BgL_nodez00_bglt
																																						BgL_arg7195z00_9899;
																																					BgL_arg7194z00_9898
																																						=
																																						BGl_shapez00zztools_shapez00
																																						(BGl_currentzd2functionzd2zztools_errorz00
																																						());
																																					BgL_arg7195z00_9899
																																						=
																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																						(CNST_TABLE_REF
																																						(((long) 4)), BNIL, BgL_locz00_8473, CNST_TABLE_REF(((long) 2)));
																																					{	/* Ast/sexp.scm 725 */
																																						obj_t
																																							BgL_list7196z00_9901;
																																						BgL_list7196z00_9901
																																							=
																																							MAKE_YOUNG_PAIR
																																							(((obj_t) BgL_arg7195z00_9899), BNIL);
																																						BgL_res7423z00_9902
																																							=
																																							(
																																							(BgL_nodez00_bglt)
																																							BGl_userzd2errorzf2locationz20zztools_errorz00
																																							(BgL_locz00_8473,
																																								BgL_arg7194z00_9898,
																																								BGl_string7498z00zzast_sexpz00,
																																								BgL_expz00_21,
																																								BgL_list7196z00_9901));
																																				}}
																																				return
																																					BgL_res7423z00_9902;
																																			}
																																	}
																																}
																															}
																														else
																															{	/* Ast/sexp.scm 175 */
																															BgL_tagzd262157zd2_8455:
																																{	/* Ast/sexp.scm 187 */
																																	BgL_nodez00_bglt
																																		BgL_res7424z00_9908;
																																	{	/* Ast/sexp.scm 726 */
																																		obj_t
																																			BgL_arg7194z00_9904;
																																		BgL_nodez00_bglt
																																			BgL_arg7195z00_9905;
																																		BgL_arg7194z00_9904
																																			=
																																			BGl_shapez00zztools_shapez00
																																			(BGl_currentzd2functionzd2zztools_errorz00
																																			());
																																		BgL_arg7195z00_9905
																																			=
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																			(CNST_TABLE_REF
																																			(((long)
																																					4)),
																																			BNIL,
																																			BgL_locz00_8451,
																																			CNST_TABLE_REF
																																			(((long)
																																					2)));
																																		{	/* Ast/sexp.scm 725 */
																																			obj_t
																																				BgL_list7196z00_9907;
																																			BgL_list7196z00_9907
																																				=
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) BgL_arg7195z00_9905), BNIL);
																																			BgL_res7424z00_9908
																																				=
																																				(
																																				(BgL_nodez00_bglt)
																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																				(BgL_locz00_8451,
																																					BgL_arg7194z00_9904,
																																					BGl_string7497z00zzast_sexpz00,
																																					BgL_expz00_21,
																																					BgL_list7196z00_9907));
																																	}}
																																	return
																																		BgL_res7424z00_9908;
																																}
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 175 */
																														goto
																															BgL_tagzd262157zd2_8455;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 175 */
																												goto
																													BgL_tagzd262157zd2_8455;
																											}
																									}
																								else
																									{	/* Ast/sexp.scm 175 */
																										goto
																											BgL_tagzd262157zd2_8455;
																									}
																							}
																						else
																							{	/* Ast/sexp.scm 175 */
																								goto BgL_tagzd262157zd2_8455;
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 175 */
																						goto BgL_tagzd262157zd2_8455;
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 175 */
																				goto BgL_tagzd262157zd2_8455;
																			}
																	}
																}
															}
														else
															{	/* Ast/sexp.scm 119 */
																if (
																	(CAR(BgL_expz00_21) ==
																		CNST_TABLE_REF(((long) 14))))
																	{	/* Ast/sexp.scm 119 */
																		BgL_lz00_1775 = CDR(BgL_expz00_21);
																	BgL_tagzd2372zd2_1776:
																		{	/* Ast/sexp.scm 190 */
																			bool_t BgL_test7608z00_14602;

																			if (PAIRP(BgL_lz00_1775))
																				{	/* Ast/sexp.scm 190 */
																					bool_t BgL_test7610z00_14605;

																					{	/* Ast/sexp.scm 190 */
																						obj_t BgL_tmpz00_14606;

																						BgL_tmpz00_14606 =
																							CDR(BgL_lz00_1775);
																						BgL_test7610z00_14605 =
																							PAIRP(BgL_tmpz00_14606);
																					}
																					if (BgL_test7610z00_14605)
																						{
																							obj_t BgL_l1351z00_8497;

																							BgL_l1351z00_8497 = BgL_lz00_1775;
																						BgL_zc3z04anonymousza36754ze3z87_8498:
																							if (NULLP
																								(BgL_l1351z00_8497))
																								{	/* Ast/sexp.scm 190 */
																									BgL_test7608z00_14602 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Ast/sexp.scm 190 */
																									bool_t BgL_test7612z00_14611;

																									{	/* Ast/sexp.scm 190 */
																										obj_t BgL_tmpz00_14612;

																										BgL_tmpz00_14612 =
																											CAR(
																											((obj_t)
																												BgL_l1351z00_8497));
																										BgL_test7612z00_14611 =
																											SYMBOLP(BgL_tmpz00_14612);
																									}
																									if (BgL_test7612z00_14611)
																										{
																											obj_t BgL_l1351z00_14616;

																											BgL_l1351z00_14616 =
																												CDR(
																												((obj_t)
																													BgL_l1351z00_8497));
																											BgL_l1351z00_8497 =
																												BgL_l1351z00_14616;
																											goto
																												BgL_zc3z04anonymousza36754ze3z87_8498;
																										}
																									else
																										{	/* Ast/sexp.scm 190 */
																											BgL_test7608z00_14602 =
																												((bool_t) 0);
																										}
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 190 */
																							BgL_test7608z00_14602 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 190 */
																					BgL_test7608z00_14602 = ((bool_t) 0);
																				}
																			if (BgL_test7608z00_14602)
																				{	/* Ast/sexp.scm 190 */
																					return
																						BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00
																						(BgL_lz00_1775, BgL_expz00_21,
																						BgL_stackz00_22, BgL_locz00_23,
																						BgL_sitez00_24);
																				}
																			else
																				{	/* Ast/sexp.scm 192 */
																					BgL_nodez00_bglt BgL_res7425z00_9923;

																					{	/* Ast/sexp.scm 726 */
																						obj_t BgL_arg7194z00_9919;
																						BgL_nodez00_bglt
																							BgL_arg7195z00_9920;
																						BgL_arg7194z00_9919 =
																							BGl_shapez00zztools_shapez00
																							(BGl_currentzd2functionzd2zztools_errorz00
																							());
																						BgL_arg7195z00_9920 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(CNST_TABLE_REF(((long) 4)), BNIL,
																							BgL_locz00_23,
																							CNST_TABLE_REF(((long) 2)));
																						{	/* Ast/sexp.scm 725 */
																							obj_t BgL_list7196z00_9922;

																							BgL_list7196z00_9922 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_arg7195z00_9920),
																								BNIL);
																							BgL_res7425z00_9923 =
																								((BgL_nodez00_bglt)
																								BGl_userzd2errorzf2locationz20zztools_errorz00
																								(BgL_locz00_23,
																									BgL_arg7194z00_9919,
																									BGl_string7494z00zzast_sexpz00,
																									BgL_expz00_21,
																									BgL_list7196z00_9922));
																					}}
																					return BgL_res7425z00_9923;
																				}
																		}
																	}
																else
																	{	/* Ast/sexp.scm 119 */
																		if (
																			(CAR(BgL_expz00_21) ==
																				CNST_TABLE_REF(((long) 12))))
																			{	/* Ast/sexp.scm 119 */
																			BgL_tagzd2373zd2_1777:
																				{
																					obj_t BgL_valuez00_8506;

																					if (PAIRP(BgL_expz00_21))
																						{	/* Ast/sexp.scm 119 */
																							obj_t BgL_cdrzd262184zd2_8511;

																							BgL_cdrzd262184zd2_8511 =
																								CDR(BgL_expz00_21);
																							if (PAIRP
																								(BgL_cdrzd262184zd2_8511))
																								{	/* Ast/sexp.scm 119 */
																									if (NULLP(CDR
																											(BgL_cdrzd262184zd2_8511)))
																										{	/* Ast/sexp.scm 119 */
																											BgL_valuez00_8506 =
																												CAR
																												(BgL_cdrzd262184zd2_8511);
																											{	/* Ast/sexp.scm 197 */
																												obj_t BgL_locz00_8517;

																												BgL_locz00_8517 =
																													BGl_findzd2locationzf2locz20zztools_locationz00
																													(BgL_expz00_21,
																													BgL_locz00_23);
																												if (NULLP
																													(BgL_valuez00_8506))
																													{	/* Ast/sexp.scm 200 */
																														BgL_literalz00_bglt
																															BgL_new1123z00_8519;
																														{	/* Ast/sexp.scm 201 */
																															BgL_literalz00_bglt
																																BgL_new1121z00_8521;
																															BgL_new1121z00_8521
																																=
																																(
																																(BgL_literalz00_bglt)
																																BOBJECT
																																(GC_MALLOC
																																	(sizeof(struct
																																			BgL_literalz00_bgl))));
																															{	/* Ast/sexp.scm 201 */
																																long
																																	BgL_arg6766z00_8522;
																																BgL_arg6766z00_8522
																																	=
																																	BGL_CLASS_NUM
																																	(BGl_literalz00zzast_nodez00);
																																BGL_OBJECT_CLASS_NUM_SET
																																	(((BgL_objectz00_bglt) BgL_new1121z00_8521), BgL_arg6766z00_8522);
																															}
																															{	/* Ast/sexp.scm 201 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_14649;
																																BgL_tmpz00_14649
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1121z00_8521);
																																BGL_OBJECT_WIDENING_SET
																																	(BgL_tmpz00_14649,
																																	BFALSE);
																															}
																															((BgL_objectz00_bglt) BgL_new1121z00_8521);
																															BgL_new1123z00_8519
																																=
																																BgL_new1121z00_8521;
																														}
																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1123z00_8519)))->BgL_locz00) = ((obj_t) BgL_locz00_8517), BUNSPEC);
																														{
																															BgL_typez00_bglt
																																BgL_auxz00_14655;
																															{	/* Ast/sexp.scm 202 */
																																BgL_typez00_bglt
																																	BgL_arg6765z00_8520;
																																BgL_arg6765z00_8520
																																	=
																																	BGl_getzd2typezd2kwotez00zztype_typeofz00
																																	(BgL_valuez00_8506);
																																BgL_auxz00_14655
																																	=
																																	BGl_strictzd2nodezd2typez00zzast_nodez00
																																	(BgL_arg6765z00_8520,
																																	((BgL_typez00_bglt) BGl_za2bnilza2z00zztype_cachez00));
																															}
																															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1123z00_8519)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14655), BUNSPEC);
																														}
																														((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt) BgL_new1123z00_8519)))->BgL_valuez00) = ((obj_t) BNIL), BUNSPEC);
																														return
																															(
																															(BgL_nodez00_bglt)
																															BgL_new1123z00_8519);
																													}
																												else
																													{	/* Ast/sexp.scm 204 */
																														bool_t
																															BgL_test7618z00_14664;
																														if (PAIRP
																															(BgL_valuez00_8506))
																															{	/* Ast/sexp.scm 204 */
																																BgL_test7618z00_14664
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Ast/sexp.scm 204 */
																																if (VECTORP
																																	(BgL_valuez00_8506))
																																	{	/* Ast/sexp.scm 205 */
																																		BgL_test7618z00_14664
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 205 */
																																		if (BGL_HVECTORP(BgL_valuez00_8506))
																																			{	/* Ast/sexp.scm 206 */
																																				BgL_test7618z00_14664
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 206 */
																																				if (STRUCTP(BgL_valuez00_8506))
																																					{	/* Ast/sexp.scm 207 */
																																						BgL_test7618z00_14664
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 207 */
																																						if (SYMBOLP(BgL_valuez00_8506))
																																							{	/* Ast/sexp.scm 208 */
																																								BgL_test7618z00_14664
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 208 */
																																								BgL_test7618z00_14664
																																									=
																																									KEYWORDP
																																									(BgL_valuez00_8506);
																																							}
																																					}
																																			}
																																	}
																															}
																														if (BgL_test7618z00_14664)
																															{	/* Ast/sexp.scm 210 */
																																BgL_kwotez00_bglt
																																	BgL_new1125z00_8529;
																																{	/* Ast/sexp.scm 211 */
																																	BgL_kwotez00_bglt
																																		BgL_new1124z00_8531;
																																	BgL_new1124z00_8531
																																		=
																																		(
																																		(BgL_kwotez00_bglt)
																																		BOBJECT
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_kwotez00_bgl))));
																																	{	/* Ast/sexp.scm 211 */
																																		long
																																			BgL_arg6774z00_8532;
																																		BgL_arg6774z00_8532
																																			=
																																			BGL_CLASS_NUM
																																			(BGl_kwotez00zzast_nodez00);
																																		BGL_OBJECT_CLASS_NUM_SET
																																			(((BgL_objectz00_bglt) BgL_new1124z00_8531), BgL_arg6774z00_8532);
																																	}
																																	{	/* Ast/sexp.scm 211 */
																																		BgL_objectz00_bglt
																																			BgL_tmpz00_14680;
																																		BgL_tmpz00_14680
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_new1124z00_8531);
																																		BGL_OBJECT_WIDENING_SET
																																			(BgL_tmpz00_14680,
																																			BFALSE);
																																	}
																																	((BgL_objectz00_bglt) BgL_new1124z00_8531);
																																	BgL_new1125z00_8529
																																		=
																																		BgL_new1124z00_8531;
																																}
																																((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1125z00_8529)))->BgL_locz00) = ((obj_t) BgL_locz00_8517), BUNSPEC);
																																{
																																	BgL_typez00_bglt
																																		BgL_auxz00_14686;
																																	{	/* Ast/sexp.scm 212 */
																																		BgL_typez00_bglt
																																			BgL_arg6773z00_8530;
																																		BgL_arg6773z00_8530
																																			=
																																			BGl_getzd2typezd2kwotez00zztype_typeofz00
																																			(BgL_valuez00_8506);
																																		BgL_auxz00_14686
																																			=
																																			BGl_strictzd2nodezd2typez00zzast_nodez00
																																			(BgL_arg6773z00_8530,
																																			((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
																																	}
																																	((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1125z00_8529)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14686), BUNSPEC);
																																}
																																((((BgL_kwotez00_bglt) COBJECT(BgL_new1125z00_8529))->BgL_valuez00) = ((obj_t) BgL_valuez00_8506), BUNSPEC);
																																return
																																	(
																																	(BgL_nodez00_bglt)
																																	BgL_new1125z00_8529);
																															}
																														else
																															{	/* Ast/sexp.scm 214 */
																																bool_t
																																	BgL_test7624z00_14694;
																																if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_8506))
																																	{	/* Ast/sexp.scm 214 */
																																		BgL_test7624z00_14694
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 214 */
																																		if (STRINGP
																																			(BgL_valuez00_8506))
																																			{	/* Ast/sexp.scm 215 */
																																				BgL_test7624z00_14694
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 215 */
																																				if (CNSTP(BgL_valuez00_8506))
																																					{	/* Ast/sexp.scm 216 */
																																						BgL_test7624z00_14694
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 216 */
																																						if (CHARP(BgL_valuez00_8506))
																																							{	/* Ast/sexp.scm 220 */
																																								BgL_test7624z00_14694
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 220 */
																																								BgL_test7624z00_14694
																																									=
																																									BOOLEANP
																																									(BgL_valuez00_8506);
																																							}
																																					}
																																			}
																																	}
																																if (BgL_test7624z00_14694)
																																	{
																																		obj_t
																																			BgL_locz00_14705;
																																		obj_t
																																			BgL_expz00_14704;
																																		BgL_expz00_14704
																																			=
																																			BgL_valuez00_8506;
																																		BgL_locz00_14705
																																			=
																																			BgL_locz00_8517;
																																		BgL_locz00_23
																																			=
																																			BgL_locz00_14705;
																																		BgL_expz00_21
																																			=
																																			BgL_expz00_14704;
																																		goto
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																	}
																																else
																																	{	/* Ast/sexp.scm 224 */
																																		BgL_nodez00_bglt
																																			BgL_res7426z00_9937;
																																		{	/* Ast/sexp.scm 726 */
																																			obj_t
																																				BgL_arg7194z00_9933;
																																			BgL_nodez00_bglt
																																				BgL_arg7195z00_9934;
																																			BgL_arg7194z00_9933
																																				=
																																				BGl_shapez00zztools_shapez00
																																				(BGl_currentzd2functionzd2zztools_errorz00
																																				());
																																			BgL_arg7195z00_9934
																																				=
																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																				(CNST_TABLE_REF
																																				(((long)
																																						4)),
																																				BNIL,
																																				BgL_locz00_8517,
																																				CNST_TABLE_REF
																																				(((long)
																																						2)));
																																			{	/* Ast/sexp.scm 725 */
																																				obj_t
																																					BgL_list7196z00_9936;
																																				BgL_list7196z00_9936
																																					=
																																					MAKE_YOUNG_PAIR
																																					(((obj_t) BgL_arg7195z00_9934), BNIL);
																																				BgL_res7426z00_9937
																																					=
																																					(
																																					(BgL_nodez00_bglt)
																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																					(BgL_locz00_8517,
																																						BgL_arg7194z00_9933,
																																						BGl_string7496z00zzast_sexpz00,
																																						BgL_expz00_21,
																																						BgL_list7196z00_9936));
																																		}}
																																		return
																																			BgL_res7426z00_9937;
																																	}
																															}
																													}
																											}
																										}
																									else
																										{	/* Ast/sexp.scm 119 */
																										BgL_tagzd262179zd2_8508:
																											{	/* Ast/sexp.scm 226 */
																												BgL_nodez00_bglt
																													BgL_res7427z00_9943;
																												{	/* Ast/sexp.scm 726 */
																													obj_t
																														BgL_arg7194z00_9939;
																													BgL_nodez00_bglt
																														BgL_arg7195z00_9940;
																													BgL_arg7194z00_9939 =
																														BGl_shapez00zztools_shapez00
																														(BGl_currentzd2functionzd2zztools_errorz00
																														());
																													BgL_arg7195z00_9940 =
																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																														(CNST_TABLE_REF((
																																(long) 4)),
																														BNIL, BgL_locz00_23,
																														CNST_TABLE_REF((
																																(long) 2)));
																													{	/* Ast/sexp.scm 725 */
																														obj_t
																															BgL_list7196z00_9942;
																														BgL_list7196z00_9942
																															=
																															MAKE_YOUNG_PAIR((
																																(obj_t)
																																BgL_arg7195z00_9940),
																															BNIL);
																														BgL_res7427z00_9943
																															=
																															(
																															(BgL_nodez00_bglt)
																															BGl_userzd2errorzf2locationz20zztools_errorz00
																															(BgL_locz00_23,
																																BgL_arg7194z00_9939,
																																BGl_string7496z00zzast_sexpz00,
																																BgL_expz00_21,
																																BgL_list7196z00_9942));
																												}}
																												return
																													BgL_res7427z00_9943;
																											}
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 119 */
																									goto BgL_tagzd262179zd2_8508;
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 119 */
																							goto BgL_tagzd262179zd2_8508;
																						}
																				}
																			}
																		else
																			{	/* Ast/sexp.scm 119 */
																				if (
																					(CAR(BgL_expz00_21) ==
																						CNST_TABLE_REF(((long) 15))))
																					{	/* Ast/sexp.scm 119 */
																						if (NULLP(CDR(BgL_expz00_21)))
																							{	/* Ast/sexp.scm 119 */
																							BgL_tagzd2374zd2_1778:
																								{
																									obj_t BgL_locz00_14733;
																									obj_t BgL_expz00_14732;

																									BgL_expz00_14732 = BUNSPEC;
																									BgL_locz00_14733 =
																										BGl_findzd2locationzf2locz20zztools_locationz00
																										(BgL_expz00_21,
																										BgL_locz00_23);
																									BgL_locz00_23 =
																										BgL_locz00_14733;
																									BgL_expz00_21 =
																										BgL_expz00_14732;
																									goto
																										BGl_sexpzd2ze3nodez31zzast_sexpz00;
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 119 */
																								obj_t BgL_arg1595z00_1866;

																								BgL_arg1595z00_1866 =
																									CDR(BgL_expz00_21);
																								{
																									BgL_sequencez00_bglt
																										BgL_auxz00_14736;
																									BgL_bodyz00_1779 =
																										BgL_arg1595z00_1866;
																								BgL_tagzd2375zd2_1780:
																									{	/* Ast/sexp.scm 231 */
																										obj_t BgL_locz00_8548;

																										BgL_locz00_8548 =
																											BGl_findzd2locationzf2locz20zztools_locationz00
																											(BgL_expz00_21,
																											BgL_locz00_23);
																										{	/* Ast/sexp.scm 231 */
																											obj_t BgL_nodesz00_8549;

																											BgL_nodesz00_8549 =
																												BGl_sexpza2zd2ze3nodez93zzast_sexpz00
																												(BgL_bodyz00_1779,
																												BgL_stackz00_22,
																												BgL_locz00_8548,
																												BgL_sitez00_24);
																											{	/* Ast/sexp.scm 232 */

																												{	/* Ast/sexp.scm 233 */
																													BgL_sequencez00_bglt
																														BgL_new1129z00_8550;
																													{	/* Ast/sexp.scm 234 */
																														BgL_sequencez00_bglt
																															BgL_new1126z00_8551;
																														BgL_new1126z00_8551
																															=
																															(
																															(BgL_sequencez00_bglt)
																															BOBJECT(GC_MALLOC
																																(sizeof(struct
																																		BgL_sequencez00_bgl))));
																														{	/* Ast/sexp.scm 234 */
																															long
																																BgL_arg6781z00_8552;
																															BgL_arg6781z00_8552
																																=
																																BGL_CLASS_NUM
																																(BGl_sequencez00zzast_nodez00);
																															BGL_OBJECT_CLASS_NUM_SET
																																(((BgL_objectz00_bglt) BgL_new1126z00_8551), BgL_arg6781z00_8552);
																														}
																														{	/* Ast/sexp.scm 234 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_14743;
																															BgL_tmpz00_14743 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1126z00_8551);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_tmpz00_14743,
																																BFALSE);
																														}
																														((BgL_objectz00_bglt) BgL_new1126z00_8551);
																														BgL_new1129z00_8550
																															=
																															BgL_new1126z00_8551;
																													}
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1129z00_8550)))->
																															BgL_locz00) =
																														((obj_t)
																															BgL_locz00_8548),
																														BUNSPEC);
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1129z00_8550)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1129z00_8550)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1129z00_8550)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																													((((BgL_sequencez00_bglt) COBJECT(BgL_new1129z00_8550))->BgL_nodesz00) = ((obj_t) BgL_nodesz00_8549), BUNSPEC);
																													((((BgL_sequencez00_bglt) COBJECT(BgL_new1129z00_8550))->BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																													((((BgL_sequencez00_bglt) COBJECT(BgL_new1129z00_8550))->BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
																													BgL_auxz00_14736 =
																														BgL_new1129z00_8550;
																									}}}}
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_14736);
																								}
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 119 */
																						obj_t BgL_carzd2610zd2_1868;
																						obj_t BgL_cdrzd2611zd2_1869;

																						BgL_carzd2610zd2_1868 =
																							CAR(BgL_expz00_21);
																						BgL_cdrzd2611zd2_1869 =
																							CDR(BgL_expz00_21);
																						{

																							if (
																								(BgL_carzd2610zd2_1868 ==
																									CNST_TABLE_REF(((long) 1))))
																								{
																									obj_t BgL_auxz00_14766;

																								BgL_kapzd2612zd2_1870:
																									if (PAIRP
																										(BgL_cdrzd2611zd2_1869))
																										{	/* Ast/sexp.scm 119 */
																											obj_t
																												BgL_cdrzd2615zd2_2617;
																											BgL_cdrzd2615zd2_2617 =
																												CDR
																												(BgL_cdrzd2611zd2_1869);
																											if (PAIRP
																												(BgL_cdrzd2615zd2_2617))
																												{	/* Ast/sexp.scm 119 */
																													obj_t
																														BgL_cdrzd2618zd2_2619;
																													BgL_cdrzd2618zd2_2619
																														=
																														CDR
																														(BgL_cdrzd2615zd2_2617);
																													if ((CAR
																															(BgL_cdrzd2615zd2_2617)
																															== BTRUE))
																														{	/* Ast/sexp.scm 119 */
																															if (PAIRP
																																(BgL_cdrzd2618zd2_2619))
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(CAR
																																			(BgL_cdrzd2618zd2_2619)
																																			==
																																			BFALSE))
																																		{	/* Ast/sexp.scm 119 */
																																			if (NULLP
																																				(CDR
																																					(BgL_cdrzd2618zd2_2619)))
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(BgL_sitez00_24
																																							==
																																							CNST_TABLE_REF
																																							(((long) 8))))
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_arg2297z00_2629;
																																							BgL_arg2297z00_2629
																																								=
																																								CAR
																																								(BgL_cdrzd2611zd2_1869);
																																							BgL_auxz00_14766
																																								=
																																								(
																																								(obj_t)
																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																								(BgL_arg2297z00_2629,
																																									BgL_stackz00_22,
																																									BgL_locz00_23,
																																									BgL_sitez00_24));
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd2637zd2_2630;
																																							BgL_carzd2637zd2_2630
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if ((BgL_carzd2637zd2_2630 == CNST_TABLE_REF(((long) 1))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_14795;
																																								BgL_tagzd2377zd2_1783:
																																									{
																																										obj_t
																																											BgL_siz00_8553;
																																										obj_t
																																											BgL_alorsz00_8554;
																																										obj_t
																																											BgL_sinonz00_8555;
																																										obj_t
																																											BgL_siz00_8557;
																																										obj_t
																																											BgL_alorsz00_8558;
																																										if (PAIRP(BgL_expz00_21))
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd262200zd2_8563;
																																												BgL_cdrzd262200zd2_8563
																																													=
																																													CDR
																																													(BgL_expz00_21);
																																												if (PAIRP(BgL_cdrzd262200zd2_8563))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd262205zd2_8565;
																																														BgL_cdrzd262205zd2_8565
																																															=
																																															CDR
																																															(BgL_cdrzd262200zd2_8563);
																																														if (PAIRP(BgL_cdrzd262205zd2_8565))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd262210zd2_8567;
																																																BgL_cdrzd262210zd2_8567
																																																	=
																																																	CDR
																																																	(BgL_cdrzd262205zd2_8565);
																																																if (PAIRP(BgL_cdrzd262210zd2_8567))
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (NULLP(CDR(BgL_cdrzd262210zd2_8567)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				BgL_siz00_8553
																																																					=
																																																					CAR
																																																					(BgL_cdrzd262200zd2_8563);
																																																				BgL_alorsz00_8554
																																																					=
																																																					CAR
																																																					(BgL_cdrzd262205zd2_8565);
																																																				BgL_sinonz00_8555
																																																					=
																																																					CAR
																																																					(BgL_cdrzd262210zd2_8567);
																																																				{	/* Ast/sexp.scm 244 */
																																																					obj_t
																																																						BgL_ntz00_8582;
																																																					BgL_ntz00_8582
																																																						=
																																																						BGl_notzd2testzd2zzast_sexpz00
																																																						(BgL_siz00_8553);
																																																					if (CBOOL(BgL_ntz00_8582))
																																																						{	/* Ast/sexp.scm 245 */
																																																							{	/* Ast/sexp.scm 247 */
																																																								obj_t
																																																									BgL_arg6797z00_8583;
																																																								BgL_arg6797z00_8583
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 247 */
																																																									obj_t
																																																										BgL_tmpz00_14815;
																																																									BgL_tmpz00_14815
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_arg6797z00_8583);
																																																									SET_CAR
																																																										(BgL_tmpz00_14815,
																																																										BgL_ntz00_8582);
																																																								}
																																																							}
																																																							{	/* Ast/sexp.scm 248 */
																																																								obj_t
																																																									BgL_arg6798z00_8584;
																																																								{	/* Ast/sexp.scm 248 */
																																																									obj_t
																																																										BgL_pairz00_9956;
																																																									BgL_pairz00_9956
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_arg6798z00_8584
																																																										=
																																																										CDR
																																																										(BgL_pairz00_9956);
																																																								}
																																																								{	/* Ast/sexp.scm 248 */
																																																									obj_t
																																																										BgL_tmpz00_14821;
																																																									BgL_tmpz00_14821
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_arg6798z00_8584);
																																																									SET_CAR
																																																										(BgL_tmpz00_14821,
																																																										BgL_sinonz00_8555);
																																																								}
																																																							}
																																																							{	/* Ast/sexp.scm 249 */
																																																								obj_t
																																																									BgL_arg6799z00_8585;
																																																								{	/* Ast/sexp.scm 249 */
																																																									obj_t
																																																										BgL_pairz00_9963;
																																																									{	/* Ast/sexp.scm 249 */
																																																										obj_t
																																																											BgL_pairz00_9962;
																																																										BgL_pairz00_9962
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_pairz00_9963
																																																											=
																																																											CDR
																																																											(BgL_pairz00_9962);
																																																									}
																																																									BgL_arg6799z00_8585
																																																										=
																																																										CDR
																																																										(BgL_pairz00_9963);
																																																								}
																																																								{	/* Ast/sexp.scm 249 */
																																																									obj_t
																																																										BgL_tmpz00_14828;
																																																									BgL_tmpz00_14828
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_arg6799z00_8585);
																																																									SET_CAR
																																																										(BgL_tmpz00_14828,
																																																										BgL_alorsz00_8554);
																																																								}
																																																							}
																																																							BgL_auxz00_14795
																																																								=
																																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																								(BgL_expz00_21,
																																																								BgL_stackz00_22,
																																																								BgL_locz00_23,
																																																								BgL_sitez00_24);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 251 */
																																																							obj_t
																																																								BgL_locz00_8586;
																																																							BgL_locz00_8586
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 251 */
																																																								obj_t
																																																									BgL_cdlocz00_8587;
																																																								{	/* Ast/sexp.scm 252 */
																																																									obj_t
																																																										BgL_arg6819z00_8621;
																																																									BgL_arg6819z00_8621
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_cdlocz00_8587
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_arg6819z00_8621,
																																																										BgL_locz00_8586);
																																																								}
																																																								{	/* Ast/sexp.scm 252 */
																																																									obj_t
																																																										BgL_cddlocz00_8588;
																																																									{	/* Ast/sexp.scm 253 */
																																																										obj_t
																																																											BgL_arg6818z00_8620;
																																																										{	/* Ast/sexp.scm 253 */
																																																											obj_t
																																																												BgL_pairz00_9969;
																																																											BgL_pairz00_9969
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_arg6818z00_8620
																																																												=
																																																												CDR
																																																												(BgL_pairz00_9969);
																																																										}
																																																										BgL_cddlocz00_8588
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_arg6818z00_8620,
																																																											BgL_locz00_8586);
																																																									}
																																																									{	/* Ast/sexp.scm 253 */
																																																										obj_t
																																																											BgL_cdddlocz00_8589;
																																																										{	/* Ast/sexp.scm 254 */
																																																											obj_t
																																																												BgL_arg6817z00_8619;
																																																											{	/* Ast/sexp.scm 254 */
																																																												obj_t
																																																													BgL_pairz00_9975;
																																																												{	/* Ast/sexp.scm 254 */
																																																													obj_t
																																																														BgL_pairz00_9974;
																																																													BgL_pairz00_9974
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_pairz00_9975
																																																														=
																																																														CDR
																																																														(BgL_pairz00_9974);
																																																												}
																																																												BgL_arg6817z00_8619
																																																													=
																																																													CDR
																																																													(BgL_pairz00_9975);
																																																											}
																																																											BgL_cdddlocz00_8589
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_arg6817z00_8619,
																																																												BgL_locz00_8586);
																																																										}
																																																										{	/* Ast/sexp.scm 254 */
																																																											obj_t
																																																												BgL_lzd2sizd2_8590;
																																																											BgL_lzd2sizd2_8590
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_siz00_8553,
																																																												BgL_cdlocz00_8587);
																																																											{	/* Ast/sexp.scm 255 */
																																																												obj_t
																																																													BgL_lzd2alorszd2_8591;
																																																												BgL_lzd2alorszd2_8591
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_alorsz00_8554,
																																																													BgL_cddlocz00_8588);
																																																												{	/* Ast/sexp.scm 256 */
																																																													obj_t
																																																														BgL_lzd2sinonzd2_8592;
																																																													BgL_lzd2sinonzd2_8592
																																																														=
																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																														(BgL_sinonz00_8555,
																																																														BgL_cdddlocz00_8589);
																																																													{	/* Ast/sexp.scm 257 */
																																																														BgL_nodez00_bglt
																																																															BgL_testz00_8593;
																																																														BgL_testz00_8593
																																																															=
																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																															(BgL_siz00_8553,
																																																															BgL_stackz00_22,
																																																															BgL_locz00_8586,
																																																															CNST_TABLE_REF
																																																															(((long) 8)));
																																																														{	/* Ast/sexp.scm 258 */

																																																															{	/* Ast/sexp.scm 260 */
																																																																bool_t
																																																																	BgL_test7646z00_14850;
																																																																{	/* Ast/sexp.scm 260 */
																																																																	obj_t
																																																																		BgL_classz00_9976;
																																																																	BgL_classz00_9976
																																																																		=
																																																																		BGl_atomz00zzast_nodez00;
																																																																	{	/* Ast/sexp.scm 260 */
																																																																		BgL_objectz00_bglt
																																																																			BgL_arg1825z00_9978;
																																																																		{	/* Ast/sexp.scm 260 */
																																																																			obj_t
																																																																				BgL_tmpz00_14851;
																																																																			BgL_tmpz00_14851
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				((BgL_objectz00_bglt) BgL_testz00_8593));
																																																																			BgL_arg1825z00_9978
																																																																				=
																																																																				(BgL_objectz00_bglt)
																																																																				(BgL_tmpz00_14851);
																																																																		}
																																																																		{	/* Ast/sexp.scm 260 */
																																																																			bool_t
																																																																				BgL_arg1822z00_9981;
																																																																			bool_t
																																																																				BgL_arg1823z00_9982;
																																																																			{	/* Ast/sexp.scm 260 */
																																																																				long
																																																																					BgL_idxz00_9985;
																																																																				BgL_idxz00_9985
																																																																					=
																																																																					BGL_OBJECT_INHERITANCE_NUM
																																																																					(BgL_arg1825z00_9978);
																																																																				BgL_arg1822z00_9981
																																																																					=
																																																																					(VECTOR_REF
																																																																					(BGl_za2inheritancesza2z00zz__objectz00,
																																																																						(BgL_idxz00_9985
																																																																							+
																																																																							((long) 2))) == BgL_classz00_9976);
																																																																			}
																																																																			{	/* Ast/sexp.scm 260 */
																																																																				bool_t
																																																																					BgL_res7428z00_10007;
																																																																				{	/* Ast/sexp.scm 260 */
																																																																					obj_t
																																																																						BgL_oclassz00_9993;
																																																																					{	/* Ast/sexp.scm 260 */
																																																																						long
																																																																							BgL_arg1833z00_9999;
																																																																						{	/* Ast/sexp.scm 260 */
																																																																							long
																																																																								BgL_arg1834z00_10000;
																																																																							BgL_arg1834z00_10000
																																																																								=
																																																																								BGL_OBJECT_CLASS_NUM
																																																																								(BgL_arg1825z00_9978);
																																																																							BgL_arg1833z00_9999
																																																																								=
																																																																								(BgL_arg1834z00_10000
																																																																								-
																																																																								OBJECT_TYPE);
																																																																						}
																																																																						BgL_oclassz00_9993
																																																																							=
																																																																							VECTOR_REF
																																																																							(BGl_za2classesza2z00zz__objectz00,
																																																																							BgL_arg1833z00_9999);
																																																																					}
																																																																					{	/* Ast/sexp.scm 260 */
																																																																						bool_t
																																																																							BgL__ortest_1110z00_9994;
																																																																						BgL__ortest_1110z00_9994
																																																																							=
																																																																							(BgL_classz00_9976
																																																																							==
																																																																							BgL_oclassz00_9993);
																																																																						if (BgL__ortest_1110z00_9994)
																																																																							{	/* Ast/sexp.scm 260 */
																																																																								BgL_res7428z00_10007
																																																																									=
																																																																									BgL__ortest_1110z00_9994;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 260 */
																																																																								long
																																																																									BgL_odepthz00_9995;
																																																																								BgL_odepthz00_9995
																																																																									=
																																																																									BGL_CLASS_DEPTH
																																																																									(BgL_oclassz00_9993);
																																																																								if ((((long) 2) < BgL_odepthz00_9995))
																																																																									{	/* Ast/sexp.scm 260 */
																																																																										obj_t
																																																																											BgL_arg1821z00_9997;
																																																																										BgL_arg1821z00_9997
																																																																											=
																																																																											BGL_CLASS_ANCESTORS_REF
																																																																											(BgL_oclassz00_9993,
																																																																											((long) 2));
																																																																										BgL_res7428z00_10007
																																																																											=
																																																																											(BgL_arg1821z00_9997
																																																																											==
																																																																											BgL_classz00_9976);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 260 */
																																																																										BgL_res7428z00_10007
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																				BgL_arg1823z00_9982
																																																																					=
																																																																					BgL_res7428z00_10007;
																																																																			}
																																																																			BgL_test7646z00_14850
																																																																				=
																																																																				BGL_ISA_C_BACKEND
																																																																				(BgL_arg1822z00_9981,
																																																																				BgL_arg1823z00_9982);
																																																																		}
																																																																	}
																																																																}
																																																																if (BgL_test7646z00_14850)
																																																																	{	/* Ast/sexp.scm 260 */
																																																																		if (CBOOL((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt) BgL_testz00_8593)))->BgL_valuez00)))
																																																																			{	/* Ast/sexp.scm 262 */
																																																																				BgL_auxz00_14795
																																																																					=
																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																					(BgL_alorsz00_8554,
																																																																					BgL_stackz00_22,
																																																																					BgL_lzd2alorszd2_8591,
																																																																					CNST_TABLE_REF
																																																																					(((long) 2)));
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 262 */
																																																																				BgL_auxz00_14795
																																																																					=
																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																					(BgL_sinonz00_8555,
																																																																					BgL_stackz00_22,
																																																																					BgL_lzd2sinonzd2_8592,
																																																																					CNST_TABLE_REF
																																																																					(((long) 2)));
																																																																	}}
																																																																else
																																																																	{	/* Ast/sexp.scm 265 */
																																																																		bool_t
																																																																			BgL_test7650z00_14878;
																																																																		{	/* Ast/sexp.scm 265 */
																																																																			obj_t
																																																																				BgL_classz00_10008;
																																																																			BgL_classz00_10008
																																																																				=
																																																																				BGl_kwotez00zzast_nodez00;
																																																																			{	/* Ast/sexp.scm 265 */
																																																																				BgL_objectz00_bglt
																																																																					BgL_arg1825z00_10010;
																																																																				{	/* Ast/sexp.scm 265 */
																																																																					obj_t
																																																																						BgL_tmpz00_14879;
																																																																					BgL_tmpz00_14879
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						((BgL_objectz00_bglt) BgL_testz00_8593));
																																																																					BgL_arg1825z00_10010
																																																																						=
																																																																						(BgL_objectz00_bglt)
																																																																						(BgL_tmpz00_14879);
																																																																				}
																																																																				{	/* Ast/sexp.scm 265 */
																																																																					bool_t
																																																																						BgL_arg1822z00_10013;
																																																																					bool_t
																																																																						BgL_arg1823z00_10014;
																																																																					{	/* Ast/sexp.scm 265 */
																																																																						long
																																																																							BgL_idxz00_10017;
																																																																						BgL_idxz00_10017
																																																																							=
																																																																							BGL_OBJECT_INHERITANCE_NUM
																																																																							(BgL_arg1825z00_10010);
																																																																						BgL_arg1822z00_10013
																																																																							=
																																																																							(VECTOR_REF
																																																																							(BGl_za2inheritancesza2z00zz__objectz00,
																																																																								(BgL_idxz00_10017
																																																																									+
																																																																									((long) 2))) == BgL_classz00_10008);
																																																																					}
																																																																					{	/* Ast/sexp.scm 265 */
																																																																						bool_t
																																																																							BgL_res7429z00_10039;
																																																																						{	/* Ast/sexp.scm 265 */
																																																																							obj_t
																																																																								BgL_oclassz00_10025;
																																																																							{	/* Ast/sexp.scm 265 */
																																																																								long
																																																																									BgL_arg1833z00_10031;
																																																																								{	/* Ast/sexp.scm 265 */
																																																																									long
																																																																										BgL_arg1834z00_10032;
																																																																									BgL_arg1834z00_10032
																																																																										=
																																																																										BGL_OBJECT_CLASS_NUM
																																																																										(BgL_arg1825z00_10010);
																																																																									BgL_arg1833z00_10031
																																																																										=
																																																																										(BgL_arg1834z00_10032
																																																																										-
																																																																										OBJECT_TYPE);
																																																																								}
																																																																								BgL_oclassz00_10025
																																																																									=
																																																																									VECTOR_REF
																																																																									(BGl_za2classesza2z00zz__objectz00,
																																																																									BgL_arg1833z00_10031);
																																																																							}
																																																																							{	/* Ast/sexp.scm 265 */
																																																																								bool_t
																																																																									BgL__ortest_1110z00_10026;
																																																																								BgL__ortest_1110z00_10026
																																																																									=
																																																																									(BgL_classz00_10008
																																																																									==
																																																																									BgL_oclassz00_10025);
																																																																								if (BgL__ortest_1110z00_10026)
																																																																									{	/* Ast/sexp.scm 265 */
																																																																										BgL_res7429z00_10039
																																																																											=
																																																																											BgL__ortest_1110z00_10026;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 265 */
																																																																										long
																																																																											BgL_odepthz00_10027;
																																																																										BgL_odepthz00_10027
																																																																											=
																																																																											BGL_CLASS_DEPTH
																																																																											(BgL_oclassz00_10025);
																																																																										if ((((long) 2) < BgL_odepthz00_10027))
																																																																											{	/* Ast/sexp.scm 265 */
																																																																												obj_t
																																																																													BgL_arg1821z00_10029;
																																																																												BgL_arg1821z00_10029
																																																																													=
																																																																													BGL_CLASS_ANCESTORS_REF
																																																																													(BgL_oclassz00_10025,
																																																																													((long) 2));
																																																																												BgL_res7429z00_10039
																																																																													=
																																																																													(BgL_arg1821z00_10029
																																																																													==
																																																																													BgL_classz00_10008);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 265 */
																																																																												BgL_res7429z00_10039
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																						BgL_arg1823z00_10014
																																																																							=
																																																																							BgL_res7429z00_10039;
																																																																					}
																																																																					BgL_test7650z00_14878
																																																																						=
																																																																						BGL_ISA_C_BACKEND
																																																																						(BgL_arg1822z00_10013,
																																																																						BgL_arg1823z00_10014);
																																																																				}
																																																																			}
																																																																		}
																																																																		if (BgL_test7650z00_14878)
																																																																			{	/* Ast/sexp.scm 265 */
																																																																				BgL_auxz00_14795
																																																																					=
																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																					(BgL_alorsz00_8554,
																																																																					BgL_stackz00_22,
																																																																					BgL_lzd2alorszd2_8591,
																																																																					CNST_TABLE_REF
																																																																					(((long) 2)));
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 267 */
																																																																				bool_t
																																																																					BgL_test7653z00_14900;
																																																																				{	/* Ast/sexp.scm 267 */
																																																																					obj_t
																																																																						BgL_classz00_10040;
																																																																					BgL_classz00_10040
																																																																						=
																																																																						BGl_varz00zzast_nodez00;
																																																																					{	/* Ast/sexp.scm 267 */
																																																																						BgL_objectz00_bglt
																																																																							BgL_arg1825z00_10042;
																																																																						{	/* Ast/sexp.scm 267 */
																																																																							obj_t
																																																																								BgL_tmpz00_14901;
																																																																							BgL_tmpz00_14901
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								((BgL_objectz00_bglt) BgL_testz00_8593));
																																																																							BgL_arg1825z00_10042
																																																																								=
																																																																								(BgL_objectz00_bglt)
																																																																								(BgL_tmpz00_14901);
																																																																						}
																																																																						{	/* Ast/sexp.scm 267 */
																																																																							bool_t
																																																																								BgL_arg1822z00_10045;
																																																																							bool_t
																																																																								BgL_arg1823z00_10046;
																																																																							{	/* Ast/sexp.scm 267 */
																																																																								long
																																																																									BgL_idxz00_10049;
																																																																								BgL_idxz00_10049
																																																																									=
																																																																									BGL_OBJECT_INHERITANCE_NUM
																																																																									(BgL_arg1825z00_10042);
																																																																								BgL_arg1822z00_10045
																																																																									=
																																																																									(VECTOR_REF
																																																																									(BGl_za2inheritancesza2z00zz__objectz00,
																																																																										(BgL_idxz00_10049
																																																																											+
																																																																											((long) 2))) == BgL_classz00_10040);
																																																																							}
																																																																							{	/* Ast/sexp.scm 267 */
																																																																								bool_t
																																																																									BgL_res7430z00_10071;
																																																																								{	/* Ast/sexp.scm 267 */
																																																																									obj_t
																																																																										BgL_oclassz00_10057;
																																																																									{	/* Ast/sexp.scm 267 */
																																																																										long
																																																																											BgL_arg1833z00_10063;
																																																																										{	/* Ast/sexp.scm 267 */
																																																																											long
																																																																												BgL_arg1834z00_10064;
																																																																											BgL_arg1834z00_10064
																																																																												=
																																																																												BGL_OBJECT_CLASS_NUM
																																																																												(BgL_arg1825z00_10042);
																																																																											BgL_arg1833z00_10063
																																																																												=
																																																																												(BgL_arg1834z00_10064
																																																																												-
																																																																												OBJECT_TYPE);
																																																																										}
																																																																										BgL_oclassz00_10057
																																																																											=
																																																																											VECTOR_REF
																																																																											(BGl_za2classesza2z00zz__objectz00,
																																																																											BgL_arg1833z00_10063);
																																																																									}
																																																																									{	/* Ast/sexp.scm 267 */
																																																																										bool_t
																																																																											BgL__ortest_1110z00_10058;
																																																																										BgL__ortest_1110z00_10058
																																																																											=
																																																																											(BgL_classz00_10040
																																																																											==
																																																																											BgL_oclassz00_10057);
																																																																										if (BgL__ortest_1110z00_10058)
																																																																											{	/* Ast/sexp.scm 267 */
																																																																												BgL_res7430z00_10071
																																																																													=
																																																																													BgL__ortest_1110z00_10058;
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 267 */
																																																																												long
																																																																													BgL_odepthz00_10059;
																																																																												BgL_odepthz00_10059
																																																																													=
																																																																													BGL_CLASS_DEPTH
																																																																													(BgL_oclassz00_10057);
																																																																												if ((((long) 2) < BgL_odepthz00_10059))
																																																																													{	/* Ast/sexp.scm 267 */
																																																																														obj_t
																																																																															BgL_arg1821z00_10061;
																																																																														BgL_arg1821z00_10061
																																																																															=
																																																																															BGL_CLASS_ANCESTORS_REF
																																																																															(BgL_oclassz00_10057,
																																																																															((long) 2));
																																																																														BgL_res7430z00_10071
																																																																															=
																																																																															(BgL_arg1821z00_10061
																																																																															==
																																																																															BgL_classz00_10040);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 267 */
																																																																														BgL_res7430z00_10071
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																								BgL_arg1823z00_10046
																																																																									=
																																																																									BgL_res7430z00_10071;
																																																																							}
																																																																							BgL_test7653z00_14900
																																																																								=
																																																																								BGL_ISA_C_BACKEND
																																																																								(BgL_arg1822z00_10045,
																																																																								BgL_arg1823z00_10046);
																																																																						}
																																																																					}
																																																																				}
																																																																				if (BgL_test7653z00_14900)
																																																																					{	/* Ast/sexp.scm 268 */
																																																																						BgL_nodez00_bglt
																																																																							BgL_alorsz00_8599;
																																																																						BgL_nodez00_bglt
																																																																							BgL_sinonz00_8600;
																																																																						BgL_alorsz00_8599
																																																																							=
																																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																							(BgL_alorsz00_8554,
																																																																							BgL_stackz00_22,
																																																																							BgL_lzd2alorszd2_8591,
																																																																							CNST_TABLE_REF
																																																																							(((long) 2)));
																																																																						BgL_sinonz00_8600
																																																																							=
																																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																							(BgL_sinonz00_8555,
																																																																							BgL_stackz00_22,
																																																																							BgL_lzd2sinonzd2_8592,
																																																																							CNST_TABLE_REF
																																																																							(((long) 2)));
																																																																						{	/* Ast/sexp.scm 270 */
																																																																							BgL_conditionalz00_bglt
																																																																								BgL_new1132z00_8601;
																																																																							{	/* Ast/sexp.scm 271 */
																																																																								BgL_conditionalz00_bglt
																																																																									BgL_new1131z00_8602;
																																																																								BgL_new1131z00_8602
																																																																									=
																																																																									(
																																																																									(BgL_conditionalz00_bglt)
																																																																									BOBJECT
																																																																									(GC_MALLOC
																																																																										(sizeof
																																																																											(struct
																																																																												BgL_conditionalz00_bgl))));
																																																																								{	/* Ast/sexp.scm 271 */
																																																																									long
																																																																										BgL_arg6804z00_8603;
																																																																									BgL_arg6804z00_8603
																																																																										=
																																																																										BGL_CLASS_NUM
																																																																										(BGl_conditionalz00zzast_nodez00);
																																																																									BGL_OBJECT_CLASS_NUM_SET
																																																																										(
																																																																										((BgL_objectz00_bglt) BgL_new1131z00_8602), BgL_arg6804z00_8603);
																																																																								}
																																																																								{	/* Ast/sexp.scm 271 */
																																																																									BgL_objectz00_bglt
																																																																										BgL_tmpz00_14928;
																																																																									BgL_tmpz00_14928
																																																																										=
																																																																										(
																																																																										(BgL_objectz00_bglt)
																																																																										BgL_new1131z00_8602);
																																																																									BGL_OBJECT_WIDENING_SET
																																																																										(BgL_tmpz00_14928,
																																																																										BFALSE);
																																																																								}
																																																																								((BgL_objectz00_bglt) BgL_new1131z00_8602);
																																																																								BgL_new1132z00_8601
																																																																									=
																																																																									BgL_new1131z00_8602;
																																																																							}
																																																																							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1132z00_8601)))->BgL_locz00) = ((obj_t) BgL_locz00_8586), BUNSPEC);
																																																																							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1132z00_8601)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																							((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1132z00_8601)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																							((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1132z00_8601)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																							((((BgL_conditionalz00_bglt) COBJECT(BgL_new1132z00_8601))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_testz00_8593), BUNSPEC);
																																																																							((((BgL_conditionalz00_bglt) COBJECT(BgL_new1132z00_8601))->BgL_truez00) = ((BgL_nodez00_bglt) BgL_alorsz00_8599), BUNSPEC);
																																																																							((((BgL_conditionalz00_bglt) COBJECT(BgL_new1132z00_8601))->BgL_falsez00) = ((BgL_nodez00_bglt) BgL_sinonz00_8600), BUNSPEC);
																																																																							BgL_auxz00_14795
																																																																								=
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_new1132z00_8601);
																																																																					}}
																																																																				else
																																																																					{	/* Ast/sexp.scm 277 */
																																																																						obj_t
																																																																							BgL_vz00_8604;
																																																																						BgL_vz00_8604
																																																																							=
																																																																							BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																																																																							(BGl_gensymz00zz__r4_symbols_6_4z00
																																																																							(CNST_TABLE_REF
																																																																								(((long) 8))));
																																																																						{	/* Ast/sexp.scm 277 */
																																																																							obj_t
																																																																								BgL_varz00_8605;
																																																																							BgL_varz00_8605
																																																																								=
																																																																								BGl_makezd2typedzd2identz00zzast_identz00
																																																																								(BgL_vz00_8604,
																																																																								CNST_TABLE_REF
																																																																								(((long) 9)));
																																																																							{	/* Ast/sexp.scm 278 */
																																																																								obj_t
																																																																									BgL_nexpz00_8606;
																																																																								{	/* Ast/sexp.scm 279 */
																																																																									obj_t
																																																																										BgL_arg6812z00_8614;
																																																																									{	/* Ast/sexp.scm 279 */
																																																																										obj_t
																																																																											BgL_arg6813z00_8615;
																																																																										{	/* Ast/sexp.scm 279 */
																																																																											obj_t
																																																																												BgL_arg6814z00_8616;
																																																																											{	/* Ast/sexp.scm 279 */
																																																																												obj_t
																																																																													BgL_arg6815z00_8617;
																																																																												BgL_arg6815z00_8617
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(BgL_sinonz00_8555,
																																																																													BNIL);
																																																																												BgL_arg6814z00_8616
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(BgL_alorsz00_8554,
																																																																													BgL_arg6815z00_8617);
																																																																											}
																																																																											BgL_arg6813z00_8615
																																																																												=
																																																																												MAKE_YOUNG_PAIR
																																																																												(BgL_vz00_8604,
																																																																												BgL_arg6814z00_8616);
																																																																										}
																																																																										BgL_arg6812z00_8614
																																																																											=
																																																																											MAKE_YOUNG_PAIR
																																																																											(CNST_TABLE_REF
																																																																											(((long) 1)), BgL_arg6813z00_8615);
																																																																									}
																																																																									BgL_nexpz00_8606
																																																																										=
																																																																										BGl_epairifyzd2reczd2zztools_miscz00
																																																																										(BgL_arg6812z00_8614,
																																																																										BgL_expz00_21);
																																																																								}
																																																																								{	/* Ast/sexp.scm 279 */

																																																																									{	/* Ast/sexp.scm 280 */
																																																																										obj_t
																																																																											BgL_arg6805z00_8607;
																																																																										{	/* Ast/sexp.scm 280 */
																																																																											obj_t
																																																																												BgL_arg6806z00_8608;
																																																																											obj_t
																																																																												BgL_arg6807z00_8609;
																																																																											BgL_arg6806z00_8608
																																																																												=
																																																																												BGl_letzd2symzd2zzast_letz00
																																																																												();
																																																																											{	/* Ast/sexp.scm 280 */
																																																																												obj_t
																																																																													BgL_arg6808z00_8610;
																																																																												obj_t
																																																																													BgL_arg6809z00_8611;
																																																																												{	/* Ast/sexp.scm 280 */
																																																																													obj_t
																																																																														BgL_arg6810z00_8612;
																																																																													{	/* Ast/sexp.scm 280 */
																																																																														obj_t
																																																																															BgL_arg6811z00_8613;
																																																																														BgL_arg6811z00_8613
																																																																															=
																																																																															MAKE_YOUNG_PAIR
																																																																															(BgL_siz00_8553,
																																																																															BNIL);
																																																																														BgL_arg6810z00_8612
																																																																															=
																																																																															MAKE_YOUNG_PAIR
																																																																															(BgL_varz00_8605,
																																																																															BgL_arg6811z00_8613);
																																																																													}
																																																																													BgL_arg6808z00_8610
																																																																														=
																																																																														MAKE_YOUNG_PAIR
																																																																														(BgL_arg6810z00_8612,
																																																																														BNIL);
																																																																												}
																																																																												BgL_arg6809z00_8611
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(BgL_nexpz00_8606,
																																																																													BNIL);
																																																																												BgL_arg6807z00_8609
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(BgL_arg6808z00_8610,
																																																																													BgL_arg6809z00_8611);
																																																																											}
																																																																											BgL_arg6805z00_8607
																																																																												=
																																																																												MAKE_YOUNG_PAIR
																																																																												(BgL_arg6806z00_8608,
																																																																												BgL_arg6807z00_8609);
																																																																										}
																																																																										BGl_replacez12z12zztools_miscz00
																																																																											(BgL_expz00_21,
																																																																											BgL_arg6805z00_8607);
																																																																									}
																																																																									BgL_auxz00_14795
																																																																										=
																																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																										(BgL_expz00_21,
																																																																										BgL_stackz00_22,
																																																																										BgL_locz00_8586,
																																																																										BgL_sitez00_24);
																																																			}}}}}}}}}}}}}}}}}}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																			BgL_tagzd262191zd2_8560:
																																																				{	/* Ast/sexp.scm 286 */
																																																					BgL_nodez00_bglt
																																																						BgL_res7432z00_10087;
																																																					{	/* Ast/sexp.scm 726 */
																																																						obj_t
																																																							BgL_arg7194z00_10083;
																																																						BgL_nodez00_bglt
																																																							BgL_arg7195z00_10084;
																																																						BgL_arg7194z00_10083
																																																							=
																																																							BGl_shapez00zztools_shapez00
																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																							());
																																																						BgL_arg7195z00_10084
																																																							=
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																							(CNST_TABLE_REF
																																																							(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																						{	/* Ast/sexp.scm 725 */
																																																							obj_t
																																																								BgL_list7196z00_10086;
																																																							BgL_list7196z00_10086
																																																								=
																																																								MAKE_YOUNG_PAIR
																																																								(
																																																								((obj_t) BgL_arg7195z00_10084), BNIL);
																																																							BgL_res7432z00_10087
																																																								=
																																																								(
																																																								(BgL_nodez00_bglt)
																																																								BGl_userzd2errorzf2locationz20zztools_errorz00
																																																								(BgL_locz00_23,
																																																									BgL_arg7194z00_10083,
																																																									BGl_string7495z00zzast_sexpz00,
																																																									BgL_expz00_21,
																																																									BgL_list7196z00_10086));
																																																					}}
																																																					BgL_auxz00_14795
																																																						=
																																																						BgL_res7432z00_10087;
																																																	}}}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd262235zd2_8576;
																																																		BgL_cdrzd262235zd2_8576
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd262200zd2_8563));
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd262235zd2_8576))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6794z00_8579;
																																																				obj_t
																																																					BgL_arg6795z00_8580;
																																																				BgL_arg6794z00_8579
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd262200zd2_8563));
																																																				BgL_arg6795z00_8580
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd262235zd2_8576));
																																																				BgL_siz00_8557
																																																					=
																																																					BgL_arg6794z00_8579;
																																																				BgL_alorsz00_8558
																																																					=
																																																					BgL_arg6795z00_8580;
																																																				{	/* Ast/sexp.scm 283 */
																																																					obj_t
																																																						BgL_arg6820z00_8622;
																																																					obj_t
																																																						BgL_arg6821z00_8623;
																																																					{	/* Ast/sexp.scm 283 */
																																																						obj_t
																																																							BgL_pairz00_10079;
																																																						BgL_pairz00_10079
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_arg6820z00_8622
																																																							=
																																																							CDR
																																																							(BgL_pairz00_10079);
																																																					}
																																																					{	/* Ast/sexp.scm 283 */
																																																						obj_t
																																																							BgL_list6822z00_8624;
																																																						BgL_list6822z00_8624
																																																							=
																																																							MAKE_YOUNG_PAIR
																																																							(BUNSPEC,
																																																							BNIL);
																																																						BgL_arg6821z00_8623
																																																							=
																																																							BgL_list6822z00_8624;
																																																					}
																																																					{	/* Ast/sexp.scm 283 */
																																																						obj_t
																																																							BgL_tmpz00_14992;
																																																						BgL_tmpz00_14992
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_arg6820z00_8622);
																																																						SET_CDR
																																																							(BgL_tmpz00_14992,
																																																							BgL_arg6821z00_8623);
																																																					}
																																																				}
																																																				BgL_auxz00_14795
																																																					=
																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																					(BgL_expz00_21,
																																																					BgL_stackz00_22,
																																																					BgL_locz00_23,
																																																					BgL_sitez00_24);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd262191zd2_8560;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_tagzd262191zd2_8560;
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_tagzd262191zd2_8560;
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_tagzd262191zd2_8560;
																																											}
																																									}
																																									BgL_auxz00_14766
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_14795);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((BgL_carzd2637zd2_2630 == BGl_za2ifza2z00zzast_sexpz00))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_14999;
																																											goto
																																												BgL_tagzd2377zd2_1783;
																																											BgL_auxz00_14766
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_14999);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_15006;
																																												BgL_tagzd2379zd2_1787:
																																													{
																																														obj_t
																																															BgL_varz00_8651;
																																														obj_t
																																															BgL_valz00_8652;
																																														if (PAIRP(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd262265zd2_8657;
																																																BgL_cdrzd262265zd2_8657
																																																	=
																																																	CDR
																																																	(BgL_expz00_21);
																																																if (PAIRP(BgL_cdrzd262265zd2_8657))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd262269zd2_8659;
																																																		BgL_cdrzd262269zd2_8659
																																																			=
																																																			CDR
																																																			(BgL_cdrzd262265zd2_8657);
																																																		if (PAIRP(BgL_cdrzd262269zd2_8659))
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (NULLP(CDR(BgL_cdrzd262269zd2_8659)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						BgL_varz00_8651
																																																							=
																																																							CAR
																																																							(BgL_cdrzd262265zd2_8657);
																																																						BgL_valz00_8652
																																																							=
																																																							CAR
																																																							(BgL_cdrzd262269zd2_8659);
																																																						{	/* Ast/sexp.scm 295 */
																																																							obj_t
																																																								BgL_locz00_8666;
																																																							BgL_locz00_8666
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 295 */
																																																								obj_t
																																																									BgL_cdlocz00_8667;
																																																								{	/* Ast/sexp.scm 296 */
																																																									obj_t
																																																										BgL_arg6859z00_8694;
																																																									BgL_arg6859z00_8694
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_cdlocz00_8667
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_arg6859z00_8694,
																																																										BgL_locz00_8666);
																																																								}
																																																								{	/* Ast/sexp.scm 296 */
																																																									obj_t
																																																										BgL_cddlocz00_8668;
																																																									{	/* Ast/sexp.scm 297 */
																																																										obj_t
																																																											BgL_arg6858z00_8693;
																																																										{	/* Ast/sexp.scm 297 */
																																																											obj_t
																																																												BgL_pairz00_10113;
																																																											BgL_pairz00_10113
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_arg6858z00_8693
																																																												=
																																																												CDR
																																																												(BgL_pairz00_10113);
																																																										}
																																																										BgL_cddlocz00_8668
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_arg6858z00_8693,
																																																											BgL_locz00_8666);
																																																									}
																																																									{	/* Ast/sexp.scm 297 */
																																																										obj_t
																																																											BgL_valzd2loczd2_8669;
																																																										BgL_valzd2loczd2_8669
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_valz00_8652,
																																																											BgL_cddlocz00_8668);
																																																										{	/* Ast/sexp.scm 298 */
																																																											BgL_nodez00_bglt
																																																												BgL_valz00_8670;
																																																											{

																																																												if (PAIRP(BgL_valz00_8652))
																																																													{	/* Ast/sexp.scm 299 */
																																																														if ((CAR(BgL_valz00_8652) == CNST_TABLE_REF(((long) 3))))
																																																															{	/* Ast/sexp.scm 299 */
																																																																{	/* Ast/sexp.scm 302 */
																																																																	obj_t
																																																																		BgL_arg6857z00_8692;
																																																																	{	/* Ast/sexp.scm 302 */
																																																																		obj_t
																																																																			BgL_arg1463z00_10115;
																																																																		BgL_arg1463z00_10115
																																																																			=
																																																																			SYMBOL_TO_STRING
																																																																			(
																																																																			((obj_t) BgL_varz00_8651));
																																																																		BgL_arg6857z00_8692
																																																																			=
																																																																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																																			(BgL_arg1463z00_10115);
																																																																	}
																																																																	BgL_valz00_8670
																																																																		=
																																																																		BGl_lambdazd2ze3nodez31zzast_sexpz00
																																																																		(BgL_valz00_8652,
																																																																		BgL_stackz00_22,
																																																																		BgL_valzd2loczd2_8669,
																																																																		CNST_TABLE_REF
																																																																		(((long) 2)), BgL_arg6857z00_8692);
																																																															}}
																																																														else
																																																															{	/* Ast/sexp.scm 299 */
																																																															BgL_tagzd262276zd2_8686:
																																																																BgL_valz00_8670 = BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_valz00_8652, BgL_stackz00_22, BgL_valzd2loczd2_8669, CNST_TABLE_REF(((long) 2)));
																																																													}}
																																																												else
																																																													{	/* Ast/sexp.scm 299 */
																																																														goto
																																																															BgL_tagzd262276zd2_8686;
																																																													}
																																																											}
																																																											{	/* Ast/sexp.scm 299 */

																																																												{	/* Ast/sexp.scm 305 */
																																																													BgL_nodez00_bglt
																																																														BgL_astz00_8671;
																																																													BgL_astz00_8671
																																																														=
																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																														(BgL_varz00_8651,
																																																														BgL_stackz00_22,
																																																														BgL_cdlocz00_8667,
																																																														CNST_TABLE_REF
																																																														(((long) 7)));
																																																													{	/* Ast/sexp.scm 306 */
																																																														bool_t
																																																															BgL_test7665z00_15042;
																																																														{	/* Ast/sexp.scm 306 */
																																																															obj_t
																																																																BgL_classz00_10117;
																																																															BgL_classz00_10117
																																																																=
																																																																BGl_varz00zzast_nodez00;
																																																															{	/* Ast/sexp.scm 306 */
																																																																BgL_objectz00_bglt
																																																																	BgL_arg1825z00_10119;
																																																																{	/* Ast/sexp.scm 306 */
																																																																	obj_t
																																																																		BgL_tmpz00_15043;
																																																																	BgL_tmpz00_15043
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		((BgL_objectz00_bglt) BgL_astz00_8671));
																																																																	BgL_arg1825z00_10119
																																																																		=
																																																																		(BgL_objectz00_bglt)
																																																																		(BgL_tmpz00_15043);
																																																																}
																																																																{	/* Ast/sexp.scm 306 */
																																																																	bool_t
																																																																		BgL_arg1822z00_10122;
																																																																	bool_t
																																																																		BgL_arg1823z00_10123;
																																																																	{	/* Ast/sexp.scm 306 */
																																																																		long
																																																																			BgL_idxz00_10126;
																																																																		BgL_idxz00_10126
																																																																			=
																																																																			BGL_OBJECT_INHERITANCE_NUM
																																																																			(BgL_arg1825z00_10119);
																																																																		BgL_arg1822z00_10122
																																																																			=
																																																																			(VECTOR_REF
																																																																			(BGl_za2inheritancesza2z00zz__objectz00,
																																																																				(BgL_idxz00_10126
																																																																					+
																																																																					((long) 2))) == BgL_classz00_10117);
																																																																	}
																																																																	{	/* Ast/sexp.scm 306 */
																																																																		bool_t
																																																																			BgL_res7434z00_10148;
																																																																		{	/* Ast/sexp.scm 306 */
																																																																			obj_t
																																																																				BgL_oclassz00_10134;
																																																																			{	/* Ast/sexp.scm 306 */
																																																																				long
																																																																					BgL_arg1833z00_10140;
																																																																				{	/* Ast/sexp.scm 306 */
																																																																					long
																																																																						BgL_arg1834z00_10141;
																																																																					BgL_arg1834z00_10141
																																																																						=
																																																																						BGL_OBJECT_CLASS_NUM
																																																																						(BgL_arg1825z00_10119);
																																																																					BgL_arg1833z00_10140
																																																																						=
																																																																						(BgL_arg1834z00_10141
																																																																						-
																																																																						OBJECT_TYPE);
																																																																				}
																																																																				BgL_oclassz00_10134
																																																																					=
																																																																					VECTOR_REF
																																																																					(BGl_za2classesza2z00zz__objectz00,
																																																																					BgL_arg1833z00_10140);
																																																																			}
																																																																			{	/* Ast/sexp.scm 306 */
																																																																				bool_t
																																																																					BgL__ortest_1110z00_10135;
																																																																				BgL__ortest_1110z00_10135
																																																																					=
																																																																					(BgL_classz00_10117
																																																																					==
																																																																					BgL_oclassz00_10134);
																																																																				if (BgL__ortest_1110z00_10135)
																																																																					{	/* Ast/sexp.scm 306 */
																																																																						BgL_res7434z00_10148
																																																																							=
																																																																							BgL__ortest_1110z00_10135;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 306 */
																																																																						long
																																																																							BgL_odepthz00_10136;
																																																																						BgL_odepthz00_10136
																																																																							=
																																																																							BGL_CLASS_DEPTH
																																																																							(BgL_oclassz00_10134);
																																																																						if ((((long) 2) < BgL_odepthz00_10136))
																																																																							{	/* Ast/sexp.scm 306 */
																																																																								obj_t
																																																																									BgL_arg1821z00_10138;
																																																																								BgL_arg1821z00_10138
																																																																									=
																																																																									BGL_CLASS_ANCESTORS_REF
																																																																									(BgL_oclassz00_10134,
																																																																									((long) 2));
																																																																								BgL_res7434z00_10148
																																																																									=
																																																																									(BgL_arg1821z00_10138
																																																																									==
																																																																									BgL_classz00_10117);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 306 */
																																																																								BgL_res7434z00_10148
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																		BgL_arg1823z00_10123
																																																																			=
																																																																			BgL_res7434z00_10148;
																																																																	}
																																																																	BgL_test7665z00_15042
																																																																		=
																																																																		BGL_ISA_C_BACKEND
																																																																		(BgL_arg1822z00_10122,
																																																																		BgL_arg1823z00_10123);
																																																																}
																																																															}
																																																														}
																																																														if (BgL_test7665z00_15042)
																																																															{	/* Ast/sexp.scm 308 */
																																																																bool_t
																																																																	BgL_test7668z00_15062;
																																																																{	/* Ast/sexp.scm 308 */
																																																																	bool_t
																																																																		BgL_test7669z00_15063;
																																																																	{	/* Ast/sexp.scm 308 */
																																																																		BgL_variablez00_bglt
																																																																			BgL_arg6852z00_8684;
																																																																		BgL_arg6852z00_8684
																																																																			=
																																																																			(
																																																																			((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_8671)))->BgL_variablez00);
																																																																		{	/* Ast/sexp.scm 308 */
																																																																			obj_t
																																																																				BgL_classz00_10149;
																																																																			BgL_classz00_10149
																																																																				=
																																																																				BGl_globalz00zzast_varz00;
																																																																			{	/* Ast/sexp.scm 308 */
																																																																				BgL_objectz00_bglt
																																																																					BgL_arg1825z00_10151;
																																																																				{	/* Ast/sexp.scm 308 */
																																																																					obj_t
																																																																						BgL_tmpz00_15066;
																																																																					BgL_tmpz00_15066
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						((BgL_objectz00_bglt) BgL_arg6852z00_8684));
																																																																					BgL_arg1825z00_10151
																																																																						=
																																																																						(BgL_objectz00_bglt)
																																																																						(BgL_tmpz00_15066);
																																																																				}
																																																																				{	/* Ast/sexp.scm 308 */
																																																																					bool_t
																																																																						BgL_arg1822z00_10154;
																																																																					bool_t
																																																																						BgL_arg1823z00_10155;
																																																																					{	/* Ast/sexp.scm 308 */
																																																																						long
																																																																							BgL_idxz00_10158;
																																																																						BgL_idxz00_10158
																																																																							=
																																																																							BGL_OBJECT_INHERITANCE_NUM
																																																																							(BgL_arg1825z00_10151);
																																																																						BgL_arg1822z00_10154
																																																																							=
																																																																							(VECTOR_REF
																																																																							(BGl_za2inheritancesza2z00zz__objectz00,
																																																																								(BgL_idxz00_10158
																																																																									+
																																																																									((long) 2))) == BgL_classz00_10149);
																																																																					}
																																																																					{	/* Ast/sexp.scm 308 */
																																																																						bool_t
																																																																							BgL_res7435z00_10180;
																																																																						{	/* Ast/sexp.scm 308 */
																																																																							obj_t
																																																																								BgL_oclassz00_10166;
																																																																							{	/* Ast/sexp.scm 308 */
																																																																								long
																																																																									BgL_arg1833z00_10172;
																																																																								{	/* Ast/sexp.scm 308 */
																																																																									long
																																																																										BgL_arg1834z00_10173;
																																																																									BgL_arg1834z00_10173
																																																																										=
																																																																										BGL_OBJECT_CLASS_NUM
																																																																										(BgL_arg1825z00_10151);
																																																																									BgL_arg1833z00_10172
																																																																										=
																																																																										(BgL_arg1834z00_10173
																																																																										-
																																																																										OBJECT_TYPE);
																																																																								}
																																																																								BgL_oclassz00_10166
																																																																									=
																																																																									VECTOR_REF
																																																																									(BGl_za2classesza2z00zz__objectz00,
																																																																									BgL_arg1833z00_10172);
																																																																							}
																																																																							{	/* Ast/sexp.scm 308 */
																																																																								bool_t
																																																																									BgL__ortest_1110z00_10167;
																																																																								BgL__ortest_1110z00_10167
																																																																									=
																																																																									(BgL_classz00_10149
																																																																									==
																																																																									BgL_oclassz00_10166);
																																																																								if (BgL__ortest_1110z00_10167)
																																																																									{	/* Ast/sexp.scm 308 */
																																																																										BgL_res7435z00_10180
																																																																											=
																																																																											BgL__ortest_1110z00_10167;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 308 */
																																																																										long
																																																																											BgL_odepthz00_10168;
																																																																										BgL_odepthz00_10168
																																																																											=
																																																																											BGL_CLASS_DEPTH
																																																																											(BgL_oclassz00_10166);
																																																																										if ((((long) 2) < BgL_odepthz00_10168))
																																																																											{	/* Ast/sexp.scm 308 */
																																																																												obj_t
																																																																													BgL_arg1821z00_10170;
																																																																												BgL_arg1821z00_10170
																																																																													=
																																																																													BGL_CLASS_ANCESTORS_REF
																																																																													(BgL_oclassz00_10166,
																																																																													((long) 2));
																																																																												BgL_res7435z00_10180
																																																																													=
																																																																													(BgL_arg1821z00_10170
																																																																													==
																																																																													BgL_classz00_10149);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 308 */
																																																																												BgL_res7435z00_10180
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																						BgL_arg1823z00_10155
																																																																							=
																																																																							BgL_res7435z00_10180;
																																																																					}
																																																																					BgL_test7669z00_15063
																																																																						=
																																																																						BGL_ISA_C_BACKEND
																																																																						(BgL_arg1822z00_10154,
																																																																						BgL_arg1823z00_10155);
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																																	if (BgL_test7669z00_15063)
																																																																		{	/* Ast/sexp.scm 309 */
																																																																			BgL_variablez00_bglt
																																																																				BgL_arg6851z00_8683;
																																																																			BgL_arg6851z00_8683
																																																																				=
																																																																				(
																																																																				((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_8671)))->BgL_variablez00);
																																																																			BgL_test7668z00_15062
																																																																				=
																																																																				BGl_globalzd2readzd2onlyzf3zf3zzast_varz00
																																																																				(
																																																																				((BgL_globalz00_bglt) BgL_arg6851z00_8683));
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 308 */
																																																																			BgL_test7668z00_15062
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																}
																																																																if (BgL_test7668z00_15062)
																																																																	{	/* Ast/sexp.scm 310 */
																																																																		BgL_nodez00_bglt
																																																																			BgL_res7436z00_10186;
																																																																		{	/* Ast/sexp.scm 726 */
																																																																			obj_t
																																																																				BgL_arg7194z00_10182;
																																																																			BgL_nodez00_bglt
																																																																				BgL_arg7195z00_10183;
																																																																			BgL_arg7194z00_10182
																																																																				=
																																																																				BGl_shapez00zztools_shapez00
																																																																				(BGl_currentzd2functionzd2zztools_errorz00
																																																																				());
																																																																			BgL_arg7195z00_10183
																																																																				=
																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																				(CNST_TABLE_REF
																																																																				(((long) 4)), BNIL, BgL_cdlocz00_8667, CNST_TABLE_REF(((long) 2)));
																																																																			{	/* Ast/sexp.scm 725 */
																																																																				obj_t
																																																																					BgL_list7196z00_10185;
																																																																				BgL_list7196z00_10185
																																																																					=
																																																																					MAKE_YOUNG_PAIR
																																																																					(
																																																																					((obj_t) BgL_arg7195z00_10183), BNIL);
																																																																				BgL_res7436z00_10186
																																																																					=
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																					(BgL_cdlocz00_8667,
																																																																						BgL_arg7194z00_10182,
																																																																						BGl_string7492z00zzast_sexpz00,
																																																																						BgL_expz00_21,
																																																																						BgL_list7196z00_10185));
																																																																		}}
																																																																		BgL_auxz00_15006
																																																																			=
																																																																			BgL_res7436z00_10186;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 312 */
																																																																		BgL_setqz00_bglt
																																																																			BgL_new1135z00_8679;
																																																																		{	/* Ast/sexp.scm 313 */
																																																																			BgL_setqz00_bglt
																																																																				BgL_new1134z00_8680;
																																																																			BgL_new1134z00_8680
																																																																				=
																																																																				(
																																																																				(BgL_setqz00_bglt)
																																																																				BOBJECT
																																																																				(GC_MALLOC
																																																																					(sizeof
																																																																						(struct
																																																																							BgL_setqz00_bgl))));
																																																																			{	/* Ast/sexp.scm 313 */
																																																																				long
																																																																					BgL_arg6850z00_8681;
																																																																				BgL_arg6850z00_8681
																																																																					=
																																																																					BGL_CLASS_NUM
																																																																					(BGl_setqz00zzast_nodez00);
																																																																				BGL_OBJECT_CLASS_NUM_SET
																																																																					(
																																																																					((BgL_objectz00_bglt) BgL_new1134z00_8680), BgL_arg6850z00_8681);
																																																																			}
																																																																			{	/* Ast/sexp.scm 313 */
																																																																				BgL_objectz00_bglt
																																																																					BgL_tmpz00_15102;
																																																																				BgL_tmpz00_15102
																																																																					=
																																																																					(
																																																																					(BgL_objectz00_bglt)
																																																																					BgL_new1134z00_8680);
																																																																				BGL_OBJECT_WIDENING_SET
																																																																					(BgL_tmpz00_15102,
																																																																					BFALSE);
																																																																			}
																																																																			((BgL_objectz00_bglt) BgL_new1134z00_8680);
																																																																			BgL_new1135z00_8679
																																																																				=
																																																																				BgL_new1134z00_8680;
																																																																		}
																																																																		((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1135z00_8679)))->BgL_locz00) = ((obj_t) BgL_locz00_8666), BUNSPEC);
																																																																		((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1135z00_8679)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																																		((((BgL_setqz00_bglt) COBJECT(BgL_new1135z00_8679))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_8671)), BUNSPEC);
																																																																		((((BgL_setqz00_bglt) COBJECT(BgL_new1135z00_8679))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_8670), BUNSPEC);
																																																																		BgL_auxz00_15006
																																																																			=
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_new1135z00_8679);
																																																															}}
																																																														else
																																																															{	/* Ast/sexp.scm 317 */
																																																																BgL_nodez00_bglt
																																																																	BgL_res7437z00_10196;
																																																																{	/* Ast/sexp.scm 726 */
																																																																	obj_t
																																																																		BgL_arg7194z00_10192;
																																																																	BgL_nodez00_bglt
																																																																		BgL_arg7195z00_10193;
																																																																	BgL_arg7194z00_10192
																																																																		=
																																																																		BGl_shapez00zztools_shapez00
																																																																		(BGl_currentzd2functionzd2zztools_errorz00
																																																																		());
																																																																	BgL_arg7195z00_10193
																																																																		=
																																																																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																		(CNST_TABLE_REF
																																																																		(((long) 4)), BNIL, BgL_locz00_8666, CNST_TABLE_REF(((long) 2)));
																																																																	{	/* Ast/sexp.scm 725 */
																																																																		obj_t
																																																																			BgL_list7196z00_10195;
																																																																		BgL_list7196z00_10195
																																																																			=
																																																																			MAKE_YOUNG_PAIR
																																																																			(
																																																																			((obj_t) BgL_arg7195z00_10193), BNIL);
																																																																		BgL_res7437z00_10196
																																																																			=
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																			(BgL_locz00_8666,
																																																																				BgL_arg7194z00_10192,
																																																																				BGl_string7493z00zzast_sexpz00,
																																																																				BgL_expz00_21,
																																																																				BgL_list7196z00_10195));
																																																																}}
																																																																BgL_auxz00_15006
																																																																	=
																																																																	BgL_res7437z00_10196;
																																																					}}}}}}}}}}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																					BgL_tagzd262258zd2_8654:
																																																						{	/* Ast/sexp.scm 321 */
																																																							obj_t
																																																								BgL_arg6860z00_8695;
																																																							BgL_arg6860z00_8695
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 320 */
																																																								BgL_nodez00_bglt
																																																									BgL_res7438z00_10202;
																																																								{	/* Ast/sexp.scm 726 */
																																																									obj_t
																																																										BgL_arg7194z00_10198;
																																																									BgL_nodez00_bglt
																																																										BgL_arg7195z00_10199;
																																																									BgL_arg7194z00_10198
																																																										=
																																																										BGl_shapez00zztools_shapez00
																																																										(BGl_currentzd2functionzd2zztools_errorz00
																																																										());
																																																									BgL_arg7195z00_10199
																																																										=
																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																										(CNST_TABLE_REF
																																																										(((long) 4)), BNIL, BgL_arg6860z00_8695, CNST_TABLE_REF(((long) 2)));
																																																									{	/* Ast/sexp.scm 725 */
																																																										obj_t
																																																											BgL_list7196z00_10201;
																																																										BgL_list7196z00_10201
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(
																																																											((obj_t) BgL_arg7195z00_10199), BNIL);
																																																										BgL_res7438z00_10202
																																																											=
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BGl_userzd2errorzf2locationz20zztools_errorz00
																																																											(BgL_arg6860z00_8695,
																																																												BgL_arg7194z00_10198,
																																																												BGl_string7491z00zzast_sexpz00,
																																																												BgL_expz00_21,
																																																												BgL_list7196z00_10201));
																																																								}}
																																																								BgL_auxz00_15006
																																																									=
																																																									BgL_res7438z00_10202;
																																																			}}}}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd262258zd2_8654;
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_tagzd262258zd2_8654;
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_tagzd262258zd2_8654;
																																															}
																																													}
																																													BgL_auxz00_14766
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_15006);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_15142;
																																														BgL_tagzd2380zd2_1788:
																																															{
																																																obj_t
																																																	BgL_varz00_8696;
																																																obj_t
																																																	BgL_valz00_8697;
																																																if (PAIRP(BgL_expz00_21))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd262288zd2_8702;
																																																		BgL_cdrzd262288zd2_8702
																																																			=
																																																			CDR
																																																			(BgL_expz00_21);
																																																		if (PAIRP(BgL_cdrzd262288zd2_8702))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd262292zd2_8704;
																																																				BgL_cdrzd262292zd2_8704
																																																					=
																																																					CDR
																																																					(BgL_cdrzd262288zd2_8702);
																																																				if (PAIRP(BgL_cdrzd262292zd2_8704))
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (NULLP(CDR(BgL_cdrzd262292zd2_8704)))
																																																							{	/* Ast/sexp.scm 119 */
																																																								BgL_varz00_8696
																																																									=
																																																									CAR
																																																									(BgL_cdrzd262288zd2_8702);
																																																								BgL_valz00_8697
																																																									=
																																																									CAR
																																																									(BgL_cdrzd262292zd2_8704);
																																																								{	/* Ast/sexp.scm 328 */
																																																									obj_t
																																																										BgL_locz00_8711;
																																																									BgL_locz00_8711
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_expz00_21,
																																																										BgL_locz00_23);
																																																									{	/* Ast/sexp.scm 328 */
																																																										obj_t
																																																											BgL_cdlocz00_8712;
																																																										{	/* Ast/sexp.scm 329 */
																																																											obj_t
																																																												BgL_arg6876z00_8727;
																																																											BgL_arg6876z00_8727
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_cdlocz00_8712
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_arg6876z00_8727,
																																																												BgL_locz00_8711);
																																																										}
																																																										{	/* Ast/sexp.scm 329 */
																																																											obj_t
																																																												BgL_cddlocz00_8713;
																																																											{	/* Ast/sexp.scm 330 */
																																																												obj_t
																																																													BgL_arg6875z00_8726;
																																																												{	/* Ast/sexp.scm 330 */
																																																													obj_t
																																																														BgL_pairz00_10212;
																																																													BgL_pairz00_10212
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_arg6875z00_8726
																																																														=
																																																														CDR
																																																														(BgL_pairz00_10212);
																																																												}
																																																												BgL_cddlocz00_8713
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_arg6875z00_8726,
																																																													BgL_locz00_8711);
																																																											}
																																																											{	/* Ast/sexp.scm 330 */
																																																												obj_t
																																																													BgL_valzd2loczd2_8714;
																																																												BgL_valzd2loczd2_8714
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_valz00_8697,
																																																													BgL_cddlocz00_8713);
																																																												{	/* Ast/sexp.scm 331 */
																																																													BgL_nodez00_bglt
																																																														BgL_valz00_8715;
																																																													BgL_valz00_8715
																																																														=
																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																														(BgL_valz00_8697,
																																																														BgL_stackz00_22,
																																																														BgL_valzd2loczd2_8714,
																																																														CNST_TABLE_REF
																																																														(((long) 2)));
																																																													{	/* Ast/sexp.scm 332 */

																																																														{	/* Ast/sexp.scm 333 */
																																																															BgL_nodez00_bglt
																																																																BgL_astz00_8716;
																																																															BgL_astz00_8716
																																																																=
																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																(BgL_varz00_8696,
																																																																BgL_stackz00_22,
																																																																BgL_cdlocz00_8712,
																																																																CNST_TABLE_REF
																																																																(((long) 2)));
																																																															{	/* Ast/sexp.scm 334 */
																																																																bool_t
																																																																	BgL_test7677z00_15167;
																																																																{	/* Ast/sexp.scm 334 */
																																																																	bool_t
																																																																		BgL_test7678z00_15168;
																																																																	{	/* Ast/sexp.scm 334 */
																																																																		obj_t
																																																																			BgL_classz00_10213;
																																																																		BgL_classz00_10213
																																																																			=
																																																																			BGl_varz00zzast_nodez00;
																																																																		{	/* Ast/sexp.scm 334 */
																																																																			BgL_objectz00_bglt
																																																																				BgL_arg1825z00_10215;
																																																																			{	/* Ast/sexp.scm 334 */
																																																																				obj_t
																																																																					BgL_tmpz00_15169;
																																																																				BgL_tmpz00_15169
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					((BgL_objectz00_bglt) BgL_astz00_8716));
																																																																				BgL_arg1825z00_10215
																																																																					=
																																																																					(BgL_objectz00_bglt)
																																																																					(BgL_tmpz00_15169);
																																																																			}
																																																																			{	/* Ast/sexp.scm 334 */
																																																																				bool_t
																																																																					BgL_arg1822z00_10218;
																																																																				bool_t
																																																																					BgL_arg1823z00_10219;
																																																																				{	/* Ast/sexp.scm 334 */
																																																																					long
																																																																						BgL_idxz00_10222;
																																																																					BgL_idxz00_10222
																																																																						=
																																																																						BGL_OBJECT_INHERITANCE_NUM
																																																																						(BgL_arg1825z00_10215);
																																																																					BgL_arg1822z00_10218
																																																																						=
																																																																						(VECTOR_REF
																																																																						(BGl_za2inheritancesza2z00zz__objectz00,
																																																																							(BgL_idxz00_10222
																																																																								+
																																																																								((long) 2))) == BgL_classz00_10213);
																																																																				}
																																																																				{	/* Ast/sexp.scm 334 */
																																																																					bool_t
																																																																						BgL_res7439z00_10244;
																																																																					{	/* Ast/sexp.scm 334 */
																																																																						obj_t
																																																																							BgL_oclassz00_10230;
																																																																						{	/* Ast/sexp.scm 334 */
																																																																							long
																																																																								BgL_arg1833z00_10236;
																																																																							{	/* Ast/sexp.scm 334 */
																																																																								long
																																																																									BgL_arg1834z00_10237;
																																																																								BgL_arg1834z00_10237
																																																																									=
																																																																									BGL_OBJECT_CLASS_NUM
																																																																									(BgL_arg1825z00_10215);
																																																																								BgL_arg1833z00_10236
																																																																									=
																																																																									(BgL_arg1834z00_10237
																																																																									-
																																																																									OBJECT_TYPE);
																																																																							}
																																																																							BgL_oclassz00_10230
																																																																								=
																																																																								VECTOR_REF
																																																																								(BGl_za2classesza2z00zz__objectz00,
																																																																								BgL_arg1833z00_10236);
																																																																						}
																																																																						{	/* Ast/sexp.scm 334 */
																																																																							bool_t
																																																																								BgL__ortest_1110z00_10231;
																																																																							BgL__ortest_1110z00_10231
																																																																								=
																																																																								(BgL_classz00_10213
																																																																								==
																																																																								BgL_oclassz00_10230);
																																																																							if (BgL__ortest_1110z00_10231)
																																																																								{	/* Ast/sexp.scm 334 */
																																																																									BgL_res7439z00_10244
																																																																										=
																																																																										BgL__ortest_1110z00_10231;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 334 */
																																																																									long
																																																																										BgL_odepthz00_10232;
																																																																									BgL_odepthz00_10232
																																																																										=
																																																																										BGL_CLASS_DEPTH
																																																																										(BgL_oclassz00_10230);
																																																																									if ((((long) 2) < BgL_odepthz00_10232))
																																																																										{	/* Ast/sexp.scm 334 */
																																																																											obj_t
																																																																												BgL_arg1821z00_10234;
																																																																											BgL_arg1821z00_10234
																																																																												=
																																																																												BGL_CLASS_ANCESTORS_REF
																																																																												(BgL_oclassz00_10230,
																																																																												((long) 2));
																																																																											BgL_res7439z00_10244
																																																																												=
																																																																												(BgL_arg1821z00_10234
																																																																												==
																																																																												BgL_classz00_10213);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 334 */
																																																																											BgL_res7439z00_10244
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																					BgL_arg1823z00_10219
																																																																						=
																																																																						BgL_res7439z00_10244;
																																																																				}
																																																																				BgL_test7678z00_15168
																																																																					=
																																																																					BGL_ISA_C_BACKEND
																																																																					(BgL_arg1822z00_10218,
																																																																					BgL_arg1823z00_10219);
																																																																			}
																																																																		}
																																																																	}
																																																																	if (BgL_test7678z00_15168)
																																																																		{	/* Ast/sexp.scm 334 */
																																																																			BgL_variablez00_bglt
																																																																				BgL_arg6874z00_8725;
																																																																			BgL_arg6874z00_8725
																																																																				=
																																																																				(
																																																																				((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_8716)))->BgL_variablez00);
																																																																			{	/* Ast/sexp.scm 334 */
																																																																				obj_t
																																																																					BgL_classz00_10246;
																																																																				BgL_classz00_10246
																																																																					=
																																																																					BGl_globalz00zzast_varz00;
																																																																				{	/* Ast/sexp.scm 334 */
																																																																					BgL_objectz00_bglt
																																																																						BgL_arg1825z00_10248;
																																																																					{	/* Ast/sexp.scm 334 */
																																																																						obj_t
																																																																							BgL_tmpz00_15190;
																																																																						BgL_tmpz00_15190
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							((BgL_objectz00_bglt) BgL_arg6874z00_8725));
																																																																						BgL_arg1825z00_10248
																																																																							=
																																																																							(BgL_objectz00_bglt)
																																																																							(BgL_tmpz00_15190);
																																																																					}
																																																																					{	/* Ast/sexp.scm 334 */
																																																																						bool_t
																																																																							BgL_arg1822z00_10251;
																																																																						bool_t
																																																																							BgL_arg1823z00_10252;
																																																																						{	/* Ast/sexp.scm 334 */
																																																																							long
																																																																								BgL_idxz00_10255;
																																																																							BgL_idxz00_10255
																																																																								=
																																																																								BGL_OBJECT_INHERITANCE_NUM
																																																																								(BgL_arg1825z00_10248);
																																																																							BgL_arg1822z00_10251
																																																																								=
																																																																								(VECTOR_REF
																																																																								(BGl_za2inheritancesza2z00zz__objectz00,
																																																																									(BgL_idxz00_10255
																																																																										+
																																																																										((long) 2))) == BgL_classz00_10246);
																																																																						}
																																																																						{	/* Ast/sexp.scm 334 */
																																																																							bool_t
																																																																								BgL_res7440z00_10277;
																																																																							{	/* Ast/sexp.scm 334 */
																																																																								obj_t
																																																																									BgL_oclassz00_10263;
																																																																								{	/* Ast/sexp.scm 334 */
																																																																									long
																																																																										BgL_arg1833z00_10269;
																																																																									{	/* Ast/sexp.scm 334 */
																																																																										long
																																																																											BgL_arg1834z00_10270;
																																																																										BgL_arg1834z00_10270
																																																																											=
																																																																											BGL_OBJECT_CLASS_NUM
																																																																											(BgL_arg1825z00_10248);
																																																																										BgL_arg1833z00_10269
																																																																											=
																																																																											(BgL_arg1834z00_10270
																																																																											-
																																																																											OBJECT_TYPE);
																																																																									}
																																																																									BgL_oclassz00_10263
																																																																										=
																																																																										VECTOR_REF
																																																																										(BGl_za2classesza2z00zz__objectz00,
																																																																										BgL_arg1833z00_10269);
																																																																								}
																																																																								{	/* Ast/sexp.scm 334 */
																																																																									bool_t
																																																																										BgL__ortest_1110z00_10264;
																																																																									BgL__ortest_1110z00_10264
																																																																										=
																																																																										(BgL_classz00_10246
																																																																										==
																																																																										BgL_oclassz00_10263);
																																																																									if (BgL__ortest_1110z00_10264)
																																																																										{	/* Ast/sexp.scm 334 */
																																																																											BgL_res7440z00_10277
																																																																												=
																																																																												BgL__ortest_1110z00_10264;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 334 */
																																																																											long
																																																																												BgL_odepthz00_10265;
																																																																											BgL_odepthz00_10265
																																																																												=
																																																																												BGL_CLASS_DEPTH
																																																																												(BgL_oclassz00_10263);
																																																																											if ((((long) 2) < BgL_odepthz00_10265))
																																																																												{	/* Ast/sexp.scm 334 */
																																																																													obj_t
																																																																														BgL_arg1821z00_10267;
																																																																													BgL_arg1821z00_10267
																																																																														=
																																																																														BGL_CLASS_ANCESTORS_REF
																																																																														(BgL_oclassz00_10263,
																																																																														((long) 2));
																																																																													BgL_res7440z00_10277
																																																																														=
																																																																														(BgL_arg1821z00_10267
																																																																														==
																																																																														BgL_classz00_10246);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 334 */
																																																																													BgL_res7440z00_10277
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																							BgL_arg1823z00_10252
																																																																								=
																																																																								BgL_res7440z00_10277;
																																																																						}
																																																																						BgL_test7677z00_15167
																																																																							=
																																																																							BGL_ISA_C_BACKEND
																																																																							(BgL_arg1822z00_10251,
																																																																							BgL_arg1823z00_10252);
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 334 */
																																																																			BgL_test7677z00_15167
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																}
																																																																if (BgL_test7677z00_15167)
																																																																	{	/* Ast/sexp.scm 334 */
																																																																		{	/* Ast/sexp.scm 336 */
																																																																			BgL_variablez00_bglt
																																																																				BgL_arg6872z00_8720;
																																																																			BgL_arg6872z00_8720
																																																																				=
																																																																				(
																																																																				((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_8716)))->BgL_variablez00);
																																																																			((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_arg6872z00_8720)))->BgL_srcz00) = ((obj_t) ((obj_t) BgL_valz00_8715)), BUNSPEC);
																																																																		}
																																																																		{	/* Ast/sexp.scm 337 */
																																																																			BgL_setqz00_bglt
																																																																				BgL_new1137z00_8721;
																																																																			{	/* Ast/sexp.scm 338 */
																																																																				BgL_setqz00_bglt
																																																																					BgL_new1136z00_8722;
																																																																				BgL_new1136z00_8722
																																																																					=
																																																																					(
																																																																					(BgL_setqz00_bglt)
																																																																					BOBJECT
																																																																					(GC_MALLOC
																																																																						(sizeof
																																																																							(struct
																																																																								BgL_setqz00_bgl))));
																																																																				{	/* Ast/sexp.scm 338 */
																																																																					long
																																																																						BgL_arg6873z00_8723;
																																																																					BgL_arg6873z00_8723
																																																																						=
																																																																						BGL_CLASS_NUM
																																																																						(BGl_setqz00zzast_nodez00);
																																																																					BGL_OBJECT_CLASS_NUM_SET
																																																																						(
																																																																						((BgL_objectz00_bglt) BgL_new1136z00_8722), BgL_arg6873z00_8723);
																																																																				}
																																																																				{	/* Ast/sexp.scm 338 */
																																																																					BgL_objectz00_bglt
																																																																						BgL_tmpz00_15218;
																																																																					BgL_tmpz00_15218
																																																																						=
																																																																						(
																																																																						(BgL_objectz00_bglt)
																																																																						BgL_new1136z00_8722);
																																																																					BGL_OBJECT_WIDENING_SET
																																																																						(BgL_tmpz00_15218,
																																																																						BFALSE);
																																																																				}
																																																																				((BgL_objectz00_bglt) BgL_new1136z00_8722);
																																																																				BgL_new1137z00_8721
																																																																					=
																																																																					BgL_new1136z00_8722;
																																																																			}
																																																																			((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1137z00_8721)))->BgL_locz00) = ((obj_t) BgL_locz00_8711), BUNSPEC);
																																																																			((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1137z00_8721)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																																			((((BgL_setqz00_bglt) COBJECT(BgL_new1137z00_8721))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_8716)), BUNSPEC);
																																																																			((((BgL_setqz00_bglt) COBJECT(BgL_new1137z00_8721))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_8715), BUNSPEC);
																																																																			BgL_auxz00_15142
																																																																				=
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_new1137z00_8721);
																																																																	}}
																																																																else
																																																																	{	/* Ast/sexp.scm 342 */
																																																																		BgL_nodez00_bglt
																																																																			BgL_res7441z00_10289;
																																																																		{	/* Ast/sexp.scm 726 */
																																																																			obj_t
																																																																				BgL_arg7194z00_10285;
																																																																			BgL_nodez00_bglt
																																																																				BgL_arg7195z00_10286;
																																																																			BgL_arg7194z00_10285
																																																																				=
																																																																				BGl_shapez00zztools_shapez00
																																																																				(BGl_currentzd2functionzd2zztools_errorz00
																																																																				());
																																																																			BgL_arg7195z00_10286
																																																																				=
																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																				(CNST_TABLE_REF
																																																																				(((long) 4)), BNIL, BgL_locz00_8711, CNST_TABLE_REF(((long) 2)));
																																																																			{	/* Ast/sexp.scm 725 */
																																																																				obj_t
																																																																					BgL_list7196z00_10288;
																																																																				BgL_list7196z00_10288
																																																																					=
																																																																					MAKE_YOUNG_PAIR
																																																																					(
																																																																					((obj_t) BgL_arg7195z00_10286), BNIL);
																																																																				BgL_res7441z00_10289
																																																																					=
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																					(BgL_locz00_8711,
																																																																						BgL_arg7194z00_10285,
																																																																						BGl_string7490z00zzast_sexpz00,
																																																																						BgL_expz00_21,
																																																																						BgL_list7196z00_10288));
																																																																		}}
																																																																		BgL_auxz00_15142
																																																																			=
																																																																			BgL_res7441z00_10289;
																																																							}}}}}}}}}}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																							BgL_tagzd262281zd2_8699:
																																																								{	/* Ast/sexp.scm 346 */
																																																									obj_t
																																																										BgL_arg6877z00_8728;
																																																									BgL_arg6877z00_8728
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_expz00_21,
																																																										BgL_locz00_23);
																																																									{	/* Ast/sexp.scm 345 */
																																																										BgL_nodez00_bglt
																																																											BgL_res7442z00_10295;
																																																										{	/* Ast/sexp.scm 726 */
																																																											obj_t
																																																												BgL_arg7194z00_10291;
																																																											BgL_nodez00_bglt
																																																												BgL_arg7195z00_10292;
																																																											BgL_arg7194z00_10291
																																																												=
																																																												BGl_shapez00zztools_shapez00
																																																												(BGl_currentzd2functionzd2zztools_errorz00
																																																												());
																																																											BgL_arg7195z00_10292
																																																												=
																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																												(CNST_TABLE_REF
																																																												(((long) 4)), BNIL, BgL_arg6877z00_8728, CNST_TABLE_REF(((long) 2)));
																																																											{	/* Ast/sexp.scm 725 */
																																																												obj_t
																																																													BgL_list7196z00_10294;
																																																												BgL_list7196z00_10294
																																																													=
																																																													MAKE_YOUNG_PAIR
																																																													(
																																																													((obj_t) BgL_arg7195z00_10292), BNIL);
																																																												BgL_res7442z00_10295
																																																													=
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BGl_userzd2errorzf2locationz20zztools_errorz00
																																																													(BgL_arg6877z00_8728,
																																																														BgL_arg7194z00_10291,
																																																														BGl_string7489z00zzast_sexpz00,
																																																														BgL_expz00_21,
																																																														BgL_list7196z00_10294));
																																																										}}
																																																										BgL_auxz00_15142
																																																											=
																																																											BgL_res7442z00_10295;
																																																					}}}}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_tagzd262281zd2_8699;
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd262281zd2_8699;
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_tagzd262281zd2_8699;
																																																	}
																																															}
																																															BgL_auxz00_14766
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_15142);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_carzd2706zd2_2637;
																																															BgL_carzd2706zd2_2637
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if (PAIRP(BgL_carzd2706zd2_2637))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_carzd2709zd2_2639;
																																																	obj_t
																																																		BgL_cdrzd2710zd2_2640;
																																																	BgL_carzd2709zd2_2639
																																																		=
																																																		CAR
																																																		(BgL_carzd2706zd2_2637);
																																																	BgL_cdrzd2710zd2_2640
																																																		=
																																																		CDR
																																																		(BgL_carzd2706zd2_2637);
																																																	{

																																																		if ((BgL_carzd2709zd2_2639 == CNST_TABLE_REF(((long) 17))))
																																																			{	/* Ast/sexp.scm 119 */
																																																			BgL_kapzd2711zd2_2641:
																																																				if (PAIRP(BgL_cdrzd2710zd2_2640))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd2714zd2_2766;
																																																						BgL_cdrzd2714zd2_2766
																																																							=
																																																							CDR
																																																							(BgL_cdrzd2710zd2_2640);
																																																						if (PAIRP(BgL_cdrzd2714zd2_2766))
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (NULLP(CDR(BgL_cdrzd2714zd2_2766)))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg2396z00_2770;
																																																										obj_t
																																																											BgL_arg2397z00_2771;
																																																										BgL_arg2396z00_2770
																																																											=
																																																											CAR
																																																											(BgL_cdrzd2714zd2_2766);
																																																										BgL_arg2397z00_2771
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_15273;
																																																											BgL_bodyz00_1789
																																																												=
																																																												BgL_arg2396z00_2770;
																																																											BgL_argsz00_1790
																																																												=
																																																												BgL_arg2397z00_2771;
																																																										BgL_tagzd2381zd2_1791:
																																																											{	/* Ast/sexp.scm 349 */
																																																												obj_t
																																																													BgL_letzd2partzd2_8729;
																																																												BgL_letzd2partzd2_8729
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 349 */
																																																													obj_t
																																																														BgL_nexpz00_8730;
																																																													{	/* Ast/sexp.scm 350 */
																																																														obj_t
																																																															BgL_arg6878z00_8731;
																																																														obj_t
																																																															BgL_arg6879z00_8732;
																																																														BgL_arg6878z00_8731
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_letzd2partzd2_8729));
																																																														{	/* Ast/sexp.scm 350 */
																																																															obj_t
																																																																BgL_arg6880z00_8733;
																																																															obj_t
																																																																BgL_arg6881z00_8734;
																																																															{	/* Ast/sexp.scm 350 */
																																																																obj_t
																																																																	BgL_pairz00_10306;
																																																																BgL_pairz00_10306
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_letzd2partzd2_8729));
																																																																BgL_arg6880z00_8733
																																																																	=
																																																																	CAR
																																																																	(BgL_pairz00_10306);
																																																															}
																																																															{	/* Ast/sexp.scm 350 */
																																																																obj_t
																																																																	BgL_arg6882z00_8735;
																																																																BgL_arg6882z00_8735
																																																																	=
																																																																	MAKE_YOUNG_PAIR
																																																																	(BgL_bodyz00_1789,
																																																																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																	(BgL_argsz00_1790,
																																																																		BNIL));
																																																																BgL_arg6881z00_8734
																																																																	=
																																																																	MAKE_YOUNG_PAIR
																																																																	(BgL_arg6882z00_8735,
																																																																	BNIL);
																																																															}
																																																															BgL_arg6879z00_8732
																																																																=
																																																																MAKE_YOUNG_PAIR
																																																																(BgL_arg6880z00_8733,
																																																																BgL_arg6881z00_8734);
																																																														}
																																																														BgL_nexpz00_8730
																																																															=
																																																															MAKE_YOUNG_PAIR
																																																															(BgL_arg6878z00_8731,
																																																															BgL_arg6879z00_8732);
																																																													}
																																																													{	/* Ast/sexp.scm 350 */

																																																														BgL_auxz00_15273
																																																															=
																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																															(BgL_nexpz00_8730,
																																																															BgL_stackz00_22,
																																																															BgL_locz00_23,
																																																															BgL_sitez00_24);
																																																													}
																																																												}
																																																											}
																																																											BgL_auxz00_14766
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_15273);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd2738zd2_2772;
																																																										BgL_cdrzd2738zd2_2772
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test7688z00_15290;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg2477z00_2883;
																																																												BgL_arg2477z00_2883
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test7688z00_15290
																																																													=
																																																													CBOOL
																																																													(BGl_letzd2symzf3z21zzast_letz00
																																																													(BgL_arg2477z00_2883));
																																																											}
																																																											if (BgL_test7688z00_15290)
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg2400z00_2775;
																																																													obj_t
																																																														BgL_arg2402z00_2776;
																																																													BgL_arg2400z00_2775
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd2738zd2_2772));
																																																													BgL_arg2402z00_2776
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd2738zd2_2772));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_15299;
																																																														BgL_bindingsz00_1792
																																																															=
																																																															BgL_arg2400z00_2775;
																																																														BgL_exprz00_1793
																																																															=
																																																															BgL_arg2402z00_2776;
																																																													BgL_tagzd2382zd2_1794:
																																																														{	/* Ast/sexp.scm 354 */
																																																															bool_t
																																																																BgL_test7689z00_15300;
																																																															if (PAIRP(BgL_bindingsz00_1792))
																																																																{	/* Ast/sexp.scm 354 */
																																																																	if (NULLP(CDR(BgL_bindingsz00_1792)))
																																																																		{	/* Ast/sexp.scm 354 */
																																																																			if (PAIRP(BgL_exprz00_1793))
																																																																				{	/* Ast/sexp.scm 355 */
																																																																					BgL_test7689z00_15300
																																																																						=
																																																																						NULLP
																																																																						(CDR
																																																																						(BgL_exprz00_1793));
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 355 */
																																																																					BgL_test7689z00_15300
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 354 */
																																																																			BgL_test7689z00_15300
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 354 */
																																																																	BgL_test7689z00_15300
																																																																		=
																																																																		(
																																																																		(bool_t)
																																																																		0);
																																																																}
																																																															if (BgL_test7689z00_15300)
																																																																{
																																																																	obj_t
																																																																		BgL_varz00_8744;
																																																																	obj_t
																																																																		BgL_exprz00_8745;
																																																																	obj_t
																																																																		BgL_idz00_8746;
																																																																	obj_t
																																																																		BgL_thenz00_8747;
																																																																	obj_t
																																																																		BgL_otherwisez00_8748;
																																																																	if (PAIRP(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 356 */
																																																																			obj_t
																																																																				BgL_cdrzd262311zd2_8752;
																																																																			BgL_cdrzd262311zd2_8752
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			if (PAIRP(BgL_cdrzd262311zd2_8752))
																																																																				{	/* Ast/sexp.scm 356 */
																																																																					obj_t
																																																																						BgL_carzd262317zd2_8754;
																																																																					obj_t
																																																																						BgL_cdrzd262318zd2_8755;
																																																																					BgL_carzd262317zd2_8754
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd262311zd2_8752);
																																																																					BgL_cdrzd262318zd2_8755
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd262311zd2_8752);
																																																																					if (PAIRP(BgL_carzd262317zd2_8754))
																																																																						{	/* Ast/sexp.scm 356 */
																																																																							obj_t
																																																																								BgL_carzd262321zd2_8757;
																																																																							BgL_carzd262321zd2_8757
																																																																								=
																																																																								CAR
																																																																								(BgL_carzd262317zd2_8754);
																																																																							if (PAIRP(BgL_carzd262321zd2_8757))
																																																																								{	/* Ast/sexp.scm 356 */
																																																																									obj_t
																																																																										BgL_cdrzd262326zd2_8759;
																																																																									BgL_cdrzd262326zd2_8759
																																																																										=
																																																																										CDR
																																																																										(BgL_carzd262321zd2_8757);
																																																																									if (PAIRP(BgL_cdrzd262326zd2_8759))
																																																																										{	/* Ast/sexp.scm 356 */
																																																																											if (NULLP(CDR(BgL_cdrzd262326zd2_8759)))
																																																																												{	/* Ast/sexp.scm 356 */
																																																																													if (NULLP(CDR(BgL_carzd262317zd2_8754)))
																																																																														{	/* Ast/sexp.scm 356 */
																																																																															if (PAIRP(BgL_cdrzd262318zd2_8755))
																																																																																{	/* Ast/sexp.scm 356 */
																																																																																	obj_t
																																																																																		BgL_carzd262335zd2_8766;
																																																																																	BgL_carzd262335zd2_8766
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd262318zd2_8755);
																																																																																	if (PAIRP(BgL_carzd262335zd2_8766))
																																																																																		{	/* Ast/sexp.scm 356 */
																																																																																			obj_t
																																																																																				BgL_cdrzd262341zd2_8768;
																																																																																			BgL_cdrzd262341zd2_8768
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_carzd262335zd2_8766);
																																																																																			if ((CAR(BgL_carzd262335zd2_8766) == CNST_TABLE_REF(((long) 1))))
																																																																																				{	/* Ast/sexp.scm 356 */
																																																																																					if (PAIRP(BgL_cdrzd262341zd2_8768))
																																																																																						{	/* Ast/sexp.scm 356 */
																																																																																							obj_t
																																																																																								BgL_carzd262345zd2_8772;
																																																																																							obj_t
																																																																																								BgL_cdrzd262346zd2_8773;
																																																																																							BgL_carzd262345zd2_8772
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_cdrzd262341zd2_8768);
																																																																																							BgL_cdrzd262346zd2_8773
																																																																																								=
																																																																																								CDR
																																																																																								(BgL_cdrzd262341zd2_8768);
																																																																																							if (SYMBOLP(BgL_carzd262345zd2_8772))
																																																																																								{	/* Ast/sexp.scm 356 */
																																																																																									if (PAIRP(BgL_cdrzd262346zd2_8773))
																																																																																										{	/* Ast/sexp.scm 356 */
																																																																																											obj_t
																																																																																												BgL_cdrzd262353zd2_8776;
																																																																																											BgL_cdrzd262353zd2_8776
																																																																																												=
																																																																																												CDR
																																																																																												(BgL_cdrzd262346zd2_8773);
																																																																																											if (PAIRP(BgL_cdrzd262353zd2_8776))
																																																																																												{	/* Ast/sexp.scm 356 */
																																																																																													if (NULLP(CDR(BgL_cdrzd262353zd2_8776)))
																																																																																														{	/* Ast/sexp.scm 356 */
																																																																																															if (NULLP(CDR(BgL_cdrzd262318zd2_8755)))
																																																																																																{	/* Ast/sexp.scm 356 */
																																																																																																	BgL_varz00_8744
																																																																																																		=
																																																																																																		CAR
																																																																																																		(BgL_carzd262321zd2_8757);
																																																																																																	BgL_exprz00_8745
																																																																																																		=
																																																																																																		CAR
																																																																																																		(BgL_cdrzd262326zd2_8759);
																																																																																																	BgL_idz00_8746
																																																																																																		=
																																																																																																		BgL_carzd262345zd2_8772;
																																																																																																	BgL_thenz00_8747
																																																																																																		=
																																																																																																		CAR
																																																																																																		(BgL_cdrzd262346zd2_8773);
																																																																																																	BgL_otherwisez00_8748
																																																																																																		=
																																																																																																		CAR
																																																																																																		(BgL_cdrzd262353zd2_8776);
																																																																																																	{	/* Ast/sexp.scm 361 */
																																																																																																		obj_t
																																																																																																			BgL_ntz00_8791;
																																																																																																		BgL_ntz00_8791
																																																																																																			=
																																																																																																			BGl_notzd2testzd2zzast_sexpz00
																																																																																																			(BgL_exprz00_8745);
																																																																																																		{	/* Ast/sexp.scm 362 */
																																																																																																			bool_t
																																																																																																				BgL_test7709z00_15359;
																																																																																																			if (CBOOL(BgL_ntz00_8791))
																																																																																																				{	/* Ast/sexp.scm 362 */
																																																																																																					if (BGl_usedzd2inzf3z21zzast_sexpz00(BgL_idz00_8746, BgL_otherwisez00_8748))
																																																																																																						{	/* Ast/sexp.scm 363 */
																																																																																																							BgL_test7709z00_15359
																																																																																																								=
																																																																																																								(
																																																																																																								(bool_t)
																																																																																																								0);
																																																																																																						}
																																																																																																					else
																																																																																																						{	/* Ast/sexp.scm 363 */
																																																																																																							if (BGl_usedzd2inzf3z21zzast_sexpz00(BgL_idz00_8746, BgL_thenz00_8747))
																																																																																																								{	/* Ast/sexp.scm 364 */
																																																																																																									BgL_test7709z00_15359
																																																																																																										=
																																																																																																										(
																																																																																																										(bool_t)
																																																																																																										0);
																																																																																																								}
																																																																																																							else
																																																																																																								{	/* Ast/sexp.scm 364 */
																																																																																																									BgL_test7709z00_15359
																																																																																																										=
																																																																																																										(
																																																																																																										(bool_t)
																																																																																																										1);
																																																																																																								}
																																																																																																						}
																																																																																																				}
																																																																																																			else
																																																																																																				{	/* Ast/sexp.scm 362 */
																																																																																																					BgL_test7709z00_15359
																																																																																																						=
																																																																																																						(
																																																																																																						(bool_t)
																																																																																																						0);
																																																																																																				}
																																																																																																			if (BgL_test7709z00_15359)
																																																																																																				{	/* Ast/sexp.scm 365 */
																																																																																																					obj_t
																																																																																																						BgL_bindingz00_8795;
																																																																																																					obj_t
																																																																																																						BgL_bodyz00_8796;
																																																																																																					BgL_bindingz00_8795
																																																																																																						=
																																																																																																						CAR
																																																																																																						(
																																																																																																						((obj_t) BgL_bindingsz00_1792));
																																																																																																					{	/* Ast/sexp.scm 366 */
																																																																																																						obj_t
																																																																																																							BgL_pairz00_10315;
																																																																																																						{	/* Ast/sexp.scm 366 */
																																																																																																							obj_t
																																																																																																								BgL_pairz00_10314;
																																																																																																							BgL_pairz00_10314
																																																																																																								=
																																																																																																								CDR
																																																																																																								(
																																																																																																								((obj_t) BgL_expz00_21));
																																																																																																							BgL_pairz00_10315
																																																																																																								=
																																																																																																								CDR
																																																																																																								(BgL_pairz00_10314);
																																																																																																						}
																																																																																																						BgL_bodyz00_8796
																																																																																																							=
																																																																																																							CAR
																																																																																																							(BgL_pairz00_10315);
																																																																																																					}
																																																																																																					{	/* Ast/sexp.scm 367 */
																																																																																																						obj_t
																																																																																																							BgL_arg6923z00_8797;
																																																																																																						BgL_arg6923z00_8797
																																																																																																							=
																																																																																																							CDR
																																																																																																							(
																																																																																																							((obj_t) BgL_bindingz00_8795));
																																																																																																						{	/* Ast/sexp.scm 367 */
																																																																																																							obj_t
																																																																																																								BgL_tmpz00_15374;
																																																																																																							BgL_tmpz00_15374
																																																																																																								=
																																																																																																								(
																																																																																																								(obj_t)
																																																																																																								BgL_arg6923z00_8797);
																																																																																																							SET_CAR
																																																																																																								(BgL_tmpz00_15374,
																																																																																																								BgL_ntz00_8791);
																																																																																																						}
																																																																																																					}
																																																																																																					{	/* Ast/sexp.scm 368 */
																																																																																																						obj_t
																																																																																																							BgL_arg6924z00_8798;
																																																																																																						{	/* Ast/sexp.scm 368 */
																																																																																																							obj_t
																																																																																																								BgL_pairz00_10321;
																																																																																																							BgL_pairz00_10321
																																																																																																								=
																																																																																																								CDR
																																																																																																								(
																																																																																																								((obj_t) BgL_bodyz00_8796));
																																																																																																							BgL_arg6924z00_8798
																																																																																																								=
																																																																																																								CDR
																																																																																																								(BgL_pairz00_10321);
																																																																																																						}
																																																																																																						{	/* Ast/sexp.scm 368 */
																																																																																																							obj_t
																																																																																																								BgL_tmpz00_15380;
																																																																																																							BgL_tmpz00_15380
																																																																																																								=
																																																																																																								(
																																																																																																								(obj_t)
																																																																																																								BgL_arg6924z00_8798);
																																																																																																							SET_CAR
																																																																																																								(BgL_tmpz00_15380,
																																																																																																								BgL_otherwisez00_8748);
																																																																																																						}
																																																																																																					}
																																																																																																					{	/* Ast/sexp.scm 369 */
																																																																																																						obj_t
																																																																																																							BgL_arg6925z00_8799;
																																																																																																						{	/* Ast/sexp.scm 369 */
																																																																																																							obj_t
																																																																																																								BgL_pairz00_10328;
																																																																																																							{	/* Ast/sexp.scm 369 */
																																																																																																								obj_t
																																																																																																									BgL_pairz00_10327;
																																																																																																								BgL_pairz00_10327
																																																																																																									=
																																																																																																									CDR
																																																																																																									(
																																																																																																									((obj_t) BgL_bodyz00_8796));
																																																																																																								BgL_pairz00_10328
																																																																																																									=
																																																																																																									CDR
																																																																																																									(BgL_pairz00_10327);
																																																																																																							}
																																																																																																							BgL_arg6925z00_8799
																																																																																																								=
																																																																																																								CDR
																																																																																																								(BgL_pairz00_10328);
																																																																																																						}
																																																																																																						{	/* Ast/sexp.scm 369 */
																																																																																																							obj_t
																																																																																																								BgL_tmpz00_15387;
																																																																																																							BgL_tmpz00_15387
																																																																																																								=
																																																																																																								(
																																																																																																								(obj_t)
																																																																																																								BgL_arg6925z00_8799);
																																																																																																							SET_CAR
																																																																																																								(BgL_tmpz00_15387,
																																																																																																								BgL_thenz00_8747);
																																																																																																						}
																																																																																																					}
																																																																																																				}
																																																																																																			else
																																																																																																				{	/* Ast/sexp.scm 362 */
																																																																																																					BFALSE;
																																																																																																				}
																																																																																																		}
																																																																																																	}
																																																																																																}
																																																																																															else
																																																																																																{	/* Ast/sexp.scm 356 */
																																																																																																	BFALSE;
																																																																																																}
																																																																																														}
																																																																																													else
																																																																																														{	/* Ast/sexp.scm 356 */
																																																																																															BFALSE;
																																																																																														}
																																																																																												}
																																																																																											else
																																																																																												{	/* Ast/sexp.scm 356 */
																																																																																													BFALSE;
																																																																																												}
																																																																																										}
																																																																																									else
																																																																																										{	/* Ast/sexp.scm 356 */
																																																																																											BFALSE;
																																																																																										}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 356 */
																																																																																									BFALSE;
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 356 */
																																																																																							BFALSE;
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 356 */
																																																																																					BFALSE;
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 356 */
																																																																																			BFALSE;
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 356 */
																																																																																	BFALSE;
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 356 */
																																																																															BFALSE;
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 356 */
																																																																													BFALSE;
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 356 */
																																																																											BFALSE;
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 356 */
																																																																									BFALSE;
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 356 */
																																																																							BFALSE;
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 356 */
																																																																					BFALSE;
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 356 */
																																																																			BFALSE;
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 354 */
																																																																	BFALSE;
																																																																}
																																																														}
																																																														BgL_auxz00_15299
																																																															=
																																																															BGl_letzd2ze3nodez31zzast_letz00
																																																															(BgL_expz00_21,
																																																															BgL_stackz00_22,
																																																															BgL_locz00_23,
																																																															CNST_TABLE_REF
																																																															(((long) 2)));
																																																														BgL_auxz00_14766
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_15299);
																																																												}}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test7713z00_15397;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg2476z00_2882;
																																																														BgL_arg2476z00_2882
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test7713z00_15397
																																																															=
																																																															CBOOL
																																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																																															(BgL_arg2476z00_2882));
																																																													}
																																																													if (BgL_test7713z00_15397)
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_15402;
																																																														BgL_tagzd2384zd2_1796:
																																																															BgL_auxz00_15402 = BGl_labelszd2ze3nodez31zzast_labelsz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																															BgL_auxz00_14766
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_15402);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd2805zd2_2779;
																																																															BgL_carzd2805zd2_2779
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd2810zd2_2780;
																																																																BgL_cdrzd2810zd2_2780
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd2805zd2_2779));
																																																																if ((CAR(((obj_t) BgL_carzd2805zd2_2779)) == CNST_TABLE_REF(((long) 3))))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg2409z00_2783;
																																																																		obj_t
																																																																			BgL_arg2410z00_2784;
																																																																		obj_t
																																																																			BgL_arg2411z00_2785;
																																																																		BgL_arg2409z00_2783
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd2810zd2_2780));
																																																																		BgL_arg2410z00_2784
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd2810zd2_2780));
																																																																		BgL_arg2411z00_2785
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_15421;
																																																																			BgL_varsz00_1801
																																																																				=
																																																																				BgL_arg2409z00_2783;
																																																																			BgL_bodyz00_1802
																																																																				=
																																																																				BgL_arg2410z00_2784;
																																																																			BgL_argsz00_1803
																																																																				=
																																																																				BgL_arg2411z00_2785;
																																																																		BgL_tagzd2386zd2_1804:
																																																																			{	/* Ast/sexp.scm 383 */
																																																																				obj_t
																																																																					BgL_locz00_8811;
																																																																				obj_t
																																																																					BgL_nexpz00_8812;
																																																																				BgL_locz00_8811
																																																																					=
																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																					(BgL_expz00_21,
																																																																					BgL_locz00_23);
																																																																				{	/* Ast/sexp.scm 384 */
																																																																					obj_t
																																																																						BgL_arg6930z00_8813;
																																																																					obj_t
																																																																						BgL_arg6931z00_8814;
																																																																					BgL_arg6930z00_8813
																																																																						=
																																																																						BGl_letzd2symzd2zzast_letz00
																																																																						();
																																																																					{	/* Ast/sexp.scm 387 */
																																																																						obj_t
																																																																							BgL_arg6932z00_8815;
																																																																						obj_t
																																																																							BgL_arg6933z00_8816;
																																																																						BgL_arg6932z00_8815
																																																																							=
																																																																							BGl_loopze70ze7zzast_sexpz00
																																																																							(BgL_expz00_21,
																																																																							BgL_locz00_23,
																																																																							BgL_varsz00_1801,
																																																																							BgL_argsz00_1803);
																																																																						{	/* Ast/sexp.scm 426 */
																																																																							obj_t
																																																																								BgL_arg6975z00_8866;
																																																																							{	/* Ast/sexp.scm 426 */
																																																																								obj_t
																																																																									BgL_arg6976z00_8867;
																																																																								obj_t
																																																																									BgL_arg6977z00_8868;
																																																																								BgL_arg6976z00_8867
																																																																									=
																																																																									BGl_shapez00zztools_shapez00
																																																																									(BGl_currentzd2functionzd2zztools_errorz00
																																																																									());
																																																																								BgL_arg6977z00_8868
																																																																									=
																																																																									BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																									(BgL_bodyz00_1802);
																																																																								{	/* Ast/sexp.scm 430 */
																																																																									obj_t
																																																																										BgL_zc3z04anonymousza36980ze3z87_14240;
																																																																									BgL_zc3z04anonymousza36980ze3z87_14240
																																																																										=
																																																																										MAKE_FX_PROCEDURE
																																																																										(BGl_z62zc3z04anonymousza36980ze3ze5zzast_sexpz00,
																																																																										(int)
																																																																										(((long) 3)), (int) (((long) 1)));
																																																																									PROCEDURE_SET
																																																																										(BgL_zc3z04anonymousza36980ze3z87_14240,
																																																																										(int)
																																																																										(((long) 0)), BgL_locz00_23);
																																																																									BgL_arg6975z00_8866
																																																																										=
																																																																										BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
																																																																										(BgL_arg6976z00_8867,
																																																																										BgL_varsz00_1801,
																																																																										BgL_arg6977z00_8868,
																																																																										BgL_zc3z04anonymousza36980ze3z87_14240);
																																																																							}}
																																																																							BgL_arg6933z00_8816
																																																																								=
																																																																								MAKE_YOUNG_PAIR
																																																																								(BgL_arg6975z00_8866,
																																																																								BNIL);
																																																																						}
																																																																						BgL_arg6931z00_8814
																																																																							=
																																																																							MAKE_YOUNG_PAIR
																																																																							(BgL_arg6932z00_8815,
																																																																							BgL_arg6933z00_8816);
																																																																					}
																																																																					BgL_nexpz00_8812
																																																																						=
																																																																						MAKE_YOUNG_PAIR
																																																																						(BgL_arg6930z00_8813,
																																																																						BgL_arg6931z00_8814);
																																																																				}
																																																																				BgL_auxz00_15421
																																																																					=
																																																																					BGl_letzd2ze3nodez31zzast_letz00
																																																																					(BgL_nexpz00_8812,
																																																																					BgL_stackz00_22,
																																																																					BgL_locz00_8811,
																																																																					CNST_TABLE_REF
																																																																					(((long) 2)));
																																																																			}
																																																																			BgL_auxz00_14766
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_15421);
																																																																	}}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd2833zd2_2787;
																																																																		BgL_cdrzd2833zd2_2787
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd2839zd2_2788;
																																																																			BgL_cdrzd2839zd2_2788
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_carzd2805zd2_2779));
																																																																			if ((CAR(((obj_t) BgL_carzd2805zd2_2779)) == CNST_TABLE_REF(((long) 1))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd2845zd2_2791;
																																																																					BgL_cdrzd2845zd2_2791
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd2839zd2_2788));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd2850zd2_2792;
																																																																						obj_t
																																																																							BgL_cdrzd2851zd2_2793;
																																																																						BgL_carzd2850zd2_2792
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd2845zd2_2791));
																																																																						BgL_cdrzd2851zd2_2793
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd2845zd2_2791));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2850zd2_2792))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (PAIRP(BgL_cdrzd2851zd2_2793))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd2858zd2_2796;
																																																																										BgL_carzd2858zd2_2796
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd2851zd2_2793);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2858zd2_2796))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (NULLP(CDR(BgL_cdrzd2851zd2_2793)))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test7720z00_15465;
																																																																														{
																																																																															obj_t
																																																																																BgL_l1370z00_2829;
																																																																															BgL_l1370z00_2829
																																																																																=
																																																																																BgL_cdrzd2833zd2_2787;
																																																																														BgL_zc3z04anonymousza32437ze3z87_2830:
																																																																															if (NULLP(BgL_l1370z00_2829))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test7720z00_15465
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	bool_t
																																																																																		BgL_test7722z00_15468;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		bool_t
																																																																																			BgL_test7723z00_15469;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_tmpz00_15470;
																																																																																			BgL_tmpz00_15470
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_l1370z00_2829));
																																																																																			BgL_test7723z00_15469
																																																																																				=
																																																																																				PAIRP
																																																																																				(BgL_tmpz00_15470);
																																																																																		}
																																																																																		if (BgL_test7723z00_15469)
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test7722z00_15468
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					0);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test7722z00_15468
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					1);
																																																																																			}
																																																																																	}
																																																																																	if (BgL_test7722z00_15468)
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_l1370z00_15474;
																																																																																			BgL_l1370z00_15474
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_l1370z00_2829));
																																																																																			BgL_l1370z00_2829
																																																																																				=
																																																																																				BgL_l1370z00_15474;
																																																																																			goto
																																																																																				BgL_zc3z04anonymousza32437ze3z87_2830;
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test7720z00_15465
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																}
																																																																														}
																																																																														if (BgL_test7720z00_15465)
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg2426z00_2812;
																																																																																BgL_arg2426z00_2812
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd2839zd2_2788));
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_15479;
																																																																																	BgL_testz00_1805
																																																																																		=
																																																																																		BgL_arg2426z00_2812;
																																																																																	BgL_proc1z00_1806
																																																																																		=
																																																																																		BgL_carzd2850zd2_2792;
																																																																																	BgL_proc2z00_1807
																																																																																		=
																																																																																		BgL_carzd2858zd2_2796;
																																																																																	BgL_argsz00_1808
																																																																																		=
																																																																																		BgL_cdrzd2833zd2_2787;
																																																																																BgL_tagzd2387zd2_1809:
																																																																																	{	/* Ast/sexp.scm 437 */
																																																																																		obj_t
																																																																																			BgL_nexpz00_8877;
																																																																																		{	/* Ast/sexp.scm 437 */
																																																																																			obj_t
																																																																																				BgL_arg6983z00_8879;
																																																																																			{	/* Ast/sexp.scm 437 */
																																																																																				obj_t
																																																																																					BgL_arg6984z00_8880;
																																																																																				{	/* Ast/sexp.scm 437 */
																																																																																					obj_t
																																																																																						BgL_arg6985z00_8881;
																																																																																					obj_t
																																																																																						BgL_arg6986z00_8882;
																																																																																					BgL_arg6985z00_8881
																																																																																						=
																																																																																						MAKE_YOUNG_PAIR
																																																																																						(BgL_proc1z00_1806,
																																																																																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																						(BgL_argsz00_1808,
																																																																																							BNIL));
																																																																																					{	/* Ast/sexp.scm 437 */
																																																																																						obj_t
																																																																																							BgL_arg6988z00_8884;
																																																																																						BgL_arg6988z00_8884
																																																																																							=
																																																																																							MAKE_YOUNG_PAIR
																																																																																							(BgL_proc2z00_1807,
																																																																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																							(BgL_argsz00_1808,
																																																																																								BNIL));
																																																																																						BgL_arg6986z00_8882
																																																																																							=
																																																																																							MAKE_YOUNG_PAIR
																																																																																							(BgL_arg6988z00_8884,
																																																																																							BNIL);
																																																																																					}
																																																																																					BgL_arg6984z00_8880
																																																																																						=
																																																																																						MAKE_YOUNG_PAIR
																																																																																						(BgL_arg6985z00_8881,
																																																																																						BgL_arg6986z00_8882);
																																																																																				}
																																																																																				BgL_arg6983z00_8879
																																																																																					=
																																																																																					MAKE_YOUNG_PAIR
																																																																																					(BgL_testz00_1805,
																																																																																					BgL_arg6984z00_8880);
																																																																																			}
																																																																																			BgL_nexpz00_8877
																																																																																				=
																																																																																				MAKE_YOUNG_PAIR
																																																																																				(CNST_TABLE_REF
																																																																																				(((long) 1)), BgL_arg6983z00_8879);
																																																																																		}
																																																																																		BgL_auxz00_15479
																																																																																			=
																																																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																			(BgL_nexpz00_8877,
																																																																																			BgL_stackz00_22,
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																				BgL_locz00_23),
																																																																																			BgL_sitez00_24);
																																																																																	}
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15479);
																																																																															}}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd2882zd2_2813;
																																																																																BgL_cdrzd2882zd2_2813
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd2889zd2_2814;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_pairz00_10538;
																																																																																		BgL_pairz00_10538
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		BgL_cdrzd2889zd2_2814
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_pairz00_10538);
																																																																																	}
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd2896zd2_2815;
																																																																																		BgL_cdrzd2896zd2_2815
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd2889zd2_2814));
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_carzd2902zd2_2816;
																																																																																			BgL_carzd2902zd2_2816
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd2896zd2_2815));
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2902zd2_2816))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_carzd2909zd2_2818;
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_pairz00_10542;
																																																																																						BgL_pairz00_10542
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd2896zd2_2815));
																																																																																						BgL_carzd2909zd2_2818
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_pairz00_10542);
																																																																																					}
																																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2909zd2_2818))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd2882zd2_2813))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									obj_t
																																																																																										BgL_arg2430z00_2821;
																																																																																									BgL_arg2430z00_2821
																																																																																										=
																																																																																										CAR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd2889zd2_2814));
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_15512;
																																																																																										BgL_testz00_1810
																																																																																											=
																																																																																											BgL_arg2430z00_2821;
																																																																																										BgL_proc1z00_1811
																																																																																											=
																																																																																											BgL_carzd2902zd2_2816;
																																																																																										BgL_proc2z00_1812
																																																																																											=
																																																																																											BgL_carzd2909zd2_2818;
																																																																																										BgL_argsz00_1813
																																																																																											=
																																																																																											BgL_cdrzd2882zd2_2813;
																																																																																									BgL_tagzd2388zd2_1814:
																																																																																										{	/* Ast/sexp.scm 443 */
																																																																																											obj_t
																																																																																												BgL_tmpsz00_8886;
																																																																																											if (NULLP(BgL_argsz00_1813))
																																																																																												{	/* Ast/sexp.scm 443 */
																																																																																													BgL_tmpsz00_8886
																																																																																														=
																																																																																														BNIL;
																																																																																												}
																																																																																											else
																																																																																												{	/* Ast/sexp.scm 443 */
																																																																																													obj_t
																																																																																														BgL_head1359z00_8930;
																																																																																													BgL_head1359z00_8930
																																																																																														=
																																																																																														MAKE_YOUNG_PAIR
																																																																																														(BNIL,
																																																																																														BNIL);
																																																																																													{
																																																																																														obj_t
																																																																																															BgL_l1357z00_8932;
																																																																																														obj_t
																																																																																															BgL_tail1360z00_8933;
																																																																																														BgL_l1357z00_8932
																																																																																															=
																																																																																															BgL_argsz00_1813;
																																																																																														BgL_tail1360z00_8933
																																																																																															=
																																																																																															BgL_head1359z00_8930;
																																																																																													BgL_zc3z04anonymousza37019ze3z87_8934:
																																																																																														if (NULLP(BgL_l1357z00_8932))
																																																																																															{	/* Ast/sexp.scm 443 */
																																																																																																BgL_tmpsz00_8886
																																																																																																	=
																																																																																																	CDR
																																																																																																	(BgL_head1359z00_8930);
																																																																																															}
																																																																																														else
																																																																																															{	/* Ast/sexp.scm 443 */
																																																																																																obj_t
																																																																																																	BgL_newtail1361z00_8936;
																																																																																																{	/* Ast/sexp.scm 443 */
																																																																																																	obj_t
																																																																																																		BgL_arg7022z00_8938;
																																																																																																	{	/* Ast/sexp.scm 443 */

																																																																																																		{	/* Ast/sexp.scm 443 */

																																																																																																			BgL_arg7022z00_8938
																																																																																																				=
																																																																																																				BGl_gensymz00zz__r4_symbols_6_4z00
																																																																																																				(BFALSE);
																																																																																																		}
																																																																																																	}
																																																																																																	BgL_newtail1361z00_8936
																																																																																																		=
																																																																																																		MAKE_YOUNG_PAIR
																																																																																																		(BgL_arg7022z00_8938,
																																																																																																		BNIL);
																																																																																																}
																																																																																																SET_CDR
																																																																																																	(BgL_tail1360z00_8933,
																																																																																																	BgL_newtail1361z00_8936);
																																																																																																{	/* Ast/sexp.scm 443 */
																																																																																																	obj_t
																																																																																																		BgL_arg7021z00_8937;
																																																																																																	BgL_arg7021z00_8937
																																																																																																		=
																																																																																																		CDR
																																																																																																		(
																																																																																																		((obj_t) BgL_l1357z00_8932));
																																																																																																	{
																																																																																																		obj_t
																																																																																																			BgL_tail1360z00_15525;
																																																																																																		obj_t
																																																																																																			BgL_l1357z00_15524;
																																																																																																		BgL_l1357z00_15524
																																																																																																			=
																																																																																																			BgL_arg7021z00_8937;
																																																																																																		BgL_tail1360z00_15525
																																																																																																			=
																																																																																																			BgL_newtail1361z00_8936;
																																																																																																		BgL_tail1360z00_8933
																																																																																																			=
																																																																																																			BgL_tail1360z00_15525;
																																																																																																		BgL_l1357z00_8932
																																																																																																			=
																																																																																																			BgL_l1357z00_15524;
																																																																																																		goto
																																																																																																			BgL_zc3z04anonymousza37019ze3z87_8934;
																																																																																																	}
																																																																																																}
																																																																																															}
																																																																																													}
																																																																																												}
																																																																																											{	/* Ast/sexp.scm 443 */
																																																																																												obj_t
																																																																																													BgL_locz00_8887;
																																																																																												BgL_locz00_8887
																																																																																													=
																																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																													(BgL_expz00_21,
																																																																																													BgL_locz00_23);
																																																																																												{	/* Ast/sexp.scm 444 */
																																																																																													obj_t
																																																																																														BgL_nexpz00_8888;
																																																																																													{	/* Ast/sexp.scm 445 */
																																																																																														obj_t
																																																																																															BgL_arg6991z00_8890;
																																																																																														obj_t
																																																																																															BgL_arg6992z00_8891;
																																																																																														BgL_arg6991z00_8890
																																																																																															=
																																																																																															BGl_letzd2symzd2zzast_letz00
																																																																																															();
																																																																																														{	/* Ast/sexp.scm 445 */
																																																																																															obj_t
																																																																																																BgL_arg6993z00_8892;
																																																																																															obj_t
																																																																																																BgL_arg6994z00_8893;
																																																																																															if (NULLP(BgL_tmpsz00_8886))
																																																																																																{	/* Ast/sexp.scm 445 */
																																																																																																	BgL_arg6993z00_8892
																																																																																																		=
																																																																																																		BNIL;
																																																																																																}
																																																																																															else
																																																																																																{	/* Ast/sexp.scm 445 */
																																																																																																	obj_t
																																																																																																		BgL_head1364z00_8897;
																																																																																																	{	/* Ast/sexp.scm 445 */
																																																																																																		obj_t
																																																																																																			BgL_arg7005z00_8915;
																																																																																																		{	/* Ast/sexp.scm 445 */
																																																																																																			obj_t
																																																																																																				BgL_arg7006z00_8916;
																																																																																																			obj_t
																																																																																																				BgL_arg7007z00_8917;
																																																																																																			BgL_arg7006z00_8916
																																																																																																				=
																																																																																																				CAR
																																																																																																				(
																																																																																																				((obj_t) BgL_tmpsz00_8886));
																																																																																																			BgL_arg7007z00_8917
																																																																																																				=
																																																																																																				CAR
																																																																																																				(
																																																																																																				((obj_t) BgL_argsz00_1813));
																																																																																																			{	/* Ast/sexp.scm 445 */
																																																																																																				obj_t
																																																																																																					BgL_list7008z00_8918;
																																																																																																				{	/* Ast/sexp.scm 445 */
																																																																																																					obj_t
																																																																																																						BgL_arg7009z00_8919;
																																																																																																					BgL_arg7009z00_8919
																																																																																																						=
																																																																																																						MAKE_YOUNG_PAIR
																																																																																																						(BgL_arg7007z00_8917,
																																																																																																						BNIL);
																																																																																																					BgL_list7008z00_8918
																																																																																																						=
																																																																																																						MAKE_YOUNG_PAIR
																																																																																																						(BgL_arg7006z00_8916,
																																																																																																						BgL_arg7009z00_8919);
																																																																																																				}
																																																																																																				BgL_arg7005z00_8915
																																																																																																					=
																																																																																																					BgL_list7008z00_8918;
																																																																																																			}
																																																																																																		}
																																																																																																		BgL_head1364z00_8897
																																																																																																			=
																																																																																																			MAKE_YOUNG_PAIR
																																																																																																			(BgL_arg7005z00_8915,
																																																																																																			BNIL);
																																																																																																	}
																																																																																																	{	/* Ast/sexp.scm 445 */
																																																																																																		obj_t
																																																																																																			BgL_g1368z00_8898;
																																																																																																		obj_t
																																																																																																			BgL_g1369z00_8899;
																																																																																																		BgL_g1368z00_8898
																																																																																																			=
																																																																																																			CDR
																																																																																																			(
																																																																																																			((obj_t) BgL_tmpsz00_8886));
																																																																																																		BgL_g1369z00_8899
																																																																																																			=
																																																																																																			CDR
																																																																																																			(
																																																																																																			((obj_t) BgL_argsz00_1813));
																																																																																																		{
																																																																																																			obj_t
																																																																																																				BgL_ll1362z00_8901;
																																																																																																			obj_t
																																																																																																				BgL_ll1363z00_8902;
																																																																																																			obj_t
																																																																																																				BgL_tail1365z00_8903;
																																																																																																			BgL_ll1362z00_8901
																																																																																																				=
																																																																																																				BgL_g1368z00_8898;
																																																																																																			BgL_ll1363z00_8902
																																																																																																				=
																																																																																																				BgL_g1369z00_8899;
																																																																																																			BgL_tail1365z00_8903
																																																																																																				=
																																																																																																				BgL_head1364z00_8897;
																																																																																																		BgL_zc3z04anonymousza36996ze3z87_8904:
																																																																																																			if (NULLP(BgL_ll1362z00_8901))
																																																																																																				{	/* Ast/sexp.scm 445 */
																																																																																																					BgL_arg6993z00_8892
																																																																																																						=
																																																																																																						BgL_head1364z00_8897;
																																																																																																				}
																																																																																																			else
																																																																																																				{	/* Ast/sexp.scm 445 */
																																																																																																					obj_t
																																																																																																						BgL_newtail1366z00_8906;
																																																																																																					{	/* Ast/sexp.scm 445 */
																																																																																																						obj_t
																																																																																																							BgL_arg7000z00_8909;
																																																																																																						{	/* Ast/sexp.scm 445 */
																																																																																																							obj_t
																																																																																																								BgL_arg7001z00_8910;
																																																																																																							obj_t
																																																																																																								BgL_arg7002z00_8911;
																																																																																																							BgL_arg7001z00_8910
																																																																																																								=
																																																																																																								CAR
																																																																																																								(
																																																																																																								((obj_t) BgL_ll1362z00_8901));
																																																																																																							BgL_arg7002z00_8911
																																																																																																								=
																																																																																																								CAR
																																																																																																								(
																																																																																																								((obj_t) BgL_ll1363z00_8902));
																																																																																																							{	/* Ast/sexp.scm 445 */
																																																																																																								obj_t
																																																																																																									BgL_list7003z00_8912;
																																																																																																								{	/* Ast/sexp.scm 445 */
																																																																																																									obj_t
																																																																																																										BgL_arg7004z00_8913;
																																																																																																									BgL_arg7004z00_8913
																																																																																																										=
																																																																																																										MAKE_YOUNG_PAIR
																																																																																																										(BgL_arg7002z00_8911,
																																																																																																										BNIL);
																																																																																																									BgL_list7003z00_8912
																																																																																																										=
																																																																																																										MAKE_YOUNG_PAIR
																																																																																																										(BgL_arg7001z00_8910,
																																																																																																										BgL_arg7004z00_8913);
																																																																																																								}
																																																																																																								BgL_arg7000z00_8909
																																																																																																									=
																																																																																																									BgL_list7003z00_8912;
																																																																																																							}
																																																																																																						}
																																																																																																						BgL_newtail1366z00_8906
																																																																																																							=
																																																																																																							MAKE_YOUNG_PAIR
																																																																																																							(BgL_arg7000z00_8909,
																																																																																																							BNIL);
																																																																																																					}
																																																																																																					SET_CDR
																																																																																																						(BgL_tail1365z00_8903,
																																																																																																						BgL_newtail1366z00_8906);
																																																																																																					{	/* Ast/sexp.scm 445 */
																																																																																																						obj_t
																																																																																																							BgL_arg6998z00_8907;
																																																																																																						obj_t
																																																																																																							BgL_arg6999z00_8908;
																																																																																																						BgL_arg6998z00_8907
																																																																																																							=
																																																																																																							CDR
																																																																																																							(
																																																																																																							((obj_t) BgL_ll1362z00_8901));
																																																																																																						BgL_arg6999z00_8908
																																																																																																							=
																																																																																																							CDR
																																																																																																							(
																																																																																																							((obj_t) BgL_ll1363z00_8902));
																																																																																																						{
																																																																																																							obj_t
																																																																																																								BgL_tail1365z00_15557;
																																																																																																							obj_t
																																																																																																								BgL_ll1363z00_15556;
																																																																																																							obj_t
																																																																																																								BgL_ll1362z00_15555;
																																																																																																							BgL_ll1362z00_15555
																																																																																																								=
																																																																																																								BgL_arg6998z00_8907;
																																																																																																							BgL_ll1363z00_15556
																																																																																																								=
																																																																																																								BgL_arg6999z00_8908;
																																																																																																							BgL_tail1365z00_15557
																																																																																																								=
																																																																																																								BgL_newtail1366z00_8906;
																																																																																																							BgL_tail1365z00_8903
																																																																																																								=
																																																																																																								BgL_tail1365z00_15557;
																																																																																																							BgL_ll1363z00_8902
																																																																																																								=
																																																																																																								BgL_ll1363z00_15556;
																																																																																																							BgL_ll1362z00_8901
																																																																																																								=
																																																																																																								BgL_ll1362z00_15555;
																																																																																																							goto
																																																																																																								BgL_zc3z04anonymousza36996ze3z87_8904;
																																																																																																						}
																																																																																																					}
																																																																																																				}
																																																																																																		}
																																																																																																	}
																																																																																																}
																																																																																															{	/* Ast/sexp.scm 446 */
																																																																																																obj_t
																																																																																																	BgL_arg7010z00_8920;
																																																																																																{	/* Ast/sexp.scm 446 */
																																																																																																	obj_t
																																																																																																		BgL_arg7011z00_8921;
																																																																																																	{	/* Ast/sexp.scm 446 */
																																																																																																		obj_t
																																																																																																			BgL_arg7012z00_8922;
																																																																																																		{	/* Ast/sexp.scm 446 */
																																																																																																			obj_t
																																																																																																				BgL_arg7013z00_8923;
																																																																																																			obj_t
																																																																																																				BgL_arg7014z00_8924;
																																																																																																			BgL_arg7013z00_8923
																																																																																																				=
																																																																																																				MAKE_YOUNG_PAIR
																																																																																																				(BgL_proc1z00_1811,
																																																																																																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																																				(BgL_tmpsz00_8886,
																																																																																																					BNIL));
																																																																																																			{	/* Ast/sexp.scm 446 */
																																																																																																				obj_t
																																																																																																					BgL_arg7016z00_8926;
																																																																																																				BgL_arg7016z00_8926
																																																																																																					=
																																																																																																					MAKE_YOUNG_PAIR
																																																																																																					(BgL_proc2z00_1812,
																																																																																																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																																					(BgL_tmpsz00_8886,
																																																																																																						BNIL));
																																																																																																				BgL_arg7014z00_8924
																																																																																																					=
																																																																																																					MAKE_YOUNG_PAIR
																																																																																																					(BgL_arg7016z00_8926,
																																																																																																					BNIL);
																																																																																																			}
																																																																																																			BgL_arg7012z00_8922
																																																																																																				=
																																																																																																				MAKE_YOUNG_PAIR
																																																																																																				(BgL_arg7013z00_8923,
																																																																																																				BgL_arg7014z00_8924);
																																																																																																		}
																																																																																																		BgL_arg7011z00_8921
																																																																																																			=
																																																																																																			MAKE_YOUNG_PAIR
																																																																																																			(BgL_testz00_1810,
																																																																																																			BgL_arg7012z00_8922);
																																																																																																	}
																																																																																																	BgL_arg7010z00_8920
																																																																																																		=
																																																																																																		MAKE_YOUNG_PAIR
																																																																																																		(CNST_TABLE_REF
																																																																																																		(((long) 1)), BgL_arg7011z00_8921);
																																																																																																}
																																																																																																BgL_arg6994z00_8893
																																																																																																	=
																																																																																																	MAKE_YOUNG_PAIR
																																																																																																	(BgL_arg7010z00_8920,
																																																																																																	BNIL);
																																																																																															}
																																																																																															BgL_arg6992z00_8891
																																																																																																=
																																																																																																MAKE_YOUNG_PAIR
																																																																																																(BgL_arg6993z00_8892,
																																																																																																BgL_arg6994z00_8893);
																																																																																														}
																																																																																														BgL_nexpz00_8888
																																																																																															=
																																																																																															MAKE_YOUNG_PAIR
																																																																																															(BgL_arg6991z00_8890,
																																																																																															BgL_arg6992z00_8891);
																																																																																													}
																																																																																													{	/* Ast/sexp.scm 445 */

																																																																																														BgL_auxz00_15512
																																																																																															=
																																																																																															BGl_letzd2ze3nodez31zzast_letz00
																																																																																															(BgL_nexpz00_8888,
																																																																																															BgL_stackz00_22,
																																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																															(BgL_expz00_21,
																																																																																																BgL_locz00_8887),
																																																																																															BgL_sitez00_24);
																																																																																										}}}}
																																																																																										BgL_auxz00_14766
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_15512);
																																																																																								}}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																										BgL_tagzd2403zd2_1838:
																																																																																											BgL_auxz00_14766 = BGl_privatezd2nodezd2zzast_privatez00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_15576;
																																																																																										BgL_tagzd2404zd2_1839:
																																																																																											BgL_auxz00_15576 = BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																											BgL_auxz00_14766
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_15576);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1838;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_15581;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1839;
																																																																																									BgL_auxz00_14766
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_15581);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1838;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_15585;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1839;
																																																																																							BgL_auxz00_14766
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_15585);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	}
																																																																																}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1838;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_15589;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1839;
																																																																																BgL_auxz00_14766
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_15589);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd21185zd2_2840;
																																																																												BgL_cdrzd21185zd2_2840
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd21191zd2_2841;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_10546;
																																																																														BgL_pairz00_10546
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd21191zd2_2841
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_10546);
																																																																													}
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd21197zd2_2842;
																																																																														BgL_cdrzd21197zd2_2842
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd21191zd2_2841));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd21202zd2_2843;
																																																																															obj_t
																																																																																BgL_cdrzd21203zd2_2844;
																																																																															BgL_carzd21202zd2_2843
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd21197zd2_2842));
																																																																															BgL_cdrzd21203zd2_2844
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd21197zd2_2842));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21202zd2_2843))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd21208zd2_2846;
																																																																																	BgL_carzd21208zd2_2846
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd21203zd2_2844));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21208zd2_2846))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (NULLP(CDR(((obj_t) BgL_cdrzd21203zd2_2844))))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21185zd2_2840))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_arg2448z00_2851;
																																																																																							BgL_arg2448z00_2851
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd21191zd2_2841));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_15616;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_15620;
																																																																																									obj_t
																																																																																										BgL_proc2z00_15619;
																																																																																									obj_t
																																																																																										BgL_proc1z00_15618;
																																																																																									obj_t
																																																																																										BgL_testz00_15617;
																																																																																									BgL_testz00_15617
																																																																																										=
																																																																																										BgL_arg2448z00_2851;
																																																																																									BgL_proc1z00_15618
																																																																																										=
																																																																																										BgL_carzd21202zd2_2843;
																																																																																									BgL_proc2z00_15619
																																																																																										=
																																																																																										BgL_carzd21208zd2_2846;
																																																																																									BgL_argsz00_15620
																																																																																										=
																																																																																										BgL_cdrzd21185zd2_2840;
																																																																																									BgL_argsz00_1813
																																																																																										=
																																																																																										BgL_argsz00_15620;
																																																																																									BgL_proc2z00_1812
																																																																																										=
																																																																																										BgL_proc2z00_15619;
																																																																																									BgL_proc1z00_1811
																																																																																										=
																																																																																										BgL_proc1z00_15618;
																																																																																									BgL_testz00_1810
																																																																																										=
																																																																																										BgL_testz00_15617;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1814;
																																																																																								}
																																																																																								BgL_auxz00_14766
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_15616);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1838;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_15624;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1839;
																																																																																									BgL_auxz00_14766
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_15624);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1838;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_15628;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1839;
																																																																																							BgL_auxz00_14766
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_15628);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1838;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_15632;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1839;
																																																																																					BgL_auxz00_14766
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_15632);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_15636;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_14766
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_15636);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_15640;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																												BgL_auxz00_14766
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_15640);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd21541zd2_2859;
																																																																								BgL_cdrzd21541zd2_2859
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd21548zd2_2860;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_10555;
																																																																										BgL_pairz00_10555
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd21548zd2_2860
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_10555);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd21555zd2_2861;
																																																																										BgL_cdrzd21555zd2_2861
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd21548zd2_2860));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd21561zd2_2862;
																																																																											obj_t
																																																																												BgL_cdrzd21562zd2_2863;
																																																																											BgL_carzd21561zd2_2862
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd21555zd2_2861));
																																																																											BgL_cdrzd21562zd2_2863
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd21555zd2_2861));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21561zd2_2862))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (PAIRP(BgL_cdrzd21562zd2_2863))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd21569zd2_2866;
																																																																															BgL_carzd21569zd2_2866
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd21562zd2_2863);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21569zd2_2866))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (NULLP(CDR(BgL_cdrzd21562zd2_2863)))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21541zd2_2859))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg2462z00_2871;
																																																																																					BgL_arg2462z00_2871
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd21548zd2_2860));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_15667;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_15671;
																																																																																							obj_t
																																																																																								BgL_proc2z00_15670;
																																																																																							obj_t
																																																																																								BgL_proc1z00_15669;
																																																																																							obj_t
																																																																																								BgL_testz00_15668;
																																																																																							BgL_testz00_15668
																																																																																								=
																																																																																								BgL_arg2462z00_2871;
																																																																																							BgL_proc1z00_15669
																																																																																								=
																																																																																								BgL_carzd21561zd2_2862;
																																																																																							BgL_proc2z00_15670
																																																																																								=
																																																																																								BgL_carzd21569zd2_2866;
																																																																																							BgL_argsz00_15671
																																																																																								=
																																																																																								BgL_cdrzd21541zd2_2859;
																																																																																							BgL_argsz00_1813
																																																																																								=
																																																																																								BgL_argsz00_15671;
																																																																																							BgL_proc2z00_1812
																																																																																								=
																																																																																								BgL_proc2z00_15670;
																																																																																							BgL_proc1z00_1811
																																																																																								=
																																																																																								BgL_proc1z00_15669;
																																																																																							BgL_testz00_1810
																																																																																								=
																																																																																								BgL_testz00_15668;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1814;
																																																																																						}
																																																																																						BgL_auxz00_14766
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_15667);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1838;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_15675;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1839;
																																																																																							BgL_auxz00_14766
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_15675);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1838;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_15679;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1839;
																																																																																					BgL_auxz00_14766
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_15679);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_15683;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_14766
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_15683);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_15687;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15687);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_15691;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_15691);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_15695;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_14766
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_15695);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd21962zd2_2885;
																																																								BgL_cdrzd21962zd2_2885
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test7755z00_15699;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg2499z00_2902;
																																																										BgL_arg2499z00_2902
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test7755z00_15699
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg2499z00_2902));
																																																									}
																																																									if (BgL_test7755z00_15699)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg2481z00_2888;
																																																											obj_t
																																																												BgL_arg2483z00_2889;
																																																											BgL_arg2481z00_2888
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd21962zd2_2885));
																																																											BgL_arg2483z00_2889
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd21962zd2_2885));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_15708;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_15710;
																																																													obj_t
																																																														BgL_bindingsz00_15709;
																																																													BgL_bindingsz00_15709
																																																														=
																																																														BgL_arg2481z00_2888;
																																																													BgL_exprz00_15710
																																																														=
																																																														BgL_arg2483z00_2889;
																																																													BgL_exprz00_1793
																																																														=
																																																														BgL_exprz00_15710;
																																																													BgL_bindingsz00_1792
																																																														=
																																																														BgL_bindingsz00_15709;
																																																													goto
																																																														BgL_tagzd2382zd2_1794;
																																																												}
																																																												BgL_auxz00_14766
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_15708);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test7756z00_15712;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg2495z00_2901;
																																																												BgL_arg2495z00_2901
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test7756z00_15712
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg2495z00_2901));
																																																											}
																																																											if (BgL_test7756z00_15712)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_15717;
																																																													goto
																																																														BgL_tagzd2384zd2_1796;
																																																													BgL_auxz00_14766
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_15717);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd22028zd2_2892;
																																																													BgL_carzd22028zd2_2892
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd22033zd2_2893;
																																																														BgL_cdrzd22033zd2_2893
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd22028zd2_2892));
																																																														if ((CAR(((obj_t) BgL_carzd22028zd2_2892)) == CNST_TABLE_REF(((long) 3))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg2489z00_2896;
																																																																obj_t
																																																																	BgL_arg2491z00_2897;
																																																																obj_t
																																																																	BgL_arg2492z00_2898;
																																																																BgL_arg2489z00_2896
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd22033zd2_2893));
																																																																BgL_arg2491z00_2897
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd22033zd2_2893));
																																																																BgL_arg2492z00_2898
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_15734;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_15737;
																																																																		obj_t
																																																																			BgL_bodyz00_15736;
																																																																		obj_t
																																																																			BgL_varsz00_15735;
																																																																		BgL_varsz00_15735
																																																																			=
																																																																			BgL_arg2489z00_2896;
																																																																		BgL_bodyz00_15736
																																																																			=
																																																																			BgL_arg2491z00_2897;
																																																																		BgL_argsz00_15737
																																																																			=
																																																																			BgL_arg2492z00_2898;
																																																																		BgL_argsz00_1803
																																																																			=
																																																																			BgL_argsz00_15737;
																																																																		BgL_bodyz00_1802
																																																																			=
																																																																			BgL_bodyz00_15736;
																																																																		BgL_varsz00_1801
																																																																			=
																																																																			BgL_varsz00_15735;
																																																																		goto
																																																																			BgL_tagzd2386zd2_1804;
																																																																	}
																																																																	BgL_auxz00_14766
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_15734);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1838;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_15741;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1839;
																																																																		BgL_auxz00_14766
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_15741);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd22144zd2_2903;
																																																						BgL_cdrzd22144zd2_2903
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test7759z00_15745;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg2509z00_2912;
																																																								BgL_arg2509z00_2912
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test7759z00_15745
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg2509z00_2912));
																																																							}
																																																							if (BgL_test7759z00_15745)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg2502z00_2906;
																																																									obj_t
																																																										BgL_arg2503z00_2907;
																																																									BgL_arg2502z00_2906
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd22144zd2_2903));
																																																									BgL_arg2503z00_2907
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd22144zd2_2903));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_15754;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_15756;
																																																											obj_t
																																																												BgL_bindingsz00_15755;
																																																											BgL_bindingsz00_15755
																																																												=
																																																												BgL_arg2502z00_2906;
																																																											BgL_exprz00_15756
																																																												=
																																																												BgL_arg2503z00_2907;
																																																											BgL_exprz00_1793
																																																												=
																																																												BgL_exprz00_15756;
																																																											BgL_bindingsz00_1792
																																																												=
																																																												BgL_bindingsz00_15755;
																																																											goto
																																																												BgL_tagzd2382zd2_1794;
																																																										}
																																																										BgL_auxz00_14766
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_15754);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test7760z00_15758;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg2507z00_2911;
																																																										BgL_arg2507z00_2911
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test7760z00_15758
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg2507z00_2911));
																																																									}
																																																									if (BgL_test7760z00_15758)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_15763;
																																																											goto
																																																												BgL_tagzd2384zd2_1796;
																																																											BgL_auxz00_14766
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_15763);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2403zd2_1838;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_15767;
																																																													goto
																																																														BgL_tagzd2404zd2_1839;
																																																													BgL_auxz00_14766
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_15767);
																																																												}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd2709zd2_2639)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd2711zd2_2641;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if ((BgL_carzd2709zd2_2639 == CNST_TABLE_REF(((long) 18))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd2711zd2_2641;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if ((BgL_carzd2709zd2_2639 == CNST_TABLE_REF(((long) 19))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_kapzd2711zd2_2641;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd2709zd2_2639)))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_kapzd2711zd2_2641;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd22316zd2_2647;
																																																												BgL_cdrzd22316zd2_2647
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test7766z00_15783;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg2391z00_2764;
																																																														BgL_arg2391z00_2764
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test7766z00_15783
																																																															=
																																																															CBOOL
																																																															(BGl_letzd2symzf3z21zzast_letz00
																																																															(BgL_arg2391z00_2764));
																																																													}
																																																													if (BgL_test7766z00_15783)
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg2314z00_2650;
																																																															obj_t
																																																																BgL_arg2315z00_2651;
																																																															BgL_arg2314z00_2650
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd22316zd2_2647));
																																																															BgL_arg2315z00_2651
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd22316zd2_2647));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_15792;
																																																																{
																																																																	obj_t
																																																																		BgL_exprz00_15794;
																																																																	obj_t
																																																																		BgL_bindingsz00_15793;
																																																																	BgL_bindingsz00_15793
																																																																		=
																																																																		BgL_arg2314z00_2650;
																																																																	BgL_exprz00_15794
																																																																		=
																																																																		BgL_arg2315z00_2651;
																																																																	BgL_exprz00_1793
																																																																		=
																																																																		BgL_exprz00_15794;
																																																																	BgL_bindingsz00_1792
																																																																		=
																																																																		BgL_bindingsz00_15793;
																																																																	goto
																																																																		BgL_tagzd2382zd2_1794;
																																																																}
																																																																BgL_auxz00_14766
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_15792);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															bool_t
																																																																BgL_test7767z00_15796;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg2390z00_2763;
																																																																BgL_arg2390z00_2763
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_test7767z00_15796
																																																																	=
																																																																	CBOOL
																																																																	(BGl_labelszd2symzf3z21zzast_labelsz00
																																																																	(BgL_arg2390z00_2763));
																																																															}
																																																															if (BgL_test7767z00_15796)
																																																																{
																																																																	BgL_letzd2funzd2_bglt
																																																																		BgL_auxz00_15801;
																																																																	goto
																																																																		BgL_tagzd2384zd2_1796;
																																																																	BgL_auxz00_14766
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_15801);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd22382zd2_2654;
																																																																	BgL_carzd22382zd2_2654
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd22387zd2_2655;
																																																																		BgL_cdrzd22387zd2_2655
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd22382zd2_2654));
																																																																		if ((CAR(((obj_t) BgL_carzd22382zd2_2654)) == CNST_TABLE_REF(((long) 3))))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd22387zd2_2655))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg2322z00_2659;
																																																																						obj_t
																																																																							BgL_arg2323z00_2660;
																																																																						obj_t
																																																																							BgL_arg2324z00_2661;
																																																																						BgL_arg2322z00_2659
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd22387zd2_2655);
																																																																						BgL_arg2323z00_2660
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd22387zd2_2655);
																																																																						BgL_arg2324z00_2661
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_15818;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_15821;
																																																																								obj_t
																																																																									BgL_bodyz00_15820;
																																																																								obj_t
																																																																									BgL_varsz00_15819;
																																																																								BgL_varsz00_15819
																																																																									=
																																																																									BgL_arg2322z00_2659;
																																																																								BgL_bodyz00_15820
																																																																									=
																																																																									BgL_arg2323z00_2660;
																																																																								BgL_argsz00_15821
																																																																									=
																																																																									BgL_arg2324z00_2661;
																																																																								BgL_argsz00_1803
																																																																									=
																																																																									BgL_argsz00_15821;
																																																																								BgL_bodyz00_1802
																																																																									=
																																																																									BgL_bodyz00_15820;
																																																																								BgL_varsz00_1801
																																																																									=
																																																																									BgL_varsz00_15819;
																																																																								goto
																																																																									BgL_tagzd2386zd2_1804;
																																																																							}
																																																																							BgL_auxz00_14766
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_15818);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_15825;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_14766
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_15825);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd22494zd2_2664;
																																																																				BgL_cdrzd22494zd2_2664
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd22499zd2_2665;
																																																																					BgL_cdrzd22499zd2_2665
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_carzd22382zd2_2654));
																																																																					if ((CAR(((obj_t) BgL_carzd22382zd2_2654)) == CNST_TABLE_REF(((long) 1))))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd22499zd2_2665))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd22504zd2_2669;
																																																																									BgL_cdrzd22504zd2_2669
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd22499zd2_2665);
																																																																									if (PAIRP(BgL_cdrzd22504zd2_2669))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd22508zd2_2671;
																																																																											obj_t
																																																																												BgL_cdrzd22509zd2_2672;
																																																																											BgL_carzd22508zd2_2671
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd22504zd2_2669);
																																																																											BgL_cdrzd22509zd2_2672
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd22504zd2_2669);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22508zd2_2671))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (PAIRP(BgL_cdrzd22509zd2_2672))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd22514zd2_2675;
																																																																															BgL_carzd22514zd2_2675
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd22509zd2_2672);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22514zd2_2675))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (NULLP(CDR(BgL_cdrzd22509zd2_2672)))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			bool_t
																																																																																				BgL_test7778z00_15853;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_l1373z00_2708;
																																																																																				BgL_l1373z00_2708
																																																																																					=
																																																																																					BgL_cdrzd22494zd2_2664;
																																																																																			BgL_zc3z04anonymousza32353ze3z87_2709:
																																																																																				if (NULLP(BgL_l1373z00_2708))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						BgL_test7778z00_15853
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							1);
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						bool_t
																																																																																							BgL_test7780z00_15856;
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							bool_t
																																																																																								BgL_test7781z00_15857;
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_tmpz00_15858;
																																																																																								BgL_tmpz00_15858
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_l1373z00_2708));
																																																																																								BgL_test7781z00_15857
																																																																																									=
																																																																																									PAIRP
																																																																																									(BgL_tmpz00_15858);
																																																																																							}
																																																																																							if (BgL_test7781z00_15857)
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									BgL_test7780z00_15856
																																																																																										=
																																																																																										(
																																																																																										(bool_t)
																																																																																										0);
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									BgL_test7780z00_15856
																																																																																										=
																																																																																										(
																																																																																										(bool_t)
																																																																																										1);
																																																																																								}
																																																																																						}
																																																																																						if (BgL_test7780z00_15856)
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_l1373z00_15862;
																																																																																								BgL_l1373z00_15862
																																																																																									=
																																																																																									CDR
																																																																																									(
																																																																																									((obj_t) BgL_l1373z00_2708));
																																																																																								BgL_l1373z00_2708
																																																																																									=
																																																																																									BgL_l1373z00_15862;
																																																																																								goto
																																																																																									BgL_zc3z04anonymousza32353ze3z87_2709;
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								BgL_test7778z00_15853
																																																																																									=
																																																																																									(
																																																																																									(bool_t)
																																																																																									0);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																			if (BgL_test7778z00_15853)
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg2341z00_2691;
																																																																																					BgL_arg2341z00_2691
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_cdrzd22499zd2_2665);
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_15866;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_15870;
																																																																																							obj_t
																																																																																								BgL_proc2z00_15869;
																																																																																							obj_t
																																																																																								BgL_proc1z00_15868;
																																																																																							obj_t
																																																																																								BgL_testz00_15867;
																																																																																							BgL_testz00_15867
																																																																																								=
																																																																																								BgL_arg2341z00_2691;
																																																																																							BgL_proc1z00_15868
																																																																																								=
																																																																																								BgL_carzd22508zd2_2671;
																																																																																							BgL_proc2z00_15869
																																																																																								=
																																																																																								BgL_carzd22514zd2_2675;
																																																																																							BgL_argsz00_15870
																																																																																								=
																																																																																								BgL_cdrzd22494zd2_2664;
																																																																																							BgL_argsz00_1808
																																																																																								=
																																																																																								BgL_argsz00_15870;
																																																																																							BgL_proc2z00_1807
																																																																																								=
																																																																																								BgL_proc2z00_15869;
																																																																																							BgL_proc1z00_1806
																																																																																								=
																																																																																								BgL_proc1z00_15868;
																																																																																							BgL_testz00_1805
																																																																																								=
																																																																																								BgL_testz00_15867;
																																																																																							goto
																																																																																								BgL_tagzd2387zd2_1809;
																																																																																						}
																																																																																						BgL_auxz00_14766
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_15866);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_cdrzd22539zd2_2692;
																																																																																					BgL_cdrzd22539zd2_2692
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_cdrzd22547zd2_2693;
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_pairz00_10603;
																																																																																							BgL_pairz00_10603
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_expz00_21));
																																																																																							BgL_cdrzd22547zd2_2693
																																																																																								=
																																																																																								CDR
																																																																																								(BgL_pairz00_10603);
																																																																																						}
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_cdrzd22555zd2_2694;
																																																																																							BgL_cdrzd22555zd2_2694
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd22547zd2_2693));
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_carzd22562zd2_2695;
																																																																																								BgL_carzd22562zd2_2695
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd22555zd2_2694));
																																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22562zd2_2695))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_carzd22571zd2_2697;
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											obj_t
																																																																																												BgL_pairz00_10607;
																																																																																											BgL_pairz00_10607
																																																																																												=
																																																																																												CDR
																																																																																												(
																																																																																												((obj_t) BgL_cdrzd22555zd2_2694));
																																																																																											BgL_carzd22571zd2_2697
																																																																																												=
																																																																																												CAR
																																																																																												(BgL_pairz00_10607);
																																																																																										}
																																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22571zd2_2697))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22539zd2_2692))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														obj_t
																																																																																															BgL_arg2346z00_2700;
																																																																																														BgL_arg2346z00_2700
																																																																																															=
																																																																																															CAR
																																																																																															(
																																																																																															((obj_t) BgL_cdrzd22547zd2_2693));
																																																																																														{
																																																																																															BgL_nodez00_bglt
																																																																																																BgL_auxz00_15892;
																																																																																															{
																																																																																																obj_t
																																																																																																	BgL_argsz00_15896;
																																																																																																obj_t
																																																																																																	BgL_proc2z00_15895;
																																																																																																obj_t
																																																																																																	BgL_proc1z00_15894;
																																																																																																obj_t
																																																																																																	BgL_testz00_15893;
																																																																																																BgL_testz00_15893
																																																																																																	=
																																																																																																	BgL_arg2346z00_2700;
																																																																																																BgL_proc1z00_15894
																																																																																																	=
																																																																																																	BgL_carzd22562zd2_2695;
																																																																																																BgL_proc2z00_15895
																																																																																																	=
																																																																																																	BgL_carzd22571zd2_2697;
																																																																																																BgL_argsz00_15896
																																																																																																	=
																																																																																																	BgL_cdrzd22539zd2_2692;
																																																																																																BgL_argsz00_1813
																																																																																																	=
																																																																																																	BgL_argsz00_15896;
																																																																																																BgL_proc2z00_1812
																																																																																																	=
																																																																																																	BgL_proc2z00_15895;
																																																																																																BgL_proc1z00_1811
																																																																																																	=
																																																																																																	BgL_proc1z00_15894;
																																																																																																BgL_testz00_1810
																																																																																																	=
																																																																																																	BgL_testz00_15893;
																																																																																																goto
																																																																																																	BgL_tagzd2388zd2_1814;
																																																																																															}
																																																																																															BgL_auxz00_14766
																																																																																																=
																																																																																																(
																																																																																																(obj_t)
																																																																																																BgL_auxz00_15892);
																																																																																														}
																																																																																													}
																																																																																												else
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																															{	/* Ast/sexp.scm 119 */
																																																																																																goto
																																																																																																	BgL_tagzd2403zd2_1838;
																																																																																															}
																																																																																														else
																																																																																															{
																																																																																																BgL_nodez00_bglt
																																																																																																	BgL_auxz00_15900;
																																																																																																goto
																																																																																																	BgL_tagzd2404zd2_1839;
																																																																																																BgL_auxz00_14766
																																																																																																	=
																																																																																																	(
																																																																																																	(obj_t)
																																																																																																	BgL_auxz00_15900);
																																																																																															}
																																																																																													}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2403zd2_1838;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_15904;
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1839;
																																																																																														BgL_auxz00_14766
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_15904);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2403zd2_1838;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_15908;
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1839;
																																																																																												BgL_auxz00_14766
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_15908);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						}
																																																																																					}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1838;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_15912;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1839;
																																																																																					BgL_auxz00_14766
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_15912);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd22849zd2_2719;
																																																																																	BgL_cdrzd22849zd2_2719
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd22856zd2_2720;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_pairz00_10611;
																																																																																			BgL_pairz00_10611
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			BgL_cdrzd22856zd2_2720
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_pairz00_10611);
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd22863zd2_2721;
																																																																																			BgL_cdrzd22863zd2_2721
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd22856zd2_2720));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd22869zd2_2722;
																																																																																				obj_t
																																																																																					BgL_cdrzd22870zd2_2723;
																																																																																				BgL_carzd22869zd2_2722
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd22863zd2_2721));
																																																																																				BgL_cdrzd22870zd2_2723
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd22863zd2_2721));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22869zd2_2722))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd22877zd2_2725;
																																																																																						BgL_carzd22877zd2_2725
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd22870zd2_2723));
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22877zd2_2725))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd22870zd2_2723))))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22849zd2_2719))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												obj_t
																																																																																													BgL_arg2363z00_2730;
																																																																																												BgL_arg2363z00_2730
																																																																																													=
																																																																																													CAR
																																																																																													(
																																																																																													((obj_t) BgL_cdrzd22856zd2_2720));
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_15939;
																																																																																													{
																																																																																														obj_t
																																																																																															BgL_argsz00_15943;
																																																																																														obj_t
																																																																																															BgL_proc2z00_15942;
																																																																																														obj_t
																																																																																															BgL_proc1z00_15941;
																																																																																														obj_t
																																																																																															BgL_testz00_15940;
																																																																																														BgL_testz00_15940
																																																																																															=
																																																																																															BgL_arg2363z00_2730;
																																																																																														BgL_proc1z00_15941
																																																																																															=
																																																																																															BgL_carzd22869zd2_2722;
																																																																																														BgL_proc2z00_15942
																																																																																															=
																																																																																															BgL_carzd22877zd2_2725;
																																																																																														BgL_argsz00_15943
																																																																																															=
																																																																																															BgL_cdrzd22849zd2_2719;
																																																																																														BgL_argsz00_1813
																																																																																															=
																																																																																															BgL_argsz00_15943;
																																																																																														BgL_proc2z00_1812
																																																																																															=
																																																																																															BgL_proc2z00_15942;
																																																																																														BgL_proc1z00_1811
																																																																																															=
																																																																																															BgL_proc1z00_15941;
																																																																																														BgL_testz00_1810
																																																																																															=
																																																																																															BgL_testz00_15940;
																																																																																														goto
																																																																																															BgL_tagzd2388zd2_1814;
																																																																																													}
																																																																																													BgL_auxz00_14766
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_15939);
																																																																																												}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2403zd2_1838;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_15947;
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1839;
																																																																																														BgL_auxz00_14766
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_15947);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2403zd2_1838;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_15951;
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1839;
																																																																																												BgL_auxz00_14766
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_15951);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1838;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_15955;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1839;
																																																																																										BgL_auxz00_14766
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_15955);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1838;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_15959;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1839;
																																																																																								BgL_auxz00_14766
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_15959);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_15963;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15963);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd23210zd2_2738;
																																																																													BgL_cdrzd23210zd2_2738
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd23216zd2_2739;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_10620;
																																																																															BgL_pairz00_10620
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd23216zd2_2739
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_10620);
																																																																														}
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd23222zd2_2740;
																																																																															BgL_cdrzd23222zd2_2740
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd23216zd2_2739));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd23227zd2_2741;
																																																																																obj_t
																																																																																	BgL_cdrzd23228zd2_2742;
																																																																																BgL_carzd23227zd2_2741
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd23222zd2_2740));
																																																																																BgL_cdrzd23228zd2_2742
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd23222zd2_2740));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23227zd2_2741))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (PAIRP(BgL_cdrzd23228zd2_2742))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd23233zd2_2745;
																																																																																				BgL_carzd23233zd2_2745
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_cdrzd23228zd2_2742);
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23233zd2_2745))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (NULLP(CDR(BgL_cdrzd23228zd2_2742)))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd23210zd2_2738))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_arg2377z00_2750;
																																																																																										BgL_arg2377z00_2750
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd23216zd2_2739));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_15990;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_15994;
																																																																																												obj_t
																																																																																													BgL_proc2z00_15993;
																																																																																												obj_t
																																																																																													BgL_proc1z00_15992;
																																																																																												obj_t
																																																																																													BgL_testz00_15991;
																																																																																												BgL_testz00_15991
																																																																																													=
																																																																																													BgL_arg2377z00_2750;
																																																																																												BgL_proc1z00_15992
																																																																																													=
																																																																																													BgL_carzd23227zd2_2741;
																																																																																												BgL_proc2z00_15993
																																																																																													=
																																																																																													BgL_carzd23233zd2_2745;
																																																																																												BgL_argsz00_15994
																																																																																													=
																																																																																													BgL_cdrzd23210zd2_2738;
																																																																																												BgL_argsz00_1813
																																																																																													=
																																																																																													BgL_argsz00_15994;
																																																																																												BgL_proc2z00_1812
																																																																																													=
																																																																																													BgL_proc2z00_15993;
																																																																																												BgL_proc1z00_1811
																																																																																													=
																																																																																													BgL_proc1z00_15992;
																																																																																												BgL_testz00_1810
																																																																																													=
																																																																																													BgL_testz00_15991;
																																																																																												goto
																																																																																													BgL_tagzd2388zd2_1814;
																																																																																											}
																																																																																											BgL_auxz00_14766
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_15990);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2403zd2_1838;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_15998;
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1839;
																																																																																												BgL_auxz00_14766
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_15998);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1838;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_16002;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1839;
																																																																																										BgL_auxz00_14766
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_16002);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1838;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_16006;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1839;
																																																																																								BgL_auxz00_14766
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_16006);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_16010;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_14766
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_16010);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_16014;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_14766
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_16014);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_16018;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_16018);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_16022;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_16022);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_16026;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_14766
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_16026);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																	}
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd23771zd2_2914;
																																																	BgL_cdrzd23771zd2_2914
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	if ((BgL_carzd2706zd2_2637 == CNST_TABLE_REF(((long) 17))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg2513z00_2916;
																																																			obj_t
																																																				BgL_arg2514z00_2917;
																																																			BgL_arg2513z00_2916
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd23771zd2_2914));
																																																			BgL_arg2514z00_2917
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd23771zd2_2914));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_16037;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_16039;
																																																					obj_t
																																																						BgL_bindingsz00_16038;
																																																					BgL_bindingsz00_16038
																																																						=
																																																						BgL_arg2513z00_2916;
																																																					BgL_exprz00_16039
																																																						=
																																																						BgL_arg2514z00_2917;
																																																					BgL_exprz00_1793
																																																						=
																																																						BgL_exprz00_16039;
																																																					BgL_bindingsz00_1792
																																																						=
																																																						BgL_bindingsz00_16038;
																																																					goto
																																																						BgL_tagzd2382zd2_1794;
																																																				}
																																																				BgL_auxz00_14766
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_16037);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd2706zd2_2637)))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg2519z00_2919;
																																																					obj_t
																																																						BgL_arg2520z00_2920;
																																																					BgL_arg2519z00_2919
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd23771zd2_2914));
																																																					BgL_arg2520z00_2920
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd23771zd2_2914));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_16048;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_16050;
																																																							obj_t
																																																								BgL_bindingsz00_16049;
																																																							BgL_bindingsz00_16049
																																																								=
																																																								BgL_arg2519z00_2919;
																																																							BgL_exprz00_16050
																																																								=
																																																								BgL_arg2520z00_2920;
																																																							BgL_exprz00_1793
																																																								=
																																																								BgL_exprz00_16050;
																																																							BgL_bindingsz00_1792
																																																								=
																																																								BgL_bindingsz00_16049;
																																																							goto
																																																								BgL_tagzd2382zd2_1794;
																																																						}
																																																						BgL_auxz00_14766
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_16048);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((BgL_carzd2706zd2_2637 == CNST_TABLE_REF(((long) 18))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg2522z00_2922;
																																																							obj_t
																																																								BgL_arg2523z00_2923;
																																																							BgL_arg2522z00_2922
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd23771zd2_2914));
																																																							BgL_arg2523z00_2923
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd23771zd2_2914));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_16059;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_16061;
																																																									obj_t
																																																										BgL_bindingsz00_16060;
																																																									BgL_bindingsz00_16060
																																																										=
																																																										BgL_arg2522z00_2922;
																																																									BgL_exprz00_16061
																																																										=
																																																										BgL_arg2523z00_2923;
																																																									BgL_exprz00_1793
																																																										=
																																																										BgL_exprz00_16061;
																																																									BgL_bindingsz00_1792
																																																										=
																																																										BgL_bindingsz00_16060;
																																																									goto
																																																										BgL_tagzd2382zd2_1794;
																																																								}
																																																								BgL_auxz00_14766
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_16059);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_16068;
																																																								BgL_tagzd2383zd2_1795:
																																																									BgL_auxz00_16068 = BGl_letrecza2zd2ze3nodez93zzast_letz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																									BgL_auxz00_14766
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_16068);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd23808zd2_2926;
																																																									BgL_carzd23808zd2_2926
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									if ((BgL_carzd23808zd2_2926 == CNST_TABLE_REF(((long) 19))))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_16077;
																																																											goto
																																																												BgL_tagzd2384zd2_1796;
																																																											BgL_auxz00_14766
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_16077);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd23808zd2_2926)))
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_16082;
																																																													goto
																																																														BgL_tagzd2384zd2_1796;
																																																													BgL_auxz00_14766
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_16082);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_16089;
																																																														BgL_tagzd2389zd2_1815:
																																																															BgL_auxz00_16089 = BGl_lambdazd2ze3nodez31zzast_sexpz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24, BGl_string7488z00zzast_sexpz00);
																																																															BgL_auxz00_14766
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_16089);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_16097;
																																																																BgL_tagzd2390zd2_1816:
																																																																	BgL_auxz00_16097 = BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 0), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																	BgL_auxz00_14766
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_16097);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd23888zd2_2933;
																																																																	BgL_cdrzd23888zd2_2933
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg2537z00_2936;
																																																																			obj_t
																																																																				BgL_arg2538z00_2937;
																																																																			BgL_arg2537z00_2936
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd23888zd2_2933));
																																																																			BgL_arg2538z00_2937
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd23888zd2_2933));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_16112;
																																																																				BgL_effectz00_1817
																																																																					=
																																																																					BgL_arg2537z00_2936;
																																																																				BgL_restz00_1818
																																																																					=
																																																																					BgL_arg2538z00_2937;
																																																																			BgL_tagzd2391zd2_1819:
																																																																				{	/* Ast/sexp.scm 458 */
																																																																					BgL_feffectz00_bglt
																																																																						BgL_arg7023z00_8942;
																																																																					obj_t
																																																																						BgL_arg7024z00_8943;
																																																																					BgL_arg7023z00_8942
																																																																						=
																																																																						BGl_parsezd2effectzd2zzeffect_feffectz00
																																																																						(BgL_effectz00_1817);
																																																																					{	/* Ast/sexp.scm 459 */
																																																																						obj_t
																																																																							BgL_arg7025z00_8944;
																																																																						BgL_arg7025z00_8944
																																																																							=
																																																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																							(BgL_restz00_1818,
																																																																							BNIL);
																																																																						BgL_arg7024z00_8943
																																																																							=
																																																																							MAKE_YOUNG_PAIR
																																																																							(CNST_TABLE_REF
																																																																							(((long) 6)), BgL_arg7025z00_8944);
																																																																					}
																																																																					BgL_auxz00_16112
																																																																						=
																																																																						BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																																						(
																																																																						((bool_t) 0), ((obj_t) BgL_arg7023z00_8942), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg7024z00_8943, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																				}
																																																																				BgL_auxz00_14766
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_16112);
																																																																		}}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_16126;
																																																																				BgL_tagzd2392zd2_1820:
																																																																					BgL_auxz00_16126 = BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 1), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																					BgL_auxz00_14766
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_16126);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_16135;
																																																																						BgL_tagzd2393zd2_1821:
																																																																							{	/* Ast/sexp.scm 465 */
																																																																								bool_t
																																																																									BgL_test7822z00_16136;
																																																																								if (NULLP(BgL_stackz00_22))
																																																																									{	/* Ast/sexp.scm 465 */
																																																																										BgL_test7822z00_16136
																																																																											=
																																																																											(BgL_sitez00_24
																																																																											==
																																																																											CNST_TABLE_REF
																																																																											(((long) 2)));
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 465 */
																																																																										BgL_test7822z00_16136
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																								if (BgL_test7822z00_16136)
																																																																									{	/* Ast/sexp.scm 465 */
																																																																										{	/* Ast/sexp.scm 469 */
																																																																											BgL_nodez00_bglt
																																																																												BgL_arg7028z00_8947;
																																																																											BgL_arg7028z00_8947
																																																																												=
																																																																												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																																												(
																																																																												((bool_t) 1), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																											BGl_addzd2staticzd2pragmaz12z12zzast_pragmaz00
																																																																												(BgL_arg7028z00_8947);
																																																																										}
																																																																										BgL_auxz00_16135
																																																																											=
																																																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																											(BUNSPEC,
																																																																											BgL_stackz00_22,
																																																																											BgL_locz00_23,
																																																																											BgL_sitez00_24);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 466 */
																																																																										BgL_nodez00_bglt
																																																																											BgL_res7448z00_10386;
																																																																										{	/* Ast/sexp.scm 726 */
																																																																											obj_t
																																																																												BgL_arg7194z00_10382;
																																																																											BgL_nodez00_bglt
																																																																												BgL_arg7195z00_10383;
																																																																											BgL_arg7194z00_10382
																																																																												=
																																																																												BGl_shapez00zztools_shapez00
																																																																												(BGl_currentzd2functionzd2zztools_errorz00
																																																																												());
																																																																											BgL_arg7195z00_10383
																																																																												=
																																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																												(CNST_TABLE_REF
																																																																												(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																																											{	/* Ast/sexp.scm 725 */
																																																																												obj_t
																																																																													BgL_list7196z00_10385;
																																																																												BgL_list7196z00_10385
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(
																																																																													((obj_t) BgL_arg7195z00_10383), BNIL);
																																																																												BgL_res7448z00_10386
																																																																													=
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																													(BgL_locz00_23,
																																																																														BgL_arg7194z00_10382,
																																																																														BGl_string7487z00zzast_sexpz00,
																																																																														BgL_expz00_21,
																																																																														BgL_list7196z00_10385));
																																																																										}}
																																																																										BgL_auxz00_16135
																																																																											=
																																																																											BgL_res7448z00_10386;
																																																																							}}
																																																																							BgL_auxz00_14766
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_16135);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg2551z00_2945;
																																																																									obj_t
																																																																										BgL_arg2552z00_2946;
																																																																									BgL_arg2551z00_2945
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd23888zd2_2933));
																																																																									BgL_arg2552z00_2946
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd23888zd2_2933));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_16164;
																																																																										BgL_effectz00_1822
																																																																											=
																																																																											BgL_arg2551z00_2945;
																																																																										BgL_restz00_1823
																																																																											=
																																																																											BgL_arg2552z00_2946;
																																																																									BgL_tagzd2394zd2_1824:
																																																																										{	/* Ast/sexp.scm 474 */
																																																																											BgL_feffectz00_bglt
																																																																												BgL_arg7029z00_8949;
																																																																											obj_t
																																																																												BgL_arg7030z00_8950;
																																																																											BgL_arg7029z00_8949
																																																																												=
																																																																												BGl_parsezd2effectzd2zzeffect_feffectz00
																																																																												(BgL_effectz00_1822);
																																																																											{	/* Ast/sexp.scm 475 */
																																																																												obj_t
																																																																													BgL_arg7031z00_8951;
																																																																												BgL_arg7031z00_8951
																																																																													=
																																																																													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																													(BgL_restz00_1823,
																																																																													BNIL);
																																																																												BgL_arg7030z00_8950
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(CNST_TABLE_REF
																																																																													(((long) 6)), BgL_arg7031z00_8951);
																																																																											}
																																																																											BgL_auxz00_16164
																																																																												=
																																																																												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																																												(
																																																																												((bool_t) 1), ((obj_t) BgL_arg7029z00_8949), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg7030z00_8950, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																										}
																																																																										BgL_auxz00_14766
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_16164);
																																																																								}}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_16178;
																																																																										BgL_tagzd2395zd2_1825:
																																																																											{
																																																																												obj_t
																																																																													BgL_procz00_8952;
																																																																												obj_t
																																																																													BgL_msgz00_8953;
																																																																												obj_t
																																																																													BgL_objz00_8954;
																																																																												if (PAIRP(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd262369zd2_8959;
																																																																														BgL_cdrzd262369zd2_8959
																																																																															=
																																																																															CDR
																																																																															(BgL_expz00_21);
																																																																														if (PAIRP(BgL_cdrzd262369zd2_8959))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd262374zd2_8961;
																																																																																BgL_cdrzd262374zd2_8961
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_cdrzd262369zd2_8959);
																																																																																if (PAIRP(BgL_cdrzd262374zd2_8961))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd262379zd2_8963;
																																																																																		BgL_cdrzd262379zd2_8963
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd262374zd2_8961);
																																																																																		if (PAIRP(BgL_cdrzd262379zd2_8963))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (NULLP(CDR(BgL_cdrzd262379zd2_8963)))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_arg7038z00_8967;
																																																																																						obj_t
																																																																																							BgL_arg7039z00_8968;
																																																																																						obj_t
																																																																																							BgL_arg7040z00_8969;
																																																																																						BgL_arg7038z00_8967
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_cdrzd262369zd2_8959);
																																																																																						BgL_arg7039z00_8968
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_cdrzd262374zd2_8961);
																																																																																						BgL_arg7040z00_8969
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_cdrzd262379zd2_8963);
																																																																																						{
																																																																																							BgL_failz00_bglt
																																																																																								BgL_auxz00_16196;
																																																																																							BgL_procz00_8952
																																																																																								=
																																																																																								BgL_arg7038z00_8967;
																																																																																							BgL_msgz00_8953
																																																																																								=
																																																																																								BgL_arg7039z00_8968;
																																																																																							BgL_objz00_8954
																																																																																								=
																																																																																								BgL_arg7040z00_8969;
																																																																																							{	/* Ast/sexp.scm 480 */
																																																																																								obj_t
																																																																																									BgL_locz00_8971;
																																																																																								BgL_locz00_8971
																																																																																									=
																																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																									(BgL_expz00_21,
																																																																																									BgL_locz00_23);
																																																																																								{	/* Ast/sexp.scm 480 */
																																																																																									obj_t
																																																																																										BgL_cdlocz00_8972;
																																																																																									{	/* Ast/sexp.scm 481 */
																																																																																										obj_t
																																																																																											BgL_arg7045z00_8986;
																																																																																										BgL_arg7045z00_8986
																																																																																											=
																																																																																											CDR
																																																																																											(
																																																																																											((obj_t) BgL_expz00_21));
																																																																																										BgL_cdlocz00_8972
																																																																																											=
																																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																											(BgL_arg7045z00_8986,
																																																																																											BgL_locz00_8971);
																																																																																									}
																																																																																									{	/* Ast/sexp.scm 481 */
																																																																																										obj_t
																																																																																											BgL_cddlocz00_8973;
																																																																																										{	/* Ast/sexp.scm 482 */
																																																																																											obj_t
																																																																																												BgL_arg7044z00_8985;
																																																																																											{	/* Ast/sexp.scm 482 */
																																																																																												obj_t
																																																																																													BgL_pairz00_10391;
																																																																																												BgL_pairz00_10391
																																																																																													=
																																																																																													CDR
																																																																																													(
																																																																																													((obj_t) BgL_expz00_21));
																																																																																												BgL_arg7044z00_8985
																																																																																													=
																																																																																													CDR
																																																																																													(BgL_pairz00_10391);
																																																																																											}
																																																																																											BgL_cddlocz00_8973
																																																																																												=
																																																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																												(BgL_arg7044z00_8985,
																																																																																												BgL_locz00_8971);
																																																																																										}
																																																																																										{	/* Ast/sexp.scm 482 */
																																																																																											obj_t
																																																																																												BgL_cdddlocz00_8974;
																																																																																											{	/* Ast/sexp.scm 483 */
																																																																																												obj_t
																																																																																													BgL_arg7043z00_8984;
																																																																																												{	/* Ast/sexp.scm 483 */
																																																																																													obj_t
																																																																																														BgL_pairz00_10397;
																																																																																													{	/* Ast/sexp.scm 483 */
																																																																																														obj_t
																																																																																															BgL_pairz00_10396;
																																																																																														BgL_pairz00_10396
																																																																																															=
																																																																																															CDR
																																																																																															(
																																																																																															((obj_t) BgL_expz00_21));
																																																																																														BgL_pairz00_10397
																																																																																															=
																																																																																															CDR
																																																																																															(BgL_pairz00_10396);
																																																																																													}
																																																																																													BgL_arg7043z00_8984
																																																																																														=
																																																																																														CDR
																																																																																														(BgL_pairz00_10397);
																																																																																												}
																																																																																												BgL_cdddlocz00_8974
																																																																																													=
																																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																													(BgL_arg7043z00_8984,
																																																																																													BgL_locz00_8971);
																																																																																											}
																																																																																											{	/* Ast/sexp.scm 483 */
																																																																																												obj_t
																																																																																													BgL_loczd2proczd2_8975;
																																																																																												BgL_loczd2proczd2_8975
																																																																																													=
																																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																													(BgL_procz00_8952,
																																																																																													BgL_cdlocz00_8972);
																																																																																												{	/* Ast/sexp.scm 484 */
																																																																																													obj_t
																																																																																														BgL_loczd2msgzd2_8976;
																																																																																													BgL_loczd2msgzd2_8976
																																																																																														=
																																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																														(BgL_msgz00_8953,
																																																																																														BgL_cddlocz00_8973);
																																																																																													{	/* Ast/sexp.scm 485 */
																																																																																														obj_t
																																																																																															BgL_loczd2objzd2_8977;
																																																																																														BgL_loczd2objzd2_8977
																																																																																															=
																																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																															(BgL_objz00_8954,
																																																																																															BgL_cdddlocz00_8974);
																																																																																														{	/* Ast/sexp.scm 486 */
																																																																																															BgL_nodez00_bglt
																																																																																																BgL_procz00_8978;
																																																																																															BgL_procz00_8978
																																																																																																=
																																																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																(BgL_procz00_8952,
																																																																																																BgL_stackz00_22,
																																																																																																BgL_loczd2proczd2_8975,
																																																																																																CNST_TABLE_REF
																																																																																																(((long) 2)));
																																																																																															{	/* Ast/sexp.scm 487 */
																																																																																																BgL_nodez00_bglt
																																																																																																	BgL_msgz00_8979;
																																																																																																BgL_msgz00_8979
																																																																																																	=
																																																																																																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																	(BgL_msgz00_8953,
																																																																																																	BgL_stackz00_22,
																																																																																																	BgL_loczd2msgzd2_8976,
																																																																																																	CNST_TABLE_REF
																																																																																																	(((long) 2)));
																																																																																																{	/* Ast/sexp.scm 488 */
																																																																																																	BgL_nodez00_bglt
																																																																																																		BgL_objz00_8980;
																																																																																																	BgL_objz00_8980
																																																																																																		=
																																																																																																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																		(BgL_objz00_8954,
																																																																																																		BgL_stackz00_22,
																																																																																																		BgL_loczd2objzd2_8977,
																																																																																																		CNST_TABLE_REF
																																																																																																		(((long) 2)));
																																																																																																	{	/* Ast/sexp.scm 489 */

																																																																																																		{	/* Ast/sexp.scm 490 */
																																																																																																			BgL_failz00_bglt
																																																																																																				BgL_new1142z00_8981;
																																																																																																			{	/* Ast/sexp.scm 491 */
																																																																																																				BgL_failz00_bglt
																																																																																																					BgL_new1141z00_8982;
																																																																																																				BgL_new1141z00_8982
																																																																																																					=
																																																																																																					(
																																																																																																					(BgL_failz00_bglt)
																																																																																																					BOBJECT
																																																																																																					(GC_MALLOC
																																																																																																						(sizeof
																																																																																																							(struct
																																																																																																								BgL_failz00_bgl))));
																																																																																																				{	/* Ast/sexp.scm 491 */
																																																																																																					long
																																																																																																						BgL_arg7042z00_8983;
																																																																																																					BgL_arg7042z00_8983
																																																																																																						=
																																																																																																						BGL_CLASS_NUM
																																																																																																						(BGl_failz00zzast_nodez00);
																																																																																																					BGL_OBJECT_CLASS_NUM_SET
																																																																																																						(
																																																																																																						((BgL_objectz00_bglt) BgL_new1141z00_8982), BgL_arg7042z00_8983);
																																																																																																				}
																																																																																																				{	/* Ast/sexp.scm 491 */
																																																																																																					BgL_objectz00_bglt
																																																																																																						BgL_tmpz00_16223;
																																																																																																					BgL_tmpz00_16223
																																																																																																						=
																																																																																																						(
																																																																																																						(BgL_objectz00_bglt)
																																																																																																						BgL_new1141z00_8982);
																																																																																																					BGL_OBJECT_WIDENING_SET
																																																																																																						(BgL_tmpz00_16223,
																																																																																																						BFALSE);
																																																																																																				}
																																																																																																				((BgL_objectz00_bglt) BgL_new1141z00_8982);
																																																																																																				BgL_new1142z00_8981
																																																																																																					=
																																																																																																					BgL_new1141z00_8982;
																																																																																																			}
																																																																																																			((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1142z00_8981)))->BgL_locz00) = ((obj_t) BgL_locz00_8971), BUNSPEC);
																																																																																																			((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1142z00_8981)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2magicza2z00zztype_cachez00)), BUNSPEC);
																																																																																																			((((BgL_failz00_bglt) COBJECT(BgL_new1142z00_8981))->BgL_procz00) = ((BgL_nodez00_bglt) BgL_procz00_8978), BUNSPEC);
																																																																																																			((((BgL_failz00_bglt) COBJECT(BgL_new1142z00_8981))->BgL_msgz00) = ((BgL_nodez00_bglt) BgL_msgz00_8979), BUNSPEC);
																																																																																																			((((BgL_failz00_bglt) COBJECT(BgL_new1142z00_8981))->BgL_objz00) = ((BgL_nodez00_bglt) BgL_objz00_8980), BUNSPEC);
																																																																																																			BgL_auxz00_16196
																																																																																																				=
																																																																																																				BgL_new1142z00_8981;
																																																																																							}}}}}}}}}}}}
																																																																																							BgL_auxz00_16178
																																																																																								=
																																																																																								(
																																																																																								(BgL_nodez00_bglt)
																																																																																								BgL_auxz00_16196);
																																																																																					}}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																					BgL_tagzd262360zd2_8956:
																																																																																						{	/* Ast/sexp.scm 498 */
																																																																																							obj_t
																																																																																								BgL_arg7046z00_8987;
																																																																																							BgL_arg7046z00_8987
																																																																																								=
																																																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																								(BgL_expz00_21,
																																																																																								BgL_locz00_23);
																																																																																							{	/* Ast/sexp.scm 497 */
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_res7449z00_10407;
																																																																																								{	/* Ast/sexp.scm 726 */
																																																																																									obj_t
																																																																																										BgL_arg7194z00_10403;
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_arg7195z00_10404;
																																																																																									BgL_arg7194z00_10403
																																																																																										=
																																																																																										BGl_shapez00zztools_shapez00
																																																																																										(BGl_currentzd2functionzd2zztools_errorz00
																																																																																										());
																																																																																									BgL_arg7195z00_10404
																																																																																										=
																																																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																										(CNST_TABLE_REF
																																																																																										(((long) 4)), BNIL, BgL_arg7046z00_8987, CNST_TABLE_REF(((long) 2)));
																																																																																									{	/* Ast/sexp.scm 725 */
																																																																																										obj_t
																																																																																											BgL_list7196z00_10406;
																																																																																										BgL_list7196z00_10406
																																																																																											=
																																																																																											MAKE_YOUNG_PAIR
																																																																																											(
																																																																																											((obj_t) BgL_arg7195z00_10404), BNIL);
																																																																																										BgL_res7449z00_10407
																																																																																											=
																																																																																											(
																																																																																											(BgL_nodez00_bglt)
																																																																																											BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																											(BgL_arg7046z00_8987,
																																																																																												BgL_arg7194z00_10403,
																																																																																												BGl_string7486z00zzast_sexpz00,
																																																																																												BgL_expz00_21,
																																																																																												BgL_list7196z00_10406));
																																																																																								}}
																																																																																								BgL_auxz00_16178
																																																																																									=
																																																																																									BgL_res7449z00_10407;
																																																																																			}}}}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd262360zd2_8956;
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd262360zd2_8956;
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd262360zd2_8956;
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd262360zd2_8956;
																																																																													}
																																																																											}
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_16178);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_16252;
																																																																												BgL_tagzd2396zd2_1826:
																																																																													{
																																																																														obj_t
																																																																															BgL_testz00_8988;
																																																																														obj_t
																																																																															BgL_clausesz00_8989;
																																																																														if (PAIRP(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd262393zd2_8994;
																																																																																BgL_cdrzd262393zd2_8994
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_expz00_21);
																																																																																if (PAIRP(BgL_cdrzd262393zd2_8994))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_testz00_8988
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd262393zd2_8994);
																																																																																		BgL_clausesz00_8989
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd262393zd2_8994);
																																																																																		{	/* Ast/sexp.scm 509 */
																																																																																			obj_t
																																																																																				BgL_locz00_8998;
																																																																																			BgL_locz00_8998
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			{	/* Ast/sexp.scm 509 */
																																																																																				obj_t
																																																																																					BgL_cdlocz00_8999;
																																																																																				{	/* Ast/sexp.scm 510 */
																																																																																					obj_t
																																																																																						BgL_arg7076z00_9039;
																																																																																					BgL_arg7076z00_9039
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					BgL_cdlocz00_8999
																																																																																						=
																																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																						(BgL_arg7076z00_9039,
																																																																																						BgL_locz00_8998);
																																																																																				}
																																																																																				{	/* Ast/sexp.scm 510 */
																																																																																					obj_t
																																																																																						BgL_cddlocz00_9000;
																																																																																					{	/* Ast/sexp.scm 511 */
																																																																																						obj_t
																																																																																							BgL_arg7075z00_9038;
																																																																																						BgL_arg7075z00_9038
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_expz00_21));
																																																																																						BgL_cddlocz00_9000
																																																																																							=
																																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																							(BgL_arg7075z00_9038,
																																																																																							BgL_locz00_8998);
																																																																																					}
																																																																																					{	/* Ast/sexp.scm 511 */
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_testz00_9001;
																																																																																						{	/* Ast/sexp.scm 514 */
																																																																																							obj_t
																																																																																								BgL_arg7074z00_9037;
																																																																																							BgL_arg7074z00_9037
																																																																																								=
																																																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																								(BgL_testz00_8988,
																																																																																								BgL_cdlocz00_8999);
																																																																																							BgL_testz00_9001
																																																																																								=
																																																																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																								(BgL_testz00_8988,
																																																																																								BgL_stackz00_22,
																																																																																								BgL_arg7074z00_9037,
																																																																																								CNST_TABLE_REF
																																																																																								(((long) 2)));
																																																																																						}
																																																																																						{	/* Ast/sexp.scm 512 */

																																																																																							{
																																																																																								obj_t
																																																																																									BgL_clsz00_9004;
																																																																																								obj_t
																																																																																									BgL_nclausesz00_9005;
																																																																																								BgL_clsz00_9004
																																																																																									=
																																																																																									BgL_clausesz00_8989;
																																																																																								BgL_nclausesz00_9005
																																																																																									=
																																																																																									BNIL;
																																																																																							BgL_zc3z04anonymousza37051ze3z87_9006:
																																																																																								if (NULLP(BgL_clsz00_9004))
																																																																																									{	/* Ast/sexp.scm 519 */
																																																																																										BgL_switchz00_bglt
																																																																																											BgL_new1145z00_9008;
																																																																																										{	/* Ast/sexp.scm 520 */
																																																																																											BgL_switchz00_bglt
																																																																																												BgL_new1144z00_9012;
																																																																																											BgL_new1144z00_9012
																																																																																												=
																																																																																												(
																																																																																												(BgL_switchz00_bglt)
																																																																																												BOBJECT
																																																																																												(GC_MALLOC
																																																																																													(sizeof
																																																																																														(struct
																																																																																															BgL_switchz00_bgl))));
																																																																																											{	/* Ast/sexp.scm 520 */
																																																																																												long
																																																																																													BgL_arg7056z00_9013;
																																																																																												BgL_arg7056z00_9013
																																																																																													=
																																																																																													BGL_CLASS_NUM
																																																																																													(BGl_switchz00zzast_nodez00);
																																																																																												BGL_OBJECT_CLASS_NUM_SET
																																																																																													(
																																																																																													((BgL_objectz00_bglt) BgL_new1144z00_9012), BgL_arg7056z00_9013);
																																																																																											}
																																																																																											{	/* Ast/sexp.scm 520 */
																																																																																												BgL_objectz00_bglt
																																																																																													BgL_tmpz00_16274;
																																																																																												BgL_tmpz00_16274
																																																																																													=
																																																																																													(
																																																																																													(BgL_objectz00_bglt)
																																																																																													BgL_new1144z00_9012);
																																																																																												BGL_OBJECT_WIDENING_SET
																																																																																													(BgL_tmpz00_16274,
																																																																																													BFALSE);
																																																																																											}
																																																																																											((BgL_objectz00_bglt) BgL_new1144z00_9012);
																																																																																											BgL_new1145z00_9008
																																																																																												=
																																																																																												BgL_new1144z00_9012;
																																																																																										}
																																																																																										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1145z00_9008)))->BgL_locz00) = ((obj_t) BgL_locz00_8998), BUNSPEC);
																																																																																										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1145z00_9008)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																																										((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1145z00_9008)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																																										((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1145z00_9008)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																																										((((BgL_switchz00_bglt) COBJECT(BgL_new1145z00_9008))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_testz00_9001), BUNSPEC);
																																																																																										((((BgL_switchz00_bglt) COBJECT(BgL_new1145z00_9008))->BgL_clausesz00) = ((obj_t) bgl_reverse_bang(BgL_nclausesz00_9005)), BUNSPEC);
																																																																																										{
																																																																																											BgL_typez00_bglt
																																																																																												BgL_auxz00_16291;
																																																																																											{	/* Ast/sexp.scm 523 */
																																																																																												obj_t
																																																																																													BgL_arg7053z00_9009;
																																																																																												{	/* Ast/sexp.scm 523 */
																																																																																													obj_t
																																																																																														BgL_pairz00_10423;
																																																																																													{	/* Ast/sexp.scm 523 */
																																																																																														obj_t
																																																																																															BgL_pairz00_10422;
																																																																																														BgL_pairz00_10422
																																																																																															=
																																																																																															CAR
																																																																																															(
																																																																																															((obj_t) BgL_clausesz00_8989));
																																																																																														BgL_pairz00_10423
																																																																																															=
																																																																																															CAR
																																																																																															(BgL_pairz00_10422);
																																																																																													}
																																																																																													BgL_arg7053z00_9009
																																																																																														=
																																																																																														CAR
																																																																																														(BgL_pairz00_10423);
																																																																																												}
																																																																																												BgL_auxz00_16291
																																																																																													=
																																																																																													BGl_getzd2typezd2atomz00zztype_typeofz00
																																																																																													(BgL_arg7053z00_9009);
																																																																																											}
																																																																																											((((BgL_switchz00_bglt) COBJECT(BgL_new1145z00_9008))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt) BgL_auxz00_16291), BUNSPEC);
																																																																																										}
																																																																																										BgL_auxz00_16252
																																																																																											=
																																																																																											(
																																																																																											(BgL_nodez00_bglt)
																																																																																											BgL_new1145z00_9008);
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 525 */
																																																																																										obj_t
																																																																																											BgL_clausez00_9014;
																																																																																										BgL_clausez00_9014
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_clsz00_9004));
																																																																																										{	/* Ast/sexp.scm 525 */
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_bodyz00_9015;
																																																																																											{	/* Ast/sexp.scm 526 */
																																																																																												obj_t
																																																																																													BgL_arg7071z00_9033;
																																																																																												obj_t
																																																																																													BgL_arg7072z00_9034;
																																																																																												{	/* Ast/sexp.scm 526 */
																																																																																													obj_t
																																																																																														BgL_arg7073z00_9035;
																																																																																													BgL_arg7073z00_9035
																																																																																														=
																																																																																														CDR
																																																																																														(
																																																																																														((obj_t) BgL_clausez00_9014));
																																																																																													BgL_arg7071z00_9033
																																																																																														=
																																																																																														BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																																														(BgL_arg7073z00_9035);
																																																																																												}
																																																																																												BgL_arg7072z00_9034
																																																																																													=
																																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																													(BgL_clausez00_9014,
																																																																																													BgL_cddlocz00_9000);
																																																																																												BgL_bodyz00_9015
																																																																																													=
																																																																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																													(BgL_arg7071z00_9033,
																																																																																													BgL_stackz00_22,
																																																																																													BgL_arg7072z00_9034,
																																																																																													CNST_TABLE_REF
																																																																																													(((long) 2)));
																																																																																											}
																																																																																											{	/* Ast/sexp.scm 526 */
																																																																																												obj_t
																																																																																													BgL_nclausez00_9016;
																																																																																												{	/* Ast/sexp.scm 530 */
																																																																																													obj_t
																																																																																														BgL_arg7070z00_9032;
																																																																																													BgL_arg7070z00_9032
																																																																																														=
																																																																																														CAR
																																																																																														(
																																																																																														((obj_t) BgL_clausez00_9014));
																																																																																													BgL_nclausez00_9016
																																																																																														=
																																																																																														MAKE_YOUNG_PAIR
																																																																																														(BgL_arg7070z00_9032,
																																																																																														((obj_t) BgL_bodyz00_9015));
																																																																																												}
																																																																																												{	/* Ast/sexp.scm 530 */

																																																																																													{	/* Ast/sexp.scm 532 */
																																																																																														bool_t
																																																																																															BgL_test7835z00_16311;
																																																																																														if ((CAR(((obj_t) BgL_clausez00_9014)) == CNST_TABLE_REF(((long) 5))))
																																																																																															{	/* Ast/sexp.scm 532 */
																																																																																																if (NULLP(CDR(((obj_t) BgL_clsz00_9004))))
																																																																																																	{	/* Ast/sexp.scm 533 */
																																																																																																		BgL_test7835z00_16311
																																																																																																			=
																																																																																																			(
																																																																																																			(bool_t)
																																																																																																			0);
																																																																																																	}
																																																																																																else
																																																																																																	{	/* Ast/sexp.scm 533 */
																																																																																																		BgL_test7835z00_16311
																																																																																																			=
																																																																																																			(
																																																																																																			(bool_t)
																																																																																																			1);
																																																																																																	}
																																																																																															}
																																																																																														else
																																																																																															{	/* Ast/sexp.scm 532 */
																																																																																																BgL_test7835z00_16311
																																																																																																	=
																																																																																																	(
																																																																																																	(bool_t)
																																																																																																	0);
																																																																																															}
																																																																																														if (BgL_test7835z00_16311)
																																																																																															{	/* Ast/sexp.scm 535 */
																																																																																																obj_t
																																																																																																	BgL_arg7064z00_9024;
																																																																																																BgL_arg7064z00_9024
																																																																																																	=
																																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																																	(BgL_expz00_21,
																																																																																																	BgL_locz00_8998);
																																																																																																{	/* Ast/sexp.scm 534 */
																																																																																																	BgL_nodez00_bglt
																																																																																																		BgL_res7450z00_10434;
																																																																																																	{	/* Ast/sexp.scm 726 */
																																																																																																		obj_t
																																																																																																			BgL_arg7194z00_10430;
																																																																																																		BgL_nodez00_bglt
																																																																																																			BgL_arg7195z00_10431;
																																																																																																		BgL_arg7194z00_10430
																																																																																																			=
																																																																																																			BGl_shapez00zztools_shapez00
																																																																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																																																																			());
																																																																																																		BgL_arg7195z00_10431
																																																																																																			=
																																																																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																			(CNST_TABLE_REF
																																																																																																			(((long) 4)), BNIL, BgL_arg7064z00_9024, CNST_TABLE_REF(((long) 2)));
																																																																																																		{	/* Ast/sexp.scm 725 */
																																																																																																			obj_t
																																																																																																				BgL_list7196z00_10433;
																																																																																																			BgL_list7196z00_10433
																																																																																																				=
																																																																																																				MAKE_YOUNG_PAIR
																																																																																																				(
																																																																																																				((obj_t) BgL_arg7195z00_10431), BNIL);
																																																																																																			BgL_res7450z00_10434
																																																																																																				=
																																																																																																				(
																																																																																																				(BgL_nodez00_bglt)
																																																																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																																				(BgL_arg7064z00_9024,
																																																																																																					BgL_arg7194z00_10430,
																																																																																																					BGl_string7485z00zzast_sexpz00,
																																																																																																					BgL_expz00_21,
																																																																																																					BgL_list7196z00_10433));
																																																																																																	}}
																																																																																																	BgL_auxz00_16252
																																																																																																		=
																																																																																																		BgL_res7450z00_10434;
																																																																																															}}
																																																																																														else
																																																																																															{	/* Ast/sexp.scm 536 */
																																																																																																obj_t
																																																																																																	BgL_arg7065z00_9025;
																																																																																																obj_t
																																																																																																	BgL_arg7066z00_9026;
																																																																																																BgL_arg7065z00_9025
																																																																																																	=
																																																																																																	CDR
																																																																																																	(
																																																																																																	((obj_t) BgL_clsz00_9004));
																																																																																																BgL_arg7066z00_9026
																																																																																																	=
																																																																																																	MAKE_YOUNG_PAIR
																																																																																																	(BGl_epairifyz00zztools_miscz00
																																																																																																	(BgL_nclausez00_9016,
																																																																																																		BgL_clausez00_9014),
																																																																																																	BgL_nclausesz00_9005);
																																																																																																{
																																																																																																	obj_t
																																																																																																		BgL_nclausesz00_16336;
																																																																																																	obj_t
																																																																																																		BgL_clsz00_16335;
																																																																																																	BgL_clsz00_16335
																																																																																																		=
																																																																																																		BgL_arg7065z00_9025;
																																																																																																	BgL_nclausesz00_16336
																																																																																																		=
																																																																																																		BgL_arg7066z00_9026;
																																																																																																	BgL_nclausesz00_9005
																																																																																																		=
																																																																																																		BgL_nclausesz00_16336;
																																																																																																	BgL_clsz00_9004
																																																																																																		=
																																																																																																		BgL_clsz00_16335;
																																																																																																	goto
																																																																																																		BgL_zc3z04anonymousza37051ze3z87_9006;
																																																																																																}
																																																																																															}
																																																																																													}
																																																																																												}
																																																																																											}
																																																																																										}
																																																																																									}
																																																																																							}
																																																																																						}
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																	BgL_tagzd262386zd2_8991:
																																																																																		{	/* Ast/sexp.scm 541 */
																																																																																			obj_t
																																																																																				BgL_arg7077z00_9040;
																																																																																			BgL_arg7077z00_9040
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			{	/* Ast/sexp.scm 540 */
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_res7451z00_10441;
																																																																																				{	/* Ast/sexp.scm 726 */
																																																																																					obj_t
																																																																																						BgL_arg7194z00_10437;
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_arg7195z00_10438;
																																																																																					BgL_arg7194z00_10437
																																																																																						=
																																																																																						BGl_shapez00zztools_shapez00
																																																																																						(BGl_currentzd2functionzd2zztools_errorz00
																																																																																						());
																																																																																					BgL_arg7195z00_10438
																																																																																						=
																																																																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																						(CNST_TABLE_REF
																																																																																						(((long) 4)), BNIL, BgL_arg7077z00_9040, CNST_TABLE_REF(((long) 2)));
																																																																																					{	/* Ast/sexp.scm 725 */
																																																																																						obj_t
																																																																																							BgL_list7196z00_10440;
																																																																																						BgL_list7196z00_10440
																																																																																							=
																																																																																							MAKE_YOUNG_PAIR
																																																																																							(
																																																																																							((obj_t) BgL_arg7195z00_10438), BNIL);
																																																																																						BgL_res7451z00_10441
																																																																																							=
																																																																																							(
																																																																																							(BgL_nodez00_bglt)
																																																																																							BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																							(BgL_arg7077z00_9040,
																																																																																								BgL_arg7194z00_10437,
																																																																																								BGl_string7485z00zzast_sexpz00,
																																																																																								BgL_expz00_21,
																																																																																								BgL_list7196z00_10440));
																																																																																				}}
																																																																																				BgL_auxz00_16252
																																																																																					=
																																																																																					BgL_res7451z00_10441;
																																																																															}}}}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd262386zd2_8991;
																																																																															}
																																																																													}
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_16252);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																														{
																																																																															BgL_letzd2funzd2_bglt
																																																																																BgL_auxz00_16355;
																																																																														BgL_tagzd2397zd2_1827:
																																																																															BgL_auxz00_16355 = BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16355);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																																{
																																																																																	BgL_jumpzd2exzd2itz00_bglt
																																																																																		BgL_auxz00_16363;
																																																																																BgL_tagzd2398zd2_1828:
																																																																																	BgL_auxz00_16363 = BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_16363);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd23965zd2_2955;
																																																																																	BgL_cdrzd23965zd2_2955
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg2567z00_2958;
																																																																																			obj_t
																																																																																				BgL_arg2568z00_2959;
																																																																																			BgL_arg2567z00_2958
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd23965zd2_2955));
																																																																																			BgL_arg2568z00_2959
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd23965zd2_2955));
																																																																																			{	/* Ast/sexp.scm 555 */
																																																																																				obj_t
																																																																																					BgL_arg7079z00_10657;
																																																																																				BgL_arg7079z00_10657
																																																																																					=
																																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																					(BgL_expz00_21,
																																																																																					BgL_locz00_23);
																																																																																				BgL_auxz00_14766
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																					(BgL_expz00_21,
																																																																																						BgL_arg2567z00_2958,
																																																																																						CNST_TABLE_REF
																																																																																						(((long) 4)), BgL_arg2568z00_2959, BgL_stackz00_22, BgL_arg7079z00_10657, BgL_sitez00_24));
																																																																																		}}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1838;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_16383;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1839;
																																																																																					BgL_auxz00_14766
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_16383);
																																																																																				}
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd23990zd2_2976;
																																					BgL_carzd23990zd2_2976
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(BgL_carzd23990zd2_2976
																																							==
																																							CNST_TABLE_REF
																																							(((long) 1))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_16390;
																																							goto
																																								BgL_tagzd2377zd2_1783;
																																							BgL_auxz00_14766
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_16390);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((BgL_carzd23990zd2_2976 == BGl_za2ifza2z00zzast_sexpz00))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_16394;
																																									goto
																																										BgL_tagzd2377zd2_1783;
																																									BgL_auxz00_14766
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_16394);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_16401;
																																											goto
																																												BgL_tagzd2379zd2_1787;
																																											BgL_auxz00_14766
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_16401);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_16408;
																																													goto
																																														BgL_tagzd2380zd2_1788;
																																													BgL_auxz00_14766
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_16408);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_carzd24059zd2_2983;
																																													BgL_carzd24059zd2_2983
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if (PAIRP(BgL_carzd24059zd2_2983))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_carzd24062zd2_2985;
																																															obj_t
																																																BgL_cdrzd24063zd2_2986;
																																															BgL_carzd24062zd2_2985
																																																=
																																																CAR
																																																(BgL_carzd24059zd2_2983);
																																															BgL_cdrzd24063zd2_2986
																																																=
																																																CDR
																																																(BgL_carzd24059zd2_2983);
																																															{

																																																if ((BgL_carzd24062zd2_2985 == CNST_TABLE_REF(((long) 17))))
																																																	{	/* Ast/sexp.scm 119 */
																																																	BgL_kapzd24064zd2_2987:
																																																		if (PAIRP(BgL_cdrzd24063zd2_2986))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd24067zd2_3112;
																																																				BgL_cdrzd24067zd2_3112
																																																					=
																																																					CDR
																																																					(BgL_cdrzd24063zd2_2986);
																																																				if (PAIRP(BgL_cdrzd24067zd2_3112))
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (NULLP(CDR(BgL_cdrzd24067zd2_3112)))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg2685z00_3116;
																																																								obj_t
																																																									BgL_arg2686z00_3117;
																																																								BgL_arg2685z00_3116
																																																									=
																																																									CAR
																																																									(BgL_cdrzd24067zd2_3112);
																																																								BgL_arg2686z00_3117
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_16430;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_16432;
																																																										obj_t
																																																											BgL_bodyz00_16431;
																																																										BgL_bodyz00_16431
																																																											=
																																																											BgL_arg2685z00_3116;
																																																										BgL_argsz00_16432
																																																											=
																																																											BgL_arg2686z00_3117;
																																																										BgL_argsz00_1790
																																																											=
																																																											BgL_argsz00_16432;
																																																										BgL_bodyz00_1789
																																																											=
																																																											BgL_bodyz00_16431;
																																																										goto
																																																											BgL_tagzd2381zd2_1791;
																																																									}
																																																									BgL_auxz00_14766
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_16430);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd24091zd2_3118;
																																																								BgL_cdrzd24091zd2_3118
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test7851z00_16436;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg2772z00_3229;
																																																										BgL_arg2772z00_3229
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test7851z00_16436
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg2772z00_3229));
																																																									}
																																																									if (BgL_test7851z00_16436)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg2689z00_3121;
																																																											obj_t
																																																												BgL_arg2690z00_3122;
																																																											BgL_arg2689z00_3121
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd24091zd2_3118));
																																																											BgL_arg2690z00_3122
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd24091zd2_3118));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_16445;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_16447;
																																																													obj_t
																																																														BgL_bindingsz00_16446;
																																																													BgL_bindingsz00_16446
																																																														=
																																																														BgL_arg2689z00_3121;
																																																													BgL_exprz00_16447
																																																														=
																																																														BgL_arg2690z00_3122;
																																																													BgL_exprz00_1793
																																																														=
																																																														BgL_exprz00_16447;
																																																													BgL_bindingsz00_1792
																																																														=
																																																														BgL_bindingsz00_16446;
																																																													goto
																																																														BgL_tagzd2382zd2_1794;
																																																												}
																																																												BgL_auxz00_14766
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_16445);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test7852z00_16449;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg2771z00_3228;
																																																												BgL_arg2771z00_3228
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test7852z00_16449
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg2771z00_3228));
																																																											}
																																																											if (BgL_test7852z00_16449)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_16454;
																																																													goto
																																																														BgL_tagzd2384zd2_1796;
																																																													BgL_auxz00_14766
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_16454);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd24158zd2_3125;
																																																													BgL_carzd24158zd2_3125
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd24163zd2_3126;
																																																														BgL_cdrzd24163zd2_3126
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd24158zd2_3125));
																																																														if ((CAR(((obj_t) BgL_carzd24158zd2_3125)) == CNST_TABLE_REF(((long) 3))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg2695z00_3129;
																																																																obj_t
																																																																	BgL_arg2696z00_3130;
																																																																obj_t
																																																																	BgL_arg2697z00_3131;
																																																																BgL_arg2695z00_3129
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd24163zd2_3126));
																																																																BgL_arg2696z00_3130
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd24163zd2_3126));
																																																																BgL_arg2697z00_3131
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_16471;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_16474;
																																																																		obj_t
																																																																			BgL_bodyz00_16473;
																																																																		obj_t
																																																																			BgL_varsz00_16472;
																																																																		BgL_varsz00_16472
																																																																			=
																																																																			BgL_arg2695z00_3129;
																																																																		BgL_bodyz00_16473
																																																																			=
																																																																			BgL_arg2696z00_3130;
																																																																		BgL_argsz00_16474
																																																																			=
																																																																			BgL_arg2697z00_3131;
																																																																		BgL_argsz00_1803
																																																																			=
																																																																			BgL_argsz00_16474;
																																																																		BgL_bodyz00_1802
																																																																			=
																																																																			BgL_bodyz00_16473;
																																																																		BgL_varsz00_1801
																																																																			=
																																																																			BgL_varsz00_16472;
																																																																		goto
																																																																			BgL_tagzd2386zd2_1804;
																																																																	}
																																																																	BgL_auxz00_14766
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_16471);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd24186zd2_3133;
																																																																BgL_cdrzd24186zd2_3133
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd24192zd2_3134;
																																																																	BgL_cdrzd24192zd2_3134
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd24158zd2_3125));
																																																																	if ((CAR(((obj_t) BgL_carzd24158zd2_3125)) == CNST_TABLE_REF(((long) 1))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd24198zd2_3137;
																																																																			BgL_cdrzd24198zd2_3137
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd24192zd2_3134));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd24203zd2_3138;
																																																																				obj_t
																																																																					BgL_cdrzd24204zd2_3139;
																																																																				BgL_carzd24203zd2_3138
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd24198zd2_3137));
																																																																				BgL_cdrzd24204zd2_3139
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd24198zd2_3137));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24203zd2_3138))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (PAIRP(BgL_cdrzd24204zd2_3139))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd24211zd2_3142;
																																																																								BgL_carzd24211zd2_3142
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd24204zd2_3139);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24211zd2_3142))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(BgL_cdrzd24204zd2_3139)))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test7859z00_16501;
																																																																												{
																																																																													obj_t
																																																																														BgL_l1376z00_3175;
																																																																													BgL_l1376z00_3175
																																																																														=
																																																																														BgL_cdrzd24186zd2_3133;
																																																																												BgL_zc3z04anonymousza32722ze3z87_3176:
																																																																													if (NULLP(BgL_l1376z00_3175))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															BgL_test7859z00_16501
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															bool_t
																																																																																BgL_test7861z00_16504;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																bool_t
																																																																																	BgL_test7862z00_16505;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_tmpz00_16506;
																																																																																	BgL_tmpz00_16506
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_l1376z00_3175));
																																																																																	BgL_test7862z00_16505
																																																																																		=
																																																																																		PAIRP
																																																																																		(BgL_tmpz00_16506);
																																																																																}
																																																																																if (BgL_test7862z00_16505)
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test7861z00_16504
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test7861z00_16504
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																															}
																																																																															if (BgL_test7861z00_16504)
																																																																																{
																																																																																	obj_t
																																																																																		BgL_l1376z00_16510;
																																																																																	BgL_l1376z00_16510
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_l1376z00_3175));
																																																																																	BgL_l1376z00_3175
																																																																																		=
																																																																																		BgL_l1376z00_16510;
																																																																																	goto
																																																																																		BgL_zc3z04anonymousza32722ze3z87_3176;
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test7859z00_16501
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																														}
																																																																												}
																																																																												if (BgL_test7859z00_16501)
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg2712z00_3158;
																																																																														BgL_arg2712z00_3158
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd24192zd2_3134));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_16515;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_16519;
																																																																																obj_t
																																																																																	BgL_proc2z00_16518;
																																																																																obj_t
																																																																																	BgL_proc1z00_16517;
																																																																																obj_t
																																																																																	BgL_testz00_16516;
																																																																																BgL_testz00_16516
																																																																																	=
																																																																																	BgL_arg2712z00_3158;
																																																																																BgL_proc1z00_16517
																																																																																	=
																																																																																	BgL_carzd24203zd2_3138;
																																																																																BgL_proc2z00_16518
																																																																																	=
																																																																																	BgL_carzd24211zd2_3142;
																																																																																BgL_argsz00_16519
																																																																																	=
																																																																																	BgL_cdrzd24186zd2_3133;
																																																																																BgL_argsz00_1808
																																																																																	=
																																																																																	BgL_argsz00_16519;
																																																																																BgL_proc2z00_1807
																																																																																	=
																																																																																	BgL_proc2z00_16518;
																																																																																BgL_proc1z00_1806
																																																																																	=
																																																																																	BgL_proc1z00_16517;
																																																																																BgL_testz00_1805
																																																																																	=
																																																																																	BgL_testz00_16516;
																																																																																goto
																																																																																	BgL_tagzd2387zd2_1809;
																																																																															}
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16515);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd24235zd2_3159;
																																																																														BgL_cdrzd24235zd2_3159
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd24242zd2_3160;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_10693;
																																																																																BgL_pairz00_10693
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_cdrzd24242zd2_3160
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_10693);
																																																																															}
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd24249zd2_3161;
																																																																																BgL_cdrzd24249zd2_3161
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd24242zd2_3160));
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd24255zd2_3162;
																																																																																	BgL_carzd24255zd2_3162
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd24249zd2_3161));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24255zd2_3162))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_carzd24262zd2_3164;
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_pairz00_10697;
																																																																																				BgL_pairz00_10697
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd24249zd2_3161));
																																																																																				BgL_carzd24262zd2_3164
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_pairz00_10697);
																																																																																			}
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24262zd2_3164))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24235zd2_3159))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_arg2716z00_3167;
																																																																																							BgL_arg2716z00_3167
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd24242zd2_3160));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_16541;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_16545;
																																																																																									obj_t
																																																																																										BgL_proc2z00_16544;
																																																																																									obj_t
																																																																																										BgL_proc1z00_16543;
																																																																																									obj_t
																																																																																										BgL_testz00_16542;
																																																																																									BgL_testz00_16542
																																																																																										=
																																																																																										BgL_arg2716z00_3167;
																																																																																									BgL_proc1z00_16543
																																																																																										=
																																																																																										BgL_carzd24255zd2_3162;
																																																																																									BgL_proc2z00_16544
																																																																																										=
																																																																																										BgL_carzd24262zd2_3164;
																																																																																									BgL_argsz00_16545
																																																																																										=
																																																																																										BgL_cdrzd24235zd2_3159;
																																																																																									BgL_argsz00_1813
																																																																																										=
																																																																																										BgL_argsz00_16545;
																																																																																									BgL_proc2z00_1812
																																																																																										=
																																																																																										BgL_proc2z00_16544;
																																																																																									BgL_proc1z00_1811
																																																																																										=
																																																																																										BgL_proc1z00_16543;
																																																																																									BgL_testz00_1810
																																																																																										=
																																																																																										BgL_testz00_16542;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1814;
																																																																																								}
																																																																																								BgL_auxz00_14766
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_16541);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1838;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_16549;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1839;
																																																																																									BgL_auxz00_14766
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_16549);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1838;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_16553;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1839;
																																																																																							BgL_auxz00_14766
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_16553);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1838;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_16557;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1839;
																																																																																					BgL_auxz00_14766
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_16557);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1838;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_16561;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1839;
																																																																														BgL_auxz00_14766
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_16561);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd24538zd2_3186;
																																																																										BgL_cdrzd24538zd2_3186
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd24544zd2_3187;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_10701;
																																																																												BgL_pairz00_10701
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd24544zd2_3187
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_10701);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd24550zd2_3188;
																																																																												BgL_cdrzd24550zd2_3188
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd24544zd2_3187));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd24555zd2_3189;
																																																																													obj_t
																																																																														BgL_cdrzd24556zd2_3190;
																																																																													BgL_carzd24555zd2_3189
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd24550zd2_3188));
																																																																													BgL_cdrzd24556zd2_3190
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd24550zd2_3188));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24555zd2_3189))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd24561zd2_3192;
																																																																															BgL_carzd24561zd2_3192
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd24556zd2_3190));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24561zd2_3192))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (NULLP(CDR(((obj_t) BgL_cdrzd24556zd2_3190))))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24538zd2_3186))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg2735z00_3197;
																																																																																					BgL_arg2735z00_3197
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd24544zd2_3187));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_16588;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_16592;
																																																																																							obj_t
																																																																																								BgL_proc2z00_16591;
																																																																																							obj_t
																																																																																								BgL_proc1z00_16590;
																																																																																							obj_t
																																																																																								BgL_testz00_16589;
																																																																																							BgL_testz00_16589
																																																																																								=
																																																																																								BgL_arg2735z00_3197;
																																																																																							BgL_proc1z00_16590
																																																																																								=
																																																																																								BgL_carzd24555zd2_3189;
																																																																																							BgL_proc2z00_16591
																																																																																								=
																																																																																								BgL_carzd24561zd2_3192;
																																																																																							BgL_argsz00_16592
																																																																																								=
																																																																																								BgL_cdrzd24538zd2_3186;
																																																																																							BgL_argsz00_1813
																																																																																								=
																																																																																								BgL_argsz00_16592;
																																																																																							BgL_proc2z00_1812
																																																																																								=
																																																																																								BgL_proc2z00_16591;
																																																																																							BgL_proc1z00_1811
																																																																																								=
																																																																																								BgL_proc1z00_16590;
																																																																																							BgL_testz00_1810
																																																																																								=
																																																																																								BgL_testz00_16589;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1814;
																																																																																						}
																																																																																						BgL_auxz00_14766
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_16588);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1838;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_16596;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1839;
																																																																																							BgL_auxz00_14766
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_16596);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1838;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_16600;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1839;
																																																																																					BgL_auxz00_14766
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_16600);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_16604;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_14766
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_16604);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_16608;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_16608);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_16612;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_14766
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_16612);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd24894zd2_3205;
																																																																						BgL_cdrzd24894zd2_3205
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd24901zd2_3206;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_10710;
																																																																								BgL_pairz00_10710
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd24901zd2_3206
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_10710);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd24908zd2_3207;
																																																																								BgL_cdrzd24908zd2_3207
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd24901zd2_3206));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd24914zd2_3208;
																																																																									obj_t
																																																																										BgL_cdrzd24915zd2_3209;
																																																																									BgL_carzd24914zd2_3208
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd24908zd2_3207));
																																																																									BgL_cdrzd24915zd2_3209
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd24908zd2_3207));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24914zd2_3208))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (PAIRP(BgL_cdrzd24915zd2_3209))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd24922zd2_3212;
																																																																													BgL_carzd24922zd2_3212
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd24915zd2_3209);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24922zd2_3212))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(BgL_cdrzd24915zd2_3209)))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24894zd2_3205))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg2749z00_3217;
																																																																																			BgL_arg2749z00_3217
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd24901zd2_3206));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_16639;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_16643;
																																																																																					obj_t
																																																																																						BgL_proc2z00_16642;
																																																																																					obj_t
																																																																																						BgL_proc1z00_16641;
																																																																																					obj_t
																																																																																						BgL_testz00_16640;
																																																																																					BgL_testz00_16640
																																																																																						=
																																																																																						BgL_arg2749z00_3217;
																																																																																					BgL_proc1z00_16641
																																																																																						=
																																																																																						BgL_carzd24914zd2_3208;
																																																																																					BgL_proc2z00_16642
																																																																																						=
																																																																																						BgL_carzd24922zd2_3212;
																																																																																					BgL_argsz00_16643
																																																																																						=
																																																																																						BgL_cdrzd24894zd2_3205;
																																																																																					BgL_argsz00_1813
																																																																																						=
																																																																																						BgL_argsz00_16643;
																																																																																					BgL_proc2z00_1812
																																																																																						=
																																																																																						BgL_proc2z00_16642;
																																																																																					BgL_proc1z00_1811
																																																																																						=
																																																																																						BgL_proc1z00_16641;
																																																																																					BgL_testz00_1810
																																																																																						=
																																																																																						BgL_testz00_16640;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1814;
																																																																																				}
																																																																																				BgL_auxz00_14766
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_16639);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1838;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_16647;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1839;
																																																																																					BgL_auxz00_14766
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_16647);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_16651;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_14766
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_16651);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_16655;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_16655);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_16659;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16659);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_16663;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_16663);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1838;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_16667;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1839;
																																																																					BgL_auxz00_14766
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_16667);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd25315zd2_3231;
																																																						BgL_cdrzd25315zd2_3231
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test7890z00_16671;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg2790z00_3248;
																																																								BgL_arg2790z00_3248
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test7890z00_16671
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg2790z00_3248));
																																																							}
																																																							if (BgL_test7890z00_16671)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg2777z00_3234;
																																																									obj_t
																																																										BgL_arg2778z00_3235;
																																																									BgL_arg2777z00_3234
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd25315zd2_3231));
																																																									BgL_arg2778z00_3235
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd25315zd2_3231));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_16680;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_16682;
																																																											obj_t
																																																												BgL_bindingsz00_16681;
																																																											BgL_bindingsz00_16681
																																																												=
																																																												BgL_arg2777z00_3234;
																																																											BgL_exprz00_16682
																																																												=
																																																												BgL_arg2778z00_3235;
																																																											BgL_exprz00_1793
																																																												=
																																																												BgL_exprz00_16682;
																																																											BgL_bindingsz00_1792
																																																												=
																																																												BgL_bindingsz00_16681;
																																																											goto
																																																												BgL_tagzd2382zd2_1794;
																																																										}
																																																										BgL_auxz00_14766
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_16680);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test7891z00_16684;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg2789z00_3247;
																																																										BgL_arg2789z00_3247
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test7891z00_16684
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg2789z00_3247));
																																																									}
																																																									if (BgL_test7891z00_16684)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_16689;
																																																											goto
																																																												BgL_tagzd2384zd2_1796;
																																																											BgL_auxz00_14766
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_16689);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd25381zd2_3238;
																																																											BgL_carzd25381zd2_3238
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd25386zd2_3239;
																																																												BgL_cdrzd25386zd2_3239
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd25381zd2_3238));
																																																												if ((CAR(((obj_t) BgL_carzd25381zd2_3238)) == CNST_TABLE_REF(((long) 3))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg2783z00_3242;
																																																														obj_t
																																																															BgL_arg2784z00_3243;
																																																														obj_t
																																																															BgL_arg2785z00_3244;
																																																														BgL_arg2783z00_3242
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd25386zd2_3239));
																																																														BgL_arg2784z00_3243
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd25386zd2_3239));
																																																														BgL_arg2785z00_3244
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_16706;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_16709;
																																																																obj_t
																																																																	BgL_bodyz00_16708;
																																																																obj_t
																																																																	BgL_varsz00_16707;
																																																																BgL_varsz00_16707
																																																																	=
																																																																	BgL_arg2783z00_3242;
																																																																BgL_bodyz00_16708
																																																																	=
																																																																	BgL_arg2784z00_3243;
																																																																BgL_argsz00_16709
																																																																	=
																																																																	BgL_arg2785z00_3244;
																																																																BgL_argsz00_1803
																																																																	=
																																																																	BgL_argsz00_16709;
																																																																BgL_bodyz00_1802
																																																																	=
																																																																	BgL_bodyz00_16708;
																																																																BgL_varsz00_1801
																																																																	=
																																																																	BgL_varsz00_16707;
																																																																goto
																																																																	BgL_tagzd2386zd2_1804;
																																																															}
																																																															BgL_auxz00_14766
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_16706);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1838;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_16713;
																																																																goto
																																																																	BgL_tagzd2404zd2_1839;
																																																																BgL_auxz00_14766
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_16713);
																																																															}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd25497zd2_3249;
																																																				BgL_cdrzd25497zd2_3249
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test7894z00_16717;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg2820z00_3258;
																																																						BgL_arg2820z00_3258
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test7894z00_16717
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg2820z00_3258));
																																																					}
																																																					if (BgL_test7894z00_16717)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg2795z00_3252;
																																																							obj_t
																																																								BgL_arg2796z00_3253;
																																																							BgL_arg2795z00_3252
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd25497zd2_3249));
																																																							BgL_arg2796z00_3253
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd25497zd2_3249));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_16726;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_16728;
																																																									obj_t
																																																										BgL_bindingsz00_16727;
																																																									BgL_bindingsz00_16727
																																																										=
																																																										BgL_arg2795z00_3252;
																																																									BgL_exprz00_16728
																																																										=
																																																										BgL_arg2796z00_3253;
																																																									BgL_exprz00_1793
																																																										=
																																																										BgL_exprz00_16728;
																																																									BgL_bindingsz00_1792
																																																										=
																																																										BgL_bindingsz00_16727;
																																																									goto
																																																										BgL_tagzd2382zd2_1794;
																																																								}
																																																								BgL_auxz00_14766
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_16726);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test7895z00_16730;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg2819z00_3257;
																																																								BgL_arg2819z00_3257
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test7895z00_16730
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg2819z00_3257));
																																																							}
																																																							if (BgL_test7895z00_16730)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_16735;
																																																									goto
																																																										BgL_tagzd2384zd2_1796;
																																																									BgL_auxz00_14766
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_16735);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2403zd2_1838;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_16739;
																																																											goto
																																																												BgL_tagzd2404zd2_1839;
																																																											BgL_auxz00_14766
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_16739);
																																																										}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd24062zd2_2985)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd24064zd2_2987;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if ((BgL_carzd24062zd2_2985 == CNST_TABLE_REF(((long) 18))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd24064zd2_2987;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if ((BgL_carzd24062zd2_2985 == CNST_TABLE_REF(((long) 19))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd24064zd2_2987;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd24062zd2_2985)))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_kapzd24064zd2_2987;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd25669zd2_2993;
																																																										BgL_cdrzd25669zd2_2993
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test7901z00_16755;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg2680z00_3110;
																																																												BgL_arg2680z00_3110
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test7901z00_16755
																																																													=
																																																													CBOOL
																																																													(BGl_letzd2symzf3z21zzast_letz00
																																																													(BgL_arg2680z00_3110));
																																																											}
																																																											if (BgL_test7901z00_16755)
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg2602z00_2996;
																																																													obj_t
																																																														BgL_arg2603z00_2997;
																																																													BgL_arg2602z00_2996
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd25669zd2_2993));
																																																													BgL_arg2603z00_2997
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd25669zd2_2993));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_16764;
																																																														{
																																																															obj_t
																																																																BgL_exprz00_16766;
																																																															obj_t
																																																																BgL_bindingsz00_16765;
																																																															BgL_bindingsz00_16765
																																																																=
																																																																BgL_arg2602z00_2996;
																																																															BgL_exprz00_16766
																																																																=
																																																																BgL_arg2603z00_2997;
																																																															BgL_exprz00_1793
																																																																=
																																																																BgL_exprz00_16766;
																																																															BgL_bindingsz00_1792
																																																																=
																																																																BgL_bindingsz00_16765;
																																																															goto
																																																																BgL_tagzd2382zd2_1794;
																																																														}
																																																														BgL_auxz00_14766
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_16764);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test7902z00_16768;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg2679z00_3109;
																																																														BgL_arg2679z00_3109
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test7902z00_16768
																																																															=
																																																															CBOOL
																																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																																															(BgL_arg2679z00_3109));
																																																													}
																																																													if (BgL_test7902z00_16768)
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_16773;
																																																															goto
																																																																BgL_tagzd2384zd2_1796;
																																																															BgL_auxz00_14766
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_16773);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd25735zd2_3000;
																																																															BgL_carzd25735zd2_3000
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd25740zd2_3001;
																																																																BgL_cdrzd25740zd2_3001
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd25735zd2_3000));
																																																																if ((CAR(((obj_t) BgL_carzd25735zd2_3000)) == CNST_TABLE_REF(((long) 3))))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd25740zd2_3001))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg2610z00_3005;
																																																																				obj_t
																																																																					BgL_arg2611z00_3006;
																																																																				obj_t
																																																																					BgL_arg2612z00_3007;
																																																																				BgL_arg2610z00_3005
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd25740zd2_3001);
																																																																				BgL_arg2611z00_3006
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd25740zd2_3001);
																																																																				BgL_arg2612z00_3007
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_16790;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_16793;
																																																																						obj_t
																																																																							BgL_bodyz00_16792;
																																																																						obj_t
																																																																							BgL_varsz00_16791;
																																																																						BgL_varsz00_16791
																																																																							=
																																																																							BgL_arg2610z00_3005;
																																																																						BgL_bodyz00_16792
																																																																							=
																																																																							BgL_arg2611z00_3006;
																																																																						BgL_argsz00_16793
																																																																							=
																																																																							BgL_arg2612z00_3007;
																																																																						BgL_argsz00_1803
																																																																							=
																																																																							BgL_argsz00_16793;
																																																																						BgL_bodyz00_1802
																																																																							=
																																																																							BgL_bodyz00_16792;
																																																																						BgL_varsz00_1801
																																																																							=
																																																																							BgL_varsz00_16791;
																																																																						goto
																																																																							BgL_tagzd2386zd2_1804;
																																																																					}
																																																																					BgL_auxz00_14766
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_16790);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_16797;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_14766
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_16797);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd25847zd2_3010;
																																																																		BgL_cdrzd25847zd2_3010
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd25852zd2_3011;
																																																																			BgL_cdrzd25852zd2_3011
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_carzd25735zd2_3000));
																																																																			if ((CAR(((obj_t) BgL_carzd25735zd2_3000)) == CNST_TABLE_REF(((long) 1))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd25852zd2_3011))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd25857zd2_3015;
																																																																							BgL_cdrzd25857zd2_3015
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd25852zd2_3011);
																																																																							if (PAIRP(BgL_cdrzd25857zd2_3015))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd25861zd2_3017;
																																																																									obj_t
																																																																										BgL_cdrzd25862zd2_3018;
																																																																									BgL_carzd25861zd2_3017
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd25857zd2_3015);
																																																																									BgL_cdrzd25862zd2_3018
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd25857zd2_3015);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25861zd2_3017))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (PAIRP(BgL_cdrzd25862zd2_3018))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd25867zd2_3021;
																																																																													BgL_carzd25867zd2_3021
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd25862zd2_3018);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25867zd2_3021))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(BgL_cdrzd25862zd2_3018)))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	bool_t
																																																																																		BgL_test7913z00_16825;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_l1379z00_3054;
																																																																																		BgL_l1379z00_3054
																																																																																			=
																																																																																			BgL_cdrzd25847zd2_3010;
																																																																																	BgL_zc3z04anonymousza32641ze3z87_3055:
																																																																																		if (NULLP(BgL_l1379z00_3054))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test7913z00_16825
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					1);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				bool_t
																																																																																					BgL_test7915z00_16828;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					bool_t
																																																																																						BgL_test7916z00_16829;
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_tmpz00_16830;
																																																																																						BgL_tmpz00_16830
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_l1379z00_3054));
																																																																																						BgL_test7916z00_16829
																																																																																							=
																																																																																							PAIRP
																																																																																							(BgL_tmpz00_16830);
																																																																																					}
																																																																																					if (BgL_test7916z00_16829)
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							BgL_test7915z00_16828
																																																																																								=
																																																																																								(
																																																																																								(bool_t)
																																																																																								0);
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							BgL_test7915z00_16828
																																																																																								=
																																																																																								(
																																																																																								(bool_t)
																																																																																								1);
																																																																																						}
																																																																																				}
																																																																																				if (BgL_test7915z00_16828)
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_l1379z00_16834;
																																																																																						BgL_l1379z00_16834
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_l1379z00_3054));
																																																																																						BgL_l1379z00_3054
																																																																																							=
																																																																																							BgL_l1379z00_16834;
																																																																																						goto
																																																																																							BgL_zc3z04anonymousza32641ze3z87_3055;
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						BgL_test7913z00_16825
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							0);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																	if (BgL_test7913z00_16825)
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg2630z00_3037;
																																																																																			BgL_arg2630z00_3037
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd25852zd2_3011);
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_16838;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_16842;
																																																																																					obj_t
																																																																																						BgL_proc2z00_16841;
																																																																																					obj_t
																																																																																						BgL_proc1z00_16840;
																																																																																					obj_t
																																																																																						BgL_testz00_16839;
																																																																																					BgL_testz00_16839
																																																																																						=
																																																																																						BgL_arg2630z00_3037;
																																																																																					BgL_proc1z00_16840
																																																																																						=
																																																																																						BgL_carzd25861zd2_3017;
																																																																																					BgL_proc2z00_16841
																																																																																						=
																																																																																						BgL_carzd25867zd2_3021;
																																																																																					BgL_argsz00_16842
																																																																																						=
																																																																																						BgL_cdrzd25847zd2_3010;
																																																																																					BgL_argsz00_1808
																																																																																						=
																																																																																						BgL_argsz00_16842;
																																																																																					BgL_proc2z00_1807
																																																																																						=
																																																																																						BgL_proc2z00_16841;
																																																																																					BgL_proc1z00_1806
																																																																																						=
																																																																																						BgL_proc1z00_16840;
																																																																																					BgL_testz00_1805
																																																																																						=
																																																																																						BgL_testz00_16839;
																																																																																					goto
																																																																																						BgL_tagzd2387zd2_1809;
																																																																																				}
																																																																																				BgL_auxz00_14766
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_16838);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd25892zd2_3038;
																																																																																			BgL_cdrzd25892zd2_3038
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_cdrzd25900zd2_3039;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_pairz00_10758;
																																																																																					BgL_pairz00_10758
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					BgL_cdrzd25900zd2_3039
																																																																																						=
																																																																																						CDR
																																																																																						(BgL_pairz00_10758);
																																																																																				}
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_cdrzd25908zd2_3040;
																																																																																					BgL_cdrzd25908zd2_3040
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd25900zd2_3039));
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd25915zd2_3041;
																																																																																						BgL_carzd25915zd2_3041
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd25908zd2_3040));
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25915zd2_3041))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_carzd25924zd2_3043;
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									obj_t
																																																																																										BgL_pairz00_10762;
																																																																																									BgL_pairz00_10762
																																																																																										=
																																																																																										CDR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd25908zd2_3040));
																																																																																									BgL_carzd25924zd2_3043
																																																																																										=
																																																																																										CAR
																																																																																										(BgL_pairz00_10762);
																																																																																								}
																																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25924zd2_3043))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd25892zd2_3038))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												obj_t
																																																																																													BgL_arg2634z00_3046;
																																																																																												BgL_arg2634z00_3046
																																																																																													=
																																																																																													CAR
																																																																																													(
																																																																																													((obj_t) BgL_cdrzd25900zd2_3039));
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_16864;
																																																																																													{
																																																																																														obj_t
																																																																																															BgL_argsz00_16868;
																																																																																														obj_t
																																																																																															BgL_proc2z00_16867;
																																																																																														obj_t
																																																																																															BgL_proc1z00_16866;
																																																																																														obj_t
																																																																																															BgL_testz00_16865;
																																																																																														BgL_testz00_16865
																																																																																															=
																																																																																															BgL_arg2634z00_3046;
																																																																																														BgL_proc1z00_16866
																																																																																															=
																																																																																															BgL_carzd25915zd2_3041;
																																																																																														BgL_proc2z00_16867
																																																																																															=
																																																																																															BgL_carzd25924zd2_3043;
																																																																																														BgL_argsz00_16868
																																																																																															=
																																																																																															BgL_cdrzd25892zd2_3038;
																																																																																														BgL_argsz00_1813
																																																																																															=
																																																																																															BgL_argsz00_16868;
																																																																																														BgL_proc2z00_1812
																																																																																															=
																																																																																															BgL_proc2z00_16867;
																																																																																														BgL_proc1z00_1811
																																																																																															=
																																																																																															BgL_proc1z00_16866;
																																																																																														BgL_testz00_1810
																																																																																															=
																																																																																															BgL_testz00_16865;
																																																																																														goto
																																																																																															BgL_tagzd2388zd2_1814;
																																																																																													}
																																																																																													BgL_auxz00_14766
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_16864);
																																																																																												}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2403zd2_1838;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_16872;
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1839;
																																																																																														BgL_auxz00_14766
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_16872);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2403zd2_1838;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_16876;
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1839;
																																																																																												BgL_auxz00_14766
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_16876);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1838;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_16880;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1839;
																																																																																										BgL_auxz00_14766
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_16880);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_16884;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_14766
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_16884);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd26202zd2_3065;
																																																																															BgL_cdrzd26202zd2_3065
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd26209zd2_3066;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_pairz00_10766;
																																																																																	BgL_pairz00_10766
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd26209zd2_3066
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_10766);
																																																																																}
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd26216zd2_3067;
																																																																																	BgL_cdrzd26216zd2_3067
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd26209zd2_3066));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd26222zd2_3068;
																																																																																		obj_t
																																																																																			BgL_cdrzd26223zd2_3069;
																																																																																		BgL_carzd26222zd2_3068
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd26216zd2_3067));
																																																																																		BgL_cdrzd26223zd2_3069
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd26216zd2_3067));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26222zd2_3068))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd26230zd2_3071;
																																																																																				BgL_carzd26230zd2_3071
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd26223zd2_3069));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26230zd2_3071))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd26223zd2_3069))))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd26202zd2_3065))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_arg2650z00_3076;
																																																																																										BgL_arg2650z00_3076
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd26209zd2_3066));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_16911;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_16915;
																																																																																												obj_t
																																																																																													BgL_proc2z00_16914;
																																																																																												obj_t
																																																																																													BgL_proc1z00_16913;
																																																																																												obj_t
																																																																																													BgL_testz00_16912;
																																																																																												BgL_testz00_16912
																																																																																													=
																																																																																													BgL_arg2650z00_3076;
																																																																																												BgL_proc1z00_16913
																																																																																													=
																																																																																													BgL_carzd26222zd2_3068;
																																																																																												BgL_proc2z00_16914
																																																																																													=
																																																																																													BgL_carzd26230zd2_3071;
																																																																																												BgL_argsz00_16915
																																																																																													=
																																																																																													BgL_cdrzd26202zd2_3065;
																																																																																												BgL_argsz00_1813
																																																																																													=
																																																																																													BgL_argsz00_16915;
																																																																																												BgL_proc2z00_1812
																																																																																													=
																																																																																													BgL_proc2z00_16914;
																																																																																												BgL_proc1z00_1811
																																																																																													=
																																																																																													BgL_proc1z00_16913;
																																																																																												BgL_testz00_1810
																																																																																													=
																																																																																													BgL_testz00_16912;
																																																																																												goto
																																																																																													BgL_tagzd2388zd2_1814;
																																																																																											}
																																																																																											BgL_auxz00_14766
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_16911);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2403zd2_1838;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_16919;
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1839;
																																																																																												BgL_auxz00_14766
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_16919);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1838;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_16923;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1839;
																																																																																										BgL_auxz00_14766
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_16923);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1838;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_16927;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1839;
																																																																																								BgL_auxz00_14766
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_16927);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_16931;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_14766
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_16931);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_16935;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16935);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd26563zd2_3084;
																																																																											BgL_cdrzd26563zd2_3084
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd26569zd2_3085;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_10775;
																																																																													BgL_pairz00_10775
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd26569zd2_3085
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_10775);
																																																																												}
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd26575zd2_3086;
																																																																													BgL_cdrzd26575zd2_3086
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd26569zd2_3085));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd26580zd2_3087;
																																																																														obj_t
																																																																															BgL_cdrzd26581zd2_3088;
																																																																														BgL_carzd26580zd2_3087
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd26575zd2_3086));
																																																																														BgL_cdrzd26581zd2_3088
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd26575zd2_3086));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26580zd2_3087))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (PAIRP(BgL_cdrzd26581zd2_3088))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd26586zd2_3091;
																																																																																		BgL_carzd26586zd2_3091
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd26581zd2_3088);
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26586zd2_3091))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (NULLP(CDR(BgL_cdrzd26581zd2_3088)))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd26563zd2_3084))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg2666z00_3096;
																																																																																								BgL_arg2666z00_3096
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd26569zd2_3085));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_16962;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_16966;
																																																																																										obj_t
																																																																																											BgL_proc2z00_16965;
																																																																																										obj_t
																																																																																											BgL_proc1z00_16964;
																																																																																										obj_t
																																																																																											BgL_testz00_16963;
																																																																																										BgL_testz00_16963
																																																																																											=
																																																																																											BgL_arg2666z00_3096;
																																																																																										BgL_proc1z00_16964
																																																																																											=
																																																																																											BgL_carzd26580zd2_3087;
																																																																																										BgL_proc2z00_16965
																																																																																											=
																																																																																											BgL_carzd26586zd2_3091;
																																																																																										BgL_argsz00_16966
																																																																																											=
																																																																																											BgL_cdrzd26563zd2_3084;
																																																																																										BgL_argsz00_1813
																																																																																											=
																																																																																											BgL_argsz00_16966;
																																																																																										BgL_proc2z00_1812
																																																																																											=
																																																																																											BgL_proc2z00_16965;
																																																																																										BgL_proc1z00_1811
																																																																																											=
																																																																																											BgL_proc1z00_16964;
																																																																																										BgL_testz00_1810
																																																																																											=
																																																																																											BgL_testz00_16963;
																																																																																										goto
																																																																																											BgL_tagzd2388zd2_1814;
																																																																																									}
																																																																																									BgL_auxz00_14766
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_16962);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1838;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_16970;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1839;
																																																																																										BgL_auxz00_14766
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_16970);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1838;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_16974;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1839;
																																																																																								BgL_auxz00_14766
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_16974);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_16978;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_14766
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_16978);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_16982;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_14766
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_16982);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1838;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_16986;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1839;
																																																																																		BgL_auxz00_14766
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_16986);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_16990;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_16990);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_16994;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_14766
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_16994);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_16998;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_14766
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_16998);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_cdrzd27124zd2_3260;
																																															BgL_cdrzd27124zd2_3260
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if ((BgL_carzd24059zd2_2983 == CNST_TABLE_REF(((long) 17))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg2822z00_3262;
																																																	obj_t
																																																		BgL_arg2823z00_3263;
																																																	BgL_arg2822z00_3262
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd27124zd2_3260));
																																																	BgL_arg2823z00_3263
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd27124zd2_3260));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_17009;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_17011;
																																																			obj_t
																																																				BgL_bindingsz00_17010;
																																																			BgL_bindingsz00_17010
																																																				=
																																																				BgL_arg2822z00_3262;
																																																			BgL_exprz00_17011
																																																				=
																																																				BgL_arg2823z00_3263;
																																																			BgL_exprz00_1793
																																																				=
																																																				BgL_exprz00_17011;
																																																			BgL_bindingsz00_1792
																																																				=
																																																				BgL_bindingsz00_17010;
																																																			goto
																																																				BgL_tagzd2382zd2_1794;
																																																		}
																																																		BgL_auxz00_14766
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_17009);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd24059zd2_2983)))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg2825z00_3265;
																																																			obj_t
																																																				BgL_arg2826z00_3266;
																																																			BgL_arg2825z00_3265
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd27124zd2_3260));
																																																			BgL_arg2826z00_3266
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd27124zd2_3260));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_17020;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_17022;
																																																					obj_t
																																																						BgL_bindingsz00_17021;
																																																					BgL_bindingsz00_17021
																																																						=
																																																						BgL_arg2825z00_3265;
																																																					BgL_exprz00_17022
																																																						=
																																																						BgL_arg2826z00_3266;
																																																					BgL_exprz00_1793
																																																						=
																																																						BgL_exprz00_17022;
																																																					BgL_bindingsz00_1792
																																																						=
																																																						BgL_bindingsz00_17021;
																																																					goto
																																																						BgL_tagzd2382zd2_1794;
																																																				}
																																																				BgL_auxz00_14766
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_17020);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((BgL_carzd24059zd2_2983 == CNST_TABLE_REF(((long) 18))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg2828z00_3268;
																																																					obj_t
																																																						BgL_arg2829z00_3269;
																																																					BgL_arg2828z00_3268
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd27124zd2_3260));
																																																					BgL_arg2829z00_3269
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd27124zd2_3260));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_17031;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_17033;
																																																							obj_t
																																																								BgL_bindingsz00_17032;
																																																							BgL_bindingsz00_17032
																																																								=
																																																								BgL_arg2828z00_3268;
																																																							BgL_exprz00_17033
																																																								=
																																																								BgL_arg2829z00_3269;
																																																							BgL_exprz00_1793
																																																								=
																																																								BgL_exprz00_17033;
																																																							BgL_bindingsz00_1792
																																																								=
																																																								BgL_bindingsz00_17032;
																																																							goto
																																																								BgL_tagzd2382zd2_1794;
																																																						}
																																																						BgL_auxz00_14766
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_17031);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_17040;
																																																							goto
																																																								BgL_tagzd2383zd2_1795;
																																																							BgL_auxz00_14766
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_17040);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd27161zd2_3272;
																																																							BgL_carzd27161zd2_3272
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							if ((BgL_carzd27161zd2_3272 == CNST_TABLE_REF(((long) 19))))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_17047;
																																																									goto
																																																										BgL_tagzd2384zd2_1796;
																																																									BgL_auxz00_14766
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_17047);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd27161zd2_3272)))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_17052;
																																																											goto
																																																												BgL_tagzd2384zd2_1796;
																																																											BgL_auxz00_14766
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_17052);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_17059;
																																																													goto
																																																														BgL_tagzd2389zd2_1815;
																																																													BgL_auxz00_14766
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_17059);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_17066;
																																																															goto
																																																																BgL_tagzd2390zd2_1816;
																																																															BgL_auxz00_14766
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_17066);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd27241zd2_3279;
																																																															BgL_cdrzd27241zd2_3279
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg2840z00_3282;
																																																																	obj_t
																																																																		BgL_arg2841z00_3283;
																																																																	BgL_arg2840z00_3282
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd27241zd2_3279));
																																																																	BgL_arg2841z00_3283
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd27241zd2_3279));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_17079;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_17081;
																																																																			obj_t
																																																																				BgL_effectz00_17080;
																																																																			BgL_effectz00_17080
																																																																				=
																																																																				BgL_arg2840z00_3282;
																																																																			BgL_restz00_17081
																																																																				=
																																																																				BgL_arg2841z00_3283;
																																																																			BgL_restz00_1818
																																																																				=
																																																																				BgL_restz00_17081;
																																																																			BgL_effectz00_1817
																																																																				=
																																																																				BgL_effectz00_17080;
																																																																			goto
																																																																				BgL_tagzd2391zd2_1819;
																																																																		}
																																																																		BgL_auxz00_14766
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_17079);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_17088;
																																																																			goto
																																																																				BgL_tagzd2392zd2_1820;
																																																																			BgL_auxz00_14766
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_17088);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_17095;
																																																																					goto
																																																																						BgL_tagzd2393zd2_1821;
																																																																					BgL_auxz00_14766
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_17095);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_arg2848z00_3291;
																																																																							obj_t
																																																																								BgL_arg2849z00_3292;
																																																																							BgL_arg2848z00_3291
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd27241zd2_3279));
																																																																							BgL_arg2849z00_3292
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd27241zd2_3279));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_17106;
																																																																								{
																																																																									obj_t
																																																																										BgL_restz00_17108;
																																																																									obj_t
																																																																										BgL_effectz00_17107;
																																																																									BgL_effectz00_17107
																																																																										=
																																																																										BgL_arg2848z00_3291;
																																																																									BgL_restz00_17108
																																																																										=
																																																																										BgL_arg2849z00_3292;
																																																																									BgL_restz00_1823
																																																																										=
																																																																										BgL_restz00_17108;
																																																																									BgL_effectz00_1822
																																																																										=
																																																																										BgL_effectz00_17107;
																																																																									goto
																																																																										BgL_tagzd2394zd2_1824;
																																																																								}
																																																																								BgL_auxz00_14766
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_17106);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_17115;
																																																																									goto
																																																																										BgL_tagzd2395zd2_1825;
																																																																									BgL_auxz00_14766
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17115);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_17122;
																																																																											goto
																																																																												BgL_tagzd2396zd2_1826;
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_17122);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																												{
																																																																													BgL_letzd2funzd2_bglt
																																																																														BgL_auxz00_17129;
																																																																													goto
																																																																														BgL_tagzd2397zd2_1827;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_17129);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																														{
																																																																															BgL_jumpzd2exzd2itz00_bglt
																																																																																BgL_auxz00_17136;
																																																																															goto
																																																																																BgL_tagzd2398zd2_1828;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_17136);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd27318zd2_3301;
																																																																															BgL_cdrzd27318zd2_3301
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg2863z00_3304;
																																																																																	obj_t
																																																																																		BgL_arg2864z00_3305;
																																																																																	BgL_arg2863z00_3304
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd27318zd2_3301));
																																																																																	BgL_arg2864z00_3305
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd27318zd2_3301));
																																																																																	{	/* Ast/sexp.scm 555 */
																																																																																		obj_t
																																																																																			BgL_arg7079z00_10812;
																																																																																		BgL_arg7079z00_10812
																																																																																			=
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_locz00_23);
																																																																																		BgL_auxz00_14766
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																				BgL_arg2863z00_3304,
																																																																																				CNST_TABLE_REF
																																																																																				(((long) 4)), BgL_arg2864z00_3305, BgL_stackz00_22, BgL_arg7079z00_10812, BgL_sitez00_24));
																																																																																}}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_17155;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_14766
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_17155);
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd27343zd2_3322;
																																			BgL_carzd27343zd2_3322
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (
																																				(BgL_carzd27343zd2_3322
																																					==
																																					CNST_TABLE_REF
																																					(((long) 1))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_17162;
																																					goto
																																						BgL_tagzd2377zd2_1783;
																																					BgL_auxz00_14766
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_17162);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(BgL_carzd27343zd2_3322
																																							==
																																							BGl_za2ifza2z00zzast_sexpz00))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_17166;
																																							goto
																																								BgL_tagzd2377zd2_1783;
																																							BgL_auxz00_14766
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_17166);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_17173;
																																									goto
																																										BgL_tagzd2379zd2_1787;
																																									BgL_auxz00_14766
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_17173);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_17180;
																																											goto
																																												BgL_tagzd2380zd2_1788;
																																											BgL_auxz00_14766
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_17180);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_carzd27412zd2_3329;
																																											BgL_carzd27412zd2_3329
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if (PAIRP(BgL_carzd27412zd2_3329))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_carzd27415zd2_3331;
																																													obj_t
																																														BgL_cdrzd27416zd2_3332;
																																													BgL_carzd27415zd2_3331
																																														=
																																														CAR
																																														(BgL_carzd27412zd2_3329);
																																													BgL_cdrzd27416zd2_3332
																																														=
																																														CDR
																																														(BgL_carzd27412zd2_3329);
																																													{

																																														if ((BgL_carzd27415zd2_3331 == CNST_TABLE_REF(((long) 17))))
																																															{	/* Ast/sexp.scm 119 */
																																															BgL_kapzd27417zd2_3333:
																																																if (PAIRP(BgL_cdrzd27416zd2_3332))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd27420zd2_3458;
																																																		BgL_cdrzd27420zd2_3458
																																																			=
																																																			CDR
																																																			(BgL_cdrzd27416zd2_3332);
																																																		if (PAIRP(BgL_cdrzd27420zd2_3458))
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (NULLP(CDR(BgL_cdrzd27420zd2_3458)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg3037z00_3462;
																																																						obj_t
																																																							BgL_arg3038z00_3463;
																																																						BgL_arg3037z00_3462
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27420zd2_3458);
																																																						BgL_arg3038z00_3463
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_17202;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_17204;
																																																								obj_t
																																																									BgL_bodyz00_17203;
																																																								BgL_bodyz00_17203
																																																									=
																																																									BgL_arg3037z00_3462;
																																																								BgL_argsz00_17204
																																																									=
																																																									BgL_arg3038z00_3463;
																																																								BgL_argsz00_1790
																																																									=
																																																									BgL_argsz00_17204;
																																																								BgL_bodyz00_1789
																																																									=
																																																									BgL_bodyz00_17203;
																																																								goto
																																																									BgL_tagzd2381zd2_1791;
																																																							}
																																																							BgL_auxz00_14766
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_17202);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd27444zd2_3464;
																																																						BgL_cdrzd27444zd2_3464
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test7973z00_17208;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3135z00_3575;
																																																								BgL_arg3135z00_3575
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test7973z00_17208
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg3135z00_3575));
																																																							}
																																																							if (BgL_test7973z00_17208)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg3041z00_3467;
																																																									obj_t
																																																										BgL_arg3043z00_3468;
																																																									BgL_arg3041z00_3467
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd27444zd2_3464));
																																																									BgL_arg3043z00_3468
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd27444zd2_3464));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_17217;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_17219;
																																																											obj_t
																																																												BgL_bindingsz00_17218;
																																																											BgL_bindingsz00_17218
																																																												=
																																																												BgL_arg3041z00_3467;
																																																											BgL_exprz00_17219
																																																												=
																																																												BgL_arg3043z00_3468;
																																																											BgL_exprz00_1793
																																																												=
																																																												BgL_exprz00_17219;
																																																											BgL_bindingsz00_1792
																																																												=
																																																												BgL_bindingsz00_17218;
																																																											goto
																																																												BgL_tagzd2382zd2_1794;
																																																										}
																																																										BgL_auxz00_14766
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_17217);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test7974z00_17221;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3134z00_3574;
																																																										BgL_arg3134z00_3574
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test7974z00_17221
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg3134z00_3574));
																																																									}
																																																									if (BgL_test7974z00_17221)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_17226;
																																																											goto
																																																												BgL_tagzd2384zd2_1796;
																																																											BgL_auxz00_14766
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_17226);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd27511zd2_3471;
																																																											BgL_carzd27511zd2_3471
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd27516zd2_3472;
																																																												BgL_cdrzd27516zd2_3472
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd27511zd2_3471));
																																																												if ((CAR(((obj_t) BgL_carzd27511zd2_3471)) == CNST_TABLE_REF(((long) 3))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg3059z00_3475;
																																																														obj_t
																																																															BgL_arg3063z00_3476;
																																																														obj_t
																																																															BgL_arg3064z00_3477;
																																																														BgL_arg3059z00_3475
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd27516zd2_3472));
																																																														BgL_arg3063z00_3476
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd27516zd2_3472));
																																																														BgL_arg3064z00_3477
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_17243;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_17246;
																																																																obj_t
																																																																	BgL_bodyz00_17245;
																																																																obj_t
																																																																	BgL_varsz00_17244;
																																																																BgL_varsz00_17244
																																																																	=
																																																																	BgL_arg3059z00_3475;
																																																																BgL_bodyz00_17245
																																																																	=
																																																																	BgL_arg3063z00_3476;
																																																																BgL_argsz00_17246
																																																																	=
																																																																	BgL_arg3064z00_3477;
																																																																BgL_argsz00_1803
																																																																	=
																																																																	BgL_argsz00_17246;
																																																																BgL_bodyz00_1802
																																																																	=
																																																																	BgL_bodyz00_17245;
																																																																BgL_varsz00_1801
																																																																	=
																																																																	BgL_varsz00_17244;
																																																																goto
																																																																	BgL_tagzd2386zd2_1804;
																																																															}
																																																															BgL_auxz00_14766
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_17243);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd27539zd2_3479;
																																																														BgL_cdrzd27539zd2_3479
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd27545zd2_3480;
																																																															BgL_cdrzd27545zd2_3480
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd27511zd2_3471));
																																																															if ((CAR(((obj_t) BgL_carzd27511zd2_3471)) == CNST_TABLE_REF(((long) 1))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd27551zd2_3483;
																																																																	BgL_cdrzd27551zd2_3483
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd27545zd2_3480));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd27556zd2_3484;
																																																																		obj_t
																																																																			BgL_cdrzd27557zd2_3485;
																																																																		BgL_carzd27556zd2_3484
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd27551zd2_3483));
																																																																		BgL_cdrzd27557zd2_3485
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd27551zd2_3483));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27556zd2_3484))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd27557zd2_3485))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd27564zd2_3488;
																																																																						BgL_carzd27564zd2_3488
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd27557zd2_3485);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27564zd2_3488))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(BgL_cdrzd27557zd2_3485)))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test7981z00_17273;
																																																																										{
																																																																											obj_t
																																																																												BgL_l1382z00_3521;
																																																																											BgL_l1382z00_3521
																																																																												=
																																																																												BgL_cdrzd27539zd2_3479;
																																																																										BgL_zc3z04anonymousza33087ze3z87_3522:
																																																																											if (NULLP(BgL_l1382z00_3521))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test7981z00_17273
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test7983z00_17276;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test7984z00_17277;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_tmpz00_17278;
																																																																															BgL_tmpz00_17278
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_l1382z00_3521));
																																																																															BgL_test7984z00_17277
																																																																																=
																																																																																PAIRP
																																																																																(BgL_tmpz00_17278);
																																																																														}
																																																																														if (BgL_test7984z00_17277)
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test7983z00_17276
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test7983z00_17276
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																													}
																																																																													if (BgL_test7983z00_17276)
																																																																														{
																																																																															obj_t
																																																																																BgL_l1382z00_17282;
																																																																															BgL_l1382z00_17282
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_l1382z00_3521));
																																																																															BgL_l1382z00_3521
																																																																																=
																																																																																BgL_l1382z00_17282;
																																																																															goto
																																																																																BgL_zc3z04anonymousza33087ze3z87_3522;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															BgL_test7981z00_17273
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																												}
																																																																										}
																																																																										if (BgL_test7981z00_17273)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg3077z00_3504;
																																																																												BgL_arg3077z00_3504
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd27545zd2_3480));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_17287;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_17291;
																																																																														obj_t
																																																																															BgL_proc2z00_17290;
																																																																														obj_t
																																																																															BgL_proc1z00_17289;
																																																																														obj_t
																																																																															BgL_testz00_17288;
																																																																														BgL_testz00_17288
																																																																															=
																																																																															BgL_arg3077z00_3504;
																																																																														BgL_proc1z00_17289
																																																																															=
																																																																															BgL_carzd27556zd2_3484;
																																																																														BgL_proc2z00_17290
																																																																															=
																																																																															BgL_carzd27564zd2_3488;
																																																																														BgL_argsz00_17291
																																																																															=
																																																																															BgL_cdrzd27539zd2_3479;
																																																																														BgL_argsz00_1808
																																																																															=
																																																																															BgL_argsz00_17291;
																																																																														BgL_proc2z00_1807
																																																																															=
																																																																															BgL_proc2z00_17290;
																																																																														BgL_proc1z00_1806
																																																																															=
																																																																															BgL_proc1z00_17289;
																																																																														BgL_testz00_1805
																																																																															=
																																																																															BgL_testz00_17288;
																																																																														goto
																																																																															BgL_tagzd2387zd2_1809;
																																																																													}
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_17287);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd27588zd2_3505;
																																																																												BgL_cdrzd27588zd2_3505
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd27595zd2_3506;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_10848;
																																																																														BgL_pairz00_10848
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd27595zd2_3506
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_10848);
																																																																													}
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd27602zd2_3507;
																																																																														BgL_cdrzd27602zd2_3507
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd27595zd2_3506));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd27608zd2_3508;
																																																																															BgL_carzd27608zd2_3508
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd27602zd2_3507));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27608zd2_3508))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd27615zd2_3510;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_pairz00_10852;
																																																																																		BgL_pairz00_10852
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd27602zd2_3507));
																																																																																		BgL_carzd27615zd2_3510
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_pairz00_10852);
																																																																																	}
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27615zd2_3510))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd27588zd2_3505))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg3081z00_3513;
																																																																																					BgL_arg3081z00_3513
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd27595zd2_3506));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_17313;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_17317;
																																																																																							obj_t
																																																																																								BgL_proc2z00_17316;
																																																																																							obj_t
																																																																																								BgL_proc1z00_17315;
																																																																																							obj_t
																																																																																								BgL_testz00_17314;
																																																																																							BgL_testz00_17314
																																																																																								=
																																																																																								BgL_arg3081z00_3513;
																																																																																							BgL_proc1z00_17315
																																																																																								=
																																																																																								BgL_carzd27608zd2_3508;
																																																																																							BgL_proc2z00_17316
																																																																																								=
																																																																																								BgL_carzd27615zd2_3510;
																																																																																							BgL_argsz00_17317
																																																																																								=
																																																																																								BgL_cdrzd27588zd2_3505;
																																																																																							BgL_argsz00_1813
																																																																																								=
																																																																																								BgL_argsz00_17317;
																																																																																							BgL_proc2z00_1812
																																																																																								=
																																																																																								BgL_proc2z00_17316;
																																																																																							BgL_proc1z00_1811
																																																																																								=
																																																																																								BgL_proc1z00_17315;
																																																																																							BgL_testz00_1810
																																																																																								=
																																																																																								BgL_testz00_17314;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1814;
																																																																																						}
																																																																																						BgL_auxz00_14766
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_17313);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1838;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_17321;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1839;
																																																																																							BgL_auxz00_14766
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_17321);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1838;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_17325;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1839;
																																																																																					BgL_auxz00_14766
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_17325);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_17329;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_14766
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_17329);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_17333;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																												BgL_auxz00_14766
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_17333);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd27891zd2_3532;
																																																																								BgL_cdrzd27891zd2_3532
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd27897zd2_3533;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_10856;
																																																																										BgL_pairz00_10856
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd27897zd2_3533
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_10856);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd27903zd2_3534;
																																																																										BgL_cdrzd27903zd2_3534
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd27897zd2_3533));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd27908zd2_3535;
																																																																											obj_t
																																																																												BgL_cdrzd27909zd2_3536;
																																																																											BgL_carzd27908zd2_3535
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd27903zd2_3534));
																																																																											BgL_cdrzd27909zd2_3536
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd27903zd2_3534));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27908zd2_3535))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd27914zd2_3538;
																																																																													BgL_carzd27914zd2_3538
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd27909zd2_3536));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27914zd2_3538))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(((obj_t) BgL_cdrzd27909zd2_3536))))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd27891zd2_3532))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg3097z00_3543;
																																																																																			BgL_arg3097z00_3543
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd27897zd2_3533));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_17360;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_17364;
																																																																																					obj_t
																																																																																						BgL_proc2z00_17363;
																																																																																					obj_t
																																																																																						BgL_proc1z00_17362;
																																																																																					obj_t
																																																																																						BgL_testz00_17361;
																																																																																					BgL_testz00_17361
																																																																																						=
																																																																																						BgL_arg3097z00_3543;
																																																																																					BgL_proc1z00_17362
																																																																																						=
																																																																																						BgL_carzd27908zd2_3535;
																																																																																					BgL_proc2z00_17363
																																																																																						=
																																																																																						BgL_carzd27914zd2_3538;
																																																																																					BgL_argsz00_17364
																																																																																						=
																																																																																						BgL_cdrzd27891zd2_3532;
																																																																																					BgL_argsz00_1813
																																																																																						=
																																																																																						BgL_argsz00_17364;
																																																																																					BgL_proc2z00_1812
																																																																																						=
																																																																																						BgL_proc2z00_17363;
																																																																																					BgL_proc1z00_1811
																																																																																						=
																																																																																						BgL_proc1z00_17362;
																																																																																					BgL_testz00_1810
																																																																																						=
																																																																																						BgL_testz00_17361;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1814;
																																																																																				}
																																																																																				BgL_auxz00_14766
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_17360);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1838;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_17368;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1839;
																																																																																					BgL_auxz00_14766
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_17368);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_17372;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_14766
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_17372);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_17376;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_17376);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_17380;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_17380);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_17384;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_14766
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_17384);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd28247zd2_3551;
																																																																				BgL_cdrzd28247zd2_3551
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd28254zd2_3552;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_10865;
																																																																						BgL_pairz00_10865
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd28254zd2_3552
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_10865);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd28261zd2_3553;
																																																																						BgL_cdrzd28261zd2_3553
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd28254zd2_3552));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd28267zd2_3554;
																																																																							obj_t
																																																																								BgL_cdrzd28268zd2_3555;
																																																																							BgL_carzd28267zd2_3554
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd28261zd2_3553));
																																																																							BgL_cdrzd28268zd2_3555
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd28261zd2_3553));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd28267zd2_3554))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (PAIRP(BgL_cdrzd28268zd2_3555))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd28275zd2_3558;
																																																																											BgL_carzd28275zd2_3558
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd28268zd2_3555);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd28275zd2_3558))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(BgL_cdrzd28268zd2_3555)))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd28247zd2_3551))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg3123z00_3563;
																																																																																	BgL_arg3123z00_3563
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd28254zd2_3552));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_17411;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_17415;
																																																																																			obj_t
																																																																																				BgL_proc2z00_17414;
																																																																																			obj_t
																																																																																				BgL_proc1z00_17413;
																																																																																			obj_t
																																																																																				BgL_testz00_17412;
																																																																																			BgL_testz00_17412
																																																																																				=
																																																																																				BgL_arg3123z00_3563;
																																																																																			BgL_proc1z00_17413
																																																																																				=
																																																																																				BgL_carzd28267zd2_3554;
																																																																																			BgL_proc2z00_17414
																																																																																				=
																																																																																				BgL_carzd28275zd2_3558;
																																																																																			BgL_argsz00_17415
																																																																																				=
																																																																																				BgL_cdrzd28247zd2_3551;
																																																																																			BgL_argsz00_1813
																																																																																				=
																																																																																				BgL_argsz00_17415;
																																																																																			BgL_proc2z00_1812
																																																																																				=
																																																																																				BgL_proc2z00_17414;
																																																																																			BgL_proc1z00_1811
																																																																																				=
																																																																																				BgL_proc1z00_17413;
																																																																																			BgL_testz00_1810
																																																																																				=
																																																																																				BgL_testz00_17412;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1814;
																																																																																		}
																																																																																		BgL_auxz00_14766
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_17411);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_17419;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_14766
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_17419);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_17423;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_17423);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_17427;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_17427);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_17431;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_17431);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_17435;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_17435);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1838;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_17439;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1839;
																																																																			BgL_auxz00_14766
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_17439);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd28668zd2_3577;
																																																				BgL_cdrzd28668zd2_3577
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8012z00_17443;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg3160z00_3594;
																																																						BgL_arg3160z00_3594
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8012z00_17443
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg3160z00_3594));
																																																					}
																																																					if (BgL_test8012z00_17443)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg3141z00_3580;
																																																							obj_t
																																																								BgL_arg3142z00_3581;
																																																							BgL_arg3141z00_3580
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd28668zd2_3577));
																																																							BgL_arg3142z00_3581
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd28668zd2_3577));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_17452;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_17454;
																																																									obj_t
																																																										BgL_bindingsz00_17453;
																																																									BgL_bindingsz00_17453
																																																										=
																																																										BgL_arg3141z00_3580;
																																																									BgL_exprz00_17454
																																																										=
																																																										BgL_arg3142z00_3581;
																																																									BgL_exprz00_1793
																																																										=
																																																										BgL_exprz00_17454;
																																																									BgL_bindingsz00_1792
																																																										=
																																																										BgL_bindingsz00_17453;
																																																									goto
																																																										BgL_tagzd2382zd2_1794;
																																																								}
																																																								BgL_auxz00_14766
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_17452);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8013z00_17456;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3159z00_3593;
																																																								BgL_arg3159z00_3593
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8013z00_17456
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg3159z00_3593));
																																																							}
																																																							if (BgL_test8013z00_17456)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_17461;
																																																									goto
																																																										BgL_tagzd2384zd2_1796;
																																																									BgL_auxz00_14766
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_17461);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd28734zd2_3584;
																																																									BgL_carzd28734zd2_3584
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd28739zd2_3585;
																																																										BgL_cdrzd28739zd2_3585
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd28734zd2_3584));
																																																										if ((CAR(((obj_t) BgL_carzd28734zd2_3584)) == CNST_TABLE_REF(((long) 3))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg3152z00_3588;
																																																												obj_t
																																																													BgL_arg3153z00_3589;
																																																												obj_t
																																																													BgL_arg3155z00_3590;
																																																												BgL_arg3152z00_3588
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd28739zd2_3585));
																																																												BgL_arg3153z00_3589
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd28739zd2_3585));
																																																												BgL_arg3155z00_3590
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_17478;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_17481;
																																																														obj_t
																																																															BgL_bodyz00_17480;
																																																														obj_t
																																																															BgL_varsz00_17479;
																																																														BgL_varsz00_17479
																																																															=
																																																															BgL_arg3152z00_3588;
																																																														BgL_bodyz00_17480
																																																															=
																																																															BgL_arg3153z00_3589;
																																																														BgL_argsz00_17481
																																																															=
																																																															BgL_arg3155z00_3590;
																																																														BgL_argsz00_1803
																																																															=
																																																															BgL_argsz00_17481;
																																																														BgL_bodyz00_1802
																																																															=
																																																															BgL_bodyz00_17480;
																																																														BgL_varsz00_1801
																																																															=
																																																															BgL_varsz00_17479;
																																																														goto
																																																															BgL_tagzd2386zd2_1804;
																																																													}
																																																													BgL_auxz00_14766
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_17478);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2403zd2_1838;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_17485;
																																																														goto
																																																															BgL_tagzd2404zd2_1839;
																																																														BgL_auxz00_14766
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_17485);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd28850zd2_3595;
																																																		BgL_cdrzd28850zd2_3595
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test8016z00_17489;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg3170z00_3604;
																																																				BgL_arg3170z00_3604
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test8016z00_17489
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg3170z00_3604));
																																																			}
																																																			if (BgL_test8016z00_17489)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg3163z00_3598;
																																																					obj_t
																																																						BgL_arg3165z00_3599;
																																																					BgL_arg3163z00_3598
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd28850zd2_3595));
																																																					BgL_arg3165z00_3599
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd28850zd2_3595));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_17498;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_17500;
																																																							obj_t
																																																								BgL_bindingsz00_17499;
																																																							BgL_bindingsz00_17499
																																																								=
																																																								BgL_arg3163z00_3598;
																																																							BgL_exprz00_17500
																																																								=
																																																								BgL_arg3165z00_3599;
																																																							BgL_exprz00_1793
																																																								=
																																																								BgL_exprz00_17500;
																																																							BgL_bindingsz00_1792
																																																								=
																																																								BgL_bindingsz00_17499;
																																																							goto
																																																								BgL_tagzd2382zd2_1794;
																																																						}
																																																						BgL_auxz00_14766
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_17498);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8017z00_17502;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg3169z00_3603;
																																																						BgL_arg3169z00_3603
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8017z00_17502
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg3169z00_3603));
																																																					}
																																																					if (BgL_test8017z00_17502)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_17507;
																																																							goto
																																																								BgL_tagzd2384zd2_1796;
																																																							BgL_auxz00_14766
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_17507);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 119 */
																																																									goto
																																																										BgL_tagzd2403zd2_1838;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_17511;
																																																									goto
																																																										BgL_tagzd2404zd2_1839;
																																																									BgL_auxz00_14766
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_17511);
																																																								}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd27415zd2_3331)))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd27417zd2_3333;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((BgL_carzd27415zd2_3331 == CNST_TABLE_REF(((long) 18))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd27417zd2_3333;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if ((BgL_carzd27415zd2_3331 == CNST_TABLE_REF(((long) 19))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd27417zd2_3333;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd27415zd2_3331)))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd27417zd2_3333;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd29022zd2_3339;
																																																								BgL_cdrzd29022zd2_3339
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8023z00_17527;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3031z00_3456;
																																																										BgL_arg3031z00_3456
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8023z00_17527
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg3031z00_3456));
																																																									}
																																																									if (BgL_test8023z00_17527)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg2923z00_3342;
																																																											obj_t
																																																												BgL_arg2924z00_3343;
																																																											BgL_arg2923z00_3342
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd29022zd2_3339));
																																																											BgL_arg2924z00_3343
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd29022zd2_3339));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_17536;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_17538;
																																																													obj_t
																																																														BgL_bindingsz00_17537;
																																																													BgL_bindingsz00_17537
																																																														=
																																																														BgL_arg2923z00_3342;
																																																													BgL_exprz00_17538
																																																														=
																																																														BgL_arg2924z00_3343;
																																																													BgL_exprz00_1793
																																																														=
																																																														BgL_exprz00_17538;
																																																													BgL_bindingsz00_1792
																																																														=
																																																														BgL_bindingsz00_17537;
																																																													goto
																																																														BgL_tagzd2382zd2_1794;
																																																												}
																																																												BgL_auxz00_14766
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_17536);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test8024z00_17540;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg3030z00_3455;
																																																												BgL_arg3030z00_3455
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test8024z00_17540
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg3030z00_3455));
																																																											}
																																																											if (BgL_test8024z00_17540)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_17545;
																																																													goto
																																																														BgL_tagzd2384zd2_1796;
																																																													BgL_auxz00_14766
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_17545);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd29088zd2_3346;
																																																													BgL_carzd29088zd2_3346
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd29093zd2_3347;
																																																														BgL_cdrzd29093zd2_3347
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd29088zd2_3346));
																																																														if ((CAR(((obj_t) BgL_carzd29088zd2_3346)) == CNST_TABLE_REF(((long) 3))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd29093zd2_3347))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg2932z00_3351;
																																																																		obj_t
																																																																			BgL_arg2933z00_3352;
																																																																		obj_t
																																																																			BgL_arg2934z00_3353;
																																																																		BgL_arg2932z00_3351
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd29093zd2_3347);
																																																																		BgL_arg2933z00_3352
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd29093zd2_3347);
																																																																		BgL_arg2934z00_3353
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_17562;
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_17565;
																																																																				obj_t
																																																																					BgL_bodyz00_17564;
																																																																				obj_t
																																																																					BgL_varsz00_17563;
																																																																				BgL_varsz00_17563
																																																																					=
																																																																					BgL_arg2932z00_3351;
																																																																				BgL_bodyz00_17564
																																																																					=
																																																																					BgL_arg2933z00_3352;
																																																																				BgL_argsz00_17565
																																																																					=
																																																																					BgL_arg2934z00_3353;
																																																																				BgL_argsz00_1803
																																																																					=
																																																																					BgL_argsz00_17565;
																																																																				BgL_bodyz00_1802
																																																																					=
																																																																					BgL_bodyz00_17564;
																																																																				BgL_varsz00_1801
																																																																					=
																																																																					BgL_varsz00_17563;
																																																																				goto
																																																																					BgL_tagzd2386zd2_1804;
																																																																			}
																																																																			BgL_auxz00_14766
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_17562);
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1838;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_17569;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1839;
																																																																				BgL_auxz00_14766
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_17569);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd29200zd2_3356;
																																																																BgL_cdrzd29200zd2_3356
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd29205zd2_3357;
																																																																	BgL_cdrzd29205zd2_3357
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd29088zd2_3346));
																																																																	if ((CAR(((obj_t) BgL_carzd29088zd2_3346)) == CNST_TABLE_REF(((long) 1))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (PAIRP(BgL_cdrzd29205zd2_3357))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd29210zd2_3361;
																																																																					BgL_cdrzd29210zd2_3361
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd29205zd2_3357);
																																																																					if (PAIRP(BgL_cdrzd29210zd2_3361))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd29214zd2_3363;
																																																																							obj_t
																																																																								BgL_cdrzd29215zd2_3364;
																																																																							BgL_carzd29214zd2_3363
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd29210zd2_3361);
																																																																							BgL_cdrzd29215zd2_3364
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd29210zd2_3361);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29214zd2_3363))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (PAIRP(BgL_cdrzd29215zd2_3364))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd29220zd2_3367;
																																																																											BgL_carzd29220zd2_3367
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd29215zd2_3364);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29220zd2_3367))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(BgL_cdrzd29215zd2_3364)))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															bool_t
																																																																																BgL_test8035z00_17597;
																																																																															{
																																																																																obj_t
																																																																																	BgL_l1385z00_3400;
																																																																																BgL_l1385z00_3400
																																																																																	=
																																																																																	BgL_cdrzd29200zd2_3356;
																																																																															BgL_zc3z04anonymousza32964ze3z87_3401:
																																																																																if (NULLP(BgL_l1385z00_3400))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test8035z00_17597
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		bool_t
																																																																																			BgL_test8037z00_17600;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			bool_t
																																																																																				BgL_test8038z00_17601;
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_tmpz00_17602;
																																																																																				BgL_tmpz00_17602
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_l1385z00_3400));
																																																																																				BgL_test8038z00_17601
																																																																																					=
																																																																																					PAIRP
																																																																																					(BgL_tmpz00_17602);
																																																																																			}
																																																																																			if (BgL_test8038z00_17601)
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					BgL_test8037z00_17600
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						0);
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					BgL_test8037z00_17600
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						1);
																																																																																				}
																																																																																		}
																																																																																		if (BgL_test8037z00_17600)
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_l1385z00_17606;
																																																																																				BgL_l1385z00_17606
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_l1385z00_3400));
																																																																																				BgL_l1385z00_3400
																																																																																					=
																																																																																					BgL_l1385z00_17606;
																																																																																				goto
																																																																																					BgL_zc3z04anonymousza32964ze3z87_3401;
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test8035z00_17597
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					0);
																																																																																			}
																																																																																	}
																																																																															}
																																																																															if (BgL_test8035z00_17597)
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg2951z00_3383;
																																																																																	BgL_arg2951z00_3383
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd29205zd2_3357);
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_17610;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_17614;
																																																																																			obj_t
																																																																																				BgL_proc2z00_17613;
																																																																																			obj_t
																																																																																				BgL_proc1z00_17612;
																																																																																			obj_t
																																																																																				BgL_testz00_17611;
																																																																																			BgL_testz00_17611
																																																																																				=
																																																																																				BgL_arg2951z00_3383;
																																																																																			BgL_proc1z00_17612
																																																																																				=
																																																																																				BgL_carzd29214zd2_3363;
																																																																																			BgL_proc2z00_17613
																																																																																				=
																																																																																				BgL_carzd29220zd2_3367;
																																																																																			BgL_argsz00_17614
																																																																																				=
																																																																																				BgL_cdrzd29200zd2_3356;
																																																																																			BgL_argsz00_1808
																																																																																				=
																																																																																				BgL_argsz00_17614;
																																																																																			BgL_proc2z00_1807
																																																																																				=
																																																																																				BgL_proc2z00_17613;
																																																																																			BgL_proc1z00_1806
																																																																																				=
																																																																																				BgL_proc1z00_17612;
																																																																																			BgL_testz00_1805
																																																																																				=
																																																																																				BgL_testz00_17611;
																																																																																			goto
																																																																																				BgL_tagzd2387zd2_1809;
																																																																																		}
																																																																																		BgL_auxz00_14766
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_17610);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd29245zd2_3384;
																																																																																	BgL_cdrzd29245zd2_3384
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd29253zd2_3385;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_pairz00_10913;
																																																																																			BgL_pairz00_10913
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			BgL_cdrzd29253zd2_3385
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_pairz00_10913);
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd29261zd2_3386;
																																																																																			BgL_cdrzd29261zd2_3386
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd29253zd2_3385));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd29268zd2_3387;
																																																																																				BgL_carzd29268zd2_3387
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd29261zd2_3386));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29268zd2_3387))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd29277zd2_3389;
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_pairz00_10917;
																																																																																							BgL_pairz00_10917
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd29261zd2_3386));
																																																																																							BgL_carzd29277zd2_3389
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_pairz00_10917);
																																																																																						}
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29277zd2_3389))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd29245zd2_3384))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_arg2957z00_3392;
																																																																																										BgL_arg2957z00_3392
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd29253zd2_3385));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_17636;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_17640;
																																																																																												obj_t
																																																																																													BgL_proc2z00_17639;
																																																																																												obj_t
																																																																																													BgL_proc1z00_17638;
																																																																																												obj_t
																																																																																													BgL_testz00_17637;
																																																																																												BgL_testz00_17637
																																																																																													=
																																																																																													BgL_arg2957z00_3392;
																																																																																												BgL_proc1z00_17638
																																																																																													=
																																																																																													BgL_carzd29268zd2_3387;
																																																																																												BgL_proc2z00_17639
																																																																																													=
																																																																																													BgL_carzd29277zd2_3389;
																																																																																												BgL_argsz00_17640
																																																																																													=
																																																																																													BgL_cdrzd29245zd2_3384;
																																																																																												BgL_argsz00_1813
																																																																																													=
																																																																																													BgL_argsz00_17640;
																																																																																												BgL_proc2z00_1812
																																																																																													=
																																																																																													BgL_proc2z00_17639;
																																																																																												BgL_proc1z00_1811
																																																																																													=
																																																																																													BgL_proc1z00_17638;
																																																																																												BgL_testz00_1810
																																																																																													=
																																																																																													BgL_testz00_17637;
																																																																																												goto
																																																																																													BgL_tagzd2388zd2_1814;
																																																																																											}
																																																																																											BgL_auxz00_14766
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_17636);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2403zd2_1838;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_17644;
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1839;
																																																																																												BgL_auxz00_14766
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_17644);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1838;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_17648;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1839;
																																																																																										BgL_auxz00_14766
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_17648);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1838;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_17652;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1839;
																																																																																								BgL_auxz00_14766
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_17652);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_17656;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_17656);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd29555zd2_3411;
																																																																													BgL_cdrzd29555zd2_3411
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd29562zd2_3412;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_10921;
																																																																															BgL_pairz00_10921
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd29562zd2_3412
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_10921);
																																																																														}
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd29569zd2_3413;
																																																																															BgL_cdrzd29569zd2_3413
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd29562zd2_3412));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd29575zd2_3414;
																																																																																obj_t
																																																																																	BgL_cdrzd29576zd2_3415;
																																																																																BgL_carzd29575zd2_3414
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd29569zd2_3413));
																																																																																BgL_cdrzd29576zd2_3415
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd29569zd2_3413));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29575zd2_3414))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd29583zd2_3417;
																																																																																		BgL_carzd29583zd2_3417
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd29576zd2_3415));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29583zd2_3417))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd29576zd2_3415))))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd29555zd2_3411))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg2976z00_3422;
																																																																																								BgL_arg2976z00_3422
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd29562zd2_3412));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_17683;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_17687;
																																																																																										obj_t
																																																																																											BgL_proc2z00_17686;
																																																																																										obj_t
																																																																																											BgL_proc1z00_17685;
																																																																																										obj_t
																																																																																											BgL_testz00_17684;
																																																																																										BgL_testz00_17684
																																																																																											=
																																																																																											BgL_arg2976z00_3422;
																																																																																										BgL_proc1z00_17685
																																																																																											=
																																																																																											BgL_carzd29575zd2_3414;
																																																																																										BgL_proc2z00_17686
																																																																																											=
																																																																																											BgL_carzd29583zd2_3417;
																																																																																										BgL_argsz00_17687
																																																																																											=
																																																																																											BgL_cdrzd29555zd2_3411;
																																																																																										BgL_argsz00_1813
																																																																																											=
																																																																																											BgL_argsz00_17687;
																																																																																										BgL_proc2z00_1812
																																																																																											=
																																																																																											BgL_proc2z00_17686;
																																																																																										BgL_proc1z00_1811
																																																																																											=
																																																																																											BgL_proc1z00_17685;
																																																																																										BgL_testz00_1810
																																																																																											=
																																																																																											BgL_testz00_17684;
																																																																																										goto
																																																																																											BgL_tagzd2388zd2_1814;
																																																																																									}
																																																																																									BgL_auxz00_14766
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_17683);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1838;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_17691;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1839;
																																																																																										BgL_auxz00_14766
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_17691);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1838;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_17695;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1839;
																																																																																								BgL_auxz00_14766
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_17695);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_17699;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_14766
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_17699);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_17703;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_14766
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_17703);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_17707;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_17707);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd29916zd2_3430;
																																																																									BgL_cdrzd29916zd2_3430
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd29922zd2_3431;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_10930;
																																																																											BgL_pairz00_10930
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd29922zd2_3431
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_10930);
																																																																										}
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd29928zd2_3432;
																																																																											BgL_cdrzd29928zd2_3432
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd29922zd2_3431));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd29933zd2_3433;
																																																																												obj_t
																																																																													BgL_cdrzd29934zd2_3434;
																																																																												BgL_carzd29933zd2_3433
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd29928zd2_3432));
																																																																												BgL_cdrzd29934zd2_3434
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd29928zd2_3432));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29933zd2_3433))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (PAIRP(BgL_cdrzd29934zd2_3434))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd29939zd2_3437;
																																																																																BgL_carzd29939zd2_3437
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd29934zd2_3434);
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29939zd2_3437))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (NULLP(CDR(BgL_cdrzd29934zd2_3434)))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd29916zd2_3430))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_arg3013z00_3442;
																																																																																						BgL_arg3013z00_3442
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd29922zd2_3431));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_17734;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_17738;
																																																																																								obj_t
																																																																																									BgL_proc2z00_17737;
																																																																																								obj_t
																																																																																									BgL_proc1z00_17736;
																																																																																								obj_t
																																																																																									BgL_testz00_17735;
																																																																																								BgL_testz00_17735
																																																																																									=
																																																																																									BgL_arg3013z00_3442;
																																																																																								BgL_proc1z00_17736
																																																																																									=
																																																																																									BgL_carzd29933zd2_3433;
																																																																																								BgL_proc2z00_17737
																																																																																									=
																																																																																									BgL_carzd29939zd2_3437;
																																																																																								BgL_argsz00_17738
																																																																																									=
																																																																																									BgL_cdrzd29916zd2_3430;
																																																																																								BgL_argsz00_1813
																																																																																									=
																																																																																									BgL_argsz00_17738;
																																																																																								BgL_proc2z00_1812
																																																																																									=
																																																																																									BgL_proc2z00_17737;
																																																																																								BgL_proc1z00_1811
																																																																																									=
																																																																																									BgL_proc1z00_17736;
																																																																																								BgL_testz00_1810
																																																																																									=
																																																																																									BgL_testz00_17735;
																																																																																								goto
																																																																																									BgL_tagzd2388zd2_1814;
																																																																																							}
																																																																																							BgL_auxz00_14766
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_17734);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1838;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_17742;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1839;
																																																																																								BgL_auxz00_14766
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_17742);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_17746;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_14766
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_17746);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_17750;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_14766
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_17750);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1838;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_17754;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1839;
																																																																																		BgL_auxz00_14766
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_17754);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1838;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_17758;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1839;
																																																																																BgL_auxz00_14766
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_17758);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_17762;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_14766
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17762);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_17766;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_14766
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_17766);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1838;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_17770;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1839;
																																																																					BgL_auxz00_14766
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_17770);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_cdrzd210477zd2_3606;
																																													BgL_cdrzd210477zd2_3606
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if ((BgL_carzd27412zd2_3329 == CNST_TABLE_REF(((long) 17))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg3175z00_3608;
																																															obj_t
																																																BgL_arg3181z00_3609;
																																															BgL_arg3175z00_3608
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd210477zd2_3606));
																																															BgL_arg3181z00_3609
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd210477zd2_3606));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_17781;
																																																{
																																																	obj_t
																																																		BgL_exprz00_17783;
																																																	obj_t
																																																		BgL_bindingsz00_17782;
																																																	BgL_bindingsz00_17782
																																																		=
																																																		BgL_arg3175z00_3608;
																																																	BgL_exprz00_17783
																																																		=
																																																		BgL_arg3181z00_3609;
																																																	BgL_exprz00_1793
																																																		=
																																																		BgL_exprz00_17783;
																																																	BgL_bindingsz00_1792
																																																		=
																																																		BgL_bindingsz00_17782;
																																																	goto
																																																		BgL_tagzd2382zd2_1794;
																																																}
																																																BgL_auxz00_14766
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_17781);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd27412zd2_3329)))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg3184z00_3611;
																																																	obj_t
																																																		BgL_arg3185z00_3612;
																																																	BgL_arg3184z00_3611
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd210477zd2_3606));
																																																	BgL_arg3185z00_3612
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd210477zd2_3606));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_17792;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_17794;
																																																			obj_t
																																																				BgL_bindingsz00_17793;
																																																			BgL_bindingsz00_17793
																																																				=
																																																				BgL_arg3184z00_3611;
																																																			BgL_exprz00_17794
																																																				=
																																																				BgL_arg3185z00_3612;
																																																			BgL_exprz00_1793
																																																				=
																																																				BgL_exprz00_17794;
																																																			BgL_bindingsz00_1792
																																																				=
																																																				BgL_bindingsz00_17793;
																																																			goto
																																																				BgL_tagzd2382zd2_1794;
																																																		}
																																																		BgL_auxz00_14766
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_17792);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((BgL_carzd27412zd2_3329 == CNST_TABLE_REF(((long) 18))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg3188z00_3614;
																																																			obj_t
																																																				BgL_arg3189z00_3615;
																																																			BgL_arg3188z00_3614
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd210477zd2_3606));
																																																			BgL_arg3189z00_3615
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd210477zd2_3606));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_17803;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_17805;
																																																					obj_t
																																																						BgL_bindingsz00_17804;
																																																					BgL_bindingsz00_17804
																																																						=
																																																						BgL_arg3188z00_3614;
																																																					BgL_exprz00_17805
																																																						=
																																																						BgL_arg3189z00_3615;
																																																					BgL_exprz00_1793
																																																						=
																																																						BgL_exprz00_17805;
																																																					BgL_bindingsz00_1792
																																																						=
																																																						BgL_bindingsz00_17804;
																																																					goto
																																																						BgL_tagzd2382zd2_1794;
																																																				}
																																																				BgL_auxz00_14766
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_17803);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_17812;
																																																					goto
																																																						BgL_tagzd2383zd2_1795;
																																																					BgL_auxz00_14766
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_17812);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd210514zd2_3618;
																																																					BgL_carzd210514zd2_3618
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					if ((BgL_carzd210514zd2_3618 == CNST_TABLE_REF(((long) 19))))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_17819;
																																																							goto
																																																								BgL_tagzd2384zd2_1796;
																																																							BgL_auxz00_14766
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_17819);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd210514zd2_3618)))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_17824;
																																																									goto
																																																										BgL_tagzd2384zd2_1796;
																																																									BgL_auxz00_14766
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_17824);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_17831;
																																																											goto
																																																												BgL_tagzd2389zd2_1815;
																																																											BgL_auxz00_14766
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_17831);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_17838;
																																																													goto
																																																														BgL_tagzd2390zd2_1816;
																																																													BgL_auxz00_14766
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_17838);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd210594zd2_3625;
																																																													BgL_cdrzd210594zd2_3625
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg3200z00_3628;
																																																															obj_t
																																																																BgL_arg3201z00_3629;
																																																															BgL_arg3200z00_3628
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd210594zd2_3625));
																																																															BgL_arg3201z00_3629
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd210594zd2_3625));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_17851;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_17853;
																																																																	obj_t
																																																																		BgL_effectz00_17852;
																																																																	BgL_effectz00_17852
																																																																		=
																																																																		BgL_arg3200z00_3628;
																																																																	BgL_restz00_17853
																																																																		=
																																																																		BgL_arg3201z00_3629;
																																																																	BgL_restz00_1818
																																																																		=
																																																																		BgL_restz00_17853;
																																																																	BgL_effectz00_1817
																																																																		=
																																																																		BgL_effectz00_17852;
																																																																	goto
																																																																		BgL_tagzd2391zd2_1819;
																																																																}
																																																																BgL_auxz00_14766
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_17851);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_17860;
																																																																	goto
																																																																		BgL_tagzd2392zd2_1820;
																																																																	BgL_auxz00_14766
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_17860);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_17867;
																																																																			goto
																																																																				BgL_tagzd2393zd2_1821;
																																																																			BgL_auxz00_14766
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_17867);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg3217z00_3637;
																																																																					obj_t
																																																																						BgL_arg3219z00_3638;
																																																																					BgL_arg3217z00_3637
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd210594zd2_3625));
																																																																					BgL_arg3219z00_3638
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd210594zd2_3625));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_17878;
																																																																						{
																																																																							obj_t
																																																																								BgL_restz00_17880;
																																																																							obj_t
																																																																								BgL_effectz00_17879;
																																																																							BgL_effectz00_17879
																																																																								=
																																																																								BgL_arg3217z00_3637;
																																																																							BgL_restz00_17880
																																																																								=
																																																																								BgL_arg3219z00_3638;
																																																																							BgL_restz00_1823
																																																																								=
																																																																								BgL_restz00_17880;
																																																																							BgL_effectz00_1822
																																																																								=
																																																																								BgL_effectz00_17879;
																																																																							goto
																																																																								BgL_tagzd2394zd2_1824;
																																																																						}
																																																																						BgL_auxz00_14766
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_17878);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_17887;
																																																																							goto
																																																																								BgL_tagzd2395zd2_1825;
																																																																							BgL_auxz00_14766
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_17887);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_17894;
																																																																									goto
																																																																										BgL_tagzd2396zd2_1826;
																																																																									BgL_auxz00_14766
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17894);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																										{
																																																																											BgL_letzd2funzd2_bglt
																																																																												BgL_auxz00_17901;
																																																																											goto
																																																																												BgL_tagzd2397zd2_1827;
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_17901);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																												{
																																																																													BgL_jumpzd2exzd2itz00_bglt
																																																																														BgL_auxz00_17908;
																																																																													goto
																																																																														BgL_tagzd2398zd2_1828;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_17908);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd210671zd2_3647;
																																																																													BgL_cdrzd210671zd2_3647
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg3230z00_3650;
																																																																															obj_t
																																																																																BgL_arg3231z00_3651;
																																																																															BgL_arg3230z00_3650
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd210671zd2_3647));
																																																																															BgL_arg3231z00_3651
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd210671zd2_3647));
																																																																															{	/* Ast/sexp.scm 555 */
																																																																																obj_t
																																																																																	BgL_arg7079z00_10967;
																																																																																BgL_arg7079z00_10967
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																BgL_auxz00_14766
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																		BgL_arg3230z00_3650,
																																																																																		CNST_TABLE_REF
																																																																																		(((long) 4)), BgL_arg3231z00_3651, BgL_stackz00_22, BgL_arg7079z00_10967, BgL_sitez00_24));
																																																																														}}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_17927;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_17927);
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_carzd210696zd2_3668;
																																	BgL_carzd210696zd2_3668
																																		=
																																		CAR(((obj_t)
																																			BgL_expz00_21));
																																	if (
																																		(BgL_carzd210696zd2_3668
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					1))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_17934;
																																			goto
																																				BgL_tagzd2377zd2_1783;
																																			BgL_auxz00_14766
																																				=
																																				((obj_t)
																																				BgL_auxz00_17934);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(BgL_carzd210696zd2_3668
																																					==
																																					BGl_za2ifza2z00zzast_sexpz00))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_17938;
																																					goto
																																						BgL_tagzd2377zd2_1783;
																																					BgL_auxz00_14766
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_17938);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_cdrzd210718zd2_3671;
																																					BgL_cdrzd210718zd2_3671
																																						=
																																						CDR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd210721zd2_3674;
																																							obj_t
																																								BgL_cdrzd210722zd2_3675;
																																							BgL_carzd210721zd2_3674
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd210718zd2_3671));
																																							BgL_cdrzd210722zd2_3675
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd210718zd2_3671));
																																							if (PAIRP(BgL_carzd210721zd2_3674))
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(BgL_carzd210721zd2_3674) == CNST_TABLE_REF(((long) 14))))
																																										{	/* Ast/sexp.scm 119 */
																																											if (NULLP(CDR(((obj_t) BgL_cdrzd210722zd2_3675))))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg3274z00_3681;
																																													obj_t
																																														BgL_arg3282z00_3682;
																																													BgL_arg3274z00_3681
																																														=
																																														CDR
																																														(BgL_carzd210721zd2_3674);
																																													BgL_arg3282z00_3682
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd210722zd2_3675));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_17964;
																																														BgL_lz00_1784
																																															=
																																															BgL_arg3274z00_3681;
																																														BgL_valz00_1785
																																															=
																																															BgL_arg3282z00_3682;
																																													BgL_tagzd2378zd2_1786:
																																														{	/* Ast/sexp.scm 289 */
																																															bool_t
																																																BgL_test8092z00_17965;
																																															if (PAIRP(BgL_lz00_1784))
																																																{	/* Ast/sexp.scm 289 */
																																																	bool_t
																																																		BgL_test8094z00_17968;
																																																	{	/* Ast/sexp.scm 289 */
																																																		obj_t
																																																			BgL_tmpz00_17969;
																																																		BgL_tmpz00_17969
																																																			=
																																																			CDR
																																																			(BgL_lz00_1784);
																																																		BgL_test8094z00_17968
																																																			=
																																																			PAIRP
																																																			(BgL_tmpz00_17969);
																																																	}
																																																	if (BgL_test8094z00_17968)
																																																		{
																																																			obj_t
																																																				BgL_l1354z00_8642;
																																																			BgL_l1354z00_8642
																																																				=
																																																				BgL_lz00_1784;
																																																		BgL_zc3z04anonymousza36832ze3z87_8643:
																																																			if (NULLP(BgL_l1354z00_8642))
																																																				{	/* Ast/sexp.scm 289 */
																																																					BgL_test8092z00_17965
																																																						=
																																																						(
																																																						(bool_t)
																																																						1);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 289 */
																																																					bool_t
																																																						BgL_test8096z00_17974;
																																																					{	/* Ast/sexp.scm 289 */
																																																						obj_t
																																																							BgL_tmpz00_17975;
																																																						BgL_tmpz00_17975
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_l1354z00_8642));
																																																						BgL_test8096z00_17974
																																																							=
																																																							SYMBOLP
																																																							(BgL_tmpz00_17975);
																																																					}
																																																					if (BgL_test8096z00_17974)
																																																						{
																																																							obj_t
																																																								BgL_l1354z00_17979;
																																																							BgL_l1354z00_17979
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_l1354z00_8642));
																																																							BgL_l1354z00_8642
																																																								=
																																																								BgL_l1354z00_17979;
																																																							goto
																																																								BgL_zc3z04anonymousza36832ze3z87_8643;
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 289 */
																																																							BgL_test8092z00_17965
																																																								=
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 289 */
																																																			BgL_test8092z00_17965
																																																				=
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 289 */
																																																	BgL_test8092z00_17965
																																																		=
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																															if (BgL_test8092z00_17965)
																																																{	/* Ast/sexp.scm 289 */
																																																	BgL_auxz00_17964
																																																		=
																																																		BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00
																																																		(BgL_lz00_1784,
																																																		BgL_valz00_1785,
																																																		BgL_expz00_21,
																																																		BgL_stackz00_22,
																																																		BgL_locz00_23,
																																																		BgL_sitez00_24);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 291 */
																																																	BgL_nodez00_bglt
																																																		BgL_res7433z00_10108;
																																																	{	/* Ast/sexp.scm 726 */
																																																		obj_t
																																																			BgL_arg7194z00_10104;
																																																		BgL_nodez00_bglt
																																																			BgL_arg7195z00_10105;
																																																		BgL_arg7194z00_10104
																																																			=
																																																			BGl_shapez00zztools_shapez00
																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																			());
																																																		BgL_arg7195z00_10105
																																																			=
																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																			(CNST_TABLE_REF
																																																			(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																		{	/* Ast/sexp.scm 725 */
																																																			obj_t
																																																				BgL_list7196z00_10107;
																																																			BgL_list7196z00_10107
																																																				=
																																																				MAKE_YOUNG_PAIR
																																																				(
																																																				((obj_t) BgL_arg7195z00_10105), BNIL);
																																																			BgL_res7433z00_10108
																																																				=
																																																				(
																																																				(BgL_nodez00_bglt)
																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																				(BgL_locz00_23,
																																																					BgL_arg7194z00_10104,
																																																					BGl_string7494z00zzast_sexpz00,
																																																					BgL_expz00_21,
																																																					BgL_list7196z00_10107));
																																																	}}
																																																	BgL_auxz00_17964
																																																		=
																																																		BgL_res7433z00_10108;
																																														}}
																																														BgL_auxz00_14766
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_17964);
																																												}}
																																											else
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_17993;
																																													goto
																																														BgL_tagzd2379zd2_1787;
																																													BgL_auxz00_14766
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_17993);
																																												}
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_17995;
																																											goto
																																												BgL_tagzd2379zd2_1787;
																																											BgL_auxz00_14766
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_17995);
																																										}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_17997;
																																									goto
																																										BgL_tagzd2379zd2_1787;
																																									BgL_auxz00_14766
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_17997);
																																								}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_18004;
																																									goto
																																										BgL_tagzd2380zd2_1788;
																																									BgL_auxz00_14766
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_18004);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_carzd210819zd2_3687;
																																									BgL_carzd210819zd2_3687
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									if (PAIRP(BgL_carzd210819zd2_3687))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_carzd210822zd2_3689;
																																											obj_t
																																												BgL_cdrzd210823zd2_3690;
																																											BgL_carzd210822zd2_3689
																																												=
																																												CAR
																																												(BgL_carzd210819zd2_3687);
																																											BgL_cdrzd210823zd2_3690
																																												=
																																												CDR
																																												(BgL_carzd210819zd2_3687);
																																											{

																																												if ((BgL_carzd210822zd2_3689 == CNST_TABLE_REF(((long) 17))))
																																													{	/* Ast/sexp.scm 119 */
																																													BgL_kapzd210824zd2_3691:
																																														if (PAIRP(BgL_cdrzd210823zd2_3690))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd210827zd2_3816;
																																																BgL_cdrzd210827zd2_3816
																																																	=
																																																	CDR
																																																	(BgL_cdrzd210823zd2_3690);
																																																if (PAIRP(BgL_cdrzd210827zd2_3816))
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (NULLP(CDR(BgL_cdrzd210827zd2_3816)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg3408z00_3820;
																																																				obj_t
																																																					BgL_arg3409z00_3821;
																																																				BgL_arg3408z00_3820
																																																					=
																																																					CAR
																																																					(BgL_cdrzd210827zd2_3816);
																																																				BgL_arg3409z00_3821
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_18026;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_18028;
																																																						obj_t
																																																							BgL_bodyz00_18027;
																																																						BgL_bodyz00_18027
																																																							=
																																																							BgL_arg3408z00_3820;
																																																						BgL_argsz00_18028
																																																							=
																																																							BgL_arg3409z00_3821;
																																																						BgL_argsz00_1790
																																																							=
																																																							BgL_argsz00_18028;
																																																						BgL_bodyz00_1789
																																																							=
																																																							BgL_bodyz00_18027;
																																																						goto
																																																							BgL_tagzd2381zd2_1791;
																																																					}
																																																					BgL_auxz00_14766
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_18026);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd210851zd2_3822;
																																																				BgL_cdrzd210851zd2_3822
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8103z00_18032;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg3490z00_3933;
																																																						BgL_arg3490z00_3933
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8103z00_18032
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg3490z00_3933));
																																																					}
																																																					if (BgL_test8103z00_18032)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg3413z00_3825;
																																																							obj_t
																																																								BgL_arg3414z00_3826;
																																																							BgL_arg3413z00_3825
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd210851zd2_3822));
																																																							BgL_arg3414z00_3826
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd210851zd2_3822));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_18041;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_18043;
																																																									obj_t
																																																										BgL_bindingsz00_18042;
																																																									BgL_bindingsz00_18042
																																																										=
																																																										BgL_arg3413z00_3825;
																																																									BgL_exprz00_18043
																																																										=
																																																										BgL_arg3414z00_3826;
																																																									BgL_exprz00_1793
																																																										=
																																																										BgL_exprz00_18043;
																																																									BgL_bindingsz00_1792
																																																										=
																																																										BgL_bindingsz00_18042;
																																																									goto
																																																										BgL_tagzd2382zd2_1794;
																																																								}
																																																								BgL_auxz00_14766
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_18041);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8104z00_18045;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3488z00_3932;
																																																								BgL_arg3488z00_3932
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8104z00_18045
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg3488z00_3932));
																																																							}
																																																							if (BgL_test8104z00_18045)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_18050;
																																																									goto
																																																										BgL_tagzd2384zd2_1796;
																																																									BgL_auxz00_14766
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_18050);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd210918zd2_3829;
																																																									BgL_carzd210918zd2_3829
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd210923zd2_3830;
																																																										BgL_cdrzd210923zd2_3830
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd210918zd2_3829));
																																																										if ((CAR(((obj_t) BgL_carzd210918zd2_3829)) == CNST_TABLE_REF(((long) 3))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg3420z00_3833;
																																																												obj_t
																																																													BgL_arg3423z00_3834;
																																																												obj_t
																																																													BgL_arg3424z00_3835;
																																																												BgL_arg3420z00_3833
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd210923zd2_3830));
																																																												BgL_arg3423z00_3834
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd210923zd2_3830));
																																																												BgL_arg3424z00_3835
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_18067;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_18070;
																																																														obj_t
																																																															BgL_bodyz00_18069;
																																																														obj_t
																																																															BgL_varsz00_18068;
																																																														BgL_varsz00_18068
																																																															=
																																																															BgL_arg3420z00_3833;
																																																														BgL_bodyz00_18069
																																																															=
																																																															BgL_arg3423z00_3834;
																																																														BgL_argsz00_18070
																																																															=
																																																															BgL_arg3424z00_3835;
																																																														BgL_argsz00_1803
																																																															=
																																																															BgL_argsz00_18070;
																																																														BgL_bodyz00_1802
																																																															=
																																																															BgL_bodyz00_18069;
																																																														BgL_varsz00_1801
																																																															=
																																																															BgL_varsz00_18068;
																																																														goto
																																																															BgL_tagzd2386zd2_1804;
																																																													}
																																																													BgL_auxz00_14766
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_18067);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd210946zd2_3837;
																																																												BgL_cdrzd210946zd2_3837
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd210952zd2_3838;
																																																													BgL_cdrzd210952zd2_3838
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd210918zd2_3829));
																																																													if ((CAR(((obj_t) BgL_carzd210918zd2_3829)) == CNST_TABLE_REF(((long) 1))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd210958zd2_3841;
																																																															BgL_cdrzd210958zd2_3841
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd210952zd2_3838));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd210963zd2_3842;
																																																																obj_t
																																																																	BgL_cdrzd210964zd2_3843;
																																																																BgL_carzd210963zd2_3842
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd210958zd2_3841));
																																																																BgL_cdrzd210964zd2_3843
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd210958zd2_3841));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd210963zd2_3842))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd210964zd2_3843))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd210971zd2_3846;
																																																																				BgL_carzd210971zd2_3846
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd210964zd2_3843);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd210971zd2_3846))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd210964zd2_3843)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test8111z00_18097;
																																																																								{
																																																																									obj_t
																																																																										BgL_l1388z00_3879;
																																																																									BgL_l1388z00_3879
																																																																										=
																																																																										BgL_cdrzd210946zd2_3837;
																																																																								BgL_zc3z04anonymousza33448ze3z87_3880:
																																																																									if (NULLP(BgL_l1388z00_3879))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test8111z00_18097
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test8113z00_18100;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test8114z00_18101;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_tmpz00_18102;
																																																																													BgL_tmpz00_18102
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_l1388z00_3879));
																																																																													BgL_test8114z00_18101
																																																																														=
																																																																														PAIRP
																																																																														(BgL_tmpz00_18102);
																																																																												}
																																																																												if (BgL_test8114z00_18101)
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test8113z00_18100
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test8113z00_18100
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																											}
																																																																											if (BgL_test8113z00_18100)
																																																																												{
																																																																													obj_t
																																																																														BgL_l1388z00_18106;
																																																																													BgL_l1388z00_18106
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_l1388z00_3879));
																																																																													BgL_l1388z00_3879
																																																																														=
																																																																														BgL_l1388z00_18106;
																																																																													goto
																																																																														BgL_zc3z04anonymousza33448ze3z87_3880;
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test8111z00_18097
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																								if (BgL_test8111z00_18097)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg3437z00_3862;
																																																																										BgL_arg3437z00_3862
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd210952zd2_3838));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_18111;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_18115;
																																																																												obj_t
																																																																													BgL_proc2z00_18114;
																																																																												obj_t
																																																																													BgL_proc1z00_18113;
																																																																												obj_t
																																																																													BgL_testz00_18112;
																																																																												BgL_testz00_18112
																																																																													=
																																																																													BgL_arg3437z00_3862;
																																																																												BgL_proc1z00_18113
																																																																													=
																																																																													BgL_carzd210963zd2_3842;
																																																																												BgL_proc2z00_18114
																																																																													=
																																																																													BgL_carzd210971zd2_3846;
																																																																												BgL_argsz00_18115
																																																																													=
																																																																													BgL_cdrzd210946zd2_3837;
																																																																												BgL_argsz00_1808
																																																																													=
																																																																													BgL_argsz00_18115;
																																																																												BgL_proc2z00_1807
																																																																													=
																																																																													BgL_proc2z00_18114;
																																																																												BgL_proc1z00_1806
																																																																													=
																																																																													BgL_proc1z00_18113;
																																																																												BgL_testz00_1805
																																																																													=
																																																																													BgL_testz00_18112;
																																																																												goto
																																																																													BgL_tagzd2387zd2_1809;
																																																																											}
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_18111);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd210995zd2_3863;
																																																																										BgL_cdrzd210995zd2_3863
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd211002zd2_3864;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_11010;
																																																																												BgL_pairz00_11010
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd211002zd2_3864
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_11010);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd211009zd2_3865;
																																																																												BgL_cdrzd211009zd2_3865
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd211002zd2_3864));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd211015zd2_3866;
																																																																													BgL_carzd211015zd2_3866
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd211009zd2_3865));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211015zd2_3866))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd211022zd2_3868;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_11014;
																																																																																BgL_pairz00_11014
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd211009zd2_3865));
																																																																																BgL_carzd211022zd2_3868
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_pairz00_11014);
																																																																															}
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211022zd2_3868))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd210995zd2_3863))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg3441z00_3871;
																																																																																			BgL_arg3441z00_3871
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd211002zd2_3864));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_18137;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_18141;
																																																																																					obj_t
																																																																																						BgL_proc2z00_18140;
																																																																																					obj_t
																																																																																						BgL_proc1z00_18139;
																																																																																					obj_t
																																																																																						BgL_testz00_18138;
																																																																																					BgL_testz00_18138
																																																																																						=
																																																																																						BgL_arg3441z00_3871;
																																																																																					BgL_proc1z00_18139
																																																																																						=
																																																																																						BgL_carzd211015zd2_3866;
																																																																																					BgL_proc2z00_18140
																																																																																						=
																																																																																						BgL_carzd211022zd2_3868;
																																																																																					BgL_argsz00_18141
																																																																																						=
																																																																																						BgL_cdrzd210995zd2_3863;
																																																																																					BgL_argsz00_1813
																																																																																						=
																																																																																						BgL_argsz00_18141;
																																																																																					BgL_proc2z00_1812
																																																																																						=
																																																																																						BgL_proc2z00_18140;
																																																																																					BgL_proc1z00_1811
																																																																																						=
																																																																																						BgL_proc1z00_18139;
																																																																																					BgL_testz00_1810
																																																																																						=
																																																																																						BgL_testz00_18138;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1814;
																																																																																				}
																																																																																				BgL_auxz00_14766
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_18137);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1838;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_18145;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1839;
																																																																																					BgL_auxz00_14766
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_18145);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_18149;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_14766
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_18149);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18153;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18153);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_18157;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_14766
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_18157);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd211298zd2_3890;
																																																																						BgL_cdrzd211298zd2_3890
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd211304zd2_3891;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_11018;
																																																																								BgL_pairz00_11018
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd211304zd2_3891
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_11018);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd211310zd2_3892;
																																																																								BgL_cdrzd211310zd2_3892
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd211304zd2_3891));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd211315zd2_3893;
																																																																									obj_t
																																																																										BgL_cdrzd211316zd2_3894;
																																																																									BgL_carzd211315zd2_3893
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd211310zd2_3892));
																																																																									BgL_cdrzd211316zd2_3894
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd211310zd2_3892));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211315zd2_3893))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd211321zd2_3896;
																																																																											BgL_carzd211321zd2_3896
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd211316zd2_3894));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211321zd2_3896))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(((obj_t) BgL_cdrzd211316zd2_3894))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd211298zd2_3890))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg3458z00_3901;
																																																																																	BgL_arg3458z00_3901
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd211304zd2_3891));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_18184;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_18188;
																																																																																			obj_t
																																																																																				BgL_proc2z00_18187;
																																																																																			obj_t
																																																																																				BgL_proc1z00_18186;
																																																																																			obj_t
																																																																																				BgL_testz00_18185;
																																																																																			BgL_testz00_18185
																																																																																				=
																																																																																				BgL_arg3458z00_3901;
																																																																																			BgL_proc1z00_18186
																																																																																				=
																																																																																				BgL_carzd211315zd2_3893;
																																																																																			BgL_proc2z00_18187
																																																																																				=
																																																																																				BgL_carzd211321zd2_3896;
																																																																																			BgL_argsz00_18188
																																																																																				=
																																																																																				BgL_cdrzd211298zd2_3890;
																																																																																			BgL_argsz00_1813
																																																																																				=
																																																																																				BgL_argsz00_18188;
																																																																																			BgL_proc2z00_1812
																																																																																				=
																																																																																				BgL_proc2z00_18187;
																																																																																			BgL_proc1z00_1811
																																																																																				=
																																																																																				BgL_proc1z00_18186;
																																																																																			BgL_testz00_1810
																																																																																				=
																																																																																				BgL_testz00_18185;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1814;
																																																																																		}
																																																																																		BgL_auxz00_14766
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_18184);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_18192;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_14766
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_18192);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18196;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18196);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_18200;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18200);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_18204;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_18204);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_18208;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_14766
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_18208);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd211654zd2_3909;
																																																																		BgL_cdrzd211654zd2_3909
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd211661zd2_3910;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_11027;
																																																																				BgL_pairz00_11027
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd211661zd2_3910
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_11027);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd211668zd2_3911;
																																																																				BgL_cdrzd211668zd2_3911
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd211661zd2_3910));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd211674zd2_3912;
																																																																					obj_t
																																																																						BgL_cdrzd211675zd2_3913;
																																																																					BgL_carzd211674zd2_3912
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd211668zd2_3911));
																																																																					BgL_cdrzd211675zd2_3913
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd211668zd2_3911));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211674zd2_3912))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd211675zd2_3913))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd211682zd2_3916;
																																																																									BgL_carzd211682zd2_3916
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd211675zd2_3913);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211682zd2_3916))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd211675zd2_3913)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd211654zd2_3909))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg3475z00_3921;
																																																																															BgL_arg3475z00_3921
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd211661zd2_3910));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_18235;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_18239;
																																																																																	obj_t
																																																																																		BgL_proc2z00_18238;
																																																																																	obj_t
																																																																																		BgL_proc1z00_18237;
																																																																																	obj_t
																																																																																		BgL_testz00_18236;
																																																																																	BgL_testz00_18236
																																																																																		=
																																																																																		BgL_arg3475z00_3921;
																																																																																	BgL_proc1z00_18237
																																																																																		=
																																																																																		BgL_carzd211674zd2_3912;
																																																																																	BgL_proc2z00_18238
																																																																																		=
																																																																																		BgL_carzd211682zd2_3916;
																																																																																	BgL_argsz00_18239
																																																																																		=
																																																																																		BgL_cdrzd211654zd2_3909;
																																																																																	BgL_argsz00_1813
																																																																																		=
																																																																																		BgL_argsz00_18239;
																																																																																	BgL_proc2z00_1812
																																																																																		=
																																																																																		BgL_proc2z00_18238;
																																																																																	BgL_proc1z00_1811
																																																																																		=
																																																																																		BgL_proc1z00_18237;
																																																																																	BgL_testz00_1810
																																																																																		=
																																																																																		BgL_testz00_18236;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1814;
																																																																																}
																																																																																BgL_auxz00_14766
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_18235);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18243;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18243);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_18247;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18247);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_18251;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_18251);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_18255;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_18255);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_18259;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_14766
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_18259);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1838;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_18263;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1839;
																																																																	BgL_auxz00_14766
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_18263);
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd212075zd2_3935;
																																																		BgL_cdrzd212075zd2_3935
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test8142z00_18267;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg3509z00_3952;
																																																				BgL_arg3509z00_3952
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test8142z00_18267
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg3509z00_3952));
																																																			}
																																																			if (BgL_test8142z00_18267)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg3494z00_3938;
																																																					obj_t
																																																						BgL_arg3496z00_3939;
																																																					BgL_arg3494z00_3938
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd212075zd2_3935));
																																																					BgL_arg3496z00_3939
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd212075zd2_3935));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_18276;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_18278;
																																																							obj_t
																																																								BgL_bindingsz00_18277;
																																																							BgL_bindingsz00_18277
																																																								=
																																																								BgL_arg3494z00_3938;
																																																							BgL_exprz00_18278
																																																								=
																																																								BgL_arg3496z00_3939;
																																																							BgL_exprz00_1793
																																																								=
																																																								BgL_exprz00_18278;
																																																							BgL_bindingsz00_1792
																																																								=
																																																								BgL_bindingsz00_18277;
																																																							goto
																																																								BgL_tagzd2382zd2_1794;
																																																						}
																																																						BgL_auxz00_14766
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_18276);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8143z00_18280;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg3508z00_3951;
																																																						BgL_arg3508z00_3951
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8143z00_18280
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg3508z00_3951));
																																																					}
																																																					if (BgL_test8143z00_18280)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_18285;
																																																							goto
																																																								BgL_tagzd2384zd2_1796;
																																																							BgL_auxz00_14766
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_18285);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd212141zd2_3942;
																																																							BgL_carzd212141zd2_3942
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd212146zd2_3943;
																																																								BgL_cdrzd212146zd2_3943
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd212141zd2_3942));
																																																								if ((CAR(((obj_t) BgL_carzd212141zd2_3942)) == CNST_TABLE_REF(((long) 3))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3502z00_3946;
																																																										obj_t
																																																											BgL_arg3503z00_3947;
																																																										obj_t
																																																											BgL_arg3504z00_3948;
																																																										BgL_arg3502z00_3946
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd212146zd2_3943));
																																																										BgL_arg3503z00_3947
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd212146zd2_3943));
																																																										BgL_arg3504z00_3948
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_18302;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_18305;
																																																												obj_t
																																																													BgL_bodyz00_18304;
																																																												obj_t
																																																													BgL_varsz00_18303;
																																																												BgL_varsz00_18303
																																																													=
																																																													BgL_arg3502z00_3946;
																																																												BgL_bodyz00_18304
																																																													=
																																																													BgL_arg3503z00_3947;
																																																												BgL_argsz00_18305
																																																													=
																																																													BgL_arg3504z00_3948;
																																																												BgL_argsz00_1803
																																																													=
																																																													BgL_argsz00_18305;
																																																												BgL_bodyz00_1802
																																																													=
																																																													BgL_bodyz00_18304;
																																																												BgL_varsz00_1801
																																																													=
																																																													BgL_varsz00_18303;
																																																												goto
																																																													BgL_tagzd2386zd2_1804;
																																																											}
																																																											BgL_auxz00_14766
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_18302);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2403zd2_1838;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_18309;
																																																												goto
																																																													BgL_tagzd2404zd2_1839;
																																																												BgL_auxz00_14766
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_18309);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd212257zd2_3953;
																																																BgL_cdrzd212257zd2_3953
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test8146z00_18313;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg3520z00_3962;
																																																		BgL_arg3520z00_3962
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test8146z00_18313
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg3520z00_3962));
																																																	}
																																																	if (BgL_test8146z00_18313)
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg3513z00_3956;
																																																			obj_t
																																																				BgL_arg3514z00_3957;
																																																			BgL_arg3513z00_3956
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd212257zd2_3953));
																																																			BgL_arg3514z00_3957
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd212257zd2_3953));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_18322;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_18324;
																																																					obj_t
																																																						BgL_bindingsz00_18323;
																																																					BgL_bindingsz00_18323
																																																						=
																																																						BgL_arg3513z00_3956;
																																																					BgL_exprz00_18324
																																																						=
																																																						BgL_arg3514z00_3957;
																																																					BgL_exprz00_1793
																																																						=
																																																						BgL_exprz00_18324;
																																																					BgL_bindingsz00_1792
																																																						=
																																																						BgL_bindingsz00_18323;
																																																					goto
																																																						BgL_tagzd2382zd2_1794;
																																																				}
																																																				BgL_auxz00_14766
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_18322);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test8147z00_18326;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg3519z00_3961;
																																																				BgL_arg3519z00_3961
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test8147z00_18326
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg3519z00_3961));
																																																			}
																																																			if (BgL_test8147z00_18326)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_18331;
																																																					goto
																																																						BgL_tagzd2384zd2_1796;
																																																					BgL_auxz00_14766
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_18331);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 119 */
																																																							goto
																																																								BgL_tagzd2403zd2_1838;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_18335;
																																																							goto
																																																								BgL_tagzd2404zd2_1839;
																																																							BgL_auxz00_14766
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_18335);
																																																						}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd210822zd2_3689)))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd210824zd2_3691;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if ((BgL_carzd210822zd2_3689 == CNST_TABLE_REF(((long) 18))))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd210824zd2_3691;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((BgL_carzd210822zd2_3689 == CNST_TABLE_REF(((long) 19))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd210824zd2_3691;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd210822zd2_3689)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd210824zd2_3691;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd212429zd2_3697;
																																																						BgL_cdrzd212429zd2_3697
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8153z00_18351;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3402z00_3814;
																																																								BgL_arg3402z00_3814
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8153z00_18351
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg3402z00_3814));
																																																							}
																																																							if (BgL_test8153z00_18351)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg3311z00_3700;
																																																									obj_t
																																																										BgL_arg3312z00_3701;
																																																									BgL_arg3311z00_3700
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd212429zd2_3697));
																																																									BgL_arg3312z00_3701
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd212429zd2_3697));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_18360;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_18362;
																																																											obj_t
																																																												BgL_bindingsz00_18361;
																																																											BgL_bindingsz00_18361
																																																												=
																																																												BgL_arg3311z00_3700;
																																																											BgL_exprz00_18362
																																																												=
																																																												BgL_arg3312z00_3701;
																																																											BgL_exprz00_1793
																																																												=
																																																												BgL_exprz00_18362;
																																																											BgL_bindingsz00_1792
																																																												=
																																																												BgL_bindingsz00_18361;
																																																											goto
																																																												BgL_tagzd2382zd2_1794;
																																																										}
																																																										BgL_auxz00_14766
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_18360);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8154z00_18364;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3401z00_3813;
																																																										BgL_arg3401z00_3813
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8154z00_18364
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg3401z00_3813));
																																																									}
																																																									if (BgL_test8154z00_18364)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_18369;
																																																											goto
																																																												BgL_tagzd2384zd2_1796;
																																																											BgL_auxz00_14766
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_18369);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd212495zd2_3704;
																																																											BgL_carzd212495zd2_3704
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd212500zd2_3705;
																																																												BgL_cdrzd212500zd2_3705
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd212495zd2_3704));
																																																												if ((CAR(((obj_t) BgL_carzd212495zd2_3704)) == CNST_TABLE_REF(((long) 3))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd212500zd2_3705))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg3318z00_3709;
																																																																obj_t
																																																																	BgL_arg3319z00_3710;
																																																																obj_t
																																																																	BgL_arg3320z00_3711;
																																																																BgL_arg3318z00_3709
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd212500zd2_3705);
																																																																BgL_arg3319z00_3710
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd212500zd2_3705);
																																																																BgL_arg3320z00_3711
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_18386;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_18389;
																																																																		obj_t
																																																																			BgL_bodyz00_18388;
																																																																		obj_t
																																																																			BgL_varsz00_18387;
																																																																		BgL_varsz00_18387
																																																																			=
																																																																			BgL_arg3318z00_3709;
																																																																		BgL_bodyz00_18388
																																																																			=
																																																																			BgL_arg3319z00_3710;
																																																																		BgL_argsz00_18389
																																																																			=
																																																																			BgL_arg3320z00_3711;
																																																																		BgL_argsz00_1803
																																																																			=
																																																																			BgL_argsz00_18389;
																																																																		BgL_bodyz00_1802
																																																																			=
																																																																			BgL_bodyz00_18388;
																																																																		BgL_varsz00_1801
																																																																			=
																																																																			BgL_varsz00_18387;
																																																																		goto
																																																																			BgL_tagzd2386zd2_1804;
																																																																	}
																																																																	BgL_auxz00_14766
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_18386);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1838;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_18393;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1839;
																																																																		BgL_auxz00_14766
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_18393);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd212607zd2_3714;
																																																														BgL_cdrzd212607zd2_3714
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd212612zd2_3715;
																																																															BgL_cdrzd212612zd2_3715
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd212495zd2_3704));
																																																															if ((CAR(((obj_t) BgL_carzd212495zd2_3704)) == CNST_TABLE_REF(((long) 1))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (PAIRP(BgL_cdrzd212612zd2_3715))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd212617zd2_3719;
																																																																			BgL_cdrzd212617zd2_3719
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd212612zd2_3715);
																																																																			if (PAIRP(BgL_cdrzd212617zd2_3719))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd212621zd2_3721;
																																																																					obj_t
																																																																						BgL_cdrzd212622zd2_3722;
																																																																					BgL_carzd212621zd2_3721
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd212617zd2_3719);
																																																																					BgL_cdrzd212622zd2_3722
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd212617zd2_3719);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212621zd2_3721))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd212622zd2_3722))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd212627zd2_3725;
																																																																									BgL_carzd212627zd2_3725
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd212622zd2_3722);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212627zd2_3725))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd212622zd2_3722)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test8165z00_18421;
																																																																													{
																																																																														obj_t
																																																																															BgL_l1391z00_3758;
																																																																														BgL_l1391z00_3758
																																																																															=
																																																																															BgL_cdrzd212607zd2_3714;
																																																																													BgL_zc3z04anonymousza33349ze3z87_3759:
																																																																														if (NULLP(BgL_l1391z00_3758))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test8165z00_18421
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																bool_t
																																																																																	BgL_test8167z00_18424;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	bool_t
																																																																																		BgL_test8168z00_18425;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_tmpz00_18426;
																																																																																		BgL_tmpz00_18426
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_l1391z00_3758));
																																																																																		BgL_test8168z00_18425
																																																																																			=
																																																																																			PAIRP
																																																																																			(BgL_tmpz00_18426);
																																																																																	}
																																																																																	if (BgL_test8168z00_18425)
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test8167z00_18424
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test8167z00_18424
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				1);
																																																																																		}
																																																																																}
																																																																																if (BgL_test8167z00_18424)
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_l1391z00_18430;
																																																																																		BgL_l1391z00_18430
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_l1391z00_3758));
																																																																																		BgL_l1391z00_3758
																																																																																			=
																																																																																			BgL_l1391z00_18430;
																																																																																		goto
																																																																																			BgL_zc3z04anonymousza33349ze3z87_3759;
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test8165z00_18421
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																															}
																																																																													}
																																																																													if (BgL_test8165z00_18421)
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg3336z00_3741;
																																																																															BgL_arg3336z00_3741
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd212612zd2_3715);
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_18434;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_18438;
																																																																																	obj_t
																																																																																		BgL_proc2z00_18437;
																																																																																	obj_t
																																																																																		BgL_proc1z00_18436;
																																																																																	obj_t
																																																																																		BgL_testz00_18435;
																																																																																	BgL_testz00_18435
																																																																																		=
																																																																																		BgL_arg3336z00_3741;
																																																																																	BgL_proc1z00_18436
																																																																																		=
																																																																																		BgL_carzd212621zd2_3721;
																																																																																	BgL_proc2z00_18437
																																																																																		=
																																																																																		BgL_carzd212627zd2_3725;
																																																																																	BgL_argsz00_18438
																																																																																		=
																																																																																		BgL_cdrzd212607zd2_3714;
																																																																																	BgL_argsz00_1808
																																																																																		=
																																																																																		BgL_argsz00_18438;
																																																																																	BgL_proc2z00_1807
																																																																																		=
																																																																																		BgL_proc2z00_18437;
																																																																																	BgL_proc1z00_1806
																																																																																		=
																																																																																		BgL_proc1z00_18436;
																																																																																	BgL_testz00_1805
																																																																																		=
																																																																																		BgL_testz00_18435;
																																																																																	goto
																																																																																		BgL_tagzd2387zd2_1809;
																																																																																}
																																																																																BgL_auxz00_14766
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_18434);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd212652zd2_3742;
																																																																															BgL_cdrzd212652zd2_3742
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd212660zd2_3743;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_pairz00_11075;
																																																																																	BgL_pairz00_11075
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd212660zd2_3743
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_11075);
																																																																																}
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd212668zd2_3744;
																																																																																	BgL_cdrzd212668zd2_3744
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd212660zd2_3743));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd212675zd2_3745;
																																																																																		BgL_carzd212675zd2_3745
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd212668zd2_3744));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212675zd2_3745))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd212684zd2_3747;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_pairz00_11079;
																																																																																					BgL_pairz00_11079
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd212668zd2_3744));
																																																																																					BgL_carzd212684zd2_3747
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_pairz00_11079);
																																																																																				}
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212684zd2_3747))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd212652zd2_3742))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg3343z00_3750;
																																																																																								BgL_arg3343z00_3750
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd212660zd2_3743));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_18460;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_18464;
																																																																																										obj_t
																																																																																											BgL_proc2z00_18463;
																																																																																										obj_t
																																																																																											BgL_proc1z00_18462;
																																																																																										obj_t
																																																																																											BgL_testz00_18461;
																																																																																										BgL_testz00_18461
																																																																																											=
																																																																																											BgL_arg3343z00_3750;
																																																																																										BgL_proc1z00_18462
																																																																																											=
																																																																																											BgL_carzd212675zd2_3745;
																																																																																										BgL_proc2z00_18463
																																																																																											=
																																																																																											BgL_carzd212684zd2_3747;
																																																																																										BgL_argsz00_18464
																																																																																											=
																																																																																											BgL_cdrzd212652zd2_3742;
																																																																																										BgL_argsz00_1813
																																																																																											=
																																																																																											BgL_argsz00_18464;
																																																																																										BgL_proc2z00_1812
																																																																																											=
																																																																																											BgL_proc2z00_18463;
																																																																																										BgL_proc1z00_1811
																																																																																											=
																																																																																											BgL_proc1z00_18462;
																																																																																										BgL_testz00_1810
																																																																																											=
																																																																																											BgL_testz00_18461;
																																																																																										goto
																																																																																											BgL_tagzd2388zd2_1814;
																																																																																									}
																																																																																									BgL_auxz00_14766
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_18460);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1838;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_18468;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1839;
																																																																																										BgL_auxz00_14766
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_18468);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1838;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_18472;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1839;
																																																																																								BgL_auxz00_14766
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_18472);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_18476;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_14766
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_18476);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_18480;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18480);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd212962zd2_3769;
																																																																											BgL_cdrzd212962zd2_3769
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd212969zd2_3770;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_11083;
																																																																													BgL_pairz00_11083
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd212969zd2_3770
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_11083);
																																																																												}
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd212976zd2_3771;
																																																																													BgL_cdrzd212976zd2_3771
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd212969zd2_3770));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd212982zd2_3772;
																																																																														obj_t
																																																																															BgL_cdrzd212983zd2_3773;
																																																																														BgL_carzd212982zd2_3772
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd212976zd2_3771));
																																																																														BgL_cdrzd212983zd2_3773
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd212976zd2_3771));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212982zd2_3772))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd212990zd2_3775;
																																																																																BgL_carzd212990zd2_3775
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd212983zd2_3773));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212990zd2_3775))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd212983zd2_3773))))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd212962zd2_3769))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_arg3359z00_3780;
																																																																																						BgL_arg3359z00_3780
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd212969zd2_3770));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_18507;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_18511;
																																																																																								obj_t
																																																																																									BgL_proc2z00_18510;
																																																																																								obj_t
																																																																																									BgL_proc1z00_18509;
																																																																																								obj_t
																																																																																									BgL_testz00_18508;
																																																																																								BgL_testz00_18508
																																																																																									=
																																																																																									BgL_arg3359z00_3780;
																																																																																								BgL_proc1z00_18509
																																																																																									=
																																																																																									BgL_carzd212982zd2_3772;
																																																																																								BgL_proc2z00_18510
																																																																																									=
																																																																																									BgL_carzd212990zd2_3775;
																																																																																								BgL_argsz00_18511
																																																																																									=
																																																																																									BgL_cdrzd212962zd2_3769;
																																																																																								BgL_argsz00_1813
																																																																																									=
																																																																																									BgL_argsz00_18511;
																																																																																								BgL_proc2z00_1812
																																																																																									=
																																																																																									BgL_proc2z00_18510;
																																																																																								BgL_proc1z00_1811
																																																																																									=
																																																																																									BgL_proc1z00_18509;
																																																																																								BgL_testz00_1810
																																																																																									=
																																																																																									BgL_testz00_18508;
																																																																																								goto
																																																																																									BgL_tagzd2388zd2_1814;
																																																																																							}
																																																																																							BgL_auxz00_14766
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_18507);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1838;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_18515;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1839;
																																																																																								BgL_auxz00_14766
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_18515);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_18519;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_14766
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_18519);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_18523;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_14766
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_18523);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1838;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_18527;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1839;
																																																																																		BgL_auxz00_14766
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_18527);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_18531;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_18531);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd213323zd2_3788;
																																																																							BgL_cdrzd213323zd2_3788
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd213329zd2_3789;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_11092;
																																																																									BgL_pairz00_11092
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd213329zd2_3789
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_11092);
																																																																								}
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd213335zd2_3790;
																																																																									BgL_cdrzd213335zd2_3790
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd213329zd2_3789));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd213340zd2_3791;
																																																																										obj_t
																																																																											BgL_cdrzd213341zd2_3792;
																																																																										BgL_carzd213340zd2_3791
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd213335zd2_3790));
																																																																										BgL_cdrzd213341zd2_3792
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd213335zd2_3790));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd213340zd2_3791))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (PAIRP(BgL_cdrzd213341zd2_3792))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd213346zd2_3795;
																																																																														BgL_carzd213346zd2_3795
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd213341zd2_3792);
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd213346zd2_3795))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (NULLP(CDR(BgL_cdrzd213341zd2_3792)))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd213323zd2_3788))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_arg3387z00_3800;
																																																																																				BgL_arg3387z00_3800
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd213329zd2_3789));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_18558;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_18562;
																																																																																						obj_t
																																																																																							BgL_proc2z00_18561;
																																																																																						obj_t
																																																																																							BgL_proc1z00_18560;
																																																																																						obj_t
																																																																																							BgL_testz00_18559;
																																																																																						BgL_testz00_18559
																																																																																							=
																																																																																							BgL_arg3387z00_3800;
																																																																																						BgL_proc1z00_18560
																																																																																							=
																																																																																							BgL_carzd213340zd2_3791;
																																																																																						BgL_proc2z00_18561
																																																																																							=
																																																																																							BgL_carzd213346zd2_3795;
																																																																																						BgL_argsz00_18562
																																																																																							=
																																																																																							BgL_cdrzd213323zd2_3788;
																																																																																						BgL_argsz00_1813
																																																																																							=
																																																																																							BgL_argsz00_18562;
																																																																																						BgL_proc2z00_1812
																																																																																							=
																																																																																							BgL_proc2z00_18561;
																																																																																						BgL_proc1z00_1811
																																																																																							=
																																																																																							BgL_proc1z00_18560;
																																																																																						BgL_testz00_1810
																																																																																							=
																																																																																							BgL_testz00_18559;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1814;
																																																																																					}
																																																																																					BgL_auxz00_14766
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_18558);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_18566;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_14766
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_18566);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_18570;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_14766
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_18570);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1838;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_18574;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1839;
																																																																																		BgL_auxz00_14766
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_18574);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1838;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_18578;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1839;
																																																																																BgL_auxz00_14766
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_18578);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1838;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_18582;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1839;
																																																																														BgL_auxz00_14766
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_18582);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_18586;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_14766
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_18586);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1838;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_18590;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1839;
																																																																					BgL_auxz00_14766
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_18590);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1838;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_18594;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1839;
																																																																			BgL_auxz00_14766
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_18594);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((BgL_carzd210819zd2_3687 == CNST_TABLE_REF(((long) 17))))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg3522z00_3966;
																																													obj_t
																																														BgL_arg3523z00_3967;
																																													BgL_arg3522z00_3966
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd210718zd2_3671));
																																													BgL_arg3523z00_3967
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd210718zd2_3671));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_18603;
																																														{
																																															obj_t
																																																BgL_exprz00_18605;
																																															obj_t
																																																BgL_bindingsz00_18604;
																																															BgL_bindingsz00_18604
																																																=
																																																BgL_arg3522z00_3966;
																																															BgL_exprz00_18605
																																																=
																																																BgL_arg3523z00_3967;
																																															BgL_exprz00_1793
																																																=
																																																BgL_exprz00_18605;
																																															BgL_bindingsz00_1792
																																																=
																																																BgL_bindingsz00_18604;
																																															goto
																																																BgL_tagzd2382zd2_1794;
																																														}
																																														BgL_auxz00_14766
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_18603);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd210819zd2_3687)))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg3525z00_3969;
																																															obj_t
																																																BgL_arg3527z00_3970;
																																															BgL_arg3525z00_3969
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd210718zd2_3671));
																																															BgL_arg3527z00_3970
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd210718zd2_3671));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_18614;
																																																{
																																																	obj_t
																																																		BgL_exprz00_18616;
																																																	obj_t
																																																		BgL_bindingsz00_18615;
																																																	BgL_bindingsz00_18615
																																																		=
																																																		BgL_arg3525z00_3969;
																																																	BgL_exprz00_18616
																																																		=
																																																		BgL_arg3527z00_3970;
																																																	BgL_exprz00_1793
																																																		=
																																																		BgL_exprz00_18616;
																																																	BgL_bindingsz00_1792
																																																		=
																																																		BgL_bindingsz00_18615;
																																																	goto
																																																		BgL_tagzd2382zd2_1794;
																																																}
																																																BgL_auxz00_14766
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_18614);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((BgL_carzd210819zd2_3687 == CNST_TABLE_REF(((long) 18))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg3530z00_3972;
																																																	obj_t
																																																		BgL_arg3531z00_3973;
																																																	BgL_arg3530z00_3972
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd210718zd2_3671));
																																																	BgL_arg3531z00_3973
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd210718zd2_3671));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_18625;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_18627;
																																																			obj_t
																																																				BgL_bindingsz00_18626;
																																																			BgL_bindingsz00_18626
																																																				=
																																																				BgL_arg3530z00_3972;
																																																			BgL_exprz00_18627
																																																				=
																																																				BgL_arg3531z00_3973;
																																																			BgL_exprz00_1793
																																																				=
																																																				BgL_exprz00_18627;
																																																			BgL_bindingsz00_1792
																																																				=
																																																				BgL_bindingsz00_18626;
																																																			goto
																																																				BgL_tagzd2382zd2_1794;
																																																		}
																																																		BgL_auxz00_14766
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_18625);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_18634;
																																																			goto
																																																				BgL_tagzd2383zd2_1795;
																																																			BgL_auxz00_14766
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_18634);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_carzd213921zd2_3976;
																																																			BgL_carzd213921zd2_3976
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			if ((BgL_carzd213921zd2_3976 == CNST_TABLE_REF(((long) 19))))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_18641;
																																																					goto
																																																						BgL_tagzd2384zd2_1796;
																																																					BgL_auxz00_14766
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_18641);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd213921zd2_3976)))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_18646;
																																																							goto
																																																								BgL_tagzd2384zd2_1796;
																																																							BgL_auxz00_14766
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_18646);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_18653;
																																																									goto
																																																										BgL_tagzd2389zd2_1815;
																																																									BgL_auxz00_14766
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_18653);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_18660;
																																																											goto
																																																												BgL_tagzd2390zd2_1816;
																																																											BgL_auxz00_14766
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_18660);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd214001zd2_3983;
																																																											BgL_cdrzd214001zd2_3983
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg3543z00_3986;
																																																													obj_t
																																																														BgL_arg3544z00_3987;
																																																													BgL_arg3543z00_3986
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd214001zd2_3983));
																																																													BgL_arg3544z00_3987
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd214001zd2_3983));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_18673;
																																																														{
																																																															obj_t
																																																																BgL_restz00_18675;
																																																															obj_t
																																																																BgL_effectz00_18674;
																																																															BgL_effectz00_18674
																																																																=
																																																																BgL_arg3543z00_3986;
																																																															BgL_restz00_18675
																																																																=
																																																																BgL_arg3544z00_3987;
																																																															BgL_restz00_1818
																																																																=
																																																																BgL_restz00_18675;
																																																															BgL_effectz00_1817
																																																																=
																																																																BgL_effectz00_18674;
																																																															goto
																																																																BgL_tagzd2391zd2_1819;
																																																														}
																																																														BgL_auxz00_14766
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_18673);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_18682;
																																																															goto
																																																																BgL_tagzd2392zd2_1820;
																																																															BgL_auxz00_14766
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_18682);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_18689;
																																																																	goto
																																																																		BgL_tagzd2393zd2_1821;
																																																																	BgL_auxz00_14766
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_18689);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg3552z00_3995;
																																																																			obj_t
																																																																				BgL_arg3553z00_3996;
																																																																			BgL_arg3552z00_3995
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd214001zd2_3983));
																																																																			BgL_arg3553z00_3996
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd214001zd2_3983));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_18700;
																																																																				{
																																																																					obj_t
																																																																						BgL_restz00_18702;
																																																																					obj_t
																																																																						BgL_effectz00_18701;
																																																																					BgL_effectz00_18701
																																																																						=
																																																																						BgL_arg3552z00_3995;
																																																																					BgL_restz00_18702
																																																																						=
																																																																						BgL_arg3553z00_3996;
																																																																					BgL_restz00_1823
																																																																						=
																																																																						BgL_restz00_18702;
																																																																					BgL_effectz00_1822
																																																																						=
																																																																						BgL_effectz00_18701;
																																																																					goto
																																																																						BgL_tagzd2394zd2_1824;
																																																																				}
																																																																				BgL_auxz00_14766
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_18700);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_18709;
																																																																					goto
																																																																						BgL_tagzd2395zd2_1825;
																																																																					BgL_auxz00_14766
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_18709);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_18716;
																																																																							goto
																																																																								BgL_tagzd2396zd2_1826;
																																																																							BgL_auxz00_14766
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_18716);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																								{
																																																																									BgL_letzd2funzd2_bglt
																																																																										BgL_auxz00_18723;
																																																																									goto
																																																																										BgL_tagzd2397zd2_1827;
																																																																									BgL_auxz00_14766
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_18723);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																										{
																																																																											BgL_jumpzd2exzd2itz00_bglt
																																																																												BgL_auxz00_18730;
																																																																											goto
																																																																												BgL_tagzd2398zd2_1828;
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_18730);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test8215z00_18737;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_tmpz00_18738;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_11128;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_11127;
																																																																																BgL_pairz00_11127
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_pairz00_11128
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_11127);
																																																																															}
																																																																															BgL_tmpz00_18738
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_11128);
																																																																														}
																																																																														BgL_test8215z00_18737
																																																																															=
																																																																															NULLP
																																																																															(BgL_tmpz00_18738);
																																																																													}
																																																																													if (BgL_test8215z00_18737)
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_18744;
																																																																														BgL_tagzd2399zd2_1829:
																																																																															BgL_auxz00_18744 = BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18744);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18749;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18749);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd214094zd2_4015;
																																																																													BgL_cdrzd214094zd2_4015
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg3578z00_4018;
																																																																															obj_t
																																																																																BgL_arg3579z00_4019;
																																																																															BgL_arg3578z00_4018
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd214094zd2_4015));
																																																																															BgL_arg3579z00_4019
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd214094zd2_4015));
																																																																															{	/* Ast/sexp.scm 555 */
																																																																																obj_t
																																																																																	BgL_arg7079z00_11133;
																																																																																BgL_arg7079z00_11133
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																BgL_auxz00_14766
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																		BgL_arg3578z00_4018,
																																																																																		CNST_TABLE_REF
																																																																																		(((long) 4)), BgL_arg3579z00_4019, BgL_stackz00_22, BgL_arg7079z00_11133, BgL_sitez00_24));
																																																																														}}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18768;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18768);
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															obj_t
																																BgL_carzd214119zd2_4036;
																															BgL_carzd214119zd2_4036
																																=
																																CAR(((obj_t)
																																	BgL_expz00_21));
																															if (
																																(BgL_carzd214119zd2_4036
																																	==
																																	CNST_TABLE_REF
																																	(((long) 1))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_18775;
																																	goto
																																		BgL_tagzd2377zd2_1783;
																																	BgL_auxz00_14766
																																		=
																																		((obj_t)
																																		BgL_auxz00_18775);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(BgL_carzd214119zd2_4036
																																			==
																																			BGl_za2ifza2z00zzast_sexpz00))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_18779;
																																			goto
																																				BgL_tagzd2377zd2_1783;
																																			BgL_auxz00_14766
																																				=
																																				((obj_t)
																																				BgL_auxz00_18779);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_cdrzd214141zd2_4039;
																																			BgL_cdrzd214141zd2_4039
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if ((CAR((
																																							(obj_t)
																																							BgL_expz00_21))
																																					==
																																					CNST_TABLE_REF
																																					(((long) 7))))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd214144zd2_4042;
																																					obj_t
																																						BgL_cdrzd214145zd2_4043;
																																					BgL_carzd214144zd2_4042
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd214141zd2_4039));
																																					BgL_cdrzd214145zd2_4043
																																						=
																																						CDR(
																																						((obj_t) BgL_cdrzd214141zd2_4039));
																																					if (PAIRP(BgL_carzd214144zd2_4042))
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(BgL_carzd214144zd2_4042) == CNST_TABLE_REF(((long) 14))))
																																								{	/* Ast/sexp.scm 119 */
																																									if (NULLP(CDR(((obj_t) BgL_cdrzd214145zd2_4043))))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg3609z00_4049;
																																											obj_t
																																												BgL_arg3610z00_4050;
																																											BgL_arg3609z00_4049
																																												=
																																												CDR
																																												(BgL_carzd214144zd2_4042);
																																											BgL_arg3610z00_4050
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd214145zd2_4043));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_18805;
																																												{
																																													obj_t
																																														BgL_valz00_18807;
																																													obj_t
																																														BgL_lz00_18806;
																																													BgL_lz00_18806
																																														=
																																														BgL_arg3609z00_4049;
																																													BgL_valz00_18807
																																														=
																																														BgL_arg3610z00_4050;
																																													BgL_valz00_1785
																																														=
																																														BgL_valz00_18807;
																																													BgL_lz00_1784
																																														=
																																														BgL_lz00_18806;
																																													goto
																																														BgL_tagzd2378zd2_1786;
																																												}
																																												BgL_auxz00_14766
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_18805);
																																											}
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_18809;
																																											goto
																																												BgL_tagzd2379zd2_1787;
																																											BgL_auxz00_14766
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_18809);
																																										}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_18811;
																																									goto
																																										BgL_tagzd2379zd2_1787;
																																									BgL_auxz00_14766
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_18811);
																																								}
																																						}
																																					else
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_18813;
																																							goto
																																								BgL_tagzd2379zd2_1787;
																																							BgL_auxz00_14766
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_18813);
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_18820;
																																							goto
																																								BgL_tagzd2380zd2_1788;
																																							BgL_auxz00_14766
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_18820);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd214242zd2_4055;
																																							BgL_carzd214242zd2_4055
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if (PAIRP(BgL_carzd214242zd2_4055))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_carzd214245zd2_4057;
																																									obj_t
																																										BgL_cdrzd214246zd2_4058;
																																									BgL_carzd214245zd2_4057
																																										=
																																										CAR
																																										(BgL_carzd214242zd2_4055);
																																									BgL_cdrzd214246zd2_4058
																																										=
																																										CDR
																																										(BgL_carzd214242zd2_4055);
																																									{

																																										if ((BgL_carzd214245zd2_4057 == CNST_TABLE_REF(((long) 17))))
																																											{	/* Ast/sexp.scm 119 */
																																											BgL_kapzd214247zd2_4059:
																																												if (PAIRP(BgL_cdrzd214246zd2_4058))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd214250zd2_4184;
																																														BgL_cdrzd214250zd2_4184
																																															=
																																															CDR
																																															(BgL_cdrzd214246zd2_4058);
																																														if (PAIRP(BgL_cdrzd214250zd2_4184))
																																															{	/* Ast/sexp.scm 119 */
																																																if (NULLP(CDR(BgL_cdrzd214250zd2_4184)))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg3705z00_4188;
																																																		obj_t
																																																			BgL_arg3706z00_4189;
																																																		BgL_arg3705z00_4188
																																																			=
																																																			CAR
																																																			(BgL_cdrzd214250zd2_4184);
																																																		BgL_arg3706z00_4189
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_18842;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_18844;
																																																				obj_t
																																																					BgL_bodyz00_18843;
																																																				BgL_bodyz00_18843
																																																					=
																																																					BgL_arg3705z00_4188;
																																																				BgL_argsz00_18844
																																																					=
																																																					BgL_arg3706z00_4189;
																																																				BgL_argsz00_1790
																																																					=
																																																					BgL_argsz00_18844;
																																																				BgL_bodyz00_1789
																																																					=
																																																					BgL_bodyz00_18843;
																																																				goto
																																																					BgL_tagzd2381zd2_1791;
																																																			}
																																																			BgL_auxz00_14766
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_18842);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd214274zd2_4190;
																																																		BgL_cdrzd214274zd2_4190
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test8231z00_18848;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg3778z00_4301;
																																																				BgL_arg3778z00_4301
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test8231z00_18848
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg3778z00_4301));
																																																			}
																																																			if (BgL_test8231z00_18848)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg3709z00_4193;
																																																					obj_t
																																																						BgL_arg3710z00_4194;
																																																					BgL_arg3709z00_4193
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd214274zd2_4190));
																																																					BgL_arg3710z00_4194
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd214274zd2_4190));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_18857;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_18859;
																																																							obj_t
																																																								BgL_bindingsz00_18858;
																																																							BgL_bindingsz00_18858
																																																								=
																																																								BgL_arg3709z00_4193;
																																																							BgL_exprz00_18859
																																																								=
																																																								BgL_arg3710z00_4194;
																																																							BgL_exprz00_1793
																																																								=
																																																								BgL_exprz00_18859;
																																																							BgL_bindingsz00_1792
																																																								=
																																																								BgL_bindingsz00_18858;
																																																							goto
																																																								BgL_tagzd2382zd2_1794;
																																																						}
																																																						BgL_auxz00_14766
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_18857);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8232z00_18861;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg3777z00_4300;
																																																						BgL_arg3777z00_4300
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8232z00_18861
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg3777z00_4300));
																																																					}
																																																					if (BgL_test8232z00_18861)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_18866;
																																																							goto
																																																								BgL_tagzd2384zd2_1796;
																																																							BgL_auxz00_14766
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_18866);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd214341zd2_4197;
																																																							BgL_carzd214341zd2_4197
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd214346zd2_4198;
																																																								BgL_cdrzd214346zd2_4198
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd214341zd2_4197));
																																																								if ((CAR(((obj_t) BgL_carzd214341zd2_4197)) == CNST_TABLE_REF(((long) 3))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3716z00_4201;
																																																										obj_t
																																																											BgL_arg3717z00_4202;
																																																										obj_t
																																																											BgL_arg3718z00_4203;
																																																										BgL_arg3716z00_4201
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd214346zd2_4198));
																																																										BgL_arg3717z00_4202
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd214346zd2_4198));
																																																										BgL_arg3718z00_4203
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_18883;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_18886;
																																																												obj_t
																																																													BgL_bodyz00_18885;
																																																												obj_t
																																																													BgL_varsz00_18884;
																																																												BgL_varsz00_18884
																																																													=
																																																													BgL_arg3716z00_4201;
																																																												BgL_bodyz00_18885
																																																													=
																																																													BgL_arg3717z00_4202;
																																																												BgL_argsz00_18886
																																																													=
																																																													BgL_arg3718z00_4203;
																																																												BgL_argsz00_1803
																																																													=
																																																													BgL_argsz00_18886;
																																																												BgL_bodyz00_1802
																																																													=
																																																													BgL_bodyz00_18885;
																																																												BgL_varsz00_1801
																																																													=
																																																													BgL_varsz00_18884;
																																																												goto
																																																													BgL_tagzd2386zd2_1804;
																																																											}
																																																											BgL_auxz00_14766
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_18883);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd214369zd2_4205;
																																																										BgL_cdrzd214369zd2_4205
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd214375zd2_4206;
																																																											BgL_cdrzd214375zd2_4206
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd214341zd2_4197));
																																																											if ((CAR(((obj_t) BgL_carzd214341zd2_4197)) == CNST_TABLE_REF(((long) 1))))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd214381zd2_4209;
																																																													BgL_cdrzd214381zd2_4209
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd214375zd2_4206));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd214386zd2_4210;
																																																														obj_t
																																																															BgL_cdrzd214387zd2_4211;
																																																														BgL_carzd214386zd2_4210
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd214381zd2_4209));
																																																														BgL_cdrzd214387zd2_4211
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd214381zd2_4209));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214386zd2_4210))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd214387zd2_4211))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd214394zd2_4214;
																																																																		BgL_carzd214394zd2_4214
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd214387zd2_4211);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214394zd2_4214))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(BgL_cdrzd214387zd2_4211)))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test8239z00_18913;
																																																																						{
																																																																							obj_t
																																																																								BgL_l1394z00_4247;
																																																																							BgL_l1394z00_4247
																																																																								=
																																																																								BgL_cdrzd214369zd2_4205;
																																																																						BgL_zc3z04anonymousza33743ze3z87_4248:
																																																																							if (NULLP(BgL_l1394z00_4247))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test8239z00_18913
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									bool_t
																																																																										BgL_test8241z00_18916;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test8242z00_18917;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_tmpz00_18918;
																																																																											BgL_tmpz00_18918
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_l1394z00_4247));
																																																																											BgL_test8242z00_18917
																																																																												=
																																																																												PAIRP
																																																																												(BgL_tmpz00_18918);
																																																																										}
																																																																										if (BgL_test8242z00_18917)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test8241z00_18916
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test8241z00_18916
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																									}
																																																																									if (BgL_test8241z00_18916)
																																																																										{
																																																																											obj_t
																																																																												BgL_l1394z00_18922;
																																																																											BgL_l1394z00_18922
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_l1394z00_4247));
																																																																											BgL_l1394z00_4247
																																																																												=
																																																																												BgL_l1394z00_18922;
																																																																											goto
																																																																												BgL_zc3z04anonymousza33743ze3z87_4248;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test8239z00_18913
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																						if (BgL_test8239z00_18913)
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg3732z00_4230;
																																																																								BgL_arg3732z00_4230
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd214375zd2_4206));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_18927;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_18931;
																																																																										obj_t
																																																																											BgL_proc2z00_18930;
																																																																										obj_t
																																																																											BgL_proc1z00_18929;
																																																																										obj_t
																																																																											BgL_testz00_18928;
																																																																										BgL_testz00_18928
																																																																											=
																																																																											BgL_arg3732z00_4230;
																																																																										BgL_proc1z00_18929
																																																																											=
																																																																											BgL_carzd214386zd2_4210;
																																																																										BgL_proc2z00_18930
																																																																											=
																																																																											BgL_carzd214394zd2_4214;
																																																																										BgL_argsz00_18931
																																																																											=
																																																																											BgL_cdrzd214369zd2_4205;
																																																																										BgL_argsz00_1808
																																																																											=
																																																																											BgL_argsz00_18931;
																																																																										BgL_proc2z00_1807
																																																																											=
																																																																											BgL_proc2z00_18930;
																																																																										BgL_proc1z00_1806
																																																																											=
																																																																											BgL_proc1z00_18929;
																																																																										BgL_testz00_1805
																																																																											=
																																																																											BgL_testz00_18928;
																																																																										goto
																																																																											BgL_tagzd2387zd2_1809;
																																																																									}
																																																																									BgL_auxz00_14766
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_18927);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd214418zd2_4231;
																																																																								BgL_cdrzd214418zd2_4231
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd214425zd2_4232;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_11176;
																																																																										BgL_pairz00_11176
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd214425zd2_4232
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_11176);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd214432zd2_4233;
																																																																										BgL_cdrzd214432zd2_4233
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd214425zd2_4232));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd214438zd2_4234;
																																																																											BgL_carzd214438zd2_4234
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd214432zd2_4233));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214438zd2_4234))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd214445zd2_4236;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_11180;
																																																																														BgL_pairz00_11180
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd214432zd2_4233));
																																																																														BgL_carzd214445zd2_4236
																																																																															=
																																																																															CAR
																																																																															(BgL_pairz00_11180);
																																																																													}
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214445zd2_4236))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd214418zd2_4231))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg3736z00_4239;
																																																																																	BgL_arg3736z00_4239
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd214425zd2_4232));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_18953;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_18957;
																																																																																			obj_t
																																																																																				BgL_proc2z00_18956;
																																																																																			obj_t
																																																																																				BgL_proc1z00_18955;
																																																																																			obj_t
																																																																																				BgL_testz00_18954;
																																																																																			BgL_testz00_18954
																																																																																				=
																																																																																				BgL_arg3736z00_4239;
																																																																																			BgL_proc1z00_18955
																																																																																				=
																																																																																				BgL_carzd214438zd2_4234;
																																																																																			BgL_proc2z00_18956
																																																																																				=
																																																																																				BgL_carzd214445zd2_4236;
																																																																																			BgL_argsz00_18957
																																																																																				=
																																																																																				BgL_cdrzd214418zd2_4231;
																																																																																			BgL_argsz00_1813
																																																																																				=
																																																																																				BgL_argsz00_18957;
																																																																																			BgL_proc2z00_1812
																																																																																				=
																																																																																				BgL_proc2z00_18956;
																																																																																			BgL_proc1z00_1811
																																																																																				=
																																																																																				BgL_proc1z00_18955;
																																																																																			BgL_testz00_1810
																																																																																				=
																																																																																				BgL_testz00_18954;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1814;
																																																																																		}
																																																																																		BgL_auxz00_14766
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_18953);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_18961;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_14766
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_18961);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18965;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18965);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_18969;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18969);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_18973;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_14766
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_18973);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd214721zd2_4258;
																																																																				BgL_cdrzd214721zd2_4258
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd214727zd2_4259;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_11184;
																																																																						BgL_pairz00_11184
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd214727zd2_4259
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_11184);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd214733zd2_4260;
																																																																						BgL_cdrzd214733zd2_4260
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd214727zd2_4259));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd214738zd2_4261;
																																																																							obj_t
																																																																								BgL_cdrzd214739zd2_4262;
																																																																							BgL_carzd214738zd2_4261
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd214733zd2_4260));
																																																																							BgL_cdrzd214739zd2_4262
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd214733zd2_4260));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214738zd2_4261))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd214744zd2_4264;
																																																																									BgL_carzd214744zd2_4264
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd214739zd2_4262));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214744zd2_4264))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(((obj_t) BgL_cdrzd214739zd2_4262))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd214721zd2_4258))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg3752z00_4269;
																																																																															BgL_arg3752z00_4269
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd214727zd2_4259));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_19000;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_19004;
																																																																																	obj_t
																																																																																		BgL_proc2z00_19003;
																																																																																	obj_t
																																																																																		BgL_proc1z00_19002;
																																																																																	obj_t
																																																																																		BgL_testz00_19001;
																																																																																	BgL_testz00_19001
																																																																																		=
																																																																																		BgL_arg3752z00_4269;
																																																																																	BgL_proc1z00_19002
																																																																																		=
																																																																																		BgL_carzd214738zd2_4261;
																																																																																	BgL_proc2z00_19003
																																																																																		=
																																																																																		BgL_carzd214744zd2_4264;
																																																																																	BgL_argsz00_19004
																																																																																		=
																																																																																		BgL_cdrzd214721zd2_4258;
																																																																																	BgL_argsz00_1813
																																																																																		=
																																																																																		BgL_argsz00_19004;
																																																																																	BgL_proc2z00_1812
																																																																																		=
																																																																																		BgL_proc2z00_19003;
																																																																																	BgL_proc1z00_1811
																																																																																		=
																																																																																		BgL_proc1z00_19002;
																																																																																	BgL_testz00_1810
																																																																																		=
																																																																																		BgL_testz00_19001;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1814;
																																																																																}
																																																																																BgL_auxz00_14766
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_19000);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_19008;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_19008);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19012;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19012);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_19016;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19016);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_19020;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_19020);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1838;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_19024;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1839;
																																																																				BgL_auxz00_14766
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_19024);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd215077zd2_4277;
																																																																BgL_cdrzd215077zd2_4277
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd215084zd2_4278;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_pairz00_11193;
																																																																		BgL_pairz00_11193
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd215084zd2_4278
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_11193);
																																																																	}
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd215091zd2_4279;
																																																																		BgL_cdrzd215091zd2_4279
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd215084zd2_4278));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd215097zd2_4280;
																																																																			obj_t
																																																																				BgL_cdrzd215098zd2_4281;
																																																																			BgL_carzd215097zd2_4280
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd215091zd2_4279));
																																																																			BgL_cdrzd215098zd2_4281
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd215091zd2_4279));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd215097zd2_4280))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd215098zd2_4281))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd215105zd2_4284;
																																																																							BgL_carzd215105zd2_4284
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd215098zd2_4281);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd215105zd2_4284))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_cdrzd215098zd2_4281)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd215077zd2_4277))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg3766z00_4289;
																																																																													BgL_arg3766z00_4289
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd215084zd2_4278));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_19051;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_19055;
																																																																															obj_t
																																																																																BgL_proc2z00_19054;
																																																																															obj_t
																																																																																BgL_proc1z00_19053;
																																																																															obj_t
																																																																																BgL_testz00_19052;
																																																																															BgL_testz00_19052
																																																																																=
																																																																																BgL_arg3766z00_4289;
																																																																															BgL_proc1z00_19053
																																																																																=
																																																																																BgL_carzd215097zd2_4280;
																																																																															BgL_proc2z00_19054
																																																																																=
																																																																																BgL_carzd215105zd2_4284;
																																																																															BgL_argsz00_19055
																																																																																=
																																																																																BgL_cdrzd215077zd2_4277;
																																																																															BgL_argsz00_1813
																																																																																=
																																																																																BgL_argsz00_19055;
																																																																															BgL_proc2z00_1812
																																																																																=
																																																																																BgL_proc2z00_19054;
																																																																															BgL_proc1z00_1811
																																																																																=
																																																																																BgL_proc1z00_19053;
																																																																															BgL_testz00_1810
																																																																																=
																																																																																BgL_testz00_19052;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1814;
																																																																														}
																																																																														BgL_auxz00_14766
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_19051);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19059;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19059);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_19063;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19063);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_19067;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_19067);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_19071;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_14766
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_19071);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_19075;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_14766
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_19075);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2403zd2_1838;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_19079;
																																																															goto
																																																																BgL_tagzd2404zd2_1839;
																																																															BgL_auxz00_14766
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_19079);
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd215498zd2_4303;
																																																BgL_cdrzd215498zd2_4303
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test8270z00_19083;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg3794z00_4320;
																																																		BgL_arg3794z00_4320
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test8270z00_19083
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg3794z00_4320));
																																																	}
																																																	if (BgL_test8270z00_19083)
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg3782z00_4306;
																																																			obj_t
																																																				BgL_arg3783z00_4307;
																																																			BgL_arg3782z00_4306
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd215498zd2_4303));
																																																			BgL_arg3783z00_4307
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd215498zd2_4303));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_19092;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_19094;
																																																					obj_t
																																																						BgL_bindingsz00_19093;
																																																					BgL_bindingsz00_19093
																																																						=
																																																						BgL_arg3782z00_4306;
																																																					BgL_exprz00_19094
																																																						=
																																																						BgL_arg3783z00_4307;
																																																					BgL_exprz00_1793
																																																						=
																																																						BgL_exprz00_19094;
																																																					BgL_bindingsz00_1792
																																																						=
																																																						BgL_bindingsz00_19093;
																																																					goto
																																																						BgL_tagzd2382zd2_1794;
																																																				}
																																																				BgL_auxz00_14766
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_19092);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test8271z00_19096;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg3793z00_4319;
																																																				BgL_arg3793z00_4319
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test8271z00_19096
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg3793z00_4319));
																																																			}
																																																			if (BgL_test8271z00_19096)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_19101;
																																																					goto
																																																						BgL_tagzd2384zd2_1796;
																																																					BgL_auxz00_14766
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_19101);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd215564zd2_4310;
																																																					BgL_carzd215564zd2_4310
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd215569zd2_4311;
																																																						BgL_cdrzd215569zd2_4311
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd215564zd2_4310));
																																																						if ((CAR(((obj_t) BgL_carzd215564zd2_4310)) == CNST_TABLE_REF(((long) 3))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3788z00_4314;
																																																								obj_t
																																																									BgL_arg3789z00_4315;
																																																								obj_t
																																																									BgL_arg3790z00_4316;
																																																								BgL_arg3788z00_4314
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_cdrzd215569zd2_4311));
																																																								BgL_arg3789z00_4315
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd215569zd2_4311));
																																																								BgL_arg3790z00_4316
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_19118;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_19121;
																																																										obj_t
																																																											BgL_bodyz00_19120;
																																																										obj_t
																																																											BgL_varsz00_19119;
																																																										BgL_varsz00_19119
																																																											=
																																																											BgL_arg3788z00_4314;
																																																										BgL_bodyz00_19120
																																																											=
																																																											BgL_arg3789z00_4315;
																																																										BgL_argsz00_19121
																																																											=
																																																											BgL_arg3790z00_4316;
																																																										BgL_argsz00_1803
																																																											=
																																																											BgL_argsz00_19121;
																																																										BgL_bodyz00_1802
																																																											=
																																																											BgL_bodyz00_19120;
																																																										BgL_varsz00_1801
																																																											=
																																																											BgL_varsz00_19119;
																																																										goto
																																																											BgL_tagzd2386zd2_1804;
																																																									}
																																																									BgL_auxz00_14766
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_19118);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2403zd2_1838;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_19125;
																																																										goto
																																																											BgL_tagzd2404zd2_1839;
																																																										BgL_auxz00_14766
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_19125);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd215680zd2_4321;
																																														BgL_cdrzd215680zd2_4321
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															bool_t
																																																BgL_test8274z00_19129;
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg3803z00_4330;
																																																BgL_arg3803z00_4330
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_test8274z00_19129
																																																	=
																																																	CBOOL
																																																	(BGl_letzd2symzf3z21zzast_letz00
																																																	(BgL_arg3803z00_4330));
																																															}
																																															if (BgL_test8274z00_19129)
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg3797z00_4324;
																																																	obj_t
																																																		BgL_arg3798z00_4325;
																																																	BgL_arg3797z00_4324
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd215680zd2_4321));
																																																	BgL_arg3798z00_4325
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd215680zd2_4321));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_19138;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_19140;
																																																			obj_t
																																																				BgL_bindingsz00_19139;
																																																			BgL_bindingsz00_19139
																																																				=
																																																				BgL_arg3797z00_4324;
																																																			BgL_exprz00_19140
																																																				=
																																																				BgL_arg3798z00_4325;
																																																			BgL_exprz00_1793
																																																				=
																																																				BgL_exprz00_19140;
																																																			BgL_bindingsz00_1792
																																																				=
																																																				BgL_bindingsz00_19139;
																																																			goto
																																																				BgL_tagzd2382zd2_1794;
																																																		}
																																																		BgL_auxz00_14766
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_19138);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test8275z00_19142;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg3802z00_4329;
																																																		BgL_arg3802z00_4329
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test8275z00_19142
																																																			=
																																																			CBOOL
																																																			(BGl_labelszd2symzf3z21zzast_labelsz00
																																																			(BgL_arg3802z00_4329));
																																																	}
																																																	if (BgL_test8275z00_19142)
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_19147;
																																																			goto
																																																				BgL_tagzd2384zd2_1796;
																																																			BgL_auxz00_14766
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_19147);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 119 */
																																																					goto
																																																						BgL_tagzd2403zd2_1838;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_19151;
																																																					goto
																																																						BgL_tagzd2404zd2_1839;
																																																					BgL_auxz00_14766
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_19151);
																																																				}
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd214245zd2_4057)))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_kapzd214247zd2_4059;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if ((BgL_carzd214245zd2_4057 == CNST_TABLE_REF(((long) 18))))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd214247zd2_4059;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if ((BgL_carzd214245zd2_4057 == CNST_TABLE_REF(((long) 19))))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd214247zd2_4059;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd214245zd2_4057)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd214247zd2_4059;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd215852zd2_4065;
																																																				BgL_cdrzd215852zd2_4065
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8281z00_19167;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg3700z00_4182;
																																																						BgL_arg3700z00_4182
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8281z00_19167
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg3700z00_4182));
																																																					}
																																																					if (BgL_test8281z00_19167)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg3624z00_4068;
																																																							obj_t
																																																								BgL_arg3625z00_4069;
																																																							BgL_arg3624z00_4068
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd215852zd2_4065));
																																																							BgL_arg3625z00_4069
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd215852zd2_4065));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_19176;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_19178;
																																																									obj_t
																																																										BgL_bindingsz00_19177;
																																																									BgL_bindingsz00_19177
																																																										=
																																																										BgL_arg3624z00_4068;
																																																									BgL_exprz00_19178
																																																										=
																																																										BgL_arg3625z00_4069;
																																																									BgL_exprz00_1793
																																																										=
																																																										BgL_exprz00_19178;
																																																									BgL_bindingsz00_1792
																																																										=
																																																										BgL_bindingsz00_19177;
																																																									goto
																																																										BgL_tagzd2382zd2_1794;
																																																								}
																																																								BgL_auxz00_14766
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_19176);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8282z00_19180;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3699z00_4181;
																																																								BgL_arg3699z00_4181
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8282z00_19180
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg3699z00_4181));
																																																							}
																																																							if (BgL_test8282z00_19180)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_19185;
																																																									goto
																																																										BgL_tagzd2384zd2_1796;
																																																									BgL_auxz00_14766
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_19185);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd215918zd2_4072;
																																																									BgL_carzd215918zd2_4072
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd215923zd2_4073;
																																																										BgL_cdrzd215923zd2_4073
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd215918zd2_4072));
																																																										if ((CAR(((obj_t) BgL_carzd215918zd2_4072)) == CNST_TABLE_REF(((long) 3))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd215923zd2_4073))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg3631z00_4077;
																																																														obj_t
																																																															BgL_arg3632z00_4078;
																																																														obj_t
																																																															BgL_arg3633z00_4079;
																																																														BgL_arg3631z00_4077
																																																															=
																																																															CAR
																																																															(BgL_cdrzd215923zd2_4073);
																																																														BgL_arg3632z00_4078
																																																															=
																																																															CDR
																																																															(BgL_cdrzd215923zd2_4073);
																																																														BgL_arg3633z00_4079
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_19202;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_19205;
																																																																obj_t
																																																																	BgL_bodyz00_19204;
																																																																obj_t
																																																																	BgL_varsz00_19203;
																																																																BgL_varsz00_19203
																																																																	=
																																																																	BgL_arg3631z00_4077;
																																																																BgL_bodyz00_19204
																																																																	=
																																																																	BgL_arg3632z00_4078;
																																																																BgL_argsz00_19205
																																																																	=
																																																																	BgL_arg3633z00_4079;
																																																																BgL_argsz00_1803
																																																																	=
																																																																	BgL_argsz00_19205;
																																																																BgL_bodyz00_1802
																																																																	=
																																																																	BgL_bodyz00_19204;
																																																																BgL_varsz00_1801
																																																																	=
																																																																	BgL_varsz00_19203;
																																																																goto
																																																																	BgL_tagzd2386zd2_1804;
																																																															}
																																																															BgL_auxz00_14766
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_19202);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1838;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_19209;
																																																																goto
																																																																	BgL_tagzd2404zd2_1839;
																																																																BgL_auxz00_14766
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_19209);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd216030zd2_4082;
																																																												BgL_cdrzd216030zd2_4082
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd216035zd2_4083;
																																																													BgL_cdrzd216035zd2_4083
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd215918zd2_4072));
																																																													if ((CAR(((obj_t) BgL_carzd215918zd2_4072)) == CNST_TABLE_REF(((long) 1))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (PAIRP(BgL_cdrzd216035zd2_4083))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd216040zd2_4087;
																																																																	BgL_cdrzd216040zd2_4087
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd216035zd2_4083);
																																																																	if (PAIRP(BgL_cdrzd216040zd2_4087))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd216044zd2_4089;
																																																																			obj_t
																																																																				BgL_cdrzd216045zd2_4090;
																																																																			BgL_carzd216044zd2_4089
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd216040zd2_4087);
																																																																			BgL_cdrzd216045zd2_4090
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd216040zd2_4087);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216044zd2_4089))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd216045zd2_4090))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd216050zd2_4093;
																																																																							BgL_carzd216050zd2_4093
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd216045zd2_4090);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216050zd2_4093))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_cdrzd216045zd2_4090)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test8293z00_19237;
																																																																											{
																																																																												obj_t
																																																																													BgL_l1397z00_4126;
																																																																												BgL_l1397z00_4126
																																																																													=
																																																																													BgL_cdrzd216030zd2_4082;
																																																																											BgL_zc3z04anonymousza33660ze3z87_4127:
																																																																												if (NULLP(BgL_l1397z00_4126))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test8293z00_19237
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test8295z00_19240;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															bool_t
																																																																																BgL_test8296z00_19241;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_tmpz00_19242;
																																																																																BgL_tmpz00_19242
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_l1397z00_4126));
																																																																																BgL_test8296z00_19241
																																																																																	=
																																																																																	PAIRP
																																																																																	(BgL_tmpz00_19242);
																																																																															}
																																																																															if (BgL_test8296z00_19241)
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test8295z00_19240
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test8295z00_19240
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																														}
																																																																														if (BgL_test8295z00_19240)
																																																																															{
																																																																																obj_t
																																																																																	BgL_l1397z00_19246;
																																																																																BgL_l1397z00_19246
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_l1397z00_4126));
																																																																																BgL_l1397z00_4126
																																																																																	=
																																																																																	BgL_l1397z00_19246;
																																																																																goto
																																																																																	BgL_zc3z04anonymousza33660ze3z87_4127;
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test8293z00_19237
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																													}
																																																																											}
																																																																											if (BgL_test8293z00_19237)
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg3649z00_4109;
																																																																													BgL_arg3649z00_4109
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd216035zd2_4083);
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_19250;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_19254;
																																																																															obj_t
																																																																																BgL_proc2z00_19253;
																																																																															obj_t
																																																																																BgL_proc1z00_19252;
																																																																															obj_t
																																																																																BgL_testz00_19251;
																																																																															BgL_testz00_19251
																																																																																=
																																																																																BgL_arg3649z00_4109;
																																																																															BgL_proc1z00_19252
																																																																																=
																																																																																BgL_carzd216044zd2_4089;
																																																																															BgL_proc2z00_19253
																																																																																=
																																																																																BgL_carzd216050zd2_4093;
																																																																															BgL_argsz00_19254
																																																																																=
																																																																																BgL_cdrzd216030zd2_4082;
																																																																															BgL_argsz00_1808
																																																																																=
																																																																																BgL_argsz00_19254;
																																																																															BgL_proc2z00_1807
																																																																																=
																																																																																BgL_proc2z00_19253;
																																																																															BgL_proc1z00_1806
																																																																																=
																																																																																BgL_proc1z00_19252;
																																																																															BgL_testz00_1805
																																																																																=
																																																																																BgL_testz00_19251;
																																																																															goto
																																																																																BgL_tagzd2387zd2_1809;
																																																																														}
																																																																														BgL_auxz00_14766
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_19250);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd216075zd2_4110;
																																																																													BgL_cdrzd216075zd2_4110
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd216083zd2_4111;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_11241;
																																																																															BgL_pairz00_11241
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd216083zd2_4111
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_11241);
																																																																														}
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd216091zd2_4112;
																																																																															BgL_cdrzd216091zd2_4112
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd216083zd2_4111));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd216098zd2_4113;
																																																																																BgL_carzd216098zd2_4113
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd216091zd2_4112));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216098zd2_4113))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd216107zd2_4115;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_pairz00_11245;
																																																																																			BgL_pairz00_11245
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd216091zd2_4112));
																																																																																			BgL_carzd216107zd2_4115
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_pairz00_11245);
																																																																																		}
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216107zd2_4115))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd216075zd2_4110))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_arg3653z00_4118;
																																																																																						BgL_arg3653z00_4118
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd216083zd2_4111));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_19276;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_19280;
																																																																																								obj_t
																																																																																									BgL_proc2z00_19279;
																																																																																								obj_t
																																																																																									BgL_proc1z00_19278;
																																																																																								obj_t
																																																																																									BgL_testz00_19277;
																																																																																								BgL_testz00_19277
																																																																																									=
																																																																																									BgL_arg3653z00_4118;
																																																																																								BgL_proc1z00_19278
																																																																																									=
																																																																																									BgL_carzd216098zd2_4113;
																																																																																								BgL_proc2z00_19279
																																																																																									=
																																																																																									BgL_carzd216107zd2_4115;
																																																																																								BgL_argsz00_19280
																																																																																									=
																																																																																									BgL_cdrzd216075zd2_4110;
																																																																																								BgL_argsz00_1813
																																																																																									=
																																																																																									BgL_argsz00_19280;
																																																																																								BgL_proc2z00_1812
																																																																																									=
																																																																																									BgL_proc2z00_19279;
																																																																																								BgL_proc1z00_1811
																																																																																									=
																																																																																									BgL_proc1z00_19278;
																																																																																								BgL_testz00_1810
																																																																																									=
																																																																																									BgL_testz00_19277;
																																																																																								goto
																																																																																									BgL_tagzd2388zd2_1814;
																																																																																							}
																																																																																							BgL_auxz00_14766
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_19276);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1838;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_19284;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1839;
																																																																																								BgL_auxz00_14766
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_19284);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_19288;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_14766
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_19288);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_19292;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_14766
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_19292);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_19296;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19296);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd216385zd2_4137;
																																																																									BgL_cdrzd216385zd2_4137
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd216392zd2_4138;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_11249;
																																																																											BgL_pairz00_11249
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd216392zd2_4138
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_11249);
																																																																										}
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd216399zd2_4139;
																																																																											BgL_cdrzd216399zd2_4139
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd216392zd2_4138));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd216405zd2_4140;
																																																																												obj_t
																																																																													BgL_cdrzd216406zd2_4141;
																																																																												BgL_carzd216405zd2_4140
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd216399zd2_4139));
																																																																												BgL_cdrzd216406zd2_4141
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd216399zd2_4139));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216405zd2_4140))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd216413zd2_4143;
																																																																														BgL_carzd216413zd2_4143
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd216406zd2_4141));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216413zd2_4143))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (NULLP(CDR(((obj_t) BgL_cdrzd216406zd2_4141))))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd216385zd2_4137))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_arg3669z00_4148;
																																																																																				BgL_arg3669z00_4148
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd216392zd2_4138));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_19323;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_19327;
																																																																																						obj_t
																																																																																							BgL_proc2z00_19326;
																																																																																						obj_t
																																																																																							BgL_proc1z00_19325;
																																																																																						obj_t
																																																																																							BgL_testz00_19324;
																																																																																						BgL_testz00_19324
																																																																																							=
																																																																																							BgL_arg3669z00_4148;
																																																																																						BgL_proc1z00_19325
																																																																																							=
																																																																																							BgL_carzd216405zd2_4140;
																																																																																						BgL_proc2z00_19326
																																																																																							=
																																																																																							BgL_carzd216413zd2_4143;
																																																																																						BgL_argsz00_19327
																																																																																							=
																																																																																							BgL_cdrzd216385zd2_4137;
																																																																																						BgL_argsz00_1813
																																																																																							=
																																																																																							BgL_argsz00_19327;
																																																																																						BgL_proc2z00_1812
																																																																																							=
																																																																																							BgL_proc2z00_19326;
																																																																																						BgL_proc1z00_1811
																																																																																							=
																																																																																							BgL_proc1z00_19325;
																																																																																						BgL_testz00_1810
																																																																																							=
																																																																																							BgL_testz00_19324;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1814;
																																																																																					}
																																																																																					BgL_auxz00_14766
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_19323);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_19331;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_14766
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_19331);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_19335;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_14766
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_19335);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1838;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_19339;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1839;
																																																																																		BgL_auxz00_14766
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_19339);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1838;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_19343;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1839;
																																																																																BgL_auxz00_14766
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_19343);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_19347;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_14766
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_19347);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd216746zd2_4156;
																																																																					BgL_cdrzd216746zd2_4156
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd216752zd2_4157;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_11258;
																																																																							BgL_pairz00_11258
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd216752zd2_4157
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_11258);
																																																																						}
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd216758zd2_4158;
																																																																							BgL_cdrzd216758zd2_4158
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd216752zd2_4157));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd216763zd2_4159;
																																																																								obj_t
																																																																									BgL_cdrzd216764zd2_4160;
																																																																								BgL_carzd216763zd2_4159
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd216758zd2_4158));
																																																																								BgL_cdrzd216764zd2_4160
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd216758zd2_4158));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216763zd2_4159))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (PAIRP(BgL_cdrzd216764zd2_4160))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd216769zd2_4163;
																																																																												BgL_carzd216769zd2_4163
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd216764zd2_4160);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216769zd2_4163))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (NULLP(CDR(BgL_cdrzd216764zd2_4160)))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd216746zd2_4156))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg3684z00_4168;
																																																																																		BgL_arg3684z00_4168
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd216752zd2_4157));
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19374;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_19378;
																																																																																				obj_t
																																																																																					BgL_proc2z00_19377;
																																																																																				obj_t
																																																																																					BgL_proc1z00_19376;
																																																																																				obj_t
																																																																																					BgL_testz00_19375;
																																																																																				BgL_testz00_19375
																																																																																					=
																																																																																					BgL_arg3684z00_4168;
																																																																																				BgL_proc1z00_19376
																																																																																					=
																																																																																					BgL_carzd216763zd2_4159;
																																																																																				BgL_proc2z00_19377
																																																																																					=
																																																																																					BgL_carzd216769zd2_4163;
																																																																																				BgL_argsz00_19378
																																																																																					=
																																																																																					BgL_cdrzd216746zd2_4156;
																																																																																				BgL_argsz00_1813
																																																																																					=
																																																																																					BgL_argsz00_19378;
																																																																																				BgL_proc2z00_1812
																																																																																					=
																																																																																					BgL_proc2z00_19377;
																																																																																				BgL_proc1z00_1811
																																																																																					=
																																																																																					BgL_proc1z00_19376;
																																																																																				BgL_testz00_1810
																																																																																					=
																																																																																					BgL_testz00_19375;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1814;
																																																																																			}
																																																																																			BgL_auxz00_14766
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19374);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_19382;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_14766
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_19382);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1838;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_19386;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1839;
																																																																																		BgL_auxz00_14766
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_19386);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1838;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_19390;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1839;
																																																																																BgL_auxz00_14766
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_19390);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1838;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_19394;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1839;
																																																																														BgL_auxz00_14766
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_19394);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_19398;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																												BgL_auxz00_14766
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_19398);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1838;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_19402;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1839;
																																																																					BgL_auxz00_14766
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_19402);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1838;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_19406;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1839;
																																																																			BgL_auxz00_14766
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_19406);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1838;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_19410;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1839;
																																																																	BgL_auxz00_14766
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_19410);
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((BgL_carzd214242zd2_4055 == CNST_TABLE_REF(((long) 17))))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg3805z00_4334;
																																											obj_t
																																												BgL_arg3806z00_4335;
																																											BgL_arg3805z00_4334
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd214141zd2_4039));
																																											BgL_arg3806z00_4335
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd214141zd2_4039));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_19419;
																																												{
																																													obj_t
																																														BgL_exprz00_19421;
																																													obj_t
																																														BgL_bindingsz00_19420;
																																													BgL_bindingsz00_19420
																																														=
																																														BgL_arg3805z00_4334;
																																													BgL_exprz00_19421
																																														=
																																														BgL_arg3806z00_4335;
																																													BgL_exprz00_1793
																																														=
																																														BgL_exprz00_19421;
																																													BgL_bindingsz00_1792
																																														=
																																														BgL_bindingsz00_19420;
																																													goto
																																														BgL_tagzd2382zd2_1794;
																																												}
																																												BgL_auxz00_14766
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_19419);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd214242zd2_4055)))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg3808z00_4337;
																																													obj_t
																																														BgL_arg3809z00_4338;
																																													BgL_arg3808z00_4337
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd214141zd2_4039));
																																													BgL_arg3809z00_4338
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd214141zd2_4039));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_19430;
																																														{
																																															obj_t
																																																BgL_exprz00_19432;
																																															obj_t
																																																BgL_bindingsz00_19431;
																																															BgL_bindingsz00_19431
																																																=
																																																BgL_arg3808z00_4337;
																																															BgL_exprz00_19432
																																																=
																																																BgL_arg3809z00_4338;
																																															BgL_exprz00_1793
																																																=
																																																BgL_exprz00_19432;
																																															BgL_bindingsz00_1792
																																																=
																																																BgL_bindingsz00_19431;
																																															goto
																																																BgL_tagzd2382zd2_1794;
																																														}
																																														BgL_auxz00_14766
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_19430);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((BgL_carzd214242zd2_4055 == CNST_TABLE_REF(((long) 18))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg3811z00_4340;
																																															obj_t
																																																BgL_arg3812z00_4341;
																																															BgL_arg3811z00_4340
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd214141zd2_4039));
																																															BgL_arg3812z00_4341
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd214141zd2_4039));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_19441;
																																																{
																																																	obj_t
																																																		BgL_exprz00_19443;
																																																	obj_t
																																																		BgL_bindingsz00_19442;
																																																	BgL_bindingsz00_19442
																																																		=
																																																		BgL_arg3811z00_4340;
																																																	BgL_exprz00_19443
																																																		=
																																																		BgL_arg3812z00_4341;
																																																	BgL_exprz00_1793
																																																		=
																																																		BgL_exprz00_19443;
																																																	BgL_bindingsz00_1792
																																																		=
																																																		BgL_bindingsz00_19442;
																																																	goto
																																																		BgL_tagzd2382zd2_1794;
																																																}
																																																BgL_auxz00_14766
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_19441);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_19450;
																																																	goto
																																																		BgL_tagzd2383zd2_1795;
																																																	BgL_auxz00_14766
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_19450);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_carzd217344zd2_4344;
																																																	BgL_carzd217344zd2_4344
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	if ((BgL_carzd217344zd2_4344 == CNST_TABLE_REF(((long) 19))))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_19457;
																																																			goto
																																																				BgL_tagzd2384zd2_1796;
																																																			BgL_auxz00_14766
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_19457);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd217344zd2_4344)))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_19462;
																																																					goto
																																																						BgL_tagzd2384zd2_1796;
																																																					BgL_auxz00_14766
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_19462);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_19469;
																																																							goto
																																																								BgL_tagzd2389zd2_1815;
																																																							BgL_auxz00_14766
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_19469);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_19476;
																																																									goto
																																																										BgL_tagzd2390zd2_1816;
																																																									BgL_auxz00_14766
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_19476);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd217424zd2_4351;
																																																									BgL_cdrzd217424zd2_4351
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg3823z00_4354;
																																																											obj_t
																																																												BgL_arg3824z00_4355;
																																																											BgL_arg3823z00_4354
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd217424zd2_4351));
																																																											BgL_arg3824z00_4355
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd217424zd2_4351));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_19489;
																																																												{
																																																													obj_t
																																																														BgL_restz00_19491;
																																																													obj_t
																																																														BgL_effectz00_19490;
																																																													BgL_effectz00_19490
																																																														=
																																																														BgL_arg3823z00_4354;
																																																													BgL_restz00_19491
																																																														=
																																																														BgL_arg3824z00_4355;
																																																													BgL_restz00_1818
																																																														=
																																																														BgL_restz00_19491;
																																																													BgL_effectz00_1817
																																																														=
																																																														BgL_effectz00_19490;
																																																													goto
																																																														BgL_tagzd2391zd2_1819;
																																																												}
																																																												BgL_auxz00_14766
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_19489);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_19498;
																																																													goto
																																																														BgL_tagzd2392zd2_1820;
																																																													BgL_auxz00_14766
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_19498);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_19505;
																																																															goto
																																																																BgL_tagzd2393zd2_1821;
																																																															BgL_auxz00_14766
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_19505);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg3831z00_4363;
																																																																	obj_t
																																																																		BgL_arg3832z00_4364;
																																																																	BgL_arg3831z00_4363
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd217424zd2_4351));
																																																																	BgL_arg3832z00_4364
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd217424zd2_4351));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_19516;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_19518;
																																																																			obj_t
																																																																				BgL_effectz00_19517;
																																																																			BgL_effectz00_19517
																																																																				=
																																																																				BgL_arg3831z00_4363;
																																																																			BgL_restz00_19518
																																																																				=
																																																																				BgL_arg3832z00_4364;
																																																																			BgL_restz00_1823
																																																																				=
																																																																				BgL_restz00_19518;
																																																																			BgL_effectz00_1822
																																																																				=
																																																																				BgL_effectz00_19517;
																																																																			goto
																																																																				BgL_tagzd2394zd2_1824;
																																																																		}
																																																																		BgL_auxz00_14766
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_19516);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_19525;
																																																																			goto
																																																																				BgL_tagzd2395zd2_1825;
																																																																			BgL_auxz00_14766
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_19525);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_19532;
																																																																					goto
																																																																						BgL_tagzd2396zd2_1826;
																																																																					BgL_auxz00_14766
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_19532);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																						{
																																																																							BgL_letzd2funzd2_bglt
																																																																								BgL_auxz00_19539;
																																																																							goto
																																																																								BgL_tagzd2397zd2_1827;
																																																																							BgL_auxz00_14766
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_19539);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																								{
																																																																									BgL_jumpzd2exzd2itz00_bglt
																																																																										BgL_auxz00_19546;
																																																																									goto
																																																																										BgL_tagzd2398zd2_1828;
																																																																									BgL_auxz00_14766
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_19546);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test8343z00_19553;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_tmpz00_19554;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_11294;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_11293;
																																																																														BgL_pairz00_11293
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_pairz00_11294
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_11293);
																																																																													}
																																																																													BgL_tmpz00_19554
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_11294);
																																																																												}
																																																																												BgL_test8343z00_19553
																																																																													=
																																																																													NULLP
																																																																													(BgL_tmpz00_19554);
																																																																											}
																																																																											if (BgL_test8343z00_19553)
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_19560;
																																																																													goto
																																																																														BgL_tagzd2399zd2_1829;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19560);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19564;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19564);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd217512zd2_4383;
																																																																											BgL_cdrzd217512zd2_4383
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd217518zd2_4386;
																																																																													BgL_cdrzd217518zd2_4386
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd217512zd2_4383));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd217524zd2_4387;
																																																																														BgL_cdrzd217524zd2_4387
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd217518zd2_4386));
																																																																														if ((CAR(((obj_t) BgL_cdrzd217518zd2_4386)) == CNST_TABLE_REF(((long) 31))))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (PAIRP(BgL_cdrzd217524zd2_4387))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg3856z00_4391;
																																																																																		obj_t
																																																																																			BgL_arg3857z00_4392;
																																																																																		obj_t
																																																																																			BgL_arg3858z00_4393;
																																																																																		BgL_arg3856z00_4391
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd217512zd2_4383));
																																																																																		BgL_arg3857z00_4392
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd217524zd2_4387);
																																																																																		BgL_arg3858z00_4393
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd217524zd2_4387);
																																																																																		{	/* Ast/sexp.scm 553 */
																																																																																			obj_t
																																																																																				BgL_arg7078z00_11303;
																																																																																			BgL_arg7078z00_11303
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			BgL_auxz00_14766
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																				(BgL_expz00_21,
																																																																																					BgL_arg3856z00_4391,
																																																																																					BgL_arg3857z00_4392,
																																																																																					BgL_arg3858z00_4393,
																																																																																					BgL_stackz00_22,
																																																																																					BgL_arg7078z00_11303,
																																																																																					BgL_sitez00_24));
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg3859z00_4395;
																																																																																		obj_t
																																																																																			BgL_arg3860z00_4396;
																																																																																		BgL_arg3859z00_4395
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd217512zd2_4383));
																																																																																		BgL_arg3860z00_4396
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd217512zd2_4383));
																																																																																		{	/* Ast/sexp.scm 555 */
																																																																																			obj_t
																																																																																				BgL_arg7079z00_11307;
																																																																																			BgL_arg7079z00_11307
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			BgL_auxz00_14766
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																				(BgL_expz00_21,
																																																																																					BgL_arg3859z00_4395,
																																																																																					CNST_TABLE_REF
																																																																																					(((long) 4)), BgL_arg3860z00_4396, BgL_stackz00_22, BgL_arg7079z00_11307, BgL_sitez00_24));
																																																																															}}}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg3861z00_4398;
																																																																																obj_t
																																																																																	BgL_arg3862z00_4399;
																																																																																BgL_arg3861z00_4398
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd217512zd2_4383));
																																																																																BgL_arg3862z00_4399
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd217512zd2_4383));
																																																																																{	/* Ast/sexp.scm 555 */
																																																																																	obj_t
																																																																																		BgL_arg7079z00_11311;
																																																																																	BgL_arg7079z00_11311
																																																																																		=
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_locz00_23);
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																		(BgL_expz00_21,
																																																																																			BgL_arg3861z00_4398,
																																																																																			CNST_TABLE_REF
																																																																																			(((long) 4)), BgL_arg3862z00_4399, BgL_stackz00_22, BgL_arg7079z00_11311, BgL_sitez00_24));
																																																																												}}}}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19609;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19609);
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													obj_t
																														BgL_carzd217575zd2_4418;
																													BgL_carzd217575zd2_4418
																														=
																														CAR(((obj_t)
																															BgL_expz00_21));
																													if (
																														(BgL_carzd217575zd2_4418
																															==
																															CNST_TABLE_REF((
																																	(long) 1))))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_19616;
																															goto
																																BgL_tagzd2377zd2_1783;
																															BgL_auxz00_14766 =
																																((obj_t)
																																BgL_auxz00_19616);
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(BgL_carzd217575zd2_4418
																																	==
																																	BGl_za2ifza2z00zzast_sexpz00))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_19620;
																																	goto
																																		BgL_tagzd2377zd2_1783;
																																	BgL_auxz00_14766
																																		=
																																		((obj_t)
																																		BgL_auxz00_19620);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(CAR(
																																				((obj_t)
																																					BgL_expz00_21))
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					7))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_19627;
																																			goto
																																				BgL_tagzd2379zd2_1787;
																																			BgL_auxz00_14766
																																				=
																																				((obj_t)
																																				BgL_auxz00_19627);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(CAR(
																																						((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_19634;
																																					goto
																																						BgL_tagzd2380zd2_1788;
																																					BgL_auxz00_14766
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_19634);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd217644zd2_4425;
																																					BgL_carzd217644zd2_4425
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (PAIRP(BgL_carzd217644zd2_4425))
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd217647zd2_4427;
																																							obj_t
																																								BgL_cdrzd217648zd2_4428;
																																							BgL_carzd217647zd2_4427
																																								=
																																								CAR
																																								(BgL_carzd217644zd2_4425);
																																							BgL_cdrzd217648zd2_4428
																																								=
																																								CDR
																																								(BgL_carzd217644zd2_4425);
																																							{

																																								if ((BgL_carzd217647zd2_4427 == CNST_TABLE_REF(((long) 17))))
																																									{	/* Ast/sexp.scm 119 */
																																									BgL_kapzd217649zd2_4429:
																																										if (PAIRP(BgL_cdrzd217648zd2_4428))
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd217652zd2_4611;
																																												BgL_cdrzd217652zd2_4611
																																													=
																																													CDR
																																													(BgL_cdrzd217648zd2_4428);
																																												if (PAIRP(BgL_cdrzd217652zd2_4611))
																																													{	/* Ast/sexp.scm 119 */
																																														if (NULLP(CDR(BgL_cdrzd217652zd2_4611)))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg4016z00_4615;
																																																obj_t
																																																	BgL_arg4017z00_4616;
																																																BgL_arg4016z00_4615
																																																	=
																																																	CAR
																																																	(BgL_cdrzd217652zd2_4611);
																																																BgL_arg4017z00_4616
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_19656;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_19658;
																																																		obj_t
																																																			BgL_bodyz00_19657;
																																																		BgL_bodyz00_19657
																																																			=
																																																			BgL_arg4016z00_4615;
																																																		BgL_argsz00_19658
																																																			=
																																																			BgL_arg4017z00_4616;
																																																		BgL_argsz00_1790
																																																			=
																																																			BgL_argsz00_19658;
																																																		BgL_bodyz00_1789
																																																			=
																																																			BgL_bodyz00_19657;
																																																		goto
																																																			BgL_tagzd2381zd2_1791;
																																																	}
																																																	BgL_auxz00_14766
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_19656);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd217676zd2_4617;
																																																BgL_cdrzd217676zd2_4617
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test8358z00_19662;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg4086z00_4728;
																																																		BgL_arg4086z00_4728
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test8358z00_19662
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg4086z00_4728));
																																																	}
																																																	if (BgL_test8358z00_19662)
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg4020z00_4620;
																																																			obj_t
																																																				BgL_arg4021z00_4621;
																																																			BgL_arg4020z00_4620
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd217676zd2_4617));
																																																			BgL_arg4021z00_4621
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd217676zd2_4617));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_19671;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_19673;
																																																					obj_t
																																																						BgL_bindingsz00_19672;
																																																					BgL_bindingsz00_19672
																																																						=
																																																						BgL_arg4020z00_4620;
																																																					BgL_exprz00_19673
																																																						=
																																																						BgL_arg4021z00_4621;
																																																					BgL_exprz00_1793
																																																						=
																																																						BgL_exprz00_19673;
																																																					BgL_bindingsz00_1792
																																																						=
																																																						BgL_bindingsz00_19672;
																																																					goto
																																																						BgL_tagzd2382zd2_1794;
																																																				}
																																																				BgL_auxz00_14766
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_19671);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test8359z00_19675;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg4085z00_4727;
																																																				BgL_arg4085z00_4727
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test8359z00_19675
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg4085z00_4727));
																																																			}
																																																			if (BgL_test8359z00_19675)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_19680;
																																																					goto
																																																						BgL_tagzd2384zd2_1796;
																																																					BgL_auxz00_14766
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_19680);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd217743zd2_4624;
																																																					BgL_carzd217743zd2_4624
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd217748zd2_4625;
																																																						BgL_cdrzd217748zd2_4625
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd217743zd2_4624));
																																																						if ((CAR(((obj_t) BgL_carzd217743zd2_4624)) == CNST_TABLE_REF(((long) 3))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg4026z00_4628;
																																																								obj_t
																																																									BgL_arg4027z00_4629;
																																																								obj_t
																																																									BgL_arg4028z00_4630;
																																																								BgL_arg4026z00_4628
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_cdrzd217748zd2_4625));
																																																								BgL_arg4027z00_4629
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd217748zd2_4625));
																																																								BgL_arg4028z00_4630
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_19697;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_19700;
																																																										obj_t
																																																											BgL_bodyz00_19699;
																																																										obj_t
																																																											BgL_varsz00_19698;
																																																										BgL_varsz00_19698
																																																											=
																																																											BgL_arg4026z00_4628;
																																																										BgL_bodyz00_19699
																																																											=
																																																											BgL_arg4027z00_4629;
																																																										BgL_argsz00_19700
																																																											=
																																																											BgL_arg4028z00_4630;
																																																										BgL_argsz00_1803
																																																											=
																																																											BgL_argsz00_19700;
																																																										BgL_bodyz00_1802
																																																											=
																																																											BgL_bodyz00_19699;
																																																										BgL_varsz00_1801
																																																											=
																																																											BgL_varsz00_19698;
																																																										goto
																																																											BgL_tagzd2386zd2_1804;
																																																									}
																																																									BgL_auxz00_14766
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_19697);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd217771zd2_4632;
																																																								BgL_cdrzd217771zd2_4632
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd217777zd2_4633;
																																																									BgL_cdrzd217777zd2_4633
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd217743zd2_4624));
																																																									if ((CAR(((obj_t) BgL_carzd217743zd2_4624)) == CNST_TABLE_REF(((long) 1))))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd217783zd2_4636;
																																																											BgL_cdrzd217783zd2_4636
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd217777zd2_4633));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_carzd217788zd2_4637;
																																																												obj_t
																																																													BgL_cdrzd217789zd2_4638;
																																																												BgL_carzd217788zd2_4637
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd217783zd2_4636));
																																																												BgL_cdrzd217789zd2_4638
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd217783zd2_4636));
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217788zd2_4637))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd217789zd2_4638))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd217796zd2_4641;
																																																																BgL_carzd217796zd2_4641
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd217789zd2_4638);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217796zd2_4641))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(BgL_cdrzd217789zd2_4638)))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				bool_t
																																																																					BgL_test8366z00_19727;
																																																																				{
																																																																					obj_t
																																																																						BgL_l1400z00_4674;
																																																																					BgL_l1400z00_4674
																																																																						=
																																																																						BgL_cdrzd217771zd2_4632;
																																																																				BgL_zc3z04anonymousza34051ze3z87_4675:
																																																																					if (NULLP(BgL_l1400z00_4674))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test8366z00_19727
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							bool_t
																																																																								BgL_test8368z00_19730;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test8369z00_19731;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_tmpz00_19732;
																																																																									BgL_tmpz00_19732
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_l1400z00_4674));
																																																																									BgL_test8369z00_19731
																																																																										=
																																																																										PAIRP
																																																																										(BgL_tmpz00_19732);
																																																																								}
																																																																								if (BgL_test8369z00_19731)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test8368z00_19730
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test8368z00_19730
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																							}
																																																																							if (BgL_test8368z00_19730)
																																																																								{
																																																																									obj_t
																																																																										BgL_l1400z00_19736;
																																																																									BgL_l1400z00_19736
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_l1400z00_4674));
																																																																									BgL_l1400z00_4674
																																																																										=
																																																																										BgL_l1400z00_19736;
																																																																									goto
																																																																										BgL_zc3z04anonymousza34051ze3z87_4675;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test8366z00_19727
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																						}
																																																																				}
																																																																				if (BgL_test8366z00_19727)
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg4041z00_4657;
																																																																						BgL_arg4041z00_4657
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd217777zd2_4633));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_19741;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_19745;
																																																																								obj_t
																																																																									BgL_proc2z00_19744;
																																																																								obj_t
																																																																									BgL_proc1z00_19743;
																																																																								obj_t
																																																																									BgL_testz00_19742;
																																																																								BgL_testz00_19742
																																																																									=
																																																																									BgL_arg4041z00_4657;
																																																																								BgL_proc1z00_19743
																																																																									=
																																																																									BgL_carzd217788zd2_4637;
																																																																								BgL_proc2z00_19744
																																																																									=
																																																																									BgL_carzd217796zd2_4641;
																																																																								BgL_argsz00_19745
																																																																									=
																																																																									BgL_cdrzd217771zd2_4632;
																																																																								BgL_argsz00_1808
																																																																									=
																																																																									BgL_argsz00_19745;
																																																																								BgL_proc2z00_1807
																																																																									=
																																																																									BgL_proc2z00_19744;
																																																																								BgL_proc1z00_1806
																																																																									=
																																																																									BgL_proc1z00_19743;
																																																																								BgL_testz00_1805
																																																																									=
																																																																									BgL_testz00_19742;
																																																																								goto
																																																																									BgL_tagzd2387zd2_1809;
																																																																							}
																																																																							BgL_auxz00_14766
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_19741);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd217820zd2_4658;
																																																																						BgL_cdrzd217820zd2_4658
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd217827zd2_4659;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_11347;
																																																																								BgL_pairz00_11347
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd217827zd2_4659
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_11347);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd217834zd2_4660;
																																																																								BgL_cdrzd217834zd2_4660
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd217827zd2_4659));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd217840zd2_4661;
																																																																									BgL_carzd217840zd2_4661
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd217834zd2_4660));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217840zd2_4661))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd217847zd2_4663;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_11351;
																																																																												BgL_pairz00_11351
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd217834zd2_4660));
																																																																												BgL_carzd217847zd2_4663
																																																																													=
																																																																													CAR
																																																																													(BgL_pairz00_11351);
																																																																											}
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217847zd2_4663))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd217820zd2_4658))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg4045z00_4666;
																																																																															BgL_arg4045z00_4666
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd217827zd2_4659));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_19767;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_19771;
																																																																																	obj_t
																																																																																		BgL_proc2z00_19770;
																																																																																	obj_t
																																																																																		BgL_proc1z00_19769;
																																																																																	obj_t
																																																																																		BgL_testz00_19768;
																																																																																	BgL_testz00_19768
																																																																																		=
																																																																																		BgL_arg4045z00_4666;
																																																																																	BgL_proc1z00_19769
																																																																																		=
																																																																																		BgL_carzd217840zd2_4661;
																																																																																	BgL_proc2z00_19770
																																																																																		=
																																																																																		BgL_carzd217847zd2_4663;
																																																																																	BgL_argsz00_19771
																																																																																		=
																																																																																		BgL_cdrzd217820zd2_4658;
																																																																																	BgL_argsz00_1813
																																																																																		=
																																																																																		BgL_argsz00_19771;
																																																																																	BgL_proc2z00_1812
																																																																																		=
																																																																																		BgL_proc2z00_19770;
																																																																																	BgL_proc1z00_1811
																																																																																		=
																																																																																		BgL_proc1z00_19769;
																																																																																	BgL_testz00_1810
																																																																																		=
																																																																																		BgL_testz00_19768;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1814;
																																																																																}
																																																																																BgL_auxz00_14766
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_19767);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_19775;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_19775);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19779;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19779);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_19783;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19783);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_19787;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_14766
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_19787);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd218123zd2_4685;
																																																																		BgL_cdrzd218123zd2_4685
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd218129zd2_4686;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_11355;
																																																																				BgL_pairz00_11355
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd218129zd2_4686
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_11355);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd218135zd2_4687;
																																																																				BgL_cdrzd218135zd2_4687
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd218129zd2_4686));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd218140zd2_4688;
																																																																					obj_t
																																																																						BgL_cdrzd218141zd2_4689;
																																																																					BgL_carzd218140zd2_4688
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd218135zd2_4687));
																																																																					BgL_cdrzd218141zd2_4689
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd218135zd2_4687));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218140zd2_4688))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd218146zd2_4691;
																																																																							BgL_carzd218146zd2_4691
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd218141zd2_4689));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218146zd2_4691))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(((obj_t) BgL_cdrzd218141zd2_4689))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd218123zd2_4685))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg4060z00_4696;
																																																																													BgL_arg4060z00_4696
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd218129zd2_4686));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_19814;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_19818;
																																																																															obj_t
																																																																																BgL_proc2z00_19817;
																																																																															obj_t
																																																																																BgL_proc1z00_19816;
																																																																															obj_t
																																																																																BgL_testz00_19815;
																																																																															BgL_testz00_19815
																																																																																=
																																																																																BgL_arg4060z00_4696;
																																																																															BgL_proc1z00_19816
																																																																																=
																																																																																BgL_carzd218140zd2_4688;
																																																																															BgL_proc2z00_19817
																																																																																=
																																																																																BgL_carzd218146zd2_4691;
																																																																															BgL_argsz00_19818
																																																																																=
																																																																																BgL_cdrzd218123zd2_4685;
																																																																															BgL_argsz00_1813
																																																																																=
																																																																																BgL_argsz00_19818;
																																																																															BgL_proc2z00_1812
																																																																																=
																																																																																BgL_proc2z00_19817;
																																																																															BgL_proc1z00_1811
																																																																																=
																																																																																BgL_proc1z00_19816;
																																																																															BgL_testz00_1810
																																																																																=
																																																																																BgL_testz00_19815;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1814;
																																																																														}
																																																																														BgL_auxz00_14766
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_19814);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19822;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19822);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_19826;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19826);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_19830;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_19830);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_19834;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_14766
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_19834);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1838;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_19838;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1839;
																																																																		BgL_auxz00_14766
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_19838);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd218479zd2_4704;
																																																														BgL_cdrzd218479zd2_4704
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd218486zd2_4705;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_pairz00_11364;
																																																																BgL_pairz00_11364
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_cdrzd218486zd2_4705
																																																																	=
																																																																	CDR
																																																																	(BgL_pairz00_11364);
																																																															}
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd218493zd2_4706;
																																																																BgL_cdrzd218493zd2_4706
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd218486zd2_4705));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd218499zd2_4707;
																																																																	obj_t
																																																																		BgL_cdrzd218500zd2_4708;
																																																																	BgL_carzd218499zd2_4707
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd218493zd2_4706));
																																																																	BgL_cdrzd218500zd2_4708
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd218493zd2_4706));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218499zd2_4707))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (PAIRP(BgL_cdrzd218500zd2_4708))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd218507zd2_4711;
																																																																					BgL_carzd218507zd2_4711
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd218500zd2_4708);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218507zd2_4711))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (NULLP(CDR(BgL_cdrzd218500zd2_4708)))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd218479zd2_4704))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg4074z00_4716;
																																																																											BgL_arg4074z00_4716
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd218486zd2_4705));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_19865;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_19869;
																																																																													obj_t
																																																																														BgL_proc2z00_19868;
																																																																													obj_t
																																																																														BgL_proc1z00_19867;
																																																																													obj_t
																																																																														BgL_testz00_19866;
																																																																													BgL_testz00_19866
																																																																														=
																																																																														BgL_arg4074z00_4716;
																																																																													BgL_proc1z00_19867
																																																																														=
																																																																														BgL_carzd218499zd2_4707;
																																																																													BgL_proc2z00_19868
																																																																														=
																																																																														BgL_carzd218507zd2_4711;
																																																																													BgL_argsz00_19869
																																																																														=
																																																																														BgL_cdrzd218479zd2_4704;
																																																																													BgL_argsz00_1813
																																																																														=
																																																																														BgL_argsz00_19869;
																																																																													BgL_proc2z00_1812
																																																																														=
																																																																														BgL_proc2z00_19868;
																																																																													BgL_proc1z00_1811
																																																																														=
																																																																														BgL_proc1z00_19867;
																																																																													BgL_testz00_1810
																																																																														=
																																																																														BgL_testz00_19866;
																																																																													goto
																																																																														BgL_tagzd2388zd2_1814;
																																																																												}
																																																																												BgL_auxz00_14766
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_19865);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_19873;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19873);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_19877;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_19877);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_19881;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_14766
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_19881);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_19885;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_14766
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_19885);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1838;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_19889;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1839;
																																																																					BgL_auxz00_14766
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_19889);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2403zd2_1838;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_19893;
																																																													goto
																																																														BgL_tagzd2404zd2_1839;
																																																													BgL_auxz00_14766
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_19893);
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd218900zd2_4730;
																																														BgL_cdrzd218900zd2_4730
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															bool_t
																																																BgL_test8397z00_19897;
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg4102z00_4747;
																																																BgL_arg4102z00_4747
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_test8397z00_19897
																																																	=
																																																	CBOOL
																																																	(BGl_letzd2symzf3z21zzast_letz00
																																																	(BgL_arg4102z00_4747));
																																															}
																																															if (BgL_test8397z00_19897)
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg4090z00_4733;
																																																	obj_t
																																																		BgL_arg4091z00_4734;
																																																	BgL_arg4090z00_4733
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd218900zd2_4730));
																																																	BgL_arg4091z00_4734
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd218900zd2_4730));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_19906;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_19908;
																																																			obj_t
																																																				BgL_bindingsz00_19907;
																																																			BgL_bindingsz00_19907
																																																				=
																																																				BgL_arg4090z00_4733;
																																																			BgL_exprz00_19908
																																																				=
																																																				BgL_arg4091z00_4734;
																																																			BgL_exprz00_1793
																																																				=
																																																				BgL_exprz00_19908;
																																																			BgL_bindingsz00_1792
																																																				=
																																																				BgL_bindingsz00_19907;
																																																			goto
																																																				BgL_tagzd2382zd2_1794;
																																																		}
																																																		BgL_auxz00_14766
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_19906);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test8398z00_19910;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg4101z00_4746;
																																																		BgL_arg4101z00_4746
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test8398z00_19910
																																																			=
																																																			CBOOL
																																																			(BGl_labelszd2symzf3z21zzast_labelsz00
																																																			(BgL_arg4101z00_4746));
																																																	}
																																																	if (BgL_test8398z00_19910)
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_19915;
																																																			goto
																																																				BgL_tagzd2384zd2_1796;
																																																			BgL_auxz00_14766
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_19915);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_carzd218966zd2_4737;
																																																			BgL_carzd218966zd2_4737
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd218971zd2_4738;
																																																				BgL_cdrzd218971zd2_4738
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd218966zd2_4737));
																																																				if ((CAR(((obj_t) BgL_carzd218966zd2_4737)) == CNST_TABLE_REF(((long) 3))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg4096z00_4741;
																																																						obj_t
																																																							BgL_arg4097z00_4742;
																																																						obj_t
																																																							BgL_arg4098z00_4743;
																																																						BgL_arg4096z00_4741
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd218971zd2_4738));
																																																						BgL_arg4097z00_4742
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd218971zd2_4738));
																																																						BgL_arg4098z00_4743
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_19932;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_19935;
																																																								obj_t
																																																									BgL_bodyz00_19934;
																																																								obj_t
																																																									BgL_varsz00_19933;
																																																								BgL_varsz00_19933
																																																									=
																																																									BgL_arg4096z00_4741;
																																																								BgL_bodyz00_19934
																																																									=
																																																									BgL_arg4097z00_4742;
																																																								BgL_argsz00_19935
																																																									=
																																																									BgL_arg4098z00_4743;
																																																								BgL_argsz00_1803
																																																									=
																																																									BgL_argsz00_19935;
																																																								BgL_bodyz00_1802
																																																									=
																																																									BgL_bodyz00_19934;
																																																								BgL_varsz00_1801
																																																									=
																																																									BgL_varsz00_19933;
																																																								goto
																																																									BgL_tagzd2386zd2_1804;
																																																							}
																																																							BgL_auxz00_14766
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_19932);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_tagzd2403zd2_1838;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_19939;
																																																								goto
																																																									BgL_tagzd2404zd2_1839;
																																																								BgL_auxz00_14766
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_19939);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd219082zd2_4748;
																																												BgL_cdrzd219082zd2_4748
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{	/* Ast/sexp.scm 119 */
																																													bool_t
																																														BgL_test8401z00_19943;
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_arg4111z00_4757;
																																														BgL_arg4111z00_4757
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														BgL_test8401z00_19943
																																															=
																																															CBOOL
																																															(BGl_letzd2symzf3z21zzast_letz00
																																															(BgL_arg4111z00_4757));
																																													}
																																													if (BgL_test8401z00_19943)
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg4105z00_4751;
																																															obj_t
																																																BgL_arg4106z00_4752;
																																															BgL_arg4105z00_4751
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd219082zd2_4748));
																																															BgL_arg4106z00_4752
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd219082zd2_4748));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_19952;
																																																{
																																																	obj_t
																																																		BgL_exprz00_19954;
																																																	obj_t
																																																		BgL_bindingsz00_19953;
																																																	BgL_bindingsz00_19953
																																																		=
																																																		BgL_arg4105z00_4751;
																																																	BgL_exprz00_19954
																																																		=
																																																		BgL_arg4106z00_4752;
																																																	BgL_exprz00_1793
																																																		=
																																																		BgL_exprz00_19954;
																																																	BgL_bindingsz00_1792
																																																		=
																																																		BgL_bindingsz00_19953;
																																																	goto
																																																		BgL_tagzd2382zd2_1794;
																																																}
																																																BgL_auxz00_14766
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_19952);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															bool_t
																																																BgL_test8402z00_19956;
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg4110z00_4756;
																																																BgL_arg4110z00_4756
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_test8402z00_19956
																																																	=
																																																	CBOOL
																																																	(BGl_labelszd2symzf3z21zzast_labelsz00
																																																	(BgL_arg4110z00_4756));
																																															}
																																															if (BgL_test8402z00_19956)
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_19961;
																																																	goto
																																																		BgL_tagzd2384zd2_1796;
																																																	BgL_auxz00_14766
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_19961);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 119 */
																																																			goto
																																																				BgL_tagzd2403zd2_1838;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_19965;
																																																			goto
																																																				BgL_tagzd2404zd2_1839;
																																																			BgL_auxz00_14766
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_19965);
																																																		}
																																																}
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd217647zd2_4427)))
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_kapzd217649zd2_4429;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if ((BgL_carzd217647zd2_4427 == CNST_TABLE_REF(((long) 18))))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_kapzd217649zd2_4429;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if ((BgL_carzd217647zd2_4427 == CNST_TABLE_REF(((long) 19))))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd217649zd2_4429;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd217647zd2_4427)))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd217649zd2_4429;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd219254zd2_4435;
																																																		BgL_cdrzd219254zd2_4435
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test8408z00_19981;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg4011z00_4609;
																																																				BgL_arg4011z00_4609
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test8408z00_19981
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg4011z00_4609));
																																																			}
																																																			if (BgL_test8408z00_19981)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg3895z00_4438;
																																																					obj_t
																																																						BgL_arg3896z00_4439;
																																																					BgL_arg3895z00_4438
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd219254zd2_4435));
																																																					BgL_arg3896z00_4439
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd219254zd2_4435));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_19990;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_19992;
																																																							obj_t
																																																								BgL_bindingsz00_19991;
																																																							BgL_bindingsz00_19991
																																																								=
																																																								BgL_arg3895z00_4438;
																																																							BgL_exprz00_19992
																																																								=
																																																								BgL_arg3896z00_4439;
																																																							BgL_exprz00_1793
																																																								=
																																																								BgL_exprz00_19992;
																																																							BgL_bindingsz00_1792
																																																								=
																																																								BgL_bindingsz00_19991;
																																																							goto
																																																								BgL_tagzd2382zd2_1794;
																																																						}
																																																						BgL_auxz00_14766
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_19990);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8409z00_19994;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg4010z00_4608;
																																																						BgL_arg4010z00_4608
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8409z00_19994
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg4010z00_4608));
																																																					}
																																																					if (BgL_test8409z00_19994)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_19999;
																																																							goto
																																																								BgL_tagzd2384zd2_1796;
																																																							BgL_auxz00_14766
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_19999);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd219307zd2_4442;
																																																							obj_t
																																																								BgL_cdrzd219308zd2_4443;
																																																							BgL_carzd219307zd2_4442
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_cdrzd219308zd2_4443
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd219312zd2_4444;
																																																								BgL_cdrzd219312zd2_4444
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd219307zd2_4442));
																																																								if ((CAR(((obj_t) BgL_carzd219307zd2_4442)) == CNST_TABLE_REF(((long) 3))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (PAIRP(BgL_cdrzd219312zd2_4444))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_carzd219315zd2_4448;
																																																												obj_t
																																																													BgL_cdrzd219316zd2_4449;
																																																												BgL_carzd219315zd2_4448
																																																													=
																																																													CAR
																																																													(BgL_cdrzd219312zd2_4444);
																																																												BgL_cdrzd219316zd2_4449
																																																													=
																																																													CDR
																																																													(BgL_cdrzd219312zd2_4444);
																																																												if (PAIRP(BgL_carzd219315zd2_4448))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (NULLP(CDR(BgL_carzd219315zd2_4448)))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd219316zd2_4449))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd219322zd2_4454;
																																																																		BgL_carzd219322zd2_4454
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd219316zd2_4449);
																																																																		if (PAIRP(BgL_carzd219322zd2_4454))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd219322zd2_4454))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd219316zd2_4449)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd219329zd2_4459;
																																																																								BgL_carzd219329zd2_4459
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd219308zd2_4443));
																																																																								if (PAIRP(BgL_carzd219329zd2_4459))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd219354zd2_4461;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_11403;
																																																																											BgL_pairz00_11403
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd219354zd2_4461
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_11403);
																																																																										}
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg3911z00_4462;
																																																																											obj_t
																																																																												BgL_arg3912z00_4463;
																																																																											obj_t
																																																																												BgL_arg3913z00_4464;
																																																																											BgL_arg3911z00_4462
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd219354zd2_4461));
																																																																											BgL_arg3912z00_4463
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd219354zd2_4461));
																																																																											BgL_arg3913z00_4464
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_20044;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_20047;
																																																																													obj_t
																																																																														BgL_bodyz00_20046;
																																																																													obj_t
																																																																														BgL_varsz00_20045;
																																																																													BgL_varsz00_20045
																																																																														=
																																																																														BgL_arg3911z00_4462;
																																																																													BgL_bodyz00_20046
																																																																														=
																																																																														BgL_arg3912z00_4463;
																																																																													BgL_argsz00_20047
																																																																														=
																																																																														BgL_arg3913z00_4464;
																																																																													BgL_argsz00_1803
																																																																														=
																																																																														BgL_argsz00_20047;
																																																																													BgL_bodyz00_1802
																																																																														=
																																																																														BgL_bodyz00_20046;
																																																																													BgL_varsz00_1801
																																																																														=
																																																																														BgL_varsz00_20045;
																																																																													goto
																																																																														BgL_tagzd2386zd2_1804;
																																																																												}
																																																																												BgL_auxz00_14766
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_20044);
																																																																											}
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(((obj_t) BgL_cdrzd219308zd2_4443))))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg3917z00_4468;
																																																																												BgL_arg3917z00_4468
																																																																													=
																																																																													CAR
																																																																													(BgL_carzd219315zd2_4448);
																																																																												{
																																																																													BgL_castz00_bglt
																																																																														BgL_auxz00_20054;
																																																																													BgL_varz00_1797
																																																																														=
																																																																														BgL_arg3917z00_4468;
																																																																													BgL_bodyz00_1798
																																																																														=
																																																																														BgL_carzd219322zd2_4454;
																																																																													BgL_argz00_1799
																																																																														=
																																																																														BgL_carzd219329zd2_4459;
																																																																												BgL_tagzd2385zd2_1800:
																																																																													{	/* Ast/sexp.scm 378 */
																																																																														BgL_castz00_bglt
																																																																															BgL_new1140z00_8807;
																																																																														{	/* Ast/sexp.scm 379 */
																																																																															BgL_castz00_bglt
																																																																																BgL_new1139z00_8809;
																																																																															BgL_new1139z00_8809
																																																																																=
																																																																																(
																																																																																(BgL_castz00_bglt)
																																																																																BOBJECT
																																																																																(GC_MALLOC
																																																																																	(sizeof
																																																																																		(struct
																																																																																			BgL_castz00_bgl))));
																																																																															{	/* Ast/sexp.scm 379 */
																																																																																long
																																																																																	BgL_arg6929z00_8810;
																																																																																BgL_arg6929z00_8810
																																																																																	=
																																																																																	BGL_CLASS_NUM
																																																																																	(BGl_castz00zzast_nodez00);
																																																																																BGL_OBJECT_CLASS_NUM_SET
																																																																																	(
																																																																																	((BgL_objectz00_bglt) BgL_new1139z00_8809), BgL_arg6929z00_8810);
																																																																															}
																																																																															{	/* Ast/sexp.scm 379 */
																																																																																BgL_objectz00_bglt
																																																																																	BgL_tmpz00_20059;
																																																																																BgL_tmpz00_20059
																																																																																	=
																																																																																	(
																																																																																	(BgL_objectz00_bglt)
																																																																																	BgL_new1139z00_8809);
																																																																																BGL_OBJECT_WIDENING_SET
																																																																																	(BgL_tmpz00_20059,
																																																																																	BFALSE);
																																																																															}
																																																																															((BgL_objectz00_bglt) BgL_new1139z00_8809);
																																																																															BgL_new1140z00_8807
																																																																																=
																																																																																BgL_new1139z00_8809;
																																																																														}
																																																																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1140z00_8807)))->BgL_locz00) = ((obj_t) BgL_locz00_23), BUNSPEC);
																																																																														{
																																																																															BgL_typez00_bglt
																																																																																BgL_auxz00_20065;
																																																																															{	/* Ast/sexp.scm 380 */
																																																																																obj_t
																																																																																	BgL_arg6928z00_8808;
																																																																																BgL_arg6928z00_8808
																																																																																	=
																																																																																	BGl_castzd2sexpzd2typez00zzast_privatez00
																																																																																	(BgL_bodyz00_1798);
																																																																																BgL_auxz00_20065
																																																																																	=
																																																																																	BGl_usezd2typez12zc0zztype_envz00
																																																																																	(BgL_arg6928z00_8808,
																																																																																	BgL_locz00_23);
																																																																															}
																																																																															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1140z00_8807)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_20065), BUNSPEC);
																																																																														}
																																																																														((((BgL_castz00_bglt) COBJECT(BgL_new1140z00_8807))->BgL_argz00) = ((BgL_nodez00_bglt) BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_argz00_1799, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24)), BUNSPEC);
																																																																														BgL_auxz00_20054
																																																																															=
																																																																															BgL_new1140z00_8807;
																																																																													}
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20054);
																																																																											}}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd219382zd2_4469;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_11410;
																																																																													BgL_pairz00_11410
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd219382zd2_4469
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_11410);
																																																																												}
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg3918z00_4470;
																																																																													obj_t
																																																																														BgL_arg3919z00_4471;
																																																																													obj_t
																																																																														BgL_arg3920z00_4472;
																																																																													BgL_arg3918z00_4470
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd219382zd2_4469));
																																																																													BgL_arg3919z00_4471
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd219382zd2_4469));
																																																																													BgL_arg3920z00_4472
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_20082;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_20085;
																																																																															obj_t
																																																																																BgL_bodyz00_20084;
																																																																															obj_t
																																																																																BgL_varsz00_20083;
																																																																															BgL_varsz00_20083
																																																																																=
																																																																																BgL_arg3918z00_4470;
																																																																															BgL_bodyz00_20084
																																																																																=
																																																																																BgL_arg3919z00_4471;
																																																																															BgL_argsz00_20085
																																																																																=
																																																																																BgL_arg3920z00_4472;
																																																																															BgL_argsz00_1803
																																																																																=
																																																																																BgL_argsz00_20085;
																																																																															BgL_bodyz00_1802
																																																																																=
																																																																																BgL_bodyz00_20084;
																																																																															BgL_varsz00_1801
																																																																																=
																																																																																BgL_varsz00_20083;
																																																																															goto
																																																																																BgL_tagzd2386zd2_1804;
																																																																														}
																																																																														BgL_auxz00_14766
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_20082);
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd219408zd2_4475;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_11415;
																																																																									BgL_pairz00_11415
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd219408zd2_4475
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_11415);
																																																																								}
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg3923z00_4476;
																																																																									obj_t
																																																																										BgL_arg3924z00_4477;
																																																																									obj_t
																																																																										BgL_arg3925z00_4478;
																																																																									BgL_arg3923z00_4476
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd219408zd2_4475));
																																																																									BgL_arg3924z00_4477
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd219408zd2_4475));
																																																																									BgL_arg3925z00_4478
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_20096;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_20099;
																																																																											obj_t
																																																																												BgL_bodyz00_20098;
																																																																											obj_t
																																																																												BgL_varsz00_20097;
																																																																											BgL_varsz00_20097
																																																																												=
																																																																												BgL_arg3923z00_4476;
																																																																											BgL_bodyz00_20098
																																																																												=
																																																																												BgL_arg3924z00_4477;
																																																																											BgL_argsz00_20099
																																																																												=
																																																																												BgL_arg3925z00_4478;
																																																																											BgL_argsz00_1803
																																																																												=
																																																																												BgL_argsz00_20099;
																																																																											BgL_bodyz00_1802
																																																																												=
																																																																												BgL_bodyz00_20098;
																																																																											BgL_varsz00_1801
																																																																												=
																																																																												BgL_varsz00_20097;
																																																																											goto
																																																																												BgL_tagzd2386zd2_1804;
																																																																										}
																																																																										BgL_auxz00_14766
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_20096);
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd219434zd2_4481;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_11420;
																																																																							BgL_pairz00_11420
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd219434zd2_4481
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_11420);
																																																																						}
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_arg3928z00_4482;
																																																																							obj_t
																																																																								BgL_arg3929z00_4483;
																																																																							obj_t
																																																																								BgL_arg3930z00_4484;
																																																																							BgL_arg3928z00_4482
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd219434zd2_4481));
																																																																							BgL_arg3929z00_4483
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd219434zd2_4481));
																																																																							BgL_arg3930z00_4484
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_20110;
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_20113;
																																																																									obj_t
																																																																										BgL_bodyz00_20112;
																																																																									obj_t
																																																																										BgL_varsz00_20111;
																																																																									BgL_varsz00_20111
																																																																										=
																																																																										BgL_arg3928z00_4482;
																																																																									BgL_bodyz00_20112
																																																																										=
																																																																										BgL_arg3929z00_4483;
																																																																									BgL_argsz00_20113
																																																																										=
																																																																										BgL_arg3930z00_4484;
																																																																									BgL_argsz00_1803
																																																																										=
																																																																										BgL_argsz00_20113;
																																																																									BgL_bodyz00_1802
																																																																										=
																																																																										BgL_bodyz00_20112;
																																																																									BgL_varsz00_1801
																																																																										=
																																																																										BgL_varsz00_20111;
																																																																									goto
																																																																										BgL_tagzd2386zd2_1804;
																																																																								}
																																																																								BgL_auxz00_14766
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_20110);
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd219460zd2_4486;
																																																																				BgL_cdrzd219460zd2_4486
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_carzd219307zd2_4442));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg3932z00_4487;
																																																																					obj_t
																																																																						BgL_arg3933z00_4488;
																																																																					obj_t
																																																																						BgL_arg3934z00_4489;
																																																																					BgL_arg3932z00_4487
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd219460zd2_4486));
																																																																					BgL_arg3933z00_4488
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd219460zd2_4486));
																																																																					BgL_arg3934z00_4489
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20123;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_20126;
																																																																							obj_t
																																																																								BgL_bodyz00_20125;
																																																																							obj_t
																																																																								BgL_varsz00_20124;
																																																																							BgL_varsz00_20124
																																																																								=
																																																																								BgL_arg3932z00_4487;
																																																																							BgL_bodyz00_20125
																																																																								=
																																																																								BgL_arg3933z00_4488;
																																																																							BgL_argsz00_20126
																																																																								=
																																																																								BgL_arg3934z00_4489;
																																																																							BgL_argsz00_1803
																																																																								=
																																																																								BgL_argsz00_20126;
																																																																							BgL_bodyz00_1802
																																																																								=
																																																																								BgL_bodyz00_20125;
																																																																							BgL_varsz00_1801
																																																																								=
																																																																								BgL_varsz00_20124;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1804;
																																																																						}
																																																																						BgL_auxz00_14766
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20123);
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd219486zd2_4491;
																																																																		BgL_cdrzd219486zd2_4491
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd219307zd2_4442));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg3936z00_4492;
																																																																			obj_t
																																																																				BgL_arg3937z00_4493;
																																																																			obj_t
																																																																				BgL_arg3938z00_4494;
																																																																			BgL_arg3936z00_4492
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd219486zd2_4491));
																																																																			BgL_arg3937z00_4493
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd219486zd2_4491));
																																																																			BgL_arg3938z00_4494
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_20136;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_20139;
																																																																					obj_t
																																																																						BgL_bodyz00_20138;
																																																																					obj_t
																																																																						BgL_varsz00_20137;
																																																																					BgL_varsz00_20137
																																																																						=
																																																																						BgL_arg3936z00_4492;
																																																																					BgL_bodyz00_20138
																																																																						=
																																																																						BgL_arg3937z00_4493;
																																																																					BgL_argsz00_20139
																																																																						=
																																																																						BgL_arg3938z00_4494;
																																																																					BgL_argsz00_1803
																																																																						=
																																																																						BgL_argsz00_20139;
																																																																					BgL_bodyz00_1802
																																																																						=
																																																																						BgL_bodyz00_20138;
																																																																					BgL_varsz00_1801
																																																																						=
																																																																						BgL_varsz00_20137;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1804;
																																																																				}
																																																																				BgL_auxz00_14766
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_20136);
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd219512zd2_4496;
																																																																BgL_cdrzd219512zd2_4496
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd219307zd2_4442));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg3940z00_4497;
																																																																	obj_t
																																																																		BgL_arg3941z00_4498;
																																																																	obj_t
																																																																		BgL_arg3942z00_4499;
																																																																	BgL_arg3940z00_4497
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd219512zd2_4496));
																																																																	BgL_arg3941z00_4498
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd219512zd2_4496));
																																																																	BgL_arg3942z00_4499
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_20149;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_20152;
																																																																			obj_t
																																																																				BgL_bodyz00_20151;
																																																																			obj_t
																																																																				BgL_varsz00_20150;
																																																																			BgL_varsz00_20150
																																																																				=
																																																																				BgL_arg3940z00_4497;
																																																																			BgL_bodyz00_20151
																																																																				=
																																																																				BgL_arg3941z00_4498;
																																																																			BgL_argsz00_20152
																																																																				=
																																																																				BgL_arg3942z00_4499;
																																																																			BgL_argsz00_1803
																																																																				=
																																																																				BgL_argsz00_20152;
																																																																			BgL_bodyz00_1802
																																																																				=
																																																																				BgL_bodyz00_20151;
																																																																			BgL_varsz00_1801
																																																																				=
																																																																				BgL_varsz00_20150;
																																																																			goto
																																																																				BgL_tagzd2386zd2_1804;
																																																																		}
																																																																		BgL_auxz00_14766
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_20149);
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd219538zd2_4502;
																																																														BgL_cdrzd219538zd2_4502
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd219307zd2_4442));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg3945z00_4503;
																																																															obj_t
																																																																BgL_arg3946z00_4504;
																																																															obj_t
																																																																BgL_arg3947z00_4505;
																																																															BgL_arg3945z00_4503
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd219538zd2_4502));
																																																															BgL_arg3946z00_4504
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd219538zd2_4502));
																																																															BgL_arg3947z00_4505
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_20162;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_20165;
																																																																	obj_t
																																																																		BgL_bodyz00_20164;
																																																																	obj_t
																																																																		BgL_varsz00_20163;
																																																																	BgL_varsz00_20163
																																																																		=
																																																																		BgL_arg3945z00_4503;
																																																																	BgL_bodyz00_20164
																																																																		=
																																																																		BgL_arg3946z00_4504;
																																																																	BgL_argsz00_20165
																																																																		=
																																																																		BgL_arg3947z00_4505;
																																																																	BgL_argsz00_1803
																																																																		=
																																																																		BgL_argsz00_20165;
																																																																	BgL_bodyz00_1802
																																																																		=
																																																																		BgL_bodyz00_20164;
																																																																	BgL_varsz00_1801
																																																																		=
																																																																		BgL_varsz00_20163;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1804;
																																																																}
																																																																BgL_auxz00_14766
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_20162);
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2403zd2_1838;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_20169;
																																																														goto
																																																															BgL_tagzd2404zd2_1839;
																																																														BgL_auxz00_14766
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_20169);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd219676zd2_4510;
																																																										BgL_cdrzd219676zd2_4510
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd219307zd2_4442));
																																																										if ((CAR(((obj_t) BgL_carzd219307zd2_4442)) == CNST_TABLE_REF(((long) 1))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd219676zd2_4510))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd219681zd2_4514;
																																																														BgL_cdrzd219681zd2_4514
																																																															=
																																																															CDR
																																																															(BgL_cdrzd219676zd2_4510);
																																																														if (PAIRP(BgL_cdrzd219681zd2_4514))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd219685zd2_4516;
																																																																obj_t
																																																																	BgL_cdrzd219686zd2_4517;
																																																																BgL_carzd219685zd2_4516
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd219681zd2_4514);
																																																																BgL_cdrzd219686zd2_4517
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd219681zd2_4514);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219685zd2_4516))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd219686zd2_4517))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd219691zd2_4520;
																																																																				BgL_carzd219691zd2_4520
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd219686zd2_4517);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219691zd2_4520))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd219686zd2_4517)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test8428z00_20195;
																																																																								{
																																																																									obj_t
																																																																										BgL_l1403z00_4553;
																																																																									BgL_l1403z00_4553
																																																																										=
																																																																										BgL_cdrzd219308zd2_4443;
																																																																								BgL_zc3z04anonymousza33974ze3z87_4554:
																																																																									if (NULLP(BgL_l1403z00_4553))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test8428z00_20195
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test8430z00_20198;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test8431z00_20199;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_tmpz00_20200;
																																																																													BgL_tmpz00_20200
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_l1403z00_4553));
																																																																													BgL_test8431z00_20199
																																																																														=
																																																																														PAIRP
																																																																														(BgL_tmpz00_20200);
																																																																												}
																																																																												if (BgL_test8431z00_20199)
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test8430z00_20198
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test8430z00_20198
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																											}
																																																																											if (BgL_test8430z00_20198)
																																																																												{
																																																																													obj_t
																																																																														BgL_l1403z00_20204;
																																																																													BgL_l1403z00_20204
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_l1403z00_4553));
																																																																													BgL_l1403z00_4553
																																																																														=
																																																																														BgL_l1403z00_20204;
																																																																													goto
																																																																														BgL_zc3z04anonymousza33974ze3z87_4554;
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test8428z00_20195
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																								if (BgL_test8428z00_20195)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg3964z00_4536;
																																																																										BgL_arg3964z00_4536
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd219676zd2_4510);
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_20208;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_20212;
																																																																												obj_t
																																																																													BgL_proc2z00_20211;
																																																																												obj_t
																																																																													BgL_proc1z00_20210;
																																																																												obj_t
																																																																													BgL_testz00_20209;
																																																																												BgL_testz00_20209
																																																																													=
																																																																													BgL_arg3964z00_4536;
																																																																												BgL_proc1z00_20210
																																																																													=
																																																																													BgL_carzd219685zd2_4516;
																																																																												BgL_proc2z00_20211
																																																																													=
																																																																													BgL_carzd219691zd2_4520;
																																																																												BgL_argsz00_20212
																																																																													=
																																																																													BgL_cdrzd219308zd2_4443;
																																																																												BgL_argsz00_1808
																																																																													=
																																																																													BgL_argsz00_20212;
																																																																												BgL_proc2z00_1807
																																																																													=
																																																																													BgL_proc2z00_20211;
																																																																												BgL_proc1z00_1806
																																																																													=
																																																																													BgL_proc1z00_20210;
																																																																												BgL_testz00_1805
																																																																													=
																																																																													BgL_testz00_20209;
																																																																												goto
																																																																													BgL_tagzd2387zd2_1809;
																																																																											}
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20208);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd219716zd2_4537;
																																																																										BgL_cdrzd219716zd2_4537
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd219724zd2_4538;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_11458;
																																																																												BgL_pairz00_11458
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd219724zd2_4538
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_11458);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd219732zd2_4539;
																																																																												BgL_cdrzd219732zd2_4539
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd219724zd2_4538));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd219739zd2_4540;
																																																																													BgL_carzd219739zd2_4540
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd219732zd2_4539));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219739zd2_4540))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd219748zd2_4542;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_11462;
																																																																																BgL_pairz00_11462
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd219732zd2_4539));
																																																																																BgL_carzd219748zd2_4542
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_pairz00_11462);
																																																																															}
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219748zd2_4542))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd219716zd2_4537))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg3968z00_4545;
																																																																																			BgL_arg3968z00_4545
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd219724zd2_4538));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_20234;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_20238;
																																																																																					obj_t
																																																																																						BgL_proc2z00_20237;
																																																																																					obj_t
																																																																																						BgL_proc1z00_20236;
																																																																																					obj_t
																																																																																						BgL_testz00_20235;
																																																																																					BgL_testz00_20235
																																																																																						=
																																																																																						BgL_arg3968z00_4545;
																																																																																					BgL_proc1z00_20236
																																																																																						=
																																																																																						BgL_carzd219739zd2_4540;
																																																																																					BgL_proc2z00_20237
																																																																																						=
																																																																																						BgL_carzd219748zd2_4542;
																																																																																					BgL_argsz00_20238
																																																																																						=
																																																																																						BgL_cdrzd219716zd2_4537;
																																																																																					BgL_argsz00_1813
																																																																																						=
																																																																																						BgL_argsz00_20238;
																																																																																					BgL_proc2z00_1812
																																																																																						=
																																																																																						BgL_proc2z00_20237;
																																																																																					BgL_proc1z00_1811
																																																																																						=
																																																																																						BgL_proc1z00_20236;
																																																																																					BgL_testz00_1810
																																																																																						=
																																																																																						BgL_testz00_20235;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1814;
																																																																																				}
																																																																																				BgL_auxz00_14766
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_20234);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1838;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_20242;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1839;
																																																																																					BgL_auxz00_14766
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_20242);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20246;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_14766
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20246);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20250;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20250);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_20254;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_14766
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_20254);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd220026zd2_4564;
																																																																						BgL_cdrzd220026zd2_4564
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd220033zd2_4565;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_11466;
																																																																								BgL_pairz00_11466
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd220033zd2_4565
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_11466);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd220040zd2_4566;
																																																																								BgL_cdrzd220040zd2_4566
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd220033zd2_4565));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd220046zd2_4567;
																																																																									obj_t
																																																																										BgL_cdrzd220047zd2_4568;
																																																																									BgL_carzd220046zd2_4567
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd220040zd2_4566));
																																																																									BgL_cdrzd220047zd2_4568
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd220040zd2_4566));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220046zd2_4567))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd220054zd2_4570;
																																																																											BgL_carzd220054zd2_4570
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd220047zd2_4568));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220054zd2_4570))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(((obj_t) BgL_cdrzd220047zd2_4568))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd220026zd2_4564))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg3983z00_4575;
																																																																																	BgL_arg3983z00_4575
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd220033zd2_4565));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_20281;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_20285;
																																																																																			obj_t
																																																																																				BgL_proc2z00_20284;
																																																																																			obj_t
																																																																																				BgL_proc1z00_20283;
																																																																																			obj_t
																																																																																				BgL_testz00_20282;
																																																																																			BgL_testz00_20282
																																																																																				=
																																																																																				BgL_arg3983z00_4575;
																																																																																			BgL_proc1z00_20283
																																																																																				=
																																																																																				BgL_carzd220046zd2_4567;
																																																																																			BgL_proc2z00_20284
																																																																																				=
																																																																																				BgL_carzd220054zd2_4570;
																																																																																			BgL_argsz00_20285
																																																																																				=
																																																																																				BgL_cdrzd220026zd2_4564;
																																																																																			BgL_argsz00_1813
																																																																																				=
																																																																																				BgL_argsz00_20285;
																																																																																			BgL_proc2z00_1812
																																																																																				=
																																																																																				BgL_proc2z00_20284;
																																																																																			BgL_proc1z00_1811
																																																																																				=
																																																																																				BgL_proc1z00_20283;
																																																																																			BgL_testz00_1810
																																																																																				=
																																																																																				BgL_testz00_20282;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1814;
																																																																																		}
																																																																																		BgL_auxz00_14766
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_20281);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20289;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_14766
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20289);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20293;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20293);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20297;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20297);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20301;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20301);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20305;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_14766
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20305);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd220387zd2_4583;
																																																																		BgL_cdrzd220387zd2_4583
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd220393zd2_4584;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_11475;
																																																																				BgL_pairz00_11475
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd220393zd2_4584
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_11475);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd220399zd2_4585;
																																																																				BgL_cdrzd220399zd2_4585
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd220393zd2_4584));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd220404zd2_4586;
																																																																					obj_t
																																																																						BgL_cdrzd220405zd2_4587;
																																																																					BgL_carzd220404zd2_4586
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd220399zd2_4585));
																																																																					BgL_cdrzd220405zd2_4587
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd220399zd2_4585));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220404zd2_4586))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd220405zd2_4587))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd220410zd2_4590;
																																																																									BgL_carzd220410zd2_4590
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd220405zd2_4587);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220410zd2_4590))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd220405zd2_4587)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd220387zd2_4583))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg3997z00_4595;
																																																																															BgL_arg3997z00_4595
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd220393zd2_4584));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_20332;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_20336;
																																																																																	obj_t
																																																																																		BgL_proc2z00_20335;
																																																																																	obj_t
																																																																																		BgL_proc1z00_20334;
																																																																																	obj_t
																																																																																		BgL_testz00_20333;
																																																																																	BgL_testz00_20333
																																																																																		=
																																																																																		BgL_arg3997z00_4595;
																																																																																	BgL_proc1z00_20334
																																																																																		=
																																																																																		BgL_carzd220404zd2_4586;
																																																																																	BgL_proc2z00_20335
																																																																																		=
																																																																																		BgL_carzd220410zd2_4590;
																																																																																	BgL_argsz00_20336
																																																																																		=
																																																																																		BgL_cdrzd220387zd2_4583;
																																																																																	BgL_argsz00_1813
																																																																																		=
																																																																																		BgL_argsz00_20336;
																																																																																	BgL_proc2z00_1812
																																																																																		=
																																																																																		BgL_proc2z00_20335;
																																																																																	BgL_proc1z00_1811
																																																																																		=
																																																																																		BgL_proc1z00_20334;
																																																																																	BgL_testz00_1810
																																																																																		=
																																																																																		BgL_testz00_20333;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1814;
																																																																																}
																																																																																BgL_auxz00_14766
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_20332);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20340;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20340);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20344;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20344);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20348;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20348);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_20352;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20352);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_20356;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_14766
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_20356);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1838;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_20360;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1839;
																																																																		BgL_auxz00_14766
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_20360);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1838;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_20364;
																																																																goto
																																																																	BgL_tagzd2404zd2_1839;
																																																																BgL_auxz00_14766
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_20364);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2403zd2_1838;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_20368;
																																																														goto
																																																															BgL_tagzd2404zd2_1839;
																																																														BgL_auxz00_14766
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_20368);
																																																													}
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_cdrzd220948zd2_4759;
																																							BgL_cdrzd220948zd2_4759
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if ((BgL_carzd217644zd2_4425 == CNST_TABLE_REF(((long) 17))))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_arg4113z00_4761;
																																									obj_t
																																										BgL_arg4114z00_4762;
																																									BgL_arg4113z00_4761
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd220948zd2_4759));
																																									BgL_arg4114z00_4762
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd220948zd2_4759));
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_20379;
																																										{
																																											obj_t
																																												BgL_exprz00_20381;
																																											obj_t
																																												BgL_bindingsz00_20380;
																																											BgL_bindingsz00_20380
																																												=
																																												BgL_arg4113z00_4761;
																																											BgL_exprz00_20381
																																												=
																																												BgL_arg4114z00_4762;
																																											BgL_exprz00_1793
																																												=
																																												BgL_exprz00_20381;
																																											BgL_bindingsz00_1792
																																												=
																																												BgL_bindingsz00_20380;
																																											goto
																																												BgL_tagzd2382zd2_1794;
																																										}
																																										BgL_auxz00_14766
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_20379);
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd217644zd2_4425)))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg4116z00_4764;
																																											obj_t
																																												BgL_arg4117z00_4765;
																																											BgL_arg4116z00_4764
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd220948zd2_4759));
																																											BgL_arg4117z00_4765
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd220948zd2_4759));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_20390;
																																												{
																																													obj_t
																																														BgL_exprz00_20392;
																																													obj_t
																																														BgL_bindingsz00_20391;
																																													BgL_bindingsz00_20391
																																														=
																																														BgL_arg4116z00_4764;
																																													BgL_exprz00_20392
																																														=
																																														BgL_arg4117z00_4765;
																																													BgL_exprz00_1793
																																														=
																																														BgL_exprz00_20392;
																																													BgL_bindingsz00_1792
																																														=
																																														BgL_bindingsz00_20391;
																																													goto
																																														BgL_tagzd2382zd2_1794;
																																												}
																																												BgL_auxz00_14766
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_20390);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((BgL_carzd217644zd2_4425 == CNST_TABLE_REF(((long) 18))))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg4119z00_4767;
																																													obj_t
																																														BgL_arg4120z00_4768;
																																													BgL_arg4119z00_4767
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd220948zd2_4759));
																																													BgL_arg4120z00_4768
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd220948zd2_4759));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_20401;
																																														{
																																															obj_t
																																																BgL_exprz00_20403;
																																															obj_t
																																																BgL_bindingsz00_20402;
																																															BgL_bindingsz00_20402
																																																=
																																																BgL_arg4119z00_4767;
																																															BgL_exprz00_20403
																																																=
																																																BgL_arg4120z00_4768;
																																															BgL_exprz00_1793
																																																=
																																																BgL_exprz00_20403;
																																															BgL_bindingsz00_1792
																																																=
																																																BgL_bindingsz00_20402;
																																															goto
																																																BgL_tagzd2382zd2_1794;
																																														}
																																														BgL_auxz00_14766
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_20401);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_20410;
																																															goto
																																																BgL_tagzd2383zd2_1795;
																																															BgL_auxz00_14766
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_20410);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_carzd220985zd2_4771;
																																															BgL_carzd220985zd2_4771
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if ((BgL_carzd220985zd2_4771 == CNST_TABLE_REF(((long) 19))))
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_20417;
																																																	goto
																																																		BgL_tagzd2384zd2_1796;
																																																	BgL_auxz00_14766
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_20417);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd220985zd2_4771)))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_20422;
																																																			goto
																																																				BgL_tagzd2384zd2_1796;
																																																			BgL_auxz00_14766
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_20422);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_20429;
																																																					goto
																																																						BgL_tagzd2389zd2_1815;
																																																					BgL_auxz00_14766
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_20429);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_20436;
																																																							goto
																																																								BgL_tagzd2390zd2_1816;
																																																							BgL_auxz00_14766
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_20436);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd221065zd2_4778;
																																																							BgL_cdrzd221065zd2_4778
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg4131z00_4781;
																																																									obj_t
																																																										BgL_arg4132z00_4782;
																																																									BgL_arg4131z00_4781
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd221065zd2_4778));
																																																									BgL_arg4132z00_4782
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd221065zd2_4778));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_20449;
																																																										{
																																																											obj_t
																																																												BgL_restz00_20451;
																																																											obj_t
																																																												BgL_effectz00_20450;
																																																											BgL_effectz00_20450
																																																												=
																																																												BgL_arg4131z00_4781;
																																																											BgL_restz00_20451
																																																												=
																																																												BgL_arg4132z00_4782;
																																																											BgL_restz00_1818
																																																												=
																																																												BgL_restz00_20451;
																																																											BgL_effectz00_1817
																																																												=
																																																												BgL_effectz00_20450;
																																																											goto
																																																												BgL_tagzd2391zd2_1819;
																																																										}
																																																										BgL_auxz00_14766
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_20449);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_20458;
																																																											goto
																																																												BgL_tagzd2392zd2_1820;
																																																											BgL_auxz00_14766
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_20458);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_20465;
																																																													goto
																																																														BgL_tagzd2393zd2_1821;
																																																													BgL_auxz00_14766
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_20465);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg4139z00_4790;
																																																															obj_t
																																																																BgL_arg4140z00_4791;
																																																															BgL_arg4139z00_4790
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd221065zd2_4778));
																																																															BgL_arg4140z00_4791
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd221065zd2_4778));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_20476;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_20478;
																																																																	obj_t
																																																																		BgL_effectz00_20477;
																																																																	BgL_effectz00_20477
																																																																		=
																																																																		BgL_arg4139z00_4790;
																																																																	BgL_restz00_20478
																																																																		=
																																																																		BgL_arg4140z00_4791;
																																																																	BgL_restz00_1823
																																																																		=
																																																																		BgL_restz00_20478;
																																																																	BgL_effectz00_1822
																																																																		=
																																																																		BgL_effectz00_20477;
																																																																	goto
																																																																		BgL_tagzd2394zd2_1824;
																																																																}
																																																																BgL_auxz00_14766
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_20476);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_20485;
																																																																	goto
																																																																		BgL_tagzd2395zd2_1825;
																																																																	BgL_auxz00_14766
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_20485);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_20492;
																																																																			goto
																																																																				BgL_tagzd2396zd2_1826;
																																																																			BgL_auxz00_14766
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_20492);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																				{
																																																																					BgL_letzd2funzd2_bglt
																																																																						BgL_auxz00_20499;
																																																																					goto
																																																																						BgL_tagzd2397zd2_1827;
																																																																					BgL_auxz00_14766
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_20499);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																						{
																																																																							BgL_jumpzd2exzd2itz00_bglt
																																																																								BgL_auxz00_20506;
																																																																							goto
																																																																								BgL_tagzd2398zd2_1828;
																																																																							BgL_auxz00_14766
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_20506);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd221142zd2_4800;
																																																																							BgL_cdrzd221142zd2_4800
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg4151z00_4803;
																																																																									obj_t
																																																																										BgL_arg4152z00_4804;
																																																																									BgL_arg4151z00_4803
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd221142zd2_4800));
																																																																									BgL_arg4152z00_4804
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd221142zd2_4800));
																																																																									{	/* Ast/sexp.scm 555 */
																																																																										obj_t
																																																																											BgL_arg7079z00_11512;
																																																																										BgL_arg7079z00_11512
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_expz00_21,
																																																																											BgL_locz00_23);
																																																																										BgL_auxz00_14766
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																											(BgL_expz00_21,
																																																																												BgL_arg4151z00_4803,
																																																																												CNST_TABLE_REF
																																																																												(((long) 4)), BgL_arg4152z00_4804, BgL_stackz00_22, BgL_arg7079z00_11512, BgL_sitez00_24));
																																																																								}}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_20525;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20525);
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 119 */
																											obj_t
																												BgL_carzd221167zd2_4820;
																											BgL_carzd221167zd2_4820 =
																												CAR(((obj_t)
																													BgL_expz00_21));
																											if (
																												(BgL_carzd221167zd2_4820
																													==
																													CNST_TABLE_REF(((long)
																															1))))
																												{
																													BgL_nodez00_bglt
																														BgL_auxz00_20532;
																													goto
																														BgL_tagzd2377zd2_1783;
																													BgL_auxz00_14766 =
																														((obj_t)
																														BgL_auxz00_20532);
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													if (
																														(BgL_carzd221167zd2_4820
																															==
																															BGl_za2ifza2z00zzast_sexpz00))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_20536;
																															goto
																																BgL_tagzd2377zd2_1783;
																															BgL_auxz00_14766 =
																																((obj_t)
																																BgL_auxz00_20536);
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	CNST_TABLE_REF
																																	(((long) 7))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_20543;
																																	goto
																																		BgL_tagzd2379zd2_1787;
																																	BgL_auxz00_14766
																																		=
																																		((obj_t)
																																		BgL_auxz00_20543);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(CAR(
																																				((obj_t)
																																					BgL_expz00_21))
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					16))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_20550;
																																			goto
																																				BgL_tagzd2380zd2_1788;
																																			BgL_auxz00_14766
																																				=
																																				((obj_t)
																																				BgL_auxz00_20550);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd221236zd2_4827;
																																			BgL_carzd221236zd2_4827
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (PAIRP
																																				(BgL_carzd221236zd2_4827))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd221239zd2_4829;
																																					obj_t
																																						BgL_cdrzd221240zd2_4830;
																																					BgL_carzd221239zd2_4829
																																						=
																																						CAR
																																						(BgL_carzd221236zd2_4827);
																																					BgL_cdrzd221240zd2_4830
																																						=
																																						CDR
																																						(BgL_carzd221236zd2_4827);
																																					{

																																						if (
																																							(BgL_carzd221239zd2_4829
																																								==
																																								CNST_TABLE_REF
																																								(((long) 17))))
																																							{	/* Ast/sexp.scm 119 */
																																							BgL_kapzd221241zd2_4831:
																																								if (PAIRP(BgL_cdrzd221240zd2_4830))
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_cdrzd221244zd2_4950;
																																										BgL_cdrzd221244zd2_4950
																																											=
																																											CDR
																																											(BgL_cdrzd221240zd2_4830);
																																										if (PAIRP(BgL_cdrzd221244zd2_4950))
																																											{	/* Ast/sexp.scm 119 */
																																												if (NULLP(CDR(BgL_cdrzd221244zd2_4950)))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_arg4254z00_4954;
																																														obj_t
																																															BgL_arg4255z00_4955;
																																														BgL_arg4254z00_4954
																																															=
																																															CAR
																																															(BgL_cdrzd221244zd2_4950);
																																														BgL_arg4255z00_4955
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_20572;
																																															{
																																																obj_t
																																																	BgL_argsz00_20574;
																																																obj_t
																																																	BgL_bodyz00_20573;
																																																BgL_bodyz00_20573
																																																	=
																																																	BgL_arg4254z00_4954;
																																																BgL_argsz00_20574
																																																	=
																																																	BgL_arg4255z00_4955;
																																																BgL_argsz00_1790
																																																	=
																																																	BgL_argsz00_20574;
																																																BgL_bodyz00_1789
																																																	=
																																																	BgL_bodyz00_20573;
																																																goto
																																																	BgL_tagzd2381zd2_1791;
																																															}
																																															BgL_auxz00_14766
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_20572);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test8488z00_20576;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg4319z00_5061;
																																															BgL_arg4319z00_5061
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test8488z00_20576
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg4319z00_5061));
																																														}
																																														if (BgL_test8488z00_20576)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_20581;
																																																goto
																																																	BgL_tagzd2384zd2_1796;
																																																BgL_auxz00_14766
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_20581);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_carzd221322zd2_4958;
																																																BgL_carzd221322zd2_4958
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd221327zd2_4959;
																																																	BgL_cdrzd221327zd2_4959
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd221322zd2_4958));
																																																	if ((CAR(((obj_t) BgL_carzd221322zd2_4958)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg4260z00_4962;
																																																			obj_t
																																																				BgL_arg4261z00_4963;
																																																			obj_t
																																																				BgL_arg4262z00_4964;
																																																			BgL_arg4260z00_4962
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd221327zd2_4959));
																																																			BgL_arg4261z00_4963
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd221327zd2_4959));
																																																			BgL_arg4262z00_4964
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_20598;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_20601;
																																																					obj_t
																																																						BgL_bodyz00_20600;
																																																					obj_t
																																																						BgL_varsz00_20599;
																																																					BgL_varsz00_20599
																																																						=
																																																						BgL_arg4260z00_4962;
																																																					BgL_bodyz00_20600
																																																						=
																																																						BgL_arg4261z00_4963;
																																																					BgL_argsz00_20601
																																																						=
																																																						BgL_arg4262z00_4964;
																																																					BgL_argsz00_1803
																																																						=
																																																						BgL_argsz00_20601;
																																																					BgL_bodyz00_1802
																																																						=
																																																						BgL_bodyz00_20600;
																																																					BgL_varsz00_1801
																																																						=
																																																						BgL_varsz00_20599;
																																																					goto
																																																						BgL_tagzd2386zd2_1804;
																																																				}
																																																				BgL_auxz00_14766
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_20598);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd221350zd2_4966;
																																																			BgL_cdrzd221350zd2_4966
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd221356zd2_4967;
																																																				BgL_cdrzd221356zd2_4967
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd221322zd2_4958));
																																																				if ((CAR(((obj_t) BgL_carzd221322zd2_4958)) == CNST_TABLE_REF(((long) 1))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd221362zd2_4970;
																																																						BgL_cdrzd221362zd2_4970
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd221356zd2_4967));
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd221367zd2_4971;
																																																							obj_t
																																																								BgL_cdrzd221368zd2_4972;
																																																							BgL_carzd221367zd2_4971
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd221362zd2_4970));
																																																							BgL_cdrzd221368zd2_4972
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd221362zd2_4970));
																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221367zd2_4971))
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (PAIRP(BgL_cdrzd221368zd2_4972))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd221375zd2_4975;
																																																											BgL_carzd221375zd2_4975
																																																												=
																																																												CAR
																																																												(BgL_cdrzd221368zd2_4972);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221375zd2_4975))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (NULLP(CDR(BgL_cdrzd221368zd2_4972)))
																																																														{	/* Ast/sexp.scm 119 */
																																																															bool_t
																																																																BgL_test8495z00_20628;
																																																															{
																																																																obj_t
																																																																	BgL_l1406z00_5008;
																																																																BgL_l1406z00_5008
																																																																	=
																																																																	BgL_cdrzd221350zd2_4966;
																																																															BgL_zc3z04anonymousza34285ze3z87_5009:
																																																																if (NULLP(BgL_l1406z00_5008))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		BgL_test8495z00_20628
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			1);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		bool_t
																																																																			BgL_test8497z00_20631;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			bool_t
																																																																				BgL_test8498z00_20632;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_tmpz00_20633;
																																																																				BgL_tmpz00_20633
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_l1406z00_5008));
																																																																				BgL_test8498z00_20632
																																																																					=
																																																																					PAIRP
																																																																					(BgL_tmpz00_20633);
																																																																			}
																																																																			if (BgL_test8498z00_20632)
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					BgL_test8497z00_20631
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					BgL_test8497z00_20631
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						1);
																																																																				}
																																																																		}
																																																																		if (BgL_test8497z00_20631)
																																																																			{
																																																																				obj_t
																																																																					BgL_l1406z00_20637;
																																																																				BgL_l1406z00_20637
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_l1406z00_5008));
																																																																				BgL_l1406z00_5008
																																																																					=
																																																																					BgL_l1406z00_20637;
																																																																				goto
																																																																					BgL_zc3z04anonymousza34285ze3z87_5009;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				BgL_test8495z00_20628
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					0);
																																																																			}
																																																																	}
																																																															}
																																																															if (BgL_test8495z00_20628)
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg4275z00_4991;
																																																																	BgL_arg4275z00_4991
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd221356zd2_4967));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_20642;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_20646;
																																																																			obj_t
																																																																				BgL_proc2z00_20645;
																																																																			obj_t
																																																																				BgL_proc1z00_20644;
																																																																			obj_t
																																																																				BgL_testz00_20643;
																																																																			BgL_testz00_20643
																																																																				=
																																																																				BgL_arg4275z00_4991;
																																																																			BgL_proc1z00_20644
																																																																				=
																																																																				BgL_carzd221367zd2_4971;
																																																																			BgL_proc2z00_20645
																																																																				=
																																																																				BgL_carzd221375zd2_4975;
																																																																			BgL_argsz00_20646
																																																																				=
																																																																				BgL_cdrzd221350zd2_4966;
																																																																			BgL_argsz00_1808
																																																																				=
																																																																				BgL_argsz00_20646;
																																																																			BgL_proc2z00_1807
																																																																				=
																																																																				BgL_proc2z00_20645;
																																																																			BgL_proc1z00_1806
																																																																				=
																																																																				BgL_proc1z00_20644;
																																																																			BgL_testz00_1805
																																																																				=
																																																																				BgL_testz00_20643;
																																																																			goto
																																																																				BgL_tagzd2387zd2_1809;
																																																																		}
																																																																		BgL_auxz00_14766
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_20642);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd221399zd2_4992;
																																																																	BgL_cdrzd221399zd2_4992
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd221406zd2_4993;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_pairz00_11544;
																																																																			BgL_pairz00_11544
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd221406zd2_4993
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_11544);
																																																																		}
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd221413zd2_4994;
																																																																			BgL_cdrzd221413zd2_4994
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd221406zd2_4993));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd221419zd2_4995;
																																																																				BgL_carzd221419zd2_4995
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd221413zd2_4994));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221419zd2_4995))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd221426zd2_4997;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_11548;
																																																																							BgL_pairz00_11548
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd221413zd2_4994));
																																																																							BgL_carzd221426zd2_4997
																																																																								=
																																																																								CAR
																																																																								(BgL_pairz00_11548);
																																																																						}
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221426zd2_4997))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd221399zd2_4992))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg4279z00_5000;
																																																																										BgL_arg4279z00_5000
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd221406zd2_4993));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_20668;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_20672;
																																																																												obj_t
																																																																													BgL_proc2z00_20671;
																																																																												obj_t
																																																																													BgL_proc1z00_20670;
																																																																												obj_t
																																																																													BgL_testz00_20669;
																																																																												BgL_testz00_20669
																																																																													=
																																																																													BgL_arg4279z00_5000;
																																																																												BgL_proc1z00_20670
																																																																													=
																																																																													BgL_carzd221419zd2_4995;
																																																																												BgL_proc2z00_20671
																																																																													=
																																																																													BgL_carzd221426zd2_4997;
																																																																												BgL_argsz00_20672
																																																																													=
																																																																													BgL_cdrzd221399zd2_4992;
																																																																												BgL_argsz00_1813
																																																																													=
																																																																													BgL_argsz00_20672;
																																																																												BgL_proc2z00_1812
																																																																													=
																																																																													BgL_proc2z00_20671;
																																																																												BgL_proc1z00_1811
																																																																													=
																																																																													BgL_proc1z00_20670;
																																																																												BgL_testz00_1810
																																																																													=
																																																																													BgL_testz00_20669;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1814;
																																																																											}
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20668);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_20676;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																												BgL_auxz00_14766
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_20676);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_20680;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_14766
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_20680);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_20684;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_14766
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_20684);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1838;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_20688;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1839;
																																																																	BgL_auxz00_14766
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_20688);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd221702zd2_5019;
																																																													BgL_cdrzd221702zd2_5019
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd221708zd2_5020;
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_pairz00_11552;
																																																															BgL_pairz00_11552
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_cdrzd221708zd2_5020
																																																																=
																																																																CDR
																																																																(BgL_pairz00_11552);
																																																														}
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd221714zd2_5021;
																																																															BgL_cdrzd221714zd2_5021
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd221708zd2_5020));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd221719zd2_5022;
																																																																obj_t
																																																																	BgL_cdrzd221720zd2_5023;
																																																																BgL_carzd221719zd2_5022
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd221714zd2_5021));
																																																																BgL_cdrzd221720zd2_5023
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd221714zd2_5021));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221719zd2_5022))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd221725zd2_5025;
																																																																		BgL_carzd221725zd2_5025
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd221720zd2_5023));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221725zd2_5025))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd221720zd2_5023))))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd221702zd2_5019))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg4294z00_5030;
																																																																								BgL_arg4294z00_5030
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd221708zd2_5020));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_20715;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_20719;
																																																																										obj_t
																																																																											BgL_proc2z00_20718;
																																																																										obj_t
																																																																											BgL_proc1z00_20717;
																																																																										obj_t
																																																																											BgL_testz00_20716;
																																																																										BgL_testz00_20716
																																																																											=
																																																																											BgL_arg4294z00_5030;
																																																																										BgL_proc1z00_20717
																																																																											=
																																																																											BgL_carzd221719zd2_5022;
																																																																										BgL_proc2z00_20718
																																																																											=
																																																																											BgL_carzd221725zd2_5025;
																																																																										BgL_argsz00_20719
																																																																											=
																																																																											BgL_cdrzd221702zd2_5019;
																																																																										BgL_argsz00_1813
																																																																											=
																																																																											BgL_argsz00_20719;
																																																																										BgL_proc2z00_1812
																																																																											=
																																																																											BgL_proc2z00_20718;
																																																																										BgL_proc1z00_1811
																																																																											=
																																																																											BgL_proc1z00_20717;
																																																																										BgL_testz00_1810
																																																																											=
																																																																											BgL_testz00_20716;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1814;
																																																																									}
																																																																									BgL_auxz00_14766
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_20715);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_20723;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_14766
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_20723);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_20727;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_14766
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_20727);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20731;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_14766
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20731);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1838;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_20735;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1839;
																																																																				BgL_auxz00_14766
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_20735);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2403zd2_1838;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_20739;
																																																													goto
																																																														BgL_tagzd2404zd2_1839;
																																																													BgL_auxz00_14766
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_20739);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd222058zd2_5038;
																																																									BgL_cdrzd222058zd2_5038
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd222065zd2_5039;
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_pairz00_11561;
																																																											BgL_pairz00_11561
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_cdrzd222065zd2_5039
																																																												=
																																																												CDR
																																																												(BgL_pairz00_11561);
																																																										}
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd222072zd2_5040;
																																																											BgL_cdrzd222072zd2_5040
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd222065zd2_5039));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_carzd222078zd2_5041;
																																																												obj_t
																																																													BgL_cdrzd222079zd2_5042;
																																																												BgL_carzd222078zd2_5041
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd222072zd2_5040));
																																																												BgL_cdrzd222079zd2_5042
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd222072zd2_5040));
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222078zd2_5041))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd222079zd2_5042))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd222086zd2_5045;
																																																																BgL_carzd222086zd2_5045
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd222079zd2_5042);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222086zd2_5045))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(BgL_cdrzd222079zd2_5042)))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd222058zd2_5038))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg4308z00_5050;
																																																																						BgL_arg4308z00_5050
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd222065zd2_5039));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_20766;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_20770;
																																																																								obj_t
																																																																									BgL_proc2z00_20769;
																																																																								obj_t
																																																																									BgL_proc1z00_20768;
																																																																								obj_t
																																																																									BgL_testz00_20767;
																																																																								BgL_testz00_20767
																																																																									=
																																																																									BgL_arg4308z00_5050;
																																																																								BgL_proc1z00_20768
																																																																									=
																																																																									BgL_carzd222078zd2_5041;
																																																																								BgL_proc2z00_20769
																																																																									=
																																																																									BgL_carzd222086zd2_5045;
																																																																								BgL_argsz00_20770
																																																																									=
																																																																									BgL_cdrzd222058zd2_5038;
																																																																								BgL_argsz00_1813
																																																																									=
																																																																									BgL_argsz00_20770;
																																																																								BgL_proc2z00_1812
																																																																									=
																																																																									BgL_proc2z00_20769;
																																																																								BgL_proc1z00_1811
																																																																									=
																																																																									BgL_proc1z00_20768;
																																																																								BgL_testz00_1810
																																																																									=
																																																																									BgL_testz00_20767;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1814;
																																																																							}
																																																																							BgL_auxz00_14766
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_20766);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_20774;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_14766
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_20774);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20778;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_14766
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20778);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1838;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_20782;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1839;
																																																																				BgL_auxz00_14766
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_20782);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1838;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_20786;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1839;
																																																																		BgL_auxz00_14766
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_20786);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1838;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_20790;
																																																																goto
																																																																	BgL_tagzd2404zd2_1839;
																																																																BgL_auxz00_14766
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_20790);
																																																															}
																																																													}
																																																											}
																																																										}
																																																									}
																																																								}
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_tagzd2403zd2_1838;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_20794;
																																																								goto
																																																									BgL_tagzd2404zd2_1839;
																																																								BgL_auxz00_14766
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_20794);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test8526z00_20796;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg4330z00_5074;
																																													BgL_arg4330z00_5074
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test8526z00_20796
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg4330z00_5074));
																																												}
																																												if (BgL_test8526z00_20796)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_20801;
																																														goto
																																															BgL_tagzd2384zd2_1796;
																																														BgL_auxz00_14766
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_20801);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_carzd222532zd2_5065;
																																														BgL_carzd222532zd2_5065
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_cdrzd222537zd2_5066;
																																															BgL_cdrzd222537zd2_5066
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd222532zd2_5065));
																																															if ((CAR(((obj_t) BgL_carzd222532zd2_5065)) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg4325z00_5069;
																																																	obj_t
																																																		BgL_arg4326z00_5070;
																																																	obj_t
																																																		BgL_arg4327z00_5071;
																																																	BgL_arg4325z00_5069
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd222537zd2_5066));
																																																	BgL_arg4326z00_5070
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd222537zd2_5066));
																																																	BgL_arg4327z00_5071
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_20818;
																																																		{
																																																			obj_t
																																																				BgL_argsz00_20821;
																																																			obj_t
																																																				BgL_bodyz00_20820;
																																																			obj_t
																																																				BgL_varsz00_20819;
																																																			BgL_varsz00_20819
																																																				=
																																																				BgL_arg4325z00_5069;
																																																			BgL_bodyz00_20820
																																																				=
																																																				BgL_arg4326z00_5070;
																																																			BgL_argsz00_20821
																																																				=
																																																				BgL_arg4327z00_5071;
																																																			BgL_argsz00_1803
																																																				=
																																																				BgL_argsz00_20821;
																																																			BgL_bodyz00_1802
																																																				=
																																																				BgL_bodyz00_20820;
																																																			BgL_varsz00_1801
																																																				=
																																																				BgL_varsz00_20819;
																																																			goto
																																																				BgL_tagzd2386zd2_1804;
																																																		}
																																																		BgL_auxz00_14766
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_20818);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 119 */
																																																			goto
																																																				BgL_tagzd2403zd2_1838;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_20825;
																																																			goto
																																																				BgL_tagzd2404zd2_1839;
																																																			BgL_auxz00_14766
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_20825);
																																																		}
																																																}
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										bool_t
																																											BgL_test8529z00_20827;
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg4334z00_5078;
																																											BgL_arg4334z00_5078
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_test8529z00_20827
																																												=
																																												CBOOL
																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																												(BgL_arg4334z00_5078));
																																										}
																																										if (BgL_test8529z00_20827)
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_20832;
																																												goto
																																													BgL_tagzd2384zd2_1796;
																																												BgL_auxz00_14766
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_20832);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_tagzd2403zd2_1838;
																																													}
																																												else
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_20836;
																																														goto
																																															BgL_tagzd2404zd2_1839;
																																														BgL_auxz00_14766
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_20836);
																																													}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd221239zd2_4829)))
																																									{	/* Ast/sexp.scm 119 */
																																										goto
																																											BgL_kapzd221241zd2_4831;
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((BgL_carzd221239zd2_4829 == CNST_TABLE_REF(((long) 18))))
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_kapzd221241zd2_4831;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if ((BgL_carzd221239zd2_4829 == CNST_TABLE_REF(((long) 19))))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_kapzd221241zd2_4831;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd221239zd2_4829)))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd221241zd2_4831;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test8535z00_20850;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg4249z00_4948;
																																																	BgL_arg4249z00_4948
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test8535z00_20850
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg4249z00_4948));
																																																}
																																																if (BgL_test8535z00_20850)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_20855;
																																																		goto
																																																			BgL_tagzd2384zd2_1796;
																																																		BgL_auxz00_14766
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_20855);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd222860zd2_4839;
																																																		BgL_carzd222860zd2_4839
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd222865zd2_4840;
																																																			BgL_cdrzd222865zd2_4840
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd222860zd2_4839));
																																																			if ((CAR(((obj_t) BgL_carzd222860zd2_4839)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (PAIRP(BgL_cdrzd222865zd2_4840))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg4185z00_4844;
																																																							obj_t
																																																								BgL_arg4186z00_4845;
																																																							obj_t
																																																								BgL_arg4187z00_4846;
																																																							BgL_arg4185z00_4844
																																																								=
																																																								CAR
																																																								(BgL_cdrzd222865zd2_4840);
																																																							BgL_arg4186z00_4845
																																																								=
																																																								CDR
																																																								(BgL_cdrzd222865zd2_4840);
																																																							BgL_arg4187z00_4846
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_20872;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_20875;
																																																									obj_t
																																																										BgL_bodyz00_20874;
																																																									obj_t
																																																										BgL_varsz00_20873;
																																																									BgL_varsz00_20873
																																																										=
																																																										BgL_arg4185z00_4844;
																																																									BgL_bodyz00_20874
																																																										=
																																																										BgL_arg4186z00_4845;
																																																									BgL_argsz00_20875
																																																										=
																																																										BgL_arg4187z00_4846;
																																																									BgL_argsz00_1803
																																																										=
																																																										BgL_argsz00_20875;
																																																									BgL_bodyz00_1802
																																																										=
																																																										BgL_bodyz00_20874;
																																																									BgL_varsz00_1801
																																																										=
																																																										BgL_varsz00_20873;
																																																									goto
																																																										BgL_tagzd2386zd2_1804;
																																																								}
																																																								BgL_auxz00_14766
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_20872);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 119 */
																																																									goto
																																																										BgL_tagzd2403zd2_1838;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_20879;
																																																									goto
																																																										BgL_tagzd2404zd2_1839;
																																																									BgL_auxz00_14766
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_20879);
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd222972zd2_4849;
																																																					BgL_cdrzd222972zd2_4849
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd222977zd2_4850;
																																																						BgL_cdrzd222977zd2_4850
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd222860zd2_4839));
																																																						if ((CAR(((obj_t) BgL_carzd222860zd2_4839)) == CNST_TABLE_REF(((long) 1))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (PAIRP(BgL_cdrzd222977zd2_4850))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd222982zd2_4854;
																																																										BgL_cdrzd222982zd2_4854
																																																											=
																																																											CDR
																																																											(BgL_cdrzd222977zd2_4850);
																																																										if (PAIRP(BgL_cdrzd222982zd2_4854))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_carzd222986zd2_4856;
																																																												obj_t
																																																													BgL_cdrzd222987zd2_4857;
																																																												BgL_carzd222986zd2_4856
																																																													=
																																																													CAR
																																																													(BgL_cdrzd222982zd2_4854);
																																																												BgL_cdrzd222987zd2_4857
																																																													=
																																																													CDR
																																																													(BgL_cdrzd222982zd2_4854);
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222986zd2_4856))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd222987zd2_4857))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd222992zd2_4860;
																																																																BgL_carzd222992zd2_4860
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd222987zd2_4857);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222992zd2_4860))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(BgL_cdrzd222987zd2_4857)))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				bool_t
																																																																					BgL_test8546z00_20907;
																																																																				{
																																																																					obj_t
																																																																						BgL_l1409z00_4893;
																																																																					BgL_l1409z00_4893
																																																																						=
																																																																						BgL_cdrzd222972zd2_4849;
																																																																				BgL_zc3z04anonymousza34213ze3z87_4894:
																																																																					if (NULLP(BgL_l1409z00_4893))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test8546z00_20907
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							bool_t
																																																																								BgL_test8548z00_20910;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test8549z00_20911;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_tmpz00_20912;
																																																																									BgL_tmpz00_20912
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_l1409z00_4893));
																																																																									BgL_test8549z00_20911
																																																																										=
																																																																										PAIRP
																																																																										(BgL_tmpz00_20912);
																																																																								}
																																																																								if (BgL_test8549z00_20911)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test8548z00_20910
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test8548z00_20910
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																							}
																																																																							if (BgL_test8548z00_20910)
																																																																								{
																																																																									obj_t
																																																																										BgL_l1409z00_20916;
																																																																									BgL_l1409z00_20916
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_l1409z00_4893));
																																																																									BgL_l1409z00_4893
																																																																										=
																																																																										BgL_l1409z00_20916;
																																																																									goto
																																																																										BgL_zc3z04anonymousza34213ze3z87_4894;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test8546z00_20907
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																						}
																																																																				}
																																																																				if (BgL_test8546z00_20907)
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg4203z00_4876;
																																																																						BgL_arg4203z00_4876
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd222977zd2_4850);
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_20920;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_20924;
																																																																								obj_t
																																																																									BgL_proc2z00_20923;
																																																																								obj_t
																																																																									BgL_proc1z00_20922;
																																																																								obj_t
																																																																									BgL_testz00_20921;
																																																																								BgL_testz00_20921
																																																																									=
																																																																									BgL_arg4203z00_4876;
																																																																								BgL_proc1z00_20922
																																																																									=
																																																																									BgL_carzd222986zd2_4856;
																																																																								BgL_proc2z00_20923
																																																																									=
																																																																									BgL_carzd222992zd2_4860;
																																																																								BgL_argsz00_20924
																																																																									=
																																																																									BgL_cdrzd222972zd2_4849;
																																																																								BgL_argsz00_1808
																																																																									=
																																																																									BgL_argsz00_20924;
																																																																								BgL_proc2z00_1807
																																																																									=
																																																																									BgL_proc2z00_20923;
																																																																								BgL_proc1z00_1806
																																																																									=
																																																																									BgL_proc1z00_20922;
																																																																								BgL_testz00_1805
																																																																									=
																																																																									BgL_testz00_20921;
																																																																								goto
																																																																									BgL_tagzd2387zd2_1809;
																																																																							}
																																																																							BgL_auxz00_14766
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_20920);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd223017zd2_4877;
																																																																						BgL_cdrzd223017zd2_4877
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd223025zd2_4878;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_11597;
																																																																								BgL_pairz00_11597
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd223025zd2_4878
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_11597);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd223033zd2_4879;
																																																																								BgL_cdrzd223033zd2_4879
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd223025zd2_4878));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd223040zd2_4880;
																																																																									BgL_carzd223040zd2_4880
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd223033zd2_4879));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223040zd2_4880))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd223049zd2_4882;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_11601;
																																																																												BgL_pairz00_11601
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd223033zd2_4879));
																																																																												BgL_carzd223049zd2_4882
																																																																													=
																																																																													CAR
																																																																													(BgL_pairz00_11601);
																																																																											}
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223049zd2_4882))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd223017zd2_4877))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg4207z00_4885;
																																																																															BgL_arg4207z00_4885
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd223025zd2_4878));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_20946;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_20950;
																																																																																	obj_t
																																																																																		BgL_proc2z00_20949;
																																																																																	obj_t
																																																																																		BgL_proc1z00_20948;
																																																																																	obj_t
																																																																																		BgL_testz00_20947;
																																																																																	BgL_testz00_20947
																																																																																		=
																																																																																		BgL_arg4207z00_4885;
																																																																																	BgL_proc1z00_20948
																																																																																		=
																																																																																		BgL_carzd223040zd2_4880;
																																																																																	BgL_proc2z00_20949
																																																																																		=
																																																																																		BgL_carzd223049zd2_4882;
																																																																																	BgL_argsz00_20950
																																																																																		=
																																																																																		BgL_cdrzd223017zd2_4877;
																																																																																	BgL_argsz00_1813
																																																																																		=
																																																																																		BgL_argsz00_20950;
																																																																																	BgL_proc2z00_1812
																																																																																		=
																																																																																		BgL_proc2z00_20949;
																																																																																	BgL_proc1z00_1811
																																																																																		=
																																																																																		BgL_proc1z00_20948;
																																																																																	BgL_testz00_1810
																																																																																		=
																																																																																		BgL_testz00_20947;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1814;
																																																																																}
																																																																																BgL_auxz00_14766
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_20946);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20954;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_14766
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20954);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20958;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20958);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20962;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20962);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20966;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_14766
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20966);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd223327zd2_4904;
																																																																		BgL_cdrzd223327zd2_4904
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd223334zd2_4905;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_11605;
																																																																				BgL_pairz00_11605
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd223334zd2_4905
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_11605);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd223341zd2_4906;
																																																																				BgL_cdrzd223341zd2_4906
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd223334zd2_4905));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd223347zd2_4907;
																																																																					obj_t
																																																																						BgL_cdrzd223348zd2_4908;
																																																																					BgL_carzd223347zd2_4907
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd223341zd2_4906));
																																																																					BgL_cdrzd223348zd2_4908
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd223341zd2_4906));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223347zd2_4907))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd223355zd2_4910;
																																																																							BgL_carzd223355zd2_4910
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd223348zd2_4908));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223355zd2_4910))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(((obj_t) BgL_cdrzd223348zd2_4908))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd223327zd2_4904))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg4222z00_4915;
																																																																													BgL_arg4222z00_4915
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd223334zd2_4905));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_20993;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_20997;
																																																																															obj_t
																																																																																BgL_proc2z00_20996;
																																																																															obj_t
																																																																																BgL_proc1z00_20995;
																																																																															obj_t
																																																																																BgL_testz00_20994;
																																																																															BgL_testz00_20994
																																																																																=
																																																																																BgL_arg4222z00_4915;
																																																																															BgL_proc1z00_20995
																																																																																=
																																																																																BgL_carzd223347zd2_4907;
																																																																															BgL_proc2z00_20996
																																																																																=
																																																																																BgL_carzd223355zd2_4910;
																																																																															BgL_argsz00_20997
																																																																																=
																																																																																BgL_cdrzd223327zd2_4904;
																																																																															BgL_argsz00_1813
																																																																																=
																																																																																BgL_argsz00_20997;
																																																																															BgL_proc2z00_1812
																																																																																=
																																																																																BgL_proc2z00_20996;
																																																																															BgL_proc1z00_1811
																																																																																=
																																																																																BgL_proc1z00_20995;
																																																																															BgL_testz00_1810
																																																																																=
																																																																																BgL_testz00_20994;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1814;
																																																																														}
																																																																														BgL_auxz00_14766
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_20993);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21001;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_14766
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21001);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21005;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21005);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_21009;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21009);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_21013;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_14766
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_21013);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1838;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_21017;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1839;
																																																																		BgL_auxz00_14766
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_21017);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd223688zd2_4923;
																																																														BgL_cdrzd223688zd2_4923
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd223694zd2_4924;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_pairz00_11614;
																																																																BgL_pairz00_11614
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_cdrzd223694zd2_4924
																																																																	=
																																																																	CDR
																																																																	(BgL_pairz00_11614);
																																																															}
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd223700zd2_4925;
																																																																BgL_cdrzd223700zd2_4925
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd223694zd2_4924));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd223705zd2_4926;
																																																																	obj_t
																																																																		BgL_cdrzd223706zd2_4927;
																																																																	BgL_carzd223705zd2_4926
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd223700zd2_4925));
																																																																	BgL_cdrzd223706zd2_4927
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd223700zd2_4925));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223705zd2_4926))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (PAIRP(BgL_cdrzd223706zd2_4927))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd223711zd2_4930;
																																																																					BgL_carzd223711zd2_4930
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd223706zd2_4927);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223711zd2_4930))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (NULLP(CDR(BgL_cdrzd223706zd2_4927)))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd223688zd2_4923))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg4236z00_4935;
																																																																											BgL_arg4236z00_4935
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd223694zd2_4924));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_21044;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_21048;
																																																																													obj_t
																																																																														BgL_proc2z00_21047;
																																																																													obj_t
																																																																														BgL_proc1z00_21046;
																																																																													obj_t
																																																																														BgL_testz00_21045;
																																																																													BgL_testz00_21045
																																																																														=
																																																																														BgL_arg4236z00_4935;
																																																																													BgL_proc1z00_21046
																																																																														=
																																																																														BgL_carzd223705zd2_4926;
																																																																													BgL_proc2z00_21047
																																																																														=
																																																																														BgL_carzd223711zd2_4930;
																																																																													BgL_argsz00_21048
																																																																														=
																																																																														BgL_cdrzd223688zd2_4923;
																																																																													BgL_argsz00_1813
																																																																														=
																																																																														BgL_argsz00_21048;
																																																																													BgL_proc2z00_1812
																																																																														=
																																																																														BgL_proc2z00_21047;
																																																																													BgL_proc1z00_1811
																																																																														=
																																																																														BgL_proc1z00_21046;
																																																																													BgL_testz00_1810
																																																																														=
																																																																														BgL_testz00_21045;
																																																																													goto
																																																																														BgL_tagzd2388zd2_1814;
																																																																												}
																																																																												BgL_auxz00_14766
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_21044);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21052;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_14766
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21052);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_21056;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_14766
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21056);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_21060;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_14766
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_21060);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_21064;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_14766
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_21064);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1838;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_21068;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1839;
																																																																					BgL_auxz00_14766
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_21068);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2403zd2_1838;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_21072;
																																																														goto
																																																															BgL_tagzd2404zd2_1839;
																																																														BgL_auxz00_14766
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_21072);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2403zd2_1838;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_21076;
																																																												goto
																																																													BgL_tagzd2404zd2_1839;
																																																												BgL_auxz00_14766
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_21076);
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2403zd2_1838;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_21080;
																																																										goto
																																																											BgL_tagzd2404zd2_1839;
																																																										BgL_auxz00_14766
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_21080);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(BgL_carzd221236zd2_4827
																																							==
																																							CNST_TABLE_REF
																																							(((long) 20))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_21085;
																																							goto
																																								BgL_tagzd2383zd2_1795;
																																							BgL_auxz00_14766
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_21085);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd224273zd2_5081;
																																							BgL_carzd224273zd2_5081
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if ((BgL_carzd224273zd2_5081 == CNST_TABLE_REF(((long) 19))))
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_21092;
																																									goto
																																										BgL_tagzd2384zd2_1796;
																																									BgL_auxz00_14766
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_21092);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd224273zd2_5081)))
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_21097;
																																											goto
																																												BgL_tagzd2384zd2_1796;
																																											BgL_auxz00_14766
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_21097);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_21104;
																																													goto
																																														BgL_tagzd2389zd2_1815;
																																													BgL_auxz00_14766
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_21104);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_21111;
																																															goto
																																																BgL_tagzd2390zd2_1816;
																																															BgL_auxz00_14766
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_21111);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_21118;
																																																	goto
																																																		BgL_tagzd2392zd2_1820;
																																																	BgL_auxz00_14766
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_21118);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_21125;
																																																			goto
																																																				BgL_tagzd2393zd2_1821;
																																																			BgL_auxz00_14766
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_21125);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_21132;
																																																					goto
																																																						BgL_tagzd2395zd2_1825;
																																																					BgL_auxz00_14766
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_21132);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_21139;
																																																							goto
																																																								BgL_tagzd2396zd2_1826;
																																																							BgL_auxz00_14766
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_21139);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_21146;
																																																									goto
																																																										BgL_tagzd2397zd2_1827;
																																																									BgL_auxz00_14766
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_21146);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																										{
																																																											BgL_jumpzd2exzd2itz00_bglt
																																																												BgL_auxz00_21153;
																																																											goto
																																																												BgL_tagzd2398zd2_1828;
																																																											BgL_auxz00_14766
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_21153);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_21163;
																																																														BgL_tagzd2402zd2_1837:
																																																															{	/* Ast/sexp.scm 559 */
																																																																obj_t
																																																																	BgL_arg7080z00_9043;
																																																																BgL_arg7080z00_9043
																																																																	=
																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																	(BgL_expz00_21,
																																																																	BgL_locz00_23);
																																																																{	/* Ast/sexp.scm 558 */
																																																																	BgL_nodez00_bglt
																																																																		BgL_res7452z00_10452;
																																																																	{	/* Ast/sexp.scm 726 */
																																																																		obj_t
																																																																			BgL_arg7194z00_10448;
																																																																		BgL_nodez00_bglt
																																																																			BgL_arg7195z00_10449;
																																																																		BgL_arg7194z00_10448
																																																																			=
																																																																			BGl_shapez00zztools_shapez00
																																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																																			());
																																																																		BgL_arg7195z00_10449
																																																																			=
																																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																			(CNST_TABLE_REF
																																																																			(((long) 4)), BNIL, BgL_arg7080z00_9043, CNST_TABLE_REF(((long) 2)));
																																																																		{	/* Ast/sexp.scm 725 */
																																																																			obj_t
																																																																				BgL_list7196z00_10451;
																																																																			BgL_list7196z00_10451
																																																																				=
																																																																				MAKE_YOUNG_PAIR
																																																																				(
																																																																				((obj_t) BgL_arg7195z00_10449), BNIL);
																																																																			BgL_res7452z00_10452
																																																																				=
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																				(BgL_arg7080z00_9043,
																																																																					BgL_arg7194z00_10448,
																																																																					BGl_string7484z00zzast_sexpz00,
																																																																					BgL_expz00_21,
																																																																					BgL_list7196z00_10451));
																																																																	}}
																																																																	BgL_auxz00_21163
																																																																		=
																																																																		BgL_res7452z00_10452;
																																																															}}
																																																															BgL_auxz00_14766
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_21163);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1838;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_21177;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1839;
																																																																	BgL_auxz00_14766
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_21177);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2403zd2_1838;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_21181;
																																																															goto
																																																																BgL_tagzd2404zd2_1839;
																																																															BgL_auxz00_14766
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_21181);
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_14766);
																								}
																							else
																								{	/* Ast/sexp.scm 119 */
																									if (
																										(BgL_carzd2610zd2_1868 ==
																											BGl_za2ifza2z00zzast_sexpz00))
																										{
																											obj_t BgL_auxz00_21186;

																											goto
																												BgL_kapzd2612zd2_1870;
																											return ((BgL_nodez00_bglt)
																												BgL_auxz00_21186);
																										}
																									else
																										{	/* Ast/sexp.scm 119 */
																											bool_t
																												BgL_test8595z00_21188;
																											{	/* Ast/sexp.scm 119 */
																												obj_t
																													BgL_arg2286z00_2615;
																												BgL_arg2286z00_2615 =
																													CAR(BgL_expz00_21);
																												BgL_test8595z00_21188 =
																													(BgL_arg2286z00_2615
																													==
																													BGl_za2ifza2z00zzast_sexpz00);
																											}
																											if (BgL_test8595z00_21188)
																												{	/* Ast/sexp.scm 119 */
																													goto
																														BgL_tagzd2377zd2_1783;
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													obj_t
																														BgL_cdrzd224445zd2_1875;
																													BgL_cdrzd224445zd2_1875
																														=
																														CDR(BgL_expz00_21);
																													if ((CAR
																															(BgL_expz00_21) ==
																															CNST_TABLE_REF((
																																	(long) 7))))
																														{	/* Ast/sexp.scm 119 */
																															if (PAIRP
																																(BgL_cdrzd224445zd2_1875))
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_carzd224448zd2_1879;
																																	obj_t
																																		BgL_cdrzd224449zd2_1880;
																																	BgL_carzd224448zd2_1879
																																		=
																																		CAR
																																		(BgL_cdrzd224445zd2_1875);
																																	BgL_cdrzd224449zd2_1880
																																		=
																																		CDR
																																		(BgL_cdrzd224445zd2_1875);
																																	if (PAIRP
																																		(BgL_carzd224448zd2_1879))
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(CAR
																																					(BgL_carzd224448zd2_1879)
																																					==
																																					CNST_TABLE_REF
																																					(((long) 14))))
																																				{	/* Ast/sexp.scm 119 */
																																					if (PAIRP(BgL_cdrzd224449zd2_1880))
																																						{	/* Ast/sexp.scm 119 */
																																							if (NULLP(CDR(BgL_cdrzd224449zd2_1880)))
																																								{
																																									obj_t
																																										BgL_valz00_21213;
																																									obj_t
																																										BgL_lz00_21211;
																																									BgL_lz00_21211
																																										=
																																										CDR
																																										(BgL_carzd224448zd2_1879);
																																									BgL_valz00_21213
																																										=
																																										CAR
																																										(BgL_cdrzd224449zd2_1880);
																																									BgL_valz00_1785
																																										=
																																										BgL_valz00_21213;
																																									BgL_lz00_1784
																																										=
																																										BgL_lz00_21211;
																																									goto
																																										BgL_tagzd2378zd2_1786;
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									goto
																																										BgL_tagzd2379zd2_1787;
																																								}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							goto
																																								BgL_tagzd2379zd2_1787;
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					goto
																																						BgL_tagzd2379zd2_1787;
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			goto
																																				BgL_tagzd2379zd2_1787;
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	goto
																																		BgL_tagzd2379zd2_1787;
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(CAR
																																	(BgL_expz00_21)
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			16))))
																																{	/* Ast/sexp.scm 119 */
																																	goto
																																		BgL_tagzd2380zd2_1788;
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_carzd224574zd2_1893;
																																	BgL_carzd224574zd2_1893
																																		=
																																		CAR
																																		(BgL_expz00_21);
																																	if (PAIRP
																																		(BgL_carzd224574zd2_1893))
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd224577zd2_1895;
																																			obj_t
																																				BgL_cdrzd224578zd2_1896;
																																			BgL_carzd224577zd2_1895
																																				=
																																				CAR
																																				(BgL_carzd224574zd2_1893);
																																			BgL_cdrzd224578zd2_1896
																																				=
																																				CDR
																																				(BgL_carzd224574zd2_1893);
																																			{

																																				if (
																																					(BgL_carzd224577zd2_1895
																																						==
																																						CNST_TABLE_REF
																																						(((long) 17))))
																																					{
																																						obj_t
																																							BgL_auxz00_21227;
																																					BgL_kapzd224579zd2_1897:
																																						if (PAIRP(BgL_cdrzd224578zd2_1896))
																																							{	/* Ast/sexp.scm 119 */
																																								obj_t
																																									BgL_cdrzd224582zd2_2199;
																																								BgL_cdrzd224582zd2_2199
																																									=
																																									CDR
																																									(BgL_cdrzd224578zd2_1896);
																																								if (PAIRP(BgL_cdrzd224582zd2_2199))
																																									{	/* Ast/sexp.scm 119 */
																																										if (NULLP(CDR(BgL_cdrzd224582zd2_2199)))
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_arg1973z00_2203;
																																												obj_t
																																													BgL_arg1974z00_2204;
																																												BgL_arg1973z00_2203
																																													=
																																													CAR
																																													(BgL_cdrzd224582zd2_2199);
																																												BgL_arg1974z00_2204
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_21239;
																																													{
																																														obj_t
																																															BgL_argsz00_21241;
																																														obj_t
																																															BgL_bodyz00_21240;
																																														BgL_bodyz00_21240
																																															=
																																															BgL_arg1973z00_2203;
																																														BgL_argsz00_21241
																																															=
																																															BgL_arg1974z00_2204;
																																														BgL_argsz00_1790
																																															=
																																															BgL_argsz00_21241;
																																														BgL_bodyz00_1789
																																															=
																																															BgL_bodyz00_21240;
																																														goto
																																															BgL_tagzd2381zd2_1791;
																																													}
																																													BgL_auxz00_21227
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_21239);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd224605zd2_2205;
																																												BgL_cdrzd224605zd2_2205
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{

																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test8608z00_21245;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg2044z00_2315;
																																															BgL_arg2044z00_2315
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test8608z00_21245
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg2044z00_2315));
																																														}
																																														if (BgL_test8608z00_21245)
																																															{	/* Ast/sexp.scm 119 */
																																																if (PAIRP(BgL_cdrzd224605zd2_2205))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg2046z00_2317;
																																																		obj_t
																																																			BgL_arg2047z00_2318;
																																																		BgL_arg2046z00_2317
																																																			=
																																																			CAR
																																																			(BgL_cdrzd224605zd2_2205);
																																																		BgL_arg2047z00_2318
																																																			=
																																																			CDR
																																																			(BgL_cdrzd224605zd2_2205);
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_21254;
																																																			{
																																																				obj_t
																																																					BgL_exprz00_21256;
																																																				obj_t
																																																					BgL_bindingsz00_21255;
																																																				BgL_bindingsz00_21255
																																																					=
																																																					BgL_arg2046z00_2317;
																																																				BgL_exprz00_21256
																																																					=
																																																					BgL_arg2047z00_2318;
																																																				BgL_exprz00_1793
																																																					=
																																																					BgL_exprz00_21256;
																																																				BgL_bindingsz00_1792
																																																					=
																																																					BgL_bindingsz00_21255;
																																																				goto
																																																					BgL_tagzd2382zd2_1794;
																																																			}
																																																			BgL_auxz00_21227
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_21254);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		bool_t
																																																			BgL_test8610z00_21258;
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg2115z00_2424;
																																																			BgL_arg2115z00_2424
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_test8610z00_21258
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg2115z00_2424));
																																																		}
																																																		if (BgL_test8610z00_21258)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_21263;
																																																				goto
																																																					BgL_tagzd2384zd2_1796;
																																																				BgL_auxz00_21227
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_21263);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_carzd224669zd2_2321;
																																																				BgL_carzd224669zd2_2321
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd224674zd2_2322;
																																																					BgL_cdrzd224674zd2_2322
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd224669zd2_2321));
																																																					if ((CAR(((obj_t) BgL_carzd224669zd2_2321)) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg2053z00_2325;
																																																							obj_t
																																																								BgL_arg2054z00_2326;
																																																							obj_t
																																																								BgL_arg2055z00_2327;
																																																							BgL_arg2053z00_2325
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd224674zd2_2322));
																																																							BgL_arg2054z00_2326
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd224674zd2_2322));
																																																							BgL_arg2055z00_2327
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_21280;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_21283;
																																																									obj_t
																																																										BgL_bodyz00_21282;
																																																									obj_t
																																																										BgL_varsz00_21281;
																																																									BgL_varsz00_21281
																																																										=
																																																										BgL_arg2053z00_2325;
																																																									BgL_bodyz00_21282
																																																										=
																																																										BgL_arg2054z00_2326;
																																																									BgL_argsz00_21283
																																																										=
																																																										BgL_arg2055z00_2327;
																																																									BgL_argsz00_1803
																																																										=
																																																										BgL_argsz00_21283;
																																																									BgL_bodyz00_1802
																																																										=
																																																										BgL_bodyz00_21282;
																																																									BgL_varsz00_1801
																																																										=
																																																										BgL_varsz00_21281;
																																																									goto
																																																										BgL_tagzd2386zd2_1804;
																																																								}
																																																								BgL_auxz00_21227
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_21280);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd224697zd2_2329;
																																																							BgL_cdrzd224697zd2_2329
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd224703zd2_2330;
																																																								BgL_cdrzd224703zd2_2330
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd224669zd2_2321));
																																																								if ((CAR(((obj_t) BgL_carzd224669zd2_2321)) == CNST_TABLE_REF(((long) 1))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd224709zd2_2333;
																																																										BgL_cdrzd224709zd2_2333
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd224703zd2_2330));
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd224714zd2_2334;
																																																											obj_t
																																																												BgL_cdrzd224715zd2_2335;
																																																											BgL_carzd224714zd2_2334
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd224709zd2_2333));
																																																											BgL_cdrzd224715zd2_2335
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd224709zd2_2333));
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224714zd2_2334))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (PAIRP(BgL_cdrzd224715zd2_2335))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd224722zd2_2338;
																																																															BgL_carzd224722zd2_2338
																																																																=
																																																																CAR
																																																																(BgL_cdrzd224715zd2_2335);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224722zd2_2338))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (NULLP(CDR(BgL_cdrzd224715zd2_2335)))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			bool_t
																																																																				BgL_test8617z00_21310;
																																																																			{
																																																																				obj_t
																																																																					BgL_l1412z00_2371;
																																																																				BgL_l1412z00_2371
																																																																					=
																																																																					BgL_cdrzd224697zd2_2329;
																																																																			BgL_zc3z04anonymousza32078ze3z87_2372:
																																																																				if (NULLP(BgL_l1412z00_2371))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						BgL_test8617z00_21310
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							1);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test8619z00_21313;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							bool_t
																																																																								BgL_test8620z00_21314;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_tmpz00_21315;
																																																																								BgL_tmpz00_21315
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_l1412z00_2371));
																																																																								BgL_test8620z00_21314
																																																																									=
																																																																									PAIRP
																																																																									(BgL_tmpz00_21315);
																																																																							}
																																																																							if (BgL_test8620z00_21314)
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test8619z00_21313
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test8619z00_21313
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																						}
																																																																						if (BgL_test8619z00_21313)
																																																																							{
																																																																								obj_t
																																																																									BgL_l1412z00_21319;
																																																																								BgL_l1412z00_21319
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_l1412z00_2371));
																																																																								BgL_l1412z00_2371
																																																																									=
																																																																									BgL_l1412z00_21319;
																																																																								goto
																																																																									BgL_zc3z04anonymousza32078ze3z87_2372;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test8617z00_21310
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																					}
																																																																			}
																																																																			if (BgL_test8617z00_21310)
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg2068z00_2354;
																																																																					BgL_arg2068z00_2354
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd224703zd2_2330));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_21324;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_21328;
																																																																							obj_t
																																																																								BgL_proc2z00_21327;
																																																																							obj_t
																																																																								BgL_proc1z00_21326;
																																																																							obj_t
																																																																								BgL_testz00_21325;
																																																																							BgL_testz00_21325
																																																																								=
																																																																								BgL_arg2068z00_2354;
																																																																							BgL_proc1z00_21326
																																																																								=
																																																																								BgL_carzd224714zd2_2334;
																																																																							BgL_proc2z00_21327
																																																																								=
																																																																								BgL_carzd224722zd2_2338;
																																																																							BgL_argsz00_21328
																																																																								=
																																																																								BgL_cdrzd224697zd2_2329;
																																																																							BgL_argsz00_1808
																																																																								=
																																																																								BgL_argsz00_21328;
																																																																							BgL_proc2z00_1807
																																																																								=
																																																																								BgL_proc2z00_21327;
																																																																							BgL_proc1z00_1806
																																																																								=
																																																																								BgL_proc1z00_21326;
																																																																							BgL_testz00_1805
																																																																								=
																																																																								BgL_testz00_21325;
																																																																							goto
																																																																								BgL_tagzd2387zd2_1809;
																																																																						}
																																																																						BgL_auxz00_21227
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_21324);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd224746zd2_2355;
																																																																					BgL_cdrzd224746zd2_2355
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd224753zd2_2356;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_11674;
																																																																							BgL_pairz00_11674
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd224753zd2_2356
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_11674);
																																																																						}
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd224760zd2_2357;
																																																																							BgL_cdrzd224760zd2_2357
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd224753zd2_2356));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd224766zd2_2358;
																																																																								BgL_carzd224766zd2_2358
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd224760zd2_2357));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224766zd2_2358))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd224773zd2_2360;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_11678;
																																																																											BgL_pairz00_11678
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd224760zd2_2357));
																																																																											BgL_carzd224773zd2_2360
																																																																												=
																																																																												CAR
																																																																												(BgL_pairz00_11678);
																																																																										}
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224773zd2_2360))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd224746zd2_2355))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg2072z00_2363;
																																																																														BgL_arg2072z00_2363
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd224753zd2_2356));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21350;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_21354;
																																																																																obj_t
																																																																																	BgL_proc2z00_21353;
																																																																																obj_t
																																																																																	BgL_proc1z00_21352;
																																																																																obj_t
																																																																																	BgL_testz00_21351;
																																																																																BgL_testz00_21351
																																																																																	=
																																																																																	BgL_arg2072z00_2363;
																																																																																BgL_proc1z00_21352
																																																																																	=
																																																																																	BgL_carzd224766zd2_2358;
																																																																																BgL_proc2z00_21353
																																																																																	=
																																																																																	BgL_carzd224773zd2_2360;
																																																																																BgL_argsz00_21354
																																																																																	=
																																																																																	BgL_cdrzd224746zd2_2355;
																																																																																BgL_argsz00_1813
																																																																																	=
																																																																																	BgL_argsz00_21354;
																																																																																BgL_proc2z00_1812
																																																																																	=
																																																																																	BgL_proc2z00_21353;
																																																																																BgL_proc1z00_1811
																																																																																	=
																																																																																	BgL_proc1z00_21352;
																																																																																BgL_testz00_1810
																																																																																	=
																																																																																	BgL_testz00_21351;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1814;
																																																																															}
																																																																															BgL_auxz00_21227
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21350);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1838;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_21358;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1839;
																																																																																BgL_auxz00_21227
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_21358);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1838;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_21362;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1839;
																																																																														BgL_auxz00_21227
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_21362);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_21366;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																												BgL_auxz00_21227
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_21366);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1838;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_21370;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1839;
																																																																					BgL_auxz00_21227
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_21370);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd225049zd2_2382;
																																																																	BgL_cdrzd225049zd2_2382
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd225055zd2_2383;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_pairz00_11682;
																																																																			BgL_pairz00_11682
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd225055zd2_2383
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_11682);
																																																																		}
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd225061zd2_2384;
																																																																			BgL_cdrzd225061zd2_2384
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd225055zd2_2383));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd225066zd2_2385;
																																																																				obj_t
																																																																					BgL_cdrzd225067zd2_2386;
																																																																				BgL_carzd225066zd2_2385
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd225061zd2_2384));
																																																																				BgL_cdrzd225067zd2_2386
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd225061zd2_2384));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225066zd2_2385))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd225072zd2_2388;
																																																																						BgL_carzd225072zd2_2388
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd225067zd2_2386));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225072zd2_2388))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd225067zd2_2386))))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd225049zd2_2382))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg2089z00_2393;
																																																																												BgL_arg2089z00_2393
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd225055zd2_2383));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21397;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_21401;
																																																																														obj_t
																																																																															BgL_proc2z00_21400;
																																																																														obj_t
																																																																															BgL_proc1z00_21399;
																																																																														obj_t
																																																																															BgL_testz00_21398;
																																																																														BgL_testz00_21398
																																																																															=
																																																																															BgL_arg2089z00_2393;
																																																																														BgL_proc1z00_21399
																																																																															=
																																																																															BgL_carzd225066zd2_2385;
																																																																														BgL_proc2z00_21400
																																																																															=
																																																																															BgL_carzd225072zd2_2388;
																																																																														BgL_argsz00_21401
																																																																															=
																																																																															BgL_cdrzd225049zd2_2382;
																																																																														BgL_argsz00_1813
																																																																															=
																																																																															BgL_argsz00_21401;
																																																																														BgL_proc2z00_1812
																																																																															=
																																																																															BgL_proc2z00_21400;
																																																																														BgL_proc1z00_1811
																																																																															=
																																																																															BgL_proc1z00_21399;
																																																																														BgL_testz00_1810
																																																																															=
																																																																															BgL_testz00_21398;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1814;
																																																																													}
																																																																													BgL_auxz00_21227
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21397);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1838;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_21405;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1839;
																																																																														BgL_auxz00_21227
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_21405);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_21409;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																												BgL_auxz00_21227
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_21409);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_21413;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_21227
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_21413);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_21417;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_21227
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_21417);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1838;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_21421;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1839;
																																																																	BgL_auxz00_21227
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_21421);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd225405zd2_2401;
																																																													BgL_cdrzd225405zd2_2401
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd225412zd2_2402;
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_pairz00_11691;
																																																															BgL_pairz00_11691
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_cdrzd225412zd2_2402
																																																																=
																																																																CDR
																																																																(BgL_pairz00_11691);
																																																														}
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd225419zd2_2403;
																																																															BgL_cdrzd225419zd2_2403
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd225412zd2_2402));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd225425zd2_2404;
																																																																obj_t
																																																																	BgL_cdrzd225426zd2_2405;
																																																																BgL_carzd225425zd2_2404
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd225419zd2_2403));
																																																																BgL_cdrzd225426zd2_2405
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd225419zd2_2403));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225425zd2_2404))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd225426zd2_2405))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd225433zd2_2408;
																																																																				BgL_carzd225433zd2_2408
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd225426zd2_2405);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225433zd2_2408))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd225426zd2_2405)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd225405zd2_2401))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg2103z00_2413;
																																																																										BgL_arg2103z00_2413
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd225412zd2_2402));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_21448;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_21452;
																																																																												obj_t
																																																																													BgL_proc2z00_21451;
																																																																												obj_t
																																																																													BgL_proc1z00_21450;
																																																																												obj_t
																																																																													BgL_testz00_21449;
																																																																												BgL_testz00_21449
																																																																													=
																																																																													BgL_arg2103z00_2413;
																																																																												BgL_proc1z00_21450
																																																																													=
																																																																													BgL_carzd225425zd2_2404;
																																																																												BgL_proc2z00_21451
																																																																													=
																																																																													BgL_carzd225433zd2_2408;
																																																																												BgL_argsz00_21452
																																																																													=
																																																																													BgL_cdrzd225405zd2_2401;
																																																																												BgL_argsz00_1813
																																																																													=
																																																																													BgL_argsz00_21452;
																																																																												BgL_proc2z00_1812
																																																																													=
																																																																													BgL_proc2z00_21451;
																																																																												BgL_proc1z00_1811
																																																																													=
																																																																													BgL_proc1z00_21450;
																																																																												BgL_testz00_1810
																																																																													=
																																																																													BgL_testz00_21449;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1814;
																																																																											}
																																																																											BgL_auxz00_21227
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21448);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_21456;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																												BgL_auxz00_21227
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_21456);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_21460;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_21227
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_21460);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_21464;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_21227
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_21464);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_21468;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_21227
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_21468);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1838;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_21472;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1839;
																																																																				BgL_auxz00_21227
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_21472);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2403zd2_1838;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_21476;
																																																												goto
																																																													BgL_tagzd2404zd2_1839;
																																																												BgL_auxz00_21227
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_21476);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test8648z00_21478;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg2043z00_2314;
																																																	BgL_arg2043z00_2314
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test8648z00_21478
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg2043z00_2314));
																																																}
																																																if (BgL_test8648z00_21478)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_21483;
																																																		goto
																																																			BgL_tagzd2384zd2_1796;
																																																		BgL_auxz00_21227
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_21483);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd225865zd2_2211;
																																																		BgL_carzd225865zd2_2211
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd225870zd2_2212;
																																																			BgL_cdrzd225870zd2_2212
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd225865zd2_2211));
																																																			if ((CAR(((obj_t) BgL_carzd225865zd2_2211)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg1981z00_2215;
																																																					obj_t
																																																						BgL_arg1982z00_2216;
																																																					obj_t
																																																						BgL_arg1983z00_2217;
																																																					BgL_arg1981z00_2215
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd225870zd2_2212));
																																																					BgL_arg1982z00_2216
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd225870zd2_2212));
																																																					BgL_arg1983z00_2217
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_21500;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_21503;
																																																							obj_t
																																																								BgL_bodyz00_21502;
																																																							obj_t
																																																								BgL_varsz00_21501;
																																																							BgL_varsz00_21501
																																																								=
																																																								BgL_arg1981z00_2215;
																																																							BgL_bodyz00_21502
																																																								=
																																																								BgL_arg1982z00_2216;
																																																							BgL_argsz00_21503
																																																								=
																																																								BgL_arg1983z00_2217;
																																																							BgL_argsz00_1803
																																																								=
																																																								BgL_argsz00_21503;
																																																							BgL_bodyz00_1802
																																																								=
																																																								BgL_bodyz00_21502;
																																																							BgL_varsz00_1801
																																																								=
																																																								BgL_varsz00_21501;
																																																							goto
																																																								BgL_tagzd2386zd2_1804;
																																																						}
																																																						BgL_auxz00_21227
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_21500);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd225893zd2_2219;
																																																					BgL_cdrzd225893zd2_2219
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd225899zd2_2220;
																																																						BgL_cdrzd225899zd2_2220
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd225865zd2_2211));
																																																						if ((CAR(((obj_t) BgL_carzd225865zd2_2211)) == CNST_TABLE_REF(((long) 1))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd225905zd2_2223;
																																																								BgL_cdrzd225905zd2_2223
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd225899zd2_2220));
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd225910zd2_2224;
																																																									obj_t
																																																										BgL_cdrzd225911zd2_2225;
																																																									BgL_carzd225910zd2_2224
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd225905zd2_2223));
																																																									BgL_cdrzd225911zd2_2225
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd225905zd2_2223));
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225910zd2_2224))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (PAIRP(BgL_cdrzd225911zd2_2225))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd225918zd2_2228;
																																																													BgL_carzd225918zd2_2228
																																																														=
																																																														CAR
																																																														(BgL_cdrzd225911zd2_2225);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225918zd2_2228))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (NULLP(CDR(BgL_cdrzd225911zd2_2225)))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	bool_t
																																																																		BgL_test8655z00_21530;
																																																																	{
																																																																		obj_t
																																																																			BgL_l1415z00_2261;
																																																																		BgL_l1415z00_2261
																																																																			=
																																																																			BgL_cdrzd225893zd2_2219;
																																																																	BgL_zc3z04anonymousza32007ze3z87_2262:
																																																																		if (NULLP(BgL_l1415z00_2261))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				BgL_test8655z00_21530
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					1);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				bool_t
																																																																					BgL_test8657z00_21533;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					bool_t
																																																																						BgL_test8658z00_21534;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_tmpz00_21535;
																																																																						BgL_tmpz00_21535
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_l1415z00_2261));
																																																																						BgL_test8658z00_21534
																																																																							=
																																																																							PAIRP
																																																																							(BgL_tmpz00_21535);
																																																																					}
																																																																					if (BgL_test8658z00_21534)
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test8657z00_21533
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test8657z00_21533
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																				}
																																																																				if (BgL_test8657z00_21533)
																																																																					{
																																																																						obj_t
																																																																							BgL_l1415z00_21539;
																																																																						BgL_l1415z00_21539
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_l1415z00_2261));
																																																																						BgL_l1415z00_2261
																																																																							=
																																																																							BgL_l1415z00_21539;
																																																																						goto
																																																																							BgL_zc3z04anonymousza32007ze3z87_2262;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						BgL_test8655z00_21530
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							0);
																																																																					}
																																																																			}
																																																																	}
																																																																	if (BgL_test8655z00_21530)
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg1997z00_2244;
																																																																			BgL_arg1997z00_2244
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd225899zd2_2220));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_21544;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_21548;
																																																																					obj_t
																																																																						BgL_proc2z00_21547;
																																																																					obj_t
																																																																						BgL_proc1z00_21546;
																																																																					obj_t
																																																																						BgL_testz00_21545;
																																																																					BgL_testz00_21545
																																																																						=
																																																																						BgL_arg1997z00_2244;
																																																																					BgL_proc1z00_21546
																																																																						=
																																																																						BgL_carzd225910zd2_2224;
																																																																					BgL_proc2z00_21547
																																																																						=
																																																																						BgL_carzd225918zd2_2228;
																																																																					BgL_argsz00_21548
																																																																						=
																																																																						BgL_cdrzd225893zd2_2219;
																																																																					BgL_argsz00_1808
																																																																						=
																																																																						BgL_argsz00_21548;
																																																																					BgL_proc2z00_1807
																																																																						=
																																																																						BgL_proc2z00_21547;
																																																																					BgL_proc1z00_1806
																																																																						=
																																																																						BgL_proc1z00_21546;
																																																																					BgL_testz00_1805
																																																																						=
																																																																						BgL_testz00_21545;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1809;
																																																																				}
																																																																				BgL_auxz00_21227
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_21544);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd225942zd2_2245;
																																																																			BgL_cdrzd225942zd2_2245
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd225949zd2_2246;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_pairz00_11720;
																																																																					BgL_pairz00_11720
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd225949zd2_2246
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_11720);
																																																																				}
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd225956zd2_2247;
																																																																					BgL_cdrzd225956zd2_2247
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd225949zd2_2246));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd225962zd2_2248;
																																																																						BgL_carzd225962zd2_2248
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd225956zd2_2247));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225962zd2_2248))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd225969zd2_2250;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_11724;
																																																																									BgL_pairz00_11724
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd225956zd2_2247));
																																																																									BgL_carzd225969zd2_2250
																																																																										=
																																																																										CAR
																																																																										(BgL_pairz00_11724);
																																																																								}
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225969zd2_2250))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd225942zd2_2245))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg2001z00_2253;
																																																																												BgL_arg2001z00_2253
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd225949zd2_2246));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21570;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_21574;
																																																																														obj_t
																																																																															BgL_proc2z00_21573;
																																																																														obj_t
																																																																															BgL_proc1z00_21572;
																																																																														obj_t
																																																																															BgL_testz00_21571;
																																																																														BgL_testz00_21571
																																																																															=
																																																																															BgL_arg2001z00_2253;
																																																																														BgL_proc1z00_21572
																																																																															=
																																																																															BgL_carzd225962zd2_2248;
																																																																														BgL_proc2z00_21573
																																																																															=
																																																																															BgL_carzd225969zd2_2250;
																																																																														BgL_argsz00_21574
																																																																															=
																																																																															BgL_cdrzd225942zd2_2245;
																																																																														BgL_argsz00_1813
																																																																															=
																																																																															BgL_argsz00_21574;
																																																																														BgL_proc2z00_1812
																																																																															=
																																																																															BgL_proc2z00_21573;
																																																																														BgL_proc1z00_1811
																																																																															=
																																																																															BgL_proc1z00_21572;
																																																																														BgL_testz00_1810
																																																																															=
																																																																															BgL_testz00_21571;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1814;
																																																																													}
																																																																													BgL_auxz00_21227
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21570);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1838;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_21578;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1839;
																																																																														BgL_auxz00_21227
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_21578);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_21582;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																												BgL_auxz00_21227
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_21582);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_21586;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_21227
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_21586);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1838;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_21590;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1839;
																																																																			BgL_auxz00_21227
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_21590);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd226245zd2_2272;
																																																															BgL_cdrzd226245zd2_2272
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd226251zd2_2273;
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_pairz00_11728;
																																																																	BgL_pairz00_11728
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd226251zd2_2273
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_11728);
																																																																}
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd226257zd2_2274;
																																																																	BgL_cdrzd226257zd2_2274
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd226251zd2_2273));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd226262zd2_2275;
																																																																		obj_t
																																																																			BgL_cdrzd226263zd2_2276;
																																																																		BgL_carzd226262zd2_2275
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd226257zd2_2274));
																																																																		BgL_cdrzd226263zd2_2276
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd226257zd2_2274));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226262zd2_2275))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd226268zd2_2278;
																																																																				BgL_carzd226268zd2_2278
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd226263zd2_2276));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226268zd2_2278))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd226263zd2_2276))))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd226245zd2_2272))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg2016z00_2283;
																																																																										BgL_arg2016z00_2283
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd226251zd2_2273));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_21617;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_21621;
																																																																												obj_t
																																																																													BgL_proc2z00_21620;
																																																																												obj_t
																																																																													BgL_proc1z00_21619;
																																																																												obj_t
																																																																													BgL_testz00_21618;
																																																																												BgL_testz00_21618
																																																																													=
																																																																													BgL_arg2016z00_2283;
																																																																												BgL_proc1z00_21619
																																																																													=
																																																																													BgL_carzd226262zd2_2275;
																																																																												BgL_proc2z00_21620
																																																																													=
																																																																													BgL_carzd226268zd2_2278;
																																																																												BgL_argsz00_21621
																																																																													=
																																																																													BgL_cdrzd226245zd2_2272;
																																																																												BgL_argsz00_1813
																																																																													=
																																																																													BgL_argsz00_21621;
																																																																												BgL_proc2z00_1812
																																																																													=
																																																																													BgL_proc2z00_21620;
																																																																												BgL_proc1z00_1811
																																																																													=
																																																																													BgL_proc1z00_21619;
																																																																												BgL_testz00_1810
																																																																													=
																																																																													BgL_testz00_21618;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1814;
																																																																											}
																																																																											BgL_auxz00_21227
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21617);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_21625;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																												BgL_auxz00_21227
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_21625);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_21629;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_21227
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_21629);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_21633;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_21227
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_21633);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_21637;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_21227
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_21637);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2403zd2_1838;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_21641;
																																																															goto
																																																																BgL_tagzd2404zd2_1839;
																																																															BgL_auxz00_21227
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_21641);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd226601zd2_2291;
																																																											BgL_cdrzd226601zd2_2291
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd226608zd2_2292;
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_pairz00_11737;
																																																													BgL_pairz00_11737
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_cdrzd226608zd2_2292
																																																														=
																																																														CDR
																																																														(BgL_pairz00_11737);
																																																												}
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd226615zd2_2293;
																																																													BgL_cdrzd226615zd2_2293
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd226608zd2_2292));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd226621zd2_2294;
																																																														obj_t
																																																															BgL_cdrzd226622zd2_2295;
																																																														BgL_carzd226621zd2_2294
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd226615zd2_2293));
																																																														BgL_cdrzd226622zd2_2295
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd226615zd2_2293));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226621zd2_2294))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd226622zd2_2295))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd226629zd2_2298;
																																																																		BgL_carzd226629zd2_2298
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd226622zd2_2295);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226629zd2_2298))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(BgL_cdrzd226622zd2_2295)))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd226601zd2_2291))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg2032z00_2303;
																																																																								BgL_arg2032z00_2303
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd226608zd2_2292));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_21668;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_21672;
																																																																										obj_t
																																																																											BgL_proc2z00_21671;
																																																																										obj_t
																																																																											BgL_proc1z00_21670;
																																																																										obj_t
																																																																											BgL_testz00_21669;
																																																																										BgL_testz00_21669
																																																																											=
																																																																											BgL_arg2032z00_2303;
																																																																										BgL_proc1z00_21670
																																																																											=
																																																																											BgL_carzd226621zd2_2294;
																																																																										BgL_proc2z00_21671
																																																																											=
																																																																											BgL_carzd226629zd2_2298;
																																																																										BgL_argsz00_21672
																																																																											=
																																																																											BgL_cdrzd226601zd2_2291;
																																																																										BgL_argsz00_1813
																																																																											=
																																																																											BgL_argsz00_21672;
																																																																										BgL_proc2z00_1812
																																																																											=
																																																																											BgL_proc2z00_21671;
																																																																										BgL_proc1z00_1811
																																																																											=
																																																																											BgL_proc1z00_21670;
																																																																										BgL_testz00_1810
																																																																											=
																																																																											BgL_testz00_21669;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1814;
																																																																									}
																																																																									BgL_auxz00_21227
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_21668);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_21676;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_21227
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_21676);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_21680;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_21227
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_21680);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_21684;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_21227
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_21684);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1838;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_21688;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1839;
																																																																				BgL_auxz00_21227
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_21688);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1838;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_21692;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1839;
																																																																		BgL_auxz00_21227
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_21692);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2403zd2_1838;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_21696;
																																																										goto
																																																											BgL_tagzd2404zd2_1839;
																																																										BgL_auxz00_21227
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_21696);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_cdrzd227021zd2_2426;
																																										BgL_cdrzd227021zd2_2426
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_expz00_21));
																																										{

																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test8686z00_21700;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg2129z00_2442;
																																													BgL_arg2129z00_2442
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test8686z00_21700
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg2129z00_2442));
																																												}
																																												if (BgL_test8686z00_21700)
																																													{	/* Ast/sexp.scm 119 */
																																														if (PAIRP(BgL_cdrzd227021zd2_2426))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg2131z00_2444;
																																																obj_t
																																																	BgL_arg2132z00_2445;
																																																BgL_arg2131z00_2444
																																																	=
																																																	CAR
																																																	(BgL_cdrzd227021zd2_2426);
																																																BgL_arg2132z00_2445
																																																	=
																																																	CDR
																																																	(BgL_cdrzd227021zd2_2426);
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_21709;
																																																	{
																																																		obj_t
																																																			BgL_exprz00_21711;
																																																		obj_t
																																																			BgL_bindingsz00_21710;
																																																		BgL_bindingsz00_21710
																																																			=
																																																			BgL_arg2131z00_2444;
																																																		BgL_exprz00_21711
																																																			=
																																																			BgL_arg2132z00_2445;
																																																		BgL_exprz00_1793
																																																			=
																																																			BgL_exprz00_21711;
																																																		BgL_bindingsz00_1792
																																																			=
																																																			BgL_bindingsz00_21710;
																																																		goto
																																																			BgL_tagzd2382zd2_1794;
																																																	}
																																																	BgL_auxz00_21227
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_21709);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test8688z00_21713;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg2143z00_2457;
																																																	BgL_arg2143z00_2457
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test8688z00_21713
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg2143z00_2457));
																																																}
																																																if (BgL_test8688z00_21713)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_21718;
																																																		goto
																																																			BgL_tagzd2384zd2_1796;
																																																		BgL_auxz00_21227
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_21718);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd227084zd2_2448;
																																																		BgL_carzd227084zd2_2448
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd227089zd2_2449;
																																																			BgL_cdrzd227089zd2_2449
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd227084zd2_2448));
																																																			if ((CAR(((obj_t) BgL_carzd227084zd2_2448)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg2138z00_2452;
																																																					obj_t
																																																						BgL_arg2139z00_2453;
																																																					obj_t
																																																						BgL_arg2140z00_2454;
																																																					BgL_arg2138z00_2452
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd227089zd2_2449));
																																																					BgL_arg2139z00_2453
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd227089zd2_2449));
																																																					BgL_arg2140z00_2454
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_21735;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_21738;
																																																							obj_t
																																																								BgL_bodyz00_21737;
																																																							obj_t
																																																								BgL_varsz00_21736;
																																																							BgL_varsz00_21736
																																																								=
																																																								BgL_arg2138z00_2452;
																																																							BgL_bodyz00_21737
																																																								=
																																																								BgL_arg2139z00_2453;
																																																							BgL_argsz00_21738
																																																								=
																																																								BgL_arg2140z00_2454;
																																																							BgL_argsz00_1803
																																																								=
																																																								BgL_argsz00_21738;
																																																							BgL_bodyz00_1802
																																																								=
																																																								BgL_bodyz00_21737;
																																																							BgL_varsz00_1801
																																																								=
																																																								BgL_varsz00_21736;
																																																							goto
																																																								BgL_tagzd2386zd2_1804;
																																																						}
																																																						BgL_auxz00_21227
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_21735);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 119 */
																																																							goto
																																																								BgL_tagzd2403zd2_1838;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_21742;
																																																							goto
																																																								BgL_tagzd2404zd2_1839;
																																																							BgL_auxz00_21227
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_21742);
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test8691z00_21744;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg2128z00_2441;
																																															BgL_arg2128z00_2441
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test8691z00_21744
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg2128z00_2441));
																																														}
																																														if (BgL_test8691z00_21744)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_21749;
																																																goto
																																																	BgL_tagzd2384zd2_1796;
																																																BgL_auxz00_21227
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_21749);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_carzd227238zd2_2432;
																																																BgL_carzd227238zd2_2432
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd227243zd2_2433;
																																																	BgL_cdrzd227243zd2_2433
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd227238zd2_2432));
																																																	if ((CAR(((obj_t) BgL_carzd227238zd2_2432)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg2123z00_2436;
																																																			obj_t
																																																				BgL_arg2124z00_2437;
																																																			obj_t
																																																				BgL_arg2125z00_2438;
																																																			BgL_arg2123z00_2436
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd227243zd2_2433));
																																																			BgL_arg2124z00_2437
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd227243zd2_2433));
																																																			BgL_arg2125z00_2438
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_21766;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_21769;
																																																					obj_t
																																																						BgL_bodyz00_21768;
																																																					obj_t
																																																						BgL_varsz00_21767;
																																																					BgL_varsz00_21767
																																																						=
																																																						BgL_arg2123z00_2436;
																																																					BgL_bodyz00_21768
																																																						=
																																																						BgL_arg2124z00_2437;
																																																					BgL_argsz00_21769
																																																						=
																																																						BgL_arg2125z00_2438;
																																																					BgL_argsz00_1803
																																																						=
																																																						BgL_argsz00_21769;
																																																					BgL_bodyz00_1802
																																																						=
																																																						BgL_bodyz00_21768;
																																																					BgL_varsz00_1801
																																																						=
																																																						BgL_varsz00_21767;
																																																					goto
																																																						BgL_tagzd2386zd2_1804;
																																																				}
																																																				BgL_auxz00_21227
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_21766);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 119 */
																																																					goto
																																																						BgL_tagzd2403zd2_1838;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_21773;
																																																					goto
																																																						BgL_tagzd2404zd2_1839;
																																																					BgL_auxz00_21227
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_21773);
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								obj_t
																																									BgL_cdrzd227353zd2_2458;
																																								BgL_cdrzd227353zd2_2458
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_expz00_21));
																																								{

																																									{	/* Ast/sexp.scm 119 */
																																										bool_t
																																											BgL_test8694z00_21777;
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg2150z00_2466;
																																											BgL_arg2150z00_2466
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_test8694z00_21777
																																												=
																																												CBOOL
																																												(BGl_letzd2symzf3z21zzast_letz00
																																												(BgL_arg2150z00_2466));
																																										}
																																										if (BgL_test8694z00_21777)
																																											{	/* Ast/sexp.scm 119 */
																																												if (PAIRP(BgL_cdrzd227353zd2_2458))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_arg2152z00_2468;
																																														obj_t
																																															BgL_arg2153z00_2469;
																																														BgL_arg2152z00_2468
																																															=
																																															CAR
																																															(BgL_cdrzd227353zd2_2458);
																																														BgL_arg2153z00_2469
																																															=
																																															CDR
																																															(BgL_cdrzd227353zd2_2458);
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_21786;
																																															{
																																																obj_t
																																																	BgL_exprz00_21788;
																																																obj_t
																																																	BgL_bindingsz00_21787;
																																																BgL_bindingsz00_21787
																																																	=
																																																	BgL_arg2152z00_2468;
																																																BgL_exprz00_21788
																																																	=
																																																	BgL_arg2153z00_2469;
																																																BgL_exprz00_1793
																																																	=
																																																	BgL_exprz00_21788;
																																																BgL_bindingsz00_1792
																																																	=
																																																	BgL_bindingsz00_21787;
																																																goto
																																																	BgL_tagzd2382zd2_1794;
																																															}
																																															BgL_auxz00_21227
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_21786);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test8696z00_21790;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg2157z00_2473;
																																															BgL_arg2157z00_2473
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test8696z00_21790
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg2157z00_2473));
																																														}
																																														if (BgL_test8696z00_21790)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_21795;
																																																goto
																																																	BgL_tagzd2384zd2_1796;
																																																BgL_auxz00_21227
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_21795);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_tagzd2403zd2_1838;
																																																	}
																																																else
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_21799;
																																																		goto
																																																			BgL_tagzd2404zd2_1839;
																																																		BgL_auxz00_21227
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_21799);
																																																	}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test8698z00_21801;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg2149z00_2465;
																																													BgL_arg2149z00_2465
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test8698z00_21801
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg2149z00_2465));
																																												}
																																												if (BgL_test8698z00_21801)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_21806;
																																														goto
																																															BgL_tagzd2384zd2_1796;
																																														BgL_auxz00_21227
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_21806);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_tagzd2403zd2_1838;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_21810;
																																																goto
																																																	BgL_tagzd2404zd2_1839;
																																																BgL_auxz00_21227
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_21810);
																																															}
																																													}
																																											}
																																									}
																																								}
																																							}
																																						return
																																							(
																																							(BgL_nodez00_bglt)
																																							BgL_auxz00_21227);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 119 */
																																						if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd224577zd2_1895)))
																																							{
																																								obj_t
																																									BgL_auxz00_21816;
																																								goto
																																									BgL_kapzd224579zd2_1897;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_21816);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if ((BgL_carzd224577zd2_1895 == CNST_TABLE_REF(((long) 18))))
																																									{
																																										obj_t
																																											BgL_auxz00_21821;
																																										goto
																																											BgL_kapzd224579zd2_1897;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_21821);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((BgL_carzd224577zd2_1895 == CNST_TABLE_REF(((long) 19))))
																																											{
																																												obj_t
																																													BgL_auxz00_21826;
																																												goto
																																													BgL_kapzd224579zd2_1897;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_21826);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd224577zd2_1895)))
																																													{
																																														obj_t
																																															BgL_auxz00_21831;
																																														goto
																																															BgL_kapzd224579zd2_1897;
																																														return
																																															(
																																															(BgL_nodez00_bglt)
																																															BgL_auxz00_21831);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd227662zd2_1903;
																																														BgL_cdrzd227662zd2_1903
																																															=
																																															CDR
																																															(BgL_expz00_21);
																																														{

																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test8704z00_21834;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg1890z00_2082;
																																																	BgL_arg1890z00_2082
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_test8704z00_21834
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg1890z00_2082));
																																																}
																																																if (BgL_test8704z00_21834)
																																																	{
																																																		obj_t
																																																			BgL_auxz00_21838;
																																																		if (PAIRP(BgL_cdrzd227662zd2_1903))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg1892z00_2084;
																																																				obj_t
																																																					BgL_arg1894z00_2085;
																																																				BgL_arg1892z00_2084
																																																					=
																																																					CAR
																																																					(BgL_cdrzd227662zd2_1903);
																																																				BgL_arg1894z00_2085
																																																					=
																																																					CDR
																																																					(BgL_cdrzd227662zd2_1903);
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_21843;
																																																					{
																																																						obj_t
																																																							BgL_exprz00_21845;
																																																						obj_t
																																																							BgL_bindingsz00_21844;
																																																						BgL_bindingsz00_21844
																																																							=
																																																							BgL_arg1892z00_2084;
																																																						BgL_exprz00_21845
																																																							=
																																																							BgL_arg1894z00_2085;
																																																						BgL_exprz00_1793
																																																							=
																																																							BgL_exprz00_21845;
																																																						BgL_bindingsz00_1792
																																																							=
																																																							BgL_bindingsz00_21844;
																																																						goto
																																																							BgL_tagzd2382zd2_1794;
																																																					}
																																																					BgL_auxz00_21838
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_21843);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				bool_t
																																																					BgL_test8706z00_21847;
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg1968z00_2197;
																																																					BgL_arg1968z00_2197
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_test8706z00_21847
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg1968z00_2197));
																																																				}
																																																				if (BgL_test8706z00_21847)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_21852;
																																																						goto
																																																							BgL_tagzd2384zd2_1796;
																																																						BgL_auxz00_21838
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_21852);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_carzd227725zd2_2088;
																																																						BgL_carzd227725zd2_2088
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd227730zd2_2089;
																																																							BgL_cdrzd227730zd2_2089
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd227725zd2_2088));
																																																							if ((CAR(((obj_t) BgL_carzd227725zd2_2088)) == CNST_TABLE_REF(((long) 3))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (PAIRP(BgL_cdrzd227730zd2_2089))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg1901z00_2093;
																																																											obj_t
																																																												BgL_arg1904z00_2094;
																																																											obj_t
																																																												BgL_arg1905z00_2095;
																																																											BgL_arg1901z00_2093
																																																												=
																																																												CAR
																																																												(BgL_cdrzd227730zd2_2089);
																																																											BgL_arg1904z00_2094
																																																												=
																																																												CDR
																																																												(BgL_cdrzd227730zd2_2089);
																																																											BgL_arg1905z00_2095
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_21869;
																																																												{
																																																													obj_t
																																																														BgL_argsz00_21872;
																																																													obj_t
																																																														BgL_bodyz00_21871;
																																																													obj_t
																																																														BgL_varsz00_21870;
																																																													BgL_varsz00_21870
																																																														=
																																																														BgL_arg1901z00_2093;
																																																													BgL_bodyz00_21871
																																																														=
																																																														BgL_arg1904z00_2094;
																																																													BgL_argsz00_21872
																																																														=
																																																														BgL_arg1905z00_2095;
																																																													BgL_argsz00_1803
																																																														=
																																																														BgL_argsz00_21872;
																																																													BgL_bodyz00_1802
																																																														=
																																																														BgL_bodyz00_21871;
																																																													BgL_varsz00_1801
																																																														=
																																																														BgL_varsz00_21870;
																																																													goto
																																																														BgL_tagzd2386zd2_1804;
																																																												}
																																																												BgL_auxz00_21838
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_21869);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2403zd2_1838;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_21876;
																																																													goto
																																																														BgL_tagzd2404zd2_1839;
																																																													BgL_auxz00_21838
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_21876);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd227837zd2_2098;
																																																									BgL_cdrzd227837zd2_2098
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd227842zd2_2099;
																																																										BgL_cdrzd227842zd2_2099
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd227725zd2_2088));
																																																										if ((CAR(((obj_t) BgL_carzd227725zd2_2088)) == CNST_TABLE_REF(((long) 1))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd227842zd2_2099))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd227847zd2_2103;
																																																														BgL_cdrzd227847zd2_2103
																																																															=
																																																															CDR
																																																															(BgL_cdrzd227842zd2_2099);
																																																														if (PAIRP(BgL_cdrzd227847zd2_2103))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd227851zd2_2105;
																																																																obj_t
																																																																	BgL_cdrzd227852zd2_2106;
																																																																BgL_carzd227851zd2_2105
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd227847zd2_2103);
																																																																BgL_cdrzd227852zd2_2106
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd227847zd2_2103);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd227851zd2_2105))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd227852zd2_2106))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd227857zd2_2109;
																																																																				BgL_carzd227857zd2_2109
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd227852zd2_2106);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd227857zd2_2109))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd227852zd2_2106)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test8717z00_21904;
																																																																								{
																																																																									obj_t
																																																																										BgL_l1418z00_2142;
																																																																									BgL_l1418z00_2142
																																																																										=
																																																																										BgL_cdrzd227837zd2_2098;
																																																																								BgL_zc3z04anonymousza31932ze3z87_2143:
																																																																									if (NULLP(BgL_l1418z00_2142))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test8717z00_21904
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test8719z00_21907;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test8720z00_21908;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_tmpz00_21909;
																																																																													BgL_tmpz00_21909
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_l1418z00_2142));
																																																																													BgL_test8720z00_21908
																																																																														=
																																																																														PAIRP
																																																																														(BgL_tmpz00_21909);
																																																																												}
																																																																												if (BgL_test8720z00_21908)
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test8719z00_21907
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test8719z00_21907
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																											}
																																																																											if (BgL_test8719z00_21907)
																																																																												{
																																																																													obj_t
																																																																														BgL_l1418z00_21913;
																																																																													BgL_l1418z00_21913
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_l1418z00_2142));
																																																																													BgL_l1418z00_2142
																																																																														=
																																																																														BgL_l1418z00_21913;
																																																																													goto
																																																																														BgL_zc3z04anonymousza31932ze3z87_2143;
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test8717z00_21904
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																								if (BgL_test8717z00_21904)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg1922z00_2125;
																																																																										BgL_arg1922z00_2125
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd227842zd2_2099);
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_21917;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_21921;
																																																																												obj_t
																																																																													BgL_proc2z00_21920;
																																																																												obj_t
																																																																													BgL_proc1z00_21919;
																																																																												obj_t
																																																																													BgL_testz00_21918;
																																																																												BgL_testz00_21918
																																																																													=
																																																																													BgL_arg1922z00_2125;
																																																																												BgL_proc1z00_21919
																																																																													=
																																																																													BgL_carzd227851zd2_2105;
																																																																												BgL_proc2z00_21920
																																																																													=
																																																																													BgL_carzd227857zd2_2109;
																																																																												BgL_argsz00_21921
																																																																													=
																																																																													BgL_cdrzd227837zd2_2098;
																																																																												BgL_argsz00_1808
																																																																													=
																																																																													BgL_argsz00_21921;
																																																																												BgL_proc2z00_1807
																																																																													=
																																																																													BgL_proc2z00_21920;
																																																																												BgL_proc1z00_1806
																																																																													=
																																																																													BgL_proc1z00_21919;
																																																																												BgL_testz00_1805
																																																																													=
																																																																													BgL_testz00_21918;
																																																																												goto
																																																																													BgL_tagzd2387zd2_1809;
																																																																											}
																																																																											BgL_auxz00_21838
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21917);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd227882zd2_2126;
																																																																										BgL_cdrzd227882zd2_2126
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd227890zd2_2127;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_11792;
																																																																												BgL_pairz00_11792
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd227890zd2_2127
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_11792);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd227898zd2_2128;
																																																																												BgL_cdrzd227898zd2_2128
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd227890zd2_2127));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd227905zd2_2129;
																																																																													BgL_carzd227905zd2_2129
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd227898zd2_2128));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd227905zd2_2129))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd227914zd2_2131;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_11796;
																																																																																BgL_pairz00_11796
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd227898zd2_2128));
																																																																																BgL_carzd227914zd2_2131
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_pairz00_11796);
																																																																															}
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd227914zd2_2131))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd227882zd2_2126))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg1926z00_2134;
																																																																																			BgL_arg1926z00_2134
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd227890zd2_2127));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_21943;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_21947;
																																																																																					obj_t
																																																																																						BgL_proc2z00_21946;
																																																																																					obj_t
																																																																																						BgL_proc1z00_21945;
																																																																																					obj_t
																																																																																						BgL_testz00_21944;
																																																																																					BgL_testz00_21944
																																																																																						=
																																																																																						BgL_arg1926z00_2134;
																																																																																					BgL_proc1z00_21945
																																																																																						=
																																																																																						BgL_carzd227905zd2_2129;
																																																																																					BgL_proc2z00_21946
																																																																																						=
																																																																																						BgL_carzd227914zd2_2131;
																																																																																					BgL_argsz00_21947
																																																																																						=
																																																																																						BgL_cdrzd227882zd2_2126;
																																																																																					BgL_argsz00_1813
																																																																																						=
																																																																																						BgL_argsz00_21947;
																																																																																					BgL_proc2z00_1812
																																																																																						=
																																																																																						BgL_proc2z00_21946;
																																																																																					BgL_proc1z00_1811
																																																																																						=
																																																																																						BgL_proc1z00_21945;
																																																																																					BgL_testz00_1810
																																																																																						=
																																																																																						BgL_testz00_21944;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1814;
																																																																																				}
																																																																																				BgL_auxz00_21838
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_21943);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1838;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_21951;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1839;
																																																																																					BgL_auxz00_21838
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_21951);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_21955;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_21838
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_21955);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21959;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_21838
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21959);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_21963;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_21838
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_21963);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd228192zd2_2153;
																																																																						BgL_cdrzd228192zd2_2153
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd228199zd2_2154;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_11800;
																																																																								BgL_pairz00_11800
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd228199zd2_2154
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_11800);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd228206zd2_2155;
																																																																								BgL_cdrzd228206zd2_2155
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd228199zd2_2154));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd228212zd2_2156;
																																																																									obj_t
																																																																										BgL_cdrzd228213zd2_2157;
																																																																									BgL_carzd228212zd2_2156
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd228206zd2_2155));
																																																																									BgL_cdrzd228213zd2_2157
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd228206zd2_2155));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228212zd2_2156))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd228220zd2_2159;
																																																																											BgL_carzd228220zd2_2159
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd228213zd2_2157));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228220zd2_2159))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(((obj_t) BgL_cdrzd228213zd2_2157))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd228192zd2_2153))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg1941z00_2164;
																																																																																	BgL_arg1941z00_2164
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd228199zd2_2154));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_21990;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_21994;
																																																																																			obj_t
																																																																																				BgL_proc2z00_21993;
																																																																																			obj_t
																																																																																				BgL_proc1z00_21992;
																																																																																			obj_t
																																																																																				BgL_testz00_21991;
																																																																																			BgL_testz00_21991
																																																																																				=
																																																																																				BgL_arg1941z00_2164;
																																																																																			BgL_proc1z00_21992
																																																																																				=
																																																																																				BgL_carzd228212zd2_2156;
																																																																																			BgL_proc2z00_21993
																																																																																				=
																																																																																				BgL_carzd228220zd2_2159;
																																																																																			BgL_argsz00_21994
																																																																																				=
																																																																																				BgL_cdrzd228192zd2_2153;
																																																																																			BgL_argsz00_1813
																																																																																				=
																																																																																				BgL_argsz00_21994;
																																																																																			BgL_proc2z00_1812
																																																																																				=
																																																																																				BgL_proc2z00_21993;
																																																																																			BgL_proc1z00_1811
																																																																																				=
																																																																																				BgL_proc1z00_21992;
																																																																																			BgL_testz00_1810
																																																																																				=
																																																																																				BgL_testz00_21991;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1814;
																																																																																		}
																																																																																		BgL_auxz00_21838
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_21990);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_21998;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_21838
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_21998);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_22002;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_21838
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_22002);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22006;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_21838
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22006);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22010;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_21838
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22010);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_22014;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_21838
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_22014);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd228553zd2_2172;
																																																																		BgL_cdrzd228553zd2_2172
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd228559zd2_2173;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_11809;
																																																																				BgL_pairz00_11809
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd228559zd2_2173
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_11809);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd228565zd2_2174;
																																																																				BgL_cdrzd228565zd2_2174
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd228559zd2_2173));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd228570zd2_2175;
																																																																					obj_t
																																																																						BgL_cdrzd228571zd2_2176;
																																																																					BgL_carzd228570zd2_2175
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd228565zd2_2174));
																																																																					BgL_cdrzd228571zd2_2176
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd228565zd2_2174));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228570zd2_2175))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd228571zd2_2176))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd228576zd2_2179;
																																																																									BgL_carzd228576zd2_2179
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd228571zd2_2176);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228576zd2_2179))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd228571zd2_2176)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd228553zd2_2172))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg1955z00_2184;
																																																																															BgL_arg1955z00_2184
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd228559zd2_2173));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_22041;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_22045;
																																																																																	obj_t
																																																																																		BgL_proc2z00_22044;
																																																																																	obj_t
																																																																																		BgL_proc1z00_22043;
																																																																																	obj_t
																																																																																		BgL_testz00_22042;
																																																																																	BgL_testz00_22042
																																																																																		=
																																																																																		BgL_arg1955z00_2184;
																																																																																	BgL_proc1z00_22043
																																																																																		=
																																																																																		BgL_carzd228570zd2_2175;
																																																																																	BgL_proc2z00_22044
																																																																																		=
																																																																																		BgL_carzd228576zd2_2179;
																																																																																	BgL_argsz00_22045
																																																																																		=
																																																																																		BgL_cdrzd228553zd2_2172;
																																																																																	BgL_argsz00_1813
																																																																																		=
																																																																																		BgL_argsz00_22045;
																																																																																	BgL_proc2z00_1812
																																																																																		=
																																																																																		BgL_proc2z00_22044;
																																																																																	BgL_proc1z00_1811
																																																																																		=
																																																																																		BgL_proc1z00_22043;
																																																																																	BgL_testz00_1810
																																																																																		=
																																																																																		BgL_testz00_22042;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1814;
																																																																																}
																																																																																BgL_auxz00_21838
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_22041);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_22049;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_21838
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_22049);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22053;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_21838
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22053);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22057;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_21838
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22057);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_22061;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_21838
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_22061);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_22065;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_21838
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_22065);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1838;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_22069;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1839;
																																																																		BgL_auxz00_21838
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_22069);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1838;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_22073;
																																																																goto
																																																																	BgL_tagzd2404zd2_1839;
																																																																BgL_auxz00_21838
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_22073);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2403zd2_1838;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_22077;
																																																														goto
																																																															BgL_tagzd2404zd2_1839;
																																																														BgL_auxz00_21838
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_22077);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_21838);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		bool_t
																																																			BgL_test8750z00_22080;
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg1888z00_2081;
																																																			BgL_arg1888z00_2081
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			BgL_test8750z00_22080
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg1888z00_2081));
																																																		}
																																																		if (BgL_test8750z00_22080)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_22084;
																																																				goto
																																																					BgL_tagzd2384zd2_1796;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_22084);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_carzd229139zd2_1909;
																																																				obj_t
																																																					BgL_cdrzd229140zd2_1910;
																																																				BgL_carzd229139zd2_1909
																																																					=
																																																					CAR
																																																					(BgL_expz00_21);
																																																				BgL_cdrzd229140zd2_1910
																																																					=
																																																					CDR
																																																					(BgL_expz00_21);
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd229144zd2_1911;
																																																					BgL_cdrzd229144zd2_1911
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd229139zd2_1909));
																																																					if ((CAR(((obj_t) BgL_carzd229139zd2_1909)) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (PAIRP(BgL_cdrzd229144zd2_1911))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd229147zd2_1915;
																																																									obj_t
																																																										BgL_cdrzd229148zd2_1916;
																																																									BgL_carzd229147zd2_1915
																																																										=
																																																										CAR
																																																										(BgL_cdrzd229144zd2_1911);
																																																									BgL_cdrzd229148zd2_1916
																																																										=
																																																										CDR
																																																										(BgL_cdrzd229144zd2_1911);
																																																									if (PAIRP(BgL_carzd229147zd2_1915))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (NULLP(CDR(BgL_carzd229147zd2_1915)))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (PAIRP(BgL_cdrzd229148zd2_1916))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd229154zd2_1921;
																																																															BgL_carzd229154zd2_1921
																																																																=
																																																																CAR
																																																																(BgL_cdrzd229148zd2_1916);
																																																															if (PAIRP(BgL_carzd229154zd2_1921))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd229154zd2_1921))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (NULLP(CDR(BgL_cdrzd229148zd2_1916)))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd229140zd2_1910))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd229161zd2_1927;
																																																																							BgL_carzd229161zd2_1927
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd229140zd2_1910);
																																																																							if (PAIRP(BgL_carzd229161zd2_1927))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd229185zd2_1929;
																																																																									BgL_cdrzd229185zd2_1929
																																																																										=
																																																																										CDR
																																																																										(CAR
																																																																										(BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg1699z00_1930;
																																																																										obj_t
																																																																											BgL_arg1703z00_1931;
																																																																										obj_t
																																																																											BgL_arg1706z00_1932;
																																																																										BgL_arg1699z00_1930
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd229185zd2_1929));
																																																																										BgL_arg1703z00_1931
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd229185zd2_1929));
																																																																										BgL_arg1706z00_1932
																																																																											=
																																																																											CDR
																																																																											(BgL_expz00_21);
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_22128;
																																																																											obj_t
																																																																												BgL_bodyz00_22127;
																																																																											obj_t
																																																																												BgL_varsz00_22126;
																																																																											BgL_varsz00_22126
																																																																												=
																																																																												BgL_arg1699z00_1930;
																																																																											BgL_bodyz00_22127
																																																																												=
																																																																												BgL_arg1703z00_1931;
																																																																											BgL_argsz00_22128
																																																																												=
																																																																												BgL_arg1706z00_1932;
																																																																											BgL_argsz00_1803
																																																																												=
																																																																												BgL_argsz00_22128;
																																																																											BgL_bodyz00_1802
																																																																												=
																																																																												BgL_bodyz00_22127;
																																																																											BgL_varsz00_1801
																																																																												=
																																																																												BgL_varsz00_22126;
																																																																											goto
																																																																												BgL_tagzd2386zd2_1804;
																																																																										}
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_cdrzd229140zd2_1910)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg1714z00_1936;
																																																																											BgL_arg1714z00_1936
																																																																												=
																																																																												CAR
																																																																												(BgL_carzd229147zd2_1915);
																																																																											{
																																																																												BgL_castz00_bglt
																																																																													BgL_auxz00_22133;
																																																																												{
																																																																													obj_t
																																																																														BgL_argz00_22136;
																																																																													obj_t
																																																																														BgL_bodyz00_22135;
																																																																													obj_t
																																																																														BgL_varz00_22134;
																																																																													BgL_varz00_22134
																																																																														=
																																																																														BgL_arg1714z00_1936;
																																																																													BgL_bodyz00_22135
																																																																														=
																																																																														BgL_carzd229154zd2_1921;
																																																																													BgL_argz00_22136
																																																																														=
																																																																														BgL_carzd229161zd2_1927;
																																																																													BgL_argz00_1799
																																																																														=
																																																																														BgL_argz00_22136;
																																																																													BgL_bodyz00_1798
																																																																														=
																																																																														BgL_bodyz00_22135;
																																																																													BgL_varz00_1797
																																																																														=
																																																																														BgL_varz00_22134;
																																																																													goto
																																																																														BgL_tagzd2385zd2_1800;
																																																																												}
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_22133);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd229212zd2_1937;
																																																																											BgL_cdrzd229212zd2_1937
																																																																												=
																																																																												CDR
																																																																												(CAR
																																																																												(BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg1715z00_1938;
																																																																												obj_t
																																																																													BgL_arg1716z00_1939;
																																																																												obj_t
																																																																													BgL_arg1721z00_1940;
																																																																												BgL_arg1715z00_1938
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd229212zd2_1937));
																																																																												BgL_arg1716z00_1939
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd229212zd2_1937));
																																																																												BgL_arg1721z00_1940
																																																																													=
																																																																													CDR
																																																																													(BgL_expz00_21);
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_22147;
																																																																													obj_t
																																																																														BgL_bodyz00_22146;
																																																																													obj_t
																																																																														BgL_varsz00_22145;
																																																																													BgL_varsz00_22145
																																																																														=
																																																																														BgL_arg1715z00_1938;
																																																																													BgL_bodyz00_22146
																																																																														=
																																																																														BgL_arg1716z00_1939;
																																																																													BgL_argsz00_22147
																																																																														=
																																																																														BgL_arg1721z00_1940;
																																																																													BgL_argsz00_1803
																																																																														=
																																																																														BgL_argsz00_22147;
																																																																													BgL_bodyz00_1802
																																																																														=
																																																																														BgL_bodyz00_22146;
																																																																													BgL_varsz00_1801
																																																																														=
																																																																														BgL_varsz00_22145;
																																																																													goto
																																																																														BgL_tagzd2386zd2_1804;
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd229238zd2_1943;
																																																																							BgL_cdrzd229238zd2_1943
																																																																								=
																																																																								CDR
																																																																								(CAR
																																																																								(BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg1726z00_1944;
																																																																								obj_t
																																																																									BgL_arg1728z00_1945;
																																																																								obj_t
																																																																									BgL_arg1729z00_1946;
																																																																								BgL_arg1726z00_1944
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd229238zd2_1943));
																																																																								BgL_arg1728z00_1945
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd229238zd2_1943));
																																																																								BgL_arg1729z00_1946
																																																																									=
																																																																									CDR
																																																																									(BgL_expz00_21);
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_22157;
																																																																									obj_t
																																																																										BgL_bodyz00_22156;
																																																																									obj_t
																																																																										BgL_varsz00_22155;
																																																																									BgL_varsz00_22155
																																																																										=
																																																																										BgL_arg1726z00_1944;
																																																																									BgL_bodyz00_22156
																																																																										=
																																																																										BgL_arg1728z00_1945;
																																																																									BgL_argsz00_22157
																																																																										=
																																																																										BgL_arg1729z00_1946;
																																																																									BgL_argsz00_1803
																																																																										=
																																																																										BgL_argsz00_22157;
																																																																									BgL_bodyz00_1802
																																																																										=
																																																																										BgL_bodyz00_22156;
																																																																									BgL_varsz00_1801
																																																																										=
																																																																										BgL_varsz00_22155;
																																																																									goto
																																																																										BgL_tagzd2386zd2_1804;
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd229264zd2_1948;
																																																																					BgL_cdrzd229264zd2_1948
																																																																						=
																																																																						CDR
																																																																						(CAR
																																																																						(BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg1738z00_1949;
																																																																						obj_t
																																																																							BgL_arg1739z00_1950;
																																																																						obj_t
																																																																							BgL_arg1742z00_1951;
																																																																						BgL_arg1738z00_1949
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd229264zd2_1948));
																																																																						BgL_arg1739z00_1950
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd229264zd2_1948));
																																																																						BgL_arg1742z00_1951
																																																																							=
																																																																							CDR
																																																																							(BgL_expz00_21);
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_22167;
																																																																							obj_t
																																																																								BgL_bodyz00_22166;
																																																																							obj_t
																																																																								BgL_varsz00_22165;
																																																																							BgL_varsz00_22165
																																																																								=
																																																																								BgL_arg1738z00_1949;
																																																																							BgL_bodyz00_22166
																																																																								=
																																																																								BgL_arg1739z00_1950;
																																																																							BgL_argsz00_22167
																																																																								=
																																																																								BgL_arg1742z00_1951;
																																																																							BgL_argsz00_1803
																																																																								=
																																																																								BgL_argsz00_22167;
																																																																							BgL_bodyz00_1802
																																																																								=
																																																																								BgL_bodyz00_22166;
																																																																							BgL_varsz00_1801
																																																																								=
																																																																								BgL_varsz00_22165;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1804;
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd229290zd2_1954;
																																																																			BgL_cdrzd229290zd2_1954
																																																																				=
																																																																				CDR
																																																																				(CAR
																																																																				(BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg1746z00_1955;
																																																																				obj_t
																																																																					BgL_arg1747z00_1956;
																																																																				obj_t
																																																																					BgL_arg1748z00_1957;
																																																																				BgL_arg1746z00_1955
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd229290zd2_1954));
																																																																				BgL_arg1747z00_1956
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd229290zd2_1954));
																																																																				BgL_arg1748z00_1957
																																																																					=
																																																																					CDR
																																																																					(BgL_expz00_21);
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_22177;
																																																																					obj_t
																																																																						BgL_bodyz00_22176;
																																																																					obj_t
																																																																						BgL_varsz00_22175;
																																																																					BgL_varsz00_22175
																																																																						=
																																																																						BgL_arg1746z00_1955;
																																																																					BgL_bodyz00_22176
																																																																						=
																																																																						BgL_arg1747z00_1956;
																																																																					BgL_argsz00_22177
																																																																						=
																																																																						BgL_arg1748z00_1957;
																																																																					BgL_argsz00_1803
																																																																						=
																																																																						BgL_argsz00_22177;
																																																																					BgL_bodyz00_1802
																																																																						=
																																																																						BgL_bodyz00_22176;
																																																																					BgL_varsz00_1801
																																																																						=
																																																																						BgL_varsz00_22175;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1804;
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd229316zd2_1959;
																																																																	BgL_cdrzd229316zd2_1959
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd229139zd2_1909));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg1750z00_1960;
																																																																		obj_t
																																																																			BgL_arg1751z00_1961;
																																																																		obj_t
																																																																			BgL_arg1752z00_1962;
																																																																		BgL_arg1750z00_1960
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd229316zd2_1959));
																																																																		BgL_arg1751z00_1961
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd229316zd2_1959));
																																																																		BgL_arg1752z00_1962
																																																																			=
																																																																			CDR
																																																																			(BgL_expz00_21);
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_22187;
																																																																			obj_t
																																																																				BgL_bodyz00_22186;
																																																																			obj_t
																																																																				BgL_varsz00_22185;
																																																																			BgL_varsz00_22185
																																																																				=
																																																																				BgL_arg1750z00_1960;
																																																																			BgL_bodyz00_22186
																																																																				=
																																																																				BgL_arg1751z00_1961;
																																																																			BgL_argsz00_22187
																																																																				=
																																																																				BgL_arg1752z00_1962;
																																																																			BgL_argsz00_1803
																																																																				=
																																																																				BgL_argsz00_22187;
																																																																			BgL_bodyz00_1802
																																																																				=
																																																																				BgL_bodyz00_22186;
																																																																			BgL_varsz00_1801
																																																																				=
																																																																				BgL_varsz00_22185;
																																																																			goto
																																																																				BgL_tagzd2386zd2_1804;
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd229342zd2_1964;
																																																															BgL_cdrzd229342zd2_1964
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd229139zd2_1909));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg1759z00_1965;
																																																																obj_t
																																																																	BgL_arg1761z00_1966;
																																																																obj_t
																																																																	BgL_arg1762z00_1967;
																																																																BgL_arg1759z00_1965
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd229342zd2_1964));
																																																																BgL_arg1761z00_1966
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd229342zd2_1964));
																																																																BgL_arg1762z00_1967
																																																																	=
																																																																	CDR
																																																																	(BgL_expz00_21);
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_22197;
																																																																	obj_t
																																																																		BgL_bodyz00_22196;
																																																																	obj_t
																																																																		BgL_varsz00_22195;
																																																																	BgL_varsz00_22195
																																																																		=
																																																																		BgL_arg1759z00_1965;
																																																																	BgL_bodyz00_22196
																																																																		=
																																																																		BgL_arg1761z00_1966;
																																																																	BgL_argsz00_22197
																																																																		=
																																																																		BgL_arg1762z00_1967;
																																																																	BgL_argsz00_1803
																																																																		=
																																																																		BgL_argsz00_22197;
																																																																	BgL_bodyz00_1802
																																																																		=
																																																																		BgL_bodyz00_22196;
																																																																	BgL_varsz00_1801
																																																																		=
																																																																		BgL_varsz00_22195;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1804;
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd229368zd2_1969;
																																																													BgL_cdrzd229368zd2_1969
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd229139zd2_1909));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg1766z00_1970;
																																																														obj_t
																																																															BgL_arg1770z00_1971;
																																																														obj_t
																																																															BgL_arg1772z00_1972;
																																																														BgL_arg1766z00_1970
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd229368zd2_1969));
																																																														BgL_arg1770z00_1971
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd229368zd2_1969));
																																																														BgL_arg1772z00_1972
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														{
																																																															obj_t
																																																																BgL_argsz00_22207;
																																																															obj_t
																																																																BgL_bodyz00_22206;
																																																															obj_t
																																																																BgL_varsz00_22205;
																																																															BgL_varsz00_22205
																																																																=
																																																																BgL_arg1766z00_1970;
																																																															BgL_bodyz00_22206
																																																																=
																																																																BgL_arg1770z00_1971;
																																																															BgL_argsz00_22207
																																																																=
																																																																BgL_arg1772z00_1972;
																																																															BgL_argsz00_1803
																																																																=
																																																																BgL_argsz00_22207;
																																																															BgL_bodyz00_1802
																																																																=
																																																																BgL_bodyz00_22206;
																																																															BgL_varsz00_1801
																																																																=
																																																																BgL_varsz00_22205;
																																																															goto
																																																																BgL_tagzd2386zd2_1804;
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd229394zd2_1975;
																																																											BgL_cdrzd229394zd2_1975
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd229139zd2_1909));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg1785z00_1976;
																																																												obj_t
																																																													BgL_arg1788z00_1977;
																																																												obj_t
																																																													BgL_arg1789z00_1978;
																																																												BgL_arg1785z00_1976
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd229394zd2_1975));
																																																												BgL_arg1788z00_1977
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd229394zd2_1975));
																																																												BgL_arg1789z00_1978
																																																													=
																																																													CDR
																																																													(BgL_expz00_21);
																																																												{
																																																													obj_t
																																																														BgL_argsz00_22217;
																																																													obj_t
																																																														BgL_bodyz00_22216;
																																																													obj_t
																																																														BgL_varsz00_22215;
																																																													BgL_varsz00_22215
																																																														=
																																																														BgL_arg1785z00_1976;
																																																													BgL_bodyz00_22216
																																																														=
																																																														BgL_arg1788z00_1977;
																																																													BgL_argsz00_22217
																																																														=
																																																														BgL_arg1789z00_1978;
																																																													BgL_argsz00_1803
																																																														=
																																																														BgL_argsz00_22217;
																																																													BgL_bodyz00_1802
																																																														=
																																																														BgL_bodyz00_22216;
																																																													BgL_varsz00_1801
																																																														=
																																																														BgL_varsz00_22215;
																																																													goto
																																																														BgL_tagzd2386zd2_1804;
																																																												}
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{
																																																											obj_t
																																																												BgL_auxz00_22220;
																																																											goto
																																																												BgL_tagzd2403zd2_1838;
																																																											return
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BgL_auxz00_22220);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2404zd2_1839;
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd229532zd2_1983;
																																																							BgL_cdrzd229532zd2_1983
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd229139zd2_1909));
																																																							if ((CAR(((obj_t) BgL_carzd229139zd2_1909)) == CNST_TABLE_REF(((long) 1))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (PAIRP(BgL_cdrzd229532zd2_1983))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd229537zd2_1987;
																																																											BgL_cdrzd229537zd2_1987
																																																												=
																																																												CDR
																																																												(BgL_cdrzd229532zd2_1983);
																																																											if (PAIRP(BgL_cdrzd229537zd2_1987))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd229541zd2_1989;
																																																													obj_t
																																																														BgL_cdrzd229542zd2_1990;
																																																													BgL_carzd229541zd2_1989
																																																														=
																																																														CAR
																																																														(BgL_cdrzd229537zd2_1987);
																																																													BgL_cdrzd229542zd2_1990
																																																														=
																																																														CDR
																																																														(BgL_cdrzd229537zd2_1987);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229541zd2_1989))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (PAIRP(BgL_cdrzd229542zd2_1990))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd229547zd2_1993;
																																																																	BgL_carzd229547zd2_1993
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd229542zd2_1990);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229547zd2_1993))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (NULLP(CDR(BgL_cdrzd229542zd2_1990)))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					bool_t
																																																																						BgL_test8770z00_22246;
																																																																					{
																																																																						obj_t
																																																																							BgL_l1421z00_2026;
																																																																						BgL_l1421z00_2026
																																																																							=
																																																																							BgL_cdrzd229140zd2_1910;
																																																																					BgL_zc3z04anonymousza31849ze3z87_2027:
																																																																						if (NULLP(BgL_l1421z00_2026))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test8770z00_22246
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									1);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test8772z00_22249;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									bool_t
																																																																										BgL_test8773z00_22250;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_tmpz00_22251;
																																																																										BgL_tmpz00_22251
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_l1421z00_2026));
																																																																										BgL_test8773z00_22250
																																																																											=
																																																																											PAIRP
																																																																											(BgL_tmpz00_22251);
																																																																									}
																																																																									if (BgL_test8773z00_22250)
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test8772z00_22249
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test8772z00_22249
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																								}
																																																																								if (BgL_test8772z00_22249)
																																																																									{
																																																																										obj_t
																																																																											BgL_l1421z00_22255;
																																																																										BgL_l1421z00_22255
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_l1421z00_2026));
																																																																										BgL_l1421z00_2026
																																																																											=
																																																																											BgL_l1421z00_22255;
																																																																										goto
																																																																											BgL_zc3z04anonymousza31849ze3z87_2027;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test8770z00_22246
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																							}
																																																																					}
																																																																					if (BgL_test8770z00_22246)
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_22262;
																																																																							obj_t
																																																																								BgL_proc2z00_22261;
																																																																							obj_t
																																																																								BgL_proc1z00_22260;
																																																																							obj_t
																																																																								BgL_testz00_22258;
																																																																							BgL_testz00_22258
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd229532zd2_1983);
																																																																							BgL_proc1z00_22260
																																																																								=
																																																																								BgL_carzd229541zd2_1989;
																																																																							BgL_proc2z00_22261
																																																																								=
																																																																								BgL_carzd229547zd2_1993;
																																																																							BgL_argsz00_22262
																																																																								=
																																																																								BgL_cdrzd229140zd2_1910;
																																																																							BgL_argsz00_1808
																																																																								=
																																																																								BgL_argsz00_22262;
																																																																							BgL_proc2z00_1807
																																																																								=
																																																																								BgL_proc2z00_22261;
																																																																							BgL_proc1z00_1806
																																																																								=
																																																																								BgL_proc1z00_22260;
																																																																							BgL_testz00_1805
																																																																								=
																																																																								BgL_testz00_22258;
																																																																							goto
																																																																								BgL_tagzd2387zd2_1809;
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd229572zd2_2010;
																																																																							BgL_cdrzd229572zd2_2010
																																																																								=
																																																																								CDR
																																																																								(BgL_expz00_21);
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd229580zd2_2011;
																																																																								BgL_cdrzd229580zd2_2011
																																																																									=
																																																																									CDR
																																																																									(CAR
																																																																									(BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd229588zd2_2012;
																																																																									BgL_cdrzd229588zd2_2012
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd229580zd2_2011));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd229595zd2_2013;
																																																																										BgL_carzd229595zd2_2013
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd229588zd2_2012));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229595zd2_2013))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd229604zd2_2015;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_11893;
																																																																													BgL_pairz00_11893
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd229588zd2_2012));
																																																																													BgL_carzd229604zd2_2015
																																																																														=
																																																																														CAR
																																																																														(BgL_pairz00_11893);
																																																																												}
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229604zd2_2015))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd229572zd2_2010))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg1837z00_2018;
																																																																																BgL_arg1837z00_2018
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd229580zd2_2011));
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_22284;
																																																																																	obj_t
																																																																																		BgL_proc2z00_22283;
																																																																																	obj_t
																																																																																		BgL_proc1z00_22282;
																																																																																	obj_t
																																																																																		BgL_testz00_22281;
																																																																																	BgL_testz00_22281
																																																																																		=
																																																																																		BgL_arg1837z00_2018;
																																																																																	BgL_proc1z00_22282
																																																																																		=
																																																																																		BgL_carzd229595zd2_2013;
																																																																																	BgL_proc2z00_22283
																																																																																		=
																																																																																		BgL_carzd229604zd2_2015;
																																																																																	BgL_argsz00_22284
																																																																																		=
																																																																																		BgL_cdrzd229572zd2_2010;
																																																																																	BgL_argsz00_1813
																																																																																		=
																																																																																		BgL_argsz00_22284;
																																																																																	BgL_proc2z00_1812
																																																																																		=
																																																																																		BgL_proc2z00_22283;
																																																																																	BgL_proc1z00_1811
																																																																																		=
																																																																																		BgL_proc1z00_22282;
																																																																																	BgL_testz00_1810
																																																																																		=
																																																																																		BgL_testz00_22281;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1814;
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_auxz00_22287;
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1838;
																																																																																		return
																																																																																			(
																																																																																			(BgL_nodez00_bglt)
																																																																																			BgL_auxz00_22287);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1839;
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_22291;
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1838;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_22291);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1839;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_22295;
																																																																														goto
																																																																															BgL_tagzd2403zd2_1838;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_22295);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1839;
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_22299;
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_22299);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd229882zd2_2037;
																																																																			BgL_cdrzd229882zd2_2037
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd229889zd2_2038;
																																																																				BgL_cdrzd229889zd2_2038
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd229896zd2_2039;
																																																																					BgL_cdrzd229896zd2_2039
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd229889zd2_2038));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd229902zd2_2040;
																																																																						obj_t
																																																																							BgL_cdrzd229903zd2_2041;
																																																																						BgL_carzd229902zd2_2040
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd229896zd2_2039));
																																																																						BgL_cdrzd229903zd2_2041
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd229896zd2_2039));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229902zd2_2040))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd229910zd2_2043;
																																																																								BgL_carzd229910zd2_2043
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd229903zd2_2041));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229910zd2_2043))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(((obj_t) BgL_cdrzd229903zd2_2041))))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd229882zd2_2037))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg1858z00_2048;
																																																																														BgL_arg1858z00_2048
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd229889zd2_2038));
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_22327;
																																																																															obj_t
																																																																																BgL_proc2z00_22326;
																																																																															obj_t
																																																																																BgL_proc1z00_22325;
																																																																															obj_t
																																																																																BgL_testz00_22324;
																																																																															BgL_testz00_22324
																																																																																=
																																																																																BgL_arg1858z00_2048;
																																																																															BgL_proc1z00_22325
																																																																																=
																																																																																BgL_carzd229902zd2_2040;
																																																																															BgL_proc2z00_22326
																																																																																=
																																																																																BgL_carzd229910zd2_2043;
																																																																															BgL_argsz00_22327
																																																																																=
																																																																																BgL_cdrzd229882zd2_2037;
																																																																															BgL_argsz00_1813
																																																																																=
																																																																																BgL_argsz00_22327;
																																																																															BgL_proc2z00_1812
																																																																																=
																																																																																BgL_proc2z00_22326;
																																																																															BgL_proc1z00_1811
																																																																																=
																																																																																BgL_proc1z00_22325;
																																																																															BgL_testz00_1810
																																																																																=
																																																																																BgL_testz00_22324;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1814;
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_22330;
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1838;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_22330);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1839;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_22334;
																																																																														goto
																																																																															BgL_tagzd2403zd2_1838;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_22334);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1839;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_22338;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_22338);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_22342;
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_22342);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_22346;
																																																																			goto
																																																																				BgL_tagzd2403zd2_1838;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_22346);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1839;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd230243zd2_2056;
																																																															BgL_cdrzd230243zd2_2056
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd230249zd2_2057;
																																																																BgL_cdrzd230249zd2_2057
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd230255zd2_2058;
																																																																	BgL_cdrzd230255zd2_2058
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd230249zd2_2057));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd230260zd2_2059;
																																																																		obj_t
																																																																			BgL_cdrzd230261zd2_2060;
																																																																		BgL_carzd230260zd2_2059
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd230255zd2_2058));
																																																																		BgL_cdrzd230261zd2_2060
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd230255zd2_2058));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd230260zd2_2059))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd230261zd2_2060))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd230266zd2_2063;
																																																																						BgL_carzd230266zd2_2063
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd230261zd2_2060);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd230266zd2_2063))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(BgL_cdrzd230261zd2_2060)))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd230243zd2_2056))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg1875z00_2068;
																																																																												BgL_arg1875z00_2068
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd230249zd2_2057));
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_22374;
																																																																													obj_t
																																																																														BgL_proc2z00_22373;
																																																																													obj_t
																																																																														BgL_proc1z00_22372;
																																																																													obj_t
																																																																														BgL_testz00_22371;
																																																																													BgL_testz00_22371
																																																																														=
																																																																														BgL_arg1875z00_2068;
																																																																													BgL_proc1z00_22372
																																																																														=
																																																																														BgL_carzd230260zd2_2059;
																																																																													BgL_proc2z00_22373
																																																																														=
																																																																														BgL_carzd230266zd2_2063;
																																																																													BgL_argsz00_22374
																																																																														=
																																																																														BgL_cdrzd230243zd2_2056;
																																																																													BgL_argsz00_1813
																																																																														=
																																																																														BgL_argsz00_22374;
																																																																													BgL_proc2z00_1812
																																																																														=
																																																																														BgL_proc2z00_22373;
																																																																													BgL_proc1z00_1811
																																																																														=
																																																																														BgL_proc1z00_22372;
																																																																													BgL_testz00_1810
																																																																														=
																																																																														BgL_testz00_22371;
																																																																													goto
																																																																														BgL_tagzd2388zd2_1814;
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_22377;
																																																																														goto
																																																																															BgL_tagzd2403zd2_1838;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_22377);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1839;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_22381;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_22381);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_22385;
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_22385);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_22389;
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_22389);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_22393;
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_22393);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_22397;
																																																															goto
																																																																BgL_tagzd2403zd2_1838;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_22397);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1839;
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_22401;
																																																													goto
																																																														BgL_tagzd2403zd2_1838;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_22401);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2404zd2_1839;
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{
																																																											obj_t
																																																												BgL_auxz00_22405;
																																																											goto
																																																												BgL_tagzd2403zd2_1838;
																																																											return
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BgL_auxz00_22405);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2404zd2_1839;
																																																										}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																														}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																		}
																																	else
																																		{

																																			if (
																																				(BgL_carzd224574zd2_1893
																																					==
																																					CNST_TABLE_REF
																																					(((long) 17))))
																																				{
																																					obj_t
																																						BgL_auxz00_22410;
																																				BgL_kapzd230804zd2_2476:
																																					if (PAIRP(BgL_cdrzd224445zd2_1875))
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_arg2243z00_2573;
																																							obj_t
																																								BgL_arg2244z00_2574;
																																							BgL_arg2243z00_2573
																																								=
																																								CAR
																																								(BgL_cdrzd224445zd2_1875);
																																							BgL_arg2244z00_2574
																																								=
																																								CDR
																																								(BgL_cdrzd224445zd2_1875);
																																							{
																																								BgL_nodez00_bglt
																																									BgL_auxz00_22415;
																																								{
																																									obj_t
																																										BgL_exprz00_22417;
																																									obj_t
																																										BgL_bindingsz00_22416;
																																									BgL_bindingsz00_22416
																																										=
																																										BgL_arg2243z00_2573;
																																									BgL_exprz00_22417
																																										=
																																										BgL_arg2244z00_2574;
																																									BgL_exprz00_1793
																																										=
																																										BgL_exprz00_22417;
																																									BgL_bindingsz00_1792
																																										=
																																										BgL_bindingsz00_22416;
																																									goto
																																										BgL_tagzd2382zd2_1794;
																																								}
																																								BgL_auxz00_22410
																																									=
																																									(
																																									(obj_t)
																																									BgL_auxz00_22415);
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_22424;
																																									goto
																																										BgL_tagzd2383zd2_1795;
																																									BgL_auxz00_22410
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_22424);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_carzd230837zd2_2577;
																																									BgL_carzd230837zd2_2577
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									if ((BgL_carzd230837zd2_2577 == CNST_TABLE_REF(((long) 19))))
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_22431;
																																											goto
																																												BgL_tagzd2384zd2_1796;
																																											BgL_auxz00_22410
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_22431);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd230837zd2_2577)))
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_22436;
																																													goto
																																														BgL_tagzd2384zd2_1796;
																																													BgL_auxz00_22410
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_22436);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_22443;
																																															goto
																																																BgL_tagzd2389zd2_1815;
																																															BgL_auxz00_22410
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_22443);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_22450;
																																																	goto
																																																		BgL_tagzd2390zd2_1816;
																																																	BgL_auxz00_22410
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_22450);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_22457;
																																																			goto
																																																				BgL_tagzd2392zd2_1820;
																																																			BgL_auxz00_22410
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_22457);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_22464;
																																																					goto
																																																						BgL_tagzd2393zd2_1821;
																																																					BgL_auxz00_22410
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_22464);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_22471;
																																																							goto
																																																								BgL_tagzd2395zd2_1825;
																																																							BgL_auxz00_22410
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_22471);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_22478;
																																																									goto
																																																										BgL_tagzd2396zd2_1826;
																																																									BgL_auxz00_22410
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_22478);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_22485;
																																																											goto
																																																												BgL_tagzd2397zd2_1827;
																																																											BgL_auxz00_22410
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_22485);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																												{
																																																													BgL_jumpzd2exzd2itz00_bglt
																																																														BgL_auxz00_22492;
																																																													goto
																																																														BgL_tagzd2398zd2_1828;
																																																													BgL_auxz00_22410
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_22492);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_22502;
																																																																	goto
																																																																		BgL_tagzd2402zd2_1837;
																																																																	BgL_auxz00_22410
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_22502);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1838;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_22506;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1839;
																																																																			BgL_auxz00_22410
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_22506);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1838;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_22510;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1839;
																																																																	BgL_auxz00_22410
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_22510);
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																					return
																																						(
																																						(BgL_nodez00_bglt)
																																						BgL_auxz00_22410);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd224574zd2_1893)))
																																						{
																																							obj_t
																																								BgL_auxz00_22516;
																																							goto
																																								BgL_kapzd230804zd2_2476;
																																							return
																																								(
																																								(BgL_nodez00_bglt)
																																								BgL_auxz00_22516);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((BgL_carzd224574zd2_1893 == CNST_TABLE_REF(((long) 18))))
																																								{
																																									obj_t
																																										BgL_auxz00_22521;
																																									goto
																																										BgL_kapzd230804zd2_2476;
																																									return
																																										(
																																										(BgL_nodez00_bglt)
																																										BgL_auxz00_22521);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 20))))
																																										{	/* Ast/sexp.scm 119 */
																																											goto
																																												BgL_tagzd2383zd2_1795;
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_carzd230998zd2_2482;
																																											BgL_carzd230998zd2_2482
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											if ((BgL_carzd230998zd2_2482 == CNST_TABLE_REF(((long) 19))))
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_22531;
																																													goto
																																														BgL_tagzd2384zd2_1796;
																																													return
																																														(
																																														(BgL_nodez00_bglt)
																																														BgL_auxz00_22531);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd230998zd2_2482)))
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_22536;
																																															goto
																																																BgL_tagzd2384zd2_1796;
																																															return
																																																(
																																																(BgL_nodez00_bglt)
																																																BgL_auxz00_22536);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 119 */
																																																	goto
																																																		BgL_tagzd2389zd2_1815;
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			goto
																																																				BgL_tagzd2390zd2_1816;
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd231077zd2_2489;
																																																			BgL_cdrzd231077zd2_2489
																																																				=
																																																				CDR
																																																				(BgL_expz00_21);
																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (PAIRP(BgL_cdrzd231077zd2_2489))
																																																						{
																																																							obj_t
																																																								BgL_restz00_22555;
																																																							obj_t
																																																								BgL_effectz00_22553;
																																																							BgL_effectz00_22553
																																																								=
																																																								CAR
																																																								(BgL_cdrzd231077zd2_2489);
																																																							BgL_restz00_22555
																																																								=
																																																								CDR
																																																								(BgL_cdrzd231077zd2_2489);
																																																							BgL_restz00_1818
																																																								=
																																																								BgL_restz00_22555;
																																																							BgL_effectz00_1817
																																																								=
																																																								BgL_effectz00_22553;
																																																							goto
																																																								BgL_tagzd2391zd2_1819;
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{
																																																									obj_t
																																																										BgL_auxz00_22559;
																																																									goto
																																																										BgL_tagzd2403zd2_1838;
																																																									return
																																																										(
																																																										(BgL_nodez00_bglt)
																																																										BgL_auxz00_22559);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									goto
																																																										BgL_tagzd2404zd2_1839;
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							goto
																																																								BgL_tagzd2392zd2_1820;
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									goto
																																																										BgL_tagzd2393zd2_1821;
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (PAIRP(BgL_cdrzd231077zd2_2489))
																																																												{
																																																													obj_t
																																																														BgL_restz00_22577;
																																																													obj_t
																																																														BgL_effectz00_22575;
																																																													BgL_effectz00_22575
																																																														=
																																																														CAR
																																																														(BgL_cdrzd231077zd2_2489);
																																																													BgL_restz00_22577
																																																														=
																																																														CDR
																																																														(BgL_cdrzd231077zd2_2489);
																																																													BgL_restz00_1823
																																																														=
																																																														BgL_restz00_22577;
																																																													BgL_effectz00_1822
																																																														=
																																																														BgL_effectz00_22575;
																																																													goto
																																																														BgL_tagzd2394zd2_1824;
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_22581;
																																																															goto
																																																																BgL_tagzd2403zd2_1838;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_22581);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1839;
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2395zd2_1825;
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2396zd2_1826;
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																																{
																																																																	BgL_letzd2funzd2_bglt
																																																																		BgL_auxz00_22595;
																																																																	goto
																																																																		BgL_tagzd2397zd2_1827;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_22595);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																																		{
																																																																			BgL_jumpzd2exzd2itz00_bglt
																																																																				BgL_auxz00_22601;
																																																																			goto
																																																																				BgL_tagzd2398zd2_1828;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_22601);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd231204zd2_2515;
																																																																			BgL_cdrzd231204zd2_2515
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd231204zd2_2515))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd231206zd2_2519;
																																																																							BgL_cdrzd231206zd2_2519
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd231204zd2_2515);
																																																																							if (PAIRP(BgL_cdrzd231206zd2_2519))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_cdrzd231206zd2_2519)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2399zd2_1829;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_22618;
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_22618);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_22622;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_22622);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_22626;
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_22626);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd231204zd2_2515))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd231251zd2_2531;
																																																																									BgL_cdrzd231251zd2_2531
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd231204zd2_2515);
																																																																									if (PAIRP(BgL_cdrzd231251zd2_2531))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd231256zd2_2533;
																																																																											BgL_cdrzd231256zd2_2533
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd231251zd2_2531);
																																																																											if ((CAR(BgL_cdrzd231251zd2_2531) == CNST_TABLE_REF(((long) 31))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (PAIRP(BgL_cdrzd231256zd2_2533))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg2210z00_2537;
																																																																															obj_t
																																																																																BgL_arg2211z00_2538;
																																																																															obj_t
																																																																																BgL_arg2212z00_2539;
																																																																															BgL_arg2210z00_2537
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd231204zd2_2515);
																																																																															BgL_arg2211z00_2538
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd231256zd2_2533);
																																																																															BgL_arg2212z00_2539
																																																																																=
																																																																																CDR
																																																																																(BgL_cdrzd231256zd2_2533);
																																																																															return
																																																																																BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																(BgL_expz00_21,
																																																																																BgL_arg2210z00_2537,
																																																																																BgL_arg2211z00_2538,
																																																																																BgL_arg2212z00_2539,
																																																																																BgL_stackz00_22,
																																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																(BgL_expz00_21,
																																																																																	BgL_locz00_23),
																																																																																BgL_sitez00_24);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd231269zd2_2540;
																																																																															BgL_cdrzd231269zd2_2540
																																																																																=
																																																																																CDR
																																																																																(BgL_expz00_21);
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg2213z00_2541;
																																																																																obj_t
																																																																																	BgL_arg2214z00_2542;
																																																																																BgL_arg2213z00_2541
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd231269zd2_2540));
																																																																																BgL_arg2214z00_2542
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd231269zd2_2540));
																																																																																{	/* Ast/sexp.scm 555 */
																																																																																	obj_t
																																																																																		BgL_arg7079z00_11963;
																																																																																	BgL_arg7079z00_11963
																																																																																		=
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_locz00_23);
																																																																																	return
																																																																																		BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_arg2213z00_2541,
																																																																																		CNST_TABLE_REF
																																																																																		(((long) 4)), BgL_arg2214z00_2542, BgL_stackz00_22, BgL_arg7079z00_11963, BgL_sitez00_24);
																																																																												}}}}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd231284zd2_2543;
																																																																													BgL_cdrzd231284zd2_2543
																																																																														=
																																																																														CDR
																																																																														(BgL_expz00_21);
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg2215z00_2544;
																																																																														obj_t
																																																																															BgL_arg2216z00_2545;
																																																																														BgL_arg2215z00_2544
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd231284zd2_2543));
																																																																														BgL_arg2216z00_2545
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd231284zd2_2543));
																																																																														{	/* Ast/sexp.scm 555 */
																																																																															obj_t
																																																																																BgL_arg7079z00_11967;
																																																																															BgL_arg7079z00_11967
																																																																																=
																																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																(BgL_expz00_21,
																																																																																BgL_locz00_23);
																																																																															return
																																																																																BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																(BgL_expz00_21,
																																																																																BgL_arg2215z00_2544,
																																																																																CNST_TABLE_REF
																																																																																(((long) 4)), BgL_arg2216z00_2545, BgL_stackz00_22, BgL_arg7079z00_11967, BgL_sitez00_24);
																																																																										}}}}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd231299zd2_2547;
																																																																											BgL_cdrzd231299zd2_2547
																																																																												=
																																																																												CDR
																																																																												(BgL_expz00_21);
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg2218z00_2548;
																																																																												obj_t
																																																																													BgL_arg2219z00_2549;
																																																																												BgL_arg2218z00_2548
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd231299zd2_2547));
																																																																												BgL_arg2219z00_2549
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd231299zd2_2547));
																																																																												{	/* Ast/sexp.scm 555 */
																																																																													obj_t
																																																																														BgL_arg7079z00_11971;
																																																																													BgL_arg7079z00_11971
																																																																														=
																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																														(BgL_expz00_21,
																																																																														BgL_locz00_23);
																																																																													return
																																																																														BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																														(BgL_expz00_21,
																																																																														BgL_arg2218z00_2548,
																																																																														CNST_TABLE_REF
																																																																														(((long) 4)), BgL_arg2219z00_2549, BgL_stackz00_22, BgL_arg7079z00_11971, BgL_sitez00_24);
																																																																								}}}}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_22675;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_22675);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_21), BUNSPEC))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_expz00_21)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2402zd2_1837;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_22685;
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_22685);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_22689;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_22689);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																					}
																			}
																	}
															}
													}
											}
										else
											{	/* Ast/sexp.scm 119 */
												if (
													(BgL_carzd2478zd2_1844 ==
														CNST_TABLE_REF(((long) 11))))
													{	/* Ast/sexp.scm 119 */
														goto BgL_tagzd2371zd2_1774;
													}
												else
													{	/* Ast/sexp.scm 119 */
														if (
															(CAR(BgL_expz00_21) ==
																CNST_TABLE_REF(((long) 14))))
															{
																obj_t BgL_lz00_22698;

																BgL_lz00_22698 = CDR(BgL_expz00_21);
																BgL_lz00_1775 = BgL_lz00_22698;
																goto BgL_tagzd2372zd2_1776;
															}
														else
															{	/* Ast/sexp.scm 119 */
																if (
																	(CAR(BgL_expz00_21) ==
																		CNST_TABLE_REF(((long) 12))))
																	{	/* Ast/sexp.scm 119 */
																		goto BgL_tagzd2373zd2_1777;
																	}
																else
																	{	/* Ast/sexp.scm 119 */
																		if (
																			(CAR(BgL_expz00_21) ==
																				CNST_TABLE_REF(((long) 15))))
																			{	/* Ast/sexp.scm 119 */
																				if (NULLP(CDR(BgL_expz00_21)))
																					{	/* Ast/sexp.scm 119 */
																						goto BgL_tagzd2374zd2_1778;
																					}
																				else
																					{	/* Ast/sexp.scm 119 */
																						obj_t BgL_arg4391z00_5140;

																						BgL_arg4391z00_5140 =
																							CDR(BgL_expz00_21);
																						{
																							BgL_sequencez00_bglt
																								BgL_auxz00_22712;
																							{
																								obj_t BgL_bodyz00_22713;

																								BgL_bodyz00_22713 =
																									BgL_arg4391z00_5140;
																								BgL_bodyz00_1779 =
																									BgL_bodyz00_22713;
																								goto BgL_tagzd2375zd2_1780;
																							}
																							return
																								((BgL_nodez00_bglt)
																								BgL_auxz00_22712);
																						}
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 119 */
																				obj_t BgL_carzd231447zd2_5142;
																				obj_t BgL_cdrzd231448zd2_5143;

																				BgL_carzd231447zd2_5142 =
																					CAR(BgL_expz00_21);
																				BgL_cdrzd231448zd2_5143 =
																					CDR(BgL_expz00_21);
																				{

																					if (
																						(BgL_carzd231447zd2_5142 ==
																							CNST_TABLE_REF(((long) 1))))
																						{
																							obj_t BgL_auxz00_22720;

																						BgL_kapzd231449zd2_5144:
																							if (PAIRP
																								(BgL_cdrzd231448zd2_5143))
																								{	/* Ast/sexp.scm 119 */
																									obj_t BgL_cdrzd231452zd2_5891;

																									BgL_cdrzd231452zd2_5891 =
																										CDR
																										(BgL_cdrzd231448zd2_5143);
																									if (PAIRP
																										(BgL_cdrzd231452zd2_5891))
																										{	/* Ast/sexp.scm 119 */
																											obj_t
																												BgL_cdrzd231455zd2_5893;
																											BgL_cdrzd231455zd2_5893 =
																												CDR
																												(BgL_cdrzd231452zd2_5891);
																											if ((CAR
																													(BgL_cdrzd231452zd2_5891)
																													== BTRUE))
																												{	/* Ast/sexp.scm 119 */
																													if (PAIRP
																														(BgL_cdrzd231455zd2_5893))
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(CAR
																																	(BgL_cdrzd231455zd2_5893)
																																	== BFALSE))
																																{	/* Ast/sexp.scm 119 */
																																	if (NULLP(CDR
																																			(BgL_cdrzd231455zd2_5893)))
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(BgL_sitez00_24
																																					==
																																					CNST_TABLE_REF
																																					(((long) 8))))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_arg4932z00_5903;
																																					BgL_arg4932z00_5903
																																						=
																																						CAR
																																						(BgL_cdrzd231448zd2_5143);
																																					BgL_auxz00_22720
																																						=
																																						(
																																						(obj_t)
																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																						(BgL_arg4932z00_5903,
																																							BgL_stackz00_22,
																																							BgL_locz00_23,
																																							BgL_sitez00_24));
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd231474zd2_5904;
																																					BgL_carzd231474zd2_5904
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(BgL_carzd231474zd2_5904
																																							==
																																							CNST_TABLE_REF
																																							(((long) 1))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_22749;
																																							goto
																																								BgL_tagzd2377zd2_1783;
																																							BgL_auxz00_22720
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_22749);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((BgL_carzd231474zd2_5904 == BGl_za2ifza2z00zzast_sexpz00))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_22753;
																																									goto
																																										BgL_tagzd2377zd2_1783;
																																									BgL_auxz00_22720
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_22753);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_22760;
																																											goto
																																												BgL_tagzd2379zd2_1787;
																																											BgL_auxz00_22720
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_22760);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_22767;
																																													goto
																																														BgL_tagzd2380zd2_1788;
																																													BgL_auxz00_22720
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_22767);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_carzd231543zd2_5911;
																																													BgL_carzd231543zd2_5911
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if (PAIRP(BgL_carzd231543zd2_5911))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_carzd231546zd2_5913;
																																															obj_t
																																																BgL_cdrzd231547zd2_5914;
																																															BgL_carzd231546zd2_5913
																																																=
																																																CAR
																																																(BgL_carzd231543zd2_5911);
																																															BgL_cdrzd231547zd2_5914
																																																=
																																																CDR
																																																(BgL_carzd231543zd2_5911);
																																															{

																																																if ((BgL_carzd231546zd2_5913 == CNST_TABLE_REF(((long) 17))))
																																																	{	/* Ast/sexp.scm 119 */
																																																	BgL_kapzd231548zd2_5915:
																																																		if (PAIRP(BgL_cdrzd231547zd2_5914))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd231551zd2_6040;
																																																				BgL_cdrzd231551zd2_6040
																																																					=
																																																					CDR
																																																					(BgL_cdrzd231547zd2_5914);
																																																				if (PAIRP(BgL_cdrzd231551zd2_6040))
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (NULLP(CDR(BgL_cdrzd231551zd2_6040)))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg5024z00_6044;
																																																								obj_t
																																																									BgL_arg5025z00_6045;
																																																								BgL_arg5024z00_6044
																																																									=
																																																									CAR
																																																									(BgL_cdrzd231551zd2_6040);
																																																								BgL_arg5025z00_6045
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_22789;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_22791;
																																																										obj_t
																																																											BgL_bodyz00_22790;
																																																										BgL_bodyz00_22790
																																																											=
																																																											BgL_arg5024z00_6044;
																																																										BgL_argsz00_22791
																																																											=
																																																											BgL_arg5025z00_6045;
																																																										BgL_argsz00_1790
																																																											=
																																																											BgL_argsz00_22791;
																																																										BgL_bodyz00_1789
																																																											=
																																																											BgL_bodyz00_22790;
																																																										goto
																																																											BgL_tagzd2381zd2_1791;
																																																									}
																																																									BgL_auxz00_22720
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_22789);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd231575zd2_6046;
																																																								BgL_cdrzd231575zd2_6046
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8878z00_22795;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg5094z00_6157;
																																																										BgL_arg5094z00_6157
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8878z00_22795
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg5094z00_6157));
																																																									}
																																																									if (BgL_test8878z00_22795)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg5028z00_6049;
																																																											obj_t
																																																												BgL_arg5029z00_6050;
																																																											BgL_arg5028z00_6049
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd231575zd2_6046));
																																																											BgL_arg5029z00_6050
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd231575zd2_6046));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_22804;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_22806;
																																																													obj_t
																																																														BgL_bindingsz00_22805;
																																																													BgL_bindingsz00_22805
																																																														=
																																																														BgL_arg5028z00_6049;
																																																													BgL_exprz00_22806
																																																														=
																																																														BgL_arg5029z00_6050;
																																																													BgL_exprz00_1793
																																																														=
																																																														BgL_exprz00_22806;
																																																													BgL_bindingsz00_1792
																																																														=
																																																														BgL_bindingsz00_22805;
																																																													goto
																																																														BgL_tagzd2382zd2_1794;
																																																												}
																																																												BgL_auxz00_22720
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_22804);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test8879z00_22808;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg5093z00_6156;
																																																												BgL_arg5093z00_6156
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test8879z00_22808
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg5093z00_6156));
																																																											}
																																																											if (BgL_test8879z00_22808)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_22813;
																																																													goto
																																																														BgL_tagzd2384zd2_1796;
																																																													BgL_auxz00_22720
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_22813);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd231642zd2_6053;
																																																													BgL_carzd231642zd2_6053
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd231647zd2_6054;
																																																														BgL_cdrzd231647zd2_6054
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd231642zd2_6053));
																																																														if ((CAR(((obj_t) BgL_carzd231642zd2_6053)) == CNST_TABLE_REF(((long) 3))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg5034z00_6057;
																																																																obj_t
																																																																	BgL_arg5035z00_6058;
																																																																obj_t
																																																																	BgL_arg5036z00_6059;
																																																																BgL_arg5034z00_6057
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd231647zd2_6054));
																																																																BgL_arg5035z00_6058
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd231647zd2_6054));
																																																																BgL_arg5036z00_6059
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_22830;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_22833;
																																																																		obj_t
																																																																			BgL_bodyz00_22832;
																																																																		obj_t
																																																																			BgL_varsz00_22831;
																																																																		BgL_varsz00_22831
																																																																			=
																																																																			BgL_arg5034z00_6057;
																																																																		BgL_bodyz00_22832
																																																																			=
																																																																			BgL_arg5035z00_6058;
																																																																		BgL_argsz00_22833
																																																																			=
																																																																			BgL_arg5036z00_6059;
																																																																		BgL_argsz00_1803
																																																																			=
																																																																			BgL_argsz00_22833;
																																																																		BgL_bodyz00_1802
																																																																			=
																																																																			BgL_bodyz00_22832;
																																																																		BgL_varsz00_1801
																																																																			=
																																																																			BgL_varsz00_22831;
																																																																		goto
																																																																			BgL_tagzd2386zd2_1804;
																																																																	}
																																																																	BgL_auxz00_22720
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_22830);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd231670zd2_6061;
																																																																BgL_cdrzd231670zd2_6061
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd231676zd2_6062;
																																																																	BgL_cdrzd231676zd2_6062
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd231642zd2_6053));
																																																																	if ((CAR(((obj_t) BgL_carzd231642zd2_6053)) == CNST_TABLE_REF(((long) 1))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd231682zd2_6065;
																																																																			BgL_cdrzd231682zd2_6065
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd231676zd2_6062));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd231687zd2_6066;
																																																																				obj_t
																																																																					BgL_cdrzd231688zd2_6067;
																																																																				BgL_carzd231687zd2_6066
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd231682zd2_6065));
																																																																				BgL_cdrzd231688zd2_6067
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd231682zd2_6065));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231687zd2_6066))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (PAIRP(BgL_cdrzd231688zd2_6067))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd231695zd2_6070;
																																																																								BgL_carzd231695zd2_6070
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd231688zd2_6067);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231695zd2_6070))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(BgL_cdrzd231688zd2_6067)))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test8886z00_22860;
																																																																												{
																																																																													obj_t
																																																																														BgL_l1424z00_6103;
																																																																													BgL_l1424z00_6103
																																																																														=
																																																																														BgL_cdrzd231670zd2_6061;
																																																																												BgL_zc3z04anonymousza35059ze3z87_6104:
																																																																													if (NULLP(BgL_l1424z00_6103))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															BgL_test8886z00_22860
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															bool_t
																																																																																BgL_test8888z00_22863;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																bool_t
																																																																																	BgL_test8889z00_22864;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_tmpz00_22865;
																																																																																	BgL_tmpz00_22865
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_l1424z00_6103));
																																																																																	BgL_test8889z00_22864
																																																																																		=
																																																																																		PAIRP
																																																																																		(BgL_tmpz00_22865);
																																																																																}
																																																																																if (BgL_test8889z00_22864)
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test8888z00_22863
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test8888z00_22863
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																															}
																																																																															if (BgL_test8888z00_22863)
																																																																																{
																																																																																	obj_t
																																																																																		BgL_l1424z00_22869;
																																																																																	BgL_l1424z00_22869
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_l1424z00_6103));
																																																																																	BgL_l1424z00_6103
																																																																																		=
																																																																																		BgL_l1424z00_22869;
																																																																																	goto
																																																																																		BgL_zc3z04anonymousza35059ze3z87_6104;
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test8886z00_22860
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																														}
																																																																												}
																																																																												if (BgL_test8886z00_22860)
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg5049z00_6086;
																																																																														BgL_arg5049z00_6086
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd231676zd2_6062));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22874;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_22878;
																																																																																obj_t
																																																																																	BgL_proc2z00_22877;
																																																																																obj_t
																																																																																	BgL_proc1z00_22876;
																																																																																obj_t
																																																																																	BgL_testz00_22875;
																																																																																BgL_testz00_22875
																																																																																	=
																																																																																	BgL_arg5049z00_6086;
																																																																																BgL_proc1z00_22876
																																																																																	=
																																																																																	BgL_carzd231687zd2_6066;
																																																																																BgL_proc2z00_22877
																																																																																	=
																																																																																	BgL_carzd231695zd2_6070;
																																																																																BgL_argsz00_22878
																																																																																	=
																																																																																	BgL_cdrzd231670zd2_6061;
																																																																																BgL_argsz00_1808
																																																																																	=
																																																																																	BgL_argsz00_22878;
																																																																																BgL_proc2z00_1807
																																																																																	=
																																																																																	BgL_proc2z00_22877;
																																																																																BgL_proc1z00_1806
																																																																																	=
																																																																																	BgL_proc1z00_22876;
																																																																																BgL_testz00_1805
																																																																																	=
																																																																																	BgL_testz00_22875;
																																																																																goto
																																																																																	BgL_tagzd2387zd2_1809;
																																																																															}
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22874);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd231719zd2_6087;
																																																																														BgL_cdrzd231719zd2_6087
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd231726zd2_6088;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_12024;
																																																																																BgL_pairz00_12024
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_cdrzd231726zd2_6088
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_12024);
																																																																															}
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd231733zd2_6089;
																																																																																BgL_cdrzd231733zd2_6089
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd231726zd2_6088));
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd231739zd2_6090;
																																																																																	BgL_carzd231739zd2_6090
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd231733zd2_6089));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231739zd2_6090))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_carzd231746zd2_6092;
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_pairz00_12028;
																																																																																				BgL_pairz00_12028
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd231733zd2_6089));
																																																																																				BgL_carzd231746zd2_6092
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_pairz00_12028);
																																																																																			}
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231746zd2_6092))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd231719zd2_6087))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_arg5053z00_6095;
																																																																																							BgL_arg5053z00_6095
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd231726zd2_6088));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_22900;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_22904;
																																																																																									obj_t
																																																																																										BgL_proc2z00_22903;
																																																																																									obj_t
																																																																																										BgL_proc1z00_22902;
																																																																																									obj_t
																																																																																										BgL_testz00_22901;
																																																																																									BgL_testz00_22901
																																																																																										=
																																																																																										BgL_arg5053z00_6095;
																																																																																									BgL_proc1z00_22902
																																																																																										=
																																																																																										BgL_carzd231739zd2_6090;
																																																																																									BgL_proc2z00_22903
																																																																																										=
																																																																																										BgL_carzd231746zd2_6092;
																																																																																									BgL_argsz00_22904
																																																																																										=
																																																																																										BgL_cdrzd231719zd2_6087;
																																																																																									BgL_argsz00_1813
																																																																																										=
																																																																																										BgL_argsz00_22904;
																																																																																									BgL_proc2z00_1812
																																																																																										=
																																																																																										BgL_proc2z00_22903;
																																																																																									BgL_proc1z00_1811
																																																																																										=
																																																																																										BgL_proc1z00_22902;
																																																																																									BgL_testz00_1810
																																																																																										=
																																																																																										BgL_testz00_22901;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1814;
																																																																																								}
																																																																																								BgL_auxz00_22720
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_22900);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1838;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_22908;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1839;
																																																																																									BgL_auxz00_22720
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_22908);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1838;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_22912;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1839;
																																																																																							BgL_auxz00_22720
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_22912);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1838;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_22916;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1839;
																																																																																					BgL_auxz00_22720
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_22916);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1838;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_22920;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1839;
																																																																														BgL_auxz00_22720
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_22920);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd232022zd2_6114;
																																																																										BgL_cdrzd232022zd2_6114
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd232028zd2_6115;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_12032;
																																																																												BgL_pairz00_12032
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd232028zd2_6115
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_12032);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd232034zd2_6116;
																																																																												BgL_cdrzd232034zd2_6116
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd232028zd2_6115));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd232039zd2_6117;
																																																																													obj_t
																																																																														BgL_cdrzd232040zd2_6118;
																																																																													BgL_carzd232039zd2_6117
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd232034zd2_6116));
																																																																													BgL_cdrzd232040zd2_6118
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd232034zd2_6116));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232039zd2_6117))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd232045zd2_6120;
																																																																															BgL_carzd232045zd2_6120
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd232040zd2_6118));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232045zd2_6120))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (NULLP(CDR(((obj_t) BgL_cdrzd232040zd2_6118))))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd232022zd2_6114))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg5068z00_6125;
																																																																																					BgL_arg5068z00_6125
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd232028zd2_6115));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_22947;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_22951;
																																																																																							obj_t
																																																																																								BgL_proc2z00_22950;
																																																																																							obj_t
																																																																																								BgL_proc1z00_22949;
																																																																																							obj_t
																																																																																								BgL_testz00_22948;
																																																																																							BgL_testz00_22948
																																																																																								=
																																																																																								BgL_arg5068z00_6125;
																																																																																							BgL_proc1z00_22949
																																																																																								=
																																																																																								BgL_carzd232039zd2_6117;
																																																																																							BgL_proc2z00_22950
																																																																																								=
																																																																																								BgL_carzd232045zd2_6120;
																																																																																							BgL_argsz00_22951
																																																																																								=
																																																																																								BgL_cdrzd232022zd2_6114;
																																																																																							BgL_argsz00_1813
																																																																																								=
																																																																																								BgL_argsz00_22951;
																																																																																							BgL_proc2z00_1812
																																																																																								=
																																																																																								BgL_proc2z00_22950;
																																																																																							BgL_proc1z00_1811
																																																																																								=
																																																																																								BgL_proc1z00_22949;
																																																																																							BgL_testz00_1810
																																																																																								=
																																																																																								BgL_testz00_22948;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1814;
																																																																																						}
																																																																																						BgL_auxz00_22720
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_22947);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1838;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_22955;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1839;
																																																																																							BgL_auxz00_22720
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_22955);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1838;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_22959;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1839;
																																																																																					BgL_auxz00_22720
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_22959);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_22963;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_22720
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_22963);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_22967;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_22720
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_22967);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_22971;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_22720
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_22971);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd232378zd2_6133;
																																																																						BgL_cdrzd232378zd2_6133
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd232385zd2_6134;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_12041;
																																																																								BgL_pairz00_12041
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd232385zd2_6134
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_12041);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd232392zd2_6135;
																																																																								BgL_cdrzd232392zd2_6135
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd232385zd2_6134));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd232398zd2_6136;
																																																																									obj_t
																																																																										BgL_cdrzd232399zd2_6137;
																																																																									BgL_carzd232398zd2_6136
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd232392zd2_6135));
																																																																									BgL_cdrzd232399zd2_6137
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd232392zd2_6135));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232398zd2_6136))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (PAIRP(BgL_cdrzd232399zd2_6137))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd232406zd2_6140;
																																																																													BgL_carzd232406zd2_6140
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd232399zd2_6137);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232406zd2_6140))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(BgL_cdrzd232399zd2_6137)))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd232378zd2_6133))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg5082z00_6145;
																																																																																			BgL_arg5082z00_6145
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd232385zd2_6134));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_22998;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_23002;
																																																																																					obj_t
																																																																																						BgL_proc2z00_23001;
																																																																																					obj_t
																																																																																						BgL_proc1z00_23000;
																																																																																					obj_t
																																																																																						BgL_testz00_22999;
																																																																																					BgL_testz00_22999
																																																																																						=
																																																																																						BgL_arg5082z00_6145;
																																																																																					BgL_proc1z00_23000
																																																																																						=
																																																																																						BgL_carzd232398zd2_6136;
																																																																																					BgL_proc2z00_23001
																																																																																						=
																																																																																						BgL_carzd232406zd2_6140;
																																																																																					BgL_argsz00_23002
																																																																																						=
																																																																																						BgL_cdrzd232378zd2_6133;
																																																																																					BgL_argsz00_1813
																																																																																						=
																																																																																						BgL_argsz00_23002;
																																																																																					BgL_proc2z00_1812
																																																																																						=
																																																																																						BgL_proc2z00_23001;
																																																																																					BgL_proc1z00_1811
																																																																																						=
																																																																																						BgL_proc1z00_23000;
																																																																																					BgL_testz00_1810
																																																																																						=
																																																																																						BgL_testz00_22999;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1814;
																																																																																				}
																																																																																				BgL_auxz00_22720
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_22998);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1838;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_23006;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1839;
																																																																																					BgL_auxz00_22720
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_23006);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_23010;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_22720
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_23010);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_23014;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_22720
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_23014);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_23018;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_23018);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_23022;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_23022);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1838;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_23026;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1839;
																																																																					BgL_auxz00_22720
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_23026);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd232799zd2_6159;
																																																						BgL_cdrzd232799zd2_6159
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8917z00_23030;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg5110z00_6176;
																																																								BgL_arg5110z00_6176
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8917z00_23030
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg5110z00_6176));
																																																							}
																																																							if (BgL_test8917z00_23030)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg5098z00_6162;
																																																									obj_t
																																																										BgL_arg5099z00_6163;
																																																									BgL_arg5098z00_6162
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd232799zd2_6159));
																																																									BgL_arg5099z00_6163
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd232799zd2_6159));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_23039;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_23041;
																																																											obj_t
																																																												BgL_bindingsz00_23040;
																																																											BgL_bindingsz00_23040
																																																												=
																																																												BgL_arg5098z00_6162;
																																																											BgL_exprz00_23041
																																																												=
																																																												BgL_arg5099z00_6163;
																																																											BgL_exprz00_1793
																																																												=
																																																												BgL_exprz00_23041;
																																																											BgL_bindingsz00_1792
																																																												=
																																																												BgL_bindingsz00_23040;
																																																											goto
																																																												BgL_tagzd2382zd2_1794;
																																																										}
																																																										BgL_auxz00_22720
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_23039);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8918z00_23043;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg5109z00_6175;
																																																										BgL_arg5109z00_6175
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8918z00_23043
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg5109z00_6175));
																																																									}
																																																									if (BgL_test8918z00_23043)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_23048;
																																																											goto
																																																												BgL_tagzd2384zd2_1796;
																																																											BgL_auxz00_22720
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_23048);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd232865zd2_6166;
																																																											BgL_carzd232865zd2_6166
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd232870zd2_6167;
																																																												BgL_cdrzd232870zd2_6167
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd232865zd2_6166));
																																																												if ((CAR(((obj_t) BgL_carzd232865zd2_6166)) == CNST_TABLE_REF(((long) 3))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg5104z00_6170;
																																																														obj_t
																																																															BgL_arg5105z00_6171;
																																																														obj_t
																																																															BgL_arg5106z00_6172;
																																																														BgL_arg5104z00_6170
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd232870zd2_6167));
																																																														BgL_arg5105z00_6171
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd232870zd2_6167));
																																																														BgL_arg5106z00_6172
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_23065;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_23068;
																																																																obj_t
																																																																	BgL_bodyz00_23067;
																																																																obj_t
																																																																	BgL_varsz00_23066;
																																																																BgL_varsz00_23066
																																																																	=
																																																																	BgL_arg5104z00_6170;
																																																																BgL_bodyz00_23067
																																																																	=
																																																																	BgL_arg5105z00_6171;
																																																																BgL_argsz00_23068
																																																																	=
																																																																	BgL_arg5106z00_6172;
																																																																BgL_argsz00_1803
																																																																	=
																																																																	BgL_argsz00_23068;
																																																																BgL_bodyz00_1802
																																																																	=
																																																																	BgL_bodyz00_23067;
																																																																BgL_varsz00_1801
																																																																	=
																																																																	BgL_varsz00_23066;
																																																																goto
																																																																	BgL_tagzd2386zd2_1804;
																																																															}
																																																															BgL_auxz00_22720
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_23065);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1838;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_23072;
																																																																goto
																																																																	BgL_tagzd2404zd2_1839;
																																																																BgL_auxz00_22720
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_23072);
																																																															}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd232981zd2_6177;
																																																				BgL_cdrzd232981zd2_6177
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8921z00_23076;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg5119z00_6186;
																																																						BgL_arg5119z00_6186
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8921z00_23076
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg5119z00_6186));
																																																					}
																																																					if (BgL_test8921z00_23076)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg5113z00_6180;
																																																							obj_t
																																																								BgL_arg5114z00_6181;
																																																							BgL_arg5113z00_6180
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd232981zd2_6177));
																																																							BgL_arg5114z00_6181
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd232981zd2_6177));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_23085;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_23087;
																																																									obj_t
																																																										BgL_bindingsz00_23086;
																																																									BgL_bindingsz00_23086
																																																										=
																																																										BgL_arg5113z00_6180;
																																																									BgL_exprz00_23087
																																																										=
																																																										BgL_arg5114z00_6181;
																																																									BgL_exprz00_1793
																																																										=
																																																										BgL_exprz00_23087;
																																																									BgL_bindingsz00_1792
																																																										=
																																																										BgL_bindingsz00_23086;
																																																									goto
																																																										BgL_tagzd2382zd2_1794;
																																																								}
																																																								BgL_auxz00_22720
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_23085);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8922z00_23089;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg5118z00_6185;
																																																								BgL_arg5118z00_6185
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8922z00_23089
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg5118z00_6185));
																																																							}
																																																							if (BgL_test8922z00_23089)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_23094;
																																																									goto
																																																										BgL_tagzd2384zd2_1796;
																																																									BgL_auxz00_22720
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_23094);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2403zd2_1838;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_23098;
																																																											goto
																																																												BgL_tagzd2404zd2_1839;
																																																											BgL_auxz00_22720
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_23098);
																																																										}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd231546zd2_5913)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd231548zd2_5915;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if ((BgL_carzd231546zd2_5913 == CNST_TABLE_REF(((long) 18))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd231548zd2_5915;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if ((BgL_carzd231546zd2_5913 == CNST_TABLE_REF(((long) 19))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd231548zd2_5915;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd231546zd2_5913)))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_kapzd231548zd2_5915;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd233153zd2_5921;
																																																										BgL_cdrzd233153zd2_5921
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test8928z00_23114;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg5019z00_6038;
																																																												BgL_arg5019z00_6038
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test8928z00_23114
																																																													=
																																																													CBOOL
																																																													(BGl_letzd2symzf3z21zzast_letz00
																																																													(BgL_arg5019z00_6038));
																																																											}
																																																											if (BgL_test8928z00_23114)
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg4947z00_5924;
																																																													obj_t
																																																														BgL_arg4948z00_5925;
																																																													BgL_arg4947z00_5924
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd233153zd2_5921));
																																																													BgL_arg4948z00_5925
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd233153zd2_5921));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_23123;
																																																														{
																																																															obj_t
																																																																BgL_exprz00_23125;
																																																															obj_t
																																																																BgL_bindingsz00_23124;
																																																															BgL_bindingsz00_23124
																																																																=
																																																																BgL_arg4947z00_5924;
																																																															BgL_exprz00_23125
																																																																=
																																																																BgL_arg4948z00_5925;
																																																															BgL_exprz00_1793
																																																																=
																																																																BgL_exprz00_23125;
																																																															BgL_bindingsz00_1792
																																																																=
																																																																BgL_bindingsz00_23124;
																																																															goto
																																																																BgL_tagzd2382zd2_1794;
																																																														}
																																																														BgL_auxz00_22720
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_23123);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test8929z00_23127;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg5018z00_6037;
																																																														BgL_arg5018z00_6037
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test8929z00_23127
																																																															=
																																																															CBOOL
																																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																																															(BgL_arg5018z00_6037));
																																																													}
																																																													if (BgL_test8929z00_23127)
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_23132;
																																																															goto
																																																																BgL_tagzd2384zd2_1796;
																																																															BgL_auxz00_22720
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_23132);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd233219zd2_5928;
																																																															BgL_carzd233219zd2_5928
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd233224zd2_5929;
																																																																BgL_cdrzd233224zd2_5929
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd233219zd2_5928));
																																																																if ((CAR(((obj_t) BgL_carzd233219zd2_5928)) == CNST_TABLE_REF(((long) 3))))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd233224zd2_5929))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg4954z00_5933;
																																																																				obj_t
																																																																					BgL_arg4955z00_5934;
																																																																				obj_t
																																																																					BgL_arg4956z00_5935;
																																																																				BgL_arg4954z00_5933
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd233224zd2_5929);
																																																																				BgL_arg4955z00_5934
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd233224zd2_5929);
																																																																				BgL_arg4956z00_5935
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_23149;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_23152;
																																																																						obj_t
																																																																							BgL_bodyz00_23151;
																																																																						obj_t
																																																																							BgL_varsz00_23150;
																																																																						BgL_varsz00_23150
																																																																							=
																																																																							BgL_arg4954z00_5933;
																																																																						BgL_bodyz00_23151
																																																																							=
																																																																							BgL_arg4955z00_5934;
																																																																						BgL_argsz00_23152
																																																																							=
																																																																							BgL_arg4956z00_5935;
																																																																						BgL_argsz00_1803
																																																																							=
																																																																							BgL_argsz00_23152;
																																																																						BgL_bodyz00_1802
																																																																							=
																																																																							BgL_bodyz00_23151;
																																																																						BgL_varsz00_1801
																																																																							=
																																																																							BgL_varsz00_23150;
																																																																						goto
																																																																							BgL_tagzd2386zd2_1804;
																																																																					}
																																																																					BgL_auxz00_22720
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_23149);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_23156;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_22720
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_23156);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd233331zd2_5938;
																																																																		BgL_cdrzd233331zd2_5938
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd233336zd2_5939;
																																																																			BgL_cdrzd233336zd2_5939
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_carzd233219zd2_5928));
																																																																			if ((CAR(((obj_t) BgL_carzd233219zd2_5928)) == CNST_TABLE_REF(((long) 1))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd233336zd2_5939))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd233341zd2_5943;
																																																																							BgL_cdrzd233341zd2_5943
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd233336zd2_5939);
																																																																							if (PAIRP(BgL_cdrzd233341zd2_5943))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd233345zd2_5945;
																																																																									obj_t
																																																																										BgL_cdrzd233346zd2_5946;
																																																																									BgL_carzd233345zd2_5945
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd233341zd2_5943);
																																																																									BgL_cdrzd233346zd2_5946
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd233341zd2_5943);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233345zd2_5945))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (PAIRP(BgL_cdrzd233346zd2_5946))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd233351zd2_5949;
																																																																													BgL_carzd233351zd2_5949
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd233346zd2_5946);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233351zd2_5949))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(BgL_cdrzd233346zd2_5946)))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	bool_t
																																																																																		BgL_test8940z00_23184;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_l1427z00_5982;
																																																																																		BgL_l1427z00_5982
																																																																																			=
																																																																																			BgL_cdrzd233331zd2_5938;
																																																																																	BgL_zc3z04anonymousza34982ze3z87_5983:
																																																																																		if (NULLP(BgL_l1427z00_5982))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test8940z00_23184
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					1);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				bool_t
																																																																																					BgL_test8942z00_23187;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					bool_t
																																																																																						BgL_test8943z00_23188;
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_tmpz00_23189;
																																																																																						BgL_tmpz00_23189
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_l1427z00_5982));
																																																																																						BgL_test8943z00_23188
																																																																																							=
																																																																																							PAIRP
																																																																																							(BgL_tmpz00_23189);
																																																																																					}
																																																																																					if (BgL_test8943z00_23188)
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							BgL_test8942z00_23187
																																																																																								=
																																																																																								(
																																																																																								(bool_t)
																																																																																								0);
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							BgL_test8942z00_23187
																																																																																								=
																																																																																								(
																																																																																								(bool_t)
																																																																																								1);
																																																																																						}
																																																																																				}
																																																																																				if (BgL_test8942z00_23187)
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_l1427z00_23193;
																																																																																						BgL_l1427z00_23193
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_l1427z00_5982));
																																																																																						BgL_l1427z00_5982
																																																																																							=
																																																																																							BgL_l1427z00_23193;
																																																																																						goto
																																																																																							BgL_zc3z04anonymousza34982ze3z87_5983;
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						BgL_test8940z00_23184
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							0);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																	if (BgL_test8940z00_23184)
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg4972z00_5965;
																																																																																			BgL_arg4972z00_5965
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd233336zd2_5939);
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_23197;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_23201;
																																																																																					obj_t
																																																																																						BgL_proc2z00_23200;
																																																																																					obj_t
																																																																																						BgL_proc1z00_23199;
																																																																																					obj_t
																																																																																						BgL_testz00_23198;
																																																																																					BgL_testz00_23198
																																																																																						=
																																																																																						BgL_arg4972z00_5965;
																																																																																					BgL_proc1z00_23199
																																																																																						=
																																																																																						BgL_carzd233345zd2_5945;
																																																																																					BgL_proc2z00_23200
																																																																																						=
																																																																																						BgL_carzd233351zd2_5949;
																																																																																					BgL_argsz00_23201
																																																																																						=
																																																																																						BgL_cdrzd233331zd2_5938;
																																																																																					BgL_argsz00_1808
																																																																																						=
																																																																																						BgL_argsz00_23201;
																																																																																					BgL_proc2z00_1807
																																																																																						=
																																																																																						BgL_proc2z00_23200;
																																																																																					BgL_proc1z00_1806
																																																																																						=
																																																																																						BgL_proc1z00_23199;
																																																																																					BgL_testz00_1805
																																																																																						=
																																																																																						BgL_testz00_23198;
																																																																																					goto
																																																																																						BgL_tagzd2387zd2_1809;
																																																																																				}
																																																																																				BgL_auxz00_22720
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_23197);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd233376zd2_5966;
																																																																																			BgL_cdrzd233376zd2_5966
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_cdrzd233384zd2_5967;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_pairz00_12089;
																																																																																					BgL_pairz00_12089
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					BgL_cdrzd233384zd2_5967
																																																																																						=
																																																																																						CDR
																																																																																						(BgL_pairz00_12089);
																																																																																				}
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_cdrzd233392zd2_5968;
																																																																																					BgL_cdrzd233392zd2_5968
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd233384zd2_5967));
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd233399zd2_5969;
																																																																																						BgL_carzd233399zd2_5969
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd233392zd2_5968));
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233399zd2_5969))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_carzd233408zd2_5971;
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									obj_t
																																																																																										BgL_pairz00_12093;
																																																																																									BgL_pairz00_12093
																																																																																										=
																																																																																										CDR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd233392zd2_5968));
																																																																																									BgL_carzd233408zd2_5971
																																																																																										=
																																																																																										CAR
																																																																																										(BgL_pairz00_12093);
																																																																																								}
																																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233408zd2_5971))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd233376zd2_5966))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												obj_t
																																																																																													BgL_arg4976z00_5974;
																																																																																												BgL_arg4976z00_5974
																																																																																													=
																																																																																													CAR
																																																																																													(
																																																																																													((obj_t) BgL_cdrzd233384zd2_5967));
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_23223;
																																																																																													{
																																																																																														obj_t
																																																																																															BgL_argsz00_23227;
																																																																																														obj_t
																																																																																															BgL_proc2z00_23226;
																																																																																														obj_t
																																																																																															BgL_proc1z00_23225;
																																																																																														obj_t
																																																																																															BgL_testz00_23224;
																																																																																														BgL_testz00_23224
																																																																																															=
																																																																																															BgL_arg4976z00_5974;
																																																																																														BgL_proc1z00_23225
																																																																																															=
																																																																																															BgL_carzd233399zd2_5969;
																																																																																														BgL_proc2z00_23226
																																																																																															=
																																																																																															BgL_carzd233408zd2_5971;
																																																																																														BgL_argsz00_23227
																																																																																															=
																																																																																															BgL_cdrzd233376zd2_5966;
																																																																																														BgL_argsz00_1813
																																																																																															=
																																																																																															BgL_argsz00_23227;
																																																																																														BgL_proc2z00_1812
																																																																																															=
																																																																																															BgL_proc2z00_23226;
																																																																																														BgL_proc1z00_1811
																																																																																															=
																																																																																															BgL_proc1z00_23225;
																																																																																														BgL_testz00_1810
																																																																																															=
																																																																																															BgL_testz00_23224;
																																																																																														goto
																																																																																															BgL_tagzd2388zd2_1814;
																																																																																													}
																																																																																													BgL_auxz00_22720
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_23223);
																																																																																												}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2403zd2_1838;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_23231;
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1839;
																																																																																														BgL_auxz00_22720
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_23231);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2403zd2_1838;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_23235;
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1839;
																																																																																												BgL_auxz00_22720
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_23235);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1838;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_23239;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1839;
																																																																																										BgL_auxz00_22720
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_23239);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_23243;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_22720
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_23243);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd233686zd2_5993;
																																																																															BgL_cdrzd233686zd2_5993
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd233693zd2_5994;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_pairz00_12097;
																																																																																	BgL_pairz00_12097
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd233693zd2_5994
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_12097);
																																																																																}
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd233700zd2_5995;
																																																																																	BgL_cdrzd233700zd2_5995
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd233693zd2_5994));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd233706zd2_5996;
																																																																																		obj_t
																																																																																			BgL_cdrzd233707zd2_5997;
																																																																																		BgL_carzd233706zd2_5996
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd233700zd2_5995));
																																																																																		BgL_cdrzd233707zd2_5997
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd233700zd2_5995));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233706zd2_5996))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd233714zd2_5999;
																																																																																				BgL_carzd233714zd2_5999
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd233707zd2_5997));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233714zd2_5999))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd233707zd2_5997))))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd233686zd2_5993))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_arg4991z00_6004;
																																																																																										BgL_arg4991z00_6004
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd233693zd2_5994));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_23270;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_23274;
																																																																																												obj_t
																																																																																													BgL_proc2z00_23273;
																																																																																												obj_t
																																																																																													BgL_proc1z00_23272;
																																																																																												obj_t
																																																																																													BgL_testz00_23271;
																																																																																												BgL_testz00_23271
																																																																																													=
																																																																																													BgL_arg4991z00_6004;
																																																																																												BgL_proc1z00_23272
																																																																																													=
																																																																																													BgL_carzd233706zd2_5996;
																																																																																												BgL_proc2z00_23273
																																																																																													=
																																																																																													BgL_carzd233714zd2_5999;
																																																																																												BgL_argsz00_23274
																																																																																													=
																																																																																													BgL_cdrzd233686zd2_5993;
																																																																																												BgL_argsz00_1813
																																																																																													=
																																																																																													BgL_argsz00_23274;
																																																																																												BgL_proc2z00_1812
																																																																																													=
																																																																																													BgL_proc2z00_23273;
																																																																																												BgL_proc1z00_1811
																																																																																													=
																																																																																													BgL_proc1z00_23272;
																																																																																												BgL_testz00_1810
																																																																																													=
																																																																																													BgL_testz00_23271;
																																																																																												goto
																																																																																													BgL_tagzd2388zd2_1814;
																																																																																											}
																																																																																											BgL_auxz00_22720
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_23270);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2403zd2_1838;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_23278;
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1839;
																																																																																												BgL_auxz00_22720
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_23278);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1838;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_23282;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1839;
																																																																																										BgL_auxz00_22720
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_23282);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1838;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_23286;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1839;
																																																																																								BgL_auxz00_22720
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_23286);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_23290;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_22720
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_23290);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_23294;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_23294);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd234047zd2_6012;
																																																																											BgL_cdrzd234047zd2_6012
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd234053zd2_6013;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_12106;
																																																																													BgL_pairz00_12106
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd234053zd2_6013
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_12106);
																																																																												}
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd234059zd2_6014;
																																																																													BgL_cdrzd234059zd2_6014
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd234053zd2_6013));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd234064zd2_6015;
																																																																														obj_t
																																																																															BgL_cdrzd234065zd2_6016;
																																																																														BgL_carzd234064zd2_6015
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd234059zd2_6014));
																																																																														BgL_cdrzd234065zd2_6016
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd234059zd2_6014));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234064zd2_6015))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (PAIRP(BgL_cdrzd234065zd2_6016))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd234070zd2_6019;
																																																																																		BgL_carzd234070zd2_6019
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd234065zd2_6016);
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234070zd2_6019))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (NULLP(CDR(BgL_cdrzd234065zd2_6016)))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd234047zd2_6012))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg5005z00_6024;
																																																																																								BgL_arg5005z00_6024
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd234053zd2_6013));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_23321;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_23325;
																																																																																										obj_t
																																																																																											BgL_proc2z00_23324;
																																																																																										obj_t
																																																																																											BgL_proc1z00_23323;
																																																																																										obj_t
																																																																																											BgL_testz00_23322;
																																																																																										BgL_testz00_23322
																																																																																											=
																																																																																											BgL_arg5005z00_6024;
																																																																																										BgL_proc1z00_23323
																																																																																											=
																																																																																											BgL_carzd234064zd2_6015;
																																																																																										BgL_proc2z00_23324
																																																																																											=
																																																																																											BgL_carzd234070zd2_6019;
																																																																																										BgL_argsz00_23325
																																																																																											=
																																																																																											BgL_cdrzd234047zd2_6012;
																																																																																										BgL_argsz00_1813
																																																																																											=
																																																																																											BgL_argsz00_23325;
																																																																																										BgL_proc2z00_1812
																																																																																											=
																																																																																											BgL_proc2z00_23324;
																																																																																										BgL_proc1z00_1811
																																																																																											=
																																																																																											BgL_proc1z00_23323;
																																																																																										BgL_testz00_1810
																																																																																											=
																																																																																											BgL_testz00_23322;
																																																																																										goto
																																																																																											BgL_tagzd2388zd2_1814;
																																																																																									}
																																																																																									BgL_auxz00_22720
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_23321);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1838;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_23329;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1839;
																																																																																										BgL_auxz00_22720
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_23329);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1838;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_23333;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1839;
																																																																																								BgL_auxz00_22720
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_23333);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_23337;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_22720
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_23337);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_23341;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_22720
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_23341);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1838;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_23345;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1839;
																																																																																		BgL_auxz00_22720
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_23345);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_23349;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_23349);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_23353;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_23353);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_23357;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_22720
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_23357);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_cdrzd234608zd2_6188;
																																															BgL_cdrzd234608zd2_6188
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if ((BgL_carzd231543zd2_5911 == CNST_TABLE_REF(((long) 17))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg5121z00_6190;
																																																	obj_t
																																																		BgL_arg5122z00_6191;
																																																	BgL_arg5121z00_6190
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd234608zd2_6188));
																																																	BgL_arg5122z00_6191
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd234608zd2_6188));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_23368;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_23370;
																																																			obj_t
																																																				BgL_bindingsz00_23369;
																																																			BgL_bindingsz00_23369
																																																				=
																																																				BgL_arg5121z00_6190;
																																																			BgL_exprz00_23370
																																																				=
																																																				BgL_arg5122z00_6191;
																																																			BgL_exprz00_1793
																																																				=
																																																				BgL_exprz00_23370;
																																																			BgL_bindingsz00_1792
																																																				=
																																																				BgL_bindingsz00_23369;
																																																			goto
																																																				BgL_tagzd2382zd2_1794;
																																																		}
																																																		BgL_auxz00_22720
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_23368);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd231543zd2_5911)))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg5124z00_6193;
																																																			obj_t
																																																				BgL_arg5125z00_6194;
																																																			BgL_arg5124z00_6193
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd234608zd2_6188));
																																																			BgL_arg5125z00_6194
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd234608zd2_6188));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_23379;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_23381;
																																																					obj_t
																																																						BgL_bindingsz00_23380;
																																																					BgL_bindingsz00_23380
																																																						=
																																																						BgL_arg5124z00_6193;
																																																					BgL_exprz00_23381
																																																						=
																																																						BgL_arg5125z00_6194;
																																																					BgL_exprz00_1793
																																																						=
																																																						BgL_exprz00_23381;
																																																					BgL_bindingsz00_1792
																																																						=
																																																						BgL_bindingsz00_23380;
																																																					goto
																																																						BgL_tagzd2382zd2_1794;
																																																				}
																																																				BgL_auxz00_22720
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_23379);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((BgL_carzd231543zd2_5911 == CNST_TABLE_REF(((long) 18))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg5127z00_6196;
																																																					obj_t
																																																						BgL_arg5128z00_6197;
																																																					BgL_arg5127z00_6196
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd234608zd2_6188));
																																																					BgL_arg5128z00_6197
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd234608zd2_6188));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_23390;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_23392;
																																																							obj_t
																																																								BgL_bindingsz00_23391;
																																																							BgL_bindingsz00_23391
																																																								=
																																																								BgL_arg5127z00_6196;
																																																							BgL_exprz00_23392
																																																								=
																																																								BgL_arg5128z00_6197;
																																																							BgL_exprz00_1793
																																																								=
																																																								BgL_exprz00_23392;
																																																							BgL_bindingsz00_1792
																																																								=
																																																								BgL_bindingsz00_23391;
																																																							goto
																																																								BgL_tagzd2382zd2_1794;
																																																						}
																																																						BgL_auxz00_22720
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_23390);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_23399;
																																																							goto
																																																								BgL_tagzd2383zd2_1795;
																																																							BgL_auxz00_22720
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_23399);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd234645zd2_6200;
																																																							BgL_carzd234645zd2_6200
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							if ((BgL_carzd234645zd2_6200 == CNST_TABLE_REF(((long) 19))))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_23406;
																																																									goto
																																																										BgL_tagzd2384zd2_1796;
																																																									BgL_auxz00_22720
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_23406);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd234645zd2_6200)))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_23411;
																																																											goto
																																																												BgL_tagzd2384zd2_1796;
																																																											BgL_auxz00_22720
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_23411);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_23418;
																																																													goto
																																																														BgL_tagzd2389zd2_1815;
																																																													BgL_auxz00_22720
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_23418);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_23425;
																																																															goto
																																																																BgL_tagzd2390zd2_1816;
																																																															BgL_auxz00_22720
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_23425);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd234725zd2_6207;
																																																															BgL_cdrzd234725zd2_6207
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg5139z00_6210;
																																																																	obj_t
																																																																		BgL_arg5140z00_6211;
																																																																	BgL_arg5139z00_6210
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd234725zd2_6207));
																																																																	BgL_arg5140z00_6211
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd234725zd2_6207));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_23438;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_23440;
																																																																			obj_t
																																																																				BgL_effectz00_23439;
																																																																			BgL_effectz00_23439
																																																																				=
																																																																				BgL_arg5139z00_6210;
																																																																			BgL_restz00_23440
																																																																				=
																																																																				BgL_arg5140z00_6211;
																																																																			BgL_restz00_1818
																																																																				=
																																																																				BgL_restz00_23440;
																																																																			BgL_effectz00_1817
																																																																				=
																																																																				BgL_effectz00_23439;
																																																																			goto
																																																																				BgL_tagzd2391zd2_1819;
																																																																		}
																																																																		BgL_auxz00_22720
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_23438);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_23447;
																																																																			goto
																																																																				BgL_tagzd2392zd2_1820;
																																																																			BgL_auxz00_22720
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_23447);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_23454;
																																																																					goto
																																																																						BgL_tagzd2393zd2_1821;
																																																																					BgL_auxz00_22720
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_23454);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_arg5147z00_6219;
																																																																							obj_t
																																																																								BgL_arg5148z00_6220;
																																																																							BgL_arg5147z00_6219
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd234725zd2_6207));
																																																																							BgL_arg5148z00_6220
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd234725zd2_6207));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_23465;
																																																																								{
																																																																									obj_t
																																																																										BgL_restz00_23467;
																																																																									obj_t
																																																																										BgL_effectz00_23466;
																																																																									BgL_effectz00_23466
																																																																										=
																																																																										BgL_arg5147z00_6219;
																																																																									BgL_restz00_23467
																																																																										=
																																																																										BgL_arg5148z00_6220;
																																																																									BgL_restz00_1823
																																																																										=
																																																																										BgL_restz00_23467;
																																																																									BgL_effectz00_1822
																																																																										=
																																																																										BgL_effectz00_23466;
																																																																									goto
																																																																										BgL_tagzd2394zd2_1824;
																																																																								}
																																																																								BgL_auxz00_22720
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_23465);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_23474;
																																																																									goto
																																																																										BgL_tagzd2395zd2_1825;
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_23474);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_23481;
																																																																											goto
																																																																												BgL_tagzd2396zd2_1826;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_23481);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																												{
																																																																													BgL_letzd2funzd2_bglt
																																																																														BgL_auxz00_23488;
																																																																													goto
																																																																														BgL_tagzd2397zd2_1827;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_23488);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																														{
																																																																															BgL_jumpzd2exzd2itz00_bglt
																																																																																BgL_auxz00_23495;
																																																																															goto
																																																																																BgL_tagzd2398zd2_1828;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_23495);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd234802zd2_6229;
																																																																															BgL_cdrzd234802zd2_6229
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg5159z00_6232;
																																																																																	obj_t
																																																																																		BgL_arg5160z00_6233;
																																																																																	BgL_arg5159z00_6232
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd234802zd2_6229));
																																																																																	BgL_arg5160z00_6233
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd234802zd2_6229));
																																																																																	{	/* Ast/sexp.scm 555 */
																																																																																		obj_t
																																																																																			BgL_arg7079z00_12143;
																																																																																		BgL_arg7079z00_12143
																																																																																			=
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_locz00_23);
																																																																																		BgL_auxz00_22720
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																				BgL_arg5159z00_6232,
																																																																																				CNST_TABLE_REF
																																																																																				(((long) 4)), BgL_arg5160z00_6233, BgL_stackz00_22, BgL_arg7079z00_12143, BgL_sitez00_24));
																																																																																}}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_23514;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_22720
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_23514);
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd234827zd2_6250;
																																			BgL_carzd234827zd2_6250
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (
																																				(BgL_carzd234827zd2_6250
																																					==
																																					CNST_TABLE_REF
																																					(((long) 1))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_23521;
																																					goto
																																						BgL_tagzd2377zd2_1783;
																																					BgL_auxz00_22720
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_23521);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(BgL_carzd234827zd2_6250
																																							==
																																							BGl_za2ifza2z00zzast_sexpz00))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_23525;
																																							goto
																																								BgL_tagzd2377zd2_1783;
																																							BgL_auxz00_22720
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_23525);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_23532;
																																									goto
																																										BgL_tagzd2379zd2_1787;
																																									BgL_auxz00_22720
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_23532);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_23539;
																																											goto
																																												BgL_tagzd2380zd2_1788;
																																											BgL_auxz00_22720
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_23539);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_carzd234896zd2_6257;
																																											BgL_carzd234896zd2_6257
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if (PAIRP(BgL_carzd234896zd2_6257))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_carzd234899zd2_6259;
																																													obj_t
																																														BgL_cdrzd234900zd2_6260;
																																													BgL_carzd234899zd2_6259
																																														=
																																														CAR
																																														(BgL_carzd234896zd2_6257);
																																													BgL_cdrzd234900zd2_6260
																																														=
																																														CDR
																																														(BgL_carzd234896zd2_6257);
																																													{

																																														if ((BgL_carzd234899zd2_6259 == CNST_TABLE_REF(((long) 17))))
																																															{	/* Ast/sexp.scm 119 */
																																															BgL_kapzd234901zd2_6261:
																																																if (PAIRP(BgL_cdrzd234900zd2_6260))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd234904zd2_6386;
																																																		BgL_cdrzd234904zd2_6386
																																																			=
																																																			CDR
																																																			(BgL_cdrzd234900zd2_6260);
																																																		if (PAIRP(BgL_cdrzd234904zd2_6386))
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (NULLP(CDR(BgL_cdrzd234904zd2_6386)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg5267z00_6390;
																																																						obj_t
																																																							BgL_arg5268z00_6391;
																																																						BgL_arg5267z00_6390
																																																							=
																																																							CAR
																																																							(BgL_cdrzd234904zd2_6386);
																																																						BgL_arg5268z00_6391
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_23561;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_23563;
																																																								obj_t
																																																									BgL_bodyz00_23562;
																																																								BgL_bodyz00_23562
																																																									=
																																																									BgL_arg5267z00_6390;
																																																								BgL_argsz00_23563
																																																									=
																																																									BgL_arg5268z00_6391;
																																																								BgL_argsz00_1790
																																																									=
																																																									BgL_argsz00_23563;
																																																								BgL_bodyz00_1789
																																																									=
																																																									BgL_bodyz00_23562;
																																																								goto
																																																									BgL_tagzd2381zd2_1791;
																																																							}
																																																							BgL_auxz00_22720
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_23561);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd234928zd2_6392;
																																																						BgL_cdrzd234928zd2_6392
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test9000z00_23567;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg5337z00_6503;
																																																								BgL_arg5337z00_6503
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test9000z00_23567
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg5337z00_6503));
																																																							}
																																																							if (BgL_test9000z00_23567)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg5271z00_6395;
																																																									obj_t
																																																										BgL_arg5272z00_6396;
																																																									BgL_arg5271z00_6395
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd234928zd2_6392));
																																																									BgL_arg5272z00_6396
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd234928zd2_6392));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_23576;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_23578;
																																																											obj_t
																																																												BgL_bindingsz00_23577;
																																																											BgL_bindingsz00_23577
																																																												=
																																																												BgL_arg5271z00_6395;
																																																											BgL_exprz00_23578
																																																												=
																																																												BgL_arg5272z00_6396;
																																																											BgL_exprz00_1793
																																																												=
																																																												BgL_exprz00_23578;
																																																											BgL_bindingsz00_1792
																																																												=
																																																												BgL_bindingsz00_23577;
																																																											goto
																																																												BgL_tagzd2382zd2_1794;
																																																										}
																																																										BgL_auxz00_22720
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_23576);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test9001z00_23580;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg5336z00_6502;
																																																										BgL_arg5336z00_6502
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test9001z00_23580
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg5336z00_6502));
																																																									}
																																																									if (BgL_test9001z00_23580)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_23585;
																																																											goto
																																																												BgL_tagzd2384zd2_1796;
																																																											BgL_auxz00_22720
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_23585);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd234995zd2_6399;
																																																											BgL_carzd234995zd2_6399
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd235000zd2_6400;
																																																												BgL_cdrzd235000zd2_6400
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd234995zd2_6399));
																																																												if ((CAR(((obj_t) BgL_carzd234995zd2_6399)) == CNST_TABLE_REF(((long) 3))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg5277z00_6403;
																																																														obj_t
																																																															BgL_arg5278z00_6404;
																																																														obj_t
																																																															BgL_arg5279z00_6405;
																																																														BgL_arg5277z00_6403
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd235000zd2_6400));
																																																														BgL_arg5278z00_6404
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd235000zd2_6400));
																																																														BgL_arg5279z00_6405
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_23602;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_23605;
																																																																obj_t
																																																																	BgL_bodyz00_23604;
																																																																obj_t
																																																																	BgL_varsz00_23603;
																																																																BgL_varsz00_23603
																																																																	=
																																																																	BgL_arg5277z00_6403;
																																																																BgL_bodyz00_23604
																																																																	=
																																																																	BgL_arg5278z00_6404;
																																																																BgL_argsz00_23605
																																																																	=
																																																																	BgL_arg5279z00_6405;
																																																																BgL_argsz00_1803
																																																																	=
																																																																	BgL_argsz00_23605;
																																																																BgL_bodyz00_1802
																																																																	=
																																																																	BgL_bodyz00_23604;
																																																																BgL_varsz00_1801
																																																																	=
																																																																	BgL_varsz00_23603;
																																																																goto
																																																																	BgL_tagzd2386zd2_1804;
																																																															}
																																																															BgL_auxz00_22720
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_23602);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd235023zd2_6407;
																																																														BgL_cdrzd235023zd2_6407
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd235029zd2_6408;
																																																															BgL_cdrzd235029zd2_6408
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd234995zd2_6399));
																																																															if ((CAR(((obj_t) BgL_carzd234995zd2_6399)) == CNST_TABLE_REF(((long) 1))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd235035zd2_6411;
																																																																	BgL_cdrzd235035zd2_6411
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd235029zd2_6408));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd235040zd2_6412;
																																																																		obj_t
																																																																			BgL_cdrzd235041zd2_6413;
																																																																		BgL_carzd235040zd2_6412
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd235035zd2_6411));
																																																																		BgL_cdrzd235041zd2_6413
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd235035zd2_6411));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235040zd2_6412))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd235041zd2_6413))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd235048zd2_6416;
																																																																						BgL_carzd235048zd2_6416
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd235041zd2_6413);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235048zd2_6416))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(BgL_cdrzd235041zd2_6413)))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test9008z00_23632;
																																																																										{
																																																																											obj_t
																																																																												BgL_l1430z00_6449;
																																																																											BgL_l1430z00_6449
																																																																												=
																																																																												BgL_cdrzd235023zd2_6407;
																																																																										BgL_zc3z04anonymousza35302ze3z87_6450:
																																																																											if (NULLP(BgL_l1430z00_6449))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test9008z00_23632
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test9010z00_23635;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test9011z00_23636;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_tmpz00_23637;
																																																																															BgL_tmpz00_23637
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_l1430z00_6449));
																																																																															BgL_test9011z00_23636
																																																																																=
																																																																																PAIRP
																																																																																(BgL_tmpz00_23637);
																																																																														}
																																																																														if (BgL_test9011z00_23636)
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test9010z00_23635
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test9010z00_23635
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																													}
																																																																													if (BgL_test9010z00_23635)
																																																																														{
																																																																															obj_t
																																																																																BgL_l1430z00_23641;
																																																																															BgL_l1430z00_23641
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_l1430z00_6449));
																																																																															BgL_l1430z00_6449
																																																																																=
																																																																																BgL_l1430z00_23641;
																																																																															goto
																																																																																BgL_zc3z04anonymousza35302ze3z87_6450;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															BgL_test9008z00_23632
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																												}
																																																																										}
																																																																										if (BgL_test9008z00_23632)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg5292z00_6432;
																																																																												BgL_arg5292z00_6432
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd235029zd2_6408));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_23646;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_23650;
																																																																														obj_t
																																																																															BgL_proc2z00_23649;
																																																																														obj_t
																																																																															BgL_proc1z00_23648;
																																																																														obj_t
																																																																															BgL_testz00_23647;
																																																																														BgL_testz00_23647
																																																																															=
																																																																															BgL_arg5292z00_6432;
																																																																														BgL_proc1z00_23648
																																																																															=
																																																																															BgL_carzd235040zd2_6412;
																																																																														BgL_proc2z00_23649
																																																																															=
																																																																															BgL_carzd235048zd2_6416;
																																																																														BgL_argsz00_23650
																																																																															=
																																																																															BgL_cdrzd235023zd2_6407;
																																																																														BgL_argsz00_1808
																																																																															=
																																																																															BgL_argsz00_23650;
																																																																														BgL_proc2z00_1807
																																																																															=
																																																																															BgL_proc2z00_23649;
																																																																														BgL_proc1z00_1806
																																																																															=
																																																																															BgL_proc1z00_23648;
																																																																														BgL_testz00_1805
																																																																															=
																																																																															BgL_testz00_23647;
																																																																														goto
																																																																															BgL_tagzd2387zd2_1809;
																																																																													}
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_23646);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd235072zd2_6433;
																																																																												BgL_cdrzd235072zd2_6433
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd235079zd2_6434;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_12179;
																																																																														BgL_pairz00_12179
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd235079zd2_6434
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_12179);
																																																																													}
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd235086zd2_6435;
																																																																														BgL_cdrzd235086zd2_6435
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd235079zd2_6434));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd235092zd2_6436;
																																																																															BgL_carzd235092zd2_6436
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd235086zd2_6435));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235092zd2_6436))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd235099zd2_6438;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_pairz00_12183;
																																																																																		BgL_pairz00_12183
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd235086zd2_6435));
																																																																																		BgL_carzd235099zd2_6438
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_pairz00_12183);
																																																																																	}
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235099zd2_6438))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd235072zd2_6433))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg5296z00_6441;
																																																																																					BgL_arg5296z00_6441
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd235079zd2_6434));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_23672;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_23676;
																																																																																							obj_t
																																																																																								BgL_proc2z00_23675;
																																																																																							obj_t
																																																																																								BgL_proc1z00_23674;
																																																																																							obj_t
																																																																																								BgL_testz00_23673;
																																																																																							BgL_testz00_23673
																																																																																								=
																																																																																								BgL_arg5296z00_6441;
																																																																																							BgL_proc1z00_23674
																																																																																								=
																																																																																								BgL_carzd235092zd2_6436;
																																																																																							BgL_proc2z00_23675
																																																																																								=
																																																																																								BgL_carzd235099zd2_6438;
																																																																																							BgL_argsz00_23676
																																																																																								=
																																																																																								BgL_cdrzd235072zd2_6433;
																																																																																							BgL_argsz00_1813
																																																																																								=
																																																																																								BgL_argsz00_23676;
																																																																																							BgL_proc2z00_1812
																																																																																								=
																																																																																								BgL_proc2z00_23675;
																																																																																							BgL_proc1z00_1811
																																																																																								=
																																																																																								BgL_proc1z00_23674;
																																																																																							BgL_testz00_1810
																																																																																								=
																																																																																								BgL_testz00_23673;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1814;
																																																																																						}
																																																																																						BgL_auxz00_22720
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_23672);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1838;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_23680;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1839;
																																																																																							BgL_auxz00_22720
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_23680);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1838;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_23684;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1839;
																																																																																					BgL_auxz00_22720
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_23684);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_23688;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_22720
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_23688);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_23692;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																												BgL_auxz00_22720
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_23692);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd235375zd2_6460;
																																																																								BgL_cdrzd235375zd2_6460
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd235381zd2_6461;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_12187;
																																																																										BgL_pairz00_12187
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd235381zd2_6461
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_12187);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd235387zd2_6462;
																																																																										BgL_cdrzd235387zd2_6462
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd235381zd2_6461));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd235392zd2_6463;
																																																																											obj_t
																																																																												BgL_cdrzd235393zd2_6464;
																																																																											BgL_carzd235392zd2_6463
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd235387zd2_6462));
																																																																											BgL_cdrzd235393zd2_6464
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd235387zd2_6462));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235392zd2_6463))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd235398zd2_6466;
																																																																													BgL_carzd235398zd2_6466
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd235393zd2_6464));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235398zd2_6466))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(((obj_t) BgL_cdrzd235393zd2_6464))))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd235375zd2_6460))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg5311z00_6471;
																																																																																			BgL_arg5311z00_6471
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd235381zd2_6461));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_23719;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_23723;
																																																																																					obj_t
																																																																																						BgL_proc2z00_23722;
																																																																																					obj_t
																																																																																						BgL_proc1z00_23721;
																																																																																					obj_t
																																																																																						BgL_testz00_23720;
																																																																																					BgL_testz00_23720
																																																																																						=
																																																																																						BgL_arg5311z00_6471;
																																																																																					BgL_proc1z00_23721
																																																																																						=
																																																																																						BgL_carzd235392zd2_6463;
																																																																																					BgL_proc2z00_23722
																																																																																						=
																																																																																						BgL_carzd235398zd2_6466;
																																																																																					BgL_argsz00_23723
																																																																																						=
																																																																																						BgL_cdrzd235375zd2_6460;
																																																																																					BgL_argsz00_1813
																																																																																						=
																																																																																						BgL_argsz00_23723;
																																																																																					BgL_proc2z00_1812
																																																																																						=
																																																																																						BgL_proc2z00_23722;
																																																																																					BgL_proc1z00_1811
																																																																																						=
																																																																																						BgL_proc1z00_23721;
																																																																																					BgL_testz00_1810
																																																																																						=
																																																																																						BgL_testz00_23720;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1814;
																																																																																				}
																																																																																				BgL_auxz00_22720
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_23719);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1838;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_23727;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1839;
																																																																																					BgL_auxz00_22720
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_23727);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_23731;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_22720
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_23731);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_23735;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_22720
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_23735);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_23739;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_23739);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_23743;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_22720
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_23743);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd235731zd2_6479;
																																																																				BgL_cdrzd235731zd2_6479
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd235738zd2_6480;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_12196;
																																																																						BgL_pairz00_12196
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd235738zd2_6480
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_12196);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd235745zd2_6481;
																																																																						BgL_cdrzd235745zd2_6481
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd235738zd2_6480));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd235751zd2_6482;
																																																																							obj_t
																																																																								BgL_cdrzd235752zd2_6483;
																																																																							BgL_carzd235751zd2_6482
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd235745zd2_6481));
																																																																							BgL_cdrzd235752zd2_6483
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd235745zd2_6481));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235751zd2_6482))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (PAIRP(BgL_cdrzd235752zd2_6483))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd235759zd2_6486;
																																																																											BgL_carzd235759zd2_6486
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd235752zd2_6483);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235759zd2_6486))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(BgL_cdrzd235752zd2_6483)))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd235731zd2_6479))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg5325z00_6491;
																																																																																	BgL_arg5325z00_6491
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd235738zd2_6480));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_23770;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_23774;
																																																																																			obj_t
																																																																																				BgL_proc2z00_23773;
																																																																																			obj_t
																																																																																				BgL_proc1z00_23772;
																																																																																			obj_t
																																																																																				BgL_testz00_23771;
																																																																																			BgL_testz00_23771
																																																																																				=
																																																																																				BgL_arg5325z00_6491;
																																																																																			BgL_proc1z00_23772
																																																																																				=
																																																																																				BgL_carzd235751zd2_6482;
																																																																																			BgL_proc2z00_23773
																																																																																				=
																																																																																				BgL_carzd235759zd2_6486;
																																																																																			BgL_argsz00_23774
																																																																																				=
																																																																																				BgL_cdrzd235731zd2_6479;
																																																																																			BgL_argsz00_1813
																																																																																				=
																																																																																				BgL_argsz00_23774;
																																																																																			BgL_proc2z00_1812
																																																																																				=
																																																																																				BgL_proc2z00_23773;
																																																																																			BgL_proc1z00_1811
																																																																																				=
																																																																																				BgL_proc1z00_23772;
																																																																																			BgL_testz00_1810
																																																																																				=
																																																																																				BgL_testz00_23771;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1814;
																																																																																		}
																																																																																		BgL_auxz00_22720
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_23770);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_23778;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_22720
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_23778);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_23782;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_22720
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_23782);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_23786;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_23786);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_23790;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_23790);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_23794;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_23794);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1838;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_23798;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1839;
																																																																			BgL_auxz00_22720
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_23798);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd236152zd2_6505;
																																																				BgL_cdrzd236152zd2_6505
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test9039z00_23802;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg5353z00_6522;
																																																						BgL_arg5353z00_6522
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test9039z00_23802
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg5353z00_6522));
																																																					}
																																																					if (BgL_test9039z00_23802)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg5341z00_6508;
																																																							obj_t
																																																								BgL_arg5342z00_6509;
																																																							BgL_arg5341z00_6508
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd236152zd2_6505));
																																																							BgL_arg5342z00_6509
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd236152zd2_6505));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_23811;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_23813;
																																																									obj_t
																																																										BgL_bindingsz00_23812;
																																																									BgL_bindingsz00_23812
																																																										=
																																																										BgL_arg5341z00_6508;
																																																									BgL_exprz00_23813
																																																										=
																																																										BgL_arg5342z00_6509;
																																																									BgL_exprz00_1793
																																																										=
																																																										BgL_exprz00_23813;
																																																									BgL_bindingsz00_1792
																																																										=
																																																										BgL_bindingsz00_23812;
																																																									goto
																																																										BgL_tagzd2382zd2_1794;
																																																								}
																																																								BgL_auxz00_22720
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_23811);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test9040z00_23815;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg5352z00_6521;
																																																								BgL_arg5352z00_6521
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test9040z00_23815
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg5352z00_6521));
																																																							}
																																																							if (BgL_test9040z00_23815)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_23820;
																																																									goto
																																																										BgL_tagzd2384zd2_1796;
																																																									BgL_auxz00_22720
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_23820);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd236218zd2_6512;
																																																									BgL_carzd236218zd2_6512
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd236223zd2_6513;
																																																										BgL_cdrzd236223zd2_6513
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd236218zd2_6512));
																																																										if ((CAR(((obj_t) BgL_carzd236218zd2_6512)) == CNST_TABLE_REF(((long) 3))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg5347z00_6516;
																																																												obj_t
																																																													BgL_arg5348z00_6517;
																																																												obj_t
																																																													BgL_arg5349z00_6518;
																																																												BgL_arg5347z00_6516
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd236223zd2_6513));
																																																												BgL_arg5348z00_6517
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd236223zd2_6513));
																																																												BgL_arg5349z00_6518
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_23837;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_23840;
																																																														obj_t
																																																															BgL_bodyz00_23839;
																																																														obj_t
																																																															BgL_varsz00_23838;
																																																														BgL_varsz00_23838
																																																															=
																																																															BgL_arg5347z00_6516;
																																																														BgL_bodyz00_23839
																																																															=
																																																															BgL_arg5348z00_6517;
																																																														BgL_argsz00_23840
																																																															=
																																																															BgL_arg5349z00_6518;
																																																														BgL_argsz00_1803
																																																															=
																																																															BgL_argsz00_23840;
																																																														BgL_bodyz00_1802
																																																															=
																																																															BgL_bodyz00_23839;
																																																														BgL_varsz00_1801
																																																															=
																																																															BgL_varsz00_23838;
																																																														goto
																																																															BgL_tagzd2386zd2_1804;
																																																													}
																																																													BgL_auxz00_22720
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_23837);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2403zd2_1838;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_23844;
																																																														goto
																																																															BgL_tagzd2404zd2_1839;
																																																														BgL_auxz00_22720
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_23844);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd236334zd2_6523;
																																																		BgL_cdrzd236334zd2_6523
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test9043z00_23848;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg5362z00_6532;
																																																				BgL_arg5362z00_6532
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test9043z00_23848
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg5362z00_6532));
																																																			}
																																																			if (BgL_test9043z00_23848)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg5356z00_6526;
																																																					obj_t
																																																						BgL_arg5357z00_6527;
																																																					BgL_arg5356z00_6526
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd236334zd2_6523));
																																																					BgL_arg5357z00_6527
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd236334zd2_6523));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_23857;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_23859;
																																																							obj_t
																																																								BgL_bindingsz00_23858;
																																																							BgL_bindingsz00_23858
																																																								=
																																																								BgL_arg5356z00_6526;
																																																							BgL_exprz00_23859
																																																								=
																																																								BgL_arg5357z00_6527;
																																																							BgL_exprz00_1793
																																																								=
																																																								BgL_exprz00_23859;
																																																							BgL_bindingsz00_1792
																																																								=
																																																								BgL_bindingsz00_23858;
																																																							goto
																																																								BgL_tagzd2382zd2_1794;
																																																						}
																																																						BgL_auxz00_22720
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_23857);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test9044z00_23861;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg5361z00_6531;
																																																						BgL_arg5361z00_6531
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test9044z00_23861
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg5361z00_6531));
																																																					}
																																																					if (BgL_test9044z00_23861)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_23866;
																																																							goto
																																																								BgL_tagzd2384zd2_1796;
																																																							BgL_auxz00_22720
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_23866);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 119 */
																																																									goto
																																																										BgL_tagzd2403zd2_1838;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_23870;
																																																									goto
																																																										BgL_tagzd2404zd2_1839;
																																																									BgL_auxz00_22720
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_23870);
																																																								}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd234899zd2_6259)))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd234901zd2_6261;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((BgL_carzd234899zd2_6259 == CNST_TABLE_REF(((long) 18))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd234901zd2_6261;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if ((BgL_carzd234899zd2_6259 == CNST_TABLE_REF(((long) 19))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd234901zd2_6261;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd234899zd2_6259)))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd234901zd2_6261;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd236506zd2_6267;
																																																								BgL_cdrzd236506zd2_6267
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test9050z00_23886;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg5262z00_6384;
																																																										BgL_arg5262z00_6384
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test9050z00_23886
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg5262z00_6384));
																																																									}
																																																									if (BgL_test9050z00_23886)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg5190z00_6270;
																																																											obj_t
																																																												BgL_arg5191z00_6271;
																																																											BgL_arg5190z00_6270
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd236506zd2_6267));
																																																											BgL_arg5191z00_6271
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd236506zd2_6267));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_23895;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_23897;
																																																													obj_t
																																																														BgL_bindingsz00_23896;
																																																													BgL_bindingsz00_23896
																																																														=
																																																														BgL_arg5190z00_6270;
																																																													BgL_exprz00_23897
																																																														=
																																																														BgL_arg5191z00_6271;
																																																													BgL_exprz00_1793
																																																														=
																																																														BgL_exprz00_23897;
																																																													BgL_bindingsz00_1792
																																																														=
																																																														BgL_bindingsz00_23896;
																																																													goto
																																																														BgL_tagzd2382zd2_1794;
																																																												}
																																																												BgL_auxz00_22720
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_23895);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test9051z00_23899;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg5261z00_6383;
																																																												BgL_arg5261z00_6383
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test9051z00_23899
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg5261z00_6383));
																																																											}
																																																											if (BgL_test9051z00_23899)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_23904;
																																																													goto
																																																														BgL_tagzd2384zd2_1796;
																																																													BgL_auxz00_22720
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_23904);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd236572zd2_6274;
																																																													BgL_carzd236572zd2_6274
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd236577zd2_6275;
																																																														BgL_cdrzd236577zd2_6275
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd236572zd2_6274));
																																																														if ((CAR(((obj_t) BgL_carzd236572zd2_6274)) == CNST_TABLE_REF(((long) 3))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd236577zd2_6275))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg5197z00_6279;
																																																																		obj_t
																																																																			BgL_arg5198z00_6280;
																																																																		obj_t
																																																																			BgL_arg5199z00_6281;
																																																																		BgL_arg5197z00_6279
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd236577zd2_6275);
																																																																		BgL_arg5198z00_6280
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd236577zd2_6275);
																																																																		BgL_arg5199z00_6281
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_23921;
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_23924;
																																																																				obj_t
																																																																					BgL_bodyz00_23923;
																																																																				obj_t
																																																																					BgL_varsz00_23922;
																																																																				BgL_varsz00_23922
																																																																					=
																																																																					BgL_arg5197z00_6279;
																																																																				BgL_bodyz00_23923
																																																																					=
																																																																					BgL_arg5198z00_6280;
																																																																				BgL_argsz00_23924
																																																																					=
																																																																					BgL_arg5199z00_6281;
																																																																				BgL_argsz00_1803
																																																																					=
																																																																					BgL_argsz00_23924;
																																																																				BgL_bodyz00_1802
																																																																					=
																																																																					BgL_bodyz00_23923;
																																																																				BgL_varsz00_1801
																																																																					=
																																																																					BgL_varsz00_23922;
																																																																				goto
																																																																					BgL_tagzd2386zd2_1804;
																																																																			}
																																																																			BgL_auxz00_22720
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_23921);
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1838;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_23928;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1839;
																																																																				BgL_auxz00_22720
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_23928);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd236684zd2_6284;
																																																																BgL_cdrzd236684zd2_6284
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd236689zd2_6285;
																																																																	BgL_cdrzd236689zd2_6285
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd236572zd2_6274));
																																																																	if ((CAR(((obj_t) BgL_carzd236572zd2_6274)) == CNST_TABLE_REF(((long) 1))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (PAIRP(BgL_cdrzd236689zd2_6285))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd236694zd2_6289;
																																																																					BgL_cdrzd236694zd2_6289
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd236689zd2_6285);
																																																																					if (PAIRP(BgL_cdrzd236694zd2_6289))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd236698zd2_6291;
																																																																							obj_t
																																																																								BgL_cdrzd236699zd2_6292;
																																																																							BgL_carzd236698zd2_6291
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd236694zd2_6289);
																																																																							BgL_cdrzd236699zd2_6292
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd236694zd2_6289);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236698zd2_6291))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (PAIRP(BgL_cdrzd236699zd2_6292))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd236704zd2_6295;
																																																																											BgL_carzd236704zd2_6295
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd236699zd2_6292);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236704zd2_6295))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(BgL_cdrzd236699zd2_6292)))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															bool_t
																																																																																BgL_test9062z00_23956;
																																																																															{
																																																																																obj_t
																																																																																	BgL_l1433z00_6328;
																																																																																BgL_l1433z00_6328
																																																																																	=
																																																																																	BgL_cdrzd236684zd2_6284;
																																																																															BgL_zc3z04anonymousza35225ze3z87_6329:
																																																																																if (NULLP(BgL_l1433z00_6328))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test9062z00_23956
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		bool_t
																																																																																			BgL_test9064z00_23959;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			bool_t
																																																																																				BgL_test9065z00_23960;
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_tmpz00_23961;
																																																																																				BgL_tmpz00_23961
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_l1433z00_6328));
																																																																																				BgL_test9065z00_23960
																																																																																					=
																																																																																					PAIRP
																																																																																					(BgL_tmpz00_23961);
																																																																																			}
																																																																																			if (BgL_test9065z00_23960)
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					BgL_test9064z00_23959
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						0);
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					BgL_test9064z00_23959
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						1);
																																																																																				}
																																																																																		}
																																																																																		if (BgL_test9064z00_23959)
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_l1433z00_23965;
																																																																																				BgL_l1433z00_23965
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_l1433z00_6328));
																																																																																				BgL_l1433z00_6328
																																																																																					=
																																																																																					BgL_l1433z00_23965;
																																																																																				goto
																																																																																					BgL_zc3z04anonymousza35225ze3z87_6329;
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test9062z00_23956
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					0);
																																																																																			}
																																																																																	}
																																																																															}
																																																																															if (BgL_test9062z00_23956)
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg5215z00_6311;
																																																																																	BgL_arg5215z00_6311
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd236689zd2_6285);
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_23969;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_23973;
																																																																																			obj_t
																																																																																				BgL_proc2z00_23972;
																																																																																			obj_t
																																																																																				BgL_proc1z00_23971;
																																																																																			obj_t
																																																																																				BgL_testz00_23970;
																																																																																			BgL_testz00_23970
																																																																																				=
																																																																																				BgL_arg5215z00_6311;
																																																																																			BgL_proc1z00_23971
																																																																																				=
																																																																																				BgL_carzd236698zd2_6291;
																																																																																			BgL_proc2z00_23972
																																																																																				=
																																																																																				BgL_carzd236704zd2_6295;
																																																																																			BgL_argsz00_23973
																																																																																				=
																																																																																				BgL_cdrzd236684zd2_6284;
																																																																																			BgL_argsz00_1808
																																																																																				=
																																																																																				BgL_argsz00_23973;
																																																																																			BgL_proc2z00_1807
																																																																																				=
																																																																																				BgL_proc2z00_23972;
																																																																																			BgL_proc1z00_1806
																																																																																				=
																																																																																				BgL_proc1z00_23971;
																																																																																			BgL_testz00_1805
																																																																																				=
																																																																																				BgL_testz00_23970;
																																																																																			goto
																																																																																				BgL_tagzd2387zd2_1809;
																																																																																		}
																																																																																		BgL_auxz00_22720
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_23969);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd236729zd2_6312;
																																																																																	BgL_cdrzd236729zd2_6312
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd236737zd2_6313;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_pairz00_12244;
																																																																																			BgL_pairz00_12244
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			BgL_cdrzd236737zd2_6313
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_pairz00_12244);
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd236745zd2_6314;
																																																																																			BgL_cdrzd236745zd2_6314
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd236737zd2_6313));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd236752zd2_6315;
																																																																																				BgL_carzd236752zd2_6315
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd236745zd2_6314));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236752zd2_6315))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd236761zd2_6317;
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_pairz00_12248;
																																																																																							BgL_pairz00_12248
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd236745zd2_6314));
																																																																																							BgL_carzd236761zd2_6317
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_pairz00_12248);
																																																																																						}
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236761zd2_6317))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd236729zd2_6312))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_arg5219z00_6320;
																																																																																										BgL_arg5219z00_6320
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd236737zd2_6313));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_23995;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_23999;
																																																																																												obj_t
																																																																																													BgL_proc2z00_23998;
																																																																																												obj_t
																																																																																													BgL_proc1z00_23997;
																																																																																												obj_t
																																																																																													BgL_testz00_23996;
																																																																																												BgL_testz00_23996
																																																																																													=
																																																																																													BgL_arg5219z00_6320;
																																																																																												BgL_proc1z00_23997
																																																																																													=
																																																																																													BgL_carzd236752zd2_6315;
																																																																																												BgL_proc2z00_23998
																																																																																													=
																																																																																													BgL_carzd236761zd2_6317;
																																																																																												BgL_argsz00_23999
																																																																																													=
																																																																																													BgL_cdrzd236729zd2_6312;
																																																																																												BgL_argsz00_1813
																																																																																													=
																																																																																													BgL_argsz00_23999;
																																																																																												BgL_proc2z00_1812
																																																																																													=
																																																																																													BgL_proc2z00_23998;
																																																																																												BgL_proc1z00_1811
																																																																																													=
																																																																																													BgL_proc1z00_23997;
																																																																																												BgL_testz00_1810
																																																																																													=
																																																																																													BgL_testz00_23996;
																																																																																												goto
																																																																																													BgL_tagzd2388zd2_1814;
																																																																																											}
																																																																																											BgL_auxz00_22720
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_23995);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2403zd2_1838;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_24003;
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1839;
																																																																																												BgL_auxz00_22720
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_24003);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1838;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_24007;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1839;
																																																																																										BgL_auxz00_22720
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_24007);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1838;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_24011;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1839;
																																																																																								BgL_auxz00_22720
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_24011);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_24015;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_22720
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_24015);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd237039zd2_6339;
																																																																													BgL_cdrzd237039zd2_6339
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd237046zd2_6340;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_12252;
																																																																															BgL_pairz00_12252
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd237046zd2_6340
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_12252);
																																																																														}
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd237053zd2_6341;
																																																																															BgL_cdrzd237053zd2_6341
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd237046zd2_6340));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd237059zd2_6342;
																																																																																obj_t
																																																																																	BgL_cdrzd237060zd2_6343;
																																																																																BgL_carzd237059zd2_6342
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd237053zd2_6341));
																																																																																BgL_cdrzd237060zd2_6343
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd237053zd2_6341));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd237059zd2_6342))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd237067zd2_6345;
																																																																																		BgL_carzd237067zd2_6345
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd237060zd2_6343));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd237067zd2_6345))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd237060zd2_6343))))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd237039zd2_6339))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg5234z00_6350;
																																																																																								BgL_arg5234z00_6350
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd237046zd2_6340));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_24042;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_24046;
																																																																																										obj_t
																																																																																											BgL_proc2z00_24045;
																																																																																										obj_t
																																																																																											BgL_proc1z00_24044;
																																																																																										obj_t
																																																																																											BgL_testz00_24043;
																																																																																										BgL_testz00_24043
																																																																																											=
																																																																																											BgL_arg5234z00_6350;
																																																																																										BgL_proc1z00_24044
																																																																																											=
																																																																																											BgL_carzd237059zd2_6342;
																																																																																										BgL_proc2z00_24045
																																																																																											=
																																																																																											BgL_carzd237067zd2_6345;
																																																																																										BgL_argsz00_24046
																																																																																											=
																																																																																											BgL_cdrzd237039zd2_6339;
																																																																																										BgL_argsz00_1813
																																																																																											=
																																																																																											BgL_argsz00_24046;
																																																																																										BgL_proc2z00_1812
																																																																																											=
																																																																																											BgL_proc2z00_24045;
																																																																																										BgL_proc1z00_1811
																																																																																											=
																																																																																											BgL_proc1z00_24044;
																																																																																										BgL_testz00_1810
																																																																																											=
																																																																																											BgL_testz00_24043;
																																																																																										goto
																																																																																											BgL_tagzd2388zd2_1814;
																																																																																									}
																																																																																									BgL_auxz00_22720
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_24042);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1838;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_24050;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1839;
																																																																																										BgL_auxz00_22720
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_24050);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1838;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_24054;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1839;
																																																																																								BgL_auxz00_22720
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_24054);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_24058;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_22720
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_24058);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_24062;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_22720
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_24062);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_24066;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_24066);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd237400zd2_6358;
																																																																									BgL_cdrzd237400zd2_6358
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd237406zd2_6359;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_12261;
																																																																											BgL_pairz00_12261
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd237406zd2_6359
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_12261);
																																																																										}
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd237412zd2_6360;
																																																																											BgL_cdrzd237412zd2_6360
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd237406zd2_6359));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd237417zd2_6361;
																																																																												obj_t
																																																																													BgL_cdrzd237418zd2_6362;
																																																																												BgL_carzd237417zd2_6361
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd237412zd2_6360));
																																																																												BgL_cdrzd237418zd2_6362
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd237412zd2_6360));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd237417zd2_6361))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (PAIRP(BgL_cdrzd237418zd2_6362))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd237423zd2_6365;
																																																																																BgL_carzd237423zd2_6365
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd237418zd2_6362);
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd237423zd2_6365))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (NULLP(CDR(BgL_cdrzd237418zd2_6362)))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd237400zd2_6358))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_arg5248z00_6370;
																																																																																						BgL_arg5248z00_6370
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd237406zd2_6359));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_24093;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_24097;
																																																																																								obj_t
																																																																																									BgL_proc2z00_24096;
																																																																																								obj_t
																																																																																									BgL_proc1z00_24095;
																																																																																								obj_t
																																																																																									BgL_testz00_24094;
																																																																																								BgL_testz00_24094
																																																																																									=
																																																																																									BgL_arg5248z00_6370;
																																																																																								BgL_proc1z00_24095
																																																																																									=
																																																																																									BgL_carzd237417zd2_6361;
																																																																																								BgL_proc2z00_24096
																																																																																									=
																																																																																									BgL_carzd237423zd2_6365;
																																																																																								BgL_argsz00_24097
																																																																																									=
																																																																																									BgL_cdrzd237400zd2_6358;
																																																																																								BgL_argsz00_1813
																																																																																									=
																																																																																									BgL_argsz00_24097;
																																																																																								BgL_proc2z00_1812
																																																																																									=
																																																																																									BgL_proc2z00_24096;
																																																																																								BgL_proc1z00_1811
																																																																																									=
																																																																																									BgL_proc1z00_24095;
																																																																																								BgL_testz00_1810
																																																																																									=
																																																																																									BgL_testz00_24094;
																																																																																								goto
																																																																																									BgL_tagzd2388zd2_1814;
																																																																																							}
																																																																																							BgL_auxz00_22720
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_24093);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1838;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_24101;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1839;
																																																																																								BgL_auxz00_22720
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_24101);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_24105;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_22720
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_24105);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_24109;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_22720
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_24109);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1838;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_24113;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1839;
																																																																																		BgL_auxz00_22720
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_24113);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1838;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_24117;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1839;
																																																																																BgL_auxz00_22720
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_24117);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_24121;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_24121);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_24125;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_22720
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_24125);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1838;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_24129;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1839;
																																																																					BgL_auxz00_22720
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_24129);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_cdrzd237961zd2_6534;
																																													BgL_cdrzd237961zd2_6534
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if ((BgL_carzd234896zd2_6257 == CNST_TABLE_REF(((long) 17))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg5364z00_6536;
																																															obj_t
																																																BgL_arg5365z00_6537;
																																															BgL_arg5364z00_6536
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd237961zd2_6534));
																																															BgL_arg5365z00_6537
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd237961zd2_6534));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_24140;
																																																{
																																																	obj_t
																																																		BgL_exprz00_24142;
																																																	obj_t
																																																		BgL_bindingsz00_24141;
																																																	BgL_bindingsz00_24141
																																																		=
																																																		BgL_arg5364z00_6536;
																																																	BgL_exprz00_24142
																																																		=
																																																		BgL_arg5365z00_6537;
																																																	BgL_exprz00_1793
																																																		=
																																																		BgL_exprz00_24142;
																																																	BgL_bindingsz00_1792
																																																		=
																																																		BgL_bindingsz00_24141;
																																																	goto
																																																		BgL_tagzd2382zd2_1794;
																																																}
																																																BgL_auxz00_22720
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_24140);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd234896zd2_6257)))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg5367z00_6539;
																																																	obj_t
																																																		BgL_arg5368z00_6540;
																																																	BgL_arg5367z00_6539
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd237961zd2_6534));
																																																	BgL_arg5368z00_6540
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd237961zd2_6534));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_24151;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_24153;
																																																			obj_t
																																																				BgL_bindingsz00_24152;
																																																			BgL_bindingsz00_24152
																																																				=
																																																				BgL_arg5367z00_6539;
																																																			BgL_exprz00_24153
																																																				=
																																																				BgL_arg5368z00_6540;
																																																			BgL_exprz00_1793
																																																				=
																																																				BgL_exprz00_24153;
																																																			BgL_bindingsz00_1792
																																																				=
																																																				BgL_bindingsz00_24152;
																																																			goto
																																																				BgL_tagzd2382zd2_1794;
																																																		}
																																																		BgL_auxz00_22720
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_24151);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((BgL_carzd234896zd2_6257 == CNST_TABLE_REF(((long) 18))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg5370z00_6542;
																																																			obj_t
																																																				BgL_arg5371z00_6543;
																																																			BgL_arg5370z00_6542
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd237961zd2_6534));
																																																			BgL_arg5371z00_6543
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd237961zd2_6534));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_24162;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_24164;
																																																					obj_t
																																																						BgL_bindingsz00_24163;
																																																					BgL_bindingsz00_24163
																																																						=
																																																						BgL_arg5370z00_6542;
																																																					BgL_exprz00_24164
																																																						=
																																																						BgL_arg5371z00_6543;
																																																					BgL_exprz00_1793
																																																						=
																																																						BgL_exprz00_24164;
																																																					BgL_bindingsz00_1792
																																																						=
																																																						BgL_bindingsz00_24163;
																																																					goto
																																																						BgL_tagzd2382zd2_1794;
																																																				}
																																																				BgL_auxz00_22720
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_24162);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_24171;
																																																					goto
																																																						BgL_tagzd2383zd2_1795;
																																																					BgL_auxz00_22720
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_24171);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd237998zd2_6546;
																																																					BgL_carzd237998zd2_6546
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					if ((BgL_carzd237998zd2_6546 == CNST_TABLE_REF(((long) 19))))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_24178;
																																																							goto
																																																								BgL_tagzd2384zd2_1796;
																																																							BgL_auxz00_22720
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_24178);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd237998zd2_6546)))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_24183;
																																																									goto
																																																										BgL_tagzd2384zd2_1796;
																																																									BgL_auxz00_22720
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_24183);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_24190;
																																																											goto
																																																												BgL_tagzd2389zd2_1815;
																																																											BgL_auxz00_22720
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_24190);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_24197;
																																																													goto
																																																														BgL_tagzd2390zd2_1816;
																																																													BgL_auxz00_22720
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_24197);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd238078zd2_6553;
																																																													BgL_cdrzd238078zd2_6553
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg5382z00_6556;
																																																															obj_t
																																																																BgL_arg5383z00_6557;
																																																															BgL_arg5382z00_6556
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd238078zd2_6553));
																																																															BgL_arg5383z00_6557
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd238078zd2_6553));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_24210;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_24212;
																																																																	obj_t
																																																																		BgL_effectz00_24211;
																																																																	BgL_effectz00_24211
																																																																		=
																																																																		BgL_arg5382z00_6556;
																																																																	BgL_restz00_24212
																																																																		=
																																																																		BgL_arg5383z00_6557;
																																																																	BgL_restz00_1818
																																																																		=
																																																																		BgL_restz00_24212;
																																																																	BgL_effectz00_1817
																																																																		=
																																																																		BgL_effectz00_24211;
																																																																	goto
																																																																		BgL_tagzd2391zd2_1819;
																																																																}
																																																																BgL_auxz00_22720
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_24210);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_24219;
																																																																	goto
																																																																		BgL_tagzd2392zd2_1820;
																																																																	BgL_auxz00_22720
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_24219);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_24226;
																																																																			goto
																																																																				BgL_tagzd2393zd2_1821;
																																																																			BgL_auxz00_22720
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_24226);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg5390z00_6565;
																																																																					obj_t
																																																																						BgL_arg5391z00_6566;
																																																																					BgL_arg5390z00_6565
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd238078zd2_6553));
																																																																					BgL_arg5391z00_6566
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd238078zd2_6553));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_24237;
																																																																						{
																																																																							obj_t
																																																																								BgL_restz00_24239;
																																																																							obj_t
																																																																								BgL_effectz00_24238;
																																																																							BgL_effectz00_24238
																																																																								=
																																																																								BgL_arg5390z00_6565;
																																																																							BgL_restz00_24239
																																																																								=
																																																																								BgL_arg5391z00_6566;
																																																																							BgL_restz00_1823
																																																																								=
																																																																								BgL_restz00_24239;
																																																																							BgL_effectz00_1822
																																																																								=
																																																																								BgL_effectz00_24238;
																																																																							goto
																																																																								BgL_tagzd2394zd2_1824;
																																																																						}
																																																																						BgL_auxz00_22720
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_24237);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_24246;
																																																																							goto
																																																																								BgL_tagzd2395zd2_1825;
																																																																							BgL_auxz00_22720
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_24246);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_24253;
																																																																									goto
																																																																										BgL_tagzd2396zd2_1826;
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_24253);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																										{
																																																																											BgL_letzd2funzd2_bglt
																																																																												BgL_auxz00_24260;
																																																																											goto
																																																																												BgL_tagzd2397zd2_1827;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_24260);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																												{
																																																																													BgL_jumpzd2exzd2itz00_bglt
																																																																														BgL_auxz00_24267;
																																																																													goto
																																																																														BgL_tagzd2398zd2_1828;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_24267);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd238155zd2_6575;
																																																																													BgL_cdrzd238155zd2_6575
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg5402z00_6578;
																																																																															obj_t
																																																																																BgL_arg5403z00_6579;
																																																																															BgL_arg5402z00_6578
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd238155zd2_6575));
																																																																															BgL_arg5403z00_6579
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd238155zd2_6575));
																																																																															{	/* Ast/sexp.scm 555 */
																																																																																obj_t
																																																																																	BgL_arg7079z00_12298;
																																																																																BgL_arg7079z00_12298
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																BgL_auxz00_22720
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																		BgL_arg5402z00_6578,
																																																																																		CNST_TABLE_REF
																																																																																		(((long) 4)), BgL_arg5403z00_6579, BgL_stackz00_22, BgL_arg7079z00_12298, BgL_sitez00_24));
																																																																														}}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_24286;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_22720
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_24286);
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_carzd238180zd2_6596;
																																	BgL_carzd238180zd2_6596
																																		=
																																		CAR(((obj_t)
																																			BgL_expz00_21));
																																	if (
																																		(BgL_carzd238180zd2_6596
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					1))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_24293;
																																			goto
																																				BgL_tagzd2377zd2_1783;
																																			BgL_auxz00_22720
																																				=
																																				((obj_t)
																																				BgL_auxz00_24293);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(BgL_carzd238180zd2_6596
																																					==
																																					BGl_za2ifza2z00zzast_sexpz00))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_24297;
																																					goto
																																						BgL_tagzd2377zd2_1783;
																																					BgL_auxz00_22720
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_24297);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_24304;
																																							goto
																																								BgL_tagzd2379zd2_1787;
																																							BgL_auxz00_22720
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_24304);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_24311;
																																									goto
																																										BgL_tagzd2380zd2_1788;
																																									BgL_auxz00_22720
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_24311);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_carzd238249zd2_6603;
																																									BgL_carzd238249zd2_6603
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									if (PAIRP(BgL_carzd238249zd2_6603))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_carzd238252zd2_6605;
																																											obj_t
																																												BgL_cdrzd238253zd2_6606;
																																											BgL_carzd238252zd2_6605
																																												=
																																												CAR
																																												(BgL_carzd238249zd2_6603);
																																											BgL_cdrzd238253zd2_6606
																																												=
																																												CDR
																																												(BgL_carzd238249zd2_6603);
																																											{

																																												if ((BgL_carzd238252zd2_6605 == CNST_TABLE_REF(((long) 17))))
																																													{	/* Ast/sexp.scm 119 */
																																													BgL_kapzd238254zd2_6607:
																																														if (PAIRP(BgL_cdrzd238253zd2_6606))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd238257zd2_6732;
																																																BgL_cdrzd238257zd2_6732
																																																	=
																																																	CDR
																																																	(BgL_cdrzd238253zd2_6606);
																																																if (PAIRP(BgL_cdrzd238257zd2_6732))
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (NULLP(CDR(BgL_cdrzd238257zd2_6732)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg5511z00_6736;
																																																				obj_t
																																																					BgL_arg5512z00_6737;
																																																				BgL_arg5511z00_6736
																																																					=
																																																					CAR
																																																					(BgL_cdrzd238257zd2_6732);
																																																				BgL_arg5512z00_6737
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_24333;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_24335;
																																																						obj_t
																																																							BgL_bodyz00_24334;
																																																						BgL_bodyz00_24334
																																																							=
																																																							BgL_arg5511z00_6736;
																																																						BgL_argsz00_24335
																																																							=
																																																							BgL_arg5512z00_6737;
																																																						BgL_argsz00_1790
																																																							=
																																																							BgL_argsz00_24335;
																																																						BgL_bodyz00_1789
																																																							=
																																																							BgL_bodyz00_24334;
																																																						goto
																																																							BgL_tagzd2381zd2_1791;
																																																					}
																																																					BgL_auxz00_22720
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_24333);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd238281zd2_6738;
																																																				BgL_cdrzd238281zd2_6738
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test9122z00_24339;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg5581z00_6849;
																																																						BgL_arg5581z00_6849
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test9122z00_24339
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg5581z00_6849));
																																																					}
																																																					if (BgL_test9122z00_24339)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg5515z00_6741;
																																																							obj_t
																																																								BgL_arg5516z00_6742;
																																																							BgL_arg5515z00_6741
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd238281zd2_6738));
																																																							BgL_arg5516z00_6742
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd238281zd2_6738));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_24348;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_24350;
																																																									obj_t
																																																										BgL_bindingsz00_24349;
																																																									BgL_bindingsz00_24349
																																																										=
																																																										BgL_arg5515z00_6741;
																																																									BgL_exprz00_24350
																																																										=
																																																										BgL_arg5516z00_6742;
																																																									BgL_exprz00_1793
																																																										=
																																																										BgL_exprz00_24350;
																																																									BgL_bindingsz00_1792
																																																										=
																																																										BgL_bindingsz00_24349;
																																																									goto
																																																										BgL_tagzd2382zd2_1794;
																																																								}
																																																								BgL_auxz00_22720
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_24348);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test9123z00_24352;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg5580z00_6848;
																																																								BgL_arg5580z00_6848
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test9123z00_24352
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg5580z00_6848));
																																																							}
																																																							if (BgL_test9123z00_24352)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_24357;
																																																									goto
																																																										BgL_tagzd2384zd2_1796;
																																																									BgL_auxz00_22720
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_24357);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd238348zd2_6745;
																																																									BgL_carzd238348zd2_6745
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd238353zd2_6746;
																																																										BgL_cdrzd238353zd2_6746
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd238348zd2_6745));
																																																										if ((CAR(((obj_t) BgL_carzd238348zd2_6745)) == CNST_TABLE_REF(((long) 3))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg5521z00_6749;
																																																												obj_t
																																																													BgL_arg5522z00_6750;
																																																												obj_t
																																																													BgL_arg5523z00_6751;
																																																												BgL_arg5521z00_6749
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd238353zd2_6746));
																																																												BgL_arg5522z00_6750
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd238353zd2_6746));
																																																												BgL_arg5523z00_6751
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_24374;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_24377;
																																																														obj_t
																																																															BgL_bodyz00_24376;
																																																														obj_t
																																																															BgL_varsz00_24375;
																																																														BgL_varsz00_24375
																																																															=
																																																															BgL_arg5521z00_6749;
																																																														BgL_bodyz00_24376
																																																															=
																																																															BgL_arg5522z00_6750;
																																																														BgL_argsz00_24377
																																																															=
																																																															BgL_arg5523z00_6751;
																																																														BgL_argsz00_1803
																																																															=
																																																															BgL_argsz00_24377;
																																																														BgL_bodyz00_1802
																																																															=
																																																															BgL_bodyz00_24376;
																																																														BgL_varsz00_1801
																																																															=
																																																															BgL_varsz00_24375;
																																																														goto
																																																															BgL_tagzd2386zd2_1804;
																																																													}
																																																													BgL_auxz00_22720
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_24374);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd238376zd2_6753;
																																																												BgL_cdrzd238376zd2_6753
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd238382zd2_6754;
																																																													BgL_cdrzd238382zd2_6754
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd238348zd2_6745));
																																																													if ((CAR(((obj_t) BgL_carzd238348zd2_6745)) == CNST_TABLE_REF(((long) 1))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd238388zd2_6757;
																																																															BgL_cdrzd238388zd2_6757
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd238382zd2_6754));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd238393zd2_6758;
																																																																obj_t
																																																																	BgL_cdrzd238394zd2_6759;
																																																																BgL_carzd238393zd2_6758
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd238388zd2_6757));
																																																																BgL_cdrzd238394zd2_6759
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd238388zd2_6757));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238393zd2_6758))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd238394zd2_6759))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd238401zd2_6762;
																																																																				BgL_carzd238401zd2_6762
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd238394zd2_6759);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238401zd2_6762))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd238394zd2_6759)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test9130z00_24404;
																																																																								{
																																																																									obj_t
																																																																										BgL_l1436z00_6795;
																																																																									BgL_l1436z00_6795
																																																																										=
																																																																										BgL_cdrzd238376zd2_6753;
																																																																								BgL_zc3z04anonymousza35546ze3z87_6796:
																																																																									if (NULLP(BgL_l1436z00_6795))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test9130z00_24404
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test9132z00_24407;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test9133z00_24408;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_tmpz00_24409;
																																																																													BgL_tmpz00_24409
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_l1436z00_6795));
																																																																													BgL_test9133z00_24408
																																																																														=
																																																																														PAIRP
																																																																														(BgL_tmpz00_24409);
																																																																												}
																																																																												if (BgL_test9133z00_24408)
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test9132z00_24407
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test9132z00_24407
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																											}
																																																																											if (BgL_test9132z00_24407)
																																																																												{
																																																																													obj_t
																																																																														BgL_l1436z00_24413;
																																																																													BgL_l1436z00_24413
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_l1436z00_6795));
																																																																													BgL_l1436z00_6795
																																																																														=
																																																																														BgL_l1436z00_24413;
																																																																													goto
																																																																														BgL_zc3z04anonymousza35546ze3z87_6796;
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test9130z00_24404
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																								if (BgL_test9130z00_24404)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg5536z00_6778;
																																																																										BgL_arg5536z00_6778
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd238382zd2_6754));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_24418;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_24422;
																																																																												obj_t
																																																																													BgL_proc2z00_24421;
																																																																												obj_t
																																																																													BgL_proc1z00_24420;
																																																																												obj_t
																																																																													BgL_testz00_24419;
																																																																												BgL_testz00_24419
																																																																													=
																																																																													BgL_arg5536z00_6778;
																																																																												BgL_proc1z00_24420
																																																																													=
																																																																													BgL_carzd238393zd2_6758;
																																																																												BgL_proc2z00_24421
																																																																													=
																																																																													BgL_carzd238401zd2_6762;
																																																																												BgL_argsz00_24422
																																																																													=
																																																																													BgL_cdrzd238376zd2_6753;
																																																																												BgL_argsz00_1808
																																																																													=
																																																																													BgL_argsz00_24422;
																																																																												BgL_proc2z00_1807
																																																																													=
																																																																													BgL_proc2z00_24421;
																																																																												BgL_proc1z00_1806
																																																																													=
																																																																													BgL_proc1z00_24420;
																																																																												BgL_testz00_1805
																																																																													=
																																																																													BgL_testz00_24419;
																																																																												goto
																																																																													BgL_tagzd2387zd2_1809;
																																																																											}
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_24418);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd238425zd2_6779;
																																																																										BgL_cdrzd238425zd2_6779
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd238432zd2_6780;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_12334;
																																																																												BgL_pairz00_12334
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd238432zd2_6780
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_12334);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd238439zd2_6781;
																																																																												BgL_cdrzd238439zd2_6781
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd238432zd2_6780));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd238445zd2_6782;
																																																																													BgL_carzd238445zd2_6782
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd238439zd2_6781));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238445zd2_6782))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd238452zd2_6784;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_12338;
																																																																																BgL_pairz00_12338
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd238439zd2_6781));
																																																																																BgL_carzd238452zd2_6784
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_pairz00_12338);
																																																																															}
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238452zd2_6784))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd238425zd2_6779))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg5540z00_6787;
																																																																																			BgL_arg5540z00_6787
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd238432zd2_6780));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_24444;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_24448;
																																																																																					obj_t
																																																																																						BgL_proc2z00_24447;
																																																																																					obj_t
																																																																																						BgL_proc1z00_24446;
																																																																																					obj_t
																																																																																						BgL_testz00_24445;
																																																																																					BgL_testz00_24445
																																																																																						=
																																																																																						BgL_arg5540z00_6787;
																																																																																					BgL_proc1z00_24446
																																																																																						=
																																																																																						BgL_carzd238445zd2_6782;
																																																																																					BgL_proc2z00_24447
																																																																																						=
																																																																																						BgL_carzd238452zd2_6784;
																																																																																					BgL_argsz00_24448
																																																																																						=
																																																																																						BgL_cdrzd238425zd2_6779;
																																																																																					BgL_argsz00_1813
																																																																																						=
																																																																																						BgL_argsz00_24448;
																																																																																					BgL_proc2z00_1812
																																																																																						=
																																																																																						BgL_proc2z00_24447;
																																																																																					BgL_proc1z00_1811
																																																																																						=
																																																																																						BgL_proc1z00_24446;
																																																																																					BgL_testz00_1810
																																																																																						=
																																																																																						BgL_testz00_24445;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1814;
																																																																																				}
																																																																																				BgL_auxz00_22720
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_24444);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1838;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_24452;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1839;
																																																																																					BgL_auxz00_22720
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_24452);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_24456;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_22720
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_24456);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_24460;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_22720
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_24460);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_24464;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_22720
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_24464);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd238728zd2_6806;
																																																																						BgL_cdrzd238728zd2_6806
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd238734zd2_6807;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_12342;
																																																																								BgL_pairz00_12342
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd238734zd2_6807
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_12342);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd238740zd2_6808;
																																																																								BgL_cdrzd238740zd2_6808
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd238734zd2_6807));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd238745zd2_6809;
																																																																									obj_t
																																																																										BgL_cdrzd238746zd2_6810;
																																																																									BgL_carzd238745zd2_6809
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd238740zd2_6808));
																																																																									BgL_cdrzd238746zd2_6810
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd238740zd2_6808));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238745zd2_6809))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd238751zd2_6812;
																																																																											BgL_carzd238751zd2_6812
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd238746zd2_6810));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238751zd2_6812))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(((obj_t) BgL_cdrzd238746zd2_6810))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd238728zd2_6806))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg5555z00_6817;
																																																																																	BgL_arg5555z00_6817
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd238734zd2_6807));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_24491;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_24495;
																																																																																			obj_t
																																																																																				BgL_proc2z00_24494;
																																																																																			obj_t
																																																																																				BgL_proc1z00_24493;
																																																																																			obj_t
																																																																																				BgL_testz00_24492;
																																																																																			BgL_testz00_24492
																																																																																				=
																																																																																				BgL_arg5555z00_6817;
																																																																																			BgL_proc1z00_24493
																																																																																				=
																																																																																				BgL_carzd238745zd2_6809;
																																																																																			BgL_proc2z00_24494
																																																																																				=
																																																																																				BgL_carzd238751zd2_6812;
																																																																																			BgL_argsz00_24495
																																																																																				=
																																																																																				BgL_cdrzd238728zd2_6806;
																																																																																			BgL_argsz00_1813
																																																																																				=
																																																																																				BgL_argsz00_24495;
																																																																																			BgL_proc2z00_1812
																																																																																				=
																																																																																				BgL_proc2z00_24494;
																																																																																			BgL_proc1z00_1811
																																																																																				=
																																																																																				BgL_proc1z00_24493;
																																																																																			BgL_testz00_1810
																																																																																				=
																																																																																				BgL_testz00_24492;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1814;
																																																																																		}
																																																																																		BgL_auxz00_22720
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_24491);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_24499;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_22720
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_24499);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_24503;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_22720
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_24503);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_24507;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_24507);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_24511;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_24511);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_24515;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_22720
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_24515);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd239084zd2_6825;
																																																																		BgL_cdrzd239084zd2_6825
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd239091zd2_6826;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_12351;
																																																																				BgL_pairz00_12351
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd239091zd2_6826
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_12351);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd239098zd2_6827;
																																																																				BgL_cdrzd239098zd2_6827
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd239091zd2_6826));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd239104zd2_6828;
																																																																					obj_t
																																																																						BgL_cdrzd239105zd2_6829;
																																																																					BgL_carzd239104zd2_6828
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd239098zd2_6827));
																																																																					BgL_cdrzd239105zd2_6829
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd239098zd2_6827));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239104zd2_6828))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd239105zd2_6829))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd239112zd2_6832;
																																																																									BgL_carzd239112zd2_6832
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd239105zd2_6829);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239112zd2_6832))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd239105zd2_6829)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd239084zd2_6825))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg5569z00_6837;
																																																																															BgL_arg5569z00_6837
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd239091zd2_6826));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_24542;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_24546;
																																																																																	obj_t
																																																																																		BgL_proc2z00_24545;
																																																																																	obj_t
																																																																																		BgL_proc1z00_24544;
																																																																																	obj_t
																																																																																		BgL_testz00_24543;
																																																																																	BgL_testz00_24543
																																																																																		=
																																																																																		BgL_arg5569z00_6837;
																																																																																	BgL_proc1z00_24544
																																																																																		=
																																																																																		BgL_carzd239104zd2_6828;
																																																																																	BgL_proc2z00_24545
																																																																																		=
																																																																																		BgL_carzd239112zd2_6832;
																																																																																	BgL_argsz00_24546
																																																																																		=
																																																																																		BgL_cdrzd239084zd2_6825;
																																																																																	BgL_argsz00_1813
																																																																																		=
																																																																																		BgL_argsz00_24546;
																																																																																	BgL_proc2z00_1812
																																																																																		=
																																																																																		BgL_proc2z00_24545;
																																																																																	BgL_proc1z00_1811
																																																																																		=
																																																																																		BgL_proc1z00_24544;
																																																																																	BgL_testz00_1810
																																																																																		=
																																																																																		BgL_testz00_24543;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1814;
																																																																																}
																																																																																BgL_auxz00_22720
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_24542);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_24550;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_22720
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_24550);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_24554;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_24554);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_24558;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_24558);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_24562;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_24562);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_24566;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_24566);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1838;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_24570;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1839;
																																																																	BgL_auxz00_22720
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_24570);
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd239505zd2_6851;
																																																		BgL_cdrzd239505zd2_6851
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test9161z00_24574;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg5597z00_6868;
																																																				BgL_arg5597z00_6868
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test9161z00_24574
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg5597z00_6868));
																																																			}
																																																			if (BgL_test9161z00_24574)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg5585z00_6854;
																																																					obj_t
																																																						BgL_arg5586z00_6855;
																																																					BgL_arg5585z00_6854
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd239505zd2_6851));
																																																					BgL_arg5586z00_6855
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd239505zd2_6851));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_24583;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_24585;
																																																							obj_t
																																																								BgL_bindingsz00_24584;
																																																							BgL_bindingsz00_24584
																																																								=
																																																								BgL_arg5585z00_6854;
																																																							BgL_exprz00_24585
																																																								=
																																																								BgL_arg5586z00_6855;
																																																							BgL_exprz00_1793
																																																								=
																																																								BgL_exprz00_24585;
																																																							BgL_bindingsz00_1792
																																																								=
																																																								BgL_bindingsz00_24584;
																																																							goto
																																																								BgL_tagzd2382zd2_1794;
																																																						}
																																																						BgL_auxz00_22720
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_24583);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test9162z00_24587;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg5596z00_6867;
																																																						BgL_arg5596z00_6867
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test9162z00_24587
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg5596z00_6867));
																																																					}
																																																					if (BgL_test9162z00_24587)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_24592;
																																																							goto
																																																								BgL_tagzd2384zd2_1796;
																																																							BgL_auxz00_22720
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_24592);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd239571zd2_6858;
																																																							BgL_carzd239571zd2_6858
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd239576zd2_6859;
																																																								BgL_cdrzd239576zd2_6859
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd239571zd2_6858));
																																																								if ((CAR(((obj_t) BgL_carzd239571zd2_6858)) == CNST_TABLE_REF(((long) 3))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg5591z00_6862;
																																																										obj_t
																																																											BgL_arg5592z00_6863;
																																																										obj_t
																																																											BgL_arg5593z00_6864;
																																																										BgL_arg5591z00_6862
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd239576zd2_6859));
																																																										BgL_arg5592z00_6863
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd239576zd2_6859));
																																																										BgL_arg5593z00_6864
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_24609;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_24612;
																																																												obj_t
																																																													BgL_bodyz00_24611;
																																																												obj_t
																																																													BgL_varsz00_24610;
																																																												BgL_varsz00_24610
																																																													=
																																																													BgL_arg5591z00_6862;
																																																												BgL_bodyz00_24611
																																																													=
																																																													BgL_arg5592z00_6863;
																																																												BgL_argsz00_24612
																																																													=
																																																													BgL_arg5593z00_6864;
																																																												BgL_argsz00_1803
																																																													=
																																																													BgL_argsz00_24612;
																																																												BgL_bodyz00_1802
																																																													=
																																																													BgL_bodyz00_24611;
																																																												BgL_varsz00_1801
																																																													=
																																																													BgL_varsz00_24610;
																																																												goto
																																																													BgL_tagzd2386zd2_1804;
																																																											}
																																																											BgL_auxz00_22720
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_24609);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2403zd2_1838;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_24616;
																																																												goto
																																																													BgL_tagzd2404zd2_1839;
																																																												BgL_auxz00_22720
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_24616);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd239687zd2_6869;
																																																BgL_cdrzd239687zd2_6869
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test9165z00_24620;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg5606z00_6878;
																																																		BgL_arg5606z00_6878
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test9165z00_24620
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg5606z00_6878));
																																																	}
																																																	if (BgL_test9165z00_24620)
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg5600z00_6872;
																																																			obj_t
																																																				BgL_arg5601z00_6873;
																																																			BgL_arg5600z00_6872
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd239687zd2_6869));
																																																			BgL_arg5601z00_6873
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd239687zd2_6869));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_24629;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_24631;
																																																					obj_t
																																																						BgL_bindingsz00_24630;
																																																					BgL_bindingsz00_24630
																																																						=
																																																						BgL_arg5600z00_6872;
																																																					BgL_exprz00_24631
																																																						=
																																																						BgL_arg5601z00_6873;
																																																					BgL_exprz00_1793
																																																						=
																																																						BgL_exprz00_24631;
																																																					BgL_bindingsz00_1792
																																																						=
																																																						BgL_bindingsz00_24630;
																																																					goto
																																																						BgL_tagzd2382zd2_1794;
																																																				}
																																																				BgL_auxz00_22720
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_24629);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test9166z00_24633;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg5605z00_6877;
																																																				BgL_arg5605z00_6877
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test9166z00_24633
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg5605z00_6877));
																																																			}
																																																			if (BgL_test9166z00_24633)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_24638;
																																																					goto
																																																						BgL_tagzd2384zd2_1796;
																																																					BgL_auxz00_22720
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_24638);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 119 */
																																																							goto
																																																								BgL_tagzd2403zd2_1838;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_24642;
																																																							goto
																																																								BgL_tagzd2404zd2_1839;
																																																							BgL_auxz00_22720
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_24642);
																																																						}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd238252zd2_6605)))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd238254zd2_6607;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if ((BgL_carzd238252zd2_6605 == CNST_TABLE_REF(((long) 18))))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd238254zd2_6607;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((BgL_carzd238252zd2_6605 == CNST_TABLE_REF(((long) 19))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd238254zd2_6607;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd238252zd2_6605)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd238254zd2_6607;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd239859zd2_6613;
																																																						BgL_cdrzd239859zd2_6613
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test9172z00_24658;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg5506z00_6730;
																																																								BgL_arg5506z00_6730
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test9172z00_24658
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg5506z00_6730));
																																																							}
																																																							if (BgL_test9172z00_24658)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg5434z00_6616;
																																																									obj_t
																																																										BgL_arg5435z00_6617;
																																																									BgL_arg5434z00_6616
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd239859zd2_6613));
																																																									BgL_arg5435z00_6617
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd239859zd2_6613));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_24667;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_24669;
																																																											obj_t
																																																												BgL_bindingsz00_24668;
																																																											BgL_bindingsz00_24668
																																																												=
																																																												BgL_arg5434z00_6616;
																																																											BgL_exprz00_24669
																																																												=
																																																												BgL_arg5435z00_6617;
																																																											BgL_exprz00_1793
																																																												=
																																																												BgL_exprz00_24669;
																																																											BgL_bindingsz00_1792
																																																												=
																																																												BgL_bindingsz00_24668;
																																																											goto
																																																												BgL_tagzd2382zd2_1794;
																																																										}
																																																										BgL_auxz00_22720
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_24667);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test9173z00_24671;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg5505z00_6729;
																																																										BgL_arg5505z00_6729
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test9173z00_24671
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg5505z00_6729));
																																																									}
																																																									if (BgL_test9173z00_24671)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_24676;
																																																											goto
																																																												BgL_tagzd2384zd2_1796;
																																																											BgL_auxz00_22720
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_24676);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd239925zd2_6620;
																																																											BgL_carzd239925zd2_6620
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd239930zd2_6621;
																																																												BgL_cdrzd239930zd2_6621
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd239925zd2_6620));
																																																												if ((CAR(((obj_t) BgL_carzd239925zd2_6620)) == CNST_TABLE_REF(((long) 3))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd239930zd2_6621))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg5441z00_6625;
																																																																obj_t
																																																																	BgL_arg5442z00_6626;
																																																																obj_t
																																																																	BgL_arg5443z00_6627;
																																																																BgL_arg5441z00_6625
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd239930zd2_6621);
																																																																BgL_arg5442z00_6626
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd239930zd2_6621);
																																																																BgL_arg5443z00_6627
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_24693;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_24696;
																																																																		obj_t
																																																																			BgL_bodyz00_24695;
																																																																		obj_t
																																																																			BgL_varsz00_24694;
																																																																		BgL_varsz00_24694
																																																																			=
																																																																			BgL_arg5441z00_6625;
																																																																		BgL_bodyz00_24695
																																																																			=
																																																																			BgL_arg5442z00_6626;
																																																																		BgL_argsz00_24696
																																																																			=
																																																																			BgL_arg5443z00_6627;
																																																																		BgL_argsz00_1803
																																																																			=
																																																																			BgL_argsz00_24696;
																																																																		BgL_bodyz00_1802
																																																																			=
																																																																			BgL_bodyz00_24695;
																																																																		BgL_varsz00_1801
																																																																			=
																																																																			BgL_varsz00_24694;
																																																																		goto
																																																																			BgL_tagzd2386zd2_1804;
																																																																	}
																																																																	BgL_auxz00_22720
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_24693);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1838;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_24700;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1839;
																																																																		BgL_auxz00_22720
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_24700);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd240037zd2_6630;
																																																														BgL_cdrzd240037zd2_6630
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd240042zd2_6631;
																																																															BgL_cdrzd240042zd2_6631
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd239925zd2_6620));
																																																															if ((CAR(((obj_t) BgL_carzd239925zd2_6620)) == CNST_TABLE_REF(((long) 1))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (PAIRP(BgL_cdrzd240042zd2_6631))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd240047zd2_6635;
																																																																			BgL_cdrzd240047zd2_6635
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd240042zd2_6631);
																																																																			if (PAIRP(BgL_cdrzd240047zd2_6635))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd240051zd2_6637;
																																																																					obj_t
																																																																						BgL_cdrzd240052zd2_6638;
																																																																					BgL_carzd240051zd2_6637
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd240047zd2_6635);
																																																																					BgL_cdrzd240052zd2_6638
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd240047zd2_6635);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240051zd2_6637))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd240052zd2_6638))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd240057zd2_6641;
																																																																									BgL_carzd240057zd2_6641
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd240052zd2_6638);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240057zd2_6641))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd240052zd2_6638)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test9184z00_24728;
																																																																													{
																																																																														obj_t
																																																																															BgL_l1439z00_6674;
																																																																														BgL_l1439z00_6674
																																																																															=
																																																																															BgL_cdrzd240037zd2_6630;
																																																																													BgL_zc3z04anonymousza35469ze3z87_6675:
																																																																														if (NULLP(BgL_l1439z00_6674))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test9184z00_24728
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																bool_t
																																																																																	BgL_test9186z00_24731;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	bool_t
																																																																																		BgL_test9187z00_24732;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_tmpz00_24733;
																																																																																		BgL_tmpz00_24733
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_l1439z00_6674));
																																																																																		BgL_test9187z00_24732
																																																																																			=
																																																																																			PAIRP
																																																																																			(BgL_tmpz00_24733);
																																																																																	}
																																																																																	if (BgL_test9187z00_24732)
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test9186z00_24731
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test9186z00_24731
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				1);
																																																																																		}
																																																																																}
																																																																																if (BgL_test9186z00_24731)
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_l1439z00_24737;
																																																																																		BgL_l1439z00_24737
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_l1439z00_6674));
																																																																																		BgL_l1439z00_6674
																																																																																			=
																																																																																			BgL_l1439z00_24737;
																																																																																		goto
																																																																																			BgL_zc3z04anonymousza35469ze3z87_6675;
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test9184z00_24728
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																															}
																																																																													}
																																																																													if (BgL_test9184z00_24728)
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg5459z00_6657;
																																																																															BgL_arg5459z00_6657
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd240042zd2_6631);
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_24741;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_24745;
																																																																																	obj_t
																																																																																		BgL_proc2z00_24744;
																																																																																	obj_t
																																																																																		BgL_proc1z00_24743;
																																																																																	obj_t
																																																																																		BgL_testz00_24742;
																																																																																	BgL_testz00_24742
																																																																																		=
																																																																																		BgL_arg5459z00_6657;
																																																																																	BgL_proc1z00_24743
																																																																																		=
																																																																																		BgL_carzd240051zd2_6637;
																																																																																	BgL_proc2z00_24744
																																																																																		=
																																																																																		BgL_carzd240057zd2_6641;
																																																																																	BgL_argsz00_24745
																																																																																		=
																																																																																		BgL_cdrzd240037zd2_6630;
																																																																																	BgL_argsz00_1808
																																																																																		=
																																																																																		BgL_argsz00_24745;
																																																																																	BgL_proc2z00_1807
																																																																																		=
																																																																																		BgL_proc2z00_24744;
																																																																																	BgL_proc1z00_1806
																																																																																		=
																																																																																		BgL_proc1z00_24743;
																																																																																	BgL_testz00_1805
																																																																																		=
																																																																																		BgL_testz00_24742;
																																																																																	goto
																																																																																		BgL_tagzd2387zd2_1809;
																																																																																}
																																																																																BgL_auxz00_22720
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_24741);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd240082zd2_6658;
																																																																															BgL_cdrzd240082zd2_6658
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd240090zd2_6659;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_pairz00_12399;
																																																																																	BgL_pairz00_12399
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd240090zd2_6659
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_12399);
																																																																																}
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd240098zd2_6660;
																																																																																	BgL_cdrzd240098zd2_6660
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd240090zd2_6659));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd240105zd2_6661;
																																																																																		BgL_carzd240105zd2_6661
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd240098zd2_6660));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240105zd2_6661))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd240114zd2_6663;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_pairz00_12403;
																																																																																					BgL_pairz00_12403
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd240098zd2_6660));
																																																																																					BgL_carzd240114zd2_6663
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_pairz00_12403);
																																																																																				}
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240114zd2_6663))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd240082zd2_6658))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg5463z00_6666;
																																																																																								BgL_arg5463z00_6666
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd240090zd2_6659));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_24767;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_24771;
																																																																																										obj_t
																																																																																											BgL_proc2z00_24770;
																																																																																										obj_t
																																																																																											BgL_proc1z00_24769;
																																																																																										obj_t
																																																																																											BgL_testz00_24768;
																																																																																										BgL_testz00_24768
																																																																																											=
																																																																																											BgL_arg5463z00_6666;
																																																																																										BgL_proc1z00_24769
																																																																																											=
																																																																																											BgL_carzd240105zd2_6661;
																																																																																										BgL_proc2z00_24770
																																																																																											=
																																																																																											BgL_carzd240114zd2_6663;
																																																																																										BgL_argsz00_24771
																																																																																											=
																																																																																											BgL_cdrzd240082zd2_6658;
																																																																																										BgL_argsz00_1813
																																																																																											=
																																																																																											BgL_argsz00_24771;
																																																																																										BgL_proc2z00_1812
																																																																																											=
																																																																																											BgL_proc2z00_24770;
																																																																																										BgL_proc1z00_1811
																																																																																											=
																																																																																											BgL_proc1z00_24769;
																																																																																										BgL_testz00_1810
																																																																																											=
																																																																																											BgL_testz00_24768;
																																																																																										goto
																																																																																											BgL_tagzd2388zd2_1814;
																																																																																									}
																																																																																									BgL_auxz00_22720
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_24767);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1838;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_24775;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1839;
																																																																																										BgL_auxz00_22720
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_24775);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1838;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_24779;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1839;
																																																																																								BgL_auxz00_22720
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_24779);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_24783;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_22720
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_24783);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_24787;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_24787);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd240392zd2_6685;
																																																																											BgL_cdrzd240392zd2_6685
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd240399zd2_6686;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_12407;
																																																																													BgL_pairz00_12407
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd240399zd2_6686
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_12407);
																																																																												}
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd240406zd2_6687;
																																																																													BgL_cdrzd240406zd2_6687
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd240399zd2_6686));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd240412zd2_6688;
																																																																														obj_t
																																																																															BgL_cdrzd240413zd2_6689;
																																																																														BgL_carzd240412zd2_6688
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd240406zd2_6687));
																																																																														BgL_cdrzd240413zd2_6689
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd240406zd2_6687));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240412zd2_6688))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd240420zd2_6691;
																																																																																BgL_carzd240420zd2_6691
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd240413zd2_6689));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240420zd2_6691))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd240413zd2_6689))))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd240392zd2_6685))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_arg5478z00_6696;
																																																																																						BgL_arg5478z00_6696
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd240399zd2_6686));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_24814;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_24818;
																																																																																								obj_t
																																																																																									BgL_proc2z00_24817;
																																																																																								obj_t
																																																																																									BgL_proc1z00_24816;
																																																																																								obj_t
																																																																																									BgL_testz00_24815;
																																																																																								BgL_testz00_24815
																																																																																									=
																																																																																									BgL_arg5478z00_6696;
																																																																																								BgL_proc1z00_24816
																																																																																									=
																																																																																									BgL_carzd240412zd2_6688;
																																																																																								BgL_proc2z00_24817
																																																																																									=
																																																																																									BgL_carzd240420zd2_6691;
																																																																																								BgL_argsz00_24818
																																																																																									=
																																																																																									BgL_cdrzd240392zd2_6685;
																																																																																								BgL_argsz00_1813
																																																																																									=
																																																																																									BgL_argsz00_24818;
																																																																																								BgL_proc2z00_1812
																																																																																									=
																																																																																									BgL_proc2z00_24817;
																																																																																								BgL_proc1z00_1811
																																																																																									=
																																																																																									BgL_proc1z00_24816;
																																																																																								BgL_testz00_1810
																																																																																									=
																																																																																									BgL_testz00_24815;
																																																																																								goto
																																																																																									BgL_tagzd2388zd2_1814;
																																																																																							}
																																																																																							BgL_auxz00_22720
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_24814);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1838;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_24822;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1839;
																																																																																								BgL_auxz00_22720
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_24822);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_24826;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_22720
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_24826);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_24830;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_22720
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_24830);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1838;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_24834;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1839;
																																																																																		BgL_auxz00_22720
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_24834);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_24838;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_24838);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd240753zd2_6704;
																																																																							BgL_cdrzd240753zd2_6704
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd240759zd2_6705;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_12416;
																																																																									BgL_pairz00_12416
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd240759zd2_6705
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_12416);
																																																																								}
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd240765zd2_6706;
																																																																									BgL_cdrzd240765zd2_6706
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd240759zd2_6705));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd240770zd2_6707;
																																																																										obj_t
																																																																											BgL_cdrzd240771zd2_6708;
																																																																										BgL_carzd240770zd2_6707
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd240765zd2_6706));
																																																																										BgL_cdrzd240771zd2_6708
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd240765zd2_6706));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240770zd2_6707))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (PAIRP(BgL_cdrzd240771zd2_6708))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd240776zd2_6711;
																																																																														BgL_carzd240776zd2_6711
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd240771zd2_6708);
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240776zd2_6711))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (NULLP(CDR(BgL_cdrzd240771zd2_6708)))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd240753zd2_6704))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_arg5492z00_6716;
																																																																																				BgL_arg5492z00_6716
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd240759zd2_6705));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_24865;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_24869;
																																																																																						obj_t
																																																																																							BgL_proc2z00_24868;
																																																																																						obj_t
																																																																																							BgL_proc1z00_24867;
																																																																																						obj_t
																																																																																							BgL_testz00_24866;
																																																																																						BgL_testz00_24866
																																																																																							=
																																																																																							BgL_arg5492z00_6716;
																																																																																						BgL_proc1z00_24867
																																																																																							=
																																																																																							BgL_carzd240770zd2_6707;
																																																																																						BgL_proc2z00_24868
																																																																																							=
																																																																																							BgL_carzd240776zd2_6711;
																																																																																						BgL_argsz00_24869
																																																																																							=
																																																																																							BgL_cdrzd240753zd2_6704;
																																																																																						BgL_argsz00_1813
																																																																																							=
																																																																																							BgL_argsz00_24869;
																																																																																						BgL_proc2z00_1812
																																																																																							=
																																																																																							BgL_proc2z00_24868;
																																																																																						BgL_proc1z00_1811
																																																																																							=
																																																																																							BgL_proc1z00_24867;
																																																																																						BgL_testz00_1810
																																																																																							=
																																																																																							BgL_testz00_24866;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1814;
																																																																																					}
																																																																																					BgL_auxz00_22720
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_24865);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_24873;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_22720
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_24873);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_24877;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_22720
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_24877);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1838;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_24881;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1839;
																																																																																		BgL_auxz00_22720
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_24881);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1838;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_24885;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1839;
																																																																																BgL_auxz00_22720
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_24885);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1838;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_24889;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1839;
																																																																														BgL_auxz00_22720
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_24889);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_24893;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_22720
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_24893);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1838;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_24897;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1839;
																																																																					BgL_auxz00_22720
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_24897);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1838;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_24901;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1839;
																																																																			BgL_auxz00_22720
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_24901);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_cdrzd241314zd2_6880;
																																											BgL_cdrzd241314zd2_6880
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if ((BgL_carzd238249zd2_6603 == CNST_TABLE_REF(((long) 17))))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg5609z00_6882;
																																													obj_t
																																														BgL_arg5610z00_6883;
																																													BgL_arg5609z00_6882
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd241314zd2_6880));
																																													BgL_arg5610z00_6883
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd241314zd2_6880));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_24912;
																																														{
																																															obj_t
																																																BgL_exprz00_24914;
																																															obj_t
																																																BgL_bindingsz00_24913;
																																															BgL_bindingsz00_24913
																																																=
																																																BgL_arg5609z00_6882;
																																															BgL_exprz00_24914
																																																=
																																																BgL_arg5610z00_6883;
																																															BgL_exprz00_1793
																																																=
																																																BgL_exprz00_24914;
																																															BgL_bindingsz00_1792
																																																=
																																																BgL_bindingsz00_24913;
																																															goto
																																																BgL_tagzd2382zd2_1794;
																																														}
																																														BgL_auxz00_22720
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_24912);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd238249zd2_6603)))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg5612z00_6885;
																																															obj_t
																																																BgL_arg5613z00_6886;
																																															BgL_arg5612z00_6885
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd241314zd2_6880));
																																															BgL_arg5613z00_6886
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd241314zd2_6880));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_24923;
																																																{
																																																	obj_t
																																																		BgL_exprz00_24925;
																																																	obj_t
																																																		BgL_bindingsz00_24924;
																																																	BgL_bindingsz00_24924
																																																		=
																																																		BgL_arg5612z00_6885;
																																																	BgL_exprz00_24925
																																																		=
																																																		BgL_arg5613z00_6886;
																																																	BgL_exprz00_1793
																																																		=
																																																		BgL_exprz00_24925;
																																																	BgL_bindingsz00_1792
																																																		=
																																																		BgL_bindingsz00_24924;
																																																	goto
																																																		BgL_tagzd2382zd2_1794;
																																																}
																																																BgL_auxz00_22720
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_24923);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((BgL_carzd238249zd2_6603 == CNST_TABLE_REF(((long) 18))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg5615z00_6888;
																																																	obj_t
																																																		BgL_arg5616z00_6889;
																																																	BgL_arg5615z00_6888
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd241314zd2_6880));
																																																	BgL_arg5616z00_6889
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd241314zd2_6880));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_24934;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_24936;
																																																			obj_t
																																																				BgL_bindingsz00_24935;
																																																			BgL_bindingsz00_24935
																																																				=
																																																				BgL_arg5615z00_6888;
																																																			BgL_exprz00_24936
																																																				=
																																																				BgL_arg5616z00_6889;
																																																			BgL_exprz00_1793
																																																				=
																																																				BgL_exprz00_24936;
																																																			BgL_bindingsz00_1792
																																																				=
																																																				BgL_bindingsz00_24935;
																																																			goto
																																																				BgL_tagzd2382zd2_1794;
																																																		}
																																																		BgL_auxz00_22720
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_24934);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_24943;
																																																			goto
																																																				BgL_tagzd2383zd2_1795;
																																																			BgL_auxz00_22720
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_24943);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_carzd241351zd2_6892;
																																																			BgL_carzd241351zd2_6892
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			if ((BgL_carzd241351zd2_6892 == CNST_TABLE_REF(((long) 19))))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_24950;
																																																					goto
																																																						BgL_tagzd2384zd2_1796;
																																																					BgL_auxz00_22720
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_24950);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd241351zd2_6892)))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_24955;
																																																							goto
																																																								BgL_tagzd2384zd2_1796;
																																																							BgL_auxz00_22720
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_24955);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_24962;
																																																									goto
																																																										BgL_tagzd2389zd2_1815;
																																																									BgL_auxz00_22720
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_24962);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_24969;
																																																											goto
																																																												BgL_tagzd2390zd2_1816;
																																																											BgL_auxz00_22720
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_24969);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd241431zd2_6899;
																																																											BgL_cdrzd241431zd2_6899
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg5627z00_6902;
																																																													obj_t
																																																														BgL_arg5628z00_6903;
																																																													BgL_arg5627z00_6902
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd241431zd2_6899));
																																																													BgL_arg5628z00_6903
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd241431zd2_6899));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_24982;
																																																														{
																																																															obj_t
																																																																BgL_restz00_24984;
																																																															obj_t
																																																																BgL_effectz00_24983;
																																																															BgL_effectz00_24983
																																																																=
																																																																BgL_arg5627z00_6902;
																																																															BgL_restz00_24984
																																																																=
																																																																BgL_arg5628z00_6903;
																																																															BgL_restz00_1818
																																																																=
																																																																BgL_restz00_24984;
																																																															BgL_effectz00_1817
																																																																=
																																																																BgL_effectz00_24983;
																																																															goto
																																																																BgL_tagzd2391zd2_1819;
																																																														}
																																																														BgL_auxz00_22720
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_24982);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_24991;
																																																															goto
																																																																BgL_tagzd2392zd2_1820;
																																																															BgL_auxz00_22720
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_24991);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_24998;
																																																																	goto
																																																																		BgL_tagzd2393zd2_1821;
																																																																	BgL_auxz00_22720
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_24998);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg5635z00_6911;
																																																																			obj_t
																																																																				BgL_arg5636z00_6912;
																																																																			BgL_arg5635z00_6911
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd241431zd2_6899));
																																																																			BgL_arg5636z00_6912
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd241431zd2_6899));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_25009;
																																																																				{
																																																																					obj_t
																																																																						BgL_restz00_25011;
																																																																					obj_t
																																																																						BgL_effectz00_25010;
																																																																					BgL_effectz00_25010
																																																																						=
																																																																						BgL_arg5635z00_6911;
																																																																					BgL_restz00_25011
																																																																						=
																																																																						BgL_arg5636z00_6912;
																																																																					BgL_restz00_1823
																																																																						=
																																																																						BgL_restz00_25011;
																																																																					BgL_effectz00_1822
																																																																						=
																																																																						BgL_effectz00_25010;
																																																																					goto
																																																																						BgL_tagzd2394zd2_1824;
																																																																				}
																																																																				BgL_auxz00_22720
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_25009);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_25018;
																																																																					goto
																																																																						BgL_tagzd2395zd2_1825;
																																																																					BgL_auxz00_22720
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_25018);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_25025;
																																																																							goto
																																																																								BgL_tagzd2396zd2_1826;
																																																																							BgL_auxz00_22720
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_25025);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																								{
																																																																									BgL_letzd2funzd2_bglt
																																																																										BgL_auxz00_25032;
																																																																									goto
																																																																										BgL_tagzd2397zd2_1827;
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_25032);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																										{
																																																																											BgL_jumpzd2exzd2itz00_bglt
																																																																												BgL_auxz00_25039;
																																																																											goto
																																																																												BgL_tagzd2398zd2_1828;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_25039);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd241508zd2_6921;
																																																																											BgL_cdrzd241508zd2_6921
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg5647z00_6924;
																																																																													obj_t
																																																																														BgL_arg5648z00_6925;
																																																																													BgL_arg5647z00_6924
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd241508zd2_6921));
																																																																													BgL_arg5648z00_6925
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd241508zd2_6921));
																																																																													{	/* Ast/sexp.scm 555 */
																																																																														obj_t
																																																																															BgL_arg7079z00_12453;
																																																																														BgL_arg7079z00_12453
																																																																															=
																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																															(BgL_expz00_21,
																																																																															BgL_locz00_23);
																																																																														BgL_auxz00_22720
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																															(BgL_expz00_21,
																																																																																BgL_arg5647z00_6924,
																																																																																CNST_TABLE_REF
																																																																																(((long) 4)), BgL_arg5648z00_6925, BgL_stackz00_22, BgL_arg7079z00_12453, BgL_sitez00_24));
																																																																												}}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_25058;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_25058);
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															obj_t
																																BgL_carzd241533zd2_6942;
																															BgL_carzd241533zd2_6942
																																=
																																CAR(((obj_t)
																																	BgL_expz00_21));
																															if (
																																(BgL_carzd241533zd2_6942
																																	==
																																	CNST_TABLE_REF
																																	(((long) 1))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_25065;
																																	goto
																																		BgL_tagzd2377zd2_1783;
																																	BgL_auxz00_22720
																																		=
																																		((obj_t)
																																		BgL_auxz00_25065);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(BgL_carzd241533zd2_6942
																																			==
																																			BGl_za2ifza2z00zzast_sexpz00))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_25069;
																																			goto
																																				BgL_tagzd2377zd2_1783;
																																			BgL_auxz00_22720
																																				=
																																				((obj_t)
																																				BgL_auxz00_25069);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_cdrzd241555zd2_6945;
																																			BgL_cdrzd241555zd2_6945
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if ((CAR((
																																							(obj_t)
																																							BgL_expz00_21))
																																					==
																																					CNST_TABLE_REF
																																					(((long) 7))))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd241558zd2_6948;
																																					obj_t
																																						BgL_cdrzd241559zd2_6949;
																																					BgL_carzd241558zd2_6948
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd241555zd2_6945));
																																					BgL_cdrzd241559zd2_6949
																																						=
																																						CDR(
																																						((obj_t) BgL_cdrzd241555zd2_6945));
																																					if (PAIRP(BgL_carzd241558zd2_6948))
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(BgL_carzd241558zd2_6948) == CNST_TABLE_REF(((long) 14))))
																																								{	/* Ast/sexp.scm 119 */
																																									if (NULLP(CDR(((obj_t) BgL_cdrzd241559zd2_6949))))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg5674z00_6955;
																																											obj_t
																																												BgL_arg5675z00_6956;
																																											BgL_arg5674z00_6955
																																												=
																																												CDR
																																												(BgL_carzd241558zd2_6948);
																																											BgL_arg5675z00_6956
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd241559zd2_6949));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_25095;
																																												{
																																													obj_t
																																														BgL_valz00_25097;
																																													obj_t
																																														BgL_lz00_25096;
																																													BgL_lz00_25096
																																														=
																																														BgL_arg5674z00_6955;
																																													BgL_valz00_25097
																																														=
																																														BgL_arg5675z00_6956;
																																													BgL_valz00_1785
																																														=
																																														BgL_valz00_25097;
																																													BgL_lz00_1784
																																														=
																																														BgL_lz00_25096;
																																													goto
																																														BgL_tagzd2378zd2_1786;
																																												}
																																												BgL_auxz00_22720
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_25095);
																																											}
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_25099;
																																											goto
																																												BgL_tagzd2379zd2_1787;
																																											BgL_auxz00_22720
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_25099);
																																										}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_25101;
																																									goto
																																										BgL_tagzd2379zd2_1787;
																																									BgL_auxz00_22720
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_25101);
																																								}
																																						}
																																					else
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_25103;
																																							goto
																																								BgL_tagzd2379zd2_1787;
																																							BgL_auxz00_22720
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_25103);
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_25110;
																																							goto
																																								BgL_tagzd2380zd2_1788;
																																							BgL_auxz00_22720
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_25110);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd241656zd2_6961;
																																							BgL_carzd241656zd2_6961
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if (PAIRP(BgL_carzd241656zd2_6961))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_carzd241659zd2_6963;
																																									obj_t
																																										BgL_cdrzd241660zd2_6964;
																																									BgL_carzd241659zd2_6963
																																										=
																																										CAR
																																										(BgL_carzd241656zd2_6961);
																																									BgL_cdrzd241660zd2_6964
																																										=
																																										CDR
																																										(BgL_carzd241656zd2_6961);
																																									{

																																										if ((BgL_carzd241659zd2_6963 == CNST_TABLE_REF(((long) 17))))
																																											{	/* Ast/sexp.scm 119 */
																																											BgL_kapzd241661zd2_6965:
																																												if (PAIRP(BgL_cdrzd241660zd2_6964))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd241664zd2_7090;
																																														BgL_cdrzd241664zd2_7090
																																															=
																																															CDR
																																															(BgL_cdrzd241660zd2_6964);
																																														if (PAIRP(BgL_cdrzd241664zd2_7090))
																																															{	/* Ast/sexp.scm 119 */
																																																if (NULLP(CDR(BgL_cdrzd241664zd2_7090)))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg5765z00_7094;
																																																		obj_t
																																																			BgL_arg5766z00_7095;
																																																		BgL_arg5765z00_7094
																																																			=
																																																			CAR
																																																			(BgL_cdrzd241664zd2_7090);
																																																		BgL_arg5766z00_7095
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_25132;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_25134;
																																																				obj_t
																																																					BgL_bodyz00_25133;
																																																				BgL_bodyz00_25133
																																																					=
																																																					BgL_arg5765z00_7094;
																																																				BgL_argsz00_25134
																																																					=
																																																					BgL_arg5766z00_7095;
																																																				BgL_argsz00_1790
																																																					=
																																																					BgL_argsz00_25134;
																																																				BgL_bodyz00_1789
																																																					=
																																																					BgL_bodyz00_25133;
																																																				goto
																																																					BgL_tagzd2381zd2_1791;
																																																			}
																																																			BgL_auxz00_22720
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_25132);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd241688zd2_7096;
																																																		BgL_cdrzd241688zd2_7096
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test9247z00_25138;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg5835z00_7207;
																																																				BgL_arg5835z00_7207
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test9247z00_25138
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg5835z00_7207));
																																																			}
																																																			if (BgL_test9247z00_25138)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg5769z00_7099;
																																																					obj_t
																																																						BgL_arg5770z00_7100;
																																																					BgL_arg5769z00_7099
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd241688zd2_7096));
																																																					BgL_arg5770z00_7100
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd241688zd2_7096));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_25147;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_25149;
																																																							obj_t
																																																								BgL_bindingsz00_25148;
																																																							BgL_bindingsz00_25148
																																																								=
																																																								BgL_arg5769z00_7099;
																																																							BgL_exprz00_25149
																																																								=
																																																								BgL_arg5770z00_7100;
																																																							BgL_exprz00_1793
																																																								=
																																																								BgL_exprz00_25149;
																																																							BgL_bindingsz00_1792
																																																								=
																																																								BgL_bindingsz00_25148;
																																																							goto
																																																								BgL_tagzd2382zd2_1794;
																																																						}
																																																						BgL_auxz00_22720
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_25147);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test9248z00_25151;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg5834z00_7206;
																																																						BgL_arg5834z00_7206
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test9248z00_25151
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg5834z00_7206));
																																																					}
																																																					if (BgL_test9248z00_25151)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_25156;
																																																							goto
																																																								BgL_tagzd2384zd2_1796;
																																																							BgL_auxz00_22720
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_25156);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd241755zd2_7103;
																																																							BgL_carzd241755zd2_7103
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd241760zd2_7104;
																																																								BgL_cdrzd241760zd2_7104
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd241755zd2_7103));
																																																								if ((CAR(((obj_t) BgL_carzd241755zd2_7103)) == CNST_TABLE_REF(((long) 3))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg5775z00_7107;
																																																										obj_t
																																																											BgL_arg5776z00_7108;
																																																										obj_t
																																																											BgL_arg5777z00_7109;
																																																										BgL_arg5775z00_7107
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd241760zd2_7104));
																																																										BgL_arg5776z00_7108
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd241760zd2_7104));
																																																										BgL_arg5777z00_7109
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_25173;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_25176;
																																																												obj_t
																																																													BgL_bodyz00_25175;
																																																												obj_t
																																																													BgL_varsz00_25174;
																																																												BgL_varsz00_25174
																																																													=
																																																													BgL_arg5775z00_7107;
																																																												BgL_bodyz00_25175
																																																													=
																																																													BgL_arg5776z00_7108;
																																																												BgL_argsz00_25176
																																																													=
																																																													BgL_arg5777z00_7109;
																																																												BgL_argsz00_1803
																																																													=
																																																													BgL_argsz00_25176;
																																																												BgL_bodyz00_1802
																																																													=
																																																													BgL_bodyz00_25175;
																																																												BgL_varsz00_1801
																																																													=
																																																													BgL_varsz00_25174;
																																																												goto
																																																													BgL_tagzd2386zd2_1804;
																																																											}
																																																											BgL_auxz00_22720
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_25173);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd241783zd2_7111;
																																																										BgL_cdrzd241783zd2_7111
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd241789zd2_7112;
																																																											BgL_cdrzd241789zd2_7112
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd241755zd2_7103));
																																																											if ((CAR(((obj_t) BgL_carzd241755zd2_7103)) == CNST_TABLE_REF(((long) 1))))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd241795zd2_7115;
																																																													BgL_cdrzd241795zd2_7115
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd241789zd2_7112));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd241800zd2_7116;
																																																														obj_t
																																																															BgL_cdrzd241801zd2_7117;
																																																														BgL_carzd241800zd2_7116
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd241795zd2_7115));
																																																														BgL_cdrzd241801zd2_7117
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd241795zd2_7115));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241800zd2_7116))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd241801zd2_7117))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd241808zd2_7120;
																																																																		BgL_carzd241808zd2_7120
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd241801zd2_7117);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241808zd2_7120))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(BgL_cdrzd241801zd2_7117)))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test9255z00_25203;
																																																																						{
																																																																							obj_t
																																																																								BgL_l1442z00_7153;
																																																																							BgL_l1442z00_7153
																																																																								=
																																																																								BgL_cdrzd241783zd2_7111;
																																																																						BgL_zc3z04anonymousza35800ze3z87_7154:
																																																																							if (NULLP(BgL_l1442z00_7153))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test9255z00_25203
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									bool_t
																																																																										BgL_test9257z00_25206;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test9258z00_25207;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_tmpz00_25208;
																																																																											BgL_tmpz00_25208
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_l1442z00_7153));
																																																																											BgL_test9258z00_25207
																																																																												=
																																																																												PAIRP
																																																																												(BgL_tmpz00_25208);
																																																																										}
																																																																										if (BgL_test9258z00_25207)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test9257z00_25206
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test9257z00_25206
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																									}
																																																																									if (BgL_test9257z00_25206)
																																																																										{
																																																																											obj_t
																																																																												BgL_l1442z00_25212;
																																																																											BgL_l1442z00_25212
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_l1442z00_7153));
																																																																											BgL_l1442z00_7153
																																																																												=
																																																																												BgL_l1442z00_25212;
																																																																											goto
																																																																												BgL_zc3z04anonymousza35800ze3z87_7154;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test9255z00_25203
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																						if (BgL_test9255z00_25203)
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg5790z00_7136;
																																																																								BgL_arg5790z00_7136
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd241789zd2_7112));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_25217;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_25221;
																																																																										obj_t
																																																																											BgL_proc2z00_25220;
																																																																										obj_t
																																																																											BgL_proc1z00_25219;
																																																																										obj_t
																																																																											BgL_testz00_25218;
																																																																										BgL_testz00_25218
																																																																											=
																																																																											BgL_arg5790z00_7136;
																																																																										BgL_proc1z00_25219
																																																																											=
																																																																											BgL_carzd241800zd2_7116;
																																																																										BgL_proc2z00_25220
																																																																											=
																																																																											BgL_carzd241808zd2_7120;
																																																																										BgL_argsz00_25221
																																																																											=
																																																																											BgL_cdrzd241783zd2_7111;
																																																																										BgL_argsz00_1808
																																																																											=
																																																																											BgL_argsz00_25221;
																																																																										BgL_proc2z00_1807
																																																																											=
																																																																											BgL_proc2z00_25220;
																																																																										BgL_proc1z00_1806
																																																																											=
																																																																											BgL_proc1z00_25219;
																																																																										BgL_testz00_1805
																																																																											=
																																																																											BgL_testz00_25218;
																																																																										goto
																																																																											BgL_tagzd2387zd2_1809;
																																																																									}
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_25217);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd241832zd2_7137;
																																																																								BgL_cdrzd241832zd2_7137
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd241839zd2_7138;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_12496;
																																																																										BgL_pairz00_12496
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd241839zd2_7138
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_12496);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd241846zd2_7139;
																																																																										BgL_cdrzd241846zd2_7139
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd241839zd2_7138));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd241852zd2_7140;
																																																																											BgL_carzd241852zd2_7140
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd241846zd2_7139));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241852zd2_7140))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd241859zd2_7142;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_12500;
																																																																														BgL_pairz00_12500
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd241846zd2_7139));
																																																																														BgL_carzd241859zd2_7142
																																																																															=
																																																																															CAR
																																																																															(BgL_pairz00_12500);
																																																																													}
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241859zd2_7142))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd241832zd2_7137))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg5794z00_7145;
																																																																																	BgL_arg5794z00_7145
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd241839zd2_7138));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_25243;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_25247;
																																																																																			obj_t
																																																																																				BgL_proc2z00_25246;
																																																																																			obj_t
																																																																																				BgL_proc1z00_25245;
																																																																																			obj_t
																																																																																				BgL_testz00_25244;
																																																																																			BgL_testz00_25244
																																																																																				=
																																																																																				BgL_arg5794z00_7145;
																																																																																			BgL_proc1z00_25245
																																																																																				=
																																																																																				BgL_carzd241852zd2_7140;
																																																																																			BgL_proc2z00_25246
																																																																																				=
																																																																																				BgL_carzd241859zd2_7142;
																																																																																			BgL_argsz00_25247
																																																																																				=
																																																																																				BgL_cdrzd241832zd2_7137;
																																																																																			BgL_argsz00_1813
																																																																																				=
																																																																																				BgL_argsz00_25247;
																																																																																			BgL_proc2z00_1812
																																																																																				=
																																																																																				BgL_proc2z00_25246;
																																																																																			BgL_proc1z00_1811
																																																																																				=
																																																																																				BgL_proc1z00_25245;
																																																																																			BgL_testz00_1810
																																																																																				=
																																																																																				BgL_testz00_25244;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1814;
																																																																																		}
																																																																																		BgL_auxz00_22720
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_25243);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_25251;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_22720
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_25251);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_25255;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_22720
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_25255);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_25259;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_25259);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_25263;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_22720
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_25263);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd242135zd2_7164;
																																																																				BgL_cdrzd242135zd2_7164
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd242141zd2_7165;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_12504;
																																																																						BgL_pairz00_12504
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd242141zd2_7165
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_12504);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd242147zd2_7166;
																																																																						BgL_cdrzd242147zd2_7166
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd242141zd2_7165));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd242152zd2_7167;
																																																																							obj_t
																																																																								BgL_cdrzd242153zd2_7168;
																																																																							BgL_carzd242152zd2_7167
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd242147zd2_7166));
																																																																							BgL_cdrzd242153zd2_7168
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd242147zd2_7166));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242152zd2_7167))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd242158zd2_7170;
																																																																									BgL_carzd242158zd2_7170
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd242153zd2_7168));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242158zd2_7170))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(((obj_t) BgL_cdrzd242153zd2_7168))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd242135zd2_7164))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg5809z00_7175;
																																																																															BgL_arg5809z00_7175
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd242141zd2_7165));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_25290;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_25294;
																																																																																	obj_t
																																																																																		BgL_proc2z00_25293;
																																																																																	obj_t
																																																																																		BgL_proc1z00_25292;
																																																																																	obj_t
																																																																																		BgL_testz00_25291;
																																																																																	BgL_testz00_25291
																																																																																		=
																																																																																		BgL_arg5809z00_7175;
																																																																																	BgL_proc1z00_25292
																																																																																		=
																																																																																		BgL_carzd242152zd2_7167;
																																																																																	BgL_proc2z00_25293
																																																																																		=
																																																																																		BgL_carzd242158zd2_7170;
																																																																																	BgL_argsz00_25294
																																																																																		=
																																																																																		BgL_cdrzd242135zd2_7164;
																																																																																	BgL_argsz00_1813
																																																																																		=
																																																																																		BgL_argsz00_25294;
																																																																																	BgL_proc2z00_1812
																																																																																		=
																																																																																		BgL_proc2z00_25293;
																																																																																	BgL_proc1z00_1811
																																																																																		=
																																																																																		BgL_proc1z00_25292;
																																																																																	BgL_testz00_1810
																																																																																		=
																																																																																		BgL_testz00_25291;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1814;
																																																																																}
																																																																																BgL_auxz00_22720
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_25290);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_25298;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_22720
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_25298);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_25302;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_25302);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_25306;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_25306);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_25310;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_25310);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1838;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_25314;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1839;
																																																																				BgL_auxz00_22720
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_25314);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd242491zd2_7183;
																																																																BgL_cdrzd242491zd2_7183
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd242498zd2_7184;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_pairz00_12513;
																																																																		BgL_pairz00_12513
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd242498zd2_7184
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_12513);
																																																																	}
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd242505zd2_7185;
																																																																		BgL_cdrzd242505zd2_7185
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd242498zd2_7184));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd242511zd2_7186;
																																																																			obj_t
																																																																				BgL_cdrzd242512zd2_7187;
																																																																			BgL_carzd242511zd2_7186
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd242505zd2_7185));
																																																																			BgL_cdrzd242512zd2_7187
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd242505zd2_7185));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242511zd2_7186))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd242512zd2_7187))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd242519zd2_7190;
																																																																							BgL_carzd242519zd2_7190
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd242512zd2_7187);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242519zd2_7190))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_cdrzd242512zd2_7187)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd242491zd2_7183))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg5823z00_7195;
																																																																													BgL_arg5823z00_7195
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd242498zd2_7184));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_25341;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_25345;
																																																																															obj_t
																																																																																BgL_proc2z00_25344;
																																																																															obj_t
																																																																																BgL_proc1z00_25343;
																																																																															obj_t
																																																																																BgL_testz00_25342;
																																																																															BgL_testz00_25342
																																																																																=
																																																																																BgL_arg5823z00_7195;
																																																																															BgL_proc1z00_25343
																																																																																=
																																																																																BgL_carzd242511zd2_7186;
																																																																															BgL_proc2z00_25344
																																																																																=
																																																																																BgL_carzd242519zd2_7190;
																																																																															BgL_argsz00_25345
																																																																																=
																																																																																BgL_cdrzd242491zd2_7183;
																																																																															BgL_argsz00_1813
																																																																																=
																																																																																BgL_argsz00_25345;
																																																																															BgL_proc2z00_1812
																																																																																=
																																																																																BgL_proc2z00_25344;
																																																																															BgL_proc1z00_1811
																																																																																=
																																																																																BgL_proc1z00_25343;
																																																																															BgL_testz00_1810
																																																																																=
																																																																																BgL_testz00_25342;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1814;
																																																																														}
																																																																														BgL_auxz00_22720
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_25341);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_25349;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_25349);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_25353;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_25353);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_25357;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_25357);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_25361;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_25361);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_25365;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_22720
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_25365);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2403zd2_1838;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_25369;
																																																															goto
																																																																BgL_tagzd2404zd2_1839;
																																																															BgL_auxz00_22720
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_25369);
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd242912zd2_7209;
																																																BgL_cdrzd242912zd2_7209
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test9286z00_25373;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg5851z00_7226;
																																																		BgL_arg5851z00_7226
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test9286z00_25373
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg5851z00_7226));
																																																	}
																																																	if (BgL_test9286z00_25373)
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg5839z00_7212;
																																																			obj_t
																																																				BgL_arg5840z00_7213;
																																																			BgL_arg5839z00_7212
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd242912zd2_7209));
																																																			BgL_arg5840z00_7213
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd242912zd2_7209));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_25382;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_25384;
																																																					obj_t
																																																						BgL_bindingsz00_25383;
																																																					BgL_bindingsz00_25383
																																																						=
																																																						BgL_arg5839z00_7212;
																																																					BgL_exprz00_25384
																																																						=
																																																						BgL_arg5840z00_7213;
																																																					BgL_exprz00_1793
																																																						=
																																																						BgL_exprz00_25384;
																																																					BgL_bindingsz00_1792
																																																						=
																																																						BgL_bindingsz00_25383;
																																																					goto
																																																						BgL_tagzd2382zd2_1794;
																																																				}
																																																				BgL_auxz00_22720
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_25382);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test9287z00_25386;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg5850z00_7225;
																																																				BgL_arg5850z00_7225
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test9287z00_25386
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg5850z00_7225));
																																																			}
																																																			if (BgL_test9287z00_25386)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_25391;
																																																					goto
																																																						BgL_tagzd2384zd2_1796;
																																																					BgL_auxz00_22720
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_25391);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd242978zd2_7216;
																																																					BgL_carzd242978zd2_7216
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd242983zd2_7217;
																																																						BgL_cdrzd242983zd2_7217
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd242978zd2_7216));
																																																						if ((CAR(((obj_t) BgL_carzd242978zd2_7216)) == CNST_TABLE_REF(((long) 3))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg5845z00_7220;
																																																								obj_t
																																																									BgL_arg5846z00_7221;
																																																								obj_t
																																																									BgL_arg5847z00_7222;
																																																								BgL_arg5845z00_7220
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_cdrzd242983zd2_7217));
																																																								BgL_arg5846z00_7221
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd242983zd2_7217));
																																																								BgL_arg5847z00_7222
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_25408;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_25411;
																																																										obj_t
																																																											BgL_bodyz00_25410;
																																																										obj_t
																																																											BgL_varsz00_25409;
																																																										BgL_varsz00_25409
																																																											=
																																																											BgL_arg5845z00_7220;
																																																										BgL_bodyz00_25410
																																																											=
																																																											BgL_arg5846z00_7221;
																																																										BgL_argsz00_25411
																																																											=
																																																											BgL_arg5847z00_7222;
																																																										BgL_argsz00_1803
																																																											=
																																																											BgL_argsz00_25411;
																																																										BgL_bodyz00_1802
																																																											=
																																																											BgL_bodyz00_25410;
																																																										BgL_varsz00_1801
																																																											=
																																																											BgL_varsz00_25409;
																																																										goto
																																																											BgL_tagzd2386zd2_1804;
																																																									}
																																																									BgL_auxz00_22720
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_25408);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2403zd2_1838;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_25415;
																																																										goto
																																																											BgL_tagzd2404zd2_1839;
																																																										BgL_auxz00_22720
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_25415);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd243094zd2_7227;
																																														BgL_cdrzd243094zd2_7227
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															bool_t
																																																BgL_test9290z00_25419;
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg5860z00_7236;
																																																BgL_arg5860z00_7236
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_test9290z00_25419
																																																	=
																																																	CBOOL
																																																	(BGl_letzd2symzf3z21zzast_letz00
																																																	(BgL_arg5860z00_7236));
																																															}
																																															if (BgL_test9290z00_25419)
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg5854z00_7230;
																																																	obj_t
																																																		BgL_arg5855z00_7231;
																																																	BgL_arg5854z00_7230
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd243094zd2_7227));
																																																	BgL_arg5855z00_7231
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd243094zd2_7227));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_25428;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_25430;
																																																			obj_t
																																																				BgL_bindingsz00_25429;
																																																			BgL_bindingsz00_25429
																																																				=
																																																				BgL_arg5854z00_7230;
																																																			BgL_exprz00_25430
																																																				=
																																																				BgL_arg5855z00_7231;
																																																			BgL_exprz00_1793
																																																				=
																																																				BgL_exprz00_25430;
																																																			BgL_bindingsz00_1792
																																																				=
																																																				BgL_bindingsz00_25429;
																																																			goto
																																																				BgL_tagzd2382zd2_1794;
																																																		}
																																																		BgL_auxz00_22720
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_25428);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test9291z00_25432;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg5859z00_7235;
																																																		BgL_arg5859z00_7235
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test9291z00_25432
																																																			=
																																																			CBOOL
																																																			(BGl_labelszd2symzf3z21zzast_labelsz00
																																																			(BgL_arg5859z00_7235));
																																																	}
																																																	if (BgL_test9291z00_25432)
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_25437;
																																																			goto
																																																				BgL_tagzd2384zd2_1796;
																																																			BgL_auxz00_22720
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_25437);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 119 */
																																																					goto
																																																						BgL_tagzd2403zd2_1838;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_25441;
																																																					goto
																																																						BgL_tagzd2404zd2_1839;
																																																					BgL_auxz00_22720
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_25441);
																																																				}
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd241659zd2_6963)))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_kapzd241661zd2_6965;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if ((BgL_carzd241659zd2_6963 == CNST_TABLE_REF(((long) 18))))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd241661zd2_6965;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if ((BgL_carzd241659zd2_6963 == CNST_TABLE_REF(((long) 19))))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd241661zd2_6965;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd241659zd2_6963)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd241661zd2_6965;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd243266zd2_6971;
																																																				BgL_cdrzd243266zd2_6971
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test9297z00_25457;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg5760z00_7088;
																																																						BgL_arg5760z00_7088
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test9297z00_25457
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg5760z00_7088));
																																																					}
																																																					if (BgL_test9297z00_25457)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg5688z00_6974;
																																																							obj_t
																																																								BgL_arg5689z00_6975;
																																																							BgL_arg5688z00_6974
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd243266zd2_6971));
																																																							BgL_arg5689z00_6975
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd243266zd2_6971));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_25466;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_25468;
																																																									obj_t
																																																										BgL_bindingsz00_25467;
																																																									BgL_bindingsz00_25467
																																																										=
																																																										BgL_arg5688z00_6974;
																																																									BgL_exprz00_25468
																																																										=
																																																										BgL_arg5689z00_6975;
																																																									BgL_exprz00_1793
																																																										=
																																																										BgL_exprz00_25468;
																																																									BgL_bindingsz00_1792
																																																										=
																																																										BgL_bindingsz00_25467;
																																																									goto
																																																										BgL_tagzd2382zd2_1794;
																																																								}
																																																								BgL_auxz00_22720
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_25466);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test9298z00_25470;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg5759z00_7087;
																																																								BgL_arg5759z00_7087
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test9298z00_25470
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg5759z00_7087));
																																																							}
																																																							if (BgL_test9298z00_25470)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_25475;
																																																									goto
																																																										BgL_tagzd2384zd2_1796;
																																																									BgL_auxz00_22720
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_25475);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd243332zd2_6978;
																																																									BgL_carzd243332zd2_6978
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd243337zd2_6979;
																																																										BgL_cdrzd243337zd2_6979
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd243332zd2_6978));
																																																										if ((CAR(((obj_t) BgL_carzd243332zd2_6978)) == CNST_TABLE_REF(((long) 3))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd243337zd2_6979))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg5695z00_6983;
																																																														obj_t
																																																															BgL_arg5696z00_6984;
																																																														obj_t
																																																															BgL_arg5697z00_6985;
																																																														BgL_arg5695z00_6983
																																																															=
																																																															CAR
																																																															(BgL_cdrzd243337zd2_6979);
																																																														BgL_arg5696z00_6984
																																																															=
																																																															CDR
																																																															(BgL_cdrzd243337zd2_6979);
																																																														BgL_arg5697z00_6985
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_25492;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_25495;
																																																																obj_t
																																																																	BgL_bodyz00_25494;
																																																																obj_t
																																																																	BgL_varsz00_25493;
																																																																BgL_varsz00_25493
																																																																	=
																																																																	BgL_arg5695z00_6983;
																																																																BgL_bodyz00_25494
																																																																	=
																																																																	BgL_arg5696z00_6984;
																																																																BgL_argsz00_25495
																																																																	=
																																																																	BgL_arg5697z00_6985;
																																																																BgL_argsz00_1803
																																																																	=
																																																																	BgL_argsz00_25495;
																																																																BgL_bodyz00_1802
																																																																	=
																																																																	BgL_bodyz00_25494;
																																																																BgL_varsz00_1801
																																																																	=
																																																																	BgL_varsz00_25493;
																																																																goto
																																																																	BgL_tagzd2386zd2_1804;
																																																															}
																																																															BgL_auxz00_22720
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_25492);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1838;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_25499;
																																																																goto
																																																																	BgL_tagzd2404zd2_1839;
																																																																BgL_auxz00_22720
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_25499);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd243444zd2_6988;
																																																												BgL_cdrzd243444zd2_6988
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd243449zd2_6989;
																																																													BgL_cdrzd243449zd2_6989
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd243332zd2_6978));
																																																													if ((CAR(((obj_t) BgL_carzd243332zd2_6978)) == CNST_TABLE_REF(((long) 1))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (PAIRP(BgL_cdrzd243449zd2_6989))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd243454zd2_6993;
																																																																	BgL_cdrzd243454zd2_6993
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd243449zd2_6989);
																																																																	if (PAIRP(BgL_cdrzd243454zd2_6993))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd243458zd2_6995;
																																																																			obj_t
																																																																				BgL_cdrzd243459zd2_6996;
																																																																			BgL_carzd243458zd2_6995
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd243454zd2_6993);
																																																																			BgL_cdrzd243459zd2_6996
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd243454zd2_6993);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243458zd2_6995))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd243459zd2_6996))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd243464zd2_6999;
																																																																							BgL_carzd243464zd2_6999
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd243459zd2_6996);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243464zd2_6999))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_cdrzd243459zd2_6996)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test9309z00_25527;
																																																																											{
																																																																												obj_t
																																																																													BgL_l1445z00_7032;
																																																																												BgL_l1445z00_7032
																																																																													=
																																																																													BgL_cdrzd243444zd2_6988;
																																																																											BgL_zc3z04anonymousza35723ze3z87_7033:
																																																																												if (NULLP(BgL_l1445z00_7032))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test9309z00_25527
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test9311z00_25530;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															bool_t
																																																																																BgL_test9312z00_25531;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_tmpz00_25532;
																																																																																BgL_tmpz00_25532
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_l1445z00_7032));
																																																																																BgL_test9312z00_25531
																																																																																	=
																																																																																	PAIRP
																																																																																	(BgL_tmpz00_25532);
																																																																															}
																																																																															if (BgL_test9312z00_25531)
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test9311z00_25530
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test9311z00_25530
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																														}
																																																																														if (BgL_test9311z00_25530)
																																																																															{
																																																																																obj_t
																																																																																	BgL_l1445z00_25536;
																																																																																BgL_l1445z00_25536
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_l1445z00_7032));
																																																																																BgL_l1445z00_7032
																																																																																	=
																																																																																	BgL_l1445z00_25536;
																																																																																goto
																																																																																	BgL_zc3z04anonymousza35723ze3z87_7033;
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test9309z00_25527
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																													}
																																																																											}
																																																																											if (BgL_test9309z00_25527)
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg5713z00_7015;
																																																																													BgL_arg5713z00_7015
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd243449zd2_6989);
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_25540;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_25544;
																																																																															obj_t
																																																																																BgL_proc2z00_25543;
																																																																															obj_t
																																																																																BgL_proc1z00_25542;
																																																																															obj_t
																																																																																BgL_testz00_25541;
																																																																															BgL_testz00_25541
																																																																																=
																																																																																BgL_arg5713z00_7015;
																																																																															BgL_proc1z00_25542
																																																																																=
																																																																																BgL_carzd243458zd2_6995;
																																																																															BgL_proc2z00_25543
																																																																																=
																																																																																BgL_carzd243464zd2_6999;
																																																																															BgL_argsz00_25544
																																																																																=
																																																																																BgL_cdrzd243444zd2_6988;
																																																																															BgL_argsz00_1808
																																																																																=
																																																																																BgL_argsz00_25544;
																																																																															BgL_proc2z00_1807
																																																																																=
																																																																																BgL_proc2z00_25543;
																																																																															BgL_proc1z00_1806
																																																																																=
																																																																																BgL_proc1z00_25542;
																																																																															BgL_testz00_1805
																																																																																=
																																																																																BgL_testz00_25541;
																																																																															goto
																																																																																BgL_tagzd2387zd2_1809;
																																																																														}
																																																																														BgL_auxz00_22720
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_25540);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd243489zd2_7016;
																																																																													BgL_cdrzd243489zd2_7016
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd243497zd2_7017;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_12561;
																																																																															BgL_pairz00_12561
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd243497zd2_7017
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_12561);
																																																																														}
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd243505zd2_7018;
																																																																															BgL_cdrzd243505zd2_7018
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd243497zd2_7017));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd243512zd2_7019;
																																																																																BgL_carzd243512zd2_7019
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd243505zd2_7018));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243512zd2_7019))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd243521zd2_7021;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_pairz00_12565;
																																																																																			BgL_pairz00_12565
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd243505zd2_7018));
																																																																																			BgL_carzd243521zd2_7021
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_pairz00_12565);
																																																																																		}
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243521zd2_7021))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd243489zd2_7016))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_arg5717z00_7024;
																																																																																						BgL_arg5717z00_7024
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd243497zd2_7017));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_25566;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_25570;
																																																																																								obj_t
																																																																																									BgL_proc2z00_25569;
																																																																																								obj_t
																																																																																									BgL_proc1z00_25568;
																																																																																								obj_t
																																																																																									BgL_testz00_25567;
																																																																																								BgL_testz00_25567
																																																																																									=
																																																																																									BgL_arg5717z00_7024;
																																																																																								BgL_proc1z00_25568
																																																																																									=
																																																																																									BgL_carzd243512zd2_7019;
																																																																																								BgL_proc2z00_25569
																																																																																									=
																																																																																									BgL_carzd243521zd2_7021;
																																																																																								BgL_argsz00_25570
																																																																																									=
																																																																																									BgL_cdrzd243489zd2_7016;
																																																																																								BgL_argsz00_1813
																																																																																									=
																																																																																									BgL_argsz00_25570;
																																																																																								BgL_proc2z00_1812
																																																																																									=
																																																																																									BgL_proc2z00_25569;
																																																																																								BgL_proc1z00_1811
																																																																																									=
																																																																																									BgL_proc1z00_25568;
																																																																																								BgL_testz00_1810
																																																																																									=
																																																																																									BgL_testz00_25567;
																																																																																								goto
																																																																																									BgL_tagzd2388zd2_1814;
																																																																																							}
																																																																																							BgL_auxz00_22720
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_25566);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1838;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_25574;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1839;
																																																																																								BgL_auxz00_22720
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_25574);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_25578;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_22720
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_25578);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_25582;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_22720
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_25582);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_25586;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_25586);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd243799zd2_7043;
																																																																									BgL_cdrzd243799zd2_7043
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd243806zd2_7044;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_12569;
																																																																											BgL_pairz00_12569
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd243806zd2_7044
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_12569);
																																																																										}
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd243813zd2_7045;
																																																																											BgL_cdrzd243813zd2_7045
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd243806zd2_7044));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd243819zd2_7046;
																																																																												obj_t
																																																																													BgL_cdrzd243820zd2_7047;
																																																																												BgL_carzd243819zd2_7046
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd243813zd2_7045));
																																																																												BgL_cdrzd243820zd2_7047
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd243813zd2_7045));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243819zd2_7046))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd243827zd2_7049;
																																																																														BgL_carzd243827zd2_7049
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd243820zd2_7047));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243827zd2_7049))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (NULLP(CDR(((obj_t) BgL_cdrzd243820zd2_7047))))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd243799zd2_7043))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_arg5732z00_7054;
																																																																																				BgL_arg5732z00_7054
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd243806zd2_7044));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_25613;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_25617;
																																																																																						obj_t
																																																																																							BgL_proc2z00_25616;
																																																																																						obj_t
																																																																																							BgL_proc1z00_25615;
																																																																																						obj_t
																																																																																							BgL_testz00_25614;
																																																																																						BgL_testz00_25614
																																																																																							=
																																																																																							BgL_arg5732z00_7054;
																																																																																						BgL_proc1z00_25615
																																																																																							=
																																																																																							BgL_carzd243819zd2_7046;
																																																																																						BgL_proc2z00_25616
																																																																																							=
																																																																																							BgL_carzd243827zd2_7049;
																																																																																						BgL_argsz00_25617
																																																																																							=
																																																																																							BgL_cdrzd243799zd2_7043;
																																																																																						BgL_argsz00_1813
																																																																																							=
																																																																																							BgL_argsz00_25617;
																																																																																						BgL_proc2z00_1812
																																																																																							=
																																																																																							BgL_proc2z00_25616;
																																																																																						BgL_proc1z00_1811
																																																																																							=
																																																																																							BgL_proc1z00_25615;
																																																																																						BgL_testz00_1810
																																																																																							=
																																																																																							BgL_testz00_25614;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1814;
																																																																																					}
																																																																																					BgL_auxz00_22720
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_25613);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_25621;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_22720
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_25621);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_25625;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_22720
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_25625);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1838;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_25629;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1839;
																																																																																		BgL_auxz00_22720
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_25629);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1838;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_25633;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1839;
																																																																																BgL_auxz00_22720
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_25633);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_25637;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_25637);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd244160zd2_7062;
																																																																					BgL_cdrzd244160zd2_7062
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd244166zd2_7063;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_12578;
																																																																							BgL_pairz00_12578
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd244166zd2_7063
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_12578);
																																																																						}
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd244172zd2_7064;
																																																																							BgL_cdrzd244172zd2_7064
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd244166zd2_7063));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd244177zd2_7065;
																																																																								obj_t
																																																																									BgL_cdrzd244178zd2_7066;
																																																																								BgL_carzd244177zd2_7065
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd244172zd2_7064));
																																																																								BgL_cdrzd244178zd2_7066
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd244172zd2_7064));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244177zd2_7065))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (PAIRP(BgL_cdrzd244178zd2_7066))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd244183zd2_7069;
																																																																												BgL_carzd244183zd2_7069
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd244178zd2_7066);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244183zd2_7069))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (NULLP(CDR(BgL_cdrzd244178zd2_7066)))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd244160zd2_7062))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg5746z00_7074;
																																																																																		BgL_arg5746z00_7074
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd244166zd2_7063));
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_25664;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_25668;
																																																																																				obj_t
																																																																																					BgL_proc2z00_25667;
																																																																																				obj_t
																																																																																					BgL_proc1z00_25666;
																																																																																				obj_t
																																																																																					BgL_testz00_25665;
																																																																																				BgL_testz00_25665
																																																																																					=
																																																																																					BgL_arg5746z00_7074;
																																																																																				BgL_proc1z00_25666
																																																																																					=
																																																																																					BgL_carzd244177zd2_7065;
																																																																																				BgL_proc2z00_25667
																																																																																					=
																																																																																					BgL_carzd244183zd2_7069;
																																																																																				BgL_argsz00_25668
																																																																																					=
																																																																																					BgL_cdrzd244160zd2_7062;
																																																																																				BgL_argsz00_1813
																																																																																					=
																																																																																					BgL_argsz00_25668;
																																																																																				BgL_proc2z00_1812
																																																																																					=
																																																																																					BgL_proc2z00_25667;
																																																																																				BgL_proc1z00_1811
																																																																																					=
																																																																																					BgL_proc1z00_25666;
																																																																																				BgL_testz00_1810
																																																																																					=
																																																																																					BgL_testz00_25665;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1814;
																																																																																			}
																																																																																			BgL_auxz00_22720
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_25664);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_25672;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_22720
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_25672);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1838;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_25676;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1839;
																																																																																		BgL_auxz00_22720
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_25676);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1838;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_25680;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1839;
																																																																																BgL_auxz00_22720
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_25680);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1838;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_25684;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1839;
																																																																														BgL_auxz00_22720
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_25684);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_25688;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																												BgL_auxz00_22720
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_25688);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1838;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_25692;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1839;
																																																																					BgL_auxz00_22720
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_25692);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1838;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_25696;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1839;
																																																																			BgL_auxz00_22720
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_25696);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1838;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_25700;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1839;
																																																																	BgL_auxz00_22720
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_25700);
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((BgL_carzd241656zd2_6961 == CNST_TABLE_REF(((long) 17))))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg5862z00_7240;
																																											obj_t
																																												BgL_arg5863z00_7241;
																																											BgL_arg5862z00_7240
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd241555zd2_6945));
																																											BgL_arg5863z00_7241
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd241555zd2_6945));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_25709;
																																												{
																																													obj_t
																																														BgL_exprz00_25711;
																																													obj_t
																																														BgL_bindingsz00_25710;
																																													BgL_bindingsz00_25710
																																														=
																																														BgL_arg5862z00_7240;
																																													BgL_exprz00_25711
																																														=
																																														BgL_arg5863z00_7241;
																																													BgL_exprz00_1793
																																														=
																																														BgL_exprz00_25711;
																																													BgL_bindingsz00_1792
																																														=
																																														BgL_bindingsz00_25710;
																																													goto
																																														BgL_tagzd2382zd2_1794;
																																												}
																																												BgL_auxz00_22720
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_25709);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd241656zd2_6961)))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg5865z00_7243;
																																													obj_t
																																														BgL_arg5866z00_7244;
																																													BgL_arg5865z00_7243
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd241555zd2_6945));
																																													BgL_arg5866z00_7244
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd241555zd2_6945));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_25720;
																																														{
																																															obj_t
																																																BgL_exprz00_25722;
																																															obj_t
																																																BgL_bindingsz00_25721;
																																															BgL_bindingsz00_25721
																																																=
																																																BgL_arg5865z00_7243;
																																															BgL_exprz00_25722
																																																=
																																																BgL_arg5866z00_7244;
																																															BgL_exprz00_1793
																																																=
																																																BgL_exprz00_25722;
																																															BgL_bindingsz00_1792
																																																=
																																																BgL_bindingsz00_25721;
																																															goto
																																																BgL_tagzd2382zd2_1794;
																																														}
																																														BgL_auxz00_22720
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_25720);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((BgL_carzd241656zd2_6961 == CNST_TABLE_REF(((long) 18))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg5868z00_7246;
																																															obj_t
																																																BgL_arg5869z00_7247;
																																															BgL_arg5868z00_7246
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd241555zd2_6945));
																																															BgL_arg5869z00_7247
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd241555zd2_6945));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_25731;
																																																{
																																																	obj_t
																																																		BgL_exprz00_25733;
																																																	obj_t
																																																		BgL_bindingsz00_25732;
																																																	BgL_bindingsz00_25732
																																																		=
																																																		BgL_arg5868z00_7246;
																																																	BgL_exprz00_25733
																																																		=
																																																		BgL_arg5869z00_7247;
																																																	BgL_exprz00_1793
																																																		=
																																																		BgL_exprz00_25733;
																																																	BgL_bindingsz00_1792
																																																		=
																																																		BgL_bindingsz00_25732;
																																																	goto
																																																		BgL_tagzd2382zd2_1794;
																																																}
																																																BgL_auxz00_22720
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_25731);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_25740;
																																																	goto
																																																		BgL_tagzd2383zd2_1795;
																																																	BgL_auxz00_22720
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_25740);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_carzd244758zd2_7250;
																																																	BgL_carzd244758zd2_7250
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	if ((BgL_carzd244758zd2_7250 == CNST_TABLE_REF(((long) 19))))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_25747;
																																																			goto
																																																				BgL_tagzd2384zd2_1796;
																																																			BgL_auxz00_22720
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_25747);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd244758zd2_7250)))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_25752;
																																																					goto
																																																						BgL_tagzd2384zd2_1796;
																																																					BgL_auxz00_22720
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_25752);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_25759;
																																																							goto
																																																								BgL_tagzd2389zd2_1815;
																																																							BgL_auxz00_22720
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_25759);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_25766;
																																																									goto
																																																										BgL_tagzd2390zd2_1816;
																																																									BgL_auxz00_22720
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_25766);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd244838zd2_7257;
																																																									BgL_cdrzd244838zd2_7257
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg5880z00_7260;
																																																											obj_t
																																																												BgL_arg5881z00_7261;
																																																											BgL_arg5880z00_7260
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd244838zd2_7257));
																																																											BgL_arg5881z00_7261
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd244838zd2_7257));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_25779;
																																																												{
																																																													obj_t
																																																														BgL_restz00_25781;
																																																													obj_t
																																																														BgL_effectz00_25780;
																																																													BgL_effectz00_25780
																																																														=
																																																														BgL_arg5880z00_7260;
																																																													BgL_restz00_25781
																																																														=
																																																														BgL_arg5881z00_7261;
																																																													BgL_restz00_1818
																																																														=
																																																														BgL_restz00_25781;
																																																													BgL_effectz00_1817
																																																														=
																																																														BgL_effectz00_25780;
																																																													goto
																																																														BgL_tagzd2391zd2_1819;
																																																												}
																																																												BgL_auxz00_22720
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_25779);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_25788;
																																																													goto
																																																														BgL_tagzd2392zd2_1820;
																																																													BgL_auxz00_22720
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_25788);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_25795;
																																																															goto
																																																																BgL_tagzd2393zd2_1821;
																																																															BgL_auxz00_22720
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_25795);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg5888z00_7269;
																																																																	obj_t
																																																																		BgL_arg5889z00_7270;
																																																																	BgL_arg5888z00_7269
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd244838zd2_7257));
																																																																	BgL_arg5889z00_7270
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd244838zd2_7257));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_25806;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_25808;
																																																																			obj_t
																																																																				BgL_effectz00_25807;
																																																																			BgL_effectz00_25807
																																																																				=
																																																																				BgL_arg5888z00_7269;
																																																																			BgL_restz00_25808
																																																																				=
																																																																				BgL_arg5889z00_7270;
																																																																			BgL_restz00_1823
																																																																				=
																																																																				BgL_restz00_25808;
																																																																			BgL_effectz00_1822
																																																																				=
																																																																				BgL_effectz00_25807;
																																																																			goto
																																																																				BgL_tagzd2394zd2_1824;
																																																																		}
																																																																		BgL_auxz00_22720
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_25806);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_25815;
																																																																			goto
																																																																				BgL_tagzd2395zd2_1825;
																																																																			BgL_auxz00_22720
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_25815);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_25822;
																																																																					goto
																																																																						BgL_tagzd2396zd2_1826;
																																																																					BgL_auxz00_22720
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_25822);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																						{
																																																																							BgL_letzd2funzd2_bglt
																																																																								BgL_auxz00_25829;
																																																																							goto
																																																																								BgL_tagzd2397zd2_1827;
																																																																							BgL_auxz00_22720
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_25829);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																								{
																																																																									BgL_jumpzd2exzd2itz00_bglt
																																																																										BgL_auxz00_25836;
																																																																									goto
																																																																										BgL_tagzd2398zd2_1828;
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_25836);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test9359z00_25843;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_tmpz00_25844;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_12614;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_12613;
																																																																														BgL_pairz00_12613
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_pairz00_12614
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_12613);
																																																																													}
																																																																													BgL_tmpz00_25844
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_12614);
																																																																												}
																																																																												BgL_test9359z00_25843
																																																																													=
																																																																													NULLP
																																																																													(BgL_tmpz00_25844);
																																																																											}
																																																																											if (BgL_test9359z00_25843)
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_25850;
																																																																													goto
																																																																														BgL_tagzd2399zd2_1829;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_25850);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_25854;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_25854);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd244931zd2_7289;
																																																																											BgL_cdrzd244931zd2_7289
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg5910z00_7292;
																																																																													obj_t
																																																																														BgL_arg5911z00_7293;
																																																																													BgL_arg5910z00_7292
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd244931zd2_7289));
																																																																													BgL_arg5911z00_7293
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd244931zd2_7289));
																																																																													{	/* Ast/sexp.scm 555 */
																																																																														obj_t
																																																																															BgL_arg7079z00_12619;
																																																																														BgL_arg7079z00_12619
																																																																															=
																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																															(BgL_expz00_21,
																																																																															BgL_locz00_23);
																																																																														BgL_auxz00_22720
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																															(BgL_expz00_21,
																																																																																BgL_arg5910z00_7292,
																																																																																CNST_TABLE_REF
																																																																																(((long) 4)), BgL_arg5911z00_7293, BgL_stackz00_22, BgL_arg7079z00_12619, BgL_sitez00_24));
																																																																												}}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_25873;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_25873);
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													obj_t
																														BgL_carzd244956zd2_7310;
																													BgL_carzd244956zd2_7310
																														=
																														CAR(((obj_t)
																															BgL_expz00_21));
																													if (
																														(BgL_carzd244956zd2_7310
																															==
																															CNST_TABLE_REF((
																																	(long) 1))))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_25880;
																															goto
																																BgL_tagzd2377zd2_1783;
																															BgL_auxz00_22720 =
																																((obj_t)
																																BgL_auxz00_25880);
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(BgL_carzd244956zd2_7310
																																	==
																																	BGl_za2ifza2z00zzast_sexpz00))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_25884;
																																	goto
																																		BgL_tagzd2377zd2_1783;
																																	BgL_auxz00_22720
																																		=
																																		((obj_t)
																																		BgL_auxz00_25884);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_cdrzd244978zd2_7313;
																																	BgL_cdrzd244978zd2_7313
																																		=
																																		CDR(((obj_t)
																																			BgL_expz00_21));
																																	if ((CAR((
																																					(obj_t)
																																					BgL_expz00_21))
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					7))))
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd244981zd2_7316;
																																			obj_t
																																				BgL_cdrzd244982zd2_7317;
																																			BgL_carzd244981zd2_7316
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_cdrzd244978zd2_7313));
																																			BgL_cdrzd244982zd2_7317
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_cdrzd244978zd2_7313));
																																			if (PAIRP
																																				(BgL_carzd244981zd2_7316))
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(CAR
																																							(BgL_carzd244981zd2_7316)
																																							==
																																							CNST_TABLE_REF
																																							(((long) 14))))
																																						{	/* Ast/sexp.scm 119 */
																																							if (NULLP(CDR(((obj_t) BgL_cdrzd244982zd2_7317))))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_arg5937z00_7323;
																																									obj_t
																																										BgL_arg5938z00_7324;
																																									BgL_arg5937z00_7323
																																										=
																																										CDR
																																										(BgL_carzd244981zd2_7316);
																																									BgL_arg5938z00_7324
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd244982zd2_7317));
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_25910;
																																										{
																																											obj_t
																																												BgL_valz00_25912;
																																											obj_t
																																												BgL_lz00_25911;
																																											BgL_lz00_25911
																																												=
																																												BgL_arg5937z00_7323;
																																											BgL_valz00_25912
																																												=
																																												BgL_arg5938z00_7324;
																																											BgL_valz00_1785
																																												=
																																												BgL_valz00_25912;
																																											BgL_lz00_1784
																																												=
																																												BgL_lz00_25911;
																																											goto
																																												BgL_tagzd2378zd2_1786;
																																										}
																																										BgL_auxz00_22720
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_25910);
																																									}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_25914;
																																									goto
																																										BgL_tagzd2379zd2_1787;
																																									BgL_auxz00_22720
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_25914);
																																								}
																																						}
																																					else
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_25916;
																																							goto
																																								BgL_tagzd2379zd2_1787;
																																							BgL_auxz00_22720
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_25916);
																																						}
																																				}
																																			else
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_25918;
																																					goto
																																						BgL_tagzd2379zd2_1787;
																																					BgL_auxz00_22720
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_25918);
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(CAR(
																																						((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_25925;
																																					goto
																																						BgL_tagzd2380zd2_1788;
																																					BgL_auxz00_22720
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_25925);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd245079zd2_7329;
																																					BgL_carzd245079zd2_7329
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (PAIRP(BgL_carzd245079zd2_7329))
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd245082zd2_7331;
																																							obj_t
																																								BgL_cdrzd245083zd2_7332;
																																							BgL_carzd245082zd2_7331
																																								=
																																								CAR
																																								(BgL_carzd245079zd2_7329);
																																							BgL_cdrzd245083zd2_7332
																																								=
																																								CDR
																																								(BgL_carzd245079zd2_7329);
																																							{

																																								if ((BgL_carzd245082zd2_7331 == CNST_TABLE_REF(((long) 17))))
																																									{	/* Ast/sexp.scm 119 */
																																									BgL_kapzd245084zd2_7333:
																																										if (PAIRP(BgL_cdrzd245083zd2_7332))
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd245087zd2_7458;
																																												BgL_cdrzd245087zd2_7458
																																													=
																																													CDR
																																													(BgL_cdrzd245083zd2_7332);
																																												if (PAIRP(BgL_cdrzd245087zd2_7458))
																																													{	/* Ast/sexp.scm 119 */
																																														if (NULLP(CDR(BgL_cdrzd245087zd2_7458)))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg6028z00_7462;
																																																obj_t
																																																	BgL_arg6029z00_7463;
																																																BgL_arg6028z00_7462
																																																	=
																																																	CAR
																																																	(BgL_cdrzd245087zd2_7458);
																																																BgL_arg6029z00_7463
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_25947;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_25949;
																																																		obj_t
																																																			BgL_bodyz00_25948;
																																																		BgL_bodyz00_25948
																																																			=
																																																			BgL_arg6028z00_7462;
																																																		BgL_argsz00_25949
																																																			=
																																																			BgL_arg6029z00_7463;
																																																		BgL_argsz00_1790
																																																			=
																																																			BgL_argsz00_25949;
																																																		BgL_bodyz00_1789
																																																			=
																																																			BgL_bodyz00_25948;
																																																		goto
																																																			BgL_tagzd2381zd2_1791;
																																																	}
																																																	BgL_auxz00_22720
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_25947);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd245111zd2_7464;
																																																BgL_cdrzd245111zd2_7464
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test9375z00_25953;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg6098z00_7575;
																																																		BgL_arg6098z00_7575
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test9375z00_25953
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg6098z00_7575));
																																																	}
																																																	if (BgL_test9375z00_25953)
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg6032z00_7467;
																																																			obj_t
																																																				BgL_arg6033z00_7468;
																																																			BgL_arg6032z00_7467
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd245111zd2_7464));
																																																			BgL_arg6033z00_7468
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd245111zd2_7464));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_25962;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_25964;
																																																					obj_t
																																																						BgL_bindingsz00_25963;
																																																					BgL_bindingsz00_25963
																																																						=
																																																						BgL_arg6032z00_7467;
																																																					BgL_exprz00_25964
																																																						=
																																																						BgL_arg6033z00_7468;
																																																					BgL_exprz00_1793
																																																						=
																																																						BgL_exprz00_25964;
																																																					BgL_bindingsz00_1792
																																																						=
																																																						BgL_bindingsz00_25963;
																																																					goto
																																																						BgL_tagzd2382zd2_1794;
																																																				}
																																																				BgL_auxz00_22720
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_25962);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test9376z00_25966;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6097z00_7574;
																																																				BgL_arg6097z00_7574
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test9376z00_25966
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg6097z00_7574));
																																																			}
																																																			if (BgL_test9376z00_25966)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_25971;
																																																					goto
																																																						BgL_tagzd2384zd2_1796;
																																																					BgL_auxz00_22720
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_25971);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd245178zd2_7471;
																																																					BgL_carzd245178zd2_7471
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd245183zd2_7472;
																																																						BgL_cdrzd245183zd2_7472
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd245178zd2_7471));
																																																						if ((CAR(((obj_t) BgL_carzd245178zd2_7471)) == CNST_TABLE_REF(((long) 3))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg6038z00_7475;
																																																								obj_t
																																																									BgL_arg6039z00_7476;
																																																								obj_t
																																																									BgL_arg6040z00_7477;
																																																								BgL_arg6038z00_7475
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_cdrzd245183zd2_7472));
																																																								BgL_arg6039z00_7476
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd245183zd2_7472));
																																																								BgL_arg6040z00_7477
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_25988;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_25991;
																																																										obj_t
																																																											BgL_bodyz00_25990;
																																																										obj_t
																																																											BgL_varsz00_25989;
																																																										BgL_varsz00_25989
																																																											=
																																																											BgL_arg6038z00_7475;
																																																										BgL_bodyz00_25990
																																																											=
																																																											BgL_arg6039z00_7476;
																																																										BgL_argsz00_25991
																																																											=
																																																											BgL_arg6040z00_7477;
																																																										BgL_argsz00_1803
																																																											=
																																																											BgL_argsz00_25991;
																																																										BgL_bodyz00_1802
																																																											=
																																																											BgL_bodyz00_25990;
																																																										BgL_varsz00_1801
																																																											=
																																																											BgL_varsz00_25989;
																																																										goto
																																																											BgL_tagzd2386zd2_1804;
																																																									}
																																																									BgL_auxz00_22720
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_25988);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd245206zd2_7479;
																																																								BgL_cdrzd245206zd2_7479
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd245212zd2_7480;
																																																									BgL_cdrzd245212zd2_7480
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd245178zd2_7471));
																																																									if ((CAR(((obj_t) BgL_carzd245178zd2_7471)) == CNST_TABLE_REF(((long) 1))))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd245218zd2_7483;
																																																											BgL_cdrzd245218zd2_7483
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd245212zd2_7480));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_carzd245223zd2_7484;
																																																												obj_t
																																																													BgL_cdrzd245224zd2_7485;
																																																												BgL_carzd245223zd2_7484
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd245218zd2_7483));
																																																												BgL_cdrzd245224zd2_7485
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd245218zd2_7483));
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245223zd2_7484))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd245224zd2_7485))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd245231zd2_7488;
																																																																BgL_carzd245231zd2_7488
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd245224zd2_7485);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245231zd2_7488))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(BgL_cdrzd245224zd2_7485)))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				bool_t
																																																																					BgL_test9383z00_26018;
																																																																				{
																																																																					obj_t
																																																																						BgL_l1448z00_7521;
																																																																					BgL_l1448z00_7521
																																																																						=
																																																																						BgL_cdrzd245206zd2_7479;
																																																																				BgL_zc3z04anonymousza36063ze3z87_7522:
																																																																					if (NULLP(BgL_l1448z00_7521))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test9383z00_26018
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							bool_t
																																																																								BgL_test9385z00_26021;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test9386z00_26022;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_tmpz00_26023;
																																																																									BgL_tmpz00_26023
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_l1448z00_7521));
																																																																									BgL_test9386z00_26022
																																																																										=
																																																																										PAIRP
																																																																										(BgL_tmpz00_26023);
																																																																								}
																																																																								if (BgL_test9386z00_26022)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test9385z00_26021
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test9385z00_26021
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																							}
																																																																							if (BgL_test9385z00_26021)
																																																																								{
																																																																									obj_t
																																																																										BgL_l1448z00_26027;
																																																																									BgL_l1448z00_26027
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_l1448z00_7521));
																																																																									BgL_l1448z00_7521
																																																																										=
																																																																										BgL_l1448z00_26027;
																																																																									goto
																																																																										BgL_zc3z04anonymousza36063ze3z87_7522;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test9383z00_26018
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																						}
																																																																				}
																																																																				if (BgL_test9383z00_26018)
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg6053z00_7504;
																																																																						BgL_arg6053z00_7504
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd245212zd2_7480));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_26032;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_26036;
																																																																								obj_t
																																																																									BgL_proc2z00_26035;
																																																																								obj_t
																																																																									BgL_proc1z00_26034;
																																																																								obj_t
																																																																									BgL_testz00_26033;
																																																																								BgL_testz00_26033
																																																																									=
																																																																									BgL_arg6053z00_7504;
																																																																								BgL_proc1z00_26034
																																																																									=
																																																																									BgL_carzd245223zd2_7484;
																																																																								BgL_proc2z00_26035
																																																																									=
																																																																									BgL_carzd245231zd2_7488;
																																																																								BgL_argsz00_26036
																																																																									=
																																																																									BgL_cdrzd245206zd2_7479;
																																																																								BgL_argsz00_1808
																																																																									=
																																																																									BgL_argsz00_26036;
																																																																								BgL_proc2z00_1807
																																																																									=
																																																																									BgL_proc2z00_26035;
																																																																								BgL_proc1z00_1806
																																																																									=
																																																																									BgL_proc1z00_26034;
																																																																								BgL_testz00_1805
																																																																									=
																																																																									BgL_testz00_26033;
																																																																								goto
																																																																									BgL_tagzd2387zd2_1809;
																																																																							}
																																																																							BgL_auxz00_22720
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_26032);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd245255zd2_7505;
																																																																						BgL_cdrzd245255zd2_7505
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd245262zd2_7506;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_12662;
																																																																								BgL_pairz00_12662
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd245262zd2_7506
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_12662);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd245269zd2_7507;
																																																																								BgL_cdrzd245269zd2_7507
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd245262zd2_7506));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd245275zd2_7508;
																																																																									BgL_carzd245275zd2_7508
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd245269zd2_7507));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245275zd2_7508))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd245282zd2_7510;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_12666;
																																																																												BgL_pairz00_12666
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd245269zd2_7507));
																																																																												BgL_carzd245282zd2_7510
																																																																													=
																																																																													CAR
																																																																													(BgL_pairz00_12666);
																																																																											}
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245282zd2_7510))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd245255zd2_7505))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg6057z00_7513;
																																																																															BgL_arg6057z00_7513
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd245262zd2_7506));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_26058;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_26062;
																																																																																	obj_t
																																																																																		BgL_proc2z00_26061;
																																																																																	obj_t
																																																																																		BgL_proc1z00_26060;
																																																																																	obj_t
																																																																																		BgL_testz00_26059;
																																																																																	BgL_testz00_26059
																																																																																		=
																																																																																		BgL_arg6057z00_7513;
																																																																																	BgL_proc1z00_26060
																																																																																		=
																																																																																		BgL_carzd245275zd2_7508;
																																																																																	BgL_proc2z00_26061
																																																																																		=
																																																																																		BgL_carzd245282zd2_7510;
																																																																																	BgL_argsz00_26062
																																																																																		=
																																																																																		BgL_cdrzd245255zd2_7505;
																																																																																	BgL_argsz00_1813
																																																																																		=
																																																																																		BgL_argsz00_26062;
																																																																																	BgL_proc2z00_1812
																																																																																		=
																																																																																		BgL_proc2z00_26061;
																																																																																	BgL_proc1z00_1811
																																																																																		=
																																																																																		BgL_proc1z00_26060;
																																																																																	BgL_testz00_1810
																																																																																		=
																																																																																		BgL_testz00_26059;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1814;
																																																																																}
																																																																																BgL_auxz00_22720
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_26058);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_26066;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_22720
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_26066);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_26070;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_26070);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_26074;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_26074);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_26078;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_22720
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_26078);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd245558zd2_7532;
																																																																		BgL_cdrzd245558zd2_7532
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd245564zd2_7533;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_12670;
																																																																				BgL_pairz00_12670
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd245564zd2_7533
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_12670);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd245570zd2_7534;
																																																																				BgL_cdrzd245570zd2_7534
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd245564zd2_7533));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd245575zd2_7535;
																																																																					obj_t
																																																																						BgL_cdrzd245576zd2_7536;
																																																																					BgL_carzd245575zd2_7535
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd245570zd2_7534));
																																																																					BgL_cdrzd245576zd2_7536
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd245570zd2_7534));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245575zd2_7535))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd245581zd2_7538;
																																																																							BgL_carzd245581zd2_7538
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd245576zd2_7536));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245581zd2_7538))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(((obj_t) BgL_cdrzd245576zd2_7536))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd245558zd2_7532))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg6072z00_7543;
																																																																													BgL_arg6072z00_7543
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd245564zd2_7533));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_26105;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_26109;
																																																																															obj_t
																																																																																BgL_proc2z00_26108;
																																																																															obj_t
																																																																																BgL_proc1z00_26107;
																																																																															obj_t
																																																																																BgL_testz00_26106;
																																																																															BgL_testz00_26106
																																																																																=
																																																																																BgL_arg6072z00_7543;
																																																																															BgL_proc1z00_26107
																																																																																=
																																																																																BgL_carzd245575zd2_7535;
																																																																															BgL_proc2z00_26108
																																																																																=
																																																																																BgL_carzd245581zd2_7538;
																																																																															BgL_argsz00_26109
																																																																																=
																																																																																BgL_cdrzd245558zd2_7532;
																																																																															BgL_argsz00_1813
																																																																																=
																																																																																BgL_argsz00_26109;
																																																																															BgL_proc2z00_1812
																																																																																=
																																																																																BgL_proc2z00_26108;
																																																																															BgL_proc1z00_1811
																																																																																=
																																																																																BgL_proc1z00_26107;
																																																																															BgL_testz00_1810
																																																																																=
																																																																																BgL_testz00_26106;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1814;
																																																																														}
																																																																														BgL_auxz00_22720
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_26105);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_26113;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_26113);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_26117;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_26117);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_26121;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_26121);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_26125;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_26125);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1838;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_26129;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1839;
																																																																		BgL_auxz00_22720
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_26129);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd245914zd2_7551;
																																																														BgL_cdrzd245914zd2_7551
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd245921zd2_7552;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_pairz00_12679;
																																																																BgL_pairz00_12679
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_cdrzd245921zd2_7552
																																																																	=
																																																																	CDR
																																																																	(BgL_pairz00_12679);
																																																															}
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd245928zd2_7553;
																																																																BgL_cdrzd245928zd2_7553
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd245921zd2_7552));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd245934zd2_7554;
																																																																	obj_t
																																																																		BgL_cdrzd245935zd2_7555;
																																																																	BgL_carzd245934zd2_7554
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd245928zd2_7553));
																																																																	BgL_cdrzd245935zd2_7555
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd245928zd2_7553));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245934zd2_7554))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (PAIRP(BgL_cdrzd245935zd2_7555))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd245942zd2_7558;
																																																																					BgL_carzd245942zd2_7558
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd245935zd2_7555);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245942zd2_7558))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (NULLP(CDR(BgL_cdrzd245935zd2_7555)))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd245914zd2_7551))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg6086z00_7563;
																																																																											BgL_arg6086z00_7563
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd245921zd2_7552));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_26156;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_26160;
																																																																													obj_t
																																																																														BgL_proc2z00_26159;
																																																																													obj_t
																																																																														BgL_proc1z00_26158;
																																																																													obj_t
																																																																														BgL_testz00_26157;
																																																																													BgL_testz00_26157
																																																																														=
																																																																														BgL_arg6086z00_7563;
																																																																													BgL_proc1z00_26158
																																																																														=
																																																																														BgL_carzd245934zd2_7554;
																																																																													BgL_proc2z00_26159
																																																																														=
																																																																														BgL_carzd245942zd2_7558;
																																																																													BgL_argsz00_26160
																																																																														=
																																																																														BgL_cdrzd245914zd2_7551;
																																																																													BgL_argsz00_1813
																																																																														=
																																																																														BgL_argsz00_26160;
																																																																													BgL_proc2z00_1812
																																																																														=
																																																																														BgL_proc2z00_26159;
																																																																													BgL_proc1z00_1811
																																																																														=
																																																																														BgL_proc1z00_26158;
																																																																													BgL_testz00_1810
																																																																														=
																																																																														BgL_testz00_26157;
																																																																													goto
																																																																														BgL_tagzd2388zd2_1814;
																																																																												}
																																																																												BgL_auxz00_22720
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_26156);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_26164;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_26164);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_26168;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_26168);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_26172;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_26172);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_26176;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_22720
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_26176);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1838;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_26180;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1839;
																																																																					BgL_auxz00_22720
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_26180);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2403zd2_1838;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_26184;
																																																													goto
																																																														BgL_tagzd2404zd2_1839;
																																																													BgL_auxz00_22720
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_26184);
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd246335zd2_7577;
																																														BgL_cdrzd246335zd2_7577
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															bool_t
																																																BgL_test9414z00_26188;
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg6114z00_7594;
																																																BgL_arg6114z00_7594
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_test9414z00_26188
																																																	=
																																																	CBOOL
																																																	(BGl_letzd2symzf3z21zzast_letz00
																																																	(BgL_arg6114z00_7594));
																																															}
																																															if (BgL_test9414z00_26188)
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg6102z00_7580;
																																																	obj_t
																																																		BgL_arg6103z00_7581;
																																																	BgL_arg6102z00_7580
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd246335zd2_7577));
																																																	BgL_arg6103z00_7581
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd246335zd2_7577));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_26197;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_26199;
																																																			obj_t
																																																				BgL_bindingsz00_26198;
																																																			BgL_bindingsz00_26198
																																																				=
																																																				BgL_arg6102z00_7580;
																																																			BgL_exprz00_26199
																																																				=
																																																				BgL_arg6103z00_7581;
																																																			BgL_exprz00_1793
																																																				=
																																																				BgL_exprz00_26199;
																																																			BgL_bindingsz00_1792
																																																				=
																																																				BgL_bindingsz00_26198;
																																																			goto
																																																				BgL_tagzd2382zd2_1794;
																																																		}
																																																		BgL_auxz00_22720
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_26197);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test9415z00_26201;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg6113z00_7593;
																																																		BgL_arg6113z00_7593
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test9415z00_26201
																																																			=
																																																			CBOOL
																																																			(BGl_labelszd2symzf3z21zzast_labelsz00
																																																			(BgL_arg6113z00_7593));
																																																	}
																																																	if (BgL_test9415z00_26201)
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_26206;
																																																			goto
																																																				BgL_tagzd2384zd2_1796;
																																																			BgL_auxz00_22720
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_26206);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_carzd246401zd2_7584;
																																																			BgL_carzd246401zd2_7584
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd246406zd2_7585;
																																																				BgL_cdrzd246406zd2_7585
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd246401zd2_7584));
																																																				if ((CAR(((obj_t) BgL_carzd246401zd2_7584)) == CNST_TABLE_REF(((long) 3))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6108z00_7588;
																																																						obj_t
																																																							BgL_arg6109z00_7589;
																																																						obj_t
																																																							BgL_arg6110z00_7590;
																																																						BgL_arg6108z00_7588
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd246406zd2_7585));
																																																						BgL_arg6109z00_7589
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd246406zd2_7585));
																																																						BgL_arg6110z00_7590
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_26223;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_26226;
																																																								obj_t
																																																									BgL_bodyz00_26225;
																																																								obj_t
																																																									BgL_varsz00_26224;
																																																								BgL_varsz00_26224
																																																									=
																																																									BgL_arg6108z00_7588;
																																																								BgL_bodyz00_26225
																																																									=
																																																									BgL_arg6109z00_7589;
																																																								BgL_argsz00_26226
																																																									=
																																																									BgL_arg6110z00_7590;
																																																								BgL_argsz00_1803
																																																									=
																																																									BgL_argsz00_26226;
																																																								BgL_bodyz00_1802
																																																									=
																																																									BgL_bodyz00_26225;
																																																								BgL_varsz00_1801
																																																									=
																																																									BgL_varsz00_26224;
																																																								goto
																																																									BgL_tagzd2386zd2_1804;
																																																							}
																																																							BgL_auxz00_22720
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_26223);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_tagzd2403zd2_1838;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_26230;
																																																								goto
																																																									BgL_tagzd2404zd2_1839;
																																																								BgL_auxz00_22720
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_26230);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd246517zd2_7595;
																																												BgL_cdrzd246517zd2_7595
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{	/* Ast/sexp.scm 119 */
																																													bool_t
																																														BgL_test9418z00_26234;
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_arg6123z00_7604;
																																														BgL_arg6123z00_7604
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														BgL_test9418z00_26234
																																															=
																																															CBOOL
																																															(BGl_letzd2symzf3z21zzast_letz00
																																															(BgL_arg6123z00_7604));
																																													}
																																													if (BgL_test9418z00_26234)
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg6117z00_7598;
																																															obj_t
																																																BgL_arg6118z00_7599;
																																															BgL_arg6117z00_7598
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd246517zd2_7595));
																																															BgL_arg6118z00_7599
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd246517zd2_7595));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_26243;
																																																{
																																																	obj_t
																																																		BgL_exprz00_26245;
																																																	obj_t
																																																		BgL_bindingsz00_26244;
																																																	BgL_bindingsz00_26244
																																																		=
																																																		BgL_arg6117z00_7598;
																																																	BgL_exprz00_26245
																																																		=
																																																		BgL_arg6118z00_7599;
																																																	BgL_exprz00_1793
																																																		=
																																																		BgL_exprz00_26245;
																																																	BgL_bindingsz00_1792
																																																		=
																																																		BgL_bindingsz00_26244;
																																																	goto
																																																		BgL_tagzd2382zd2_1794;
																																																}
																																																BgL_auxz00_22720
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_26243);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															bool_t
																																																BgL_test9419z00_26247;
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg6122z00_7603;
																																																BgL_arg6122z00_7603
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_test9419z00_26247
																																																	=
																																																	CBOOL
																																																	(BGl_labelszd2symzf3z21zzast_labelsz00
																																																	(BgL_arg6122z00_7603));
																																															}
																																															if (BgL_test9419z00_26247)
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_26252;
																																																	goto
																																																		BgL_tagzd2384zd2_1796;
																																																	BgL_auxz00_22720
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_26252);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 119 */
																																																			goto
																																																				BgL_tagzd2403zd2_1838;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_26256;
																																																			goto
																																																				BgL_tagzd2404zd2_1839;
																																																			BgL_auxz00_22720
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_26256);
																																																		}
																																																}
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd245082zd2_7331)))
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_kapzd245084zd2_7333;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if ((BgL_carzd245082zd2_7331 == CNST_TABLE_REF(((long) 18))))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_kapzd245084zd2_7333;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if ((BgL_carzd245082zd2_7331 == CNST_TABLE_REF(((long) 19))))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd245084zd2_7333;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd245082zd2_7331)))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd245084zd2_7333;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd246689zd2_7339;
																																																		BgL_cdrzd246689zd2_7339
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test9425z00_26272;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6023z00_7456;
																																																				BgL_arg6023z00_7456
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test9425z00_26272
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg6023z00_7456));
																																																			}
																																																			if (BgL_test9425z00_26272)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg5951z00_7342;
																																																					obj_t
																																																						BgL_arg5952z00_7343;
																																																					BgL_arg5951z00_7342
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd246689zd2_7339));
																																																					BgL_arg5952z00_7343
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd246689zd2_7339));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_26281;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_26283;
																																																							obj_t
																																																								BgL_bindingsz00_26282;
																																																							BgL_bindingsz00_26282
																																																								=
																																																								BgL_arg5951z00_7342;
																																																							BgL_exprz00_26283
																																																								=
																																																								BgL_arg5952z00_7343;
																																																							BgL_exprz00_1793
																																																								=
																																																								BgL_exprz00_26283;
																																																							BgL_bindingsz00_1792
																																																								=
																																																								BgL_bindingsz00_26282;
																																																							goto
																																																								BgL_tagzd2382zd2_1794;
																																																						}
																																																						BgL_auxz00_22720
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_26281);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test9426z00_26285;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6022z00_7455;
																																																						BgL_arg6022z00_7455
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test9426z00_26285
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg6022z00_7455));
																																																					}
																																																					if (BgL_test9426z00_26285)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_26290;
																																																							goto
																																																								BgL_tagzd2384zd2_1796;
																																																							BgL_auxz00_22720
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_26290);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd246755zd2_7346;
																																																							BgL_carzd246755zd2_7346
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd246760zd2_7347;
																																																								BgL_cdrzd246760zd2_7347
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd246755zd2_7346));
																																																								if ((CAR(((obj_t) BgL_carzd246755zd2_7346)) == CNST_TABLE_REF(((long) 3))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (PAIRP(BgL_cdrzd246760zd2_7347))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg5958z00_7351;
																																																												obj_t
																																																													BgL_arg5959z00_7352;
																																																												obj_t
																																																													BgL_arg5960z00_7353;
																																																												BgL_arg5958z00_7351
																																																													=
																																																													CAR
																																																													(BgL_cdrzd246760zd2_7347);
																																																												BgL_arg5959z00_7352
																																																													=
																																																													CDR
																																																													(BgL_cdrzd246760zd2_7347);
																																																												BgL_arg5960z00_7353
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_26307;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_26310;
																																																														obj_t
																																																															BgL_bodyz00_26309;
																																																														obj_t
																																																															BgL_varsz00_26308;
																																																														BgL_varsz00_26308
																																																															=
																																																															BgL_arg5958z00_7351;
																																																														BgL_bodyz00_26309
																																																															=
																																																															BgL_arg5959z00_7352;
																																																														BgL_argsz00_26310
																																																															=
																																																															BgL_arg5960z00_7353;
																																																														BgL_argsz00_1803
																																																															=
																																																															BgL_argsz00_26310;
																																																														BgL_bodyz00_1802
																																																															=
																																																															BgL_bodyz00_26309;
																																																														BgL_varsz00_1801
																																																															=
																																																															BgL_varsz00_26308;
																																																														goto
																																																															BgL_tagzd2386zd2_1804;
																																																													}
																																																													BgL_auxz00_22720
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_26307);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2403zd2_1838;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_26314;
																																																														goto
																																																															BgL_tagzd2404zd2_1839;
																																																														BgL_auxz00_22720
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_26314);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd246867zd2_7356;
																																																										BgL_cdrzd246867zd2_7356
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd246872zd2_7357;
																																																											BgL_cdrzd246872zd2_7357
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd246755zd2_7346));
																																																											if ((CAR(((obj_t) BgL_carzd246755zd2_7346)) == CNST_TABLE_REF(((long) 1))))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (PAIRP(BgL_cdrzd246872zd2_7357))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd246877zd2_7361;
																																																															BgL_cdrzd246877zd2_7361
																																																																=
																																																																CDR
																																																																(BgL_cdrzd246872zd2_7357);
																																																															if (PAIRP(BgL_cdrzd246877zd2_7361))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd246881zd2_7363;
																																																																	obj_t
																																																																		BgL_cdrzd246882zd2_7364;
																																																																	BgL_carzd246881zd2_7363
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd246877zd2_7361);
																																																																	BgL_cdrzd246882zd2_7364
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd246877zd2_7361);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246881zd2_7363))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (PAIRP(BgL_cdrzd246882zd2_7364))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd246887zd2_7367;
																																																																					BgL_carzd246887zd2_7367
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd246882zd2_7364);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246887zd2_7367))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (NULLP(CDR(BgL_cdrzd246882zd2_7364)))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									bool_t
																																																																										BgL_test9437z00_26342;
																																																																									{
																																																																										obj_t
																																																																											BgL_l1451z00_7400;
																																																																										BgL_l1451z00_7400
																																																																											=
																																																																											BgL_cdrzd246867zd2_7356;
																																																																									BgL_zc3z04anonymousza35986ze3z87_7401:
																																																																										if (NULLP(BgL_l1451z00_7400))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test9437z00_26342
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test9439z00_26345;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test9440z00_26346;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_tmpz00_26347;
																																																																														BgL_tmpz00_26347
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_l1451z00_7400));
																																																																														BgL_test9440z00_26346
																																																																															=
																																																																															PAIRP
																																																																															(BgL_tmpz00_26347);
																																																																													}
																																																																													if (BgL_test9440z00_26346)
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															BgL_test9439z00_26345
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															BgL_test9439z00_26345
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																												}
																																																																												if (BgL_test9439z00_26345)
																																																																													{
																																																																														obj_t
																																																																															BgL_l1451z00_26351;
																																																																														BgL_l1451z00_26351
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_l1451z00_7400));
																																																																														BgL_l1451z00_7400
																																																																															=
																																																																															BgL_l1451z00_26351;
																																																																														goto
																																																																															BgL_zc3z04anonymousza35986ze3z87_7401;
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test9437z00_26342
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																											}
																																																																									}
																																																																									if (BgL_test9437z00_26342)
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg5976z00_7383;
																																																																											BgL_arg5976z00_7383
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd246872zd2_7357);
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_26355;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_26359;
																																																																													obj_t
																																																																														BgL_proc2z00_26358;
																																																																													obj_t
																																																																														BgL_proc1z00_26357;
																																																																													obj_t
																																																																														BgL_testz00_26356;
																																																																													BgL_testz00_26356
																																																																														=
																																																																														BgL_arg5976z00_7383;
																																																																													BgL_proc1z00_26357
																																																																														=
																																																																														BgL_carzd246881zd2_7363;
																																																																													BgL_proc2z00_26358
																																																																														=
																																																																														BgL_carzd246887zd2_7367;
																																																																													BgL_argsz00_26359
																																																																														=
																																																																														BgL_cdrzd246867zd2_7356;
																																																																													BgL_argsz00_1808
																																																																														=
																																																																														BgL_argsz00_26359;
																																																																													BgL_proc2z00_1807
																																																																														=
																																																																														BgL_proc2z00_26358;
																																																																													BgL_proc1z00_1806
																																																																														=
																																																																														BgL_proc1z00_26357;
																																																																													BgL_testz00_1805
																																																																														=
																																																																														BgL_testz00_26356;
																																																																													goto
																																																																														BgL_tagzd2387zd2_1809;
																																																																												}
																																																																												BgL_auxz00_22720
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_26355);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd246912zd2_7384;
																																																																											BgL_cdrzd246912zd2_7384
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd246920zd2_7385;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_12727;
																																																																													BgL_pairz00_12727
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd246920zd2_7385
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_12727);
																																																																												}
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd246928zd2_7386;
																																																																													BgL_cdrzd246928zd2_7386
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd246920zd2_7385));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd246935zd2_7387;
																																																																														BgL_carzd246935zd2_7387
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd246928zd2_7386));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246935zd2_7387))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd246944zd2_7389;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_pairz00_12731;
																																																																																	BgL_pairz00_12731
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd246928zd2_7386));
																																																																																	BgL_carzd246944zd2_7389
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_pairz00_12731);
																																																																																}
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246944zd2_7389))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd246912zd2_7384))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_arg5980z00_7392;
																																																																																				BgL_arg5980z00_7392
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd246920zd2_7385));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_26381;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_26385;
																																																																																						obj_t
																																																																																							BgL_proc2z00_26384;
																																																																																						obj_t
																																																																																							BgL_proc1z00_26383;
																																																																																						obj_t
																																																																																							BgL_testz00_26382;
																																																																																						BgL_testz00_26382
																																																																																							=
																																																																																							BgL_arg5980z00_7392;
																																																																																						BgL_proc1z00_26383
																																																																																							=
																																																																																							BgL_carzd246935zd2_7387;
																																																																																						BgL_proc2z00_26384
																																																																																							=
																																																																																							BgL_carzd246944zd2_7389;
																																																																																						BgL_argsz00_26385
																																																																																							=
																																																																																							BgL_cdrzd246912zd2_7384;
																																																																																						BgL_argsz00_1813
																																																																																							=
																																																																																							BgL_argsz00_26385;
																																																																																						BgL_proc2z00_1812
																																																																																							=
																																																																																							BgL_proc2z00_26384;
																																																																																						BgL_proc1z00_1811
																																																																																							=
																																																																																							BgL_proc1z00_26383;
																																																																																						BgL_testz00_1810
																																																																																							=
																																																																																							BgL_testz00_26382;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1814;
																																																																																					}
																																																																																					BgL_auxz00_22720
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_26381);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1838;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_26389;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1839;
																																																																																						BgL_auxz00_22720
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_26389);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_26393;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_22720
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_26393);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1838;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_26397;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1839;
																																																																																		BgL_auxz00_22720
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_26397);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_26401;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_26401);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd247222zd2_7411;
																																																																							BgL_cdrzd247222zd2_7411
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd247229zd2_7412;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_12735;
																																																																									BgL_pairz00_12735
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd247229zd2_7412
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_12735);
																																																																								}
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd247236zd2_7413;
																																																																									BgL_cdrzd247236zd2_7413
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd247229zd2_7412));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd247242zd2_7414;
																																																																										obj_t
																																																																											BgL_cdrzd247243zd2_7415;
																																																																										BgL_carzd247242zd2_7414
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd247236zd2_7413));
																																																																										BgL_cdrzd247243zd2_7415
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd247236zd2_7413));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd247242zd2_7414))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd247250zd2_7417;
																																																																												BgL_carzd247250zd2_7417
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd247243zd2_7415));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd247250zd2_7417))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (NULLP(CDR(((obj_t) BgL_cdrzd247243zd2_7415))))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd247222zd2_7411))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg5995z00_7422;
																																																																																		BgL_arg5995z00_7422
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd247229zd2_7412));
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_26428;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_26432;
																																																																																				obj_t
																																																																																					BgL_proc2z00_26431;
																																																																																				obj_t
																																																																																					BgL_proc1z00_26430;
																																																																																				obj_t
																																																																																					BgL_testz00_26429;
																																																																																				BgL_testz00_26429
																																																																																					=
																																																																																					BgL_arg5995z00_7422;
																																																																																				BgL_proc1z00_26430
																																																																																					=
																																																																																					BgL_carzd247242zd2_7414;
																																																																																				BgL_proc2z00_26431
																																																																																					=
																																																																																					BgL_carzd247250zd2_7417;
																																																																																				BgL_argsz00_26432
																																																																																					=
																																																																																					BgL_cdrzd247222zd2_7411;
																																																																																				BgL_argsz00_1813
																																																																																					=
																																																																																					BgL_argsz00_26432;
																																																																																				BgL_proc2z00_1812
																																																																																					=
																																																																																					BgL_proc2z00_26431;
																																																																																				BgL_proc1z00_1811
																																																																																					=
																																																																																					BgL_proc1z00_26430;
																																																																																				BgL_testz00_1810
																																																																																					=
																																																																																					BgL_testz00_26429;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1814;
																																																																																			}
																																																																																			BgL_auxz00_22720
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_26428);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1838;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_26436;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1839;
																																																																																				BgL_auxz00_22720
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_26436);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1838;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_26440;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1839;
																																																																																		BgL_auxz00_22720
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_26440);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1838;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_26444;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1839;
																																																																																BgL_auxz00_22720
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_26444);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1838;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_26448;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1839;
																																																																														BgL_auxz00_22720
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_26448);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_26452;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_22720
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_26452);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd247583zd2_7430;
																																																																			BgL_cdrzd247583zd2_7430
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd247589zd2_7431;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_pairz00_12744;
																																																																					BgL_pairz00_12744
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd247589zd2_7431
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_12744);
																																																																				}
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd247595zd2_7432;
																																																																					BgL_cdrzd247595zd2_7432
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd247589zd2_7431));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd247600zd2_7433;
																																																																						obj_t
																																																																							BgL_cdrzd247601zd2_7434;
																																																																						BgL_carzd247600zd2_7433
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd247595zd2_7432));
																																																																						BgL_cdrzd247601zd2_7434
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd247595zd2_7432));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd247600zd2_7433))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (PAIRP(BgL_cdrzd247601zd2_7434))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd247606zd2_7437;
																																																																										BgL_carzd247606zd2_7437
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd247601zd2_7434);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd247606zd2_7437))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (NULLP(CDR(BgL_cdrzd247601zd2_7434)))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd247583zd2_7430))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg6009z00_7442;
																																																																																BgL_arg6009z00_7442
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd247589zd2_7431));
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_26479;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_26483;
																																																																																		obj_t
																																																																																			BgL_proc2z00_26482;
																																																																																		obj_t
																																																																																			BgL_proc1z00_26481;
																																																																																		obj_t
																																																																																			BgL_testz00_26480;
																																																																																		BgL_testz00_26480
																																																																																			=
																																																																																			BgL_arg6009z00_7442;
																																																																																		BgL_proc1z00_26481
																																																																																			=
																																																																																			BgL_carzd247600zd2_7433;
																																																																																		BgL_proc2z00_26482
																																																																																			=
																																																																																			BgL_carzd247606zd2_7437;
																																																																																		BgL_argsz00_26483
																																																																																			=
																																																																																			BgL_cdrzd247583zd2_7430;
																																																																																		BgL_argsz00_1813
																																																																																			=
																																																																																			BgL_argsz00_26483;
																																																																																		BgL_proc2z00_1812
																																																																																			=
																																																																																			BgL_proc2z00_26482;
																																																																																		BgL_proc1z00_1811
																																																																																			=
																																																																																			BgL_proc1z00_26481;
																																																																																		BgL_testz00_1810
																																																																																			=
																																																																																			BgL_testz00_26480;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1814;
																																																																																	}
																																																																																	BgL_auxz00_22720
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_26479);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1838;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_26487;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1839;
																																																																																		BgL_auxz00_22720
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_26487);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1838;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_26491;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1839;
																																																																																BgL_auxz00_22720
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_26491);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1838;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_26495;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1839;
																																																																														BgL_auxz00_22720
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_26495);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_26499;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																												BgL_auxz00_22720
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_26499);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_26503;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_22720
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_26503);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1838;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_26507;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1839;
																																																																			BgL_auxz00_22720
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_26507);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1838;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_26511;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1839;
																																																																	BgL_auxz00_22720
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_26511);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2403zd2_1838;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_26515;
																																																															goto
																																																																BgL_tagzd2404zd2_1839;
																																																															BgL_auxz00_22720
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_26515);
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((BgL_carzd245079zd2_7329 == CNST_TABLE_REF(((long) 17))))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_arg6125z00_7608;
																																									obj_t
																																										BgL_arg6126z00_7609;
																																									BgL_arg6125z00_7608
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd244978zd2_7313));
																																									BgL_arg6126z00_7609
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd244978zd2_7313));
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_26524;
																																										{
																																											obj_t
																																												BgL_exprz00_26526;
																																											obj_t
																																												BgL_bindingsz00_26525;
																																											BgL_bindingsz00_26525
																																												=
																																												BgL_arg6125z00_7608;
																																											BgL_exprz00_26526
																																												=
																																												BgL_arg6126z00_7609;
																																											BgL_exprz00_1793
																																												=
																																												BgL_exprz00_26526;
																																											BgL_bindingsz00_1792
																																												=
																																												BgL_bindingsz00_26525;
																																											goto
																																												BgL_tagzd2382zd2_1794;
																																										}
																																										BgL_auxz00_22720
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_26524);
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd245079zd2_7329)))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg6128z00_7611;
																																											obj_t
																																												BgL_arg6129z00_7612;
																																											BgL_arg6128z00_7611
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd244978zd2_7313));
																																											BgL_arg6129z00_7612
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd244978zd2_7313));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_26535;
																																												{
																																													obj_t
																																														BgL_exprz00_26537;
																																													obj_t
																																														BgL_bindingsz00_26536;
																																													BgL_bindingsz00_26536
																																														=
																																														BgL_arg6128z00_7611;
																																													BgL_exprz00_26537
																																														=
																																														BgL_arg6129z00_7612;
																																													BgL_exprz00_1793
																																														=
																																														BgL_exprz00_26537;
																																													BgL_bindingsz00_1792
																																														=
																																														BgL_bindingsz00_26536;
																																													goto
																																														BgL_tagzd2382zd2_1794;
																																												}
																																												BgL_auxz00_22720
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_26535);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((BgL_carzd245079zd2_7329 == CNST_TABLE_REF(((long) 18))))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg6131z00_7614;
																																													obj_t
																																														BgL_arg6132z00_7615;
																																													BgL_arg6131z00_7614
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd244978zd2_7313));
																																													BgL_arg6132z00_7615
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd244978zd2_7313));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_26546;
																																														{
																																															obj_t
																																																BgL_exprz00_26548;
																																															obj_t
																																																BgL_bindingsz00_26547;
																																															BgL_bindingsz00_26547
																																																=
																																																BgL_arg6131z00_7614;
																																															BgL_exprz00_26548
																																																=
																																																BgL_arg6132z00_7615;
																																															BgL_exprz00_1793
																																																=
																																																BgL_exprz00_26548;
																																															BgL_bindingsz00_1792
																																																=
																																																BgL_bindingsz00_26547;
																																															goto
																																																BgL_tagzd2382zd2_1794;
																																														}
																																														BgL_auxz00_22720
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_26546);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_26555;
																																															goto
																																																BgL_tagzd2383zd2_1795;
																																															BgL_auxz00_22720
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_26555);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_carzd248181zd2_7618;
																																															BgL_carzd248181zd2_7618
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if ((BgL_carzd248181zd2_7618 == CNST_TABLE_REF(((long) 19))))
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_26562;
																																																	goto
																																																		BgL_tagzd2384zd2_1796;
																																																	BgL_auxz00_22720
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_26562);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd248181zd2_7618)))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_26567;
																																																			goto
																																																				BgL_tagzd2384zd2_1796;
																																																			BgL_auxz00_22720
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_26567);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_26574;
																																																					goto
																																																						BgL_tagzd2389zd2_1815;
																																																					BgL_auxz00_22720
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_26574);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_26581;
																																																							goto
																																																								BgL_tagzd2390zd2_1816;
																																																							BgL_auxz00_22720
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_26581);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd248261zd2_7625;
																																																							BgL_cdrzd248261zd2_7625
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg6143z00_7628;
																																																									obj_t
																																																										BgL_arg6144z00_7629;
																																																									BgL_arg6143z00_7628
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd248261zd2_7625));
																																																									BgL_arg6144z00_7629
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd248261zd2_7625));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_26594;
																																																										{
																																																											obj_t
																																																												BgL_restz00_26596;
																																																											obj_t
																																																												BgL_effectz00_26595;
																																																											BgL_effectz00_26595
																																																												=
																																																												BgL_arg6143z00_7628;
																																																											BgL_restz00_26596
																																																												=
																																																												BgL_arg6144z00_7629;
																																																											BgL_restz00_1818
																																																												=
																																																												BgL_restz00_26596;
																																																											BgL_effectz00_1817
																																																												=
																																																												BgL_effectz00_26595;
																																																											goto
																																																												BgL_tagzd2391zd2_1819;
																																																										}
																																																										BgL_auxz00_22720
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_26594);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_26603;
																																																											goto
																																																												BgL_tagzd2392zd2_1820;
																																																											BgL_auxz00_22720
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_26603);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_26610;
																																																													goto
																																																														BgL_tagzd2393zd2_1821;
																																																													BgL_auxz00_22720
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_26610);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg6151z00_7637;
																																																															obj_t
																																																																BgL_arg6152z00_7638;
																																																															BgL_arg6151z00_7637
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd248261zd2_7625));
																																																															BgL_arg6152z00_7638
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd248261zd2_7625));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_26621;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_26623;
																																																																	obj_t
																																																																		BgL_effectz00_26622;
																																																																	BgL_effectz00_26622
																																																																		=
																																																																		BgL_arg6151z00_7637;
																																																																	BgL_restz00_26623
																																																																		=
																																																																		BgL_arg6152z00_7638;
																																																																	BgL_restz00_1823
																																																																		=
																																																																		BgL_restz00_26623;
																																																																	BgL_effectz00_1822
																																																																		=
																																																																		BgL_effectz00_26622;
																																																																	goto
																																																																		BgL_tagzd2394zd2_1824;
																																																																}
																																																																BgL_auxz00_22720
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_26621);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_26630;
																																																																	goto
																																																																		BgL_tagzd2395zd2_1825;
																																																																	BgL_auxz00_22720
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_26630);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_26637;
																																																																			goto
																																																																				BgL_tagzd2396zd2_1826;
																																																																			BgL_auxz00_22720
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_26637);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																				{
																																																																					BgL_letzd2funzd2_bglt
																																																																						BgL_auxz00_26644;
																																																																					goto
																																																																						BgL_tagzd2397zd2_1827;
																																																																					BgL_auxz00_22720
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_26644);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																						{
																																																																							BgL_jumpzd2exzd2itz00_bglt
																																																																								BgL_auxz00_26651;
																																																																							goto
																																																																								BgL_tagzd2398zd2_1828;
																																																																							BgL_auxz00_22720
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_26651);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									bool_t
																																																																										BgL_test9487z00_26658;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_tmpz00_26659;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_12780;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_12779;
																																																																												BgL_pairz00_12779
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_pairz00_12780
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_12779);
																																																																											}
																																																																											BgL_tmpz00_26659
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_12780);
																																																																										}
																																																																										BgL_test9487z00_26658
																																																																											=
																																																																											NULLP
																																																																											(BgL_tmpz00_26659);
																																																																									}
																																																																									if (BgL_test9487z00_26658)
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_26665;
																																																																											goto
																																																																												BgL_tagzd2399zd2_1829;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_26665);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_26669;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_26669);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd248349zd2_7657;
																																																																									BgL_cdrzd248349zd2_7657
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd248355zd2_7660;
																																																																											BgL_cdrzd248355zd2_7660
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd248349zd2_7657));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd248361zd2_7661;
																																																																												BgL_cdrzd248361zd2_7661
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd248355zd2_7660));
																																																																												if ((CAR(((obj_t) BgL_cdrzd248355zd2_7660)) == CNST_TABLE_REF(((long) 31))))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (PAIRP(BgL_cdrzd248361zd2_7661))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg6176z00_7665;
																																																																																obj_t
																																																																																	BgL_arg6177z00_7666;
																																																																																obj_t
																																																																																	BgL_arg6178z00_7667;
																																																																																BgL_arg6176z00_7665
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd248349zd2_7657));
																																																																																BgL_arg6177z00_7666
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd248361zd2_7661);
																																																																																BgL_arg6178z00_7667
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_cdrzd248361zd2_7661);
																																																																																{	/* Ast/sexp.scm 553 */
																																																																																	obj_t
																																																																																		BgL_arg7078z00_12789;
																																																																																	BgL_arg7078z00_12789
																																																																																		=
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_locz00_23);
																																																																																	BgL_auxz00_22720
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																		(BgL_expz00_21,
																																																																																			BgL_arg6176z00_7665,
																																																																																			BgL_arg6177z00_7666,
																																																																																			BgL_arg6178z00_7667,
																																																																																			BgL_stackz00_22,
																																																																																			BgL_arg7078z00_12789,
																																																																																			BgL_sitez00_24));
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg6179z00_7669;
																																																																																obj_t
																																																																																	BgL_arg6180z00_7670;
																																																																																BgL_arg6179z00_7669
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd248349zd2_7657));
																																																																																BgL_arg6180z00_7670
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd248349zd2_7657));
																																																																																{	/* Ast/sexp.scm 555 */
																																																																																	obj_t
																																																																																		BgL_arg7079z00_12793;
																																																																																	BgL_arg7079z00_12793
																																																																																		=
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_locz00_23);
																																																																																	BgL_auxz00_22720
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																		(BgL_expz00_21,
																																																																																			BgL_arg6179z00_7669,
																																																																																			CNST_TABLE_REF
																																																																																			(((long) 4)), BgL_arg6180z00_7670, BgL_stackz00_22, BgL_arg7079z00_12793, BgL_sitez00_24));
																																																																													}}}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg6181z00_7672;
																																																																														obj_t
																																																																															BgL_arg6182z00_7673;
																																																																														BgL_arg6181z00_7672
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd248349zd2_7657));
																																																																														BgL_arg6182z00_7673
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd248349zd2_7657));
																																																																														{	/* Ast/sexp.scm 555 */
																																																																															obj_t
																																																																																BgL_arg7079z00_12797;
																																																																															BgL_arg7079z00_12797
																																																																																=
																																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																(BgL_expz00_21,
																																																																																BgL_locz00_23);
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																(BgL_expz00_21,
																																																																																	BgL_arg6181z00_7672,
																																																																																	CNST_TABLE_REF
																																																																																	(((long) 4)), BgL_arg6182z00_7673, BgL_stackz00_22, BgL_arg7079z00_12797, BgL_sitez00_24));
																																																																										}}}}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_26714;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_26714);
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 119 */
																											obj_t
																												BgL_carzd248412zd2_7692;
																											BgL_carzd248412zd2_7692 =
																												CAR(((obj_t)
																													BgL_expz00_21));
																											if (
																												(BgL_carzd248412zd2_7692
																													==
																													CNST_TABLE_REF(((long)
																															1))))
																												{
																													BgL_nodez00_bglt
																														BgL_auxz00_26721;
																													goto
																														BgL_tagzd2377zd2_1783;
																													BgL_auxz00_22720 =
																														((obj_t)
																														BgL_auxz00_26721);
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													if (
																														(BgL_carzd248412zd2_7692
																															==
																															BGl_za2ifza2z00zzast_sexpz00))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_26725;
																															goto
																																BgL_tagzd2377zd2_1783;
																															BgL_auxz00_22720 =
																																((obj_t)
																																BgL_auxz00_26725);
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	CNST_TABLE_REF
																																	(((long) 7))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_26732;
																																	goto
																																		BgL_tagzd2379zd2_1787;
																																	BgL_auxz00_22720
																																		=
																																		((obj_t)
																																		BgL_auxz00_26732);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(CAR(
																																				((obj_t)
																																					BgL_expz00_21))
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					16))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_26739;
																																			goto
																																				BgL_tagzd2380zd2_1788;
																																			BgL_auxz00_22720
																																				=
																																				((obj_t)
																																				BgL_auxz00_26739);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd248481zd2_7699;
																																			BgL_carzd248481zd2_7699
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (PAIRP
																																				(BgL_carzd248481zd2_7699))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd248484zd2_7701;
																																					obj_t
																																						BgL_cdrzd248485zd2_7702;
																																					BgL_carzd248484zd2_7701
																																						=
																																						CAR
																																						(BgL_carzd248481zd2_7699);
																																					BgL_cdrzd248485zd2_7702
																																						=
																																						CDR
																																						(BgL_carzd248481zd2_7699);
																																					{

																																						if (
																																							(BgL_carzd248484zd2_7701
																																								==
																																								CNST_TABLE_REF
																																								(((long) 17))))
																																							{	/* Ast/sexp.scm 119 */
																																							BgL_kapzd248486zd2_7703:
																																								if (PAIRP(BgL_cdrzd248485zd2_7702))
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_cdrzd248489zd2_7885;
																																										BgL_cdrzd248489zd2_7885
																																											=
																																											CDR
																																											(BgL_cdrzd248485zd2_7702);
																																										if (PAIRP(BgL_cdrzd248489zd2_7885))
																																											{	/* Ast/sexp.scm 119 */
																																												if (NULLP(CDR(BgL_cdrzd248489zd2_7885)))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_arg6336z00_7889;
																																														obj_t
																																															BgL_arg6337z00_7890;
																																														BgL_arg6336z00_7889
																																															=
																																															CAR
																																															(BgL_cdrzd248489zd2_7885);
																																														BgL_arg6337z00_7890
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_26761;
																																															{
																																																obj_t
																																																	BgL_argsz00_26763;
																																																obj_t
																																																	BgL_bodyz00_26762;
																																																BgL_bodyz00_26762
																																																	=
																																																	BgL_arg6336z00_7889;
																																																BgL_argsz00_26763
																																																	=
																																																	BgL_arg6337z00_7890;
																																																BgL_argsz00_1790
																																																	=
																																																	BgL_argsz00_26763;
																																																BgL_bodyz00_1789
																																																	=
																																																	BgL_bodyz00_26762;
																																																goto
																																																	BgL_tagzd2381zd2_1791;
																																															}
																																															BgL_auxz00_22720
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_26761);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd248513zd2_7891;
																																														BgL_cdrzd248513zd2_7891
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															bool_t
																																																BgL_test9502z00_26767;
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg6406z00_8002;
																																																BgL_arg6406z00_8002
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_test9502z00_26767
																																																	=
																																																	CBOOL
																																																	(BGl_letzd2symzf3z21zzast_letz00
																																																	(BgL_arg6406z00_8002));
																																															}
																																															if (BgL_test9502z00_26767)
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg6340z00_7894;
																																																	obj_t
																																																		BgL_arg6341z00_7895;
																																																	BgL_arg6340z00_7894
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd248513zd2_7891));
																																																	BgL_arg6341z00_7895
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd248513zd2_7891));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_26776;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_26778;
																																																			obj_t
																																																				BgL_bindingsz00_26777;
																																																			BgL_bindingsz00_26777
																																																				=
																																																				BgL_arg6340z00_7894;
																																																			BgL_exprz00_26778
																																																				=
																																																				BgL_arg6341z00_7895;
																																																			BgL_exprz00_1793
																																																				=
																																																				BgL_exprz00_26778;
																																																			BgL_bindingsz00_1792
																																																				=
																																																				BgL_bindingsz00_26777;
																																																			goto
																																																				BgL_tagzd2382zd2_1794;
																																																		}
																																																		BgL_auxz00_22720
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_26776);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test9503z00_26780;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg6405z00_8001;
																																																		BgL_arg6405z00_8001
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test9503z00_26780
																																																			=
																																																			CBOOL
																																																			(BGl_labelszd2symzf3z21zzast_labelsz00
																																																			(BgL_arg6405z00_8001));
																																																	}
																																																	if (BgL_test9503z00_26780)
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_26785;
																																																			goto
																																																				BgL_tagzd2384zd2_1796;
																																																			BgL_auxz00_22720
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_26785);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_carzd248580zd2_7898;
																																																			BgL_carzd248580zd2_7898
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd248585zd2_7899;
																																																				BgL_cdrzd248585zd2_7899
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd248580zd2_7898));
																																																				if ((CAR(((obj_t) BgL_carzd248580zd2_7898)) == CNST_TABLE_REF(((long) 3))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6346z00_7902;
																																																						obj_t
																																																							BgL_arg6347z00_7903;
																																																						obj_t
																																																							BgL_arg6348z00_7904;
																																																						BgL_arg6346z00_7902
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd248585zd2_7899));
																																																						BgL_arg6347z00_7903
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd248585zd2_7899));
																																																						BgL_arg6348z00_7904
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_26802;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_26805;
																																																								obj_t
																																																									BgL_bodyz00_26804;
																																																								obj_t
																																																									BgL_varsz00_26803;
																																																								BgL_varsz00_26803
																																																									=
																																																									BgL_arg6346z00_7902;
																																																								BgL_bodyz00_26804
																																																									=
																																																									BgL_arg6347z00_7903;
																																																								BgL_argsz00_26805
																																																									=
																																																									BgL_arg6348z00_7904;
																																																								BgL_argsz00_1803
																																																									=
																																																									BgL_argsz00_26805;
																																																								BgL_bodyz00_1802
																																																									=
																																																									BgL_bodyz00_26804;
																																																								BgL_varsz00_1801
																																																									=
																																																									BgL_varsz00_26803;
																																																								goto
																																																									BgL_tagzd2386zd2_1804;
																																																							}
																																																							BgL_auxz00_22720
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_26802);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd248608zd2_7906;
																																																						BgL_cdrzd248608zd2_7906
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd248614zd2_7907;
																																																							BgL_cdrzd248614zd2_7907
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd248580zd2_7898));
																																																							if ((CAR(((obj_t) BgL_carzd248580zd2_7898)) == CNST_TABLE_REF(((long) 1))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd248620zd2_7910;
																																																									BgL_cdrzd248620zd2_7910
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd248614zd2_7907));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_carzd248625zd2_7911;
																																																										obj_t
																																																											BgL_cdrzd248626zd2_7912;
																																																										BgL_carzd248625zd2_7911
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd248620zd2_7910));
																																																										BgL_cdrzd248626zd2_7912
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd248620zd2_7910));
																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248625zd2_7911))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd248626zd2_7912))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd248633zd2_7915;
																																																														BgL_carzd248633zd2_7915
																																																															=
																																																															CAR
																																																															(BgL_cdrzd248626zd2_7912);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248633zd2_7915))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (NULLP(CDR(BgL_cdrzd248626zd2_7912)))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		bool_t
																																																																			BgL_test9510z00_26832;
																																																																		{
																																																																			obj_t
																																																																				BgL_l1454z00_7948;
																																																																			BgL_l1454z00_7948
																																																																				=
																																																																				BgL_cdrzd248608zd2_7906;
																																																																		BgL_zc3z04anonymousza36371ze3z87_7949:
																																																																			if (NULLP(BgL_l1454z00_7948))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					BgL_test9510z00_26832
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						1);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					bool_t
																																																																						BgL_test9512z00_26835;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test9513z00_26836;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_tmpz00_26837;
																																																																							BgL_tmpz00_26837
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_l1454z00_7948));
																																																																							BgL_test9513z00_26836
																																																																								=
																																																																								PAIRP
																																																																								(BgL_tmpz00_26837);
																																																																						}
																																																																						if (BgL_test9513z00_26836)
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test9512z00_26835
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test9512z00_26835
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									1);
																																																																							}
																																																																					}
																																																																					if (BgL_test9512z00_26835)
																																																																						{
																																																																							obj_t
																																																																								BgL_l1454z00_26841;
																																																																							BgL_l1454z00_26841
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_l1454z00_7948));
																																																																							BgL_l1454z00_7948
																																																																								=
																																																																								BgL_l1454z00_26841;
																																																																							goto
																																																																								BgL_zc3z04anonymousza36371ze3z87_7949;
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test9510z00_26832
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																				}
																																																																		}
																																																																		if (BgL_test9510z00_26832)
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg6361z00_7931;
																																																																				BgL_arg6361z00_7931
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd248614zd2_7907));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_26846;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_26850;
																																																																						obj_t
																																																																							BgL_proc2z00_26849;
																																																																						obj_t
																																																																							BgL_proc1z00_26848;
																																																																						obj_t
																																																																							BgL_testz00_26847;
																																																																						BgL_testz00_26847
																																																																							=
																																																																							BgL_arg6361z00_7931;
																																																																						BgL_proc1z00_26848
																																																																							=
																																																																							BgL_carzd248625zd2_7911;
																																																																						BgL_proc2z00_26849
																																																																							=
																																																																							BgL_carzd248633zd2_7915;
																																																																						BgL_argsz00_26850
																																																																							=
																																																																							BgL_cdrzd248608zd2_7906;
																																																																						BgL_argsz00_1808
																																																																							=
																																																																							BgL_argsz00_26850;
																																																																						BgL_proc2z00_1807
																																																																							=
																																																																							BgL_proc2z00_26849;
																																																																						BgL_proc1z00_1806
																																																																							=
																																																																							BgL_proc1z00_26848;
																																																																						BgL_testz00_1805
																																																																							=
																																																																							BgL_testz00_26847;
																																																																						goto
																																																																							BgL_tagzd2387zd2_1809;
																																																																					}
																																																																					BgL_auxz00_22720
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_26846);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd248657zd2_7932;
																																																																				BgL_cdrzd248657zd2_7932
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd248664zd2_7933;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_12833;
																																																																						BgL_pairz00_12833
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd248664zd2_7933
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_12833);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd248671zd2_7934;
																																																																						BgL_cdrzd248671zd2_7934
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd248664zd2_7933));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd248677zd2_7935;
																																																																							BgL_carzd248677zd2_7935
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd248671zd2_7934));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248677zd2_7935))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd248684zd2_7937;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_12837;
																																																																										BgL_pairz00_12837
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd248671zd2_7934));
																																																																										BgL_carzd248684zd2_7937
																																																																											=
																																																																											CAR
																																																																											(BgL_pairz00_12837);
																																																																									}
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248684zd2_7937))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd248657zd2_7932))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg6365z00_7940;
																																																																													BgL_arg6365z00_7940
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd248664zd2_7933));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_26872;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_26876;
																																																																															obj_t
																																																																																BgL_proc2z00_26875;
																																																																															obj_t
																																																																																BgL_proc1z00_26874;
																																																																															obj_t
																																																																																BgL_testz00_26873;
																																																																															BgL_testz00_26873
																																																																																=
																																																																																BgL_arg6365z00_7940;
																																																																															BgL_proc1z00_26874
																																																																																=
																																																																																BgL_carzd248677zd2_7935;
																																																																															BgL_proc2z00_26875
																																																																																=
																																																																																BgL_carzd248684zd2_7937;
																																																																															BgL_argsz00_26876
																																																																																=
																																																																																BgL_cdrzd248657zd2_7932;
																																																																															BgL_argsz00_1813
																																																																																=
																																																																																BgL_argsz00_26876;
																																																																															BgL_proc2z00_1812
																																																																																=
																																																																																BgL_proc2z00_26875;
																																																																															BgL_proc1z00_1811
																																																																																=
																																																																																BgL_proc1z00_26874;
																																																																															BgL_testz00_1810
																																																																																=
																																																																																BgL_testz00_26873;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1814;
																																																																														}
																																																																														BgL_auxz00_22720
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_26872);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_26880;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_26880);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_26884;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_26884);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_26888;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_26888);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1838;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_26892;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1839;
																																																																				BgL_auxz00_22720
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_26892);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd248960zd2_7959;
																																																																BgL_cdrzd248960zd2_7959
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd248966zd2_7960;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_pairz00_12841;
																																																																		BgL_pairz00_12841
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd248966zd2_7960
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_12841);
																																																																	}
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd248972zd2_7961;
																																																																		BgL_cdrzd248972zd2_7961
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd248966zd2_7960));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd248977zd2_7962;
																																																																			obj_t
																																																																				BgL_cdrzd248978zd2_7963;
																																																																			BgL_carzd248977zd2_7962
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd248972zd2_7961));
																																																																			BgL_cdrzd248978zd2_7963
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd248972zd2_7961));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248977zd2_7962))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd248983zd2_7965;
																																																																					BgL_carzd248983zd2_7965
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd248978zd2_7963));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248983zd2_7965))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (NULLP(CDR(((obj_t) BgL_cdrzd248978zd2_7963))))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd248960zd2_7959))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg6380z00_7970;
																																																																											BgL_arg6380z00_7970
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd248966zd2_7960));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_26919;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_26923;
																																																																													obj_t
																																																																														BgL_proc2z00_26922;
																																																																													obj_t
																																																																														BgL_proc1z00_26921;
																																																																													obj_t
																																																																														BgL_testz00_26920;
																																																																													BgL_testz00_26920
																																																																														=
																																																																														BgL_arg6380z00_7970;
																																																																													BgL_proc1z00_26921
																																																																														=
																																																																														BgL_carzd248977zd2_7962;
																																																																													BgL_proc2z00_26922
																																																																														=
																																																																														BgL_carzd248983zd2_7965;
																																																																													BgL_argsz00_26923
																																																																														=
																																																																														BgL_cdrzd248960zd2_7959;
																																																																													BgL_argsz00_1813
																																																																														=
																																																																														BgL_argsz00_26923;
																																																																													BgL_proc2z00_1812
																																																																														=
																																																																														BgL_proc2z00_26922;
																																																																													BgL_proc1z00_1811
																																																																														=
																																																																														BgL_proc1z00_26921;
																																																																													BgL_testz00_1810
																																																																														=
																																																																														BgL_testz00_26920;
																																																																													goto
																																																																														BgL_tagzd2388zd2_1814;
																																																																												}
																																																																												BgL_auxz00_22720
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_26919);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_26927;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_26927);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_26931;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_26931);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_26935;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_26935);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_26939;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_22720
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_26939);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1838;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_26943;
																																																																goto
																																																																	BgL_tagzd2404zd2_1839;
																																																																BgL_auxz00_22720
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_26943);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd249316zd2_7978;
																																																												BgL_cdrzd249316zd2_7978
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd249323zd2_7979;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_pairz00_12850;
																																																														BgL_pairz00_12850
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_cdrzd249323zd2_7979
																																																															=
																																																															CDR
																																																															(BgL_pairz00_12850);
																																																													}
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd249330zd2_7980;
																																																														BgL_cdrzd249330zd2_7980
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd249323zd2_7979));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd249336zd2_7981;
																																																															obj_t
																																																																BgL_cdrzd249337zd2_7982;
																																																															BgL_carzd249336zd2_7981
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd249330zd2_7980));
																																																															BgL_cdrzd249337zd2_7982
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd249330zd2_7980));
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd249336zd2_7981))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (PAIRP(BgL_cdrzd249337zd2_7982))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd249344zd2_7985;
																																																																			BgL_carzd249344zd2_7985
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd249337zd2_7982);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd249344zd2_7985))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (NULLP(CDR(BgL_cdrzd249337zd2_7982)))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd249316zd2_7978))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg6394z00_7990;
																																																																									BgL_arg6394z00_7990
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd249323zd2_7979));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_26970;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_26974;
																																																																											obj_t
																																																																												BgL_proc2z00_26973;
																																																																											obj_t
																																																																												BgL_proc1z00_26972;
																																																																											obj_t
																																																																												BgL_testz00_26971;
																																																																											BgL_testz00_26971
																																																																												=
																																																																												BgL_arg6394z00_7990;
																																																																											BgL_proc1z00_26972
																																																																												=
																																																																												BgL_carzd249336zd2_7981;
																																																																											BgL_proc2z00_26973
																																																																												=
																																																																												BgL_carzd249344zd2_7985;
																																																																											BgL_argsz00_26974
																																																																												=
																																																																												BgL_cdrzd249316zd2_7978;
																																																																											BgL_argsz00_1813
																																																																												=
																																																																												BgL_argsz00_26974;
																																																																											BgL_proc2z00_1812
																																																																												=
																																																																												BgL_proc2z00_26973;
																																																																											BgL_proc1z00_1811
																																																																												=
																																																																												BgL_proc1z00_26972;
																																																																											BgL_testz00_1810
																																																																												=
																																																																												BgL_testz00_26971;
																																																																											goto
																																																																												BgL_tagzd2388zd2_1814;
																																																																										}
																																																																										BgL_auxz00_22720
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_26970);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_26978;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_26978);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_26982;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_26982);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_26986;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_22720
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_26986);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1838;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_26990;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1839;
																																																																					BgL_auxz00_22720
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_26990);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1838;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_26994;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1839;
																																																																			BgL_auxz00_22720
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_26994);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																												}
																																																											}
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2403zd2_1838;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_26998;
																																																											goto
																																																												BgL_tagzd2404zd2_1839;
																																																											BgL_auxz00_22720
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_26998);
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd249737zd2_8004;
																																												BgL_cdrzd249737zd2_8004
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{	/* Ast/sexp.scm 119 */
																																													bool_t
																																														BgL_test9541z00_27002;
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_arg6422z00_8021;
																																														BgL_arg6422z00_8021
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														BgL_test9541z00_27002
																																															=
																																															CBOOL
																																															(BGl_letzd2symzf3z21zzast_letz00
																																															(BgL_arg6422z00_8021));
																																													}
																																													if (BgL_test9541z00_27002)
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg6410z00_8007;
																																															obj_t
																																																BgL_arg6411z00_8008;
																																															BgL_arg6410z00_8007
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd249737zd2_8004));
																																															BgL_arg6411z00_8008
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd249737zd2_8004));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_27011;
																																																{
																																																	obj_t
																																																		BgL_exprz00_27013;
																																																	obj_t
																																																		BgL_bindingsz00_27012;
																																																	BgL_bindingsz00_27012
																																																		=
																																																		BgL_arg6410z00_8007;
																																																	BgL_exprz00_27013
																																																		=
																																																		BgL_arg6411z00_8008;
																																																	BgL_exprz00_1793
																																																		=
																																																		BgL_exprz00_27013;
																																																	BgL_bindingsz00_1792
																																																		=
																																																		BgL_bindingsz00_27012;
																																																	goto
																																																		BgL_tagzd2382zd2_1794;
																																																}
																																																BgL_auxz00_22720
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_27011);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															bool_t
																																																BgL_test9542z00_27015;
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg6421z00_8020;
																																																BgL_arg6421z00_8020
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_test9542z00_27015
																																																	=
																																																	CBOOL
																																																	(BGl_labelszd2symzf3z21zzast_labelsz00
																																																	(BgL_arg6421z00_8020));
																																															}
																																															if (BgL_test9542z00_27015)
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_27020;
																																																	goto
																																																		BgL_tagzd2384zd2_1796;
																																																	BgL_auxz00_22720
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_27020);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_carzd249803zd2_8011;
																																																	BgL_carzd249803zd2_8011
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd249808zd2_8012;
																																																		BgL_cdrzd249808zd2_8012
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_carzd249803zd2_8011));
																																																		if ((CAR(((obj_t) BgL_carzd249803zd2_8011)) == CNST_TABLE_REF(((long) 3))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6416z00_8015;
																																																				obj_t
																																																					BgL_arg6417z00_8016;
																																																				obj_t
																																																					BgL_arg6418z00_8017;
																																																				BgL_arg6416z00_8015
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd249808zd2_8012));
																																																				BgL_arg6417z00_8016
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd249808zd2_8012));
																																																				BgL_arg6418z00_8017
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_27037;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_27040;
																																																						obj_t
																																																							BgL_bodyz00_27039;
																																																						obj_t
																																																							BgL_varsz00_27038;
																																																						BgL_varsz00_27038
																																																							=
																																																							BgL_arg6416z00_8015;
																																																						BgL_bodyz00_27039
																																																							=
																																																							BgL_arg6417z00_8016;
																																																						BgL_argsz00_27040
																																																							=
																																																							BgL_arg6418z00_8017;
																																																						BgL_argsz00_1803
																																																							=
																																																							BgL_argsz00_27040;
																																																						BgL_bodyz00_1802
																																																							=
																																																							BgL_bodyz00_27039;
																																																						BgL_varsz00_1801
																																																							=
																																																							BgL_varsz00_27038;
																																																						goto
																																																							BgL_tagzd2386zd2_1804;
																																																					}
																																																					BgL_auxz00_22720
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_27037);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_tagzd2403zd2_1838;
																																																					}
																																																				else
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_27044;
																																																						goto
																																																							BgL_tagzd2404zd2_1839;
																																																						BgL_auxz00_22720
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_27044);
																																																					}
																																																			}
																																																	}
																																																}
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_cdrzd249919zd2_8022;
																																										BgL_cdrzd249919zd2_8022
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_expz00_21));
																																										{	/* Ast/sexp.scm 119 */
																																											bool_t
																																												BgL_test9545z00_27048;
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_arg6431z00_8031;
																																												BgL_arg6431z00_8031
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												BgL_test9545z00_27048
																																													=
																																													CBOOL
																																													(BGl_letzd2symzf3z21zzast_letz00
																																													(BgL_arg6431z00_8031));
																																											}
																																											if (BgL_test9545z00_27048)
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg6425z00_8025;
																																													obj_t
																																														BgL_arg6426z00_8026;
																																													BgL_arg6425z00_8025
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd249919zd2_8022));
																																													BgL_arg6426z00_8026
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd249919zd2_8022));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_27057;
																																														{
																																															obj_t
																																																BgL_exprz00_27059;
																																															obj_t
																																																BgL_bindingsz00_27058;
																																															BgL_bindingsz00_27058
																																																=
																																																BgL_arg6425z00_8025;
																																															BgL_exprz00_27059
																																																=
																																																BgL_arg6426z00_8026;
																																															BgL_exprz00_1793
																																																=
																																																BgL_exprz00_27059;
																																															BgL_bindingsz00_1792
																																																=
																																																BgL_bindingsz00_27058;
																																															goto
																																																BgL_tagzd2382zd2_1794;
																																														}
																																														BgL_auxz00_22720
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_27057);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													bool_t
																																														BgL_test9546z00_27061;
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_arg6430z00_8030;
																																														BgL_arg6430z00_8030
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														BgL_test9546z00_27061
																																															=
																																															CBOOL
																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																															(BgL_arg6430z00_8030));
																																													}
																																													if (BgL_test9546z00_27061)
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_27066;
																																															goto
																																																BgL_tagzd2384zd2_1796;
																																															BgL_auxz00_22720
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_27066);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																{	/* Ast/sexp.scm 119 */
																																																	goto
																																																		BgL_tagzd2403zd2_1838;
																																																}
																																															else
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_27070;
																																																	goto
																																																		BgL_tagzd2404zd2_1839;
																																																	BgL_auxz00_22720
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_27070);
																																																}
																																														}
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd248484zd2_7701)))
																																									{	/* Ast/sexp.scm 119 */
																																										goto
																																											BgL_kapzd248486zd2_7703;
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((BgL_carzd248484zd2_7701 == CNST_TABLE_REF(((long) 18))))
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_kapzd248486zd2_7703;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if ((BgL_carzd248484zd2_7701 == CNST_TABLE_REF(((long) 19))))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_kapzd248486zd2_7703;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd248484zd2_7701)))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd248486zd2_7703;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd250091zd2_7709;
																																																BgL_cdrzd250091zd2_7709
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test9552z00_27086;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg6331z00_7883;
																																																		BgL_arg6331z00_7883
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test9552z00_27086
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg6331z00_7883));
																																																	}
																																																	if (BgL_test9552z00_27086)
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg6215z00_7712;
																																																			obj_t
																																																				BgL_arg6216z00_7713;
																																																			BgL_arg6215z00_7712
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd250091zd2_7709));
																																																			BgL_arg6216z00_7713
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd250091zd2_7709));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_27095;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_27097;
																																																					obj_t
																																																						BgL_bindingsz00_27096;
																																																					BgL_bindingsz00_27096
																																																						=
																																																						BgL_arg6215z00_7712;
																																																					BgL_exprz00_27097
																																																						=
																																																						BgL_arg6216z00_7713;
																																																					BgL_exprz00_1793
																																																						=
																																																						BgL_exprz00_27097;
																																																					BgL_bindingsz00_1792
																																																						=
																																																						BgL_bindingsz00_27096;
																																																					goto
																																																						BgL_tagzd2382zd2_1794;
																																																				}
																																																				BgL_auxz00_22720
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_27095);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test9553z00_27099;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6330z00_7882;
																																																				BgL_arg6330z00_7882
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test9553z00_27099
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg6330z00_7882));
																																																			}
																																																			if (BgL_test9553z00_27099)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_27104;
																																																					goto
																																																						BgL_tagzd2384zd2_1796;
																																																					BgL_auxz00_22720
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_27104);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd250144zd2_7716;
																																																					obj_t
																																																						BgL_cdrzd250145zd2_7717;
																																																					BgL_carzd250144zd2_7716
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_cdrzd250145zd2_7717
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd250149zd2_7718;
																																																						BgL_cdrzd250149zd2_7718
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd250144zd2_7716));
																																																						if ((CAR(((obj_t) BgL_carzd250144zd2_7716)) == CNST_TABLE_REF(((long) 3))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (PAIRP(BgL_cdrzd250149zd2_7718))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_carzd250152zd2_7722;
																																																										obj_t
																																																											BgL_cdrzd250153zd2_7723;
																																																										BgL_carzd250152zd2_7722
																																																											=
																																																											CAR
																																																											(BgL_cdrzd250149zd2_7718);
																																																										BgL_cdrzd250153zd2_7723
																																																											=
																																																											CDR
																																																											(BgL_cdrzd250149zd2_7718);
																																																										if (PAIRP(BgL_carzd250152zd2_7722))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (NULLP(CDR(BgL_carzd250152zd2_7722)))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd250153zd2_7723))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd250159zd2_7728;
																																																																BgL_carzd250159zd2_7728
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd250153zd2_7723);
																																																																if (PAIRP(BgL_carzd250159zd2_7728))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd250159zd2_7728))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(BgL_cdrzd250153zd2_7723)))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd250166zd2_7733;
																																																																						BgL_carzd250166zd2_7733
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd250145zd2_7717));
																																																																						if (PAIRP(BgL_carzd250166zd2_7733))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd250191zd2_7735;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_12889;
																																																																									BgL_pairz00_12889
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd250191zd2_7735
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_12889);
																																																																								}
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg6231z00_7736;
																																																																									obj_t
																																																																										BgL_arg6232z00_7737;
																																																																									obj_t
																																																																										BgL_arg6233z00_7738;
																																																																									BgL_arg6231z00_7736
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd250191zd2_7735));
																																																																									BgL_arg6232z00_7737
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd250191zd2_7735));
																																																																									BgL_arg6233z00_7738
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_27149;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_27152;
																																																																											obj_t
																																																																												BgL_bodyz00_27151;
																																																																											obj_t
																																																																												BgL_varsz00_27150;
																																																																											BgL_varsz00_27150
																																																																												=
																																																																												BgL_arg6231z00_7736;
																																																																											BgL_bodyz00_27151
																																																																												=
																																																																												BgL_arg6232z00_7737;
																																																																											BgL_argsz00_27152
																																																																												=
																																																																												BgL_arg6233z00_7738;
																																																																											BgL_argsz00_1803
																																																																												=
																																																																												BgL_argsz00_27152;
																																																																											BgL_bodyz00_1802
																																																																												=
																																																																												BgL_bodyz00_27151;
																																																																											BgL_varsz00_1801
																																																																												=
																																																																												BgL_varsz00_27150;
																																																																											goto
																																																																												BgL_tagzd2386zd2_1804;
																																																																										}
																																																																										BgL_auxz00_22720
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_27149);
																																																																									}
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd250145zd2_7717))))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg6237z00_7742;
																																																																										BgL_arg6237z00_7742
																																																																											=
																																																																											CAR
																																																																											(BgL_carzd250152zd2_7722);
																																																																										{
																																																																											BgL_castz00_bglt
																																																																												BgL_auxz00_27159;
																																																																											{
																																																																												obj_t
																																																																													BgL_argz00_27162;
																																																																												obj_t
																																																																													BgL_bodyz00_27161;
																																																																												obj_t
																																																																													BgL_varz00_27160;
																																																																												BgL_varz00_27160
																																																																													=
																																																																													BgL_arg6237z00_7742;
																																																																												BgL_bodyz00_27161
																																																																													=
																																																																													BgL_carzd250159zd2_7728;
																																																																												BgL_argz00_27162
																																																																													=
																																																																													BgL_carzd250166zd2_7733;
																																																																												BgL_argz00_1799
																																																																													=
																																																																													BgL_argz00_27162;
																																																																												BgL_bodyz00_1798
																																																																													=
																																																																													BgL_bodyz00_27161;
																																																																												BgL_varz00_1797
																																																																													=
																																																																													BgL_varz00_27160;
																																																																												goto
																																																																													BgL_tagzd2385zd2_1800;
																																																																											}
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_27159);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd250219zd2_7743;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_12896;
																																																																											BgL_pairz00_12896
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd250219zd2_7743
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_12896);
																																																																										}
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg6238z00_7744;
																																																																											obj_t
																																																																												BgL_arg6239z00_7745;
																																																																											obj_t
																																																																												BgL_arg6240z00_7746;
																																																																											BgL_arg6238z00_7744
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd250219zd2_7743));
																																																																											BgL_arg6239z00_7745
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd250219zd2_7743));
																																																																											BgL_arg6240z00_7746
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_27173;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_27176;
																																																																													obj_t
																																																																														BgL_bodyz00_27175;
																																																																													obj_t
																																																																														BgL_varsz00_27174;
																																																																													BgL_varsz00_27174
																																																																														=
																																																																														BgL_arg6238z00_7744;
																																																																													BgL_bodyz00_27175
																																																																														=
																																																																														BgL_arg6239z00_7745;
																																																																													BgL_argsz00_27176
																																																																														=
																																																																														BgL_arg6240z00_7746;
																																																																													BgL_argsz00_1803
																																																																														=
																																																																														BgL_argsz00_27176;
																																																																													BgL_bodyz00_1802
																																																																														=
																																																																														BgL_bodyz00_27175;
																																																																													BgL_varsz00_1801
																																																																														=
																																																																														BgL_varsz00_27174;
																																																																													goto
																																																																														BgL_tagzd2386zd2_1804;
																																																																												}
																																																																												BgL_auxz00_22720
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_27173);
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd250245zd2_7749;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_12901;
																																																																							BgL_pairz00_12901
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd250245zd2_7749
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_12901);
																																																																						}
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_arg6243z00_7750;
																																																																							obj_t
																																																																								BgL_arg6244z00_7751;
																																																																							obj_t
																																																																								BgL_arg6245z00_7752;
																																																																							BgL_arg6243z00_7750
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd250245zd2_7749));
																																																																							BgL_arg6244z00_7751
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd250245zd2_7749));
																																																																							BgL_arg6245z00_7752
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_27187;
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_27190;
																																																																									obj_t
																																																																										BgL_bodyz00_27189;
																																																																									obj_t
																																																																										BgL_varsz00_27188;
																																																																									BgL_varsz00_27188
																																																																										=
																																																																										BgL_arg6243z00_7750;
																																																																									BgL_bodyz00_27189
																																																																										=
																																																																										BgL_arg6244z00_7751;
																																																																									BgL_argsz00_27190
																																																																										=
																																																																										BgL_arg6245z00_7752;
																																																																									BgL_argsz00_1803
																																																																										=
																																																																										BgL_argsz00_27190;
																																																																									BgL_bodyz00_1802
																																																																										=
																																																																										BgL_bodyz00_27189;
																																																																									BgL_varsz00_1801
																																																																										=
																																																																										BgL_varsz00_27188;
																																																																									goto
																																																																										BgL_tagzd2386zd2_1804;
																																																																								}
																																																																								BgL_auxz00_22720
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_27187);
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd250271zd2_7755;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_pairz00_12906;
																																																																					BgL_pairz00_12906
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd250271zd2_7755
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_12906);
																																																																				}
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg6248z00_7756;
																																																																					obj_t
																																																																						BgL_arg6249z00_7757;
																																																																					obj_t
																																																																						BgL_arg6250z00_7758;
																																																																					BgL_arg6248z00_7756
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd250271zd2_7755));
																																																																					BgL_arg6249z00_7757
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd250271zd2_7755));
																																																																					BgL_arg6250z00_7758
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_27201;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_27204;
																																																																							obj_t
																																																																								BgL_bodyz00_27203;
																																																																							obj_t
																																																																								BgL_varsz00_27202;
																																																																							BgL_varsz00_27202
																																																																								=
																																																																								BgL_arg6248z00_7756;
																																																																							BgL_bodyz00_27203
																																																																								=
																																																																								BgL_arg6249z00_7757;
																																																																							BgL_argsz00_27204
																																																																								=
																																																																								BgL_arg6250z00_7758;
																																																																							BgL_argsz00_1803
																																																																								=
																																																																								BgL_argsz00_27204;
																																																																							BgL_bodyz00_1802
																																																																								=
																																																																								BgL_bodyz00_27203;
																																																																							BgL_varsz00_1801
																																																																								=
																																																																								BgL_varsz00_27202;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1804;
																																																																						}
																																																																						BgL_auxz00_22720
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_27201);
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd250297zd2_7760;
																																																																		BgL_cdrzd250297zd2_7760
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd250144zd2_7716));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg6252z00_7761;
																																																																			obj_t
																																																																				BgL_arg6253z00_7762;
																																																																			obj_t
																																																																				BgL_arg6254z00_7763;
																																																																			BgL_arg6252z00_7761
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd250297zd2_7760));
																																																																			BgL_arg6253z00_7762
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd250297zd2_7760));
																																																																			BgL_arg6254z00_7763
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_27214;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_27217;
																																																																					obj_t
																																																																						BgL_bodyz00_27216;
																																																																					obj_t
																																																																						BgL_varsz00_27215;
																																																																					BgL_varsz00_27215
																																																																						=
																																																																						BgL_arg6252z00_7761;
																																																																					BgL_bodyz00_27216
																																																																						=
																																																																						BgL_arg6253z00_7762;
																																																																					BgL_argsz00_27217
																																																																						=
																																																																						BgL_arg6254z00_7763;
																																																																					BgL_argsz00_1803
																																																																						=
																																																																						BgL_argsz00_27217;
																																																																					BgL_bodyz00_1802
																																																																						=
																																																																						BgL_bodyz00_27216;
																																																																					BgL_varsz00_1801
																																																																						=
																																																																						BgL_varsz00_27215;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1804;
																																																																				}
																																																																				BgL_auxz00_22720
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_27214);
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd250323zd2_7765;
																																																																BgL_cdrzd250323zd2_7765
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd250144zd2_7716));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg6256z00_7766;
																																																																	obj_t
																																																																		BgL_arg6257z00_7767;
																																																																	obj_t
																																																																		BgL_arg6258z00_7768;
																																																																	BgL_arg6256z00_7766
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd250323zd2_7765));
																																																																	BgL_arg6257z00_7767
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd250323zd2_7765));
																																																																	BgL_arg6258z00_7768
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_27227;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_27230;
																																																																			obj_t
																																																																				BgL_bodyz00_27229;
																																																																			obj_t
																																																																				BgL_varsz00_27228;
																																																																			BgL_varsz00_27228
																																																																				=
																																																																				BgL_arg6256z00_7766;
																																																																			BgL_bodyz00_27229
																																																																				=
																																																																				BgL_arg6257z00_7767;
																																																																			BgL_argsz00_27230
																																																																				=
																																																																				BgL_arg6258z00_7768;
																																																																			BgL_argsz00_1803
																																																																				=
																																																																				BgL_argsz00_27230;
																																																																			BgL_bodyz00_1802
																																																																				=
																																																																				BgL_bodyz00_27229;
																																																																			BgL_varsz00_1801
																																																																				=
																																																																				BgL_varsz00_27228;
																																																																			goto
																																																																				BgL_tagzd2386zd2_1804;
																																																																		}
																																																																		BgL_auxz00_22720
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_27227);
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd250349zd2_7770;
																																																														BgL_cdrzd250349zd2_7770
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd250144zd2_7716));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg6260z00_7771;
																																																															obj_t
																																																																BgL_arg6261z00_7772;
																																																															obj_t
																																																																BgL_arg6262z00_7773;
																																																															BgL_arg6260z00_7771
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd250349zd2_7770));
																																																															BgL_arg6261z00_7772
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd250349zd2_7770));
																																																															BgL_arg6262z00_7773
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_27240;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_27243;
																																																																	obj_t
																																																																		BgL_bodyz00_27242;
																																																																	obj_t
																																																																		BgL_varsz00_27241;
																																																																	BgL_varsz00_27241
																																																																		=
																																																																		BgL_arg6260z00_7771;
																																																																	BgL_bodyz00_27242
																																																																		=
																																																																		BgL_arg6261z00_7772;
																																																																	BgL_argsz00_27243
																																																																		=
																																																																		BgL_arg6262z00_7773;
																																																																	BgL_argsz00_1803
																																																																		=
																																																																		BgL_argsz00_27243;
																																																																	BgL_bodyz00_1802
																																																																		=
																																																																		BgL_bodyz00_27242;
																																																																	BgL_varsz00_1801
																																																																		=
																																																																		BgL_varsz00_27241;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1804;
																																																																}
																																																																BgL_auxz00_22720
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_27240);
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd250375zd2_7776;
																																																												BgL_cdrzd250375zd2_7776
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd250144zd2_7716));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg6265z00_7777;
																																																													obj_t
																																																														BgL_arg6266z00_7778;
																																																													obj_t
																																																														BgL_arg6267z00_7779;
																																																													BgL_arg6265z00_7777
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd250375zd2_7776));
																																																													BgL_arg6266z00_7778
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd250375zd2_7776));
																																																													BgL_arg6267z00_7779
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_27253;
																																																														{
																																																															obj_t
																																																																BgL_argsz00_27256;
																																																															obj_t
																																																																BgL_bodyz00_27255;
																																																															obj_t
																																																																BgL_varsz00_27254;
																																																															BgL_varsz00_27254
																																																																=
																																																																BgL_arg6265z00_7777;
																																																															BgL_bodyz00_27255
																																																																=
																																																																BgL_arg6266z00_7778;
																																																															BgL_argsz00_27256
																																																																=
																																																																BgL_arg6267z00_7779;
																																																															BgL_argsz00_1803
																																																																=
																																																																BgL_argsz00_27256;
																																																															BgL_bodyz00_1802
																																																																=
																																																																BgL_bodyz00_27255;
																																																															BgL_varsz00_1801
																																																																=
																																																																BgL_varsz00_27254;
																																																															goto
																																																																BgL_tagzd2386zd2_1804;
																																																														}
																																																														BgL_auxz00_22720
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_27253);
																																																													}
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2403zd2_1838;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_27260;
																																																												goto
																																																													BgL_tagzd2404zd2_1839;
																																																												BgL_auxz00_22720
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_27260);
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd250513zd2_7784;
																																																								BgL_cdrzd250513zd2_7784
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd250144zd2_7716));
																																																								if ((CAR(((obj_t) BgL_carzd250144zd2_7716)) == CNST_TABLE_REF(((long) 1))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (PAIRP(BgL_cdrzd250513zd2_7784))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd250518zd2_7788;
																																																												BgL_cdrzd250518zd2_7788
																																																													=
																																																													CDR
																																																													(BgL_cdrzd250513zd2_7784);
																																																												if (PAIRP(BgL_cdrzd250518zd2_7788))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd250522zd2_7790;
																																																														obj_t
																																																															BgL_cdrzd250523zd2_7791;
																																																														BgL_carzd250522zd2_7790
																																																															=
																																																															CAR
																																																															(BgL_cdrzd250518zd2_7788);
																																																														BgL_cdrzd250523zd2_7791
																																																															=
																																																															CDR
																																																															(BgL_cdrzd250518zd2_7788);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250522zd2_7790))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd250523zd2_7791))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd250528zd2_7794;
																																																																		BgL_carzd250528zd2_7794
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd250523zd2_7791);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250528zd2_7794))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(BgL_cdrzd250523zd2_7791)))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test9572z00_27286;
																																																																						{
																																																																							obj_t
																																																																								BgL_l1457z00_7827;
																																																																							BgL_l1457z00_7827
																																																																								=
																																																																								BgL_cdrzd250145zd2_7717;
																																																																						BgL_zc3z04anonymousza36294ze3z87_7828:
																																																																							if (NULLP(BgL_l1457z00_7827))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test9572z00_27286
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									bool_t
																																																																										BgL_test9574z00_27289;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test9575z00_27290;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_tmpz00_27291;
																																																																											BgL_tmpz00_27291
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_l1457z00_7827));
																																																																											BgL_test9575z00_27290
																																																																												=
																																																																												PAIRP
																																																																												(BgL_tmpz00_27291);
																																																																										}
																																																																										if (BgL_test9575z00_27290)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test9574z00_27289
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test9574z00_27289
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																									}
																																																																									if (BgL_test9574z00_27289)
																																																																										{
																																																																											obj_t
																																																																												BgL_l1457z00_27295;
																																																																											BgL_l1457z00_27295
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_l1457z00_7827));
																																																																											BgL_l1457z00_7827
																																																																												=
																																																																												BgL_l1457z00_27295;
																																																																											goto
																																																																												BgL_zc3z04anonymousza36294ze3z87_7828;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test9572z00_27286
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																						if (BgL_test9572z00_27286)
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg6284z00_7810;
																																																																								BgL_arg6284z00_7810
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd250513zd2_7784);
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_27299;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_27303;
																																																																										obj_t
																																																																											BgL_proc2z00_27302;
																																																																										obj_t
																																																																											BgL_proc1z00_27301;
																																																																										obj_t
																																																																											BgL_testz00_27300;
																																																																										BgL_testz00_27300
																																																																											=
																																																																											BgL_arg6284z00_7810;
																																																																										BgL_proc1z00_27301
																																																																											=
																																																																											BgL_carzd250522zd2_7790;
																																																																										BgL_proc2z00_27302
																																																																											=
																																																																											BgL_carzd250528zd2_7794;
																																																																										BgL_argsz00_27303
																																																																											=
																																																																											BgL_cdrzd250145zd2_7717;
																																																																										BgL_argsz00_1808
																																																																											=
																																																																											BgL_argsz00_27303;
																																																																										BgL_proc2z00_1807
																																																																											=
																																																																											BgL_proc2z00_27302;
																																																																										BgL_proc1z00_1806
																																																																											=
																																																																											BgL_proc1z00_27301;
																																																																										BgL_testz00_1805
																																																																											=
																																																																											BgL_testz00_27300;
																																																																										goto
																																																																											BgL_tagzd2387zd2_1809;
																																																																									}
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_27299);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd250553zd2_7811;
																																																																								BgL_cdrzd250553zd2_7811
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd250561zd2_7812;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_12944;
																																																																										BgL_pairz00_12944
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd250561zd2_7812
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_12944);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd250569zd2_7813;
																																																																										BgL_cdrzd250569zd2_7813
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd250561zd2_7812));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd250576zd2_7814;
																																																																											BgL_carzd250576zd2_7814
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd250569zd2_7813));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250576zd2_7814))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd250585zd2_7816;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_12948;
																																																																														BgL_pairz00_12948
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd250569zd2_7813));
																																																																														BgL_carzd250585zd2_7816
																																																																															=
																																																																															CAR
																																																																															(BgL_pairz00_12948);
																																																																													}
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250585zd2_7816))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd250553zd2_7811))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg6288z00_7819;
																																																																																	BgL_arg6288z00_7819
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd250561zd2_7812));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_27325;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_27329;
																																																																																			obj_t
																																																																																				BgL_proc2z00_27328;
																																																																																			obj_t
																																																																																				BgL_proc1z00_27327;
																																																																																			obj_t
																																																																																				BgL_testz00_27326;
																																																																																			BgL_testz00_27326
																																																																																				=
																																																																																				BgL_arg6288z00_7819;
																																																																																			BgL_proc1z00_27327
																																																																																				=
																																																																																				BgL_carzd250576zd2_7814;
																																																																																			BgL_proc2z00_27328
																																																																																				=
																																																																																				BgL_carzd250585zd2_7816;
																																																																																			BgL_argsz00_27329
																																																																																				=
																																																																																				BgL_cdrzd250553zd2_7811;
																																																																																			BgL_argsz00_1813
																																																																																				=
																																																																																				BgL_argsz00_27329;
																																																																																			BgL_proc2z00_1812
																																																																																				=
																																																																																				BgL_proc2z00_27328;
																																																																																			BgL_proc1z00_1811
																																																																																				=
																																																																																				BgL_proc1z00_27327;
																																																																																			BgL_testz00_1810
																																																																																				=
																																																																																				BgL_testz00_27326;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1814;
																																																																																		}
																																																																																		BgL_auxz00_22720
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_27325);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_27333;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_22720
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_27333);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_27337;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_22720
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_27337);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_27341;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_27341);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_27345;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_22720
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_27345);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd250863zd2_7838;
																																																																				BgL_cdrzd250863zd2_7838
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd250870zd2_7839;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_12952;
																																																																						BgL_pairz00_12952
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd250870zd2_7839
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_12952);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd250877zd2_7840;
																																																																						BgL_cdrzd250877zd2_7840
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd250870zd2_7839));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd250883zd2_7841;
																																																																							obj_t
																																																																								BgL_cdrzd250884zd2_7842;
																																																																							BgL_carzd250883zd2_7841
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd250877zd2_7840));
																																																																							BgL_cdrzd250884zd2_7842
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd250877zd2_7840));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250883zd2_7841))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd250891zd2_7844;
																																																																									BgL_carzd250891zd2_7844
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd250884zd2_7842));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250891zd2_7844))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(((obj_t) BgL_cdrzd250884zd2_7842))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd250863zd2_7838))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg6303z00_7849;
																																																																															BgL_arg6303z00_7849
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd250870zd2_7839));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_27372;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_27376;
																																																																																	obj_t
																																																																																		BgL_proc2z00_27375;
																																																																																	obj_t
																																																																																		BgL_proc1z00_27374;
																																																																																	obj_t
																																																																																		BgL_testz00_27373;
																																																																																	BgL_testz00_27373
																																																																																		=
																																																																																		BgL_arg6303z00_7849;
																																																																																	BgL_proc1z00_27374
																																																																																		=
																																																																																		BgL_carzd250883zd2_7841;
																																																																																	BgL_proc2z00_27375
																																																																																		=
																																																																																		BgL_carzd250891zd2_7844;
																																																																																	BgL_argsz00_27376
																																																																																		=
																																																																																		BgL_cdrzd250863zd2_7838;
																																																																																	BgL_argsz00_1813
																																																																																		=
																																																																																		BgL_argsz00_27376;
																																																																																	BgL_proc2z00_1812
																																																																																		=
																																																																																		BgL_proc2z00_27375;
																																																																																	BgL_proc1z00_1811
																																																																																		=
																																																																																		BgL_proc1z00_27374;
																																																																																	BgL_testz00_1810
																																																																																		=
																																																																																		BgL_testz00_27373;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1814;
																																																																																}
																																																																																BgL_auxz00_22720
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_27372);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_27380;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_22720
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_27380);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_27384;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_27384);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_27388;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_27388);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_27392;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_27392);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1838;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_27396;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1839;
																																																																				BgL_auxz00_22720
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_27396);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd251224zd2_7857;
																																																																BgL_cdrzd251224zd2_7857
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd251230zd2_7858;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_pairz00_12961;
																																																																		BgL_pairz00_12961
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd251230zd2_7858
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_12961);
																																																																	}
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd251236zd2_7859;
																																																																		BgL_cdrzd251236zd2_7859
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd251230zd2_7858));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd251241zd2_7860;
																																																																			obj_t
																																																																				BgL_cdrzd251242zd2_7861;
																																																																			BgL_carzd251241zd2_7860
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd251236zd2_7859));
																																																																			BgL_cdrzd251242zd2_7861
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd251236zd2_7859));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251241zd2_7860))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd251242zd2_7861))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd251247zd2_7864;
																																																																							BgL_carzd251247zd2_7864
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd251242zd2_7861);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251247zd2_7864))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_cdrzd251242zd2_7861)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd251224zd2_7857))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg6317z00_7869;
																																																																													BgL_arg6317z00_7869
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd251230zd2_7858));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_27423;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_27427;
																																																																															obj_t
																																																																																BgL_proc2z00_27426;
																																																																															obj_t
																																																																																BgL_proc1z00_27425;
																																																																															obj_t
																																																																																BgL_testz00_27424;
																																																																															BgL_testz00_27424
																																																																																=
																																																																																BgL_arg6317z00_7869;
																																																																															BgL_proc1z00_27425
																																																																																=
																																																																																BgL_carzd251241zd2_7860;
																																																																															BgL_proc2z00_27426
																																																																																=
																																																																																BgL_carzd251247zd2_7864;
																																																																															BgL_argsz00_27427
																																																																																=
																																																																																BgL_cdrzd251224zd2_7857;
																																																																															BgL_argsz00_1813
																																																																																=
																																																																																BgL_argsz00_27427;
																																																																															BgL_proc2z00_1812
																																																																																=
																																																																																BgL_proc2z00_27426;
																																																																															BgL_proc1z00_1811
																																																																																=
																																																																																BgL_proc1z00_27425;
																																																																															BgL_testz00_1810
																																																																																=
																																																																																BgL_testz00_27424;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1814;
																																																																														}
																																																																														BgL_auxz00_22720
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_27423);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_27431;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_27431);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_27435;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_27435);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_27439;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_27439);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_27443;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_27443);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_27447;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_22720
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_27447);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1838;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_27451;
																																																																goto
																																																																	BgL_tagzd2404zd2_1839;
																																																																BgL_auxz00_22720
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_27451);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2403zd2_1838;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_27455;
																																																														goto
																																																															BgL_tagzd2404zd2_1839;
																																																														BgL_auxz00_22720
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_27455);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2403zd2_1838;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_27459;
																																																												goto
																																																													BgL_tagzd2404zd2_1839;
																																																												BgL_auxz00_22720
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_27459);
																																																											}
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_cdrzd251785zd2_8033;
																																					BgL_cdrzd251785zd2_8033
																																						=
																																						CDR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(BgL_carzd248481zd2_7699
																																							==
																																							CNST_TABLE_REF
																																							(((long) 17))))
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_arg6433z00_8035;
																																							obj_t
																																								BgL_arg6434z00_8036;
																																							BgL_arg6433z00_8035
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd251785zd2_8033));
																																							BgL_arg6434z00_8036
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd251785zd2_8033));
																																							{
																																								BgL_nodez00_bglt
																																									BgL_auxz00_27470;
																																								{
																																									obj_t
																																										BgL_exprz00_27472;
																																									obj_t
																																										BgL_bindingsz00_27471;
																																									BgL_bindingsz00_27471
																																										=
																																										BgL_arg6433z00_8035;
																																									BgL_exprz00_27472
																																										=
																																										BgL_arg6434z00_8036;
																																									BgL_exprz00_1793
																																										=
																																										BgL_exprz00_27472;
																																									BgL_bindingsz00_1792
																																										=
																																										BgL_bindingsz00_27471;
																																									goto
																																										BgL_tagzd2382zd2_1794;
																																								}
																																								BgL_auxz00_22720
																																									=
																																									(
																																									(obj_t)
																																									BgL_auxz00_27470);
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd248481zd2_7699)))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_arg6436z00_8038;
																																									obj_t
																																										BgL_arg6437z00_8039;
																																									BgL_arg6436z00_8038
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd251785zd2_8033));
																																									BgL_arg6437z00_8039
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd251785zd2_8033));
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_27481;
																																										{
																																											obj_t
																																												BgL_exprz00_27483;
																																											obj_t
																																												BgL_bindingsz00_27482;
																																											BgL_bindingsz00_27482
																																												=
																																												BgL_arg6436z00_8038;
																																											BgL_exprz00_27483
																																												=
																																												BgL_arg6437z00_8039;
																																											BgL_exprz00_1793
																																												=
																																												BgL_exprz00_27483;
																																											BgL_bindingsz00_1792
																																												=
																																												BgL_bindingsz00_27482;
																																											goto
																																												BgL_tagzd2382zd2_1794;
																																										}
																																										BgL_auxz00_22720
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_27481);
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((BgL_carzd248481zd2_7699 == CNST_TABLE_REF(((long) 18))))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg6439z00_8041;
																																											obj_t
																																												BgL_arg6440z00_8042;
																																											BgL_arg6439z00_8041
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd251785zd2_8033));
																																											BgL_arg6440z00_8042
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd251785zd2_8033));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_27492;
																																												{
																																													obj_t
																																														BgL_exprz00_27494;
																																													obj_t
																																														BgL_bindingsz00_27493;
																																													BgL_bindingsz00_27493
																																														=
																																														BgL_arg6439z00_8041;
																																													BgL_exprz00_27494
																																														=
																																														BgL_arg6440z00_8042;
																																													BgL_exprz00_1793
																																														=
																																														BgL_exprz00_27494;
																																													BgL_bindingsz00_1792
																																														=
																																														BgL_bindingsz00_27493;
																																													goto
																																														BgL_tagzd2382zd2_1794;
																																												}
																																												BgL_auxz00_22720
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_27492);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_27501;
																																													goto
																																														BgL_tagzd2383zd2_1795;
																																													BgL_auxz00_22720
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_27501);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_carzd251822zd2_8045;
																																													BgL_carzd251822zd2_8045
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if ((BgL_carzd251822zd2_8045 == CNST_TABLE_REF(((long) 19))))
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_27508;
																																															goto
																																																BgL_tagzd2384zd2_1796;
																																															BgL_auxz00_22720
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_27508);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd251822zd2_8045)))
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_27513;
																																																	goto
																																																		BgL_tagzd2384zd2_1796;
																																																	BgL_auxz00_22720
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_27513);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_27520;
																																																			goto
																																																				BgL_tagzd2389zd2_1815;
																																																			BgL_auxz00_22720
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_27520);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_27527;
																																																					goto
																																																						BgL_tagzd2390zd2_1816;
																																																					BgL_auxz00_22720
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_27527);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd251902zd2_8052;
																																																					BgL_cdrzd251902zd2_8052
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg6451z00_8055;
																																																							obj_t
																																																								BgL_arg6452z00_8056;
																																																							BgL_arg6451z00_8055
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd251902zd2_8052));
																																																							BgL_arg6452z00_8056
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd251902zd2_8052));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_27540;
																																																								{
																																																									obj_t
																																																										BgL_restz00_27542;
																																																									obj_t
																																																										BgL_effectz00_27541;
																																																									BgL_effectz00_27541
																																																										=
																																																										BgL_arg6451z00_8055;
																																																									BgL_restz00_27542
																																																										=
																																																										BgL_arg6452z00_8056;
																																																									BgL_restz00_1818
																																																										=
																																																										BgL_restz00_27542;
																																																									BgL_effectz00_1817
																																																										=
																																																										BgL_effectz00_27541;
																																																									goto
																																																										BgL_tagzd2391zd2_1819;
																																																								}
																																																								BgL_auxz00_22720
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_27540);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_27549;
																																																									goto
																																																										BgL_tagzd2392zd2_1820;
																																																									BgL_auxz00_22720
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_27549);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_27556;
																																																											goto
																																																												BgL_tagzd2393zd2_1821;
																																																											BgL_auxz00_22720
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_27556);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg6459z00_8064;
																																																													obj_t
																																																														BgL_arg6460z00_8065;
																																																													BgL_arg6459z00_8064
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd251902zd2_8052));
																																																													BgL_arg6460z00_8065
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd251902zd2_8052));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_27567;
																																																														{
																																																															obj_t
																																																																BgL_restz00_27569;
																																																															obj_t
																																																																BgL_effectz00_27568;
																																																															BgL_effectz00_27568
																																																																=
																																																																BgL_arg6459z00_8064;
																																																															BgL_restz00_27569
																																																																=
																																																																BgL_arg6460z00_8065;
																																																															BgL_restz00_1823
																																																																=
																																																																BgL_restz00_27569;
																																																															BgL_effectz00_1822
																																																																=
																																																																BgL_effectz00_27568;
																																																															goto
																																																																BgL_tagzd2394zd2_1824;
																																																														}
																																																														BgL_auxz00_22720
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_27567);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_27576;
																																																															goto
																																																																BgL_tagzd2395zd2_1825;
																																																															BgL_auxz00_22720
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_27576);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_27583;
																																																																	goto
																																																																		BgL_tagzd2396zd2_1826;
																																																																	BgL_auxz00_22720
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_27583);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																		{
																																																																			BgL_letzd2funzd2_bglt
																																																																				BgL_auxz00_27590;
																																																																			goto
																																																																				BgL_tagzd2397zd2_1827;
																																																																			BgL_auxz00_22720
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_27590);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																				{
																																																																					BgL_jumpzd2exzd2itz00_bglt
																																																																						BgL_auxz00_27597;
																																																																					goto
																																																																						BgL_tagzd2398zd2_1828;
																																																																					BgL_auxz00_22720
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_27597);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd251979zd2_8074;
																																																																					BgL_cdrzd251979zd2_8074
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_arg6471z00_8077;
																																																																							obj_t
																																																																								BgL_arg6472z00_8078;
																																																																							BgL_arg6471z00_8077
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd251979zd2_8074));
																																																																							BgL_arg6472z00_8078
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd251979zd2_8074));
																																																																							{	/* Ast/sexp.scm 555 */
																																																																								obj_t
																																																																									BgL_arg7079z00_12998;
																																																																								BgL_arg7079z00_12998
																																																																									=
																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																									(BgL_expz00_21,
																																																																									BgL_locz00_23);
																																																																								BgL_auxz00_22720
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																									(BgL_expz00_21,
																																																																										BgL_arg6471z00_8077,
																																																																										CNST_TABLE_REF
																																																																										(((long) 4)), BgL_arg6472z00_8078, BgL_stackz00_22, BgL_arg7079z00_12998, BgL_sitez00_24));
																																																																						}}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_27616;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_27616);
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 119 */
																									obj_t BgL_carzd252004zd2_8094;

																									BgL_carzd252004zd2_8094 =
																										CAR(
																										((obj_t) BgL_expz00_21));
																									if (
																										(BgL_carzd252004zd2_8094 ==
																											CNST_TABLE_REF(((long)
																													1))))
																										{
																											BgL_nodez00_bglt
																												BgL_auxz00_27623;
																											goto
																												BgL_tagzd2377zd2_1783;
																											BgL_auxz00_22720 =
																												((obj_t)
																												BgL_auxz00_27623);
																										}
																									else
																										{	/* Ast/sexp.scm 119 */
																											if (
																												(BgL_carzd252004zd2_8094
																													==
																													BGl_za2ifza2z00zzast_sexpz00))
																												{
																													BgL_nodez00_bglt
																														BgL_auxz00_27627;
																													goto
																														BgL_tagzd2377zd2_1783;
																													BgL_auxz00_22720 =
																														((obj_t)
																														BgL_auxz00_27627);
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													if (
																														(CAR(
																																((obj_t)
																																	BgL_expz00_21))
																															==
																															CNST_TABLE_REF((
																																	(long) 7))))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_27634;
																															goto
																																BgL_tagzd2379zd2_1787;
																															BgL_auxz00_22720 =
																																((obj_t)
																																BgL_auxz00_27634);
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			16))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_27641;
																																	goto
																																		BgL_tagzd2380zd2_1788;
																																	BgL_auxz00_22720
																																		=
																																		((obj_t)
																																		BgL_auxz00_27641);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_carzd252073zd2_8101;
																																	BgL_carzd252073zd2_8101
																																		=
																																		CAR(((obj_t)
																																			BgL_expz00_21));
																																	if (PAIRP
																																		(BgL_carzd252073zd2_8101))
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd252076zd2_8103;
																																			obj_t
																																				BgL_cdrzd252077zd2_8104;
																																			BgL_carzd252076zd2_8103
																																				=
																																				CAR
																																				(BgL_carzd252073zd2_8101);
																																			BgL_cdrzd252077zd2_8104
																																				=
																																				CDR
																																				(BgL_carzd252073zd2_8101);
																																			{

																																				if (
																																					(BgL_carzd252076zd2_8103
																																						==
																																						CNST_TABLE_REF
																																						(((long) 17))))
																																					{	/* Ast/sexp.scm 119 */
																																					BgL_kapzd252078zd2_8105:
																																						if (PAIRP(BgL_cdrzd252077zd2_8104))
																																							{	/* Ast/sexp.scm 119 */
																																								obj_t
																																									BgL_cdrzd252081zd2_8224;
																																								BgL_cdrzd252081zd2_8224
																																									=
																																									CDR
																																									(BgL_cdrzd252077zd2_8104);
																																								if (PAIRP(BgL_cdrzd252081zd2_8224))
																																									{	/* Ast/sexp.scm 119 */
																																										if (NULLP(CDR(BgL_cdrzd252081zd2_8224)))
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_arg6574z00_8228;
																																												obj_t
																																													BgL_arg6575z00_8229;
																																												BgL_arg6574z00_8228
																																													=
																																													CAR
																																													(BgL_cdrzd252081zd2_8224);
																																												BgL_arg6575z00_8229
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_27663;
																																													{
																																														obj_t
																																															BgL_argsz00_27665;
																																														obj_t
																																															BgL_bodyz00_27664;
																																														BgL_bodyz00_27664
																																															=
																																															BgL_arg6574z00_8228;
																																														BgL_argsz00_27665
																																															=
																																															BgL_arg6575z00_8229;
																																														BgL_argsz00_1790
																																															=
																																															BgL_argsz00_27665;
																																														BgL_bodyz00_1789
																																															=
																																															BgL_bodyz00_27664;
																																														goto
																																															BgL_tagzd2381zd2_1791;
																																													}
																																													BgL_auxz00_22720
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_27663);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test9632z00_27667;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg6639z00_8335;
																																													BgL_arg6639z00_8335
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test9632z00_27667
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg6639z00_8335));
																																												}
																																												if (BgL_test9632z00_27667)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_27672;
																																														goto
																																															BgL_tagzd2384zd2_1796;
																																														BgL_auxz00_22720
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_27672);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_carzd252159zd2_8232;
																																														BgL_carzd252159zd2_8232
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_cdrzd252164zd2_8233;
																																															BgL_cdrzd252164zd2_8233
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd252159zd2_8232));
																																															if ((CAR(((obj_t) BgL_carzd252159zd2_8232)) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg6580z00_8236;
																																																	obj_t
																																																		BgL_arg6581z00_8237;
																																																	obj_t
																																																		BgL_arg6582z00_8238;
																																																	BgL_arg6580z00_8236
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd252164zd2_8233));
																																																	BgL_arg6581z00_8237
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd252164zd2_8233));
																																																	BgL_arg6582z00_8238
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_27689;
																																																		{
																																																			obj_t
																																																				BgL_argsz00_27692;
																																																			obj_t
																																																				BgL_bodyz00_27691;
																																																			obj_t
																																																				BgL_varsz00_27690;
																																																			BgL_varsz00_27690
																																																				=
																																																				BgL_arg6580z00_8236;
																																																			BgL_bodyz00_27691
																																																				=
																																																				BgL_arg6581z00_8237;
																																																			BgL_argsz00_27692
																																																				=
																																																				BgL_arg6582z00_8238;
																																																			BgL_argsz00_1803
																																																				=
																																																				BgL_argsz00_27692;
																																																			BgL_bodyz00_1802
																																																				=
																																																				BgL_bodyz00_27691;
																																																			BgL_varsz00_1801
																																																				=
																																																				BgL_varsz00_27690;
																																																			goto
																																																				BgL_tagzd2386zd2_1804;
																																																		}
																																																		BgL_auxz00_22720
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_27689);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd252187zd2_8240;
																																																	BgL_cdrzd252187zd2_8240
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd252193zd2_8241;
																																																		BgL_cdrzd252193zd2_8241
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_carzd252159zd2_8232));
																																																		if ((CAR(((obj_t) BgL_carzd252159zd2_8232)) == CNST_TABLE_REF(((long) 1))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd252199zd2_8244;
																																																				BgL_cdrzd252199zd2_8244
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd252193zd2_8241));
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd252204zd2_8245;
																																																					obj_t
																																																						BgL_cdrzd252205zd2_8246;
																																																					BgL_carzd252204zd2_8245
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd252199zd2_8244));
																																																					BgL_cdrzd252205zd2_8246
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd252199zd2_8244));
																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252204zd2_8245))
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (PAIRP(BgL_cdrzd252205zd2_8246))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd252212zd2_8249;
																																																									BgL_carzd252212zd2_8249
																																																										=
																																																										CAR
																																																										(BgL_cdrzd252205zd2_8246);
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252212zd2_8249))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (NULLP(CDR(BgL_cdrzd252205zd2_8246)))
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test9639z00_27719;
																																																													{
																																																														obj_t
																																																															BgL_l1460z00_8282;
																																																														BgL_l1460z00_8282
																																																															=
																																																															BgL_cdrzd252187zd2_8240;
																																																													BgL_zc3z04anonymousza36605ze3z87_8283:
																																																														if (NULLP(BgL_l1460z00_8282))
																																																															{	/* Ast/sexp.scm 119 */
																																																																BgL_test9639z00_27719
																																																																	=
																																																																	(
																																																																	(bool_t)
																																																																	1);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																bool_t
																																																																	BgL_test9641z00_27722;
																																																																{	/* Ast/sexp.scm 119 */
																																																																	bool_t
																																																																		BgL_test9642z00_27723;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_tmpz00_27724;
																																																																		BgL_tmpz00_27724
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_l1460z00_8282));
																																																																		BgL_test9642z00_27723
																																																																			=
																																																																			PAIRP
																																																																			(BgL_tmpz00_27724);
																																																																	}
																																																																	if (BgL_test9642z00_27723)
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			BgL_test9641z00_27722
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			BgL_test9641z00_27722
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				1);
																																																																		}
																																																																}
																																																																if (BgL_test9641z00_27722)
																																																																	{
																																																																		obj_t
																																																																			BgL_l1460z00_27728;
																																																																		BgL_l1460z00_27728
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_l1460z00_8282));
																																																																		BgL_l1460z00_8282
																																																																			=
																																																																			BgL_l1460z00_27728;
																																																																		goto
																																																																			BgL_zc3z04anonymousza36605ze3z87_8283;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		BgL_test9639z00_27719
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			0);
																																																																	}
																																																															}
																																																													}
																																																													if (BgL_test9639z00_27719)
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg6595z00_8265;
																																																															BgL_arg6595z00_8265
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd252193zd2_8241));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_27733;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_27737;
																																																																	obj_t
																																																																		BgL_proc2z00_27736;
																																																																	obj_t
																																																																		BgL_proc1z00_27735;
																																																																	obj_t
																																																																		BgL_testz00_27734;
																																																																	BgL_testz00_27734
																																																																		=
																																																																		BgL_arg6595z00_8265;
																																																																	BgL_proc1z00_27735
																																																																		=
																																																																		BgL_carzd252204zd2_8245;
																																																																	BgL_proc2z00_27736
																																																																		=
																																																																		BgL_carzd252212zd2_8249;
																																																																	BgL_argsz00_27737
																																																																		=
																																																																		BgL_cdrzd252187zd2_8240;
																																																																	BgL_argsz00_1808
																																																																		=
																																																																		BgL_argsz00_27737;
																																																																	BgL_proc2z00_1807
																																																																		=
																																																																		BgL_proc2z00_27736;
																																																																	BgL_proc1z00_1806
																																																																		=
																																																																		BgL_proc1z00_27735;
																																																																	BgL_testz00_1805
																																																																		=
																																																																		BgL_testz00_27734;
																																																																	goto
																																																																		BgL_tagzd2387zd2_1809;
																																																																}
																																																																BgL_auxz00_22720
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_27733);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd252236zd2_8266;
																																																															BgL_cdrzd252236zd2_8266
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd252243zd2_8267;
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_pairz00_13030;
																																																																	BgL_pairz00_13030
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd252243zd2_8267
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_13030);
																																																																}
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd252250zd2_8268;
																																																																	BgL_cdrzd252250zd2_8268
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd252243zd2_8267));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd252256zd2_8269;
																																																																		BgL_carzd252256zd2_8269
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd252250zd2_8268));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252256zd2_8269))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd252263zd2_8271;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_pairz00_13034;
																																																																					BgL_pairz00_13034
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd252250zd2_8268));
																																																																					BgL_carzd252263zd2_8271
																																																																						=
																																																																						CAR
																																																																						(BgL_pairz00_13034);
																																																																				}
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252263zd2_8271))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd252236zd2_8266))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg6599z00_8274;
																																																																								BgL_arg6599z00_8274
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd252243zd2_8267));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_27759;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_27763;
																																																																										obj_t
																																																																											BgL_proc2z00_27762;
																																																																										obj_t
																																																																											BgL_proc1z00_27761;
																																																																										obj_t
																																																																											BgL_testz00_27760;
																																																																										BgL_testz00_27760
																																																																											=
																																																																											BgL_arg6599z00_8274;
																																																																										BgL_proc1z00_27761
																																																																											=
																																																																											BgL_carzd252256zd2_8269;
																																																																										BgL_proc2z00_27762
																																																																											=
																																																																											BgL_carzd252263zd2_8271;
																																																																										BgL_argsz00_27763
																																																																											=
																																																																											BgL_cdrzd252236zd2_8266;
																																																																										BgL_argsz00_1813
																																																																											=
																																																																											BgL_argsz00_27763;
																																																																										BgL_proc2z00_1812
																																																																											=
																																																																											BgL_proc2z00_27762;
																																																																										BgL_proc1z00_1811
																																																																											=
																																																																											BgL_proc1z00_27761;
																																																																										BgL_testz00_1810
																																																																											=
																																																																											BgL_testz00_27760;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1814;
																																																																									}
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_27759);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_27767;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_22720
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_27767);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_27771;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_22720
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_27771);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_27775;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_22720
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_27775);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2403zd2_1838;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_27779;
																																																															goto
																																																																BgL_tagzd2404zd2_1839;
																																																															BgL_auxz00_22720
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_27779);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd252539zd2_8293;
																																																											BgL_cdrzd252539zd2_8293
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd252545zd2_8294;
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_pairz00_13038;
																																																													BgL_pairz00_13038
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_cdrzd252545zd2_8294
																																																														=
																																																														CDR
																																																														(BgL_pairz00_13038);
																																																												}
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd252551zd2_8295;
																																																													BgL_cdrzd252551zd2_8295
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd252545zd2_8294));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd252556zd2_8296;
																																																														obj_t
																																																															BgL_cdrzd252557zd2_8297;
																																																														BgL_carzd252556zd2_8296
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd252551zd2_8295));
																																																														BgL_cdrzd252557zd2_8297
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd252551zd2_8295));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252556zd2_8296))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd252562zd2_8299;
																																																																BgL_carzd252562zd2_8299
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd252557zd2_8297));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252562zd2_8299))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd252557zd2_8297))))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd252539zd2_8293))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg6614z00_8304;
																																																																						BgL_arg6614z00_8304
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd252545zd2_8294));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_27806;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_27810;
																																																																								obj_t
																																																																									BgL_proc2z00_27809;
																																																																								obj_t
																																																																									BgL_proc1z00_27808;
																																																																								obj_t
																																																																									BgL_testz00_27807;
																																																																								BgL_testz00_27807
																																																																									=
																																																																									BgL_arg6614z00_8304;
																																																																								BgL_proc1z00_27808
																																																																									=
																																																																									BgL_carzd252556zd2_8296;
																																																																								BgL_proc2z00_27809
																																																																									=
																																																																									BgL_carzd252562zd2_8299;
																																																																								BgL_argsz00_27810
																																																																									=
																																																																									BgL_cdrzd252539zd2_8293;
																																																																								BgL_argsz00_1813
																																																																									=
																																																																									BgL_argsz00_27810;
																																																																								BgL_proc2z00_1812
																																																																									=
																																																																									BgL_proc2z00_27809;
																																																																								BgL_proc1z00_1811
																																																																									=
																																																																									BgL_proc1z00_27808;
																																																																								BgL_testz00_1810
																																																																									=
																																																																									BgL_testz00_27807;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1814;
																																																																							}
																																																																							BgL_auxz00_22720
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_27806);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_27814;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_22720
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_27814);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_27818;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_22720
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_27818);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1838;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_27822;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1839;
																																																																				BgL_auxz00_22720
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_27822);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1838;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_27826;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1839;
																																																																		BgL_auxz00_22720
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_27826);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2403zd2_1838;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_27830;
																																																											goto
																																																												BgL_tagzd2404zd2_1839;
																																																											BgL_auxz00_22720
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_27830);
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd252895zd2_8312;
																																																							BgL_cdrzd252895zd2_8312
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd252902zd2_8313;
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_pairz00_13047;
																																																									BgL_pairz00_13047
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_cdrzd252902zd2_8313
																																																										=
																																																										CDR
																																																										(BgL_pairz00_13047);
																																																								}
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd252909zd2_8314;
																																																									BgL_cdrzd252909zd2_8314
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd252902zd2_8313));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_carzd252915zd2_8315;
																																																										obj_t
																																																											BgL_cdrzd252916zd2_8316;
																																																										BgL_carzd252915zd2_8315
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd252909zd2_8314));
																																																										BgL_cdrzd252916zd2_8316
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd252909zd2_8314));
																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252915zd2_8315))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd252916zd2_8316))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd252923zd2_8319;
																																																														BgL_carzd252923zd2_8319
																																																															=
																																																															CAR
																																																															(BgL_cdrzd252916zd2_8316);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252923zd2_8319))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (NULLP(CDR(BgL_cdrzd252916zd2_8316)))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd252895zd2_8312))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg6628z00_8324;
																																																																				BgL_arg6628z00_8324
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd252902zd2_8313));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_27857;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_27861;
																																																																						obj_t
																																																																							BgL_proc2z00_27860;
																																																																						obj_t
																																																																							BgL_proc1z00_27859;
																																																																						obj_t
																																																																							BgL_testz00_27858;
																																																																						BgL_testz00_27858
																																																																							=
																																																																							BgL_arg6628z00_8324;
																																																																						BgL_proc1z00_27859
																																																																							=
																																																																							BgL_carzd252915zd2_8315;
																																																																						BgL_proc2z00_27860
																																																																							=
																																																																							BgL_carzd252923zd2_8319;
																																																																						BgL_argsz00_27861
																																																																							=
																																																																							BgL_cdrzd252895zd2_8312;
																																																																						BgL_argsz00_1813
																																																																							=
																																																																							BgL_argsz00_27861;
																																																																						BgL_proc2z00_1812
																																																																							=
																																																																							BgL_proc2z00_27860;
																																																																						BgL_proc1z00_1811
																																																																							=
																																																																							BgL_proc1z00_27859;
																																																																						BgL_testz00_1810
																																																																							=
																																																																							BgL_testz00_27858;
																																																																						goto
																																																																							BgL_tagzd2388zd2_1814;
																																																																					}
																																																																					BgL_auxz00_22720
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_27857);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_27865;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_22720
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_27865);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1838;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_27869;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1839;
																																																																				BgL_auxz00_22720
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_27869);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1838;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_27873;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1839;
																																																																		BgL_auxz00_22720
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_27873);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1838;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_27877;
																																																																goto
																																																																	BgL_tagzd2404zd2_1839;
																																																																BgL_auxz00_22720
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_27877);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2403zd2_1838;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_27881;
																																																														goto
																																																															BgL_tagzd2404zd2_1839;
																																																														BgL_auxz00_22720
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_27881);
																																																													}
																																																											}
																																																									}
																																																								}
																																																							}
																																																						}
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_tagzd2403zd2_1838;
																																																					}
																																																				else
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_27885;
																																																						goto
																																																							BgL_tagzd2404zd2_1839;
																																																						BgL_auxz00_22720
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_27885);
																																																					}
																																																			}
																																																	}
																																																}
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										bool_t
																																											BgL_test9670z00_27887;
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg6650z00_8348;
																																											BgL_arg6650z00_8348
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_test9670z00_27887
																																												=
																																												CBOOL
																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																												(BgL_arg6650z00_8348));
																																										}
																																										if (BgL_test9670z00_27887)
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_27892;
																																												goto
																																													BgL_tagzd2384zd2_1796;
																																												BgL_auxz00_22720
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_27892);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_carzd253369zd2_8339;
																																												BgL_carzd253369zd2_8339
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_cdrzd253374zd2_8340;
																																													BgL_cdrzd253374zd2_8340
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_carzd253369zd2_8339));
																																													if ((CAR(((obj_t) BgL_carzd253369zd2_8339)) == CNST_TABLE_REF(((long) 3))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg6645z00_8343;
																																															obj_t
																																																BgL_arg6646z00_8344;
																																															obj_t
																																																BgL_arg6647z00_8345;
																																															BgL_arg6645z00_8343
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd253374zd2_8340));
																																															BgL_arg6646z00_8344
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd253374zd2_8340));
																																															BgL_arg6647z00_8345
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_27909;
																																																{
																																																	obj_t
																																																		BgL_argsz00_27912;
																																																	obj_t
																																																		BgL_bodyz00_27911;
																																																	obj_t
																																																		BgL_varsz00_27910;
																																																	BgL_varsz00_27910
																																																		=
																																																		BgL_arg6645z00_8343;
																																																	BgL_bodyz00_27911
																																																		=
																																																		BgL_arg6646z00_8344;
																																																	BgL_argsz00_27912
																																																		=
																																																		BgL_arg6647z00_8345;
																																																	BgL_argsz00_1803
																																																		=
																																																		BgL_argsz00_27912;
																																																	BgL_bodyz00_1802
																																																		=
																																																		BgL_bodyz00_27911;
																																																	BgL_varsz00_1801
																																																		=
																																																		BgL_varsz00_27910;
																																																	goto
																																																		BgL_tagzd2386zd2_1804;
																																																}
																																																BgL_auxz00_22720
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_27909);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																{	/* Ast/sexp.scm 119 */
																																																	goto
																																																		BgL_tagzd2403zd2_1838;
																																																}
																																															else
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_27916;
																																																	goto
																																																		BgL_tagzd2404zd2_1839;
																																																	BgL_auxz00_22720
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_27916);
																																																}
																																														}
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								bool_t
																																									BgL_test9673z00_27918;
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_arg6654z00_8352;
																																									BgL_arg6654z00_8352
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									BgL_test9673z00_27918
																																										=
																																										CBOOL
																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																										(BgL_arg6654z00_8352));
																																								}
																																								if (BgL_test9673z00_27918)
																																									{
																																										BgL_letzd2funzd2_bglt
																																											BgL_auxz00_27923;
																																										goto
																																											BgL_tagzd2384zd2_1796;
																																										BgL_auxz00_22720
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_27923);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_tagzd2403zd2_1838;
																																											}
																																										else
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_27927;
																																												goto
																																													BgL_tagzd2404zd2_1839;
																																												BgL_auxz00_22720
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_27927);
																																											}
																																									}
																																							}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 119 */
																																						if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd252076zd2_8103)))
																																							{	/* Ast/sexp.scm 119 */
																																								goto
																																									BgL_kapzd252078zd2_8105;
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if ((BgL_carzd252076zd2_8103 == CNST_TABLE_REF(((long) 18))))
																																									{	/* Ast/sexp.scm 119 */
																																										goto
																																											BgL_kapzd252078zd2_8105;
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((BgL_carzd252076zd2_8103 == CNST_TABLE_REF(((long) 19))))
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_kapzd252078zd2_8105;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd252076zd2_8103)))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_kapzd252078zd2_8105;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test9679z00_27941;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg6569z00_8222;
																																															BgL_arg6569z00_8222
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test9679z00_27941
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg6569z00_8222));
																																														}
																																														if (BgL_test9679z00_27941)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_27946;
																																																goto
																																																	BgL_tagzd2384zd2_1796;
																																																BgL_auxz00_22720
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_27946);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_carzd253697zd2_8113;
																																																BgL_carzd253697zd2_8113
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd253702zd2_8114;
																																																	BgL_cdrzd253702zd2_8114
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd253697zd2_8113));
																																																	if ((CAR(((obj_t) BgL_carzd253697zd2_8113)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (PAIRP(BgL_cdrzd253702zd2_8114))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg6505z00_8118;
																																																					obj_t
																																																						BgL_arg6506z00_8119;
																																																					obj_t
																																																						BgL_arg6507z00_8120;
																																																					BgL_arg6505z00_8118
																																																						=
																																																						CAR
																																																						(BgL_cdrzd253702zd2_8114);
																																																					BgL_arg6506z00_8119
																																																						=
																																																						CDR
																																																						(BgL_cdrzd253702zd2_8114);
																																																					BgL_arg6507z00_8120
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_27963;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_27966;
																																																							obj_t
																																																								BgL_bodyz00_27965;
																																																							obj_t
																																																								BgL_varsz00_27964;
																																																							BgL_varsz00_27964
																																																								=
																																																								BgL_arg6505z00_8118;
																																																							BgL_bodyz00_27965
																																																								=
																																																								BgL_arg6506z00_8119;
																																																							BgL_argsz00_27966
																																																								=
																																																								BgL_arg6507z00_8120;
																																																							BgL_argsz00_1803
																																																								=
																																																								BgL_argsz00_27966;
																																																							BgL_bodyz00_1802
																																																								=
																																																								BgL_bodyz00_27965;
																																																							BgL_varsz00_1801
																																																								=
																																																								BgL_varsz00_27964;
																																																							goto
																																																								BgL_tagzd2386zd2_1804;
																																																						}
																																																						BgL_auxz00_22720
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_27963);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 119 */
																																																							goto
																																																								BgL_tagzd2403zd2_1838;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_27970;
																																																							goto
																																																								BgL_tagzd2404zd2_1839;
																																																							BgL_auxz00_22720
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_27970);
																																																						}
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd253809zd2_8123;
																																																			BgL_cdrzd253809zd2_8123
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd253814zd2_8124;
																																																				BgL_cdrzd253814zd2_8124
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd253697zd2_8113));
																																																				if ((CAR(((obj_t) BgL_carzd253697zd2_8113)) == CNST_TABLE_REF(((long) 1))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (PAIRP(BgL_cdrzd253814zd2_8124))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd253819zd2_8128;
																																																								BgL_cdrzd253819zd2_8128
																																																									=
																																																									CDR
																																																									(BgL_cdrzd253814zd2_8124);
																																																								if (PAIRP(BgL_cdrzd253819zd2_8128))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_carzd253823zd2_8130;
																																																										obj_t
																																																											BgL_cdrzd253824zd2_8131;
																																																										BgL_carzd253823zd2_8130
																																																											=
																																																											CAR
																																																											(BgL_cdrzd253819zd2_8128);
																																																										BgL_cdrzd253824zd2_8131
																																																											=
																																																											CDR
																																																											(BgL_cdrzd253819zd2_8128);
																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253823zd2_8130))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd253824zd2_8131))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd253829zd2_8134;
																																																														BgL_carzd253829zd2_8134
																																																															=
																																																															CAR
																																																															(BgL_cdrzd253824zd2_8131);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253829zd2_8134))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (NULLP(CDR(BgL_cdrzd253824zd2_8131)))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		bool_t
																																																																			BgL_test9690z00_27998;
																																																																		{
																																																																			obj_t
																																																																				BgL_l1463z00_8167;
																																																																			BgL_l1463z00_8167
																																																																				=
																																																																				BgL_cdrzd253809zd2_8123;
																																																																		BgL_zc3z04anonymousza36533ze3z87_8168:
																																																																			if (NULLP(BgL_l1463z00_8167))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					BgL_test9690z00_27998
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						1);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					bool_t
																																																																						BgL_test9692z00_28001;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test9693z00_28002;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_tmpz00_28003;
																																																																							BgL_tmpz00_28003
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_l1463z00_8167));
																																																																							BgL_test9693z00_28002
																																																																								=
																																																																								PAIRP
																																																																								(BgL_tmpz00_28003);
																																																																						}
																																																																						if (BgL_test9693z00_28002)
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test9692z00_28001
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test9692z00_28001
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									1);
																																																																							}
																																																																					}
																																																																					if (BgL_test9692z00_28001)
																																																																						{
																																																																							obj_t
																																																																								BgL_l1463z00_28007;
																																																																							BgL_l1463z00_28007
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_l1463z00_8167));
																																																																							BgL_l1463z00_8167
																																																																								=
																																																																								BgL_l1463z00_28007;
																																																																							goto
																																																																								BgL_zc3z04anonymousza36533ze3z87_8168;
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test9690z00_27998
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																				}
																																																																		}
																																																																		if (BgL_test9690z00_27998)
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg6523z00_8150;
																																																																				BgL_arg6523z00_8150
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd253814zd2_8124);
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_28011;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_28015;
																																																																						obj_t
																																																																							BgL_proc2z00_28014;
																																																																						obj_t
																																																																							BgL_proc1z00_28013;
																																																																						obj_t
																																																																							BgL_testz00_28012;
																																																																						BgL_testz00_28012
																																																																							=
																																																																							BgL_arg6523z00_8150;
																																																																						BgL_proc1z00_28013
																																																																							=
																																																																							BgL_carzd253823zd2_8130;
																																																																						BgL_proc2z00_28014
																																																																							=
																																																																							BgL_carzd253829zd2_8134;
																																																																						BgL_argsz00_28015
																																																																							=
																																																																							BgL_cdrzd253809zd2_8123;
																																																																						BgL_argsz00_1808
																																																																							=
																																																																							BgL_argsz00_28015;
																																																																						BgL_proc2z00_1807
																																																																							=
																																																																							BgL_proc2z00_28014;
																																																																						BgL_proc1z00_1806
																																																																							=
																																																																							BgL_proc1z00_28013;
																																																																						BgL_testz00_1805
																																																																							=
																																																																							BgL_testz00_28012;
																																																																						goto
																																																																							BgL_tagzd2387zd2_1809;
																																																																					}
																																																																					BgL_auxz00_22720
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_28011);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd253854zd2_8151;
																																																																				BgL_cdrzd253854zd2_8151
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd253862zd2_8152;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_13083;
																																																																						BgL_pairz00_13083
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd253862zd2_8152
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_13083);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd253870zd2_8153;
																																																																						BgL_cdrzd253870zd2_8153
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd253862zd2_8152));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd253877zd2_8154;
																																																																							BgL_carzd253877zd2_8154
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd253870zd2_8153));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253877zd2_8154))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd253886zd2_8156;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_13087;
																																																																										BgL_pairz00_13087
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd253870zd2_8153));
																																																																										BgL_carzd253886zd2_8156
																																																																											=
																																																																											CAR
																																																																											(BgL_pairz00_13087);
																																																																									}
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253886zd2_8156))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd253854zd2_8151))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg6527z00_8159;
																																																																													BgL_arg6527z00_8159
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd253862zd2_8152));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_28037;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_28041;
																																																																															obj_t
																																																																																BgL_proc2z00_28040;
																																																																															obj_t
																																																																																BgL_proc1z00_28039;
																																																																															obj_t
																																																																																BgL_testz00_28038;
																																																																															BgL_testz00_28038
																																																																																=
																																																																																BgL_arg6527z00_8159;
																																																																															BgL_proc1z00_28039
																																																																																=
																																																																																BgL_carzd253877zd2_8154;
																																																																															BgL_proc2z00_28040
																																																																																=
																																																																																BgL_carzd253886zd2_8156;
																																																																															BgL_argsz00_28041
																																																																																=
																																																																																BgL_cdrzd253854zd2_8151;
																																																																															BgL_argsz00_1813
																																																																																=
																																																																																BgL_argsz00_28041;
																																																																															BgL_proc2z00_1812
																																																																																=
																																																																																BgL_proc2z00_28040;
																																																																															BgL_proc1z00_1811
																																																																																=
																																																																																BgL_proc1z00_28039;
																																																																															BgL_testz00_1810
																																																																																=
																																																																																BgL_testz00_28038;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1814;
																																																																														}
																																																																														BgL_auxz00_22720
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_28037);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_28045;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_22720
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_28045);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_28049;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_28049);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_28053;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_28053);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1838;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_28057;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1839;
																																																																				BgL_auxz00_22720
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_28057);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd254164zd2_8178;
																																																																BgL_cdrzd254164zd2_8178
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd254171zd2_8179;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_pairz00_13091;
																																																																		BgL_pairz00_13091
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd254171zd2_8179
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_13091);
																																																																	}
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd254178zd2_8180;
																																																																		BgL_cdrzd254178zd2_8180
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd254171zd2_8179));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd254184zd2_8181;
																																																																			obj_t
																																																																				BgL_cdrzd254185zd2_8182;
																																																																			BgL_carzd254184zd2_8181
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd254178zd2_8180));
																																																																			BgL_cdrzd254185zd2_8182
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd254178zd2_8180));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd254184zd2_8181))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd254192zd2_8184;
																																																																					BgL_carzd254192zd2_8184
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd254185zd2_8182));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd254192zd2_8184))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (NULLP(CDR(((obj_t) BgL_cdrzd254185zd2_8182))))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd254164zd2_8178))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg6542z00_8189;
																																																																											BgL_arg6542z00_8189
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd254171zd2_8179));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_28084;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_28088;
																																																																													obj_t
																																																																														BgL_proc2z00_28087;
																																																																													obj_t
																																																																														BgL_proc1z00_28086;
																																																																													obj_t
																																																																														BgL_testz00_28085;
																																																																													BgL_testz00_28085
																																																																														=
																																																																														BgL_arg6542z00_8189;
																																																																													BgL_proc1z00_28086
																																																																														=
																																																																														BgL_carzd254184zd2_8181;
																																																																													BgL_proc2z00_28087
																																																																														=
																																																																														BgL_carzd254192zd2_8184;
																																																																													BgL_argsz00_28088
																																																																														=
																																																																														BgL_cdrzd254164zd2_8178;
																																																																													BgL_argsz00_1813
																																																																														=
																																																																														BgL_argsz00_28088;
																																																																													BgL_proc2z00_1812
																																																																														=
																																																																														BgL_proc2z00_28087;
																																																																													BgL_proc1z00_1811
																																																																														=
																																																																														BgL_proc1z00_28086;
																																																																													BgL_testz00_1810
																																																																														=
																																																																														BgL_testz00_28085;
																																																																													goto
																																																																														BgL_tagzd2388zd2_1814;
																																																																												}
																																																																												BgL_auxz00_22720
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_28084);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_28092;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_22720
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_28092);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_28096;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_28096);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_28100;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_28100);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_28104;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_22720
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_28104);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1838;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_28108;
																																																																goto
																																																																	BgL_tagzd2404zd2_1839;
																																																																BgL_auxz00_22720
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_28108);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd254525zd2_8197;
																																																												BgL_cdrzd254525zd2_8197
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd254531zd2_8198;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_pairz00_13100;
																																																														BgL_pairz00_13100
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_cdrzd254531zd2_8198
																																																															=
																																																															CDR
																																																															(BgL_pairz00_13100);
																																																													}
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd254537zd2_8199;
																																																														BgL_cdrzd254537zd2_8199
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd254531zd2_8198));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd254542zd2_8200;
																																																															obj_t
																																																																BgL_cdrzd254543zd2_8201;
																																																															BgL_carzd254542zd2_8200
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd254537zd2_8199));
																																																															BgL_cdrzd254543zd2_8201
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd254537zd2_8199));
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd254542zd2_8200))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (PAIRP(BgL_cdrzd254543zd2_8201))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd254548zd2_8204;
																																																																			BgL_carzd254548zd2_8204
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd254543zd2_8201);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd254548zd2_8204))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (NULLP(CDR(BgL_cdrzd254543zd2_8201)))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd254525zd2_8197))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg6556z00_8209;
																																																																									BgL_arg6556z00_8209
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd254531zd2_8198));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_28135;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_28139;
																																																																											obj_t
																																																																												BgL_proc2z00_28138;
																																																																											obj_t
																																																																												BgL_proc1z00_28137;
																																																																											obj_t
																																																																												BgL_testz00_28136;
																																																																											BgL_testz00_28136
																																																																												=
																																																																												BgL_arg6556z00_8209;
																																																																											BgL_proc1z00_28137
																																																																												=
																																																																												BgL_carzd254542zd2_8200;
																																																																											BgL_proc2z00_28138
																																																																												=
																																																																												BgL_carzd254548zd2_8204;
																																																																											BgL_argsz00_28139
																																																																												=
																																																																												BgL_cdrzd254525zd2_8197;
																																																																											BgL_argsz00_1813
																																																																												=
																																																																												BgL_argsz00_28139;
																																																																											BgL_proc2z00_1812
																																																																												=
																																																																												BgL_proc2z00_28138;
																																																																											BgL_proc1z00_1811
																																																																												=
																																																																												BgL_proc1z00_28137;
																																																																											BgL_testz00_1810
																																																																												=
																																																																												BgL_testz00_28136;
																																																																											goto
																																																																												BgL_tagzd2388zd2_1814;
																																																																										}
																																																																										BgL_auxz00_22720
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_28135);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_28143;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_22720
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_28143);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_28147;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_22720
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_28147);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_28151;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_22720
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_28151);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1838;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_28155;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1839;
																																																																					BgL_auxz00_22720
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_28155);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1838;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_28159;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1839;
																																																																			BgL_auxz00_22720
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_28159);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2403zd2_1838;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_28163;
																																																												goto
																																																													BgL_tagzd2404zd2_1839;
																																																												BgL_auxz00_22720
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_28163);
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2403zd2_1838;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_28167;
																																																										goto
																																																											BgL_tagzd2404zd2_1839;
																																																										BgL_auxz00_22720
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_28167);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_tagzd2403zd2_1838;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_28171;
																																																								goto
																																																									BgL_tagzd2404zd2_1839;
																																																								BgL_auxz00_22720
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_28171);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(BgL_carzd252073zd2_8101
																																					==
																																					CNST_TABLE_REF
																																					(((long) 20))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_28176;
																																					goto
																																						BgL_tagzd2383zd2_1795;
																																					BgL_auxz00_22720
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_28176);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd255110zd2_8355;
																																					BgL_carzd255110zd2_8355
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(BgL_carzd255110zd2_8355
																																							==
																																							CNST_TABLE_REF
																																							(((long) 19))))
																																						{
																																							BgL_letzd2funzd2_bglt
																																								BgL_auxz00_28183;
																																							goto
																																								BgL_tagzd2384zd2_1796;
																																							BgL_auxz00_22720
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_28183);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd255110zd2_8355)))
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_28188;
																																									goto
																																										BgL_tagzd2384zd2_1796;
																																									BgL_auxz00_22720
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_28188);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_28195;
																																											goto
																																												BgL_tagzd2389zd2_1815;
																																											BgL_auxz00_22720
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_28195);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_28202;
																																													goto
																																														BgL_tagzd2390zd2_1816;
																																													BgL_auxz00_22720
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_28202);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_28209;
																																															goto
																																																BgL_tagzd2392zd2_1820;
																																															BgL_auxz00_22720
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_28209);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_28216;
																																																	goto
																																																		BgL_tagzd2393zd2_1821;
																																																	BgL_auxz00_22720
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_28216);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_28223;
																																																			goto
																																																				BgL_tagzd2395zd2_1825;
																																																			BgL_auxz00_22720
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_28223);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_28230;
																																																					goto
																																																						BgL_tagzd2396zd2_1826;
																																																					BgL_auxz00_22720
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_28230);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_28237;
																																																							goto
																																																								BgL_tagzd2397zd2_1827;
																																																							BgL_auxz00_22720
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_28237);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																								{
																																																									BgL_jumpzd2exzd2itz00_bglt
																																																										BgL_auxz00_28244;
																																																									goto
																																																										BgL_tagzd2398zd2_1828;
																																																									BgL_auxz00_22720
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_28244);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_28254;
																																																													goto
																																																														BgL_tagzd2402zd2_1837;
																																																													BgL_auxz00_22720
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_28254);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2403zd2_1838;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_28258;
																																																															goto
																																																																BgL_tagzd2404zd2_1839;
																																																															BgL_auxz00_22720
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_28258);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2403zd2_1838;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_28262;
																																																													goto
																																																														BgL_tagzd2404zd2_1839;
																																																													BgL_auxz00_22720
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_28262);
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																							return
																								((BgL_nodez00_bglt)
																								BgL_auxz00_22720);
																						}
																					else
																						{	/* Ast/sexp.scm 119 */
																							if (
																								(BgL_carzd231447zd2_5142 ==
																									BGl_za2ifza2z00zzast_sexpz00))
																								{
																									obj_t BgL_auxz00_28267;

																									goto BgL_kapzd231449zd2_5144;
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_28267);
																								}
																							else
																								{	/* Ast/sexp.scm 119 */
																									bool_t BgL_test9739z00_28269;

																									{	/* Ast/sexp.scm 119 */
																										obj_t BgL_arg4921z00_5889;

																										BgL_arg4921z00_5889 =
																											CAR(BgL_expz00_21);
																										BgL_test9739z00_28269 =
																											(BgL_arg4921z00_5889 ==
																											BGl_za2ifza2z00zzast_sexpz00);
																									}
																									if (BgL_test9739z00_28269)
																										{	/* Ast/sexp.scm 119 */
																											goto
																												BgL_tagzd2377zd2_1783;
																										}
																									else
																										{	/* Ast/sexp.scm 119 */
																											obj_t
																												BgL_cdrzd255282zd2_5149;
																											BgL_cdrzd255282zd2_5149 =
																												CDR(BgL_expz00_21);
																											if ((CAR(BgL_expz00_21) ==
																													CNST_TABLE_REF(((long)
																															7))))
																												{	/* Ast/sexp.scm 119 */
																													if (PAIRP
																														(BgL_cdrzd255282zd2_5149))
																														{	/* Ast/sexp.scm 119 */
																															obj_t
																																BgL_carzd255285zd2_5153;
																															obj_t
																																BgL_cdrzd255286zd2_5154;
																															BgL_carzd255285zd2_5153
																																=
																																CAR
																																(BgL_cdrzd255282zd2_5149);
																															BgL_cdrzd255286zd2_5154
																																=
																																CDR
																																(BgL_cdrzd255282zd2_5149);
																															if (PAIRP
																																(BgL_carzd255285zd2_5153))
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(CAR
																																			(BgL_carzd255285zd2_5153)
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					14))))
																																		{	/* Ast/sexp.scm 119 */
																																			if (PAIRP
																																				(BgL_cdrzd255286zd2_5154))
																																				{	/* Ast/sexp.scm 119 */
																																					if (NULLP(CDR(BgL_cdrzd255286zd2_5154)))
																																						{
																																							obj_t
																																								BgL_valz00_28294;
																																							obj_t
																																								BgL_lz00_28292;
																																							BgL_lz00_28292
																																								=
																																								CDR
																																								(BgL_carzd255285zd2_5153);
																																							BgL_valz00_28294
																																								=
																																								CAR
																																								(BgL_cdrzd255286zd2_5154);
																																							BgL_valz00_1785
																																								=
																																								BgL_valz00_28294;
																																							BgL_lz00_1784
																																								=
																																								BgL_lz00_28292;
																																							goto
																																								BgL_tagzd2378zd2_1786;
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							goto
																																								BgL_tagzd2379zd2_1787;
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					goto
																																						BgL_tagzd2379zd2_1787;
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			goto
																																				BgL_tagzd2379zd2_1787;
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	goto
																																		BgL_tagzd2379zd2_1787;
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															goto
																																BgL_tagzd2379zd2_1787;
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													if (
																														(CAR(BgL_expz00_21)
																															==
																															CNST_TABLE_REF((
																																	(long) 16))))
																														{	/* Ast/sexp.scm 119 */
																															goto
																																BgL_tagzd2380zd2_1788;
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															obj_t
																																BgL_carzd255411zd2_5167;
																															BgL_carzd255411zd2_5167
																																=
																																CAR
																																(BgL_expz00_21);
																															if (PAIRP
																																(BgL_carzd255411zd2_5167))
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_carzd255414zd2_5169;
																																	obj_t
																																		BgL_cdrzd255415zd2_5170;
																																	BgL_carzd255414zd2_5169
																																		=
																																		CAR
																																		(BgL_carzd255411zd2_5167);
																																	BgL_cdrzd255415zd2_5170
																																		=
																																		CDR
																																		(BgL_carzd255411zd2_5167);
																																	{

																																		if (
																																			(BgL_carzd255414zd2_5169
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						17))))
																																			{
																																				obj_t
																																					BgL_auxz00_28308;
																																			BgL_kapzd255416zd2_5171:
																																				if (PAIRP(BgL_cdrzd255415zd2_5170))
																																					{	/* Ast/sexp.scm 119 */
																																						obj_t
																																							BgL_cdrzd255419zd2_5473;
																																						BgL_cdrzd255419zd2_5473
																																							=
																																							CDR
																																							(BgL_cdrzd255415zd2_5170);
																																						if (PAIRP(BgL_cdrzd255419zd2_5473))
																																							{	/* Ast/sexp.scm 119 */
																																								if (NULLP(CDR(BgL_cdrzd255419zd2_5473)))
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_arg4618z00_5477;
																																										obj_t
																																											BgL_arg4619z00_5478;
																																										BgL_arg4618z00_5477
																																											=
																																											CAR
																																											(BgL_cdrzd255419zd2_5473);
																																										BgL_arg4619z00_5478
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_expz00_21));
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_28320;
																																											{
																																												obj_t
																																													BgL_argsz00_28322;
																																												obj_t
																																													BgL_bodyz00_28321;
																																												BgL_bodyz00_28321
																																													=
																																													BgL_arg4618z00_5477;
																																												BgL_argsz00_28322
																																													=
																																													BgL_arg4619z00_5478;
																																												BgL_argsz00_1790
																																													=
																																													BgL_argsz00_28322;
																																												BgL_bodyz00_1789
																																													=
																																													BgL_bodyz00_28321;
																																												goto
																																													BgL_tagzd2381zd2_1791;
																																											}
																																											BgL_auxz00_28308
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_28320);
																																										}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_cdrzd255442zd2_5479;
																																										BgL_cdrzd255442zd2_5479
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_expz00_21));
																																										{

																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test9752z00_28326;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg4686z00_5589;
																																													BgL_arg4686z00_5589
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test9752z00_28326
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg4686z00_5589));
																																												}
																																												if (BgL_test9752z00_28326)
																																													{	/* Ast/sexp.scm 119 */
																																														if (PAIRP(BgL_cdrzd255442zd2_5479))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg4688z00_5591;
																																																obj_t
																																																	BgL_arg4689z00_5592;
																																																BgL_arg4688z00_5591
																																																	=
																																																	CAR
																																																	(BgL_cdrzd255442zd2_5479);
																																																BgL_arg4689z00_5592
																																																	=
																																																	CDR
																																																	(BgL_cdrzd255442zd2_5479);
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_28335;
																																																	{
																																																		obj_t
																																																			BgL_exprz00_28337;
																																																		obj_t
																																																			BgL_bindingsz00_28336;
																																																		BgL_bindingsz00_28336
																																																			=
																																																			BgL_arg4688z00_5591;
																																																		BgL_exprz00_28337
																																																			=
																																																			BgL_arg4689z00_5592;
																																																		BgL_exprz00_1793
																																																			=
																																																			BgL_exprz00_28337;
																																																		BgL_bindingsz00_1792
																																																			=
																																																			BgL_bindingsz00_28336;
																																																		goto
																																																			BgL_tagzd2382zd2_1794;
																																																	}
																																																	BgL_auxz00_28308
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_28335);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test9754z00_28339;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg4753z00_5698;
																																																	BgL_arg4753z00_5698
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test9754z00_28339
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg4753z00_5698));
																																																}
																																																if (BgL_test9754z00_28339)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_28344;
																																																		goto
																																																			BgL_tagzd2384zd2_1796;
																																																		BgL_auxz00_28308
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_28344);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd255506zd2_5595;
																																																		BgL_carzd255506zd2_5595
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd255511zd2_5596;
																																																			BgL_cdrzd255511zd2_5596
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd255506zd2_5595));
																																																			if ((CAR(((obj_t) BgL_carzd255506zd2_5595)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg4694z00_5599;
																																																					obj_t
																																																						BgL_arg4695z00_5600;
																																																					obj_t
																																																						BgL_arg4696z00_5601;
																																																					BgL_arg4694z00_5599
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd255511zd2_5596));
																																																					BgL_arg4695z00_5600
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd255511zd2_5596));
																																																					BgL_arg4696z00_5601
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_28361;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_28364;
																																																							obj_t
																																																								BgL_bodyz00_28363;
																																																							obj_t
																																																								BgL_varsz00_28362;
																																																							BgL_varsz00_28362
																																																								=
																																																								BgL_arg4694z00_5599;
																																																							BgL_bodyz00_28363
																																																								=
																																																								BgL_arg4695z00_5600;
																																																							BgL_argsz00_28364
																																																								=
																																																								BgL_arg4696z00_5601;
																																																							BgL_argsz00_1803
																																																								=
																																																								BgL_argsz00_28364;
																																																							BgL_bodyz00_1802
																																																								=
																																																								BgL_bodyz00_28363;
																																																							BgL_varsz00_1801
																																																								=
																																																								BgL_varsz00_28362;
																																																							goto
																																																								BgL_tagzd2386zd2_1804;
																																																						}
																																																						BgL_auxz00_28308
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_28361);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd255534zd2_5603;
																																																					BgL_cdrzd255534zd2_5603
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd255540zd2_5604;
																																																						BgL_cdrzd255540zd2_5604
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd255506zd2_5595));
																																																						if ((CAR(((obj_t) BgL_carzd255506zd2_5595)) == CNST_TABLE_REF(((long) 1))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd255546zd2_5607;
																																																								BgL_cdrzd255546zd2_5607
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd255540zd2_5604));
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd255551zd2_5608;
																																																									obj_t
																																																										BgL_cdrzd255552zd2_5609;
																																																									BgL_carzd255551zd2_5608
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd255546zd2_5607));
																																																									BgL_cdrzd255552zd2_5609
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd255546zd2_5607));
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255551zd2_5608))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (PAIRP(BgL_cdrzd255552zd2_5609))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd255559zd2_5612;
																																																													BgL_carzd255559zd2_5612
																																																														=
																																																														CAR
																																																														(BgL_cdrzd255552zd2_5609);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255559zd2_5612))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (NULLP(CDR(BgL_cdrzd255552zd2_5609)))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	bool_t
																																																																		BgL_test9761z00_28391;
																																																																	{
																																																																		obj_t
																																																																			BgL_l1466z00_5645;
																																																																		BgL_l1466z00_5645
																																																																			=
																																																																			BgL_cdrzd255534zd2_5603;
																																																																	BgL_zc3z04anonymousza34719ze3z87_5646:
																																																																		if (NULLP(BgL_l1466z00_5645))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				BgL_test9761z00_28391
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					1);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				bool_t
																																																																					BgL_test9763z00_28394;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					bool_t
																																																																						BgL_test9764z00_28395;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_tmpz00_28396;
																																																																						BgL_tmpz00_28396
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_l1466z00_5645));
																																																																						BgL_test9764z00_28395
																																																																							=
																																																																							PAIRP
																																																																							(BgL_tmpz00_28396);
																																																																					}
																																																																					if (BgL_test9764z00_28395)
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test9763z00_28394
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test9763z00_28394
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																				}
																																																																				if (BgL_test9763z00_28394)
																																																																					{
																																																																						obj_t
																																																																							BgL_l1466z00_28400;
																																																																						BgL_l1466z00_28400
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_l1466z00_5645));
																																																																						BgL_l1466z00_5645
																																																																							=
																																																																							BgL_l1466z00_28400;
																																																																						goto
																																																																							BgL_zc3z04anonymousza34719ze3z87_5646;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						BgL_test9761z00_28391
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							0);
																																																																					}
																																																																			}
																																																																	}
																																																																	if (BgL_test9761z00_28391)
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg4709z00_5628;
																																																																			BgL_arg4709z00_5628
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd255540zd2_5604));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_28405;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_28409;
																																																																					obj_t
																																																																						BgL_proc2z00_28408;
																																																																					obj_t
																																																																						BgL_proc1z00_28407;
																																																																					obj_t
																																																																						BgL_testz00_28406;
																																																																					BgL_testz00_28406
																																																																						=
																																																																						BgL_arg4709z00_5628;
																																																																					BgL_proc1z00_28407
																																																																						=
																																																																						BgL_carzd255551zd2_5608;
																																																																					BgL_proc2z00_28408
																																																																						=
																																																																						BgL_carzd255559zd2_5612;
																																																																					BgL_argsz00_28409
																																																																						=
																																																																						BgL_cdrzd255534zd2_5603;
																																																																					BgL_argsz00_1808
																																																																						=
																																																																						BgL_argsz00_28409;
																																																																					BgL_proc2z00_1807
																																																																						=
																																																																						BgL_proc2z00_28408;
																																																																					BgL_proc1z00_1806
																																																																						=
																																																																						BgL_proc1z00_28407;
																																																																					BgL_testz00_1805
																																																																						=
																																																																						BgL_testz00_28406;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1809;
																																																																				}
																																																																				BgL_auxz00_28308
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_28405);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd255583zd2_5629;
																																																																			BgL_cdrzd255583zd2_5629
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd255590zd2_5630;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_pairz00_13160;
																																																																					BgL_pairz00_13160
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd255590zd2_5630
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_13160);
																																																																				}
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd255597zd2_5631;
																																																																					BgL_cdrzd255597zd2_5631
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd255590zd2_5630));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd255603zd2_5632;
																																																																						BgL_carzd255603zd2_5632
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd255597zd2_5631));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255603zd2_5632))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd255610zd2_5634;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_13164;
																																																																									BgL_pairz00_13164
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd255597zd2_5631));
																																																																									BgL_carzd255610zd2_5634
																																																																										=
																																																																										CAR
																																																																										(BgL_pairz00_13164);
																																																																								}
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255610zd2_5634))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd255583zd2_5629))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg4713z00_5637;
																																																																												BgL_arg4713z00_5637
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd255590zd2_5630));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_28431;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_28435;
																																																																														obj_t
																																																																															BgL_proc2z00_28434;
																																																																														obj_t
																																																																															BgL_proc1z00_28433;
																																																																														obj_t
																																																																															BgL_testz00_28432;
																																																																														BgL_testz00_28432
																																																																															=
																																																																															BgL_arg4713z00_5637;
																																																																														BgL_proc1z00_28433
																																																																															=
																																																																															BgL_carzd255603zd2_5632;
																																																																														BgL_proc2z00_28434
																																																																															=
																																																																															BgL_carzd255610zd2_5634;
																																																																														BgL_argsz00_28435
																																																																															=
																																																																															BgL_cdrzd255583zd2_5629;
																																																																														BgL_argsz00_1813
																																																																															=
																																																																															BgL_argsz00_28435;
																																																																														BgL_proc2z00_1812
																																																																															=
																																																																															BgL_proc2z00_28434;
																																																																														BgL_proc1z00_1811
																																																																															=
																																																																															BgL_proc1z00_28433;
																																																																														BgL_testz00_1810
																																																																															=
																																																																															BgL_testz00_28432;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1814;
																																																																													}
																																																																													BgL_auxz00_28308
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_28431);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1838;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_28439;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1839;
																																																																														BgL_auxz00_28308
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_28439);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_28443;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																												BgL_auxz00_28308
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_28443);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_28447;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_28308
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_28447);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1838;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_28451;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1839;
																																																																			BgL_auxz00_28308
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_28451);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd255886zd2_5656;
																																																															BgL_cdrzd255886zd2_5656
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd255892zd2_5657;
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_pairz00_13168;
																																																																	BgL_pairz00_13168
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd255892zd2_5657
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_13168);
																																																																}
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd255898zd2_5658;
																																																																	BgL_cdrzd255898zd2_5658
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd255892zd2_5657));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd255903zd2_5659;
																																																																		obj_t
																																																																			BgL_cdrzd255904zd2_5660;
																																																																		BgL_carzd255903zd2_5659
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd255898zd2_5658));
																																																																		BgL_cdrzd255904zd2_5660
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd255898zd2_5658));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255903zd2_5659))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd255909zd2_5662;
																																																																				BgL_carzd255909zd2_5662
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd255904zd2_5660));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255909zd2_5662))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd255904zd2_5660))))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd255886zd2_5656))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg4728z00_5667;
																																																																										BgL_arg4728z00_5667
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd255892zd2_5657));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_28478;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_28482;
																																																																												obj_t
																																																																													BgL_proc2z00_28481;
																																																																												obj_t
																																																																													BgL_proc1z00_28480;
																																																																												obj_t
																																																																													BgL_testz00_28479;
																																																																												BgL_testz00_28479
																																																																													=
																																																																													BgL_arg4728z00_5667;
																																																																												BgL_proc1z00_28480
																																																																													=
																																																																													BgL_carzd255903zd2_5659;
																																																																												BgL_proc2z00_28481
																																																																													=
																																																																													BgL_carzd255909zd2_5662;
																																																																												BgL_argsz00_28482
																																																																													=
																																																																													BgL_cdrzd255886zd2_5656;
																																																																												BgL_argsz00_1813
																																																																													=
																																																																													BgL_argsz00_28482;
																																																																												BgL_proc2z00_1812
																																																																													=
																																																																													BgL_proc2z00_28481;
																																																																												BgL_proc1z00_1811
																																																																													=
																																																																													BgL_proc1z00_28480;
																																																																												BgL_testz00_1810
																																																																													=
																																																																													BgL_testz00_28479;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1814;
																																																																											}
																																																																											BgL_auxz00_28308
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_28478);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_28486;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																												BgL_auxz00_28308
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_28486);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_28490;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_28308
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_28490);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_28494;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_28308
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_28494);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_28498;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_28308
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_28498);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2403zd2_1838;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_28502;
																																																															goto
																																																																BgL_tagzd2404zd2_1839;
																																																															BgL_auxz00_28308
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_28502);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd256242zd2_5675;
																																																											BgL_cdrzd256242zd2_5675
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd256249zd2_5676;
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_pairz00_13177;
																																																													BgL_pairz00_13177
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_cdrzd256249zd2_5676
																																																														=
																																																														CDR
																																																														(BgL_pairz00_13177);
																																																												}
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd256256zd2_5677;
																																																													BgL_cdrzd256256zd2_5677
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd256249zd2_5676));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd256262zd2_5678;
																																																														obj_t
																																																															BgL_cdrzd256263zd2_5679;
																																																														BgL_carzd256262zd2_5678
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd256256zd2_5677));
																																																														BgL_cdrzd256263zd2_5679
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd256256zd2_5677));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd256262zd2_5678))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd256263zd2_5679))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd256270zd2_5682;
																																																																		BgL_carzd256270zd2_5682
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd256263zd2_5679);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd256270zd2_5682))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(BgL_cdrzd256263zd2_5679)))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd256242zd2_5675))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg4742z00_5687;
																																																																								BgL_arg4742z00_5687
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd256249zd2_5676));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_28529;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_28533;
																																																																										obj_t
																																																																											BgL_proc2z00_28532;
																																																																										obj_t
																																																																											BgL_proc1z00_28531;
																																																																										obj_t
																																																																											BgL_testz00_28530;
																																																																										BgL_testz00_28530
																																																																											=
																																																																											BgL_arg4742z00_5687;
																																																																										BgL_proc1z00_28531
																																																																											=
																																																																											BgL_carzd256262zd2_5678;
																																																																										BgL_proc2z00_28532
																																																																											=
																																																																											BgL_carzd256270zd2_5682;
																																																																										BgL_argsz00_28533
																																																																											=
																																																																											BgL_cdrzd256242zd2_5675;
																																																																										BgL_argsz00_1813
																																																																											=
																																																																											BgL_argsz00_28533;
																																																																										BgL_proc2z00_1812
																																																																											=
																																																																											BgL_proc2z00_28532;
																																																																										BgL_proc1z00_1811
																																																																											=
																																																																											BgL_proc1z00_28531;
																																																																										BgL_testz00_1810
																																																																											=
																																																																											BgL_testz00_28530;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1814;
																																																																									}
																																																																									BgL_auxz00_28308
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_28529);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_28537;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_28308
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_28537);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_28541;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_28308
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_28541);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_28545;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_28308
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_28545);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1838;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_28549;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1839;
																																																																				BgL_auxz00_28308
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_28549);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1838;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_28553;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1839;
																																																																		BgL_auxz00_28308
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_28553);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2403zd2_1838;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_28557;
																																																										goto
																																																											BgL_tagzd2404zd2_1839;
																																																										BgL_auxz00_28308
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_28557);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test9792z00_28559;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg4685z00_5588;
																																															BgL_arg4685z00_5588
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test9792z00_28559
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg4685z00_5588));
																																														}
																																														if (BgL_test9792z00_28559)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_28564;
																																																goto
																																																	BgL_tagzd2384zd2_1796;
																																																BgL_auxz00_28308
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_28564);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_carzd256702zd2_5485;
																																																BgL_carzd256702zd2_5485
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd256707zd2_5486;
																																																	BgL_cdrzd256707zd2_5486
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd256702zd2_5485));
																																																	if ((CAR(((obj_t) BgL_carzd256702zd2_5485)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg4626z00_5489;
																																																			obj_t
																																																				BgL_arg4627z00_5490;
																																																			obj_t
																																																				BgL_arg4628z00_5491;
																																																			BgL_arg4626z00_5489
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd256707zd2_5486));
																																																			BgL_arg4627z00_5490
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd256707zd2_5486));
																																																			BgL_arg4628z00_5491
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_28581;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_28584;
																																																					obj_t
																																																						BgL_bodyz00_28583;
																																																					obj_t
																																																						BgL_varsz00_28582;
																																																					BgL_varsz00_28582
																																																						=
																																																						BgL_arg4626z00_5489;
																																																					BgL_bodyz00_28583
																																																						=
																																																						BgL_arg4627z00_5490;
																																																					BgL_argsz00_28584
																																																						=
																																																						BgL_arg4628z00_5491;
																																																					BgL_argsz00_1803
																																																						=
																																																						BgL_argsz00_28584;
																																																					BgL_bodyz00_1802
																																																						=
																																																						BgL_bodyz00_28583;
																																																					BgL_varsz00_1801
																																																						=
																																																						BgL_varsz00_28582;
																																																					goto
																																																						BgL_tagzd2386zd2_1804;
																																																				}
																																																				BgL_auxz00_28308
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_28581);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd256730zd2_5493;
																																																			BgL_cdrzd256730zd2_5493
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd256736zd2_5494;
																																																				BgL_cdrzd256736zd2_5494
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd256702zd2_5485));
																																																				if ((CAR(((obj_t) BgL_carzd256702zd2_5485)) == CNST_TABLE_REF(((long) 1))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd256742zd2_5497;
																																																						BgL_cdrzd256742zd2_5497
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd256736zd2_5494));
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd256747zd2_5498;
																																																							obj_t
																																																								BgL_cdrzd256748zd2_5499;
																																																							BgL_carzd256747zd2_5498
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd256742zd2_5497));
																																																							BgL_cdrzd256748zd2_5499
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd256742zd2_5497));
																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd256747zd2_5498))
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (PAIRP(BgL_cdrzd256748zd2_5499))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd256755zd2_5502;
																																																											BgL_carzd256755zd2_5502
																																																												=
																																																												CAR
																																																												(BgL_cdrzd256748zd2_5499);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd256755zd2_5502))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (NULLP(CDR(BgL_cdrzd256748zd2_5499)))
																																																														{	/* Ast/sexp.scm 119 */
																																																															bool_t
																																																																BgL_test9799z00_28611;
																																																															{
																																																																obj_t
																																																																	BgL_l1469z00_5535;
																																																																BgL_l1469z00_5535
																																																																	=
																																																																	BgL_cdrzd256730zd2_5493;
																																																															BgL_zc3z04anonymousza34651ze3z87_5536:
																																																																if (NULLP(BgL_l1469z00_5535))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		BgL_test9799z00_28611
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			1);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		bool_t
																																																																			BgL_test9801z00_28614;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			bool_t
																																																																				BgL_test9802z00_28615;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_tmpz00_28616;
																																																																				BgL_tmpz00_28616
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_l1469z00_5535));
																																																																				BgL_test9802z00_28615
																																																																					=
																																																																					PAIRP
																																																																					(BgL_tmpz00_28616);
																																																																			}
																																																																			if (BgL_test9802z00_28615)
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					BgL_test9801z00_28614
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					BgL_test9801z00_28614
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						1);
																																																																				}
																																																																		}
																																																																		if (BgL_test9801z00_28614)
																																																																			{
																																																																				obj_t
																																																																					BgL_l1469z00_28620;
																																																																				BgL_l1469z00_28620
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_l1469z00_5535));
																																																																				BgL_l1469z00_5535
																																																																					=
																																																																					BgL_l1469z00_28620;
																																																																				goto
																																																																					BgL_zc3z04anonymousza34651ze3z87_5536;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				BgL_test9799z00_28611
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					0);
																																																																			}
																																																																	}
																																																															}
																																																															if (BgL_test9799z00_28611)
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg4641z00_5518;
																																																																	BgL_arg4641z00_5518
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd256736zd2_5494));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_28625;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_28629;
																																																																			obj_t
																																																																				BgL_proc2z00_28628;
																																																																			obj_t
																																																																				BgL_proc1z00_28627;
																																																																			obj_t
																																																																				BgL_testz00_28626;
																																																																			BgL_testz00_28626
																																																																				=
																																																																				BgL_arg4641z00_5518;
																																																																			BgL_proc1z00_28627
																																																																				=
																																																																				BgL_carzd256747zd2_5498;
																																																																			BgL_proc2z00_28628
																																																																				=
																																																																				BgL_carzd256755zd2_5502;
																																																																			BgL_argsz00_28629
																																																																				=
																																																																				BgL_cdrzd256730zd2_5493;
																																																																			BgL_argsz00_1808
																																																																				=
																																																																				BgL_argsz00_28629;
																																																																			BgL_proc2z00_1807
																																																																				=
																																																																				BgL_proc2z00_28628;
																																																																			BgL_proc1z00_1806
																																																																				=
																																																																				BgL_proc1z00_28627;
																																																																			BgL_testz00_1805
																																																																				=
																																																																				BgL_testz00_28626;
																																																																			goto
																																																																				BgL_tagzd2387zd2_1809;
																																																																		}
																																																																		BgL_auxz00_28308
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_28625);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd256779zd2_5519;
																																																																	BgL_cdrzd256779zd2_5519
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd256786zd2_5520;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_pairz00_13206;
																																																																			BgL_pairz00_13206
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd256786zd2_5520
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_13206);
																																																																		}
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd256793zd2_5521;
																																																																			BgL_cdrzd256793zd2_5521
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd256786zd2_5520));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd256799zd2_5522;
																																																																				BgL_carzd256799zd2_5522
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd256793zd2_5521));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd256799zd2_5522))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd256806zd2_5524;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_13210;
																																																																							BgL_pairz00_13210
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd256793zd2_5521));
																																																																							BgL_carzd256806zd2_5524
																																																																								=
																																																																								CAR
																																																																								(BgL_pairz00_13210);
																																																																						}
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd256806zd2_5524))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd256779zd2_5519))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg4645z00_5527;
																																																																										BgL_arg4645z00_5527
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd256786zd2_5520));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_28651;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_28655;
																																																																												obj_t
																																																																													BgL_proc2z00_28654;
																																																																												obj_t
																																																																													BgL_proc1z00_28653;
																																																																												obj_t
																																																																													BgL_testz00_28652;
																																																																												BgL_testz00_28652
																																																																													=
																																																																													BgL_arg4645z00_5527;
																																																																												BgL_proc1z00_28653
																																																																													=
																																																																													BgL_carzd256799zd2_5522;
																																																																												BgL_proc2z00_28654
																																																																													=
																																																																													BgL_carzd256806zd2_5524;
																																																																												BgL_argsz00_28655
																																																																													=
																																																																													BgL_cdrzd256779zd2_5519;
																																																																												BgL_argsz00_1813
																																																																													=
																																																																													BgL_argsz00_28655;
																																																																												BgL_proc2z00_1812
																																																																													=
																																																																													BgL_proc2z00_28654;
																																																																												BgL_proc1z00_1811
																																																																													=
																																																																													BgL_proc1z00_28653;
																																																																												BgL_testz00_1810
																																																																													=
																																																																													BgL_testz00_28652;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1814;
																																																																											}
																																																																											BgL_auxz00_28308
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_28651);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_28659;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																												BgL_auxz00_28308
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_28659);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_28663;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_28308
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_28663);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_28667;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_28308
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_28667);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1838;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_28671;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1839;
																																																																	BgL_auxz00_28308
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_28671);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd257082zd2_5546;
																																																													BgL_cdrzd257082zd2_5546
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd257088zd2_5547;
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_pairz00_13214;
																																																															BgL_pairz00_13214
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_cdrzd257088zd2_5547
																																																																=
																																																																CDR
																																																																(BgL_pairz00_13214);
																																																														}
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd257094zd2_5548;
																																																															BgL_cdrzd257094zd2_5548
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd257088zd2_5547));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd257099zd2_5549;
																																																																obj_t
																																																																	BgL_cdrzd257100zd2_5550;
																																																																BgL_carzd257099zd2_5549
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd257094zd2_5548));
																																																																BgL_cdrzd257100zd2_5550
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd257094zd2_5548));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257099zd2_5549))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd257105zd2_5552;
																																																																		BgL_carzd257105zd2_5552
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd257100zd2_5550));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257105zd2_5552))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd257100zd2_5550))))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd257082zd2_5546))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg4660z00_5557;
																																																																								BgL_arg4660z00_5557
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd257088zd2_5547));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_28698;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_28702;
																																																																										obj_t
																																																																											BgL_proc2z00_28701;
																																																																										obj_t
																																																																											BgL_proc1z00_28700;
																																																																										obj_t
																																																																											BgL_testz00_28699;
																																																																										BgL_testz00_28699
																																																																											=
																																																																											BgL_arg4660z00_5557;
																																																																										BgL_proc1z00_28700
																																																																											=
																																																																											BgL_carzd257099zd2_5549;
																																																																										BgL_proc2z00_28701
																																																																											=
																																																																											BgL_carzd257105zd2_5552;
																																																																										BgL_argsz00_28702
																																																																											=
																																																																											BgL_cdrzd257082zd2_5546;
																																																																										BgL_argsz00_1813
																																																																											=
																																																																											BgL_argsz00_28702;
																																																																										BgL_proc2z00_1812
																																																																											=
																																																																											BgL_proc2z00_28701;
																																																																										BgL_proc1z00_1811
																																																																											=
																																																																											BgL_proc1z00_28700;
																																																																										BgL_testz00_1810
																																																																											=
																																																																											BgL_testz00_28699;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1814;
																																																																									}
																																																																									BgL_auxz00_28308
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_28698);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_28706;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																										BgL_auxz00_28308
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_28706);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_28710;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_28308
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_28710);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_28714;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_28308
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_28714);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1838;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_28718;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1839;
																																																																				BgL_auxz00_28308
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_28718);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2403zd2_1838;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_28722;
																																																													goto
																																																														BgL_tagzd2404zd2_1839;
																																																													BgL_auxz00_28308
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_28722);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd257438zd2_5565;
																																																									BgL_cdrzd257438zd2_5565
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd257445zd2_5566;
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_pairz00_13223;
																																																											BgL_pairz00_13223
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_cdrzd257445zd2_5566
																																																												=
																																																												CDR
																																																												(BgL_pairz00_13223);
																																																										}
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd257452zd2_5567;
																																																											BgL_cdrzd257452zd2_5567
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd257445zd2_5566));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_carzd257458zd2_5568;
																																																												obj_t
																																																													BgL_cdrzd257459zd2_5569;
																																																												BgL_carzd257458zd2_5568
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd257452zd2_5567));
																																																												BgL_cdrzd257459zd2_5569
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd257452zd2_5567));
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257458zd2_5568))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd257459zd2_5569))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd257466zd2_5572;
																																																																BgL_carzd257466zd2_5572
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd257459zd2_5569);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257466zd2_5572))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(BgL_cdrzd257459zd2_5569)))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd257438zd2_5565))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg4674z00_5577;
																																																																						BgL_arg4674z00_5577
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd257445zd2_5566));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_28749;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_28753;
																																																																								obj_t
																																																																									BgL_proc2z00_28752;
																																																																								obj_t
																																																																									BgL_proc1z00_28751;
																																																																								obj_t
																																																																									BgL_testz00_28750;
																																																																								BgL_testz00_28750
																																																																									=
																																																																									BgL_arg4674z00_5577;
																																																																								BgL_proc1z00_28751
																																																																									=
																																																																									BgL_carzd257458zd2_5568;
																																																																								BgL_proc2z00_28752
																																																																									=
																																																																									BgL_carzd257466zd2_5572;
																																																																								BgL_argsz00_28753
																																																																									=
																																																																									BgL_cdrzd257438zd2_5565;
																																																																								BgL_argsz00_1813
																																																																									=
																																																																									BgL_argsz00_28753;
																																																																								BgL_proc2z00_1812
																																																																									=
																																																																									BgL_proc2z00_28752;
																																																																								BgL_proc1z00_1811
																																																																									=
																																																																									BgL_proc1z00_28751;
																																																																								BgL_testz00_1810
																																																																									=
																																																																									BgL_testz00_28750;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1814;
																																																																							}
																																																																							BgL_auxz00_28308
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_28749);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_28757;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_28308
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_28757);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_28761;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																						BgL_auxz00_28308
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_28761);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1838;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_28765;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1839;
																																																																				BgL_auxz00_28308
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_28765);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1838;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_28769;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1839;
																																																																		BgL_auxz00_28308
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_28769);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1838;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_28773;
																																																																goto
																																																																	BgL_tagzd2404zd2_1839;
																																																																BgL_auxz00_28308
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_28773);
																																																															}
																																																													}
																																																											}
																																																										}
																																																									}
																																																								}
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_tagzd2403zd2_1838;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_28777;
																																																								goto
																																																									BgL_tagzd2404zd2_1839;
																																																								BgL_auxz00_28308
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_28777);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								obj_t
																																									BgL_cdrzd257858zd2_5700;
																																								BgL_cdrzd257858zd2_5700
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_expz00_21));
																																								{

																																									{	/* Ast/sexp.scm 119 */
																																										bool_t
																																											BgL_test9830z00_28781;
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg4767z00_5716;
																																											BgL_arg4767z00_5716
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_test9830z00_28781
																																												=
																																												CBOOL
																																												(BGl_letzd2symzf3z21zzast_letz00
																																												(BgL_arg4767z00_5716));
																																										}
																																										if (BgL_test9830z00_28781)
																																											{	/* Ast/sexp.scm 119 */
																																												if (PAIRP(BgL_cdrzd257858zd2_5700))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_arg4769z00_5718;
																																														obj_t
																																															BgL_arg4770z00_5719;
																																														BgL_arg4769z00_5718
																																															=
																																															CAR
																																															(BgL_cdrzd257858zd2_5700);
																																														BgL_arg4770z00_5719
																																															=
																																															CDR
																																															(BgL_cdrzd257858zd2_5700);
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_28790;
																																															{
																																																obj_t
																																																	BgL_exprz00_28792;
																																																obj_t
																																																	BgL_bindingsz00_28791;
																																																BgL_bindingsz00_28791
																																																	=
																																																	BgL_arg4769z00_5718;
																																																BgL_exprz00_28792
																																																	=
																																																	BgL_arg4770z00_5719;
																																																BgL_exprz00_1793
																																																	=
																																																	BgL_exprz00_28792;
																																																BgL_bindingsz00_1792
																																																	=
																																																	BgL_bindingsz00_28791;
																																																goto
																																																	BgL_tagzd2382zd2_1794;
																																															}
																																															BgL_auxz00_28308
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_28790);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test9832z00_28794;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg4780z00_5731;
																																															BgL_arg4780z00_5731
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test9832z00_28794
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg4780z00_5731));
																																														}
																																														if (BgL_test9832z00_28794)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_28799;
																																																goto
																																																	BgL_tagzd2384zd2_1796;
																																																BgL_auxz00_28308
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_28799);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_carzd257921zd2_5722;
																																																BgL_carzd257921zd2_5722
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd257926zd2_5723;
																																																	BgL_cdrzd257926zd2_5723
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd257921zd2_5722));
																																																	if ((CAR(((obj_t) BgL_carzd257921zd2_5722)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg4775z00_5726;
																																																			obj_t
																																																				BgL_arg4776z00_5727;
																																																			obj_t
																																																				BgL_arg4777z00_5728;
																																																			BgL_arg4775z00_5726
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd257926zd2_5723));
																																																			BgL_arg4776z00_5727
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd257926zd2_5723));
																																																			BgL_arg4777z00_5728
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_28816;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_28819;
																																																					obj_t
																																																						BgL_bodyz00_28818;
																																																					obj_t
																																																						BgL_varsz00_28817;
																																																					BgL_varsz00_28817
																																																						=
																																																						BgL_arg4775z00_5726;
																																																					BgL_bodyz00_28818
																																																						=
																																																						BgL_arg4776z00_5727;
																																																					BgL_argsz00_28819
																																																						=
																																																						BgL_arg4777z00_5728;
																																																					BgL_argsz00_1803
																																																						=
																																																						BgL_argsz00_28819;
																																																					BgL_bodyz00_1802
																																																						=
																																																						BgL_bodyz00_28818;
																																																					BgL_varsz00_1801
																																																						=
																																																						BgL_varsz00_28817;
																																																					goto
																																																						BgL_tagzd2386zd2_1804;
																																																				}
																																																				BgL_auxz00_28308
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_28816);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 119 */
																																																					goto
																																																						BgL_tagzd2403zd2_1838;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_28823;
																																																					goto
																																																						BgL_tagzd2404zd2_1839;
																																																					BgL_auxz00_28308
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_28823);
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test9835z00_28825;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg4766z00_5715;
																																													BgL_arg4766z00_5715
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test9835z00_28825
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg4766z00_5715));
																																												}
																																												if (BgL_test9835z00_28825)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_28830;
																																														goto
																																															BgL_tagzd2384zd2_1796;
																																														BgL_auxz00_28308
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_28830);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_carzd258075zd2_5706;
																																														BgL_carzd258075zd2_5706
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_cdrzd258080zd2_5707;
																																															BgL_cdrzd258080zd2_5707
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd258075zd2_5706));
																																															if ((CAR(((obj_t) BgL_carzd258075zd2_5706)) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg4761z00_5710;
																																																	obj_t
																																																		BgL_arg4762z00_5711;
																																																	obj_t
																																																		BgL_arg4763z00_5712;
																																																	BgL_arg4761z00_5710
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd258080zd2_5707));
																																																	BgL_arg4762z00_5711
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd258080zd2_5707));
																																																	BgL_arg4763z00_5712
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_28847;
																																																		{
																																																			obj_t
																																																				BgL_argsz00_28850;
																																																			obj_t
																																																				BgL_bodyz00_28849;
																																																			obj_t
																																																				BgL_varsz00_28848;
																																																			BgL_varsz00_28848
																																																				=
																																																				BgL_arg4761z00_5710;
																																																			BgL_bodyz00_28849
																																																				=
																																																				BgL_arg4762z00_5711;
																																																			BgL_argsz00_28850
																																																				=
																																																				BgL_arg4763z00_5712;
																																																			BgL_argsz00_1803
																																																				=
																																																				BgL_argsz00_28850;
																																																			BgL_bodyz00_1802
																																																				=
																																																				BgL_bodyz00_28849;
																																																			BgL_varsz00_1801
																																																				=
																																																				BgL_varsz00_28848;
																																																			goto
																																																				BgL_tagzd2386zd2_1804;
																																																		}
																																																		BgL_auxz00_28308
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_28847);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 119 */
																																																			goto
																																																				BgL_tagzd2403zd2_1838;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_28854;
																																																			goto
																																																				BgL_tagzd2404zd2_1839;
																																																			BgL_auxz00_28308
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_28854);
																																																		}
																																																}
																																														}
																																													}
																																											}
																																									}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 119 */
																																						obj_t
																																							BgL_cdrzd258190zd2_5732;
																																						BgL_cdrzd258190zd2_5732
																																							=
																																							CDR
																																							(((obj_t) BgL_expz00_21));
																																						{

																																							{	/* Ast/sexp.scm 119 */
																																								bool_t
																																									BgL_test9838z00_28858;
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_arg4787z00_5740;
																																									BgL_arg4787z00_5740
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									BgL_test9838z00_28858
																																										=
																																										CBOOL
																																										(BGl_letzd2symzf3z21zzast_letz00
																																										(BgL_arg4787z00_5740));
																																								}
																																								if (BgL_test9838z00_28858)
																																									{	/* Ast/sexp.scm 119 */
																																										if (PAIRP(BgL_cdrzd258190zd2_5732))
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_arg4789z00_5742;
																																												obj_t
																																													BgL_arg4790z00_5743;
																																												BgL_arg4789z00_5742
																																													=
																																													CAR
																																													(BgL_cdrzd258190zd2_5732);
																																												BgL_arg4790z00_5743
																																													=
																																													CDR
																																													(BgL_cdrzd258190zd2_5732);
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_28867;
																																													{
																																														obj_t
																																															BgL_exprz00_28869;
																																														obj_t
																																															BgL_bindingsz00_28868;
																																														BgL_bindingsz00_28868
																																															=
																																															BgL_arg4789z00_5742;
																																														BgL_exprz00_28869
																																															=
																																															BgL_arg4790z00_5743;
																																														BgL_exprz00_1793
																																															=
																																															BgL_exprz00_28869;
																																														BgL_bindingsz00_1792
																																															=
																																															BgL_bindingsz00_28868;
																																														goto
																																															BgL_tagzd2382zd2_1794;
																																													}
																																													BgL_auxz00_28308
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_28867);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test9840z00_28871;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg4794z00_5747;
																																													BgL_arg4794z00_5747
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test9840z00_28871
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg4794z00_5747));
																																												}
																																												if (BgL_test9840z00_28871)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_28876;
																																														goto
																																															BgL_tagzd2384zd2_1796;
																																														BgL_auxz00_28308
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_28876);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_tagzd2403zd2_1838;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_28880;
																																																goto
																																																	BgL_tagzd2404zd2_1839;
																																																BgL_auxz00_28308
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_28880);
																																															}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										bool_t
																																											BgL_test9842z00_28882;
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg4786z00_5739;
																																											BgL_arg4786z00_5739
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_test9842z00_28882
																																												=
																																												CBOOL
																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																												(BgL_arg4786z00_5739));
																																										}
																																										if (BgL_test9842z00_28882)
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_28887;
																																												goto
																																													BgL_tagzd2384zd2_1796;
																																												BgL_auxz00_28308
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_28887);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_tagzd2403zd2_1838;
																																													}
																																												else
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_28891;
																																														goto
																																															BgL_tagzd2404zd2_1839;
																																														BgL_auxz00_28308
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_28891);
																																													}
																																											}
																																									}
																																							}
																																						}
																																					}
																																				return
																																					(
																																					(BgL_nodez00_bglt)
																																					BgL_auxz00_28308);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 119 */
																																				if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd255414zd2_5169)))
																																					{
																																						obj_t
																																							BgL_auxz00_28897;
																																						goto
																																							BgL_kapzd255416zd2_5171;
																																						return
																																							(
																																							(BgL_nodez00_bglt)
																																							BgL_auxz00_28897);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 119 */
																																						if (
																																							(BgL_carzd255414zd2_5169
																																								==
																																								CNST_TABLE_REF
																																								(((long) 18))))
																																							{
																																								obj_t
																																									BgL_auxz00_28902;
																																								goto
																																									BgL_kapzd255416zd2_5171;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_28902);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if ((BgL_carzd255414zd2_5169 == CNST_TABLE_REF(((long) 19))))
																																									{
																																										obj_t
																																											BgL_auxz00_28907;
																																										goto
																																											BgL_kapzd255416zd2_5171;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_28907);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd255414zd2_5169)))
																																											{
																																												obj_t
																																													BgL_auxz00_28912;
																																												goto
																																													BgL_kapzd255416zd2_5171;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_28912);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd258499zd2_5177;
																																												BgL_cdrzd258499zd2_5177
																																													=
																																													CDR
																																													(BgL_expz00_21);
																																												{

																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test9848z00_28915;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg4539z00_5356;
																																															BgL_arg4539z00_5356
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_test9848z00_28915
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg4539z00_5356));
																																														}
																																														if (BgL_test9848z00_28915)
																																															{
																																																obj_t
																																																	BgL_auxz00_28919;
																																																if (PAIRP(BgL_cdrzd258499zd2_5177))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg4541z00_5358;
																																																		obj_t
																																																			BgL_arg4542z00_5359;
																																																		BgL_arg4541z00_5358
																																																			=
																																																			CAR
																																																			(BgL_cdrzd258499zd2_5177);
																																																		BgL_arg4542z00_5359
																																																			=
																																																			CDR
																																																			(BgL_cdrzd258499zd2_5177);
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_28924;
																																																			{
																																																				obj_t
																																																					BgL_exprz00_28926;
																																																				obj_t
																																																					BgL_bindingsz00_28925;
																																																				BgL_bindingsz00_28925
																																																					=
																																																					BgL_arg4541z00_5358;
																																																				BgL_exprz00_28926
																																																					=
																																																					BgL_arg4542z00_5359;
																																																				BgL_exprz00_1793
																																																					=
																																																					BgL_exprz00_28926;
																																																				BgL_bindingsz00_1792
																																																					=
																																																					BgL_bindingsz00_28925;
																																																				goto
																																																					BgL_tagzd2382zd2_1794;
																																																			}
																																																			BgL_auxz00_28919
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_28924);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		bool_t
																																																			BgL_test9850z00_28928;
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg4613z00_5471;
																																																			BgL_arg4613z00_5471
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_test9850z00_28928
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg4613z00_5471));
																																																		}
																																																		if (BgL_test9850z00_28928)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_28933;
																																																				goto
																																																					BgL_tagzd2384zd2_1796;
																																																				BgL_auxz00_28919
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_28933);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_carzd258562zd2_5362;
																																																				BgL_carzd258562zd2_5362
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd258567zd2_5363;
																																																					BgL_cdrzd258567zd2_5363
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd258562zd2_5362));
																																																					if ((CAR(((obj_t) BgL_carzd258562zd2_5362)) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (PAIRP(BgL_cdrzd258567zd2_5363))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg4548z00_5367;
																																																									obj_t
																																																										BgL_arg4549z00_5368;
																																																									obj_t
																																																										BgL_arg4550z00_5369;
																																																									BgL_arg4548z00_5367
																																																										=
																																																										CAR
																																																										(BgL_cdrzd258567zd2_5363);
																																																									BgL_arg4549z00_5368
																																																										=
																																																										CDR
																																																										(BgL_cdrzd258567zd2_5363);
																																																									BgL_arg4550z00_5369
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_28950;
																																																										{
																																																											obj_t
																																																												BgL_argsz00_28953;
																																																											obj_t
																																																												BgL_bodyz00_28952;
																																																											obj_t
																																																												BgL_varsz00_28951;
																																																											BgL_varsz00_28951
																																																												=
																																																												BgL_arg4548z00_5367;
																																																											BgL_bodyz00_28952
																																																												=
																																																												BgL_arg4549z00_5368;
																																																											BgL_argsz00_28953
																																																												=
																																																												BgL_arg4550z00_5369;
																																																											BgL_argsz00_1803
																																																												=
																																																												BgL_argsz00_28953;
																																																											BgL_bodyz00_1802
																																																												=
																																																												BgL_bodyz00_28952;
																																																											BgL_varsz00_1801
																																																												=
																																																												BgL_varsz00_28951;
																																																											goto
																																																												BgL_tagzd2386zd2_1804;
																																																										}
																																																										BgL_auxz00_28919
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_28950);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2403zd2_1838;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_28957;
																																																											goto
																																																												BgL_tagzd2404zd2_1839;
																																																											BgL_auxz00_28919
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_28957);
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd258674zd2_5372;
																																																							BgL_cdrzd258674zd2_5372
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd258679zd2_5373;
																																																								BgL_cdrzd258679zd2_5373
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd258562zd2_5362));
																																																								if ((CAR(((obj_t) BgL_carzd258562zd2_5362)) == CNST_TABLE_REF(((long) 1))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (PAIRP(BgL_cdrzd258679zd2_5373))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd258684zd2_5377;
																																																												BgL_cdrzd258684zd2_5377
																																																													=
																																																													CDR
																																																													(BgL_cdrzd258679zd2_5373);
																																																												if (PAIRP(BgL_cdrzd258684zd2_5377))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd258688zd2_5379;
																																																														obj_t
																																																															BgL_cdrzd258689zd2_5380;
																																																														BgL_carzd258688zd2_5379
																																																															=
																																																															CAR
																																																															(BgL_cdrzd258684zd2_5377);
																																																														BgL_cdrzd258689zd2_5380
																																																															=
																																																															CDR
																																																															(BgL_cdrzd258684zd2_5377);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd258688zd2_5379))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd258689zd2_5380))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd258694zd2_5383;
																																																																		BgL_carzd258694zd2_5383
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd258689zd2_5380);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd258694zd2_5383))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(BgL_cdrzd258689zd2_5380)))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test9861z00_28985;
																																																																						{
																																																																							obj_t
																																																																								BgL_l1472z00_5416;
																																																																							BgL_l1472z00_5416
																																																																								=
																																																																								BgL_cdrzd258674zd2_5372;
																																																																						BgL_zc3z04anonymousza34576ze3z87_5417:
																																																																							if (NULLP(BgL_l1472z00_5416))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test9861z00_28985
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									bool_t
																																																																										BgL_test9863z00_28988;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test9864z00_28989;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_tmpz00_28990;
																																																																											BgL_tmpz00_28990
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_l1472z00_5416));
																																																																											BgL_test9864z00_28989
																																																																												=
																																																																												PAIRP
																																																																												(BgL_tmpz00_28990);
																																																																										}
																																																																										if (BgL_test9864z00_28989)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test9863z00_28988
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test9863z00_28988
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																									}
																																																																									if (BgL_test9863z00_28988)
																																																																										{
																																																																											obj_t
																																																																												BgL_l1472z00_28994;
																																																																											BgL_l1472z00_28994
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_l1472z00_5416));
																																																																											BgL_l1472z00_5416
																																																																												=
																																																																												BgL_l1472z00_28994;
																																																																											goto
																																																																												BgL_zc3z04anonymousza34576ze3z87_5417;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test9861z00_28985
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																						if (BgL_test9861z00_28985)
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg4566z00_5399;
																																																																								BgL_arg4566z00_5399
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd258679zd2_5373);
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_28998;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_29002;
																																																																										obj_t
																																																																											BgL_proc2z00_29001;
																																																																										obj_t
																																																																											BgL_proc1z00_29000;
																																																																										obj_t
																																																																											BgL_testz00_28999;
																																																																										BgL_testz00_28999
																																																																											=
																																																																											BgL_arg4566z00_5399;
																																																																										BgL_proc1z00_29000
																																																																											=
																																																																											BgL_carzd258688zd2_5379;
																																																																										BgL_proc2z00_29001
																																																																											=
																																																																											BgL_carzd258694zd2_5383;
																																																																										BgL_argsz00_29002
																																																																											=
																																																																											BgL_cdrzd258674zd2_5372;
																																																																										BgL_argsz00_1808
																																																																											=
																																																																											BgL_argsz00_29002;
																																																																										BgL_proc2z00_1807
																																																																											=
																																																																											BgL_proc2z00_29001;
																																																																										BgL_proc1z00_1806
																																																																											=
																																																																											BgL_proc1z00_29000;
																																																																										BgL_testz00_1805
																																																																											=
																																																																											BgL_testz00_28999;
																																																																										goto
																																																																											BgL_tagzd2387zd2_1809;
																																																																									}
																																																																									BgL_auxz00_28919
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_28998);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd258719zd2_5400;
																																																																								BgL_cdrzd258719zd2_5400
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd258727zd2_5401;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_13278;
																																																																										BgL_pairz00_13278
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd258727zd2_5401
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_13278);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd258735zd2_5402;
																																																																										BgL_cdrzd258735zd2_5402
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd258727zd2_5401));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd258742zd2_5403;
																																																																											BgL_carzd258742zd2_5403
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd258735zd2_5402));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd258742zd2_5403))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd258751zd2_5405;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_13282;
																																																																														BgL_pairz00_13282
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd258735zd2_5402));
																																																																														BgL_carzd258751zd2_5405
																																																																															=
																																																																															CAR
																																																																															(BgL_pairz00_13282);
																																																																													}
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd258751zd2_5405))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd258719zd2_5400))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg4570z00_5408;
																																																																																	BgL_arg4570z00_5408
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd258727zd2_5401));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_29024;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_29028;
																																																																																			obj_t
																																																																																				BgL_proc2z00_29027;
																																																																																			obj_t
																																																																																				BgL_proc1z00_29026;
																																																																																			obj_t
																																																																																				BgL_testz00_29025;
																																																																																			BgL_testz00_29025
																																																																																				=
																																																																																				BgL_arg4570z00_5408;
																																																																																			BgL_proc1z00_29026
																																																																																				=
																																																																																				BgL_carzd258742zd2_5403;
																																																																																			BgL_proc2z00_29027
																																																																																				=
																																																																																				BgL_carzd258751zd2_5405;
																																																																																			BgL_argsz00_29028
																																																																																				=
																																																																																				BgL_cdrzd258719zd2_5400;
																																																																																			BgL_argsz00_1813
																																																																																				=
																																																																																				BgL_argsz00_29028;
																																																																																			BgL_proc2z00_1812
																																																																																				=
																																																																																				BgL_proc2z00_29027;
																																																																																			BgL_proc1z00_1811
																																																																																				=
																																																																																				BgL_proc1z00_29026;
																																																																																			BgL_testz00_1810
																																																																																				=
																																																																																				BgL_testz00_29025;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1814;
																																																																																		}
																																																																																		BgL_auxz00_28919
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_29024);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1838;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_29032;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1839;
																																																																																			BgL_auxz00_28919
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_29032);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_29036;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_28919
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_29036);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_29040;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_28919
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_29040);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_29044;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																								BgL_auxz00_28919
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_29044);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd259029zd2_5427;
																																																																				BgL_cdrzd259029zd2_5427
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd259036zd2_5428;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_13286;
																																																																						BgL_pairz00_13286
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd259036zd2_5428
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_13286);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd259043zd2_5429;
																																																																						BgL_cdrzd259043zd2_5429
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd259036zd2_5428));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd259049zd2_5430;
																																																																							obj_t
																																																																								BgL_cdrzd259050zd2_5431;
																																																																							BgL_carzd259049zd2_5430
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd259043zd2_5429));
																																																																							BgL_cdrzd259050zd2_5431
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd259043zd2_5429));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd259049zd2_5430))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd259057zd2_5433;
																																																																									BgL_carzd259057zd2_5433
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd259050zd2_5431));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd259057zd2_5433))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(((obj_t) BgL_cdrzd259050zd2_5431))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd259029zd2_5427))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg4585z00_5438;
																																																																															BgL_arg4585z00_5438
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd259036zd2_5428));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_29071;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_29075;
																																																																																	obj_t
																																																																																		BgL_proc2z00_29074;
																																																																																	obj_t
																																																																																		BgL_proc1z00_29073;
																																																																																	obj_t
																																																																																		BgL_testz00_29072;
																																																																																	BgL_testz00_29072
																																																																																		=
																																																																																		BgL_arg4585z00_5438;
																																																																																	BgL_proc1z00_29073
																																																																																		=
																																																																																		BgL_carzd259049zd2_5430;
																																																																																	BgL_proc2z00_29074
																																																																																		=
																																																																																		BgL_carzd259057zd2_5433;
																																																																																	BgL_argsz00_29075
																																																																																		=
																																																																																		BgL_cdrzd259029zd2_5427;
																																																																																	BgL_argsz00_1813
																																																																																		=
																																																																																		BgL_argsz00_29075;
																																																																																	BgL_proc2z00_1812
																																																																																		=
																																																																																		BgL_proc2z00_29074;
																																																																																	BgL_proc1z00_1811
																																																																																		=
																																																																																		BgL_proc1z00_29073;
																																																																																	BgL_testz00_1810
																																																																																		=
																																																																																		BgL_testz00_29072;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1814;
																																																																																}
																																																																																BgL_auxz00_28919
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_29071);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1838;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_29079;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1839;
																																																																																	BgL_auxz00_28919
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_29079);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_29083;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_28919
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_29083);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_29087;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_28919
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_29087);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_29091;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_28919
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_29091);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1838;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_29095;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1839;
																																																																				BgL_auxz00_28919
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_29095);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd259390zd2_5446;
																																																																BgL_cdrzd259390zd2_5446
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd259396zd2_5447;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_pairz00_13295;
																																																																		BgL_pairz00_13295
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd259396zd2_5447
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_13295);
																																																																	}
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd259402zd2_5448;
																																																																		BgL_cdrzd259402zd2_5448
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd259396zd2_5447));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd259407zd2_5449;
																																																																			obj_t
																																																																				BgL_cdrzd259408zd2_5450;
																																																																			BgL_carzd259407zd2_5449
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd259402zd2_5448));
																																																																			BgL_cdrzd259408zd2_5450
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd259402zd2_5448));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd259407zd2_5449))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd259408zd2_5450))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd259413zd2_5453;
																																																																							BgL_carzd259413zd2_5453
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd259408zd2_5450);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd259413zd2_5453))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_cdrzd259408zd2_5450)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd259390zd2_5446))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg4599z00_5458;
																																																																													BgL_arg4599z00_5458
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd259396zd2_5447));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_29122;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_29126;
																																																																															obj_t
																																																																																BgL_proc2z00_29125;
																																																																															obj_t
																																																																																BgL_proc1z00_29124;
																																																																															obj_t
																																																																																BgL_testz00_29123;
																																																																															BgL_testz00_29123
																																																																																=
																																																																																BgL_arg4599z00_5458;
																																																																															BgL_proc1z00_29124
																																																																																=
																																																																																BgL_carzd259407zd2_5449;
																																																																															BgL_proc2z00_29125
																																																																																=
																																																																																BgL_carzd259413zd2_5453;
																																																																															BgL_argsz00_29126
																																																																																=
																																																																																BgL_cdrzd259390zd2_5446;
																																																																															BgL_argsz00_1813
																																																																																=
																																																																																BgL_argsz00_29126;
																																																																															BgL_proc2z00_1812
																																																																																=
																																																																																BgL_proc2z00_29125;
																																																																															BgL_proc1z00_1811
																																																																																=
																																																																																BgL_proc1z00_29124;
																																																																															BgL_testz00_1810
																																																																																=
																																																																																BgL_testz00_29123;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1814;
																																																																														}
																																																																														BgL_auxz00_28919
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_29122);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1838;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_29130;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1839;
																																																																															BgL_auxz00_28919
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_29130);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1838;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_29134;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1839;
																																																																													BgL_auxz00_28919
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_29134);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_29138;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																											BgL_auxz00_28919
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_29138);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_29142;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																									BgL_auxz00_28919
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_29142);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_29146;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																							BgL_auxz00_28919
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_29146);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1838;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_29150;
																																																																goto
																																																																	BgL_tagzd2404zd2_1839;
																																																																BgL_auxz00_28919
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_29150);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2403zd2_1838;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_29154;
																																																														goto
																																																															BgL_tagzd2404zd2_1839;
																																																														BgL_auxz00_28919
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_29154);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2403zd2_1838;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_29158;
																																																												goto
																																																													BgL_tagzd2404zd2_1839;
																																																												BgL_auxz00_28919
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_29158);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_auxz00_28919);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test9894z00_29161;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg4538z00_5355;
																																																	BgL_arg4538z00_5355
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_test9894z00_29161
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg4538z00_5355));
																																																}
																																																if (BgL_test9894z00_29161)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_29165;
																																																		goto
																																																			BgL_tagzd2384zd2_1796;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_29165);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd259976zd2_5183;
																																																		obj_t
																																																			BgL_cdrzd259977zd2_5184;
																																																		BgL_carzd259976zd2_5183
																																																			=
																																																			CAR
																																																			(BgL_expz00_21);
																																																		BgL_cdrzd259977zd2_5184
																																																			=
																																																			CDR
																																																			(BgL_expz00_21);
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd259981zd2_5185;
																																																			BgL_cdrzd259981zd2_5185
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd259976zd2_5183));
																																																			if ((CAR(((obj_t) BgL_carzd259976zd2_5183)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (PAIRP(BgL_cdrzd259981zd2_5185))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd259984zd2_5189;
																																																							obj_t
																																																								BgL_cdrzd259985zd2_5190;
																																																							BgL_carzd259984zd2_5189
																																																								=
																																																								CAR
																																																								(BgL_cdrzd259981zd2_5185);
																																																							BgL_cdrzd259985zd2_5190
																																																								=
																																																								CDR
																																																								(BgL_cdrzd259981zd2_5185);
																																																							if (PAIRP(BgL_carzd259984zd2_5189))
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (NULLP(CDR(BgL_carzd259984zd2_5189)))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (PAIRP(BgL_cdrzd259985zd2_5190))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd259991zd2_5195;
																																																													BgL_carzd259991zd2_5195
																																																														=
																																																														CAR
																																																														(BgL_cdrzd259985zd2_5190);
																																																													if (PAIRP(BgL_carzd259991zd2_5195))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd259991zd2_5195))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (NULLP(CDR(BgL_cdrzd259985zd2_5190)))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (PAIRP(BgL_cdrzd259977zd2_5184))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd259998zd2_5201;
																																																																					BgL_carzd259998zd2_5201
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd259977zd2_5184);
																																																																					if (PAIRP(BgL_carzd259998zd2_5201))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd260022zd2_5203;
																																																																							BgL_cdrzd260022zd2_5203
																																																																								=
																																																																								CDR
																																																																								(CAR
																																																																								(BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg4435z00_5204;
																																																																								obj_t
																																																																									BgL_arg4436z00_5205;
																																																																								obj_t
																																																																									BgL_arg4437z00_5206;
																																																																								BgL_arg4435z00_5204
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd260022zd2_5203));
																																																																								BgL_arg4436z00_5205
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd260022zd2_5203));
																																																																								BgL_arg4437z00_5206
																																																																									=
																																																																									CDR
																																																																									(BgL_expz00_21);
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_29209;
																																																																									obj_t
																																																																										BgL_bodyz00_29208;
																																																																									obj_t
																																																																										BgL_varsz00_29207;
																																																																									BgL_varsz00_29207
																																																																										=
																																																																										BgL_arg4435z00_5204;
																																																																									BgL_bodyz00_29208
																																																																										=
																																																																										BgL_arg4436z00_5205;
																																																																									BgL_argsz00_29209
																																																																										=
																																																																										BgL_arg4437z00_5206;
																																																																									BgL_argsz00_1803
																																																																										=
																																																																										BgL_argsz00_29209;
																																																																									BgL_bodyz00_1802
																																																																										=
																																																																										BgL_bodyz00_29208;
																																																																									BgL_varsz00_1801
																																																																										=
																																																																										BgL_varsz00_29207;
																																																																									goto
																																																																										BgL_tagzd2386zd2_1804;
																																																																								}
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (NULLP(CDR(BgL_cdrzd259977zd2_5184)))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg4441z00_5210;
																																																																									BgL_arg4441z00_5210
																																																																										=
																																																																										CAR
																																																																										(BgL_carzd259984zd2_5189);
																																																																									{
																																																																										BgL_castz00_bglt
																																																																											BgL_auxz00_29214;
																																																																										{
																																																																											obj_t
																																																																												BgL_argz00_29217;
																																																																											obj_t
																																																																												BgL_bodyz00_29216;
																																																																											obj_t
																																																																												BgL_varz00_29215;
																																																																											BgL_varz00_29215
																																																																												=
																																																																												BgL_arg4441z00_5210;
																																																																											BgL_bodyz00_29216
																																																																												=
																																																																												BgL_carzd259991zd2_5195;
																																																																											BgL_argz00_29217
																																																																												=
																																																																												BgL_carzd259998zd2_5201;
																																																																											BgL_argz00_1799
																																																																												=
																																																																												BgL_argz00_29217;
																																																																											BgL_bodyz00_1798
																																																																												=
																																																																												BgL_bodyz00_29216;
																																																																											BgL_varz00_1797
																																																																												=
																																																																												BgL_varz00_29215;
																																																																											goto
																																																																												BgL_tagzd2385zd2_1800;
																																																																										}
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_29214);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd260049zd2_5211;
																																																																									BgL_cdrzd260049zd2_5211
																																																																										=
																																																																										CDR
																																																																										(CAR
																																																																										(BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg4442z00_5212;
																																																																										obj_t
																																																																											BgL_arg4443z00_5213;
																																																																										obj_t
																																																																											BgL_arg4444z00_5214;
																																																																										BgL_arg4442z00_5212
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd260049zd2_5211));
																																																																										BgL_arg4443z00_5213
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd260049zd2_5211));
																																																																										BgL_arg4444z00_5214
																																																																											=
																																																																											CDR
																																																																											(BgL_expz00_21);
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_29228;
																																																																											obj_t
																																																																												BgL_bodyz00_29227;
																																																																											obj_t
																																																																												BgL_varsz00_29226;
																																																																											BgL_varsz00_29226
																																																																												=
																																																																												BgL_arg4442z00_5212;
																																																																											BgL_bodyz00_29227
																																																																												=
																																																																												BgL_arg4443z00_5213;
																																																																											BgL_argsz00_29228
																																																																												=
																																																																												BgL_arg4444z00_5214;
																																																																											BgL_argsz00_1803
																																																																												=
																																																																												BgL_argsz00_29228;
																																																																											BgL_bodyz00_1802
																																																																												=
																																																																												BgL_bodyz00_29227;
																																																																											BgL_varsz00_1801
																																																																												=
																																																																												BgL_varsz00_29226;
																																																																											goto
																																																																												BgL_tagzd2386zd2_1804;
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd260075zd2_5217;
																																																																					BgL_cdrzd260075zd2_5217
																																																																						=
																																																																						CDR
																																																																						(CAR
																																																																						(BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg4447z00_5218;
																																																																						obj_t
																																																																							BgL_arg4448z00_5219;
																																																																						obj_t
																																																																							BgL_arg4449z00_5220;
																																																																						BgL_arg4447z00_5218
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd260075zd2_5217));
																																																																						BgL_arg4448z00_5219
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd260075zd2_5217));
																																																																						BgL_arg4449z00_5220
																																																																							=
																																																																							CDR
																																																																							(BgL_expz00_21);
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_29238;
																																																																							obj_t
																																																																								BgL_bodyz00_29237;
																																																																							obj_t
																																																																								BgL_varsz00_29236;
																																																																							BgL_varsz00_29236
																																																																								=
																																																																								BgL_arg4447z00_5218;
																																																																							BgL_bodyz00_29237
																																																																								=
																																																																								BgL_arg4448z00_5219;
																																																																							BgL_argsz00_29238
																																																																								=
																																																																								BgL_arg4449z00_5220;
																																																																							BgL_argsz00_1803
																																																																								=
																																																																								BgL_argsz00_29238;
																																																																							BgL_bodyz00_1802
																																																																								=
																																																																								BgL_bodyz00_29237;
																																																																							BgL_varsz00_1801
																																																																								=
																																																																								BgL_varsz00_29236;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1804;
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd260101zd2_5222;
																																																																			BgL_cdrzd260101zd2_5222
																																																																				=
																																																																				CDR
																																																																				(CAR
																																																																				(BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg4451z00_5223;
																																																																				obj_t
																																																																					BgL_arg4452z00_5224;
																																																																				obj_t
																																																																					BgL_arg4453z00_5225;
																																																																				BgL_arg4451z00_5223
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd260101zd2_5222));
																																																																				BgL_arg4452z00_5224
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd260101zd2_5222));
																																																																				BgL_arg4453z00_5225
																																																																					=
																																																																					CDR
																																																																					(BgL_expz00_21);
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_29248;
																																																																					obj_t
																																																																						BgL_bodyz00_29247;
																																																																					obj_t
																																																																						BgL_varsz00_29246;
																																																																					BgL_varsz00_29246
																																																																						=
																																																																						BgL_arg4451z00_5223;
																																																																					BgL_bodyz00_29247
																																																																						=
																																																																						BgL_arg4452z00_5224;
																																																																					BgL_argsz00_29248
																																																																						=
																																																																						BgL_arg4453z00_5225;
																																																																					BgL_argsz00_1803
																																																																						=
																																																																						BgL_argsz00_29248;
																																																																					BgL_bodyz00_1802
																																																																						=
																																																																						BgL_bodyz00_29247;
																																																																					BgL_varsz00_1801
																																																																						=
																																																																						BgL_varsz00_29246;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1804;
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd260127zd2_5228;
																																																																	BgL_cdrzd260127zd2_5228
																																																																		=
																																																																		CDR
																																																																		(CAR
																																																																		(BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg4456z00_5229;
																																																																		obj_t
																																																																			BgL_arg4457z00_5230;
																																																																		obj_t
																																																																			BgL_arg4458z00_5231;
																																																																		BgL_arg4456z00_5229
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd260127zd2_5228));
																																																																		BgL_arg4457z00_5230
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd260127zd2_5228));
																																																																		BgL_arg4458z00_5231
																																																																			=
																																																																			CDR
																																																																			(BgL_expz00_21);
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_29258;
																																																																			obj_t
																																																																				BgL_bodyz00_29257;
																																																																			obj_t
																																																																				BgL_varsz00_29256;
																																																																			BgL_varsz00_29256
																																																																				=
																																																																				BgL_arg4456z00_5229;
																																																																			BgL_bodyz00_29257
																																																																				=
																																																																				BgL_arg4457z00_5230;
																																																																			BgL_argsz00_29258
																																																																				=
																																																																				BgL_arg4458z00_5231;
																																																																			BgL_argsz00_1803
																																																																				=
																																																																				BgL_argsz00_29258;
																																																																			BgL_bodyz00_1802
																																																																				=
																																																																				BgL_bodyz00_29257;
																																																																			BgL_varsz00_1801
																																																																				=
																																																																				BgL_varsz00_29256;
																																																																			goto
																																																																				BgL_tagzd2386zd2_1804;
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd260153zd2_5233;
																																																															BgL_cdrzd260153zd2_5233
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd259976zd2_5183));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg4460z00_5234;
																																																																obj_t
																																																																	BgL_arg4461z00_5235;
																																																																obj_t
																																																																	BgL_arg4462z00_5236;
																																																																BgL_arg4460z00_5234
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd260153zd2_5233));
																																																																BgL_arg4461z00_5235
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd260153zd2_5233));
																																																																BgL_arg4462z00_5236
																																																																	=
																																																																	CDR
																																																																	(BgL_expz00_21);
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_29268;
																																																																	obj_t
																																																																		BgL_bodyz00_29267;
																																																																	obj_t
																																																																		BgL_varsz00_29266;
																																																																	BgL_varsz00_29266
																																																																		=
																																																																		BgL_arg4460z00_5234;
																																																																	BgL_bodyz00_29267
																																																																		=
																																																																		BgL_arg4461z00_5235;
																																																																	BgL_argsz00_29268
																																																																		=
																																																																		BgL_arg4462z00_5236;
																																																																	BgL_argsz00_1803
																																																																		=
																																																																		BgL_argsz00_29268;
																																																																	BgL_bodyz00_1802
																																																																		=
																																																																		BgL_bodyz00_29267;
																																																																	BgL_varsz00_1801
																																																																		=
																																																																		BgL_varsz00_29266;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1804;
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd260179zd2_5238;
																																																													BgL_cdrzd260179zd2_5238
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd259976zd2_5183));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg4464z00_5239;
																																																														obj_t
																																																															BgL_arg4465z00_5240;
																																																														obj_t
																																																															BgL_arg4466z00_5241;
																																																														BgL_arg4464z00_5239
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd260179zd2_5238));
																																																														BgL_arg4465z00_5240
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd260179zd2_5238));
																																																														BgL_arg4466z00_5241
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														{
																																																															obj_t
																																																																BgL_argsz00_29278;
																																																															obj_t
																																																																BgL_bodyz00_29277;
																																																															obj_t
																																																																BgL_varsz00_29276;
																																																															BgL_varsz00_29276
																																																																=
																																																																BgL_arg4464z00_5239;
																																																															BgL_bodyz00_29277
																																																																=
																																																																BgL_arg4465z00_5240;
																																																															BgL_argsz00_29278
																																																																=
																																																																BgL_arg4466z00_5241;
																																																															BgL_argsz00_1803
																																																																=
																																																																BgL_argsz00_29278;
																																																															BgL_bodyz00_1802
																																																																=
																																																																BgL_bodyz00_29277;
																																																															BgL_varsz00_1801
																																																																=
																																																																BgL_varsz00_29276;
																																																															goto
																																																																BgL_tagzd2386zd2_1804;
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd260205zd2_5243;
																																																											BgL_cdrzd260205zd2_5243
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd259976zd2_5183));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg4468z00_5244;
																																																												obj_t
																																																													BgL_arg4469z00_5245;
																																																												obj_t
																																																													BgL_arg4470z00_5246;
																																																												BgL_arg4468z00_5244
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd260205zd2_5243));
																																																												BgL_arg4469z00_5245
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd260205zd2_5243));
																																																												BgL_arg4470z00_5246
																																																													=
																																																													CDR
																																																													(BgL_expz00_21);
																																																												{
																																																													obj_t
																																																														BgL_argsz00_29288;
																																																													obj_t
																																																														BgL_bodyz00_29287;
																																																													obj_t
																																																														BgL_varsz00_29286;
																																																													BgL_varsz00_29286
																																																														=
																																																														BgL_arg4468z00_5244;
																																																													BgL_bodyz00_29287
																																																														=
																																																														BgL_arg4469z00_5245;
																																																													BgL_argsz00_29288
																																																														=
																																																														BgL_arg4470z00_5246;
																																																													BgL_argsz00_1803
																																																														=
																																																														BgL_argsz00_29288;
																																																													BgL_bodyz00_1802
																																																														=
																																																														BgL_bodyz00_29287;
																																																													BgL_varsz00_1801
																																																														=
																																																														BgL_varsz00_29286;
																																																													goto
																																																														BgL_tagzd2386zd2_1804;
																																																												}
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd260231zd2_5249;
																																																									BgL_cdrzd260231zd2_5249
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd259976zd2_5183));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg4473z00_5250;
																																																										obj_t
																																																											BgL_arg4474z00_5251;
																																																										obj_t
																																																											BgL_arg4475z00_5252;
																																																										BgL_arg4473z00_5250
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd260231zd2_5249));
																																																										BgL_arg4474z00_5251
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd260231zd2_5249));
																																																										BgL_arg4475z00_5252
																																																											=
																																																											CDR
																																																											(BgL_expz00_21);
																																																										{
																																																											obj_t
																																																												BgL_argsz00_29298;
																																																											obj_t
																																																												BgL_bodyz00_29297;
																																																											obj_t
																																																												BgL_varsz00_29296;
																																																											BgL_varsz00_29296
																																																												=
																																																												BgL_arg4473z00_5250;
																																																											BgL_bodyz00_29297
																																																												=
																																																												BgL_arg4474z00_5251;
																																																											BgL_argsz00_29298
																																																												=
																																																												BgL_arg4475z00_5252;
																																																											BgL_argsz00_1803
																																																												=
																																																												BgL_argsz00_29298;
																																																											BgL_bodyz00_1802
																																																												=
																																																												BgL_bodyz00_29297;
																																																											BgL_varsz00_1801
																																																												=
																																																												BgL_varsz00_29296;
																																																											goto
																																																												BgL_tagzd2386zd2_1804;
																																																										}
																																																									}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{
																																																									obj_t
																																																										BgL_auxz00_29301;
																																																									goto
																																																										BgL_tagzd2403zd2_1838;
																																																									return
																																																										(
																																																										(BgL_nodez00_bglt)
																																																										BgL_auxz00_29301);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									goto
																																																										BgL_tagzd2404zd2_1839;
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd260369zd2_5257;
																																																					BgL_cdrzd260369zd2_5257
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd259976zd2_5183));
																																																					if ((CAR(((obj_t) BgL_carzd259976zd2_5183)) == CNST_TABLE_REF(((long) 1))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (PAIRP(BgL_cdrzd260369zd2_5257))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd260374zd2_5261;
																																																									BgL_cdrzd260374zd2_5261
																																																										=
																																																										CDR
																																																										(BgL_cdrzd260369zd2_5257);
																																																									if (PAIRP(BgL_cdrzd260374zd2_5261))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd260378zd2_5263;
																																																											obj_t
																																																												BgL_cdrzd260379zd2_5264;
																																																											BgL_carzd260378zd2_5263
																																																												=
																																																												CAR
																																																												(BgL_cdrzd260374zd2_5261);
																																																											BgL_cdrzd260379zd2_5264
																																																												=
																																																												CDR
																																																												(BgL_cdrzd260374zd2_5261);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260378zd2_5263))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (PAIRP(BgL_cdrzd260379zd2_5264))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd260384zd2_5267;
																																																															BgL_carzd260384zd2_5267
																																																																=
																																																																CAR
																																																																(BgL_cdrzd260379zd2_5264);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260384zd2_5267))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (NULLP(CDR(BgL_cdrzd260379zd2_5264)))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			bool_t
																																																																				BgL_test9914z00_29327;
																																																																			{
																																																																				obj_t
																																																																					BgL_l1475z00_5300;
																																																																				BgL_l1475z00_5300
																																																																					=
																																																																					BgL_cdrzd259977zd2_5184;
																																																																			BgL_zc3z04anonymousza34502ze3z87_5301:
																																																																				if (NULLP(BgL_l1475z00_5300))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						BgL_test9914z00_29327
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							1);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test9916z00_29330;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							bool_t
																																																																								BgL_test9917z00_29331;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_tmpz00_29332;
																																																																								BgL_tmpz00_29332
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_l1475z00_5300));
																																																																								BgL_test9917z00_29331
																																																																									=
																																																																									PAIRP
																																																																									(BgL_tmpz00_29332);
																																																																							}
																																																																							if (BgL_test9917z00_29331)
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test9916z00_29330
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test9916z00_29330
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																						}
																																																																						if (BgL_test9916z00_29330)
																																																																							{
																																																																								obj_t
																																																																									BgL_l1475z00_29336;
																																																																								BgL_l1475z00_29336
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_l1475z00_5300));
																																																																								BgL_l1475z00_5300
																																																																									=
																																																																									BgL_l1475z00_29336;
																																																																								goto
																																																																									BgL_zc3z04anonymousza34502ze3z87_5301;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test9914z00_29327
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																					}
																																																																			}
																																																																			if (BgL_test9914z00_29327)
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_29343;
																																																																					obj_t
																																																																						BgL_proc2z00_29342;
																																																																					obj_t
																																																																						BgL_proc1z00_29341;
																																																																					obj_t
																																																																						BgL_testz00_29339;
																																																																					BgL_testz00_29339
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd260369zd2_5257);
																																																																					BgL_proc1z00_29341
																																																																						=
																																																																						BgL_carzd260378zd2_5263;
																																																																					BgL_proc2z00_29342
																																																																						=
																																																																						BgL_carzd260384zd2_5267;
																																																																					BgL_argsz00_29343
																																																																						=
																																																																						BgL_cdrzd259977zd2_5184;
																																																																					BgL_argsz00_1808
																																																																						=
																																																																						BgL_argsz00_29343;
																																																																					BgL_proc2z00_1807
																																																																						=
																																																																						BgL_proc2z00_29342;
																																																																					BgL_proc1z00_1806
																																																																						=
																																																																						BgL_proc1z00_29341;
																																																																					BgL_testz00_1805
																																																																						=
																																																																						BgL_testz00_29339;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1809;
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd260409zd2_5284;
																																																																					BgL_cdrzd260409zd2_5284
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd260417zd2_5285;
																																																																						BgL_cdrzd260417zd2_5285
																																																																							=
																																																																							CDR
																																																																							(CAR
																																																																							(BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd260425zd2_5286;
																																																																							BgL_cdrzd260425zd2_5286
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd260417zd2_5285));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd260432zd2_5287;
																																																																								BgL_carzd260432zd2_5287
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd260425zd2_5286));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260432zd2_5287))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd260441zd2_5289;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_13379;
																																																																											BgL_pairz00_13379
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd260425zd2_5286));
																																																																											BgL_carzd260441zd2_5289
																																																																												=
																																																																												CAR
																																																																												(BgL_pairz00_13379);
																																																																										}
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260441zd2_5289))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd260409zd2_5284))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg4496z00_5292;
																																																																														BgL_arg4496z00_5292
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd260417zd2_5285));
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_29365;
																																																																															obj_t
																																																																																BgL_proc2z00_29364;
																																																																															obj_t
																																																																																BgL_proc1z00_29363;
																																																																															obj_t
																																																																																BgL_testz00_29362;
																																																																															BgL_testz00_29362
																																																																																=
																																																																																BgL_arg4496z00_5292;
																																																																															BgL_proc1z00_29363
																																																																																=
																																																																																BgL_carzd260432zd2_5287;
																																																																															BgL_proc2z00_29364
																																																																																=
																																																																																BgL_carzd260441zd2_5289;
																																																																															BgL_argsz00_29365
																																																																																=
																																																																																BgL_cdrzd260409zd2_5284;
																																																																															BgL_argsz00_1813
																																																																																=
																																																																																BgL_argsz00_29365;
																																																																															BgL_proc2z00_1812
																																																																																=
																																																																																BgL_proc2z00_29364;
																																																																															BgL_proc1z00_1811
																																																																																=
																																																																																BgL_proc1z00_29363;
																																																																															BgL_testz00_1810
																																																																																=
																																																																																BgL_testz00_29362;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1814;
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_29368;
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1838;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_29368);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1839;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_29372;
																																																																														goto
																																																																															BgL_tagzd2403zd2_1838;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_29372);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1839;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_29376;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_29376);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_29380;
																																																																					goto
																																																																						BgL_tagzd2403zd2_1838;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_29380);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1839;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd260719zd2_5311;
																																																																	BgL_cdrzd260719zd2_5311
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd260726zd2_5312;
																																																																		BgL_cdrzd260726zd2_5312
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd260733zd2_5313;
																																																																			BgL_cdrzd260733zd2_5313
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd260726zd2_5312));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd260739zd2_5314;
																																																																				obj_t
																																																																					BgL_cdrzd260740zd2_5315;
																																																																				BgL_carzd260739zd2_5314
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd260733zd2_5313));
																																																																				BgL_cdrzd260740zd2_5315
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd260733zd2_5313));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260739zd2_5314))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd260747zd2_5317;
																																																																						BgL_carzd260747zd2_5317
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd260740zd2_5315));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260747zd2_5317))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd260740zd2_5315))))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd260719zd2_5311))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg4511z00_5322;
																																																																												BgL_arg4511z00_5322
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd260726zd2_5312));
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_29408;
																																																																													obj_t
																																																																														BgL_proc2z00_29407;
																																																																													obj_t
																																																																														BgL_proc1z00_29406;
																																																																													obj_t
																																																																														BgL_testz00_29405;
																																																																													BgL_testz00_29405
																																																																														=
																																																																														BgL_arg4511z00_5322;
																																																																													BgL_proc1z00_29406
																																																																														=
																																																																														BgL_carzd260739zd2_5314;
																																																																													BgL_proc2z00_29407
																																																																														=
																																																																														BgL_carzd260747zd2_5317;
																																																																													BgL_argsz00_29408
																																																																														=
																																																																														BgL_cdrzd260719zd2_5311;
																																																																													BgL_argsz00_1813
																																																																														=
																																																																														BgL_argsz00_29408;
																																																																													BgL_proc2z00_1812
																																																																														=
																																																																														BgL_proc2z00_29407;
																																																																													BgL_proc1z00_1811
																																																																														=
																																																																														BgL_proc1z00_29406;
																																																																													BgL_testz00_1810
																																																																														=
																																																																														BgL_testz00_29405;
																																																																													goto
																																																																														BgL_tagzd2388zd2_1814;
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_29411;
																																																																														goto
																																																																															BgL_tagzd2403zd2_1838;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_29411);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1839;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_29415;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_29415);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_29419;
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_29419);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_29423;
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_29423);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_29427;
																																																																	goto
																																																																		BgL_tagzd2403zd2_1838;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_29427);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1839;
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd261080zd2_5330;
																																																													BgL_cdrzd261080zd2_5330
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd261086zd2_5331;
																																																														BgL_cdrzd261086zd2_5331
																																																															=
																																																															CDR
																																																															(CAR
																																																															(BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd261092zd2_5332;
																																																															BgL_cdrzd261092zd2_5332
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd261086zd2_5331));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd261097zd2_5333;
																																																																obj_t
																																																																	BgL_cdrzd261098zd2_5334;
																																																																BgL_carzd261097zd2_5333
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd261092zd2_5332));
																																																																BgL_cdrzd261098zd2_5334
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd261092zd2_5332));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd261097zd2_5333))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd261098zd2_5334))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd261103zd2_5337;
																																																																				BgL_carzd261103zd2_5337
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd261098zd2_5334);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd261103zd2_5337))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd261098zd2_5334)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd261080zd2_5330))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg4525z00_5342;
																																																																										BgL_arg4525z00_5342
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd261086zd2_5331));
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_29455;
																																																																											obj_t
																																																																												BgL_proc2z00_29454;
																																																																											obj_t
																																																																												BgL_proc1z00_29453;
																																																																											obj_t
																																																																												BgL_testz00_29452;
																																																																											BgL_testz00_29452
																																																																												=
																																																																												BgL_arg4525z00_5342;
																																																																											BgL_proc1z00_29453
																																																																												=
																																																																												BgL_carzd261097zd2_5333;
																																																																											BgL_proc2z00_29454
																																																																												=
																																																																												BgL_carzd261103zd2_5337;
																																																																											BgL_argsz00_29455
																																																																												=
																																																																												BgL_cdrzd261080zd2_5330;
																																																																											BgL_argsz00_1813
																																																																												=
																																																																												BgL_argsz00_29455;
																																																																											BgL_proc2z00_1812
																																																																												=
																																																																												BgL_proc2z00_29454;
																																																																											BgL_proc1z00_1811
																																																																												=
																																																																												BgL_proc1z00_29453;
																																																																											BgL_testz00_1810
																																																																												=
																																																																												BgL_testz00_29452;
																																																																											goto
																																																																												BgL_tagzd2388zd2_1814;
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_29458;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1838;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_29458);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1839;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_29462;
																																																																										goto
																																																																											BgL_tagzd2403zd2_1838;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_29462);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1839;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_29466;
																																																																								goto
																																																																									BgL_tagzd2403zd2_1838;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_29466);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1839;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_29470;
																																																																						goto
																																																																							BgL_tagzd2403zd2_1838;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_29470);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1839;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_29474;
																																																																				goto
																																																																					BgL_tagzd2403zd2_1838;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_29474);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1839;
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_29478;
																																																													goto
																																																														BgL_tagzd2403zd2_1838;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_29478);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2404zd2_1839;
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{
																																																											obj_t
																																																												BgL_auxz00_29482;
																																																											goto
																																																												BgL_tagzd2403zd2_1838;
																																																											return
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BgL_auxz00_29482);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2404zd2_1839;
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{
																																																									obj_t
																																																										BgL_auxz00_29486;
																																																									goto
																																																										BgL_tagzd2403zd2_1838;
																																																									return
																																																										(
																																																										(BgL_nodez00_bglt)
																																																										BgL_auxz00_29486);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									goto
																																																										BgL_tagzd2404zd2_1839;
																																																								}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																												}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																																}
																															else
																																{

																																	if (
																																		(BgL_carzd255411zd2_5167
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					17))))
																																		{
																																			obj_t
																																				BgL_auxz00_29491;
																																		BgL_kapzd261641zd2_5750:
																																			if (PAIRP
																																				(BgL_cdrzd255282zd2_5149))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_arg4880z00_5847;
																																					obj_t
																																						BgL_arg4881z00_5848;
																																					BgL_arg4880z00_5847
																																						=
																																						CAR
																																						(BgL_cdrzd255282zd2_5149);
																																					BgL_arg4881z00_5848
																																						=
																																						CDR
																																						(BgL_cdrzd255282zd2_5149);
																																					{
																																						BgL_nodez00_bglt
																																							BgL_auxz00_29496;
																																						{
																																							obj_t
																																								BgL_exprz00_29498;
																																							obj_t
																																								BgL_bindingsz00_29497;
																																							BgL_bindingsz00_29497
																																								=
																																								BgL_arg4880z00_5847;
																																							BgL_exprz00_29498
																																								=
																																								BgL_arg4881z00_5848;
																																							BgL_exprz00_1793
																																								=
																																								BgL_exprz00_29498;
																																							BgL_bindingsz00_1792
																																								=
																																								BgL_bindingsz00_29497;
																																							goto
																																								BgL_tagzd2382zd2_1794;
																																						}
																																						BgL_auxz00_29491
																																							=
																																							(
																																							(obj_t)
																																							BgL_auxz00_29496);
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_29505;
																																							goto
																																								BgL_tagzd2383zd2_1795;
																																							BgL_auxz00_29491
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_29505);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd261674zd2_5851;
																																							BgL_carzd261674zd2_5851
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if ((BgL_carzd261674zd2_5851 == CNST_TABLE_REF(((long) 19))))
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_29512;
																																									goto
																																										BgL_tagzd2384zd2_1796;
																																									BgL_auxz00_29491
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_29512);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd261674zd2_5851)))
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_29517;
																																											goto
																																												BgL_tagzd2384zd2_1796;
																																											BgL_auxz00_29491
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_29517);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_29524;
																																													goto
																																														BgL_tagzd2389zd2_1815;
																																													BgL_auxz00_29491
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_29524);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_29531;
																																															goto
																																																BgL_tagzd2390zd2_1816;
																																															BgL_auxz00_29491
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_29531);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_29538;
																																																	goto
																																																		BgL_tagzd2392zd2_1820;
																																																	BgL_auxz00_29491
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_29538);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_29545;
																																																			goto
																																																				BgL_tagzd2393zd2_1821;
																																																			BgL_auxz00_29491
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_29545);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_29552;
																																																					goto
																																																						BgL_tagzd2395zd2_1825;
																																																					BgL_auxz00_29491
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_29552);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_29559;
																																																							goto
																																																								BgL_tagzd2396zd2_1826;
																																																							BgL_auxz00_29491
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_29559);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_29566;
																																																									goto
																																																										BgL_tagzd2397zd2_1827;
																																																									BgL_auxz00_29491
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_29566);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																										{
																																																											BgL_jumpzd2exzd2itz00_bglt
																																																												BgL_auxz00_29573;
																																																											goto
																																																												BgL_tagzd2398zd2_1828;
																																																											BgL_auxz00_29491
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_29573);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_29583;
																																																															goto
																																																																BgL_tagzd2402zd2_1837;
																																																															BgL_auxz00_29491
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_29583);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1838;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_29587;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1839;
																																																																	BgL_auxz00_29491
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_29587);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2403zd2_1838;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_29591;
																																																															goto
																																																																BgL_tagzd2404zd2_1839;
																																																															BgL_auxz00_29491
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_29591);
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																			return
																																				(
																																				(BgL_nodez00_bglt)
																																				BgL_auxz00_29491);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			if (CBOOL
																																				(BGl_letzd2symzf3z21zzast_letz00
																																					(BgL_carzd255411zd2_5167)))
																																				{
																																					obj_t
																																						BgL_auxz00_29597;
																																					goto
																																						BgL_kapzd261641zd2_5750;
																																					return
																																						(
																																						(BgL_nodez00_bglt)
																																						BgL_auxz00_29597);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(BgL_carzd255411zd2_5167
																																							==
																																							CNST_TABLE_REF
																																							(((long) 18))))
																																						{
																																							obj_t
																																								BgL_auxz00_29602;
																																							goto
																																								BgL_kapzd261641zd2_5750;
																																							return
																																								(
																																								(BgL_nodez00_bglt)
																																								BgL_auxz00_29602);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 20))))
																																								{	/* Ast/sexp.scm 119 */
																																									goto
																																										BgL_tagzd2383zd2_1795;
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_carzd261835zd2_5756;
																																									BgL_carzd261835zd2_5756
																																										=
																																										CAR
																																										(BgL_expz00_21);
																																									if ((BgL_carzd261835zd2_5756 == CNST_TABLE_REF(((long) 19))))
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_29612;
																																											goto
																																												BgL_tagzd2384zd2_1796;
																																											return
																																												(
																																												(BgL_nodez00_bglt)
																																												BgL_auxz00_29612);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd261835zd2_5756)))
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_29617;
																																													goto
																																														BgL_tagzd2384zd2_1796;
																																													return
																																														(
																																														(BgL_nodez00_bglt)
																																														BgL_auxz00_29617);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																														{	/* Ast/sexp.scm 119 */
																																															goto
																																																BgL_tagzd2389zd2_1815;
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																{	/* Ast/sexp.scm 119 */
																																																	goto
																																																		BgL_tagzd2390zd2_1816;
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd261914zd2_5763;
																																																	BgL_cdrzd261914zd2_5763
																																																		=
																																																		CDR
																																																		(BgL_expz00_21);
																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (PAIRP(BgL_cdrzd261914zd2_5763))
																																																				{
																																																					obj_t
																																																						BgL_restz00_29636;
																																																					obj_t
																																																						BgL_effectz00_29634;
																																																					BgL_effectz00_29634
																																																						=
																																																						CAR
																																																						(BgL_cdrzd261914zd2_5763);
																																																					BgL_restz00_29636
																																																						=
																																																						CDR
																																																						(BgL_cdrzd261914zd2_5763);
																																																					BgL_restz00_1818
																																																						=
																																																						BgL_restz00_29636;
																																																					BgL_effectz00_1817
																																																						=
																																																						BgL_effectz00_29634;
																																																					goto
																																																						BgL_tagzd2391zd2_1819;
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{
																																																							obj_t
																																																								BgL_auxz00_29640;
																																																							goto
																																																								BgL_tagzd2403zd2_1838;
																																																							return
																																																								(
																																																								(BgL_nodez00_bglt)
																																																								BgL_auxz00_29640);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							goto
																																																								BgL_tagzd2404zd2_1839;
																																																						}
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					goto
																																																						BgL_tagzd2392zd2_1820;
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							goto
																																																								BgL_tagzd2393zd2_1821;
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (PAIRP(BgL_cdrzd261914zd2_5763))
																																																										{
																																																											obj_t
																																																												BgL_restz00_29658;
																																																											obj_t
																																																												BgL_effectz00_29656;
																																																											BgL_effectz00_29656
																																																												=
																																																												CAR
																																																												(BgL_cdrzd261914zd2_5763);
																																																											BgL_restz00_29658
																																																												=
																																																												CDR
																																																												(BgL_cdrzd261914zd2_5763);
																																																											BgL_restz00_1823
																																																												=
																																																												BgL_restz00_29658;
																																																											BgL_effectz00_1822
																																																												=
																																																												BgL_effectz00_29656;
																																																											goto
																																																												BgL_tagzd2394zd2_1824;
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_29662;
																																																													goto
																																																														BgL_tagzd2403zd2_1838;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_29662);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2404zd2_1839;
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2395zd2_1825;
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2396zd2_1826;
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_29676;
																																																															goto
																																																																BgL_tagzd2397zd2_1827;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_29676);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																																{
																																																																	BgL_jumpzd2exzd2itz00_bglt
																																																																		BgL_auxz00_29682;
																																																																	goto
																																																																		BgL_tagzd2398zd2_1828;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_29682);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd262041zd2_5789;
																																																																	BgL_cdrzd262041zd2_5789
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (PAIRP(BgL_cdrzd262041zd2_5789))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd262043zd2_5793;
																																																																					BgL_cdrzd262043zd2_5793
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd262041zd2_5789);
																																																																					if (PAIRP(BgL_cdrzd262043zd2_5793))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (NULLP(CDR(BgL_cdrzd262043zd2_5793)))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2399zd2_1829;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_29699;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_29699);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_29703;
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_29703);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_29707;
																																																																							goto
																																																																								BgL_tagzd2403zd2_1838;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_29707);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1839;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd262041zd2_5789))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd262088zd2_5805;
																																																																							BgL_cdrzd262088zd2_5805
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd262041zd2_5789);
																																																																							if (PAIRP(BgL_cdrzd262088zd2_5805))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd262093zd2_5807;
																																																																									BgL_cdrzd262093zd2_5807
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd262088zd2_5805);
																																																																									if ((CAR(BgL_cdrzd262088zd2_5805) == CNST_TABLE_REF(((long) 31))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (PAIRP(BgL_cdrzd262093zd2_5807))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg4847z00_5811;
																																																																													obj_t
																																																																														BgL_arg4848z00_5812;
																																																																													obj_t
																																																																														BgL_arg4849z00_5813;
																																																																													BgL_arg4847z00_5811
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd262041zd2_5789);
																																																																													BgL_arg4848z00_5812
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd262093zd2_5807);
																																																																													BgL_arg4849z00_5813
																																																																														=
																																																																														CDR
																																																																														(BgL_cdrzd262093zd2_5807);
																																																																													return
																																																																														BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																														(BgL_expz00_21,
																																																																														BgL_arg4847z00_5811,
																																																																														BgL_arg4848z00_5812,
																																																																														BgL_arg4849z00_5813,
																																																																														BgL_stackz00_22,
																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																														(BgL_expz00_21,
																																																																															BgL_locz00_23),
																																																																														BgL_sitez00_24);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd262106zd2_5814;
																																																																													BgL_cdrzd262106zd2_5814
																																																																														=
																																																																														CDR
																																																																														(BgL_expz00_21);
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg4850z00_5815;
																																																																														obj_t
																																																																															BgL_arg4851z00_5816;
																																																																														BgL_arg4850z00_5815
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd262106zd2_5814));
																																																																														BgL_arg4851z00_5816
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd262106zd2_5814));
																																																																														{	/* Ast/sexp.scm 555 */
																																																																															obj_t
																																																																																BgL_arg7079z00_13449;
																																																																															BgL_arg7079z00_13449
																																																																																=
																																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																(BgL_expz00_21,
																																																																																BgL_locz00_23);
																																																																															return
																																																																																BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																(BgL_expz00_21,
																																																																																BgL_arg4850z00_5815,
																																																																																CNST_TABLE_REF
																																																																																(((long) 4)), BgL_arg4851z00_5816, BgL_stackz00_22, BgL_arg7079z00_13449, BgL_sitez00_24);
																																																																										}}}}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd262121zd2_5817;
																																																																											BgL_cdrzd262121zd2_5817
																																																																												=
																																																																												CDR
																																																																												(BgL_expz00_21);
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg4852z00_5818;
																																																																												obj_t
																																																																													BgL_arg4853z00_5819;
																																																																												BgL_arg4852z00_5818
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd262121zd2_5817));
																																																																												BgL_arg4853z00_5819
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd262121zd2_5817));
																																																																												{	/* Ast/sexp.scm 555 */
																																																																													obj_t
																																																																														BgL_arg7079z00_13453;
																																																																													BgL_arg7079z00_13453
																																																																														=
																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																														(BgL_expz00_21,
																																																																														BgL_locz00_23);
																																																																													return
																																																																														BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																														(BgL_expz00_21,
																																																																														BgL_arg4852z00_5818,
																																																																														CNST_TABLE_REF
																																																																														(((long) 4)), BgL_arg4853z00_5819, BgL_stackz00_22, BgL_arg7079z00_13453, BgL_sitez00_24);
																																																																								}}}}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd262136zd2_5821;
																																																																									BgL_cdrzd262136zd2_5821
																																																																										=
																																																																										CDR
																																																																										(BgL_expz00_21);
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg4855z00_5822;
																																																																										obj_t
																																																																											BgL_arg4856z00_5823;
																																																																										BgL_arg4855z00_5822
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd262136zd2_5821));
																																																																										BgL_arg4856z00_5823
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd262136zd2_5821));
																																																																										{	/* Ast/sexp.scm 555 */
																																																																											obj_t
																																																																												BgL_arg7079z00_13457;
																																																																											BgL_arg7079z00_13457
																																																																												=
																																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																																												(BgL_expz00_21,
																																																																												BgL_locz00_23);
																																																																											return
																																																																												BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																												(BgL_expz00_21,
																																																																												BgL_arg4855z00_5822,
																																																																												CNST_TABLE_REF
																																																																												(((long) 4)), BgL_arg4856z00_5823, BgL_stackz00_22, BgL_arg7079z00_13457, BgL_sitez00_24);
																																																																						}}}}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_29756;
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_29756);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_21), BUNSPEC))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (NULLP(CDR(BgL_expz00_21)))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2402zd2_1837;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_29766;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1838;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_29766);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1839;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_29770;
																																																																									goto
																																																																										BgL_tagzd2403zd2_1838;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_29770);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1839;
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																			}
																	}
															}
													}
											}
									}
								else
									{	/* Ast/sexp.scm 119 */
										BgL_atomz00_1770 = BgL_expz00_21;
										{	/* Ast/sexp.scm 135 */
											bool_t BgL_test10000z00_29772;

											{	/* Ast/sexp.scm 135 */
												bool_t BgL_test10001z00_29773;

												{	/* Ast/sexp.scm 135 */
													obj_t BgL_classz00_9751;

													BgL_classz00_9751 = BGl_localz00zzast_varz00;
													if (BGL_OBJECTP(BgL_atomz00_1770))
														{	/* Ast/sexp.scm 135 */
															BgL_objectz00_bglt BgL_arg1825z00_9753;

															BgL_arg1825z00_9753 =
																(BgL_objectz00_bglt) (BgL_atomz00_1770);
															{	/* Ast/sexp.scm 135 */
																bool_t BgL_arg1822z00_9756;
																bool_t BgL_arg1823z00_9757;

																{	/* Ast/sexp.scm 135 */
																	long BgL_idxz00_9760;

																	BgL_idxz00_9760 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_9753);
																	BgL_arg1822z00_9756 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_9760 + ((long) 2))) ==
																		BgL_classz00_9751);
																}
																{	/* Ast/sexp.scm 135 */
																	bool_t BgL_res7417z00_9782;

																	{	/* Ast/sexp.scm 135 */
																		obj_t BgL_oclassz00_9768;

																		{	/* Ast/sexp.scm 135 */
																			long BgL_arg1833z00_9774;

																			{	/* Ast/sexp.scm 135 */
																				long BgL_arg1834z00_9775;

																				BgL_arg1834z00_9775 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_9753);
																				BgL_arg1833z00_9774 =
																					(BgL_arg1834z00_9775 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_9768 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_9774);
																		}
																		{	/* Ast/sexp.scm 135 */
																			bool_t BgL__ortest_1110z00_9769;

																			BgL__ortest_1110z00_9769 =
																				(BgL_classz00_9751 ==
																				BgL_oclassz00_9768);
																			if (BgL__ortest_1110z00_9769)
																				{	/* Ast/sexp.scm 135 */
																					BgL_res7417z00_9782 =
																						BgL__ortest_1110z00_9769;
																				}
																			else
																				{	/* Ast/sexp.scm 135 */
																					long BgL_odepthz00_9770;

																					BgL_odepthz00_9770 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_9768);
																					if ((((long) 2) < BgL_odepthz00_9770))
																						{	/* Ast/sexp.scm 135 */
																							obj_t BgL_arg1821z00_9772;

																							BgL_arg1821z00_9772 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_9768,
																								((long) 2));
																							BgL_res7417z00_9782 =
																								(BgL_arg1821z00_9772 ==
																								BgL_classz00_9751);
																						}
																					else
																						{	/* Ast/sexp.scm 135 */
																							BgL_res7417z00_9782 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_9757 = BgL_res7417z00_9782;
																}
																BgL_test10001z00_29773 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_9756,
																	BgL_arg1823z00_9757);
															}
														}
													else
														{	/* Ast/sexp.scm 135 */
															BgL_test10001z00_29773 = ((bool_t) 0);
														}
												}
												if (BgL_test10001z00_29773)
													{	/* Ast/sexp.scm 135 */
														BgL_test10000z00_29772 = ((bool_t) 1);
													}
												else
													{	/* Ast/sexp.scm 135 */
														obj_t BgL_classz00_9783;

														BgL_classz00_9783 = BGl_globalz00zzast_varz00;
														if (BGL_OBJECTP(BgL_atomz00_1770))
															{	/* Ast/sexp.scm 135 */
																BgL_objectz00_bglt BgL_arg1825z00_9785;

																BgL_arg1825z00_9785 =
																	(BgL_objectz00_bglt) (BgL_atomz00_1770);
																{	/* Ast/sexp.scm 135 */
																	bool_t BgL_arg1822z00_9788;
																	bool_t BgL_arg1823z00_9789;

																	{	/* Ast/sexp.scm 135 */
																		long BgL_idxz00_9792;

																		BgL_idxz00_9792 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_9785);
																		BgL_arg1822z00_9788 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_9792 + ((long) 2))) ==
																			BgL_classz00_9783);
																	}
																	{	/* Ast/sexp.scm 135 */
																		bool_t BgL_res7418z00_9814;

																		{	/* Ast/sexp.scm 135 */
																			obj_t BgL_oclassz00_9800;

																			{	/* Ast/sexp.scm 135 */
																				long BgL_arg1833z00_9806;

																				{	/* Ast/sexp.scm 135 */
																					long BgL_arg1834z00_9807;

																					BgL_arg1834z00_9807 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_9785);
																					BgL_arg1833z00_9806 =
																						(BgL_arg1834z00_9807 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_9800 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_9806);
																			}
																			{	/* Ast/sexp.scm 135 */
																				bool_t BgL__ortest_1110z00_9801;

																				BgL__ortest_1110z00_9801 =
																					(BgL_classz00_9783 ==
																					BgL_oclassz00_9800);
																				if (BgL__ortest_1110z00_9801)
																					{	/* Ast/sexp.scm 135 */
																						BgL_res7418z00_9814 =
																							BgL__ortest_1110z00_9801;
																					}
																				else
																					{	/* Ast/sexp.scm 135 */
																						long BgL_odepthz00_9802;

																						BgL_odepthz00_9802 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_9800);
																						if ((((long) 2) <
																								BgL_odepthz00_9802))
																							{	/* Ast/sexp.scm 135 */
																								obj_t BgL_arg1821z00_9804;

																								BgL_arg1821z00_9804 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_9800,
																									((long) 2));
																								BgL_res7418z00_9814 =
																									(BgL_arg1821z00_9804 ==
																									BgL_classz00_9783);
																							}
																						else
																							{	/* Ast/sexp.scm 135 */
																								BgL_res7418z00_9814 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_9789 = BgL_res7418z00_9814;
																	}
																	BgL_test10000z00_29772 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_9788,
																		BgL_arg1823z00_9789);
																}
															}
														else
															{	/* Ast/sexp.scm 135 */
																BgL_test10000z00_29772 = ((bool_t) 0);
															}
													}
											}
											if (BgL_test10000z00_29772)
												{	/* Ast/sexp.scm 135 */
													return
														BGl_variablezd2ze3nodez31zzast_sexpz00
														(BgL_atomz00_1770, BgL_locz00_23, BgL_sitez00_24);
												}
											else
												{	/* Ast/sexp.scm 137 */
													bool_t BgL_test10008z00_29811;

													if (STRUCTP(BgL_atomz00_1770))
														{	/* Ast/sexp.scm 137 */
															BgL_test10008z00_29811 = ((bool_t) 1);
														}
													else
														{	/* Ast/sexp.scm 137 */
															if (VECTORP(BgL_atomz00_1770))
																{	/* Ast/sexp.scm 138 */
																	BgL_test10008z00_29811 = ((bool_t) 1);
																}
															else
																{	/* Ast/sexp.scm 138 */
																	if (BGL_HVECTORP(BgL_atomz00_1770))
																		{	/* Ast/sexp.scm 138 */
																			BgL_test10008z00_29811 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/sexp.scm 138 */
																			if (BGL_OBJECTP(BgL_atomz00_1770))
																				{	/* Ast/sexp.scm 139 */
																					BgL_test10008z00_29811 = ((bool_t) 1);
																				}
																			else
																				{	/* Ast/sexp.scm 139 */
																					BgL_test10008z00_29811 =
																						PROCEDUREP(BgL_atomz00_1770);
																				}
																		}
																}
														}
													if (BgL_test10008z00_29811)
														{	/* Ast/sexp.scm 141 */
															BgL_nodez00_bglt BgL_res7419z00_9820;

															{	/* Ast/sexp.scm 726 */
																obj_t BgL_arg7194z00_9816;
																BgL_nodez00_bglt BgL_arg7195z00_9817;

																BgL_arg7194z00_9816 =
																	BGl_shapez00zztools_shapez00
																	(BGl_currentzd2functionzd2zztools_errorz00());
																BgL_arg7195z00_9817 =
																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																	(CNST_TABLE_REF(((long) 4)), BNIL,
																	BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																{	/* Ast/sexp.scm 725 */
																	obj_t BgL_list7196z00_9819;

																	BgL_list7196z00_9819 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg7195z00_9817), BNIL);
																	BgL_res7419z00_9820 =
																		((BgL_nodez00_bglt)
																		BGl_userzd2errorzf2locationz20zztools_errorz00
																		(BgL_locz00_23, BgL_arg7194z00_9816,
																			BGl_string7499z00zzast_sexpz00,
																			BgL_expz00_21, BgL_list7196z00_9819));
															}}
															return BgL_res7419z00_9820;
														}
													else
														{	/* Ast/sexp.scm 137 */
															if (SYMBOLP(BgL_atomz00_1770))
																{	/* Ast/sexp.scm 147 */
																	obj_t BgL_g1119z00_8429;

																	BgL_g1119z00_8429 =
																		BGl_findzd2localzd2zzast_sexpz00
																		(BgL_atomz00_1770, BgL_stackz00_22);
																	if (CBOOL(BgL_g1119z00_8429))
																		{	/* Ast/sexp.scm 147 */
																			return
																				BGl_variablezd2ze3nodez31zzast_sexpz00
																				(BgL_g1119z00_8429, BgL_locz00_23,
																				BgL_sitez00_24);
																		}
																	else
																		{	/* Ast/sexp.scm 151 */
																			obj_t BgL_globalz00_8432;
																			obj_t BgL_locz00_8433;

																			BgL_globalz00_8432 =
																				BGl_findzd2globalzd2zzast_envz00
																				(BgL_atomz00_1770, BNIL);
																			BgL_locz00_8433 =
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_atomz00_1770, BgL_locz00_23);
																			{	/* Ast/sexp.scm 154 */
																				bool_t BgL_test10015z00_29838;

																				{	/* Ast/sexp.scm 154 */
																					obj_t BgL_classz00_9821;

																					BgL_classz00_9821 =
																						BGl_globalz00zzast_varz00;
																					if (BGL_OBJECTP(BgL_globalz00_8432))
																						{	/* Ast/sexp.scm 154 */
																							BgL_objectz00_bglt
																								BgL_arg1825z00_9823;
																							BgL_arg1825z00_9823 =
																								(BgL_objectz00_bglt)
																								(BgL_globalz00_8432);
																							{	/* Ast/sexp.scm 154 */
																								bool_t BgL_arg1822z00_9826;
																								bool_t BgL_arg1823z00_9827;

																								{	/* Ast/sexp.scm 154 */
																									long BgL_idxz00_9830;

																									BgL_idxz00_9830 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1825z00_9823);
																									BgL_arg1822z00_9826 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_9830 +
																												((long) 2))) ==
																										BgL_classz00_9821);
																								}
																								{	/* Ast/sexp.scm 154 */
																									bool_t BgL_res7420z00_9852;

																									{	/* Ast/sexp.scm 154 */
																										obj_t BgL_oclassz00_9838;

																										{	/* Ast/sexp.scm 154 */
																											long BgL_arg1833z00_9844;

																											{	/* Ast/sexp.scm 154 */
																												long
																													BgL_arg1834z00_9845;
																												BgL_arg1834z00_9845 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1825z00_9823);
																												BgL_arg1833z00_9844 =
																													(BgL_arg1834z00_9845 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_9838 =
																												VECTOR_REF
																												(BGl_za2classesza2z00zz__objectz00,
																												BgL_arg1833z00_9844);
																										}
																										{	/* Ast/sexp.scm 154 */
																											bool_t
																												BgL__ortest_1110z00_9839;
																											BgL__ortest_1110z00_9839 =
																												(BgL_classz00_9821 ==
																												BgL_oclassz00_9838);
																											if (BgL__ortest_1110z00_9839)
																												{	/* Ast/sexp.scm 154 */
																													BgL_res7420z00_9852 =
																														BgL__ortest_1110z00_9839;
																												}
																											else
																												{	/* Ast/sexp.scm 154 */
																													long
																														BgL_odepthz00_9840;
																													BgL_odepthz00_9840 =
																														BGL_CLASS_DEPTH
																														(BgL_oclassz00_9838);
																													if ((((long) 2) <
																															BgL_odepthz00_9840))
																														{	/* Ast/sexp.scm 154 */
																															obj_t
																																BgL_arg1821z00_9842;
																															BgL_arg1821z00_9842
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_oclassz00_9838,
																																((long) 2));
																															BgL_res7420z00_9852
																																=
																																(BgL_arg1821z00_9842
																																==
																																BgL_classz00_9821);
																														}
																													else
																														{	/* Ast/sexp.scm 154 */
																															BgL_res7420z00_9852
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_arg1823z00_9827 =
																										BgL_res7420z00_9852;
																								}
																								BgL_test10015z00_29838 =
																									BGL_ISA_C_BACKEND
																									(BgL_arg1822z00_9826,
																									BgL_arg1823z00_9827);
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 154 */
																							BgL_test10015z00_29838 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test10015z00_29838)
																					{	/* Ast/sexp.scm 154 */
																						if (
																							((((BgL_globalz00_bglt) COBJECT(
																											((BgL_globalz00_bglt)
																												BgL_globalz00_8432)))->
																									BgL_importz00) ==
																								CNST_TABLE_REF(((long) 10))))
																							{	/* Ast/sexp.scm 157 */
																								obj_t BgL_arg6721z00_8437;

																								{	/* Ast/sexp.scm 157 */
																									obj_t BgL_arg6722z00_8438;

																									{	/* Ast/sexp.scm 157 */
																										obj_t BgL_arg6723z00_8439;

																										{	/* Ast/sexp.scm 157 */
																											obj_t BgL_arg6724z00_8440;

																											BgL_arg6724z00_8440 =
																												MAKE_YOUNG_PAIR
																												(BgL_atomz00_1770,
																												BNIL);
																											BgL_arg6723z00_8439 =
																												MAKE_YOUNG_PAIR
																												(CNST_TABLE_REF(((long)
																														12)),
																												BgL_arg6724z00_8440);
																										}
																										BgL_arg6722z00_8438 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg6723z00_8439,
																											BNIL);
																									}
																									BgL_arg6721z00_8437 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												10)),
																										BgL_arg6722z00_8438);
																								}
																								{
																									obj_t BgL_locz00_29869;
																									obj_t BgL_expz00_29868;

																									BgL_expz00_29868 =
																										BgL_arg6721z00_8437;
																									BgL_locz00_29869 =
																										BgL_locz00_8433;
																									BgL_locz00_23 =
																										BgL_locz00_29869;
																									BgL_expz00_21 =
																										BgL_expz00_29868;
																									goto
																										BGl_sexpzd2ze3nodez31zzast_sexpz00;
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 156 */
																								return
																									BGl_variablezd2ze3nodez31zzast_sexpz00
																									(BgL_globalz00_8432,
																									BgL_locz00_8433,
																									BgL_sitez00_24);
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 155 */
																						BgL_nodez00_bglt
																							BgL_res7421z00_9859;
																						{	/* Ast/sexp.scm 726 */
																							obj_t BgL_arg7194z00_9855;
																							BgL_nodez00_bglt
																								BgL_arg7195z00_9856;
																							BgL_arg7194z00_9855 =
																								BGl_shapez00zztools_shapez00
																								(BGl_currentzd2functionzd2zztools_errorz00
																								());
																							BgL_arg7195z00_9856 =
																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																								(CNST_TABLE_REF(((long) 4)),
																								BNIL, BgL_locz00_8433,
																								CNST_TABLE_REF(((long) 2)));
																							{	/* Ast/sexp.scm 725 */
																								obj_t BgL_list7196z00_9858;

																								BgL_list7196z00_9858 =
																									MAKE_YOUNG_PAIR(
																									((obj_t) BgL_arg7195z00_9856),
																									BNIL);
																								BgL_res7421z00_9859 =
																									((BgL_nodez00_bglt)
																									BGl_userzd2errorzf2locationz20zztools_errorz00
																									(BgL_locz00_8433,
																										BgL_arg7194z00_9855,
																										BGl_string7498z00zzast_sexpz00,
																										BgL_expz00_21,
																										BgL_list7196z00_9858));
																						}}
																						return BgL_res7421z00_9859;
																					}
																			}
																		}
																}
															else
																{	/* Ast/sexp.scm 143 */
																	BgL_literalz00_bglt BgL_new1118z00_8443;

																	{	/* Ast/sexp.scm 144 */
																		BgL_literalz00_bglt BgL_new1117z00_8444;

																		BgL_new1117z00_8444 =
																			((BgL_literalz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_literalz00_bgl))));
																		{	/* Ast/sexp.scm 144 */
																			long BgL_arg6727z00_8445;

																			BgL_arg6727z00_8445 =
																				BGL_CLASS_NUM
																				(BGl_literalz00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1117z00_8444),
																				BgL_arg6727z00_8445);
																		}
																		{	/* Ast/sexp.scm 144 */
																			BgL_objectz00_bglt BgL_tmpz00_29884;

																			BgL_tmpz00_29884 =
																				((BgL_objectz00_bglt)
																				BgL_new1117z00_8444);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_29884,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1117z00_8444);
																		BgL_new1118z00_8443 = BgL_new1117z00_8444;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1118z00_8443)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_23), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1118z00_8443)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt)
																			BGl_getzd2typezd2atomz00zztype_typeofz00
																			(BgL_atomz00_1770)), BUNSPEC);
																	((((BgL_atomz00_bglt)
																				COBJECT(((BgL_atomz00_bglt)
																						BgL_new1118z00_8443)))->
																			BgL_valuez00) =
																		((obj_t) BgL_atomz00_1770), BUNSPEC);
																	return ((BgL_nodez00_bglt)
																		BgL_new1118z00_8443);
																}
														}
												}
										}
									}
							}
					}
			}
		}

	}



/* liip~0 */
	obj_t BGl_liipze70ze7zzast_sexpz00(obj_t BgL_argsz00_8856)
	{
		{	/* Ast/sexp.scm 399 */
			if (NULLP(BgL_argsz00_8856))
				{	/* Ast/sexp.scm 400 */
					return CNST_TABLE_REF(((long) 4));
				}
			else
				{	/* Ast/sexp.scm 402 */
					obj_t BgL_arg6970z00_8859;

					{	/* Ast/sexp.scm 402 */
						obj_t BgL_arg6971z00_8860;
						obj_t BgL_arg6972z00_8861;

						BgL_arg6971z00_8860 = CAR(((obj_t) BgL_argsz00_8856));
						{	/* Ast/sexp.scm 403 */
							obj_t BgL_arg6973z00_8862;

							{	/* Ast/sexp.scm 403 */
								obj_t BgL_arg6974z00_8863;

								BgL_arg6974z00_8863 = CDR(((obj_t) BgL_argsz00_8856));
								BgL_arg6973z00_8862 =
									BGl_liipze70ze7zzast_sexpz00(BgL_arg6974z00_8863);
							}
							BgL_arg6972z00_8861 = MAKE_YOUNG_PAIR(BgL_arg6973z00_8862, BNIL);
						}
						BgL_arg6970z00_8859 =
							MAKE_YOUNG_PAIR(BgL_arg6971z00_8860, BgL_arg6972z00_8861);
					}
					return
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 32)), BgL_arg6970z00_8859);
		}}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzast_sexpz00(obj_t BgL_expz00_14284,
		obj_t BgL_locz00_14283, obj_t BgL_varsz00_8818, obj_t BgL_argsz00_8819)
	{
		{	/* Ast/sexp.scm 384 */
		BGl_loopze70ze7zzast_sexpz00:
			if (NULLP(BgL_varsz00_8818))
				{	/* Ast/sexp.scm 387 */
					if (NULLP(BgL_argsz00_8819))
						{	/* Ast/sexp.scm 388 */
							return BNIL;
						}
					else
						{	/* Ast/sexp.scm 388 */
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_14283,
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00()),
								BGl_string7501z00zzast_sexpz00, BgL_expz00_14284, BNIL);
						}
				}
			else
				{	/* Ast/sexp.scm 387 */
					if (PAIRP(BgL_varsz00_8818))
						{	/* Ast/sexp.scm 395 */
							if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
									(BgL_varsz00_8818)))
								{	/* Ast/sexp.scm 405 */
									obj_t BgL_argz00_8829;

									BgL_argz00_8829 =
										BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(CDR
										(BgL_varsz00_8818));
									if (CBOOL(BgL_argz00_8829))
										{
											obj_t BgL_varsz00_29924;

											BgL_varsz00_29924 = BgL_argz00_8829;
											BgL_varsz00_8818 = BgL_varsz00_29924;
											goto BGl_loopze70ze7zzast_sexpz00;
										}
									else
										{
											obj_t BgL_varsz00_29925;

											BgL_varsz00_29925 = BNIL;
											BgL_varsz00_8818 = BgL_varsz00_29925;
											goto BGl_loopze70ze7zzast_sexpz00;
										}
								}
							else
								{	/* Ast/sexp.scm 410 */
									bool_t BgL_test10026z00_29926;

									{	/* Ast/sexp.scm 410 */
										obj_t BgL_tmpz00_29927;

										BgL_tmpz00_29927 = CAR(BgL_varsz00_8818);
										BgL_test10026z00_29926 = SYMBOLP(BgL_tmpz00_29927);
									}
									if (BgL_test10026z00_29926)
										{	/* Ast/sexp.scm 410 */
											if (NULLP(BgL_argsz00_8819))
												{	/* Ast/sexp.scm 416 */
													return
														BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_locz00_14283,
														BGl_shapez00zztools_shapez00
														(BGl_currentzd2functionzd2zztools_errorz00()),
														BGl_string7501z00zzast_sexpz00, BgL_expz00_14284,
														BNIL);
												}
											else
												{	/* Ast/sexp.scm 423 */
													obj_t BgL_arg6950z00_8837;
													obj_t BgL_arg6951z00_8838;

													{	/* Ast/sexp.scm 423 */
														obj_t BgL_arg6952z00_8839;
														obj_t BgL_arg6953z00_8840;

														BgL_arg6952z00_8839 = CAR(BgL_varsz00_8818);
														BgL_arg6953z00_8840 =
															CAR(((obj_t) BgL_argsz00_8819));
														{	/* Ast/sexp.scm 423 */
															obj_t BgL_list6954z00_8841;

															{	/* Ast/sexp.scm 423 */
																obj_t BgL_arg6955z00_8842;

																BgL_arg6955z00_8842 =
																	MAKE_YOUNG_PAIR(BgL_arg6953z00_8840, BNIL);
																BgL_list6954z00_8841 =
																	MAKE_YOUNG_PAIR(BgL_arg6952z00_8839,
																	BgL_arg6955z00_8842);
															}
															BgL_arg6950z00_8837 = BgL_list6954z00_8841;
														}
													}
													{	/* Ast/sexp.scm 424 */
														obj_t BgL_arg6956z00_8843;
														obj_t BgL_arg6957z00_8844;

														BgL_arg6956z00_8843 = CDR(BgL_varsz00_8818);
														BgL_arg6957z00_8844 =
															CDR(((obj_t) BgL_argsz00_8819));
														BgL_arg6951z00_8838 =
															BGl_loopze70ze7zzast_sexpz00(BgL_expz00_14284,
															BgL_locz00_14283, BgL_arg6956z00_8843,
															BgL_arg6957z00_8844);
													}
													return
														MAKE_YOUNG_PAIR(BgL_arg6950z00_8837,
														BgL_arg6951z00_8838);
												}
										}
									else
										{	/* Ast/sexp.scm 410 */
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_locz00_14283,
												BGl_shapez00zztools_shapez00
												(BGl_currentzd2functionzd2zztools_errorz00()),
												BGl_string7502z00zzast_sexpz00, BgL_expz00_14284, BNIL);
										}
								}
						}
					else
						{	/* Ast/sexp.scm 400 */
							obj_t BgL_arg6963z00_8850;

							{	/* Ast/sexp.scm 400 */
								obj_t BgL_arg6965z00_8852;

								BgL_arg6965z00_8852 =
									BGl_liipze70ze7zzast_sexpz00(BgL_argsz00_8819);
								{	/* Ast/sexp.scm 397 */
									obj_t BgL_list6966z00_8853;

									{	/* Ast/sexp.scm 397 */
										obj_t BgL_arg6967z00_8854;

										BgL_arg6967z00_8854 =
											MAKE_YOUNG_PAIR(BgL_arg6965z00_8852, BNIL);
										BgL_list6966z00_8853 =
											MAKE_YOUNG_PAIR(BgL_varsz00_8818, BgL_arg6967z00_8854);
									}
									BgL_arg6963z00_8850 = BgL_list6966z00_8853;
								}
							}
							{	/* Ast/sexp.scm 396 */
								obj_t BgL_list6964z00_8851;

								BgL_list6964z00_8851 =
									MAKE_YOUNG_PAIR(BgL_arg6963z00_8850, BNIL);
								return BgL_list6964z00_8851;
							}
						}
				}
		}

	}



/* &sexp->node */
	BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t BgL_envz00_14241,
		obj_t BgL_expz00_14242, obj_t BgL_stackz00_14243, obj_t BgL_locz00_14244,
		obj_t BgL_sitez00_14245)
	{
		{	/* Ast/sexp.scm 114 */
			return
				BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_14242, BgL_stackz00_14243,
				BgL_locz00_14244, BgL_sitez00_14245);
		}

	}



/* &<@anonymous:6980> */
	obj_t BGl_z62zc3z04anonymousza36980ze3ze5zzast_sexpz00(obj_t BgL_envz00_14246,
		obj_t BgL_objz00_14248, obj_t BgL_procz00_14249, obj_t BgL_msgz00_14250)
	{
		{	/* Ast/sexp.scm 429 */
			return
				BGl_userzd2errorzf2locationz20zztools_errorz00(PROCEDURE_REF
				(BgL_envz00_14246, (int) (((long) 0))), BgL_objz00_14248,
				BgL_procz00_14249, BgL_msgz00_14250, BNIL);
		}

	}



/* lambda->node */
	BgL_nodez00_bglt BGl_lambdazd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_25,
		obj_t BgL_stackz00_26, obj_t BgL_locz00_27, obj_t BgL_sitez00_28,
		obj_t BgL_prefnamez00_29)
	{
		{	/* Ast/sexp.scm 574 */
			{
				obj_t BgL_argsz00_9044;
				obj_t BgL_bodyz00_9045;

				if (PAIRP(BgL_expz00_25))
					{	/* Ast/sexp.scm 575 */
						obj_t BgL_cdrzd262408zd2_9050;

						BgL_cdrzd262408zd2_9050 = CDR(BgL_expz00_25);
						if (PAIRP(BgL_cdrzd262408zd2_9050))
							{	/* Ast/sexp.scm 575 */
								BgL_argsz00_9044 = CAR(BgL_cdrzd262408zd2_9050);
								BgL_bodyz00_9045 = CDR(BgL_cdrzd262408zd2_9050);
								{	/* Ast/sexp.scm 577 */
									obj_t BgL_locz00_9054;
									obj_t BgL_funz00_9055;

									BgL_locz00_9054 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_expz00_25, BgL_locz00_27);
									{	/* Ast/sexp.scm 578 */
										obj_t BgL_list7094z00_9065;

										BgL_list7094z00_9065 =
											MAKE_YOUNG_PAIR(BgL_prefnamez00_29, BNIL);
										BgL_funz00_9055 =
											BGl_makezd2anonymouszd2namez00zzast_sexpz00(BgL_locz00_27,
											BgL_list7094z00_9065);
									}
									{	/* Ast/sexp.scm 579 */
										obj_t BgL_arg7085z00_9056;

										{	/* Ast/sexp.scm 579 */
											obj_t BgL_arg7086z00_9057;
											obj_t BgL_arg7087z00_9058;

											BgL_arg7086z00_9057 =
												BGl_labelszd2symzd2zzast_labelsz00();
											{	/* Ast/sexp.scm 579 */
												obj_t BgL_arg7088z00_9059;
												obj_t BgL_arg7089z00_9060;

												{	/* Ast/sexp.scm 579 */
													obj_t BgL_arg7090z00_9061;

													{	/* Ast/sexp.scm 579 */
														obj_t BgL_arg7091z00_9062;

														{	/* Ast/sexp.scm 579 */
															obj_t BgL_arg7092z00_9063;

															BgL_arg7092z00_9063 =
																MAKE_YOUNG_PAIR
																(BGl_normaliza7ezd2prognz75zztools_prognz00
																(BgL_bodyz00_9045), BNIL);
															BgL_arg7091z00_9062 =
																MAKE_YOUNG_PAIR(BgL_argsz00_9044,
																BgL_arg7092z00_9063);
														}
														BgL_arg7090z00_9061 =
															MAKE_YOUNG_PAIR(BgL_funz00_9055,
															BgL_arg7091z00_9062);
													}
													BgL_arg7088z00_9059 =
														MAKE_YOUNG_PAIR(BgL_arg7090z00_9061, BNIL);
												}
												BgL_arg7089z00_9060 =
													MAKE_YOUNG_PAIR(BgL_funz00_9055, BNIL);
												BgL_arg7087z00_9058 =
													MAKE_YOUNG_PAIR(BgL_arg7088z00_9059,
													BgL_arg7089z00_9060);
											}
											BgL_arg7085z00_9056 =
												MAKE_YOUNG_PAIR(BgL_arg7086z00_9057,
												BgL_arg7087z00_9058);
										}
										return
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7085z00_9056,
											BgL_stackz00_26, BgL_locz00_9054, BgL_sitez00_28);
									}
								}
							}
						else
							{	/* Ast/sexp.scm 575 */
							BgL_tagzd262401zd2_9047:
								{	/* Ast/sexp.scm 586 */
									obj_t BgL_arg7095z00_9066;

									BgL_arg7095z00_9066 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_expz00_25, BgL_locz00_27);
									{	/* Ast/sexp.scm 584 */
										BgL_nodez00_bglt BgL_res7454z00_13465;

										{	/* Ast/sexp.scm 726 */
											obj_t BgL_arg7194z00_13461;
											BgL_nodez00_bglt BgL_arg7195z00_13462;

											BgL_arg7194z00_13461 =
												BGl_shapez00zztools_shapez00
												(BGl_currentzd2functionzd2zztools_errorz00());
											BgL_arg7195z00_13462 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF((
														(long) 4)), BNIL, BgL_arg7095z00_9066,
												CNST_TABLE_REF(((long) 2)));
											{	/* Ast/sexp.scm 725 */
												obj_t BgL_list7196z00_13464;

												BgL_list7196z00_13464 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg7195z00_13462), BNIL);
												BgL_res7454z00_13465 =
													((BgL_nodez00_bglt)
													BGl_userzd2errorzf2locationz20zztools_errorz00
													(BgL_arg7095z00_9066, BgL_arg7194z00_13461,
														BGl_string7503z00zzast_sexpz00, BgL_expz00_25,
														BgL_list7196z00_13464));
										}}
										return BgL_res7454z00_13465;
									}
								}
							}
					}
				else
					{	/* Ast/sexp.scm 575 */
						goto BgL_tagzd262401zd2_9047;
					}
			}
		}

	}



/* variable->node */
	BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t BgL_vz00_30,
		obj_t BgL_locz00_31, obj_t BgL_sitez00_32)
	{
		{	/* Ast/sexp.scm 591 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_vz00_30), BgL_locz00_31, BgL_sitez00_32);
			{	/* Ast/sexp.scm 593 */
				bool_t BgL_test10030z00_29988;

				if ((BgL_sitez00_32 == CNST_TABLE_REF(((long) 33))))
					{	/* Ast/sexp.scm 593 */
						BgL_test10030z00_29988 = ((bool_t) 0);
					}
				else
					{	/* Ast/sexp.scm 593 */
						BgL_valuez00_bglt BgL_arg7118z00_9098;

						BgL_arg7118z00_9098 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_vz00_30)))->BgL_valuez00);
						{	/* Ast/sexp.scm 593 */
							obj_t BgL_classz00_13470;

							BgL_classz00_13470 = BGl_funz00zzast_varz00;
							{	/* Ast/sexp.scm 593 */
								BgL_objectz00_bglt BgL_arg1825z00_13472;

								{	/* Ast/sexp.scm 593 */
									obj_t BgL_tmpz00_29994;

									BgL_tmpz00_29994 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg7118z00_9098));
									BgL_arg1825z00_13472 =
										(BgL_objectz00_bglt) (BgL_tmpz00_29994);
								}
								{	/* Ast/sexp.scm 593 */
									bool_t BgL_arg1822z00_13475;
									bool_t BgL_arg1823z00_13476;

									{	/* Ast/sexp.scm 593 */
										long BgL_idxz00_13479;

										BgL_idxz00_13479 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_13472);
										BgL_arg1822z00_13475 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_13479 + ((long) 2))) == BgL_classz00_13470);
									}
									{	/* Ast/sexp.scm 593 */
										bool_t BgL_res7455z00_13501;

										{	/* Ast/sexp.scm 593 */
											obj_t BgL_oclassz00_13487;

											{	/* Ast/sexp.scm 593 */
												long BgL_arg1833z00_13493;

												{	/* Ast/sexp.scm 593 */
													long BgL_arg1834z00_13494;

													BgL_arg1834z00_13494 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_13472);
													BgL_arg1833z00_13493 =
														(BgL_arg1834z00_13494 - OBJECT_TYPE);
												}
												BgL_oclassz00_13487 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_13493);
											}
											{	/* Ast/sexp.scm 593 */
												bool_t BgL__ortest_1110z00_13488;

												BgL__ortest_1110z00_13488 =
													(BgL_classz00_13470 == BgL_oclassz00_13487);
												if (BgL__ortest_1110z00_13488)
													{	/* Ast/sexp.scm 593 */
														BgL_res7455z00_13501 = BgL__ortest_1110z00_13488;
													}
												else
													{	/* Ast/sexp.scm 593 */
														long BgL_odepthz00_13489;

														BgL_odepthz00_13489 =
															BGL_CLASS_DEPTH(BgL_oclassz00_13487);
														if ((((long) 2) < BgL_odepthz00_13489))
															{	/* Ast/sexp.scm 593 */
																obj_t BgL_arg1821z00_13491;

																BgL_arg1821z00_13491 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_13487,
																	((long) 2));
																BgL_res7455z00_13501 =
																	(BgL_arg1821z00_13491 == BgL_classz00_13470);
															}
														else
															{	/* Ast/sexp.scm 593 */
																BgL_res7455z00_13501 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_13476 = BgL_res7455z00_13501;
									}
									BgL_test10030z00_29988 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_13475,
										BgL_arg1823z00_13476);
								}
							}
						}
					}
				if (BgL_test10030z00_29988)
					{	/* Ast/sexp.scm 594 */
						bool_t BgL_test10034z00_30013;

						{	/* Ast/sexp.scm 594 */
							bool_t BgL_test10035z00_30014;

							{	/* Ast/sexp.scm 594 */
								obj_t BgL_classz00_13502;

								BgL_classz00_13502 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_vz00_30))
									{	/* Ast/sexp.scm 594 */
										BgL_objectz00_bglt BgL_arg1825z00_13504;

										BgL_arg1825z00_13504 = (BgL_objectz00_bglt) (BgL_vz00_30);
										{	/* Ast/sexp.scm 594 */
											bool_t BgL_arg1822z00_13507;
											bool_t BgL_arg1823z00_13508;

											{	/* Ast/sexp.scm 594 */
												long BgL_idxz00_13511;

												BgL_idxz00_13511 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_13504);
												BgL_arg1822z00_13507 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_13511 + ((long) 2))) ==
													BgL_classz00_13502);
											}
											{	/* Ast/sexp.scm 594 */
												bool_t BgL_res7456z00_13533;

												{	/* Ast/sexp.scm 594 */
													obj_t BgL_oclassz00_13519;

													{	/* Ast/sexp.scm 594 */
														long BgL_arg1833z00_13525;

														{	/* Ast/sexp.scm 594 */
															long BgL_arg1834z00_13526;

															BgL_arg1834z00_13526 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_13504);
															BgL_arg1833z00_13525 =
																(BgL_arg1834z00_13526 - OBJECT_TYPE);
														}
														BgL_oclassz00_13519 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_13525);
													}
													{	/* Ast/sexp.scm 594 */
														bool_t BgL__ortest_1110z00_13520;

														BgL__ortest_1110z00_13520 =
															(BgL_classz00_13502 == BgL_oclassz00_13519);
														if (BgL__ortest_1110z00_13520)
															{	/* Ast/sexp.scm 594 */
																BgL_res7456z00_13533 =
																	BgL__ortest_1110z00_13520;
															}
														else
															{	/* Ast/sexp.scm 594 */
																long BgL_odepthz00_13521;

																BgL_odepthz00_13521 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_13519);
																if ((((long) 2) < BgL_odepthz00_13521))
																	{	/* Ast/sexp.scm 594 */
																		obj_t BgL_arg1821z00_13523;

																		BgL_arg1821z00_13523 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_13519, ((long) 2));
																		BgL_res7456z00_13533 =
																			(BgL_arg1821z00_13523 ==
																			BgL_classz00_13502);
																	}
																else
																	{	/* Ast/sexp.scm 594 */
																		BgL_res7456z00_13533 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_13508 = BgL_res7456z00_13533;
											}
											BgL_test10035z00_30014 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_13507,
												BgL_arg1823z00_13508);
										}
									}
								else
									{	/* Ast/sexp.scm 594 */
										BgL_test10035z00_30014 = ((bool_t) 0);
									}
							}
							if (BgL_test10035z00_30014)
								{	/* Ast/sexp.scm 595 */
									bool_t BgL_test10039z00_30033;

									{	/* Ast/sexp.scm 595 */
										BgL_valuez00_bglt BgL_arg7115z00_9092;

										BgL_arg7115z00_9092 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_30))))->
											BgL_valuez00);
										{	/* Ast/sexp.scm 595 */
											obj_t BgL_classz00_13535;

											BgL_classz00_13535 = BGl_cfunz00zzast_varz00;
											{	/* Ast/sexp.scm 595 */
												BgL_objectz00_bglt BgL_arg1825z00_13537;

												{	/* Ast/sexp.scm 595 */
													obj_t BgL_tmpz00_30037;

													BgL_tmpz00_30037 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg7115z00_9092));
													BgL_arg1825z00_13537 =
														(BgL_objectz00_bglt) (BgL_tmpz00_30037);
												}
												{	/* Ast/sexp.scm 595 */
													bool_t BgL_arg1822z00_13540;
													bool_t BgL_arg1823z00_13541;

													{	/* Ast/sexp.scm 595 */
														long BgL_idxz00_13544;

														BgL_idxz00_13544 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_13537);
														BgL_arg1822z00_13540 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_13544 + ((long) 3))) ==
															BgL_classz00_13535);
													}
													{	/* Ast/sexp.scm 595 */
														bool_t BgL_res7457z00_13566;

														{	/* Ast/sexp.scm 595 */
															obj_t BgL_oclassz00_13552;

															{	/* Ast/sexp.scm 595 */
																long BgL_arg1833z00_13558;

																{	/* Ast/sexp.scm 595 */
																	long BgL_arg1834z00_13559;

																	BgL_arg1834z00_13559 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_13537);
																	BgL_arg1833z00_13558 =
																		(BgL_arg1834z00_13559 - OBJECT_TYPE);
																}
																BgL_oclassz00_13552 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_13558);
															}
															{	/* Ast/sexp.scm 595 */
																bool_t BgL__ortest_1110z00_13553;

																BgL__ortest_1110z00_13553 =
																	(BgL_classz00_13535 == BgL_oclassz00_13552);
																if (BgL__ortest_1110z00_13553)
																	{	/* Ast/sexp.scm 595 */
																		BgL_res7457z00_13566 =
																			BgL__ortest_1110z00_13553;
																	}
																else
																	{	/* Ast/sexp.scm 595 */
																		long BgL_odepthz00_13554;

																		BgL_odepthz00_13554 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_13552);
																		if ((((long) 3) < BgL_odepthz00_13554))
																			{	/* Ast/sexp.scm 595 */
																				obj_t BgL_arg1821z00_13556;

																				BgL_arg1821z00_13556 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_13552, ((long) 3));
																				BgL_res7457z00_13566 =
																					(BgL_arg1821z00_13556 ==
																					BgL_classz00_13535);
																			}
																		else
																			{	/* Ast/sexp.scm 595 */
																				BgL_res7457z00_13566 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_13541 = BgL_res7457z00_13566;
													}
													BgL_test10039z00_30033 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_13540,
														BgL_arg1823z00_13541);
												}
											}
										}
									}
									if (BgL_test10039z00_30033)
										{	/* Ast/sexp.scm 596 */
											bool_t BgL_test10042z00_30056;

											{	/* Ast/sexp.scm 596 */
												obj_t BgL_arg7114z00_9091;

												BgL_arg7114z00_9091 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_test10042z00_30056 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg7114z00_9091)))->
													BgL_foreignzd2closurezd2);
											}
											if (BgL_test10042z00_30056)
												{	/* Ast/sexp.scm 596 */
													BgL_test10034z00_30013 = ((bool_t) 0);
												}
											else
												{	/* Ast/sexp.scm 596 */
													if ((BgL_sitez00_32 == CNST_TABLE_REF(((long) 30))))
														{	/* Ast/sexp.scm 597 */
															BgL_test10034z00_30013 = ((bool_t) 0);
														}
													else
														{	/* Ast/sexp.scm 597 */
															BgL_test10034z00_30013 = ((bool_t) 1);
														}
												}
										}
									else
										{	/* Ast/sexp.scm 595 */
											BgL_test10034z00_30013 = ((bool_t) 0);
										}
								}
							else
								{	/* Ast/sexp.scm 594 */
									BgL_test10034z00_30013 = ((bool_t) 0);
								}
						}
						if (BgL_test10034z00_30013)
							{	/* Ast/sexp.scm 599 */
								obj_t BgL_arg7108z00_9079;

								{	/* Ast/sexp.scm 599 */
									obj_t BgL_arg7109z00_9080;

									{	/* Ast/sexp.scm 599 */
										obj_t BgL_arg7111z00_9082;

										BgL_arg7111z00_9082 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_arg7109z00_9080 =
											(((BgL_backendz00_bglt) COBJECT(
													((BgL_backendz00_bglt) BgL_arg7111z00_9082)))->
											BgL_namez00);
									}
									{	/* Ast/sexp.scm 599 */
										obj_t BgL_list7110z00_9081;

										BgL_list7110z00_9081 =
											MAKE_YOUNG_PAIR(BgL_arg7109z00_9080, BNIL);
										BgL_arg7108z00_9079 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string7504z00zzast_sexpz00, BgL_list7110z00_9081);
									}
								}
								return
									BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
									(BgL_arg7108z00_9079, BGl_expzd2envzd2zz__r4_numbers_6_5z00,
									BgL_locz00_31);
							}
						else
							{	/* Ast/sexp.scm 600 */
								BgL_closurez00_bglt BgL_new1148z00_9083;

								{	/* Ast/sexp.scm 601 */
									BgL_closurez00_bglt BgL_new1147z00_9085;

									BgL_new1147z00_9085 =
										((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_closurez00_bgl))));
									{	/* Ast/sexp.scm 601 */
										long BgL_arg7113z00_9086;

										BgL_arg7113z00_9086 =
											BGL_CLASS_NUM(BGl_closurez00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1147z00_9085),
											BgL_arg7113z00_9086);
									}
									{	/* Ast/sexp.scm 601 */
										BgL_objectz00_bglt BgL_tmpz00_30073;

										BgL_tmpz00_30073 =
											((BgL_objectz00_bglt) BgL_new1147z00_9085);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_30073, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1147z00_9085);
									BgL_new1148z00_9083 = BgL_new1147z00_9085;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1148z00_9083)))->
										BgL_locz00) = ((obj_t) BgL_locz00_31), BUNSPEC);
								{
									BgL_typez00_bglt BgL_auxz00_30079;

									{	/* Ast/sexp.scm 602 */
										BgL_typez00_bglt BgL_arg7112z00_9084;

										BgL_arg7112z00_9084 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_vz00_30)))->BgL_typez00);
										BgL_auxz00_30079 =
											BGl_strictzd2nodezd2typez00zzast_nodez00(
											((BgL_typez00_bglt)
												BGl_za2procedureza2z00zztype_cachez00),
											BgL_arg7112z00_9084);
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1148z00_9083)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_30079), BUNSPEC);
								}
								((((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_new1148z00_9083)))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_30)),
									BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1148z00_9083);
							}
					}
				else
					{	/* Ast/sexp.scm 604 */
						BgL_refz00_bglt BgL_new1150z00_9093;

						{	/* Ast/sexp.scm 605 */
							BgL_refz00_bglt BgL_new1149z00_9095;

							BgL_new1149z00_9095 =
								((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_refz00_bgl))));
							{	/* Ast/sexp.scm 605 */
								long BgL_arg7117z00_9096;

								BgL_arg7117z00_9096 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1149z00_9095),
									BgL_arg7117z00_9096);
							}
							{	/* Ast/sexp.scm 605 */
								BgL_objectz00_bglt BgL_tmpz00_30094;

								BgL_tmpz00_30094 = ((BgL_objectz00_bglt) BgL_new1149z00_9095);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_30094, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1149z00_9095);
							BgL_new1150z00_9093 = BgL_new1149z00_9095;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1150z00_9093)))->BgL_locz00) =
							((obj_t) BgL_locz00_31), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_30100;

							{	/* Ast/sexp.scm 606 */
								BgL_typez00_bglt BgL_arg7116z00_9094;

								BgL_arg7116z00_9094 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_30)))->BgL_typez00);
								BgL_auxz00_30100 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
									BgL_arg7116z00_9094);
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1150z00_9093)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_30100), BUNSPEC);
						}
						((((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_new1150z00_9093)))->
								BgL_variablez00) =
							((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_30)),
							BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1150z00_9093);
					}
			}
		}

	}



/* call->node */
	BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_33,
		obj_t BgL_stackz00_34, obj_t BgL_locz00_35, obj_t BgL_sitez00_36)
	{
		{	/* Ast/sexp.scm 612 */
			{	/* Ast/sexp.scm 613 */
				obj_t BgL_callerz00_9099;
				obj_t BgL_locz00_9100;

				BgL_callerz00_9099 = CAR(((obj_t) BgL_expz00_33));
				BgL_locz00_9100 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_33,
					BgL_locz00_35);
				if (SYMBOLP(BgL_callerz00_9099))
					{	/* Ast/sexp.scm 617 */
						obj_t BgL_pidz00_9102;

						BgL_pidz00_9102 =
							BGl_parsezd2idzd2zzast_identz00(BgL_callerz00_9099,
							BgL_locz00_9100);
						{	/* Ast/sexp.scm 617 */
							obj_t BgL_idz00_9103;

							BgL_idz00_9103 = CAR(BgL_pidz00_9102);
							{	/* Ast/sexp.scm 618 */
								obj_t BgL_typez00_9104;

								BgL_typez00_9104 = CDR(BgL_pidz00_9102);
								{	/* Ast/sexp.scm 619 */

									if ((BgL_idz00_9103 == CNST_TABLE_REF(((long) 6))))
										{	/* Ast/sexp.scm 620 */
											return
												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t)
													0), BFALSE, ((BgL_typez00_bglt) BgL_typez00_9104),
												BgL_expz00_33, BgL_stackz00_34, BgL_locz00_9100,
												BgL_sitez00_36);
										}
									else
										{	/* Ast/sexp.scm 620 */
											if ((BgL_idz00_9103 == CNST_TABLE_REF(((long) 21))))
												{	/* Ast/sexp.scm 624 */
													bool_t BgL_test10047z00_30127;

													{	/* Ast/sexp.scm 624 */
														obj_t BgL_tmpz00_30128;

														BgL_tmpz00_30128 = CDR(((obj_t) BgL_expz00_33));
														BgL_test10047z00_30127 = PAIRP(BgL_tmpz00_30128);
													}
													if (BgL_test10047z00_30127)
														{	/* Ast/sexp.scm 628 */
															BgL_feffectz00_bglt BgL_arg7124z00_9110;
															obj_t BgL_arg7125z00_9111;

															{	/* Ast/sexp.scm 628 */
																obj_t BgL_arg7126z00_9112;

																{	/* Ast/sexp.scm 628 */
																	obj_t BgL_pairz00_13590;

																	BgL_pairz00_13590 =
																		CDR(((obj_t) BgL_expz00_33));
																	BgL_arg7126z00_9112 = CAR(BgL_pairz00_13590);
																}
																BgL_arg7124z00_9110 =
																	BGl_parsezd2effectzd2zzeffect_feffectz00
																	(BgL_arg7126z00_9112);
															}
															{	/* Ast/sexp.scm 629 */
																obj_t BgL_arg7127z00_9113;
																obj_t BgL_arg7128z00_9114;

																{	/* Ast/sexp.scm 629 */
																	obj_t BgL_arg7129z00_9115;

																	BgL_arg7129z00_9115 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 34)),
																		BNIL);
																	BgL_arg7127z00_9113 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 35)),
																		BgL_arg7129z00_9115);
																}
																{	/* Ast/sexp.scm 629 */
																	obj_t BgL_auxz00_30140;

																	{	/* Ast/sexp.scm 629 */
																		obj_t BgL_pairz00_13594;

																		BgL_pairz00_13594 =
																			CDR(((obj_t) BgL_expz00_33));
																		BgL_auxz00_30140 = CDR(BgL_pairz00_13594);
																	}
																	BgL_arg7128z00_9114 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_auxz00_30140, BNIL);
																}
																BgL_arg7125z00_9111 =
																	MAKE_YOUNG_PAIR(BgL_arg7127z00_9113,
																	BgL_arg7128z00_9114);
															}
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 0), ((obj_t) BgL_arg7124z00_9110),
																((BgL_typez00_bglt) BgL_typez00_9104),
																BgL_arg7125z00_9111, BgL_stackz00_34,
																BgL_locz00_9100, BgL_sitez00_36);
														}
													else
														{	/* Ast/sexp.scm 627 */
															obj_t BgL_arg7131z00_9117;

															BgL_arg7131z00_9117 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_33, BgL_locz00_9100);
															{	/* Ast/sexp.scm 625 */
																BgL_nodez00_bglt BgL_res7458z00_13600;

																{	/* Ast/sexp.scm 726 */
																	obj_t BgL_arg7194z00_13596;
																	BgL_nodez00_bglt BgL_arg7195z00_13597;

																	BgL_arg7194z00_13596 =
																		BGl_shapez00zztools_shapez00
																		(BGl_currentzd2functionzd2zztools_errorz00
																		());
																	BgL_arg7195z00_13597 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(CNST_TABLE_REF(((long) 4)), BNIL,
																		BgL_arg7131z00_9117,
																		CNST_TABLE_REF(((long) 2)));
																	{	/* Ast/sexp.scm 725 */
																		obj_t BgL_list7196z00_13599;

																		BgL_list7196z00_13599 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg7195z00_13597), BNIL);
																		BgL_res7458z00_13600 =
																			((BgL_nodez00_bglt)
																			BGl_userzd2errorzf2locationz20zztools_errorz00
																			(BgL_arg7131z00_9117,
																				BgL_arg7194z00_13596,
																				BGl_string7505z00zzast_sexpz00,
																				BgL_expz00_33, BgL_list7196z00_13599));
																}}
																return BgL_res7458z00_13600;
															}
														}
												}
											else
												{	/* Ast/sexp.scm 620 */
													if ((BgL_idz00_9103 == CNST_TABLE_REF(((long) 22))))
														{	/* Ast/sexp.scm 620 */
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 1), BFALSE,
																((BgL_typez00_bglt) BgL_typez00_9104),
																BgL_expz00_33, BgL_stackz00_34, BgL_locz00_9100,
																BgL_sitez00_36);
														}
													else
														{	/* Ast/sexp.scm 620 */
															if (
																(BgL_idz00_9103 == CNST_TABLE_REF(((long) 24))))
																{	/* Ast/sexp.scm 634 */
																	bool_t BgL_test10050z00_30167;

																	{	/* Ast/sexp.scm 634 */
																		obj_t BgL_tmpz00_30168;

																		BgL_tmpz00_30168 =
																			CDR(((obj_t) BgL_expz00_33));
																		BgL_test10050z00_30167 =
																			PAIRP(BgL_tmpz00_30168);
																	}
																	if (BgL_test10050z00_30167)
																		{	/* Ast/sexp.scm 638 */
																			BgL_feffectz00_bglt BgL_arg7137z00_9123;
																			obj_t BgL_arg7138z00_9124;

																			{	/* Ast/sexp.scm 638 */
																				obj_t BgL_arg7139z00_9125;

																				{	/* Ast/sexp.scm 638 */
																					obj_t BgL_pairz00_13607;

																					BgL_pairz00_13607 =
																						CDR(((obj_t) BgL_expz00_33));
																					BgL_arg7139z00_9125 =
																						CAR(BgL_pairz00_13607);
																				}
																				BgL_arg7137z00_9123 =
																					BGl_parsezd2effectzd2zzeffect_feffectz00
																					(BgL_arg7139z00_9125);
																			}
																			{	/* Ast/sexp.scm 639 */
																				obj_t BgL_arg7140z00_9126;
																				obj_t BgL_arg7141z00_9127;

																				{	/* Ast/sexp.scm 639 */
																					obj_t BgL_arg7142z00_9128;

																					BgL_arg7142z00_9128 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 34)), BNIL);
																					BgL_arg7140z00_9126 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 35)),
																						BgL_arg7142z00_9128);
																				}
																				{	/* Ast/sexp.scm 639 */
																					obj_t BgL_auxz00_30180;

																					{	/* Ast/sexp.scm 639 */
																						obj_t BgL_pairz00_13611;

																						BgL_pairz00_13611 =
																							CDR(((obj_t) BgL_expz00_33));
																						BgL_auxz00_30180 =
																							CDR(BgL_pairz00_13611);
																					}
																					BgL_arg7141z00_9127 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_auxz00_30180, BNIL);
																				}
																				BgL_arg7138z00_9124 =
																					MAKE_YOUNG_PAIR(BgL_arg7140z00_9126,
																					BgL_arg7141z00_9127);
																			}
																			return
																				BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																				(((bool_t) 1),
																				((obj_t) BgL_arg7137z00_9123),
																				((BgL_typez00_bglt) BgL_typez00_9104),
																				BgL_arg7138z00_9124, BgL_stackz00_34,
																				BgL_locz00_9100, BgL_sitez00_36);
																		}
																	else
																		{	/* Ast/sexp.scm 637 */
																			obj_t BgL_arg7144z00_9130;

																			BgL_arg7144z00_9130 =
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_expz00_33, BgL_locz00_9100);
																			{	/* Ast/sexp.scm 635 */
																				BgL_nodez00_bglt BgL_res7459z00_13617;

																				{	/* Ast/sexp.scm 726 */
																					obj_t BgL_arg7194z00_13613;
																					BgL_nodez00_bglt BgL_arg7195z00_13614;

																					BgL_arg7194z00_13613 =
																						BGl_shapez00zztools_shapez00
																						(BGl_currentzd2functionzd2zztools_errorz00
																						());
																					BgL_arg7195z00_13614 =
																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																						(CNST_TABLE_REF(((long) 4)), BNIL,
																						BgL_arg7144z00_9130,
																						CNST_TABLE_REF(((long) 2)));
																					{	/* Ast/sexp.scm 725 */
																						obj_t BgL_list7196z00_13616;

																						BgL_list7196z00_13616 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_arg7195z00_13614),
																							BNIL);
																						BgL_res7459z00_13617 =
																							((BgL_nodez00_bglt)
																							BGl_userzd2errorzf2locationz20zztools_errorz00
																							(BgL_arg7144z00_9130,
																								BgL_arg7194z00_13613,
																								BGl_string7506z00zzast_sexpz00,
																								BgL_expz00_33,
																								BgL_list7196z00_13616));
																				}}
																				return BgL_res7459z00_13617;
																			}
																		}
																}
															else
																{	/* Ast/sexp.scm 620 */
																	if (
																		(BgL_idz00_9103 ==
																			CNST_TABLE_REF(((long) 3))))
																		{
																			obj_t BgL_argsz00_9133;
																			obj_t BgL_bodyz00_9134;

																			if (PAIRP(BgL_expz00_33))
																				{	/* Ast/sexp.scm 642 */
																					obj_t BgL_cdrzd262423zd2_9139;

																					BgL_cdrzd262423zd2_9139 =
																						CDR(BgL_expz00_33);
																					if (PAIRP(BgL_cdrzd262423zd2_9139))
																						{	/* Ast/sexp.scm 642 */
																							BgL_argsz00_9133 =
																								CAR(BgL_cdrzd262423zd2_9139);
																							BgL_bodyz00_9134 =
																								CDR(BgL_cdrzd262423zd2_9139);
																							{	/* Ast/sexp.scm 644 */
																								obj_t BgL_locz00_9143;

																								BgL_locz00_9143 =
																									BGl_findzd2locationzf2locz20zztools_locationz00
																									(BgL_expz00_33,
																									BgL_locz00_9100);
																								{	/* Ast/sexp.scm 644 */
																									obj_t BgL_funz00_9144;

																									BgL_funz00_9144 =
																										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																										(BGl_gensymz00zz__r4_symbols_6_4z00
																										(CNST_TABLE_REF(((long)
																													3))));
																									{	/* Ast/sexp.scm 645 */
																										obj_t BgL_tfunz00_9145;

																										if (BGl_bigloozd2typezf3z21zztype_typez00(((BgL_typez00_bglt) BgL_typez00_9104)))
																											{	/* Ast/sexp.scm 647 */
																												obj_t
																													BgL_arg7161z00_9156;
																												BgL_arg7161z00_9156 =
																													(((BgL_typez00_bglt)
																														COBJECT((
																																(BgL_typez00_bglt)
																																BgL_typez00_9104)))->
																													BgL_idz00);
																												BgL_tfunz00_9145 =
																													BGl_makezd2typedzd2identz00zzast_identz00
																													(BgL_funz00_9144,
																													BgL_arg7161z00_9156);
																											}
																										else
																											{	/* Ast/sexp.scm 646 */
																												BgL_tfunz00_9145 =
																													BgL_funz00_9144;
																											}
																										{	/* Ast/sexp.scm 646 */

																											{	/* Ast/sexp.scm 650 */
																												obj_t
																													BgL_arg7151z00_9146;
																												{	/* Ast/sexp.scm 650 */
																													obj_t
																														BgL_arg7152z00_9147;
																													obj_t
																														BgL_arg7153z00_9148;
																													BgL_arg7152z00_9147 =
																														BGl_labelszd2symzd2zzast_labelsz00
																														();
																													{	/* Ast/sexp.scm 650 */
																														obj_t
																															BgL_arg7154z00_9149;
																														obj_t
																															BgL_arg7155z00_9150;
																														{	/* Ast/sexp.scm 650 */
																															obj_t
																																BgL_arg7156z00_9151;
																															{	/* Ast/sexp.scm 650 */
																																obj_t
																																	BgL_arg7157z00_9152;
																																{	/* Ast/sexp.scm 650 */
																																	obj_t
																																		BgL_arg7158z00_9153;
																																	BgL_arg7158z00_9153
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_normaliza7ezd2prognz75zztools_prognz00
																																		(BgL_bodyz00_9134),
																																		BNIL);
																																	BgL_arg7157z00_9152
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_argsz00_9133,
																																		BgL_arg7158z00_9153);
																																}
																																BgL_arg7156z00_9151
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_tfunz00_9145,
																																	BgL_arg7157z00_9152);
																															}
																															BgL_arg7154z00_9149
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg7156z00_9151,
																																BNIL);
																														}
																														BgL_arg7155z00_9150
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_funz00_9144,
																															BNIL);
																														BgL_arg7153z00_9148
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg7154z00_9149,
																															BgL_arg7155z00_9150);
																													}
																													BgL_arg7151z00_9146 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg7152z00_9147,
																														BgL_arg7153z00_9148);
																												}
																												return
																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																													(BgL_arg7151z00_9146,
																													BgL_stackz00_34,
																													BgL_locz00_9143,
																													BgL_sitez00_36);
																											}
																										}
																									}
																								}
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 642 */
																						BgL_tagzd262416zd2_9136:
																							{	/* Ast/sexp.scm 656 */
																								BgL_nodez00_bglt
																									BgL_res7460z00_13625;
																								{	/* Ast/sexp.scm 726 */
																									obj_t BgL_arg7194z00_13621;
																									BgL_nodez00_bglt
																										BgL_arg7195z00_13622;
																									BgL_arg7194z00_13621 =
																										BGl_shapez00zztools_shapez00
																										(BGl_currentzd2functionzd2zztools_errorz00
																										());
																									BgL_arg7195z00_13622 =
																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																										(CNST_TABLE_REF(((long) 4)),
																										BNIL, BgL_locz00_9100,
																										CNST_TABLE_REF(((long) 2)));
																									{	/* Ast/sexp.scm 725 */
																										obj_t BgL_list7196z00_13624;

																										BgL_list7196z00_13624 =
																											MAKE_YOUNG_PAIR(
																											((obj_t)
																												BgL_arg7195z00_13622),
																											BNIL);
																										BgL_res7460z00_13625 =
																											((BgL_nodez00_bglt)
																											BGl_userzd2errorzf2locationz20zztools_errorz00
																											(BgL_locz00_9100,
																												BgL_arg7194z00_13621,
																												BGl_string7507z00zzast_sexpz00,
																												BgL_expz00_33,
																												BgL_list7196z00_13624));
																								}}
																								return BgL_res7460z00_13625;
																							}
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 642 */
																					goto BgL_tagzd262416zd2_9136;
																				}
																		}
																	else
																		{	/* Ast/sexp.scm 620 */
																			return
																				BGl_applicationzd2ze3nodez31zzast_appz00
																				(BgL_expz00_33, BgL_stackz00_34,
																				BgL_locz00_9100, BgL_sitez00_36);
																		}
																}
														}
												}
										}
								}
							}
						}
					}
				else
					{	/* Ast/sexp.scm 615 */
						return
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_33,
							BgL_stackz00_34, BgL_locz00_9100, BgL_sitez00_36);
					}
			}
		}

	}



/* sexp*->node */
	BGL_EXPORTED_DEF obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t
		BgL_expza2za2_37, obj_t BgL_stackz00_38, obj_t BgL_locz00_39,
		obj_t BgL_sitez00_40)
	{
		{	/* Ast/sexp.scm 664 */
			{
				obj_t BgL_expsz00_9160;
				obj_t BgL_resz00_9161;
				obj_t BgL_locz00_9162;

				BgL_expsz00_9160 = BgL_expza2za2_37;
				BgL_resz00_9161 = BNIL;
				BgL_locz00_9162 = BgL_locz00_39;
			BgL_zc3z04anonymousza37163ze3z87_9163:
				if (NULLP(BgL_expsz00_9160))
					{	/* Ast/sexp.scm 670 */
						BgL_nodez00_bglt BgL_res7461z00_13634;

						{	/* Ast/sexp.scm 726 */
							obj_t BgL_arg7194z00_13630;
							BgL_nodez00_bglt BgL_arg7195z00_13631;

							BgL_arg7194z00_13630 =
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00());
							BgL_arg7195z00_13631 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)),
								BNIL, BgL_locz00_9162, CNST_TABLE_REF(((long) 2)));
							{	/* Ast/sexp.scm 725 */
								obj_t BgL_list7196z00_13633;

								BgL_list7196z00_13633 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg7195z00_13631), BNIL);
								BgL_res7461z00_13634 =
									((BgL_nodez00_bglt)
									BGl_userzd2errorzf2locationz20zztools_errorz00
									(BgL_locz00_9162, BgL_arg7194z00_13630,
										BGl_string7508z00zzast_sexpz00, BgL_expsz00_9160,
										BgL_list7196z00_13633));
						}}
						return ((obj_t) BgL_res7461z00_13634);
					}
				else
					{	/* Ast/sexp.scm 669 */
						if (NULLP(CDR(((obj_t) BgL_expsz00_9160))))
							{	/* Ast/sexp.scm 672 */
								obj_t BgL_locz00_9167;
								obj_t BgL_nsitez00_9168;

								{	/* Ast/sexp.scm 672 */
									obj_t BgL_arg7170z00_9172;
									obj_t BgL_arg7171z00_9173;

									BgL_arg7170z00_9172 = CAR(((obj_t) BgL_expsz00_9160));
									BgL_arg7171z00_9173 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_expsz00_9160, BgL_locz00_9162);
									BgL_locz00_9167 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_arg7170z00_9172, BgL_arg7171z00_9173);
								}
								if ((BgL_sitez00_40 == CNST_TABLE_REF(((long) 33))))
									{	/* Ast/sexp.scm 674 */
										BgL_nsitez00_9168 = CNST_TABLE_REF(((long) 2));
									}
								else
									{	/* Ast/sexp.scm 674 */
										BgL_nsitez00_9168 = BgL_sitez00_40;
									}
								{	/* Ast/sexp.scm 675 */
									obj_t BgL_arg7167z00_9169;

									{	/* Ast/sexp.scm 675 */
										BgL_nodez00_bglt BgL_arg7168z00_9170;

										{	/* Ast/sexp.scm 675 */
											obj_t BgL_arg7169z00_9171;

											BgL_arg7169z00_9171 = CAR(((obj_t) BgL_expsz00_9160));
											BgL_arg7168z00_9170 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7169z00_9171,
												BgL_stackz00_38, BgL_locz00_9167, BgL_nsitez00_9168);
										}
										BgL_arg7167z00_9169 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg7168z00_9170), BgL_resz00_9161);
									}
									return bgl_reverse_bang(BgL_arg7167z00_9169);
								}
							}
						else
							{	/* Ast/sexp.scm 677 */
								obj_t BgL_locz00_9175;

								{	/* Ast/sexp.scm 677 */
									obj_t BgL_arg7177z00_9180;
									obj_t BgL_arg7178z00_9181;

									BgL_arg7177z00_9180 = CAR(((obj_t) BgL_expsz00_9160));
									BgL_arg7178z00_9181 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_expsz00_9160, BgL_locz00_9162);
									BgL_locz00_9175 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_arg7177z00_9180, BgL_arg7178z00_9181);
								}
								{	/* Ast/sexp.scm 679 */
									obj_t BgL_arg7173z00_9176;
									obj_t BgL_arg7174z00_9177;

									BgL_arg7173z00_9176 = CDR(((obj_t) BgL_expsz00_9160));
									{	/* Ast/sexp.scm 680 */
										BgL_nodez00_bglt BgL_arg7175z00_9178;

										{	/* Ast/sexp.scm 680 */
											obj_t BgL_arg7176z00_9179;

											BgL_arg7176z00_9179 = CAR(((obj_t) BgL_expsz00_9160));
											BgL_arg7175z00_9178 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7176z00_9179,
												BgL_stackz00_38, BgL_locz00_9175,
												CNST_TABLE_REF(((long) 2)));
										}
										BgL_arg7174z00_9177 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg7175z00_9178), BgL_resz00_9161);
									}
									{
										obj_t BgL_locz00_30284;
										obj_t BgL_resz00_30283;
										obj_t BgL_expsz00_30282;

										BgL_expsz00_30282 = BgL_arg7173z00_9176;
										BgL_resz00_30283 = BgL_arg7174z00_9177;
										BgL_locz00_30284 = BgL_locz00_9175;
										BgL_locz00_9162 = BgL_locz00_30284;
										BgL_resz00_9161 = BgL_resz00_30283;
										BgL_expsz00_9160 = BgL_expsz00_30282;
										goto BgL_zc3z04anonymousza37163ze3z87_9163;
									}
								}
							}
					}
			}
		}

	}



/* &sexp*->node */
	obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t BgL_envz00_14253,
		obj_t BgL_expza2za2_14254, obj_t BgL_stackz00_14255, obj_t BgL_locz00_14256,
		obj_t BgL_sitez00_14257)
	{
		{	/* Ast/sexp.scm 664 */
			return
				BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_expza2za2_14254,
				BgL_stackz00_14255, BgL_locz00_14256, BgL_sitez00_14257);
		}

	}



/* find-local */
	BGL_EXPORTED_DEF obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t BgL_namez00_41,
		obj_t BgL_stackz00_42)
	{
		{	/* Ast/sexp.scm 693 */
			{	/* Ast/sexp.scm 694 */
				bool_t BgL_test10058z00_30286;

				if ((BgL_namez00_41 == BGl_za2cachezd2nameza2zd2zzast_sexpz00))
					{	/* Ast/sexp.scm 694 */
						BgL_test10058z00_30286 =
							(BgL_stackz00_42 == BGl_za2cachezd2stackza2zd2zzast_sexpz00);
					}
				else
					{	/* Ast/sexp.scm 694 */
						BgL_test10058z00_30286 = ((bool_t) 0);
					}
				if (BgL_test10058z00_30286)
					{	/* Ast/sexp.scm 694 */
						return BGl_za2cachezd2resza2zd2zzast_sexpz00;
					}
				else
					{	/* Ast/sexp.scm 694 */
						BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BgL_namez00_41;
						BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BgL_stackz00_42;
						{
							obj_t BgL_stackz00_9187;

							BgL_stackz00_9187 = BgL_stackz00_42;
						BgL_zc3z04anonymousza37182ze3z87_9188:
							if (NULLP(BgL_stackz00_9187))
								{	/* Ast/sexp.scm 701 */
									BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE;
									return BFALSE;
								}
							else
								{	/* Ast/sexp.scm 701 */
									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_stackz00_9187))))))->
												BgL_idz00) == BgL_namez00_41))
										{	/* Ast/sexp.scm 704 */
											BGl_za2cachezd2resza2zd2zzast_sexpz00 =
												CAR(((obj_t) BgL_stackz00_9187));
											return CAR(((obj_t) BgL_stackz00_9187));
										}
									else
										{	/* Ast/sexp.scm 708 */
											obj_t BgL_arg7187z00_9193;

											BgL_arg7187z00_9193 = CDR(((obj_t) BgL_stackz00_9187));
											{
												obj_t BgL_stackz00_30305;

												BgL_stackz00_30305 = BgL_arg7187z00_9193;
												BgL_stackz00_9187 = BgL_stackz00_30305;
												goto BgL_zc3z04anonymousza37182ze3z87_9188;
											}
										}
								}
						}
					}
			}
		}

	}



/* &find-local */
	obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t BgL_envz00_14258,
		obj_t BgL_namez00_14259, obj_t BgL_stackz00_14260)
	{
		{	/* Ast/sexp.scm 693 */
			return
				BGl_findzd2localzd2zzast_sexpz00(BgL_namez00_14259, BgL_stackz00_14260);
		}

	}



/* use-variable! */
	BGL_EXPORTED_DEF obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt BgL_varz00_43,
		obj_t BgL_locz00_44, obj_t BgL_sitez00_45)
	{
		{	/* Ast/sexp.scm 713 */
			if ((BgL_sitez00_45 == CNST_TABLE_REF(((long) 7))))
				{	/* Ast/sexp.scm 716 */
					obj_t BgL_vz00_13647;

					BgL_vz00_13647 = CNST_TABLE_REF(((long) 36));
					((((BgL_variablez00_bglt) COBJECT(BgL_varz00_43))->BgL_accessz00) =
						((obj_t) BgL_vz00_13647), BUNSPEC);
				}
			else
				{	/* Ast/sexp.scm 715 */
					BFALSE;
				}
			{	/* Ast/sexp.scm 717 */
				BgL_valuez00_bglt BgL_valz00_9199;

				BgL_valz00_9199 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_43))->BgL_valuez00);
				{	/* Ast/sexp.scm 718 */
					bool_t BgL_test10063z00_30313;

					if ((BgL_sitez00_45 == CNST_TABLE_REF(((long) 7))))
						{	/* Ast/sexp.scm 718 */
							obj_t BgL_classz00_13649;

							BgL_classz00_13649 = BGl_funz00zzast_varz00;
							{	/* Ast/sexp.scm 718 */
								BgL_objectz00_bglt BgL_arg1825z00_13651;

								{	/* Ast/sexp.scm 718 */
									obj_t BgL_tmpz00_30317;

									BgL_tmpz00_30317 =
										((obj_t) ((BgL_objectz00_bglt) BgL_valz00_9199));
									BgL_arg1825z00_13651 =
										(BgL_objectz00_bglt) (BgL_tmpz00_30317);
								}
								{	/* Ast/sexp.scm 718 */
									bool_t BgL_arg1822z00_13654;
									bool_t BgL_arg1823z00_13655;

									{	/* Ast/sexp.scm 718 */
										long BgL_idxz00_13658;

										BgL_idxz00_13658 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_13651);
										BgL_arg1822z00_13654 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_13658 + ((long) 2))) == BgL_classz00_13649);
									}
									{	/* Ast/sexp.scm 718 */
										bool_t BgL_res7462z00_13680;

										{	/* Ast/sexp.scm 718 */
											obj_t BgL_oclassz00_13666;

											{	/* Ast/sexp.scm 718 */
												long BgL_arg1833z00_13672;

												{	/* Ast/sexp.scm 718 */
													long BgL_arg1834z00_13673;

													BgL_arg1834z00_13673 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_13651);
													BgL_arg1833z00_13672 =
														(BgL_arg1834z00_13673 - OBJECT_TYPE);
												}
												BgL_oclassz00_13666 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_13672);
											}
											{	/* Ast/sexp.scm 718 */
												bool_t BgL__ortest_1110z00_13667;

												BgL__ortest_1110z00_13667 =
													(BgL_classz00_13649 == BgL_oclassz00_13666);
												if (BgL__ortest_1110z00_13667)
													{	/* Ast/sexp.scm 718 */
														BgL_res7462z00_13680 = BgL__ortest_1110z00_13667;
													}
												else
													{	/* Ast/sexp.scm 718 */
														long BgL_odepthz00_13668;

														BgL_odepthz00_13668 =
															BGL_CLASS_DEPTH(BgL_oclassz00_13666);
														if ((((long) 2) < BgL_odepthz00_13668))
															{	/* Ast/sexp.scm 718 */
																obj_t BgL_arg1821z00_13670;

																BgL_arg1821z00_13670 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_13666,
																	((long) 2));
																BgL_res7462z00_13680 =
																	(BgL_arg1821z00_13670 == BgL_classz00_13649);
															}
														else
															{	/* Ast/sexp.scm 718 */
																BgL_res7462z00_13680 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_13655 = BgL_res7462z00_13680;
									}
									BgL_test10063z00_30313 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_13654,
										BgL_arg1823z00_13655);
								}
							}
						}
					else
						{	/* Ast/sexp.scm 718 */
							BgL_test10063z00_30313 = ((bool_t) 0);
						}
					if (BgL_test10063z00_30313)
						{	/* Ast/sexp.scm 719 */
							obj_t BgL_arg7193z00_9202;

							BgL_arg7193z00_9202 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_43));
							{	/* Ast/sexp.scm 719 */
								BgL_nodez00_bglt BgL_res7463z00_13686;

								{	/* Ast/sexp.scm 726 */
									obj_t BgL_arg7194z00_13682;
									BgL_nodez00_bglt BgL_arg7195z00_13683;

									BgL_arg7194z00_13682 =
										BGl_shapez00zztools_shapez00
										(BGl_currentzd2functionzd2zztools_errorz00());
									BgL_arg7195z00_13683 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
												4)), BNIL, BgL_locz00_44, CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 725 */
										obj_t BgL_list7196z00_13685;

										BgL_list7196z00_13685 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg7195z00_13683), BNIL);
										BgL_res7463z00_13686 =
											((BgL_nodez00_bglt)
											BGl_userzd2errorzf2locationz20zztools_errorz00
											(BgL_locz00_44, BgL_arg7194z00_13682,
												BGl_string7509z00zzast_sexpz00, BgL_arg7193z00_9202,
												BgL_list7196z00_13685));
								}}
								return ((obj_t) BgL_res7463z00_13686);
							}
						}
					else
						{	/* Ast/sexp.scm 718 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &use-variable! */
	obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t BgL_envz00_14261,
		obj_t BgL_varz00_14262, obj_t BgL_locz00_14263, obj_t BgL_sitez00_14264)
	{
		{	/* Ast/sexp.scm 713 */
			return
				BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_varz00_14262), BgL_locz00_14263,
				BgL_sitez00_14264);
		}

	}



/* error-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t BgL_msgz00_46,
		obj_t BgL_expz00_47, obj_t BgL_locz00_48)
	{
		{	/* Ast/sexp.scm 724 */
			{	/* Ast/sexp.scm 726 */
				obj_t BgL_arg7194z00_9204;
				BgL_nodez00_bglt BgL_arg7195z00_9205;

				BgL_arg7194z00_9204 =
					BGl_shapez00zztools_shapez00(BGl_currentzd2functionzd2zztools_errorz00
					());
				BgL_arg7195z00_9205 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)), BNIL,
					BgL_locz00_48, CNST_TABLE_REF(((long) 2)));
				{	/* Ast/sexp.scm 725 */
					obj_t BgL_list7196z00_9206;

					BgL_list7196z00_9206 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_arg7195z00_9205), BNIL);
					return
						((BgL_nodez00_bglt)
						BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_48,
							BgL_arg7194z00_9204, BgL_msgz00_46, BgL_expz00_47,
							BgL_list7196z00_9206));
				}
			}
		}

	}



/* &error-sexp->node */
	BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_14265, obj_t BgL_msgz00_14266, obj_t BgL_expz00_14267,
		obj_t BgL_locz00_14268)
	{
		{	/* Ast/sexp.scm 724 */
			return
				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_msgz00_14266,
				BgL_expz00_14267, BgL_locz00_14268);
		}

	}



/* define-primop-ref->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_49, BgL_nodez00_bglt BgL_refz00_50)
	{
		{	/* Ast/sexp.scm 734 */
			{	/* Ast/sexp.scm 735 */
				BgL_nodez00_bglt BgL_funz00_9208;

				BgL_funz00_9208 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 37)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 33)));
				{	/* Ast/sexp.scm 736 */
					bool_t BgL_test10067z00_30363;

					{	/* Ast/sexp.scm 736 */
						obj_t BgL_classz00_13687;

						BgL_classz00_13687 = BGl_varz00zzast_nodez00;
						{	/* Ast/sexp.scm 736 */
							BgL_objectz00_bglt BgL_arg1825z00_13689;

							{	/* Ast/sexp.scm 736 */
								obj_t BgL_tmpz00_30364;

								BgL_tmpz00_30364 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_9208));
								BgL_arg1825z00_13689 = (BgL_objectz00_bglt) (BgL_tmpz00_30364);
							}
							{	/* Ast/sexp.scm 736 */
								bool_t BgL_arg1822z00_13692;
								bool_t BgL_arg1823z00_13693;

								{	/* Ast/sexp.scm 736 */
									long BgL_idxz00_13696;

									BgL_idxz00_13696 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_13689);
									BgL_arg1822z00_13692 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_13696 + ((long) 2))) == BgL_classz00_13687);
								}
								{	/* Ast/sexp.scm 736 */
									bool_t BgL_res7464z00_13718;

									{	/* Ast/sexp.scm 736 */
										obj_t BgL_oclassz00_13704;

										{	/* Ast/sexp.scm 736 */
											long BgL_arg1833z00_13710;

											{	/* Ast/sexp.scm 736 */
												long BgL_arg1834z00_13711;

												BgL_arg1834z00_13711 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_13689);
												BgL_arg1833z00_13710 =
													(BgL_arg1834z00_13711 - OBJECT_TYPE);
											}
											BgL_oclassz00_13704 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_13710);
										}
										{	/* Ast/sexp.scm 736 */
											bool_t BgL__ortest_1110z00_13705;

											BgL__ortest_1110z00_13705 =
												(BgL_classz00_13687 == BgL_oclassz00_13704);
											if (BgL__ortest_1110z00_13705)
												{	/* Ast/sexp.scm 736 */
													BgL_res7464z00_13718 = BgL__ortest_1110z00_13705;
												}
											else
												{	/* Ast/sexp.scm 736 */
													long BgL_odepthz00_13706;

													BgL_odepthz00_13706 =
														BGL_CLASS_DEPTH(BgL_oclassz00_13704);
													if ((((long) 2) < BgL_odepthz00_13706))
														{	/* Ast/sexp.scm 736 */
															obj_t BgL_arg1821z00_13708;

															BgL_arg1821z00_13708 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_13704,
																((long) 2));
															BgL_res7464z00_13718 =
																(BgL_arg1821z00_13708 == BgL_classz00_13687);
														}
													else
														{	/* Ast/sexp.scm 736 */
															BgL_res7464z00_13718 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_13693 = BgL_res7464z00_13718;
								}
								BgL_test10067z00_30363 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_13692, BgL_arg1823z00_13693);
							}
						}
					}
					if (BgL_test10067z00_30363)
						{	/* Ast/sexp.scm 737 */
							BgL_appz00_bglt BgL_new1157z00_9210;

							{	/* Ast/sexp.scm 737 */
								BgL_appz00_bglt BgL_new1155z00_9217;

								BgL_new1155z00_9217 =
									((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 737 */
									long BgL_arg7205z00_9218;

									BgL_arg7205z00_9218 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1155z00_9217),
										BgL_arg7205z00_9218);
								}
								{	/* Ast/sexp.scm 737 */
									BgL_objectz00_bglt BgL_tmpz00_30387;

									BgL_tmpz00_30387 = ((BgL_objectz00_bglt) BgL_new1155z00_9217);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_30387, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1155z00_9217);
								BgL_new1157z00_9210 = BgL_new1155z00_9217;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1157z00_9210)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1157z00_9210)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1157z00_9210)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1157z00_9210)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) COBJECT(BgL_new1157z00_9210))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_9208)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_30403;

								{	/* Ast/sexp.scm 740 */
									BgL_nodez00_bglt BgL_arg7199z00_9211;

									{	/* Ast/sexp.scm 740 */
										obj_t BgL_arg7202z00_9214;

										{	/* Ast/sexp.scm 740 */
											obj_t BgL_arg7203z00_9215;

											{	/* Ast/sexp.scm 740 */
												obj_t BgL_arg7204z00_9216;

												BgL_arg7204z00_9216 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_globalz00_49)))->
													BgL_idz00);
												BgL_arg7203z00_9215 =
													MAKE_YOUNG_PAIR(BgL_arg7204z00_9216, BNIL);
											}
											BgL_arg7202z00_9214 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
												BgL_arg7203z00_9215);
										}
										BgL_arg7199z00_9211 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7202z00_9214,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									{	/* Ast/sexp.scm 740 */
										obj_t BgL_list7200z00_9212;

										{	/* Ast/sexp.scm 740 */
											obj_t BgL_arg7201z00_9213;

											BgL_arg7201z00_9213 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_refz00_50), BNIL);
											BgL_list7200z00_9212 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg7199z00_9211), BgL_arg7201z00_9213);
										}
										BgL_auxz00_30403 = BgL_list7200z00_9212;
								}}
								((((BgL_appz00_bglt) COBJECT(BgL_new1157z00_9210))->
										BgL_argsz00) = ((obj_t) BgL_auxz00_30403), BUNSPEC);
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1157z00_9210))->
									BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1157z00_9210);
						}
					else
						{	/* Ast/sexp.scm 736 */
							return BgL_funz00_9208;
						}
				}
			}
		}

	}



/* &define-primop-ref->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_14269, obj_t BgL_globalz00_14270, obj_t BgL_refz00_14271)
	{
		{	/* Ast/sexp.scm 734 */
			return
				BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_14270),
				((BgL_nodez00_bglt) BgL_refz00_14271));
		}

	}



/* define-primop-ref/src->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2refzf2srczd2ze3nodezc3zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_51, BgL_nodez00_bglt BgL_refz00_52, obj_t BgL_srcz00_53)
	{
		{	/* Ast/sexp.scm 746 */
			if (EPAIRP(BgL_srcz00_53))
				{
					obj_t BgL_fnamez00_9220;
					obj_t BgL_locz00_9221;

					{	/* Ast/sexp.scm 749 */
						obj_t BgL_ezd262432zd2_9224;

						BgL_ezd262432zd2_9224 = CER(((obj_t) BgL_srcz00_53));
						if (PAIRP(BgL_ezd262432zd2_9224))
							{	/* Ast/sexp.scm 749 */
								obj_t BgL_cdrzd262438zd2_9226;

								BgL_cdrzd262438zd2_9226 = CDR(BgL_ezd262432zd2_9224);
								if ((CAR(BgL_ezd262432zd2_9224) == CNST_TABLE_REF(((long) 39))))
									{	/* Ast/sexp.scm 749 */
										if (PAIRP(BgL_cdrzd262438zd2_9226))
											{	/* Ast/sexp.scm 749 */
												obj_t BgL_cdrzd262442zd2_9230;

												BgL_cdrzd262442zd2_9230 = CDR(BgL_cdrzd262438zd2_9226);
												if (PAIRP(BgL_cdrzd262442zd2_9230))
													{	/* Ast/sexp.scm 749 */
														if (NULLP(CDR(BgL_cdrzd262442zd2_9230)))
															{	/* Ast/sexp.scm 749 */
																BgL_fnamez00_9220 =
																	CAR(BgL_cdrzd262438zd2_9226);
																BgL_locz00_9221 = CAR(BgL_cdrzd262442zd2_9230);
																{	/* Ast/sexp.scm 751 */
																	BgL_nodez00_bglt BgL_funz00_9238;

																	BgL_funz00_9238 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(CNST_TABLE_REF(((long) 38)), BNIL, BFALSE,
																		CNST_TABLE_REF(((long) 33)));
																	{	/* Ast/sexp.scm 752 */
																		bool_t BgL_test10076z00_30443;

																		{	/* Ast/sexp.scm 752 */
																			obj_t BgL_classz00_13725;

																			BgL_classz00_13725 =
																				BGl_varz00zzast_nodez00;
																			{	/* Ast/sexp.scm 752 */
																				BgL_objectz00_bglt BgL_arg1825z00_13727;

																				{	/* Ast/sexp.scm 752 */
																					obj_t BgL_tmpz00_30444;

																					BgL_tmpz00_30444 =
																						((obj_t)
																						((BgL_objectz00_bglt)
																							BgL_funz00_9238));
																					BgL_arg1825z00_13727 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_30444);
																				}
																				{	/* Ast/sexp.scm 752 */
																					bool_t BgL_arg1822z00_13730;
																					bool_t BgL_arg1823z00_13731;

																					{	/* Ast/sexp.scm 752 */
																						long BgL_idxz00_13734;

																						BgL_idxz00_13734 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1825z00_13727);
																						BgL_arg1822z00_13730 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_13734 +
																									((long) 2))) ==
																							BgL_classz00_13725);
																					}
																					{	/* Ast/sexp.scm 752 */
																						bool_t BgL_res7466z00_13756;

																						{	/* Ast/sexp.scm 752 */
																							obj_t BgL_oclassz00_13742;

																							{	/* Ast/sexp.scm 752 */
																								long BgL_arg1833z00_13748;

																								{	/* Ast/sexp.scm 752 */
																									long BgL_arg1834z00_13749;

																									BgL_arg1834z00_13749 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1825z00_13727);
																									BgL_arg1833z00_13748 =
																										(BgL_arg1834z00_13749 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_13742 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1833z00_13748);
																							}
																							{	/* Ast/sexp.scm 752 */
																								bool_t
																									BgL__ortest_1110z00_13743;
																								BgL__ortest_1110z00_13743 =
																									(BgL_classz00_13725 ==
																									BgL_oclassz00_13742);
																								if (BgL__ortest_1110z00_13743)
																									{	/* Ast/sexp.scm 752 */
																										BgL_res7466z00_13756 =
																											BgL__ortest_1110z00_13743;
																									}
																								else
																									{	/* Ast/sexp.scm 752 */
																										long BgL_odepthz00_13744;

																										BgL_odepthz00_13744 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_13742);
																										if ((((long) 2) <
																												BgL_odepthz00_13744))
																											{	/* Ast/sexp.scm 752 */
																												obj_t
																													BgL_arg1821z00_13746;
																												BgL_arg1821z00_13746 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_13742,
																													((long) 2));
																												BgL_res7466z00_13756 =
																													(BgL_arg1821z00_13746
																													==
																													BgL_classz00_13725);
																											}
																										else
																											{	/* Ast/sexp.scm 752 */
																												BgL_res7466z00_13756 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_arg1823z00_13731 =
																							BgL_res7466z00_13756;
																					}
																					BgL_test10076z00_30443 =
																						BGL_ISA_C_BACKEND
																						(BgL_arg1822z00_13730,
																						BgL_arg1823z00_13731);
																				}
																			}
																		}
																		if (BgL_test10076z00_30443)
																			{	/* Ast/sexp.scm 753 */
																				BgL_appz00_bglt BgL_new1159z00_9240;

																				{	/* Ast/sexp.scm 753 */
																					BgL_appz00_bglt BgL_new1158z00_9251;

																					BgL_new1158z00_9251 =
																						((BgL_appz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_appz00_bgl))));
																					{	/* Ast/sexp.scm 753 */
																						long BgL_arg7229z00_9252;

																						BgL_arg7229z00_9252 =
																							BGL_CLASS_NUM
																							(BGl_appz00zzast_nodez00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1158z00_9251),
																							BgL_arg7229z00_9252);
																					}
																					{	/* Ast/sexp.scm 753 */
																						BgL_objectz00_bglt BgL_tmpz00_30467;

																						BgL_tmpz00_30467 =
																							((BgL_objectz00_bglt)
																							BgL_new1158z00_9251);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_30467, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1158z00_9251);
																					BgL_new1159z00_9240 =
																						BgL_new1158z00_9251;
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1159z00_9240)))->
																						BgL_locz00) =
																					((obj_t) BFALSE), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_new1159z00_9240)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) (
																							(BgL_typez00_bglt)
																							BGl_za2_za2z00zztype_cachez00)),
																					BUNSPEC);
																				((((BgL_nodezf2effectzf2_bglt)
																							COBJECT((
																									(BgL_nodezf2effectzf2_bglt)
																									BgL_new1159z00_9240)))->
																						BgL_sidezd2effectzd2) =
																					((obj_t) BUNSPEC), BUNSPEC);
																				((((BgL_nodezf2effectzf2_bglt)
																							COBJECT((
																									(BgL_nodezf2effectzf2_bglt)
																									BgL_new1159z00_9240)))->
																						BgL_keyz00) =
																					((obj_t) BINT(((long) -1))), BUNSPEC);
																				((((BgL_appz00_bglt)
																							COBJECT(BgL_new1159z00_9240))->
																						BgL_funz00) =
																					((BgL_varz00_bglt) ((BgL_varz00_bglt)
																							BgL_funz00_9238)), BUNSPEC);
																				{
																					obj_t BgL_auxz00_30483;

																					{	/* Ast/sexp.scm 757 */
																						BgL_nodez00_bglt
																							BgL_arg7219z00_9241;
																						BgL_nodez00_bglt
																							BgL_arg7220z00_9242;
																						BgL_nodez00_bglt
																							BgL_arg7221z00_9243;
																						{	/* Ast/sexp.scm 757 */
																							obj_t BgL_arg7226z00_9248;

																							{	/* Ast/sexp.scm 757 */
																								obj_t BgL_arg7227z00_9249;

																								{	/* Ast/sexp.scm 757 */
																									obj_t BgL_arg7228z00_9250;

																									BgL_arg7228z00_9250 =
																										(((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													BgL_globalz00_51)))->
																										BgL_idz00);
																									BgL_arg7227z00_9249 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg7228z00_9250, BNIL);
																								}
																								BgL_arg7226z00_9248 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 12)),
																									BgL_arg7227z00_9249);
																							}
																							BgL_arg7219z00_9241 =
																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																								(BgL_arg7226z00_9248, BNIL,
																								BFALSE,
																								CNST_TABLE_REF(((long) 2)));
																						}
																						BgL_arg7220z00_9242 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(BgL_fnamez00_9220, BNIL, BFALSE,
																							CNST_TABLE_REF(((long) 2)));
																						BgL_arg7221z00_9243 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(BgL_locz00_9221, BNIL, BFALSE,
																							CNST_TABLE_REF(((long) 2)));
																						{	/* Ast/sexp.scm 756 */
																							obj_t BgL_list7222z00_9244;

																							{	/* Ast/sexp.scm 756 */
																								obj_t BgL_arg7223z00_9245;

																								{	/* Ast/sexp.scm 756 */
																									obj_t BgL_arg7224z00_9246;

																									{	/* Ast/sexp.scm 756 */
																										obj_t BgL_arg7225z00_9247;

																										BgL_arg7225z00_9247 =
																											MAKE_YOUNG_PAIR(
																											((obj_t)
																												BgL_arg7221z00_9243),
																											BNIL);
																										BgL_arg7224z00_9246 =
																											MAKE_YOUNG_PAIR(((obj_t)
																												BgL_arg7220z00_9242),
																											BgL_arg7225z00_9247);
																									}
																									BgL_arg7223z00_9245 =
																										MAKE_YOUNG_PAIR(
																										((obj_t) BgL_refz00_52),
																										BgL_arg7224z00_9246);
																								}
																								BgL_list7222z00_9244 =
																									MAKE_YOUNG_PAIR(
																									((obj_t) BgL_arg7219z00_9241),
																									BgL_arg7223z00_9245);
																							}
																							BgL_auxz00_30483 =
																								BgL_list7222z00_9244;
																					}}
																					((((BgL_appz00_bglt)
																								COBJECT(BgL_new1159z00_9240))->
																							BgL_argsz00) =
																						((obj_t) BgL_auxz00_30483),
																						BUNSPEC);
																				}
																				((((BgL_appz00_bglt)
																							COBJECT(BgL_new1159z00_9240))->
																						BgL_stackablez00) =
																					((obj_t) BFALSE), BUNSPEC);
																				return ((BgL_nodez00_bglt)
																					BgL_new1159z00_9240);
																			}
																		else
																			{	/* Ast/sexp.scm 752 */
																				return BgL_funz00_9238;
																			}
																	}
																}
															}
														else
															{	/* Ast/sexp.scm 749 */
																return
																	BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
																	(BgL_globalz00_51, BgL_refz00_52);
															}
													}
												else
													{	/* Ast/sexp.scm 749 */
														return
															BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
															(BgL_globalz00_51, BgL_refz00_52);
													}
											}
										else
											{	/* Ast/sexp.scm 749 */
												return
													BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
													(BgL_globalz00_51, BgL_refz00_52);
											}
									}
								else
									{	/* Ast/sexp.scm 749 */
										return
											BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
											(BgL_globalz00_51, BgL_refz00_52);
									}
							}
						else
							{	/* Ast/sexp.scm 749 */
								return
									BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
									(BgL_globalz00_51, BgL_refz00_52);
							}
					}
				}
			else
				{	/* Ast/sexp.scm 747 */
					return
						BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
						(BgL_globalz00_51, BgL_refz00_52);
				}
		}

	}



/* &define-primop-ref/src->node */
	BgL_nodez00_bglt
		BGl_z62definezd2primopzd2refzf2srczd2ze3nodeza1zzast_sexpz00(obj_t
		BgL_envz00_14272, obj_t BgL_globalz00_14273, obj_t BgL_refz00_14274,
		obj_t BgL_srcz00_14275)
	{
		{	/* Ast/sexp.scm 746 */
			return
				BGl_definezd2primopzd2refzf2srczd2ze3nodezc3zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_14273),
				((BgL_nodez00_bglt) BgL_refz00_14274), BgL_srcz00_14275);
		}

	}



/* define-primop->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_54)
	{
		{	/* Ast/sexp.scm 768 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_54), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 770 */
				BgL_nodez00_bglt BgL_funz00_9253;

				BgL_funz00_9253 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 40)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 33)));
				{	/* Ast/sexp.scm 771 */
					bool_t BgL_test10079z00_30523;

					{	/* Ast/sexp.scm 771 */
						obj_t BgL_classz00_13770;

						BgL_classz00_13770 = BGl_varz00zzast_nodez00;
						{	/* Ast/sexp.scm 771 */
							BgL_objectz00_bglt BgL_arg1825z00_13772;

							{	/* Ast/sexp.scm 771 */
								obj_t BgL_tmpz00_30524;

								BgL_tmpz00_30524 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_9253));
								BgL_arg1825z00_13772 = (BgL_objectz00_bglt) (BgL_tmpz00_30524);
							}
							{	/* Ast/sexp.scm 771 */
								bool_t BgL_arg1822z00_13775;
								bool_t BgL_arg1823z00_13776;

								{	/* Ast/sexp.scm 771 */
									long BgL_idxz00_13779;

									BgL_idxz00_13779 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_13772);
									BgL_arg1822z00_13775 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_13779 + ((long) 2))) == BgL_classz00_13770);
								}
								{	/* Ast/sexp.scm 771 */
									bool_t BgL_res7468z00_13801;

									{	/* Ast/sexp.scm 771 */
										obj_t BgL_oclassz00_13787;

										{	/* Ast/sexp.scm 771 */
											long BgL_arg1833z00_13793;

											{	/* Ast/sexp.scm 771 */
												long BgL_arg1834z00_13794;

												BgL_arg1834z00_13794 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_13772);
												BgL_arg1833z00_13793 =
													(BgL_arg1834z00_13794 - OBJECT_TYPE);
											}
											BgL_oclassz00_13787 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_13793);
										}
										{	/* Ast/sexp.scm 771 */
											bool_t BgL__ortest_1110z00_13788;

											BgL__ortest_1110z00_13788 =
												(BgL_classz00_13770 == BgL_oclassz00_13787);
											if (BgL__ortest_1110z00_13788)
												{	/* Ast/sexp.scm 771 */
													BgL_res7468z00_13801 = BgL__ortest_1110z00_13788;
												}
											else
												{	/* Ast/sexp.scm 771 */
													long BgL_odepthz00_13789;

													BgL_odepthz00_13789 =
														BGL_CLASS_DEPTH(BgL_oclassz00_13787);
													if ((((long) 2) < BgL_odepthz00_13789))
														{	/* Ast/sexp.scm 771 */
															obj_t BgL_arg1821z00_13791;

															BgL_arg1821z00_13791 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_13787,
																((long) 2));
															BgL_res7468z00_13801 =
																(BgL_arg1821z00_13791 == BgL_classz00_13770);
														}
													else
														{	/* Ast/sexp.scm 771 */
															BgL_res7468z00_13801 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_13776 = BgL_res7468z00_13801;
								}
								BgL_test10079z00_30523 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_13775, BgL_arg1823z00_13776);
							}
						}
					}
					if (BgL_test10079z00_30523)
						{	/* Ast/sexp.scm 772 */
							BgL_appz00_bglt BgL_new1161z00_9255;

							{	/* Ast/sexp.scm 772 */
								BgL_appz00_bglt BgL_new1160z00_9263;

								BgL_new1160z00_9263 =
									((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 772 */
									long BgL_arg7238z00_9264;

									BgL_arg7238z00_9264 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1160z00_9263),
										BgL_arg7238z00_9264);
								}
								{	/* Ast/sexp.scm 772 */
									BgL_objectz00_bglt BgL_tmpz00_30547;

									BgL_tmpz00_30547 = ((BgL_objectz00_bglt) BgL_new1160z00_9263);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_30547, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1160z00_9263);
								BgL_new1161z00_9255 = BgL_new1160z00_9263;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1161z00_9255)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1161z00_9255)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1161z00_9255)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1161z00_9255)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) COBJECT(BgL_new1161z00_9255))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_9253)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_30563;

								{	/* Ast/sexp.scm 775 */
									BgL_nodez00_bglt BgL_arg7231z00_9256;
									BgL_nodez00_bglt BgL_arg7232z00_9257;

									{	/* Ast/sexp.scm 775 */
										obj_t BgL_arg7235z00_9260;

										{	/* Ast/sexp.scm 775 */
											obj_t BgL_arg7236z00_9261;

											{	/* Ast/sexp.scm 775 */
												obj_t BgL_arg7237z00_9262;

												BgL_arg7237z00_9262 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_globalz00_54)))->
													BgL_idz00);
												BgL_arg7236z00_9261 =
													MAKE_YOUNG_PAIR(BgL_arg7237z00_9262, BNIL);
											}
											BgL_arg7235z00_9260 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
												BgL_arg7236z00_9261);
										}
										BgL_arg7231z00_9256 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7235z00_9260,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									BgL_arg7232z00_9257 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(
										((obj_t) BgL_globalz00_54), BNIL, BFALSE,
										CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 775 */
										obj_t BgL_list7233z00_9258;

										{	/* Ast/sexp.scm 775 */
											obj_t BgL_arg7234z00_9259;

											BgL_arg7234z00_9259 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg7232z00_9257), BNIL);
											BgL_list7233z00_9258 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg7231z00_9256), BgL_arg7234z00_9259);
										}
										BgL_auxz00_30563 = BgL_list7233z00_9258;
								}}
								((((BgL_appz00_bglt) COBJECT(BgL_new1161z00_9255))->
										BgL_argsz00) = ((obj_t) BgL_auxz00_30563), BUNSPEC);
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1161z00_9255))->
									BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1161z00_9255);
						}
					else
						{	/* Ast/sexp.scm 771 */
							return BgL_funz00_9253;
						}
				}
			}
		}

	}



/* &define-primop->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_14276, obj_t BgL_globalz00_14277)
	{
		{	/* Ast/sexp.scm 768 */
			return
				BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_14277));
		}

	}



/* location->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt BgL_globalz00_55)
	{
		{	/* Ast/sexp.scm 782 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_55), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 784 */
				BgL_nodez00_bglt BgL_funz00_9265;

				BgL_funz00_9265 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 41)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 33)));
				{	/* Ast/sexp.scm 785 */
					bool_t BgL_test10082z00_30589;

					{	/* Ast/sexp.scm 785 */
						obj_t BgL_classz00_13808;

						BgL_classz00_13808 = BGl_varz00zzast_nodez00;
						{	/* Ast/sexp.scm 785 */
							BgL_objectz00_bglt BgL_arg1825z00_13810;

							{	/* Ast/sexp.scm 785 */
								obj_t BgL_tmpz00_30590;

								BgL_tmpz00_30590 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_9265));
								BgL_arg1825z00_13810 = (BgL_objectz00_bglt) (BgL_tmpz00_30590);
							}
							{	/* Ast/sexp.scm 785 */
								bool_t BgL_arg1822z00_13813;
								bool_t BgL_arg1823z00_13814;

								{	/* Ast/sexp.scm 785 */
									long BgL_idxz00_13817;

									BgL_idxz00_13817 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_13810);
									BgL_arg1822z00_13813 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_13817 + ((long) 2))) == BgL_classz00_13808);
								}
								{	/* Ast/sexp.scm 785 */
									bool_t BgL_res7470z00_13839;

									{	/* Ast/sexp.scm 785 */
										obj_t BgL_oclassz00_13825;

										{	/* Ast/sexp.scm 785 */
											long BgL_arg1833z00_13831;

											{	/* Ast/sexp.scm 785 */
												long BgL_arg1834z00_13832;

												BgL_arg1834z00_13832 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_13810);
												BgL_arg1833z00_13831 =
													(BgL_arg1834z00_13832 - OBJECT_TYPE);
											}
											BgL_oclassz00_13825 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_13831);
										}
										{	/* Ast/sexp.scm 785 */
											bool_t BgL__ortest_1110z00_13826;

											BgL__ortest_1110z00_13826 =
												(BgL_classz00_13808 == BgL_oclassz00_13825);
											if (BgL__ortest_1110z00_13826)
												{	/* Ast/sexp.scm 785 */
													BgL_res7470z00_13839 = BgL__ortest_1110z00_13826;
												}
											else
												{	/* Ast/sexp.scm 785 */
													long BgL_odepthz00_13827;

													BgL_odepthz00_13827 =
														BGL_CLASS_DEPTH(BgL_oclassz00_13825);
													if ((((long) 2) < BgL_odepthz00_13827))
														{	/* Ast/sexp.scm 785 */
															obj_t BgL_arg1821z00_13829;

															BgL_arg1821z00_13829 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_13825,
																((long) 2));
															BgL_res7470z00_13839 =
																(BgL_arg1821z00_13829 == BgL_classz00_13808);
														}
													else
														{	/* Ast/sexp.scm 785 */
															BgL_res7470z00_13839 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_13814 = BgL_res7470z00_13839;
								}
								BgL_test10082z00_30589 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_13813, BgL_arg1823z00_13814);
							}
						}
					}
					if (BgL_test10082z00_30589)
						{	/* Ast/sexp.scm 786 */
							obj_t BgL_exprz00_9267;

							{	/* Ast/sexp.scm 786 */
								bool_t BgL_test10085z00_30609;

								{	/* Ast/sexp.scm 786 */
									obj_t BgL_arg7247z00_9277;

									BgL_arg7247z00_9277 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_test10085z00_30609 =
										(((BgL_backendz00_bglt) COBJECT(
												((BgL_backendz00_bglt) BgL_arg7247z00_9277)))->
										BgL_pragmazd2supportzd2);
								}
								if (BgL_test10085z00_30609)
									{	/* Ast/sexp.scm 787 */
										obj_t BgL_arg7245z00_9275;

										{	/* Ast/sexp.scm 787 */
											obj_t BgL_arg7246z00_9276;

											BgL_arg7246z00_9276 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_globalz00_55), BNIL);
											BgL_arg7245z00_9275 =
												MAKE_YOUNG_PAIR(BGl_string7510z00zzast_sexpz00,
												BgL_arg7246z00_9276);
										}
										BgL_exprz00_9267 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 42)),
											BgL_arg7245z00_9275);
									}
								else
									{	/* Ast/sexp.scm 786 */
										BgL_exprz00_9267 = ((obj_t) BgL_globalz00_55);
									}
							}
							{	/* Ast/sexp.scm 789 */
								BgL_appz00_bglt BgL_new1163z00_9268;

								{	/* Ast/sexp.scm 789 */
									BgL_appz00_bglt BgL_new1162z00_9271;

									BgL_new1162z00_9271 =
										((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Ast/sexp.scm 789 */
										long BgL_arg7242z00_9272;

										BgL_arg7242z00_9272 =
											BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1162z00_9271),
											BgL_arg7242z00_9272);
									}
									{	/* Ast/sexp.scm 789 */
										BgL_objectz00_bglt BgL_tmpz00_30623;

										BgL_tmpz00_30623 =
											((BgL_objectz00_bglt) BgL_new1162z00_9271);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_30623, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1162z00_9271);
									BgL_new1163z00_9268 = BgL_new1162z00_9271;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1163z00_9268)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1163z00_9268)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
												BGl_za2_za2z00zztype_cachez00),
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00))),
									BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1163z00_9268)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1163z00_9268)))->BgL_keyz00) =
									((obj_t) BINT(((long) -1))), BUNSPEC);
								((((BgL_appz00_bglt) COBJECT(BgL_new1163z00_9268))->
										BgL_funz00) =
									((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_9265)),
									BUNSPEC);
								{
									obj_t BgL_auxz00_30641;

									{	/* Ast/sexp.scm 792 */
										BgL_nodez00_bglt BgL_arg7240z00_9269;

										BgL_arg7240z00_9269 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_exprz00_9267, BNIL,
											BFALSE, CNST_TABLE_REF(((long) 2)));
										{	/* Ast/sexp.scm 792 */
											obj_t BgL_list7241z00_9270;

											BgL_list7241z00_9270 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg7240z00_9269), BNIL);
											BgL_auxz00_30641 = BgL_list7241z00_9270;
									}}
									((((BgL_appz00_bglt) COBJECT(BgL_new1163z00_9268))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_30641), BUNSPEC);
								}
								((((BgL_appz00_bglt) COBJECT(BgL_new1163z00_9268))->
										BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1163z00_9268);
							}
						}
					else
						{	/* Ast/sexp.scm 785 */
							return BgL_funz00_9265;
						}
				}
			}
		}

	}



/* &location->node */
	BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_14278, obj_t BgL_globalz00_14279)
	{
		{	/* Ast/sexp.scm 782 */
			return
				BGl_locationzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_14279));
		}

	}



/* make-anonymous-name */
	BGL_EXPORTED_DEF obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t
		BgL_locz00_56, obj_t BgL_prefz00_57)
	{
		{	/* Ast/sexp.scm 798 */
			{	/* Ast/sexp.scm 799 */
				obj_t BgL_prefz00_9278;

				{	/* Ast/sexp.scm 799 */
					bool_t BgL_test10086z00_30651;

					if (PAIRP(BgL_prefz00_57))
						{	/* Ast/sexp.scm 799 */
							obj_t BgL_tmpz00_30654;

							BgL_tmpz00_30654 = CAR(BgL_prefz00_57);
							BgL_test10086z00_30651 = STRINGP(BgL_tmpz00_30654);
						}
					else
						{	/* Ast/sexp.scm 799 */
							BgL_test10086z00_30651 = ((bool_t) 0);
						}
					if (BgL_test10086z00_30651)
						{	/* Ast/sexp.scm 799 */
							BgL_prefz00_9278 = CAR(BgL_prefz00_57);
						}
					else
						{	/* Ast/sexp.scm 799 */
							BgL_prefz00_9278 = BGl_string7488z00zzast_sexpz00;
						}
				}
				{	/* Ast/sexp.scm 802 */
					bool_t BgL_test10088z00_30658;

					if (STRUCTP(BgL_locz00_56))
						{	/* Ast/sexp.scm 802 */
							BgL_test10088z00_30658 =
								(STRUCT_KEY(BgL_locz00_56) == CNST_TABLE_REF(((long) 43)));
						}
					else
						{	/* Ast/sexp.scm 802 */
							BgL_test10088z00_30658 = ((bool_t) 0);
						}
					if (BgL_test10088z00_30658)
						{	/* Ast/sexp.scm 803 */
							obj_t BgL_filez00_9280;
							obj_t BgL_linez00_9281;
							obj_t BgL_basez00_9282;

							BgL_filez00_9280 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_56);
							BgL_linez00_9281 = STRUCT_REF(BgL_locz00_56, (int) (((long) 2)));
							{	/* Ast/sexp.scm 805 */
								obj_t BgL_arg7277z00_9323;

								BgL_arg7277z00_9323 =
									BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
									(BGl_string7511z00zzast_sexpz00, BgL_prefz00_9278,
										BGl_string7512z00zzast_sexpz00));
								{	/* Ast/sexp.scm 805 */
									obj_t BgL_arg1463z00_13855;

									BgL_arg1463z00_13855 = SYMBOL_TO_STRING(BgL_arg7277z00_9323);
									BgL_basez00_9282 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1463z00_13855);
							}}
							{	/* Ast/sexp.scm 807 */
								bool_t BgL_test10090z00_30671;

								{	/* Ast/sexp.scm 807 */

									BgL_test10090z00_30671 =
										CBOOL(BGl_stringzd2containszd2zz__r4_strings_6_7z00
										(BgL_prefz00_9278, BGl_string7511z00zzast_sexpz00,
											(int) (((long) 0))));
								}
								if (BgL_test10090z00_30671)
									{	/* Ast/sexp.scm 808 */
										obj_t BgL_arg7250z00_9287;

										{	/* Ast/sexp.scm 808 */
											obj_t BgL_arg7251z00_9288;
											obj_t BgL_arg7252z00_9289;

											{	/* Ast/sexp.scm 808 */
												obj_t BgL_arg7253z00_9290;

												BgL_arg7253z00_9290 =
													bstring_to_symbol(((obj_t) BgL_prefz00_9278));
												{	/* Ast/sexp.scm 808 */
													obj_t BgL_arg1463z00_13858;

													BgL_arg1463z00_13858 =
														SYMBOL_TO_STRING(BgL_arg7253z00_9290);
													BgL_arg7251z00_9288 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1463z00_13858);
												}
											}
											{	/* Ast/sexp.scm 808 */
												obj_t BgL_arg7254z00_9291;

												BgL_arg7254z00_9291 =
													BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 44)));
												{	/* Ast/sexp.scm 808 */
													obj_t BgL_arg1463z00_13860;

													BgL_arg1463z00_13860 =
														SYMBOL_TO_STRING(BgL_arg7254z00_9291);
													BgL_arg7252z00_9289 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1463z00_13860);
											}}
											BgL_arg7250z00_9287 =
												string_append(BgL_arg7251z00_9288, BgL_arg7252z00_9289);
										}
										return bstring_to_symbol(BgL_arg7250z00_9287);
									}
								else
									{	/* Ast/sexp.scm 809 */
										bool_t BgL_test10091z00_30685;

										{	/* Ast/sexp.scm 809 */
											bool_t BgL_test10092z00_30686;

											if (
												((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
													>= ((long) 1)))
												{	/* Ast/sexp.scm 810 */
													obj_t BgL_arg7275z00_9318;

													{	/* Ast/sexp.scm 810 */
														obj_t BgL_arg7276z00_9319;

														BgL_arg7276z00_9319 =
															BGl_thezd2backendzd2zzbackend_backendz00();
														BgL_arg7275z00_9318 =
															(((BgL_backendz00_bglt) COBJECT(
																	((BgL_backendz00_bglt)
																		BgL_arg7276z00_9319)))->
															BgL_debugzd2supportzd2);
													}
													BgL_test10092z00_30686 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(CNST_TABLE_REF(((long) 45)), BgL_arg7275z00_9318));
												}
											else
												{	/* Ast/sexp.scm 809 */
													BgL_test10092z00_30686 = ((bool_t) 0);
												}
											if (BgL_test10092z00_30686)
												{	/* Ast/sexp.scm 809 */
													BgL_test10091z00_30685 = ((bool_t) 1);
												}
											else
												{	/* Ast/sexp.scm 809 */
													BgL_test10091z00_30685 =
														(
														(long)
														CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00)
														>= ((long) 1));
										}}
										if (BgL_test10091z00_30685)
											{	/* Ast/sexp.scm 812 */
												obj_t BgL_filez00_9300;

												if (bigloo_strncmp(BgL_filez00_9280,
														BGl_string7513z00zzast_sexpz00, ((long) 2)))
													{	/* Ast/sexp.scm 812 */
														BgL_filez00_9300 =
															c_substring(BgL_filez00_9280, ((long) 2),
															STRING_LENGTH(BgL_filez00_9280));
													}
												else
													{	/* Ast/sexp.scm 812 */
														BgL_filez00_9300 = BgL_filez00_9280;
													}
												{	/* Ast/sexp.scm 817 */
													obj_t BgL_arg7262z00_9301;

													{	/* Ast/sexp.scm 817 */
														obj_t BgL_arg7263z00_9302;
														obj_t BgL_arg7264z00_9303;

														BgL_arg7263z00_9302 =
															BGl_stringzd2replacezd2zz__r4_strings_6_7z00
															(BgL_filez00_9300, (char) (((unsigned char) '.')),
															(char) (((unsigned char) ',')));
														{	/* Ast/sexp.scm 818 */

															BgL_arg7264z00_9303 =
																BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																(BgL_linez00_9281, BINT(((long) 10)));
														}
														{	/* Ast/sexp.scm 816 */
															obj_t BgL_list7265z00_9304;

															{	/* Ast/sexp.scm 816 */
																obj_t BgL_arg7266z00_9305;

																{	/* Ast/sexp.scm 816 */
																	obj_t BgL_arg7267z00_9306;

																	{	/* Ast/sexp.scm 816 */
																		obj_t BgL_arg7268z00_9307;

																		{	/* Ast/sexp.scm 816 */
																			obj_t BgL_arg7269z00_9308;

																			{	/* Ast/sexp.scm 816 */
																				obj_t BgL_arg7270z00_9309;

																				BgL_arg7270z00_9309 =
																					MAKE_YOUNG_PAIR
																					(BGl_string7514z00zzast_sexpz00,
																					BNIL);
																				BgL_arg7269z00_9308 =
																					MAKE_YOUNG_PAIR(BgL_arg7264z00_9303,
																					BgL_arg7270z00_9309);
																			}
																			BgL_arg7268z00_9307 =
																				MAKE_YOUNG_PAIR
																				(BGl_string7512z00zzast_sexpz00,
																				BgL_arg7269z00_9308);
																		}
																		BgL_arg7267z00_9306 =
																			MAKE_YOUNG_PAIR(BgL_arg7263z00_9302,
																			BgL_arg7268z00_9307);
																	}
																	BgL_arg7266z00_9305 =
																		MAKE_YOUNG_PAIR
																		(BGl_string7512z00zzast_sexpz00,
																		BgL_arg7267z00_9306);
																}
																BgL_list7265z00_9304 =
																	MAKE_YOUNG_PAIR(BgL_basez00_9282,
																	BgL_arg7266z00_9305);
															}
															BgL_arg7262z00_9301 =
																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																(BgL_list7265z00_9304);
													}}
													return bstring_to_symbol(BgL_arg7262z00_9301);
												}
											}
										else
											{	/* Ast/sexp.scm 821 */
												obj_t BgL_arg7273z00_9314;

												BgL_arg7273z00_9314 =
													BGl_stringzd2replacezd2zz__r4_strings_6_7z00
													(string_append(BgL_basez00_9282,
														BGl_string7515z00zzast_sexpz00),
													(char) (((unsigned char) '.')),
													(char) (((unsigned char) ',')));
												return bstring_to_symbol(((obj_t) BgL_arg7273z00_9314));
											}
									}
							}
						}
					else
						{	/* Ast/sexp.scm 822 */
							obj_t BgL_arg7279z00_9325;

							{	/* Ast/sexp.scm 822 */
								obj_t BgL_arg7280z00_9326;
								obj_t BgL_arg7281z00_9327;

								{	/* Ast/sexp.scm 822 */
									obj_t BgL_arg7282z00_9328;

									BgL_arg7282z00_9328 =
										BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
										(BGl_string7511z00zzast_sexpz00, BgL_prefz00_9278,
											BGl_string7516z00zzast_sexpz00));
									{	/* Ast/sexp.scm 822 */
										obj_t BgL_arg1463z00_13874;

										BgL_arg1463z00_13874 =
											SYMBOL_TO_STRING(BgL_arg7282z00_9328);
										BgL_arg7280z00_9326 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1463z00_13874);
									}
								}
								{	/* Ast/sexp.scm 822 */
									obj_t BgL_symbolz00_13875;

									BgL_symbolz00_13875 = CNST_TABLE_REF(((long) 46));
									{	/* Ast/sexp.scm 822 */
										obj_t BgL_arg1463z00_13876;

										BgL_arg1463z00_13876 =
											SYMBOL_TO_STRING(BgL_symbolz00_13875);
										BgL_arg7281z00_9327 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1463z00_13876);
								}}
								BgL_arg7279z00_9325 =
									string_append(BgL_arg7280z00_9326, BgL_arg7281z00_9327);
							}
							return bstring_to_symbol(BgL_arg7279z00_9325);
						}
				}
			}
		}

	}



/* &make-anonymous-name */
	obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t BgL_envz00_14280,
		obj_t BgL_locz00_14281, obj_t BgL_prefz00_14282)
	{
		{	/* Ast/sexp.scm 798 */
			return
				BGl_makezd2anonymouszd2namez00zzast_sexpz00(BgL_locz00_14281,
				BgL_prefz00_14282);
		}

	}



/* synchronize->node */
	BgL_nodez00_bglt BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00(obj_t
		BgL_expz00_58, obj_t BgL_mutexz00_59, obj_t BgL_prelockz00_60,
		obj_t BgL_bodyz00_61, obj_t BgL_stackz00_62, obj_t BgL_locz00_63,
		obj_t BgL_sitez00_64)
	{
		{	/* Ast/sexp.scm 827 */
			if (SYMBOLP(BgL_mutexz00_59))
				{	/* Ast/sexp.scm 829 */
					BgL_syncz00_bglt BgL_new1165z00_9336;

					{	/* Ast/sexp.scm 830 */
						BgL_syncz00_bglt BgL_new1164z00_9338;

						BgL_new1164z00_9338 =
							((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_syncz00_bgl))));
						{	/* Ast/sexp.scm 830 */
							long BgL_arg7290z00_9339;

							BgL_arg7290z00_9339 = BGL_CLASS_NUM(BGl_syncz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1164z00_9338),
								BgL_arg7290z00_9339);
						}
						{	/* Ast/sexp.scm 830 */
							BgL_objectz00_bglt BgL_tmpz00_30737;

							BgL_tmpz00_30737 = ((BgL_objectz00_bglt) BgL_new1164z00_9338);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_30737, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1164z00_9338);
						BgL_new1165z00_9336 = BgL_new1164z00_9338;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1165z00_9336)))->BgL_locz00) =
						((obj_t) BgL_locz00_63), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1165z00_9336)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(BgL_new1165z00_9336))->BgL_mutexz00) =
						((BgL_nodez00_bglt)
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_mutexz00_59,
								BgL_stackz00_62, BgL_locz00_63, CNST_TABLE_REF(((long) 2)))),
						BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(BgL_new1165z00_9336))->BgL_prelockz00) =
						((BgL_nodez00_bglt)
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_prelockz00_60,
								BgL_stackz00_62, BgL_locz00_63, CNST_TABLE_REF(((long) 2)))),
						BUNSPEC);
					{
						BgL_nodez00_bglt BgL_auxz00_30752;

						{	/* Ast/sexp.scm 834 */
							obj_t BgL_arg7289z00_9337;

							BgL_arg7289z00_9337 =
								BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyz00_61);
							BgL_auxz00_30752 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7289z00_9337,
								BgL_stackz00_62, BgL_locz00_63, BgL_sitez00_64);
						}
						((((BgL_syncz00_bglt) COBJECT(BgL_new1165z00_9336))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_auxz00_30752), BUNSPEC);
					}
					return ((BgL_nodez00_bglt) BgL_new1165z00_9336);
				}
			else
				{	/* Ast/sexp.scm 835 */
					obj_t BgL_vz00_9340;

					BgL_vz00_9340 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 47))));
					{	/* Ast/sexp.scm 835 */
						obj_t BgL_varz00_9341;

						BgL_varz00_9341 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_vz00_9340,
							CNST_TABLE_REF(((long) 47)));
						{	/* Ast/sexp.scm 836 */
							obj_t BgL_nexpz00_9342;

							{	/* Ast/sexp.scm 837 */
								obj_t BgL_arg7298z00_9350;

								{	/* Ast/sexp.scm 837 */
									obj_t BgL_arg7299z00_9351;

									BgL_arg7299z00_9351 =
										MAKE_YOUNG_PAIR(BgL_vz00_9340,
										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
										(BgL_bodyz00_61, BNIL));
									BgL_arg7298z00_9350 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 29)),
										BgL_arg7299z00_9351);
								}
								BgL_nexpz00_9342 =
									BGl_epairifyzd2reczd2zztools_miscz00(BgL_arg7298z00_9350,
									BgL_expz00_58);
							}
							{	/* Ast/sexp.scm 837 */

								{	/* Ast/sexp.scm 838 */
									obj_t BgL_arg7291z00_9343;

									{	/* Ast/sexp.scm 838 */
										obj_t BgL_arg7292z00_9344;
										obj_t BgL_arg7293z00_9345;

										BgL_arg7292z00_9344 = BGl_letzd2symzd2zzast_letz00();
										{	/* Ast/sexp.scm 838 */
											obj_t BgL_arg7294z00_9346;
											obj_t BgL_arg7295z00_9347;

											{	/* Ast/sexp.scm 838 */
												obj_t BgL_arg7296z00_9348;

												{	/* Ast/sexp.scm 838 */
													obj_t BgL_arg7297z00_9349;

													BgL_arg7297z00_9349 =
														MAKE_YOUNG_PAIR(BgL_mutexz00_59, BNIL);
													BgL_arg7296z00_9348 =
														MAKE_YOUNG_PAIR(BgL_varz00_9341,
														BgL_arg7297z00_9349);
												}
												BgL_arg7294z00_9346 =
													MAKE_YOUNG_PAIR(BgL_arg7296z00_9348, BNIL);
											}
											BgL_arg7295z00_9347 =
												MAKE_YOUNG_PAIR(BgL_nexpz00_9342, BNIL);
											BgL_arg7293z00_9345 =
												MAKE_YOUNG_PAIR(BgL_arg7294z00_9346,
												BgL_arg7295z00_9347);
										}
										BgL_arg7291z00_9343 =
											MAKE_YOUNG_PAIR(BgL_arg7292z00_9344, BgL_arg7293z00_9345);
									}
									BGl_replacez12z12zztools_miscz00(BgL_expz00_58,
										BgL_arg7291z00_9343);
								}
								return
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_58,
									BgL_stackz00_62, BgL_locz00_63, BgL_sitez00_64);
							}
						}
					}
				}
		}

	}



/* not-test */
	obj_t BGl_notzd2testzd2zzast_sexpz00(obj_t BgL_testz00_65)
	{
		{	/* Ast/sexp.scm 847 */
			{
				obj_t BgL_bindingsz00_9358;
				obj_t BgL_exprz00_9359;

				if (PAIRP(BgL_testz00_65))
					{	/* Ast/sexp.scm 848 */
						obj_t BgL_cdrzd262458zd2_9364;

						BgL_cdrzd262458zd2_9364 = CDR(BgL_testz00_65);
						if ((CAR(BgL_testz00_65) == CNST_TABLE_REF(((long) 1))))
							{	/* Ast/sexp.scm 848 */
								if (PAIRP(BgL_cdrzd262458zd2_9364))
									{	/* Ast/sexp.scm 848 */
										obj_t BgL_cdrzd262461zd2_9368;

										BgL_cdrzd262461zd2_9368 = CDR(BgL_cdrzd262458zd2_9364);
										if (PAIRP(BgL_cdrzd262461zd2_9368))
											{	/* Ast/sexp.scm 848 */
												obj_t BgL_cdrzd262464zd2_9370;

												BgL_cdrzd262464zd2_9370 = CDR(BgL_cdrzd262461zd2_9368);
												if ((CAR(BgL_cdrzd262461zd2_9368) == BFALSE))
													{	/* Ast/sexp.scm 848 */
														if (PAIRP(BgL_cdrzd262464zd2_9370))
															{	/* Ast/sexp.scm 848 */
																if ((CAR(BgL_cdrzd262464zd2_9370) == BTRUE))
																	{	/* Ast/sexp.scm 848 */
																		if (NULLP(CDR(BgL_cdrzd262464zd2_9370)))
																			{	/* Ast/sexp.scm 848 */
																				return CAR(BgL_cdrzd262458zd2_9364);
																			}
																		else
																			{	/* Ast/sexp.scm 848 */
																				return BFALSE;
																			}
																	}
																else
																	{	/* Ast/sexp.scm 848 */
																		return BFALSE;
																	}
															}
														else
															{	/* Ast/sexp.scm 848 */
																return BFALSE;
															}
													}
												else
													{	/* Ast/sexp.scm 848 */
														return BFALSE;
													}
											}
										else
											{	/* Ast/sexp.scm 848 */
												return BFALSE;
											}
									}
								else
									{	/* Ast/sexp.scm 848 */
										return BFALSE;
									}
							}
						else
							{	/* Ast/sexp.scm 848 */
								if ((CAR(BgL_testz00_65) == CNST_TABLE_REF(((long) 48))))
									{	/* Ast/sexp.scm 848 */
										if (PAIRP(BgL_cdrzd262458zd2_9364))
											{	/* Ast/sexp.scm 848 */
												if (NULLP(CDR(BgL_cdrzd262458zd2_9364)))
													{	/* Ast/sexp.scm 848 */
														return CAR(BgL_cdrzd262458zd2_9364);
													}
												else
													{	/* Ast/sexp.scm 848 */
														return BFALSE;
													}
											}
										else
											{	/* Ast/sexp.scm 848 */
												return BFALSE;
											}
									}
								else
									{	/* Ast/sexp.scm 848 */
										obj_t BgL_cdrzd262538zd2_9390;

										BgL_cdrzd262538zd2_9390 = CDR(BgL_testz00_65);
										if ((CAR(BgL_testz00_65) == CNST_TABLE_REF(((long) 17))))
											{	/* Ast/sexp.scm 848 */
												if (PAIRP(BgL_cdrzd262538zd2_9390))
													{	/* Ast/sexp.scm 848 */
														obj_t BgL_cdrzd262542zd2_9394;

														BgL_cdrzd262542zd2_9394 =
															CDR(BgL_cdrzd262538zd2_9390);
														if (PAIRP(BgL_cdrzd262542zd2_9394))
															{	/* Ast/sexp.scm 848 */
																if (NULLP(CDR(BgL_cdrzd262542zd2_9394)))
																	{	/* Ast/sexp.scm 848 */
																		BgL_bindingsz00_9358 =
																			CAR(BgL_cdrzd262538zd2_9390);
																		BgL_exprz00_9359 =
																			CAR(BgL_cdrzd262542zd2_9394);
																		{	/* Ast/sexp.scm 854 */
																			obj_t BgL_ntz00_9404;

																			BgL_ntz00_9404 =
																				BGl_notzd2testzd2zzast_sexpz00
																				(BgL_exprz00_9359);
																			if (CBOOL(BgL_ntz00_9404))
																				{	/* Ast/sexp.scm 856 */
																					obj_t BgL_arg7337z00_9405;

																					{	/* Ast/sexp.scm 856 */
																						obj_t BgL_arg7338z00_9406;

																						{	/* Ast/sexp.scm 856 */
																							obj_t BgL_arg7339z00_9407;

																							BgL_arg7339z00_9407 =
																								MAKE_YOUNG_PAIR(BgL_ntz00_9404,
																								BNIL);
																							BgL_arg7338z00_9406 =
																								MAKE_YOUNG_PAIR
																								(BgL_bindingsz00_9358,
																								BgL_arg7339z00_9407);
																						}
																						BgL_arg7337z00_9405 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 17)),
																							BgL_arg7338z00_9406);
																					}
																					return
																						BGl_epairifyzd2reczd2zztools_miscz00
																						(BgL_arg7337z00_9405,
																						BgL_testz00_65);
																				}
																			else
																				{	/* Ast/sexp.scm 855 */
																					return BFALSE;
																				}
																		}
																	}
																else
																	{	/* Ast/sexp.scm 848 */
																		return BFALSE;
																	}
															}
														else
															{	/* Ast/sexp.scm 848 */
																return BFALSE;
															}
													}
												else
													{	/* Ast/sexp.scm 848 */
														return BFALSE;
													}
											}
										else
											{	/* Ast/sexp.scm 848 */
												return BFALSE;
											}
									}
							}
					}
				else
					{	/* Ast/sexp.scm 848 */
						return BFALSE;
					}
			}
		}

	}



/* used-in? */
	bool_t BGl_usedzd2inzf3z21zzast_sexpz00(obj_t BgL_idz00_66,
		obj_t BgL_exprz00_67)
	{
		{	/* Ast/sexp.scm 865 */
			if ((BgL_idz00_66 == BgL_exprz00_67))
				{	/* Ast/sexp.scm 867 */
					return ((bool_t) 1);
				}
			else
				{	/* Ast/sexp.scm 867 */
					if (PAIRP(BgL_exprz00_67))
						{	/* Ast/sexp.scm 868 */
							if ((CAR(BgL_exprz00_67) == CNST_TABLE_REF(((long) 12))))
								{	/* Ast/sexp.scm 869 */
									return ((bool_t) 0);
								}
							else
								{	/* Ast/sexp.scm 869 */
									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00
										(BgL_exprz00_67))
										{
											obj_t BgL_list1479z00_9424;

											{	/* Ast/sexp.scm 871 */
												obj_t BgL_tmpz00_30844;

												BgL_list1479z00_9424 = BgL_exprz00_67;
											BgL_zc3z04anonymousza37350ze3z87_9425:
												if (PAIRP(BgL_list1479z00_9424))
													{	/* Ast/sexp.scm 871 */
														if (BGl_usedzd2inzf3z21zzast_sexpz00(BgL_idz00_66,
																CAR(BgL_list1479z00_9424)))
															{	/* Ast/sexp.scm 871 */
																BgL_tmpz00_30844 = CAR(BgL_list1479z00_9424);
															}
														else
															{
																obj_t BgL_list1479z00_30851;

																BgL_list1479z00_30851 =
																	CDR(BgL_list1479z00_9424);
																BgL_list1479z00_9424 = BgL_list1479z00_30851;
																goto BgL_zc3z04anonymousza37350ze3z87_9425;
															}
													}
												else
													{	/* Ast/sexp.scm 871 */
														BgL_tmpz00_30844 = BFALSE;
													}
												return CBOOL(BgL_tmpz00_30844);
											}
										}
									else
										{	/* Ast/sexp.scm 870 */
											return ((bool_t) 0);
										}
								}
						}
					else
						{	/* Ast/sexp.scm 868 */
							return ((bool_t) 0);
						}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_sexpz00()
	{
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_sexpz00()
	{
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_sexpz00()
	{
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00()
	{
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_pragmaz00(((long) 156774043),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_labelsz00(((long) 129879154),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 469204197),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_exitz00(((long) 419066125),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_objectz00(((long) 520121776),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string7517z00zzast_sexpz00));
		}

	}

#ifdef __cplusplus
}
#endif
