/*===========================================================================*/
/*   (Ast/unit.scm)                                                          */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/unit.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;


	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2methodzd2nozd2dssslzd2bodyz00zzobject_methodz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_unitz00 = BUNSPEC;
	extern obj_t BGl_dssslzd2keyszd2zztools_dssslz00(obj_t);
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31596ze3ze5zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_dssslzd2beforezd2dssslz00zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2initializa7ersz75zzast_unitz00();
	extern obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
	static obj_t BGl_dozd2etazd2expanseze70ze7zzast_unitz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_unitz00();
	extern obj_t BGl_makezd2nzd2protoz00zztools_argsz00(obj_t);
	static obj_t BGl_makezd2sfunzd2definitionz00zzast_unitz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_makezd2methodzd2bodyz00zzast_unitz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_makezd2genericzd2definitionz00zzast_unitz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_unitz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzast_unitz00();
	extern obj_t BGl_markzd2methodz12zc0zzobject_methodz00(obj_t);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_comptimezd2expandzd2zzexpand_epsz00(obj_t);
	static obj_t BGl_typedzd2argsze70z35zzast_unitz00(obj_t, BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2containszd2zz__r4_strings_6_7z00(obj_t, obj_t,
		int);
	BGL_IMPORT obj_t BGl_dropz00zz__r4_pairs_and_lists_6_3z00(obj_t, long);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_declarezd2unitz12zc0zzast_unitz00(obj_t, long);
	static BgL_globalz00_bglt
		BGl_makezd2sfunzd2keyzd2closurezd2zzast_unitz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_unitz00();
	extern obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2unitzd2listza2zd2zzast_unitz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_makezd2sfunzd2optzd2closurezd2zzast_unitz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_epairifyzd2propagatezd2locz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_makezd2methodzd2dssslzd2bodyzd2zzobject_methodz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62unitzd2initializa7erzd2idzc5zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_z62unitzd2sexpza2zd2addzd2headz12z00zzast_unitz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static bool_t BGl_lambdazf3zf3zzast_unitz00(obj_t);
	static obj_t BGl_z62unitzd2initializa7ersz17zzast_unitz00(obj_t);
	extern bool_t
		BGl_dssslzd2optionalzd2onlyzd2prototypezf3z21zztools_dssslz00(obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	extern obj_t BGl_getzd2methodzd2unitz00zzmodule_classz00();
	static obj_t BGl_makezd2svarzd2definitionz00zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_unitzd2ze3defsz31zzast_unitz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2ze3astz31zzast_unitz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_takez00zz__r4_pairs_and_lists_6_3z00(obj_t, long);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	static obj_t BGl_etazd2expansezd2zzast_unitz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_methodz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_genericz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t,
		obj_t);
	static obj_t BGl_z62unitzd2ze3defsz53zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_z62unitzd2sexpza2zd2addz12zd2zzast_unitz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2initzd2callsz00zzast_unitz00();
	extern BgL_typez00_bglt BGl_typezd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62unitzd2initzd2callsz62zzast_unitz00(obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_makezd2sfunzd2keyzd2definitionzd2zzast_unitz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelza2zd2ze3astz93zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_checkzd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_unitz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_unitz00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	extern BgL_localz00_bglt
		BGl_makezd2userzd2localzd2svarzd2zzast_localz00(obj_t, BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_unitz00();
	BGL_IMPORT obj_t BGl_iotaz00zz__r4_pairs_and_lists_6_3z00(int, obj_t);
	extern obj_t BGl_dssslzd2optionalszd2zztools_dssslz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_unitz00();
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_parsezd2funzd2optzd2argszd2zzast_unitz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2initializa7erzd2idza7zzast_unitz00(obj_t);
	static obj_t BGl_zc3z04anonymousza33024ze3ze70z60zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_makezd2methodzd2definitionz00zzast_unitz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2symzd2zzast_letz00();
	extern obj_t BGl_getzd2genericzd2unitz00zzmodule_classz00();
	extern obj_t BGl_za2unsafezd2evalza2zd2zzengine_paramz00;
	static obj_t BGl_makezd2genericzd2keyzd2definitionzd2zzast_unitz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
	static obj_t BGl_makezd2genericzd2nooptzd2definitionzd2zzast_unitz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(obj_t);
	static obj_t BGl_makezd2genericzd2optzd2definitionzd2zzast_unitz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_loopze70ze7zzast_unitz00(obj_t, obj_t);
	extern bool_t BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t
		BGl_initializa7ezd2importedzd2modulesza7zzmodule_impusez00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_parsezd2funzd2argsz00zzast_unitz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00(obj_t);
	extern bool_t BGl_dssslzd2prototypezf3z21zztools_dssslz00(obj_t);
	extern obj_t BGl_findzd2globalzd2defsz00zzast_findzd2gdefszd2(obj_t);
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	extern obj_t BGl_compilezd2expandzd2zzexpand_epsz00(obj_t);
	static obj_t __cnst[55];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unitzd2initializa7erzd2idzd2envz75zzast_unitz00,
		BgL_bgl_za762unitza7d2initia3492z00,
		BGl_z62unitzd2initializa7erzd2idzc5zzast_unitz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unitzd2ze3defszd2envze3zzast_unitz00,
		BgL_bgl_za762unitza7d2za7e3def3493za7,
		BGl_z62unitzd2ze3defsz53zzast_unitz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unitzd2sexpza2zd2addzd2headz12zd2envzb0zzast_unitz00,
		BgL_bgl_za762unitza7d2sexpza7a3494za7,
		BGl_z62unitzd2sexpza2zd2addzd2headz12z00zzast_unitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unitzd2initzd2callszd2envzd2zzast_unitz00,
		BgL_bgl_za762unitza7d2initza7d3495za7,
		BGl_z62unitzd2initzd2callsz62zzast_unitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unitzd2sexpza2zd2addz12zd2envz62zzast_unitz00,
		BgL_bgl_za762unitza7d2sexpza7a3496za7,
		BGl_z62unitzd2sexpza2zd2addz12zd2zzast_unitz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3472z00zzast_unitz00,
		BgL_bgl_string3472za700za7za7a3497za7, "]", 1);
	      DEFINE_STRING(BGl_string3473z00zzast_unitz00,
		BgL_bgl_string3473za700za7za7a3498za7, "      [", 7);
	      DEFINE_STRING(BGl_string3474z00zzast_unitz00,
		BgL_bgl_string3474za700za7za7a3499za7,
		"Unable to eta-expand #!optional alias", 37);
	      DEFINE_STRING(BGl_string3475z00zzast_unitz00,
		BgL_bgl_string3475za700za7za7a3500za7, "Unable to eta-expand #!key alias",
		32);
	      DEFINE_STRING(BGl_string3476z00zzast_unitz00,
		BgL_bgl_string3476za700za7za7a3501za7, "form no longer supported", 24);
	      DEFINE_STRING(BGl_string3477z00zzast_unitz00,
		BgL_bgl_string3477za700za7za7a3502za7, "define-generic", 14);
	      DEFINE_STRING(BGl_string3478z00zzast_unitz00,
		BgL_bgl_string3478za700za7za7a3503za7, "Illegal '() expression", 22);
	      DEFINE_STRING(BGl_string3479z00zzast_unitz00,
		BgL_bgl_string3479za700za7za7a3504za7, "] expected, provided", 20);
	      DEFINE_STRING(BGl_string3480z00zzast_unitz00,
		BgL_bgl_string3480za700za7za7a3505za7, "..", 2);
	      DEFINE_STRING(BGl_string3481z00zzast_unitz00,
		BgL_bgl_string3481za700za7za7a3506za7, "wrong number of arguments: [", 28);
	      DEFINE_STRING(BGl_string3482z00zzast_unitz00,
		BgL_bgl_string3482za700za7za7a3507za7, "Illegal keyword argument", 24);
	      DEFINE_STRING(BGl_string3483z00zzast_unitz00,
		BgL_bgl_string3483za700za7za7a3508za7,
		"generics can only use on DSSSL keyword", 38);
	      DEFINE_STRING(BGl_string3484z00zzast_unitz00,
		BgL_bgl_string3484za700za7za7a3509za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3485z00zzast_unitz00,
		BgL_bgl_string3485za700za7za7a3510za7, "Bad generic formal argument", 27);
	      DEFINE_STRING(BGl_string3486z00zzast_unitz00,
		BgL_bgl_string3486za700za7za7a3511za7, "::", 2);
	      DEFINE_STRING(BGl_string3487z00zzast_unitz00,
		BgL_bgl_string3487za700za7za7a3512za7, "Bad method formal argument", 26);
	      DEFINE_STRING(BGl_string3488z00zzast_unitz00,
		BgL_bgl_string3488za700za7za7a3513za7, "ast_unit", 8);
	      DEFINE_STRING(BGl_string3489z00zzast_unitz00,
		BgL_bgl_string3489za700za7za7a3514za7,
		"unit register-generic! sgfun when >=fx index memq vector-ref let -fx +fx eq? v =fx k1 i vector-length var check search l globalization env opt _ case else quote error __error let* $vector-length $vector-ref-ur cons* apply define-method define-generic sifun define-inline labels define sfun read lambda -require-initialization -init now export cgen snifun obj if begin set! @ ",
		375);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unitzd2initializa7erszd2envza7zzast_unitz00,
		BgL_bgl_za762unitza7d2initia3515z00,
		BGl_z62unitzd2initializa7ersz17zzast_unitz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_userzd2errorzd2envz00zztools_errorz00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_unitz00));
		     ADD_ROOT((void *) (&BGl_za2unitzd2listza2zd2zzast_unitz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long
		BgL_checksumz00_5267, char *BgL_fromz00_5268)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_unitz00))
				{
					BGl_requirezd2initializa7ationz75zzast_unitz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_unitz00();
					BGl_libraryzd2moduleszd2initz00zzast_unitz00();
					BGl_cnstzd2initzd2zzast_unitz00();
					BGl_importedzd2moduleszd2initz00zzast_unitz00();
					return BGl_toplevelzd2initzd2zzast_unitz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_unitz00()
	{
		{	/* Ast/unit.scm 21 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "ast_unit");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_unitz00()
	{
		{	/* Ast/unit.scm 21 */
			{	/* Ast/unit.scm 21 */
				obj_t BgL_cportz00_5255;

				{	/* Ast/unit.scm 21 */
					obj_t BgL_stringz00_5263;

					BgL_stringz00_5263 = BGl_string3489z00zzast_unitz00;
					{	/* Ast/unit.scm 21 */
						obj_t BgL_startz00_5264;

						BgL_startz00_5264 = BINT(((long) 0));
						{	/* Ast/unit.scm 21 */
							obj_t BgL_endz00_5265;

							BgL_endz00_5265 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5263)));
							{	/* Ast/unit.scm 21 */

								BgL_cportz00_5255 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5263, BgL_startz00_5264, BgL_endz00_5265);
				}}}}
				{
					long BgL_iz00_5256;

					BgL_iz00_5256 = ((long) 54);
				BgL_loopz00_5257:
					if ((BgL_iz00_5256 == ((long) -1)))
						{	/* Ast/unit.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Ast/unit.scm 21 */
							{	/* Ast/unit.scm 21 */
								obj_t BgL_arg3491z00_5259;

								{	/* Ast/unit.scm 21 */

									{	/* Ast/unit.scm 21 */
										obj_t BgL_locationz00_5261;

										BgL_locationz00_5261 = BBOOL(((bool_t) 0));
										{	/* Ast/unit.scm 21 */

											BgL_arg3491z00_5259 =
												BGl_readz00zz__readerz00(BgL_cportz00_5255,
												BgL_locationz00_5261);
										}
									}
								}
								{	/* Ast/unit.scm 21 */
									int BgL_tmpz00_5301;

									BgL_tmpz00_5301 = (int) (BgL_iz00_5256);
									CNST_TABLE_SET(BgL_tmpz00_5301, BgL_arg3491z00_5259);
							}}
							{	/* Ast/unit.scm 21 */
								int BgL_auxz00_5262;

								BgL_auxz00_5262 = (int) ((BgL_iz00_5256 - ((long) 1)));
								{
									long BgL_iz00_5306;

									BgL_iz00_5306 = (long) (BgL_auxz00_5262);
									BgL_iz00_5256 = BgL_iz00_5306;
									goto BgL_loopz00_5257;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_unitz00()
	{
		{	/* Ast/unit.scm 21 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_unitz00()
	{
		{	/* Ast/unit.scm 21 */
			return (BGl_za2unitzd2listza2zd2zzast_unitz00 = BNIL, BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzast_unitz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1715;

				BgL_headz00_1715 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1716;
					obj_t BgL_tailz00_1717;

					BgL_prevz00_1716 = BgL_headz00_1715;
					BgL_tailz00_1717 = BgL_l1z00_1;
				BgL_loopz00_1718:
					if (PAIRP(BgL_tailz00_1717))
						{
							obj_t BgL_newzd2prevzd2_1720;

							BgL_newzd2prevzd2_1720 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1717), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1716, BgL_newzd2prevzd2_1720);
							{
								obj_t BgL_tailz00_5316;
								obj_t BgL_prevz00_5315;

								BgL_prevz00_5315 = BgL_newzd2prevzd2_1720;
								BgL_tailz00_5316 = CDR(BgL_tailz00_1717);
								BgL_tailz00_1717 = BgL_tailz00_5316;
								BgL_prevz00_1716 = BgL_prevz00_5315;
								goto BgL_loopz00_1718;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1715);
				}
			}
		}

	}



/* unit-sexp*-add! */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t
		BgL_unitz00_25, obj_t BgL_sexpz00_26)
	{
		{	/* Ast/unit.scm 60 */
			if (NULLP(STRUCT_REF(((obj_t) BgL_unitz00_25), (int) (((long) 2)))))
				{	/* Ast/unit.scm 62 */
					int BgL_auxz00_5326;
					obj_t BgL_tmpz00_5324;

					BgL_auxz00_5326 = (int) (((long) 2));
					BgL_tmpz00_5324 = ((obj_t) BgL_unitz00_25);
					return STRUCT_SET(BgL_tmpz00_5324, BgL_auxz00_5326, BgL_sexpz00_26);
				}
			else
				{	/* Ast/unit.scm 63 */
					obj_t BgL_arg1400z00_1739;

					BgL_arg1400z00_1739 =
						BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(STRUCT_REF(
							((obj_t) BgL_unitz00_25), (int) (((long) 2))));
					return SET_CDR(BgL_arg1400z00_1739, BgL_sexpz00_26);
				}
		}

	}



/* &unit-sexp*-add! */
	obj_t BGl_z62unitzd2sexpza2zd2addz12zd2zzast_unitz00(obj_t BgL_envz00_5230,
		obj_t BgL_unitz00_5231, obj_t BgL_sexpz00_5232)
	{
		{	/* Ast/unit.scm 60 */
			return
				BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(BgL_unitz00_5231,
				BgL_sexpz00_5232);
		}

	}



/* unit-sexp*-add-head! */
	BGL_EXPORTED_DEF obj_t
		BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00(obj_t BgL_unitz00_27,
		obj_t BgL_sexpz00_28)
	{
		{	/* Ast/unit.scm 68 */
			{	/* Ast/unit.scm 69 */
				obj_t BgL_arg1416z00_3905;

				{	/* Ast/unit.scm 69 */
					obj_t BgL_arg1418z00_3906;

					BgL_arg1418z00_3906 =
						STRUCT_REF(((obj_t) BgL_unitz00_27), (int) (((long) 2)));
					BgL_arg1416z00_3905 =
						BGl_appendzd221011zd2zzast_unitz00(BgL_sexpz00_28,
						BgL_arg1418z00_3906);
				}
				{	/* Ast/unit.scm 69 */
					int BgL_auxz00_5341;
					obj_t BgL_tmpz00_5339;

					BgL_auxz00_5341 = (int) (((long) 2));
					BgL_tmpz00_5339 = ((obj_t) BgL_unitz00_27);
					return
						STRUCT_SET(BgL_tmpz00_5339, BgL_auxz00_5341, BgL_arg1416z00_3905);
				}
			}
		}

	}



/* &unit-sexp*-add-head! */
	obj_t BGl_z62unitzd2sexpza2zd2addzd2headz12z00zzast_unitz00(obj_t
		BgL_envz00_5233, obj_t BgL_unitz00_5234, obj_t BgL_sexpz00_5235)
	{
		{	/* Ast/unit.scm 68 */
			return
				BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00(BgL_unitz00_5234,
				BgL_sexpz00_5235);
		}

	}



/* unit->defs */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2ze3defsz31zzast_unitz00(obj_t
		BgL_unitz00_29)
	{
		{	/* Ast/unit.scm 74 */
			{	/* Ast/unit.scm 76 */
				obj_t BgL_arg1419z00_1744;

				{	/* Ast/unit.scm 76 */
					obj_t BgL_arg1457z00_1749;

					{	/* Ast/unit.scm 76 */
						obj_t BgL_arg1462z00_1750;

						BgL_arg1462z00_1750 =
							STRUCT_REF(((obj_t) BgL_unitz00_29), (int) (((long) 0)));
						{	/* Ast/unit.scm 76 */
							obj_t BgL_arg1463z00_3911;

							BgL_arg1463z00_3911 =
								SYMBOL_TO_STRING(((obj_t) BgL_arg1462z00_1750));
							BgL_arg1457z00_1749 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1463z00_3911);
					}}
					BgL_arg1419z00_1744 =
						BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1457z00_1749);
				}
				{	/* Ast/unit.scm 75 */
					obj_t BgL_list1420z00_1745;

					{	/* Ast/unit.scm 75 */
						obj_t BgL_arg1430z00_1746;

						{	/* Ast/unit.scm 75 */
							obj_t BgL_arg1454z00_1747;

							{	/* Ast/unit.scm 75 */
								obj_t BgL_arg1456z00_1748;

								BgL_arg1456z00_1748 =
									MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
								BgL_arg1454z00_1747 =
									MAKE_YOUNG_PAIR(BGl_string3472z00zzast_unitz00,
									BgL_arg1456z00_1748);
							}
							BgL_arg1430z00_1746 =
								MAKE_YOUNG_PAIR(BgL_arg1419z00_1744, BgL_arg1454z00_1747);
						}
						BgL_list1420z00_1745 =
							MAKE_YOUNG_PAIR(BGl_string3473z00zzast_unitz00,
							BgL_arg1430z00_1746);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
						BgL_list1420z00_1745);
			}}
			{	/* Ast/unit.scm 80 */
				obj_t BgL_idz00_1754;

				BgL_idz00_1754 =
					STRUCT_REF(((obj_t) BgL_unitz00_29), (int) (((long) 0)));
				{	/* Ast/unit.scm 80 */
					obj_t BgL_weightz00_1755;

					BgL_weightz00_1755 =
						STRUCT_REF(((obj_t) BgL_unitz00_29), (int) (((long) 1)));
					{	/* Ast/unit.scm 81 */
						obj_t BgL_sexpza2za2_1756;

						BgL_sexpza2za2_1756 =
							STRUCT_REF(((obj_t) BgL_unitz00_29), (int) (((long) 2)));
						{	/* Ast/unit.scm 82 */
							obj_t BgL_gdefsz00_1757;

							BgL_gdefsz00_1757 =
								BGl_findzd2globalzd2defsz00zzast_findzd2gdefszd2
								(BgL_sexpza2za2_1756);
							{	/* Ast/unit.scm 83 */

								{	/* Ast/unit.scm 85 */
									obj_t BgL_g1109z00_1758;
									obj_t BgL_g1110z00_1759;

									if (PROCEDUREP(BgL_sexpza2za2_1756))
										{	/* Ast/unit.scm 85 */
											BgL_g1109z00_1758 =
												PROCEDURE_ENTRY(BgL_sexpza2za2_1756)
												(BgL_sexpza2za2_1756, BEOA);
										}
									else
										{	/* Ast/unit.scm 85 */
											BgL_g1109z00_1758 =
												BGl_toplevelza2zd2ze3astz93zzast_unitz00
												(BgL_sexpza2za2_1756, BgL_gdefsz00_1757);
										}
									if (CBOOL(STRUCT_REF(
												((obj_t) BgL_unitz00_29), (int) (((long) 4)))))
										{	/* Ast/unit.scm 88 */
											obj_t BgL_list1625z00_1818;

											BgL_list1625z00_1818 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
											BgL_g1110z00_1759 = BgL_list1625z00_1818;
										}
									else
										{	/* Ast/unit.scm 88 */
											BgL_g1110z00_1759 = BNIL;
										}
									{
										obj_t BgL_aexpza2za2_1762;
										obj_t BgL_initza2za2_1763;
										obj_t BgL_defza2za2_1764;

										BgL_aexpza2za2_1762 = BgL_g1109z00_1758;
										BgL_initza2za2_1763 = BgL_g1110z00_1759;
										BgL_defza2za2_1764 = BNIL;
									BgL_zc3z04anonymousza31495ze3z87_1765:
										if (NULLP(BgL_aexpza2za2_1762))
											{	/* Ast/unit.scm 90 */
												if (NULLP(BgL_initza2za2_1763))
													{	/* Ast/unit.scm 91 */
														return bgl_reverse_bang(BgL_defza2za2_1764);
													}
												else
													{	/* Ast/unit.scm 92 */
														obj_t BgL_bodyz00_1768;

														if (CBOOL(STRUCT_REF(
																	((obj_t) BgL_unitz00_29),
																	(int) (((long) 4)))))
															{	/* Ast/unit.scm 93 */
																obj_t BgL_arg1548z00_1782;

																{	/* Ast/unit.scm 93 */
																	obj_t BgL_arg1551z00_1783;
																	obj_t BgL_arg1552z00_1784;

																	{	/* Ast/unit.scm 93 */
																		obj_t BgL_arg1554z00_1785;

																		{	/* Ast/unit.scm 93 */
																			obj_t BgL_arg1555z00_1786;
																			obj_t BgL_arg1563z00_1787;

																			BgL_arg1555z00_1786 =
																				BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00
																				(BgL_idz00_1754);
																			BgL_arg1563z00_1787 =
																				MAKE_YOUNG_PAIR
																				(BGl_za2moduleza2z00zzmodule_modulez00,
																				BNIL);
																			BgL_arg1554z00_1785 =
																				MAKE_YOUNG_PAIR(BgL_arg1555z00_1786,
																				BgL_arg1563z00_1787);
																		}
																		BgL_arg1551z00_1783 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					0)), BgL_arg1554z00_1785);
																	}
																	{	/* Ast/unit.scm 95 */
																		obj_t BgL_arg1564z00_1788;

																		{	/* Ast/unit.scm 95 */
																			obj_t BgL_arg1567z00_1789;

																			{	/* Ast/unit.scm 95 */
																				obj_t BgL_arg1570z00_1790;
																				obj_t BgL_arg1571z00_1791;

																				{	/* Ast/unit.scm 95 */
																					obj_t BgL_arg1578z00_1792;

																					{	/* Ast/unit.scm 95 */
																						obj_t BgL_arg1581z00_1793;
																						obj_t BgL_arg1582z00_1794;

																						{	/* Ast/unit.scm 95 */
																							obj_t BgL_arg1583z00_1795;

																							{	/* Ast/unit.scm 95 */
																								obj_t BgL_arg1584z00_1796;
																								obj_t BgL_arg1585z00_1797;

																								BgL_arg1584z00_1796 =
																									BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00
																									(BgL_idz00_1754);
																								BgL_arg1585z00_1797 =
																									MAKE_YOUNG_PAIR
																									(BGl_za2moduleza2z00zzmodule_modulez00,
																									BNIL);
																								BgL_arg1583z00_1795 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1584z00_1796,
																									BgL_arg1585z00_1797);
																							}
																							BgL_arg1581z00_1793 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 0)),
																								BgL_arg1583z00_1795);
																						}
																						BgL_arg1582z00_1794 =
																							MAKE_YOUNG_PAIR(BFALSE, BNIL);
																						BgL_arg1578z00_1792 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1581z00_1793,
																							BgL_arg1582z00_1794);
																					}
																					BgL_arg1570z00_1790 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 1)),
																						BgL_arg1578z00_1792);
																				}
																				{	/* Ast/unit.scm 98 */
																					obj_t BgL_arg1586z00_1798;
																					obj_t BgL_arg1588z00_1799;

																					{	/* Ast/unit.scm 98 */
																						obj_t
																							BgL_zc3z04anonymousza31596ze3z87_5236;
																						BgL_zc3z04anonymousza31596ze3z87_5236
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3z04anonymousza31596ze3ze5zzast_unitz00,
																							(int) (((long) 1)),
																							(int) (((long) 1)));
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza31596ze3z87_5236,
																							(int) (((long) 0)),
																							BgL_idz00_1754);
																						BgL_arg1586z00_1798 =
																							BGl_initializa7ezd2importedzd2modulesza7zzmodule_impusez00
																							(BgL_zc3z04anonymousza31596ze3z87_5236);
																					}
																					BgL_arg1588z00_1799 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(bgl_reverse_bang
																						(BgL_initza2za2_1763), BNIL);
																					BgL_arg1571z00_1791 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg1586z00_1798,
																						BgL_arg1588z00_1799);
																				}
																				BgL_arg1567z00_1789 =
																					MAKE_YOUNG_PAIR(BgL_arg1570z00_1790,
																					BgL_arg1571z00_1791);
																			}
																			BgL_arg1564z00_1788 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						2)), BgL_arg1567z00_1789);
																		}
																		BgL_arg1552z00_1784 =
																			MAKE_YOUNG_PAIR(BgL_arg1564z00_1788,
																			BNIL);
																	}
																	BgL_arg1548z00_1782 =
																		MAKE_YOUNG_PAIR(BgL_arg1551z00_1783,
																		BgL_arg1552z00_1784);
																}
																BgL_bodyz00_1768 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
																	BgL_arg1548z00_1782);
															}
														else
															{	/* Ast/unit.scm 92 */
																BgL_bodyz00_1768 =
																	BGl_normaliza7ezd2prognz75zztools_prognz00
																	(bgl_reverse_bang(BgL_initza2za2_1763));
															}
														{	/* Ast/unit.scm 92 */
															BgL_globalz00_bglt BgL_initz00_1769;

															{	/* Ast/unit.scm 103 */
																obj_t BgL_arg1536z00_1779;

																{	/* Ast/unit.scm 103 */
																	obj_t BgL_arg1542z00_1780;

																	BgL_arg1542z00_1780 =
																		BGl_unitzd2initializa7erzd2idza7zzast_unitz00
																		(BgL_idz00_1754);
																	BgL_arg1536z00_1779 =
																		BGl_makezd2typedzd2identz00zzast_identz00
																		(BgL_arg1542z00_1780,
																		CNST_TABLE_REF(((long) 4)));
																}
																BgL_initz00_1769 =
																	BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
																	(BgL_arg1536z00_1779, BNIL, BNIL,
																	BGl_za2moduleza2z00zzmodule_modulez00,
																	CNST_TABLE_REF(((long) 5)),
																	BGl_za2modulezd2clauseza2zd2zzmodule_modulez00,
																	CNST_TABLE_REF(((long) 6)), BgL_bodyz00_1768);
															}
															{	/* Ast/unit.scm 101 */

																if (CBOOL(STRUCT_REF(
																			((obj_t) BgL_unitz00_29),
																			(int) (((long) 4)))))
																	{	/* Ast/unit.scm 113 */
																		obj_t BgL_vz00_3921;

																		BgL_vz00_3921 = CNST_TABLE_REF(((long) 7));
																		((((BgL_globalz00_bglt)
																					COBJECT(BgL_initz00_1769))->
																				BgL_importz00) =
																			((obj_t) BgL_vz00_3921), BUNSPEC);
																	}
																else
																	{	/* Ast/unit.scm 112 */
																		BFALSE;
																	}
																if (
																	(BgL_unitz00_29 ==
																		BGl_getzd2toplevelzd2unitz00zzmodule_includez00
																		()))
																	{	/* Ast/unit.scm 116 */
																		BFALSE;
																	}
																else
																	{	/* Ast/unit.scm 116 */
																		((((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							BgL_initz00_1769)))->
																				BgL_userzf3zf3) =
																			((bool_t) ((bool_t) 0)), BUNSPEC);
																	}
																BGl_declarezd2unitz12zc0zzast_unitz00
																	(BgL_idz00_1754,
																	(long) CINT(BgL_weightz00_1755));
																((((BgL_globalz00_bglt)
																			COBJECT(BgL_initz00_1769))->
																		BgL_evaluablezf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
																if (CBOOL(STRUCT_REF(((obj_t) BgL_unitz00_29),
																			(int) (((long) 4)))))
																	{	/* Ast/unit.scm 127 */
																		obj_t BgL_idz00_1775;

																		{	/* Ast/unit.scm 127 */
																			obj_t BgL_arg1524z00_1777;

																			BgL_arg1524z00_1777 =
																				BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00
																				(BgL_idz00_1754);
																			BgL_idz00_1775 =
																				BGl_makezd2typedzd2identz00zzast_identz00
																				(BgL_arg1524z00_1777,
																				CNST_TABLE_REF(((long) 4)));
																		}
																		{	/* Ast/unit.scm 127 */
																			BgL_globalz00_bglt BgL_gloz00_1776;

																			BgL_gloz00_1776 =
																				BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
																				(BgL_idz00_1775,
																				BGl_za2moduleza2z00zzmodule_modulez00,
																				BGl_za2modulezd2clauseza2zd2zzmodule_modulez00,
																				CNST_TABLE_REF(((long) 8)));
																			{	/* Ast/unit.scm 129 */

																				((((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									BgL_gloz00_1776)))->
																						BgL_userzf3zf3) =
																					((bool_t) ((bool_t) 0)), BUNSPEC);
																				((((BgL_globalz00_bglt)
																							COBJECT(BgL_gloz00_1776))->
																						BgL_evaluablezf3zf3) =
																					((bool_t) ((bool_t) 0)), BUNSPEC);
																	}}}
																else
																	{	/* Ast/unit.scm 126 */
																		BFALSE;
																	}
																{	/* Ast/unit.scm 133 */
																	obj_t BgL_arg1534z00_1778;

																	BgL_arg1534z00_1778 =
																		bgl_reverse_bang(BgL_defza2za2_1764);
																	return
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_initz00_1769),
																		BgL_arg1534z00_1778);
																}
															}
														}
													}
											}
										else
											{	/* Ast/unit.scm 135 */
												bool_t BgL_test3528z00_5460;

												{	/* Ast/unit.scm 135 */
													obj_t BgL_arg1621z00_1814;

													BgL_arg1621z00_1814 =
														CAR(((obj_t) BgL_aexpza2za2_1762));
													{	/* Ast/unit.scm 135 */
														obj_t BgL_classz00_3932;

														BgL_classz00_3932 = BGl_globalz00zzast_varz00;
														if (BGL_OBJECTP(BgL_arg1621z00_1814))
															{	/* Ast/unit.scm 135 */
																BgL_objectz00_bglt BgL_arg1825z00_3934;

																BgL_arg1825z00_3934 =
																	(BgL_objectz00_bglt) (BgL_arg1621z00_1814);
																{	/* Ast/unit.scm 135 */
																	bool_t BgL_arg1822z00_3937;
																	bool_t BgL_arg1823z00_3938;

																	{	/* Ast/unit.scm 135 */
																		long BgL_idxz00_3941;

																		BgL_idxz00_3941 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_3934);
																		BgL_arg1822z00_3937 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3941 + ((long) 2))) ==
																			BgL_classz00_3932);
																	}
																	{	/* Ast/unit.scm 135 */
																		bool_t BgL_res3429z00_3963;

																		{	/* Ast/unit.scm 135 */
																			obj_t BgL_oclassz00_3949;

																			{	/* Ast/unit.scm 135 */
																				long BgL_arg1833z00_3955;

																				{	/* Ast/unit.scm 135 */
																					long BgL_arg1834z00_3956;

																					BgL_arg1834z00_3956 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_3934);
																					BgL_arg1833z00_3955 =
																						(BgL_arg1834z00_3956 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3949 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_3955);
																			}
																			{	/* Ast/unit.scm 135 */
																				bool_t BgL__ortest_1110z00_3950;

																				BgL__ortest_1110z00_3950 =
																					(BgL_classz00_3932 ==
																					BgL_oclassz00_3949);
																				if (BgL__ortest_1110z00_3950)
																					{	/* Ast/unit.scm 135 */
																						BgL_res3429z00_3963 =
																							BgL__ortest_1110z00_3950;
																					}
																				else
																					{	/* Ast/unit.scm 135 */
																						long BgL_odepthz00_3951;

																						BgL_odepthz00_3951 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_3949);
																						if ((((long) 2) <
																								BgL_odepthz00_3951))
																							{	/* Ast/unit.scm 135 */
																								obj_t BgL_arg1821z00_3953;

																								BgL_arg1821z00_3953 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_3949,
																									((long) 2));
																								BgL_res3429z00_3963 =
																									(BgL_arg1821z00_3953 ==
																									BgL_classz00_3932);
																							}
																						else
																							{	/* Ast/unit.scm 135 */
																								BgL_res3429z00_3963 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_3938 = BgL_res3429z00_3963;
																	}
																	BgL_test3528z00_5460 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_3937,
																		BgL_arg1823z00_3938);
																}
															}
														else
															{	/* Ast/unit.scm 135 */
																BgL_test3528z00_5460 = ((bool_t) 0);
															}
													}
												}
												if (BgL_test3528z00_5460)
													{	/* Ast/unit.scm 136 */
														obj_t BgL_arg1604z00_1808;
														obj_t BgL_arg1606z00_1809;

														BgL_arg1604z00_1808 =
															CDR(((obj_t) BgL_aexpza2za2_1762));
														{	/* Ast/unit.scm 138 */
															obj_t BgL_arg1612z00_1810;

															BgL_arg1612z00_1810 =
																CAR(((obj_t) BgL_aexpza2za2_1762));
															BgL_arg1606z00_1809 =
																MAKE_YOUNG_PAIR(BgL_arg1612z00_1810,
																BgL_defza2za2_1764);
														}
														{
															obj_t BgL_defza2za2_5487;
															obj_t BgL_aexpza2za2_5486;

															BgL_aexpza2za2_5486 = BgL_arg1604z00_1808;
															BgL_defza2za2_5487 = BgL_arg1606z00_1809;
															BgL_defza2za2_1764 = BgL_defza2za2_5487;
															BgL_aexpza2za2_1762 = BgL_aexpza2za2_5486;
															goto BgL_zc3z04anonymousza31495ze3z87_1765;
														}
													}
												else
													{	/* Ast/unit.scm 139 */
														obj_t BgL_arg1613z00_1811;
														obj_t BgL_arg1619z00_1812;

														BgL_arg1613z00_1811 =
															CDR(((obj_t) BgL_aexpza2za2_1762));
														{	/* Ast/unit.scm 140 */
															obj_t BgL_arg1620z00_1813;

															BgL_arg1620z00_1813 =
																CAR(((obj_t) BgL_aexpza2za2_1762));
															BgL_arg1619z00_1812 =
																MAKE_YOUNG_PAIR(BgL_arg1620z00_1813,
																BgL_initza2za2_1763);
														}
														{
															obj_t BgL_initza2za2_5494;
															obj_t BgL_aexpza2za2_5493;

															BgL_aexpza2za2_5493 = BgL_arg1613z00_1811;
															BgL_initza2za2_5494 = BgL_arg1619z00_1812;
															BgL_initza2za2_1763 = BgL_initza2za2_5494;
															BgL_aexpza2za2_1762 = BgL_aexpza2za2_5493;
															goto BgL_zc3z04anonymousza31495ze3z87_1765;
														}
													}
											}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &unit->defs */
	obj_t BGl_z62unitzd2ze3defsz53zzast_unitz00(obj_t BgL_envz00_5237,
		obj_t BgL_unitz00_5238)
	{
		{	/* Ast/unit.scm 74 */
			return BGl_unitzd2ze3defsz31zzast_unitz00(BgL_unitz00_5238);
		}

	}



/* &<@anonymous:1596> */
	obj_t BGl_z62zc3z04anonymousza31596ze3ze5zzast_unitz00(obj_t BgL_envz00_5239,
		obj_t BgL_mz00_5241)
	{
		{	/* Ast/unit.scm 97 */
			return
				BGl_unitzd2initializa7erzd2idza7zzast_unitz00(PROCEDURE_REF
				(BgL_envz00_5239, (int) (((long) 0))));
		}

	}



/* declare-unit! */
	obj_t BGl_declarezd2unitz12zc0zzast_unitz00(obj_t BgL_idz00_30,
		long BgL_weightz00_31)
	{
		{	/* Ast/unit.scm 151 */
			{	/* Ast/unit.scm 152 */
				bool_t BgL_test3532z00_5499;

				if (NULLP(BGl_za2unitzd2listza2zd2zzast_unitz00))
					{	/* Ast/unit.scm 152 */
						BgL_test3532z00_5499 = ((bool_t) 1);
					}
				else
					{	/* Ast/unit.scm 152 */
						obj_t BgL_arg1694z00_1845;

						BgL_arg1694z00_1845 =
							CDR(CAR(BGl_za2unitzd2listza2zd2zzast_unitz00));
						BgL_test3532z00_5499 =
							(BgL_weightz00_31 < (long) CINT(BgL_arg1694z00_1845));
					}
				if (BgL_test3532z00_5499)
					{	/* Ast/unit.scm 153 */
						obj_t BgL_arg1636z00_1823;

						BgL_arg1636z00_1823 =
							MAKE_YOUNG_PAIR(BgL_idz00_30, BINT(BgL_weightz00_31));
						return (BGl_za2unitzd2listza2zd2zzast_unitz00 =
							MAKE_YOUNG_PAIR(BgL_arg1636z00_1823,
								BGl_za2unitzd2listza2zd2zzast_unitz00), BUNSPEC);
					}
				else
					{
						obj_t BgL_ulistz00_1825;

						BgL_ulistz00_1825 = BGl_za2unitzd2listza2zd2zzast_unitz00;
					BgL_zc3z04anonymousza31637ze3z87_1826:
						{	/* Ast/unit.scm 156 */
							bool_t BgL_test3534z00_5509;

							{	/* Ast/unit.scm 156 */
								long BgL_tmpz00_5510;

								{	/* Ast/unit.scm 156 */
									obj_t BgL_pairz00_3974;

									BgL_pairz00_3974 = CAR(((obj_t) BgL_ulistz00_1825));
									BgL_tmpz00_5510 = (long) CINT(CDR(BgL_pairz00_3974));
								}
								BgL_test3534z00_5509 = (BgL_weightz00_31 < BgL_tmpz00_5510);
							}
							if (BgL_test3534z00_5509)
								{	/* Ast/unit.scm 156 */
									{	/* Ast/unit.scm 157 */
										obj_t BgL_arg1656z00_1830;

										{	/* Ast/unit.scm 157 */
											obj_t BgL_arg1657z00_1831;
											obj_t BgL_arg1660z00_1832;

											BgL_arg1657z00_1831 = CAR(((obj_t) BgL_ulistz00_1825));
											BgL_arg1660z00_1832 = CDR(((obj_t) BgL_ulistz00_1825));
											BgL_arg1656z00_1830 =
												MAKE_YOUNG_PAIR(BgL_arg1657z00_1831,
												BgL_arg1660z00_1832);
										}
										{	/* Ast/unit.scm 157 */
											obj_t BgL_tmpz00_5521;

											BgL_tmpz00_5521 = ((obj_t) BgL_ulistz00_1825);
											SET_CDR(BgL_tmpz00_5521, BgL_arg1656z00_1830);
										}
									}
									{	/* Ast/unit.scm 158 */
										obj_t BgL_arg1665z00_1833;

										BgL_arg1665z00_1833 =
											MAKE_YOUNG_PAIR(BgL_idz00_30, BINT(BgL_weightz00_31));
										{	/* Ast/unit.scm 158 */
											obj_t BgL_tmpz00_5526;

											BgL_tmpz00_5526 = ((obj_t) BgL_ulistz00_1825);
											return SET_CAR(BgL_tmpz00_5526, BgL_arg1665z00_1833);
										}
									}
								}
							else
								{	/* Ast/unit.scm 156 */
									if (NULLP(CDR(((obj_t) BgL_ulistz00_1825))))
										{	/* Ast/unit.scm 160 */
											obj_t BgL_arg1675z00_1836;

											{	/* Ast/unit.scm 160 */
												obj_t BgL_arg1676z00_1837;

												BgL_arg1676z00_1837 =
													MAKE_YOUNG_PAIR(BgL_idz00_30, BINT(BgL_weightz00_31));
												{	/* Ast/unit.scm 160 */
													obj_t BgL_list1677z00_1838;

													BgL_list1677z00_1838 =
														MAKE_YOUNG_PAIR(BgL_arg1676z00_1837, BNIL);
													BgL_arg1675z00_1836 = BgL_list1677z00_1838;
												}
											}
											{	/* Ast/unit.scm 160 */
												obj_t BgL_tmpz00_5536;

												BgL_tmpz00_5536 = ((obj_t) BgL_ulistz00_1825);
												return SET_CDR(BgL_tmpz00_5536, BgL_arg1675z00_1836);
											}
										}
									else
										{	/* Ast/unit.scm 162 */
											obj_t BgL_arg1678z00_1839;

											BgL_arg1678z00_1839 = CDR(((obj_t) BgL_ulistz00_1825));
											{
												obj_t BgL_ulistz00_5541;

												BgL_ulistz00_5541 = BgL_arg1678z00_1839;
												BgL_ulistz00_1825 = BgL_ulistz00_5541;
												goto BgL_zc3z04anonymousza31637ze3z87_1826;
											}
										}
								}
						}
					}
			}
		}

	}



/* unit-initializer-id */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2initializa7erzd2idza7zzast_unitz00(obj_t
		BgL_idz00_32)
	{
		{	/* Ast/unit.scm 167 */
			{	/* Ast/unit.scm 168 */
				obj_t BgL_arg1696z00_1847;

				{	/* Ast/unit.scm 168 */
					obj_t BgL_arg1699z00_1848;
					obj_t BgL_arg1703z00_1849;

					{	/* Ast/unit.scm 168 */
						obj_t BgL_arg1463z00_3986;

						BgL_arg1463z00_3986 = SYMBOL_TO_STRING(((obj_t) BgL_idz00_32));
						BgL_arg1699z00_1848 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1463z00_3986);
					}
					{	/* Ast/unit.scm 168 */
						obj_t BgL_symbolz00_3987;

						BgL_symbolz00_3987 = CNST_TABLE_REF(((long) 9));
						{	/* Ast/unit.scm 168 */
							obj_t BgL_arg1463z00_3988;

							BgL_arg1463z00_3988 = SYMBOL_TO_STRING(BgL_symbolz00_3987);
							BgL_arg1703z00_1849 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1463z00_3988);
					}}
					BgL_arg1696z00_1847 =
						string_append(BgL_arg1699z00_1848, BgL_arg1703z00_1849);
				}
				return bstring_to_symbol(BgL_arg1696z00_1847);
			}
		}

	}



/* &unit-initializer-id */
	obj_t BGl_z62unitzd2initializa7erzd2idzc5zzast_unitz00(obj_t BgL_envz00_5242,
		obj_t BgL_idz00_5243)
	{
		{	/* Ast/unit.scm 167 */
			return BGl_unitzd2initializa7erzd2idza7zzast_unitz00(BgL_idz00_5243);
		}

	}



/* unit-require-init-id */
	obj_t BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00(obj_t BgL_idz00_33)
	{
		{	/* Ast/unit.scm 173 */
			{	/* Ast/unit.scm 174 */
				obj_t BgL_arg1706z00_1850;

				{	/* Ast/unit.scm 174 */
					obj_t BgL_arg1711z00_1851;
					obj_t BgL_arg1712z00_1852;

					{	/* Ast/unit.scm 174 */
						obj_t BgL_arg1463z00_3991;

						BgL_arg1463z00_3991 = SYMBOL_TO_STRING(((obj_t) BgL_idz00_33));
						BgL_arg1711z00_1851 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1463z00_3991);
					}
					{	/* Ast/unit.scm 174 */
						obj_t BgL_symbolz00_3992;

						BgL_symbolz00_3992 = CNST_TABLE_REF(((long) 10));
						{	/* Ast/unit.scm 174 */
							obj_t BgL_arg1463z00_3993;

							BgL_arg1463z00_3993 = SYMBOL_TO_STRING(BgL_symbolz00_3992);
							BgL_arg1712z00_1852 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1463z00_3993);
					}}
					BgL_arg1706z00_1850 =
						string_append(BgL_arg1711z00_1851, BgL_arg1712z00_1852);
				}
				return bstring_to_symbol(BgL_arg1706z00_1850);
			}
		}

	}



/* unit-initializers */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2initializa7ersz75zzast_unitz00()
	{
		{	/* Ast/unit.scm 179 */
			{	/* Ast/unit.scm 180 */
				obj_t BgL_l1253z00_1853;

				BgL_l1253z00_1853 = BGl_za2unitzd2listza2zd2zzast_unitz00;
				if (NULLP(BgL_l1253z00_1853))
					{	/* Ast/unit.scm 180 */
						return BNIL;
					}
				else
					{	/* Ast/unit.scm 180 */
						obj_t BgL_head1255z00_1855;

						BgL_head1255z00_1855 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1253z00_1857;
							obj_t BgL_tail1256z00_1858;

							BgL_l1253z00_1857 = BgL_l1253z00_1853;
							BgL_tail1256z00_1858 = BgL_head1255z00_1855;
						BgL_zc3z04anonymousza31714ze3z87_1859:
							if (NULLP(BgL_l1253z00_1857))
								{	/* Ast/unit.scm 180 */
									return CDR(BgL_head1255z00_1855);
								}
							else
								{	/* Ast/unit.scm 180 */
									obj_t BgL_newtail1257z00_1861;

									{	/* Ast/unit.scm 180 */
										obj_t BgL_arg1721z00_1863;

										{	/* Ast/unit.scm 180 */
											obj_t BgL_unitz00_1864;

											BgL_unitz00_1864 = CAR(((obj_t) BgL_l1253z00_1857));
											{	/* Ast/unit.scm 181 */
												obj_t BgL_arg1723z00_1865;

												{	/* Ast/unit.scm 181 */
													obj_t BgL_arg1725z00_1866;

													BgL_arg1725z00_1866 = CAR(((obj_t) BgL_unitz00_1864));
													BgL_arg1723z00_1865 =
														BGl_unitzd2initializa7erzd2idza7zzast_unitz00
														(BgL_arg1725z00_1866);
												}
												BgL_arg1721z00_1863 =
													BGl_findzd2globalzf2modulez20zzast_envz00
													(BgL_arg1723z00_1865,
													BGl_za2moduleza2z00zzmodule_modulez00);
											}
										}
										BgL_newtail1257z00_1861 =
											MAKE_YOUNG_PAIR(BgL_arg1721z00_1863, BNIL);
									}
									SET_CDR(BgL_tail1256z00_1858, BgL_newtail1257z00_1861);
									{	/* Ast/unit.scm 180 */
										obj_t BgL_arg1716z00_1862;

										BgL_arg1716z00_1862 = CDR(((obj_t) BgL_l1253z00_1857));
										{
											obj_t BgL_tail1256z00_5576;
											obj_t BgL_l1253z00_5575;

											BgL_l1253z00_5575 = BgL_arg1716z00_1862;
											BgL_tail1256z00_5576 = BgL_newtail1257z00_1861;
											BgL_tail1256z00_1858 = BgL_tail1256z00_5576;
											BgL_l1253z00_1857 = BgL_l1253z00_5575;
											goto BgL_zc3z04anonymousza31714ze3z87_1859;
										}
									}
								}
						}
					}
			}
		}

	}



/* &unit-initializers */
	obj_t BGl_z62unitzd2initializa7ersz17zzast_unitz00(obj_t BgL_envz00_5244)
	{
		{	/* Ast/unit.scm 179 */
			return BGl_unitzd2initializa7ersz75zzast_unitz00();
		}

	}



/* unit-init-calls */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2initzd2callsz00zzast_unitz00()
	{
		{	/* Ast/unit.scm 187 */
			{	/* Ast/unit.scm 188 */
				obj_t BgL_l1258z00_1868;

				BgL_l1258z00_1868 = BGl_za2unitzd2listza2zd2zzast_unitz00;
				if (NULLP(BgL_l1258z00_1868))
					{	/* Ast/unit.scm 188 */
						return BNIL;
					}
				else
					{	/* Ast/unit.scm 188 */
						obj_t BgL_head1260z00_1870;

						BgL_head1260z00_1870 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1258z00_1872;
							obj_t BgL_tail1261z00_1873;

							BgL_l1258z00_1872 = BgL_l1258z00_1868;
							BgL_tail1261z00_1873 = BgL_head1260z00_1870;
						BgL_zc3z04anonymousza31728ze3z87_1874:
							if (NULLP(BgL_l1258z00_1872))
								{	/* Ast/unit.scm 188 */
									return CDR(BgL_head1260z00_1870);
								}
							else
								{	/* Ast/unit.scm 188 */
									obj_t BgL_newtail1262z00_1876;

									{	/* Ast/unit.scm 188 */
										obj_t BgL_arg1738z00_1878;

										{	/* Ast/unit.scm 188 */
											obj_t BgL_unitz00_1879;

											BgL_unitz00_1879 = CAR(((obj_t) BgL_l1258z00_1872));
											{	/* Ast/unit.scm 188 */
												obj_t BgL_arg1739z00_1880;

												{	/* Ast/unit.scm 188 */
													obj_t BgL_arg1742z00_1881;

													{	/* Ast/unit.scm 188 */
														obj_t BgL_arg1743z00_1882;
														obj_t BgL_arg1745z00_1883;

														{	/* Ast/unit.scm 188 */
															obj_t BgL_arg1746z00_1884;

															BgL_arg1746z00_1884 =
																CAR(((obj_t) BgL_unitz00_1879));
															BgL_arg1743z00_1882 =
																BGl_unitzd2initializa7erzd2idza7zzast_unitz00
																(BgL_arg1746z00_1884);
														}
														BgL_arg1745z00_1883 =
															MAKE_YOUNG_PAIR
															(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
														BgL_arg1742z00_1881 =
															MAKE_YOUNG_PAIR(BgL_arg1743z00_1882,
															BgL_arg1745z00_1883);
													}
													BgL_arg1739z00_1880 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)),
														BgL_arg1742z00_1881);
												}
												BgL_arg1738z00_1878 =
													MAKE_YOUNG_PAIR(BgL_arg1739z00_1880, BNIL);
										}}
										BgL_newtail1262z00_1876 =
											MAKE_YOUNG_PAIR(BgL_arg1738z00_1878, BNIL);
									}
									SET_CDR(BgL_tail1261z00_1873, BgL_newtail1262z00_1876);
									{	/* Ast/unit.scm 188 */
										obj_t BgL_arg1731z00_1877;

										BgL_arg1731z00_1877 = CDR(((obj_t) BgL_l1258z00_1872));
										{
											obj_t BgL_tail1261z00_5599;
											obj_t BgL_l1258z00_5598;

											BgL_l1258z00_5598 = BgL_arg1731z00_1877;
											BgL_tail1261z00_5599 = BgL_newtail1262z00_1876;
											BgL_tail1261z00_1873 = BgL_tail1261z00_5599;
											BgL_l1258z00_1872 = BgL_l1258z00_5598;
											goto BgL_zc3z04anonymousza31728ze3z87_1874;
										}
									}
								}
						}
					}
			}
		}

	}



/* &unit-init-calls */
	obj_t BGl_z62unitzd2initzd2callsz62zzast_unitz00(obj_t BgL_envz00_5245)
	{
		{	/* Ast/unit.scm 187 */
			return BGl_unitzd2initzd2callsz00zzast_unitz00();
		}

	}



/* toplevel*->ast */
	obj_t BGl_toplevelza2zd2ze3astz93zzast_unitz00(obj_t BgL_sexpza2za2_34,
		obj_t BgL_gdefsz00_35)
	{
		{	/* Ast/unit.scm 194 */
			{
				obj_t BgL_sexpza2za2_1888;
				obj_t BgL_aexpza2za2_1889;

				BgL_sexpza2za2_1888 = BgL_sexpza2za2_34;
				BgL_aexpza2za2_1889 = BNIL;
			BgL_zc3z04anonymousza31747ze3z87_1890:
				if (NULLP(BgL_sexpza2za2_1888))
					{	/* Ast/unit.scm 197 */
						return bgl_reverse_bang(BgL_aexpza2za2_1889);
					}
				else
					{	/* Ast/unit.scm 199 */
						obj_t BgL_arg1749z00_1892;
						obj_t BgL_arg1750z00_1893;

						BgL_arg1749z00_1892 = CDR(((obj_t) BgL_sexpza2za2_1888));
						{	/* Ast/unit.scm 200 */
							obj_t BgL_arg1751z00_1894;

							{	/* Ast/unit.scm 200 */
								obj_t BgL_arg1752z00_1895;

								BgL_arg1752z00_1895 = CAR(((obj_t) BgL_sexpza2za2_1888));
								BgL_arg1751z00_1894 =
									BGl_toplevelzd2ze3astz31zzast_unitz00(BgL_arg1752z00_1895,
									BgL_gdefsz00_35);
							}
							BgL_arg1750z00_1893 =
								BGl_appendzd221011zd2zzast_unitz00(BgL_arg1751z00_1894,
								BgL_aexpza2za2_1889);
						}
						{
							obj_t BgL_aexpza2za2_5611;
							obj_t BgL_sexpza2za2_5610;

							BgL_sexpza2za2_5610 = BgL_arg1749z00_1892;
							BgL_aexpza2za2_5611 = BgL_arg1750z00_1893;
							BgL_aexpza2za2_1889 = BgL_aexpza2za2_5611;
							BgL_sexpza2za2_1888 = BgL_sexpza2za2_5610;
							goto BgL_zc3z04anonymousza31747ze3z87_1890;
						}
					}
			}
		}

	}



/* lambda? */
	bool_t BGl_lambdazf3zf3zzast_unitz00(obj_t BgL_symz00_36)
	{
		{	/* Ast/unit.scm 205 */
			if (SYMBOLP(BgL_symz00_36))
				{	/* Ast/unit.scm 206 */
					obj_t BgL_arg1753z00_1898;

					BgL_arg1753z00_1898 =
						BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(BgL_symz00_36, BFALSE);
					return (BgL_arg1753z00_1898 == CNST_TABLE_REF(((long) 11)));
				}
			else
				{	/* Ast/unit.scm 206 */
					return ((bool_t) 0);
				}
		}

	}



/* toplevel->ast */
	obj_t BGl_toplevelzd2ze3astz31zzast_unitz00(obj_t BgL_sexpz00_37,
		obj_t BgL_gdefsz00_38)
	{
		{	/* Ast/unit.scm 213 */
		BGl_toplevelzd2ze3astz31zzast_unitz00:
			{
				obj_t BgL_varz00_1926;
				obj_t BgL_var2z00_1927;
				obj_t BgL_modulez00_1928;
				obj_t BgL_varz00_1923;
				obj_t BgL_var2z00_1924;
				obj_t BgL_varz00_1915;
				obj_t BgL_lamz00_1916;
				obj_t BgL_argsz00_1917;
				obj_t BgL_expz00_1918;
				obj_t BgL_varz00_1910;
				obj_t BgL_argsz00_1911;
				obj_t BgL_expz00_1912;
				obj_t BgL_fz00_1913;
				obj_t BgL_varz00_1906;
				obj_t BgL_argsz00_1907;
				obj_t BgL_expz00_1908;
				obj_t BgL_varz00_1902;
				obj_t BgL_argsz00_1903;
				obj_t BgL_expz00_1904;

				if (PAIRP(BgL_sexpz00_37))
					{	/* Ast/unit.scm 214 */
						if ((CAR(BgL_sexpz00_37) == CNST_TABLE_REF(((long) 2))))
							{	/* Ast/unit.scm 214 */
								if (NULLP(CDR(BgL_sexpz00_37)))
									{	/* Ast/unit.scm 214 */
										{	/* Ast/unit.scm 216 */
											obj_t BgL_list2215z00_2513;

											BgL_list2215z00_2513 =
												MAKE_YOUNG_PAIR(BgL_sexpz00_37, BNIL);
											return BgL_list2215z00_2513;
										}
									}
								else
									{	/* Ast/unit.scm 214 */
										obj_t BgL_arg1766z00_1962;

										BgL_arg1766z00_1962 = CDR(BgL_sexpz00_37);
										return
											bgl_reverse_bang(BGl_toplevelza2zd2ze3astz93zzast_unitz00
											(BgL_arg1766z00_1962, BgL_gdefsz00_38));
									}
							}
						else
							{	/* Ast/unit.scm 214 */
								obj_t BgL_cdrzd2422zd2_1964;

								BgL_cdrzd2422zd2_1964 = CDR(BgL_sexpz00_37);
								if ((CAR(BgL_sexpz00_37) == CNST_TABLE_REF(((long) 14))))
									{	/* Ast/unit.scm 214 */
										if (PAIRP(BgL_cdrzd2422zd2_1964))
											{	/* Ast/unit.scm 214 */
												obj_t BgL_carzd2426zd2_1968;

												BgL_carzd2426zd2_1968 = CAR(BgL_cdrzd2422zd2_1964);
												if (PAIRP(BgL_carzd2426zd2_1968))
													{	/* Ast/unit.scm 214 */
														BgL_varz00_1902 = CAR(BgL_carzd2426zd2_1968);
														BgL_argsz00_1903 = CDR(BgL_carzd2426zd2_1968);
														BgL_expz00_1904 = CDR(BgL_cdrzd2422zd2_1964);
														{	/* Ast/unit.scm 220 */
															obj_t BgL_idz00_2515;

															BgL_idz00_2515 =
																BGl_idzd2ofzd2idz00zzast_identz00
																(BgL_varz00_1902,
																BGl_findzd2locationzd2zztools_locationz00
																(BgL_sexpz00_37));
															{	/* Ast/unit.scm 220 */
																obj_t BgL_defz00_2516;

																BgL_defz00_2516 =
																	BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_idz00_2515, BgL_gdefsz00_38);
																{	/* Ast/unit.scm 221 */
																	obj_t BgL_globalz00_2517;

																	BgL_globalz00_2517 =
																		BGl_findzd2globalzf2modulez20zzast_envz00
																		(BgL_idz00_2515,
																		BGl_za2moduleza2z00zzmodule_modulez00);
																	{	/* Ast/unit.scm 222 */

																		{	/* Ast/unit.scm 230 */
																			bool_t BgL_test3548z00_5644;

																			if (PAIRP(BgL_defz00_2516))
																				{	/* Ast/unit.scm 230 */
																					if (
																						(CAR(CDR(BgL_defz00_2516)) ==
																							CNST_TABLE_REF(((long) 12))))
																						{	/* Ast/unit.scm 232 */
																							bool_t BgL__ortest_1115z00_2537;

																							{	/* Ast/unit.scm 232 */
																								bool_t BgL_test3551z00_5652;

																								{	/* Ast/unit.scm 232 */
																									obj_t BgL_classz00_4011;

																									BgL_classz00_4011 =
																										BGl_globalz00zzast_varz00;
																									if (BGL_OBJECTP
																										(BgL_globalz00_2517))
																										{	/* Ast/unit.scm 232 */
																											BgL_objectz00_bglt
																												BgL_arg1825z00_4013;
																											BgL_arg1825z00_4013 =
																												(BgL_objectz00_bglt)
																												(BgL_globalz00_2517);
																											{	/* Ast/unit.scm 232 */
																												bool_t
																													BgL_arg1822z00_4016;
																												bool_t
																													BgL_arg1823z00_4017;
																												{	/* Ast/unit.scm 232 */
																													long BgL_idxz00_4020;

																													BgL_idxz00_4020 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1825z00_4013);
																													BgL_arg1822z00_4016 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_4020 +
																																((long) 2))) ==
																														BgL_classz00_4011);
																												}
																												{	/* Ast/unit.scm 232 */
																													bool_t
																														BgL_res3432z00_4042;
																													{	/* Ast/unit.scm 232 */
																														obj_t
																															BgL_oclassz00_4028;
																														{	/* Ast/unit.scm 232 */
																															long
																																BgL_arg1833z00_4034;
																															{	/* Ast/unit.scm 232 */
																																long
																																	BgL_arg1834z00_4035;
																																BgL_arg1834z00_4035
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1825z00_4013);
																																BgL_arg1833z00_4034
																																	=
																																	(BgL_arg1834z00_4035
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_4028
																																=
																																VECTOR_REF
																																(BGl_za2classesza2z00zz__objectz00,
																																BgL_arg1833z00_4034);
																														}
																														{	/* Ast/unit.scm 232 */
																															bool_t
																																BgL__ortest_1110z00_4029;
																															BgL__ortest_1110z00_4029
																																=
																																(BgL_classz00_4011
																																==
																																BgL_oclassz00_4028);
																															if (BgL__ortest_1110z00_4029)
																																{	/* Ast/unit.scm 232 */
																																	BgL_res3432z00_4042
																																		=
																																		BgL__ortest_1110z00_4029;
																																}
																															else
																																{	/* Ast/unit.scm 232 */
																																	long
																																		BgL_odepthz00_4030;
																																	BgL_odepthz00_4030
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_oclassz00_4028);
																																	if ((((long)
																																				2) <
																																			BgL_odepthz00_4030))
																																		{	/* Ast/unit.scm 232 */
																																			obj_t
																																				BgL_arg1821z00_4032;
																																			BgL_arg1821z00_4032
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_oclassz00_4028,
																																				((long)
																																					2));
																																			BgL_res3432z00_4042
																																				=
																																				(BgL_arg1821z00_4032
																																				==
																																				BgL_classz00_4011);
																																		}
																																	else
																																		{	/* Ast/unit.scm 232 */
																																			BgL_res3432z00_4042
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_arg1823z00_4017 =
																														BgL_res3432z00_4042;
																												}
																												BgL_test3551z00_5652 =
																													BGL_ISA_C_BACKEND
																													(BgL_arg1822z00_4016,
																													BgL_arg1823z00_4017);
																											}
																										}
																									else
																										{	/* Ast/unit.scm 232 */
																											BgL_test3551z00_5652 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_test3551z00_5652)
																									{	/* Ast/unit.scm 232 */
																										BgL__ortest_1115z00_2537 =
																											((bool_t) 0);
																									}
																								else
																									{	/* Ast/unit.scm 232 */
																										BgL__ortest_1115z00_2537 =
																											((bool_t) 1);
																									}
																							}
																							if (BgL__ortest_1115z00_2537)
																								{	/* Ast/unit.scm 232 */
																									BgL_test3548z00_5644 =
																										BgL__ortest_1115z00_2537;
																								}
																							else
																								{	/* Ast/unit.scm 232 */
																									BgL_test3548z00_5644 =
																										(
																										(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_globalz00_bglt) BgL_globalz00_2517))))->BgL_accessz00) == CNST_TABLE_REF(((long) 12)));
																						}}
																					else
																						{	/* Ast/unit.scm 231 */
																							BgL_test3548z00_5644 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Ast/unit.scm 230 */
																					BgL_test3548z00_5644 = ((bool_t) 1);
																				}
																			if (BgL_test3548z00_5644)
																				{	/* Ast/unit.scm 236 */
																					obj_t BgL_arg2223z00_2526;

																					{	/* Ast/unit.scm 236 */
																						obj_t BgL_arg2224z00_2527;

																						{	/* Ast/unit.scm 236 */
																							obj_t BgL_arg2225z00_2528;

																							{	/* Ast/unit.scm 236 */
																								obj_t BgL_pairz00_4047;

																								BgL_pairz00_4047 =
																									CDR(((obj_t) BgL_sexpz00_37));
																								BgL_arg2225z00_2528 =
																									CDR(BgL_pairz00_4047);
																							}
																							BgL_arg2224z00_2527 =
																								BGl_findzd2locationzd2zztools_locationz00
																								(BgL_arg2225z00_2528);
																						}
																						BgL_arg2223z00_2526 =
																							BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																							(BgL_expz00_1904, BgL_sexpz00_37,
																							BgL_arg2224z00_2527);
																					}
																					return
																						BGl_makezd2sfunzd2definitionz00zzast_unitz00
																						(BgL_varz00_1902,
																						BGl_za2moduleza2z00zzmodule_modulez00,
																						BgL_argsz00_1903,
																						BgL_arg2223z00_2526, BgL_sexpz00_37,
																						CNST_TABLE_REF(((long) 13)));
																				}
																			else
																				{	/* Ast/unit.scm 238 */
																					obj_t BgL_newzd2sexpzd2_2529;

																					{	/* Ast/unit.scm 238 */
																						obj_t BgL_arg2226z00_2530;

																						{	/* Ast/unit.scm 238 */
																							obj_t BgL_arg2227z00_2531;

																							{	/* Ast/unit.scm 238 */
																								obj_t BgL_arg2228z00_2532;

																								{	/* Ast/unit.scm 238 */
																									obj_t BgL_arg2229z00_2533;

																									BgL_arg2229z00_2533 =
																										MAKE_YOUNG_PAIR
																										(BgL_argsz00_1903,
																										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																										(BgL_expz00_1904, BNIL));
																									BgL_arg2228z00_2532 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												11)),
																										BgL_arg2229z00_2533);
																								}
																								BgL_arg2227z00_2531 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2228z00_2532, BNIL);
																							}
																							BgL_arg2226z00_2530 =
																								MAKE_YOUNG_PAIR(BgL_varz00_1902,
																								BgL_arg2227z00_2531);
																						}
																						BgL_newzd2sexpzd2_2529 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 1)),
																							BgL_arg2226z00_2530);
																					}
																					BGl_replacez12z12zztools_miscz00
																						(BgL_sexpz00_37,
																						BgL_newzd2sexpzd2_2529);
																					return
																						BGl_makezd2svarzd2definitionz00zzast_unitz00
																						(BgL_varz00_1902, BgL_sexpz00_37);
																				}
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Ast/unit.scm 214 */
														obj_t BgL_cdrzd2452zd2_1974;

														BgL_cdrzd2452zd2_1974 =
															CDR(((obj_t) BgL_cdrzd2422zd2_1964));
														if (PAIRP(BgL_cdrzd2452zd2_1974))
															{	/* Ast/unit.scm 214 */
																obj_t BgL_carzd2456zd2_1976;

																BgL_carzd2456zd2_1976 =
																	CAR(BgL_cdrzd2452zd2_1974);
																if (PAIRP(BgL_carzd2456zd2_1976))
																	{	/* Ast/unit.scm 214 */
																		obj_t BgL_cdrzd2461zd2_1978;

																		BgL_cdrzd2461zd2_1978 =
																			CDR(BgL_carzd2456zd2_1976);
																		if (
																			(CAR(BgL_carzd2456zd2_1976) ==
																				CNST_TABLE_REF(((long) 11))))
																			{	/* Ast/unit.scm 214 */
																				if (PAIRP(BgL_cdrzd2461zd2_1978))
																					{	/* Ast/unit.scm 214 */
																						if (NULLP(CDR
																								(BgL_cdrzd2452zd2_1974)))
																							{	/* Ast/unit.scm 214 */
																								obj_t BgL_arg1801z00_1984;
																								obj_t BgL_arg1805z00_1985;
																								obj_t BgL_arg1807z00_1986;

																								BgL_arg1801z00_1984 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd2422zd2_1964));
																								BgL_arg1805z00_1985 =
																									CAR(BgL_cdrzd2461zd2_1978);
																								BgL_arg1807z00_1986 =
																									CDR(BgL_cdrzd2461zd2_1978);
																								BgL_varz00_1906 =
																									BgL_arg1801z00_1984;
																								BgL_argsz00_1907 =
																									BgL_arg1805z00_1985;
																								BgL_expz00_1908 =
																									BgL_arg1807z00_1986;
																								{	/* Ast/unit.scm 242 */
																									obj_t BgL_idz00_2543;

																									BgL_idz00_2543 =
																										BGl_idzd2ofzd2idz00zzast_identz00
																										(BgL_varz00_1906,
																										BGl_findzd2locationzd2zztools_locationz00
																										(BgL_sexpz00_37));
																									{	/* Ast/unit.scm 242 */
																										obj_t BgL_defz00_2544;

																										BgL_defz00_2544 =
																											BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																											(BgL_idz00_2543,
																											BgL_gdefsz00_38);
																										{	/* Ast/unit.scm 243 */
																											obj_t BgL_globalz00_2545;

																											BgL_globalz00_2545 =
																												BGl_findzd2globalzf2modulez20zzast_envz00
																												(BgL_idz00_2543,
																												BGl_za2moduleza2z00zzmodule_modulez00);
																											{	/* Ast/unit.scm 244 */

																												{	/* Ast/unit.scm 246 */
																													bool_t
																														BgL_test3561z00_5722;
																													{	/* Ast/unit.scm 246 */
																														bool_t
																															BgL_test3562z00_5723;
																														{	/* Ast/unit.scm 246 */
																															obj_t
																																BgL_tmpz00_5724;
																															{	/* Ast/unit.scm 246 */
																																obj_t
																																	BgL_pairz00_4049;
																																BgL_pairz00_4049
																																	=
																																	CDR(((obj_t)
																																		BgL_defz00_2544));
																																BgL_tmpz00_5724
																																	=
																																	CAR
																																	(BgL_pairz00_4049);
																															}
																															BgL_test3562z00_5723
																																=
																																(BgL_tmpz00_5724
																																==
																																CNST_TABLE_REF((
																																		(long)
																																		12)));
																														}
																														if (BgL_test3562z00_5723)
																															{	/* Ast/unit.scm 247 */
																																bool_t
																																	BgL__ortest_1116z00_2559;
																																{	/* Ast/unit.scm 247 */
																																	bool_t
																																		BgL_test3563z00_5730;
																																	{	/* Ast/unit.scm 247 */
																																		obj_t
																																			BgL_classz00_4050;
																																		BgL_classz00_4050
																																			=
																																			BGl_globalz00zzast_varz00;
																																		if (BGL_OBJECTP(BgL_globalz00_2545))
																																			{	/* Ast/unit.scm 247 */
																																				BgL_objectz00_bglt
																																					BgL_arg1825z00_4052;
																																				BgL_arg1825z00_4052
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_globalz00_2545);
																																				{	/* Ast/unit.scm 247 */
																																					bool_t
																																						BgL_arg1822z00_4055;
																																					bool_t
																																						BgL_arg1823z00_4056;
																																					{	/* Ast/unit.scm 247 */
																																						long
																																							BgL_idxz00_4059;
																																						BgL_idxz00_4059
																																							=
																																							BGL_OBJECT_INHERITANCE_NUM
																																							(BgL_arg1825z00_4052);
																																						BgL_arg1822z00_4055
																																							=
																																							(VECTOR_REF
																																							(BGl_za2inheritancesza2z00zz__objectz00,
																																								(BgL_idxz00_4059
																																									+
																																									((long) 2))) == BgL_classz00_4050);
																																					}
																																					{	/* Ast/unit.scm 247 */
																																						bool_t
																																							BgL_res3433z00_4081;
																																						{	/* Ast/unit.scm 247 */
																																							obj_t
																																								BgL_oclassz00_4067;
																																							{	/* Ast/unit.scm 247 */
																																								long
																																									BgL_arg1833z00_4073;
																																								{	/* Ast/unit.scm 247 */
																																									long
																																										BgL_arg1834z00_4074;
																																									BgL_arg1834z00_4074
																																										=
																																										BGL_OBJECT_CLASS_NUM
																																										(BgL_arg1825z00_4052);
																																									BgL_arg1833z00_4073
																																										=
																																										(BgL_arg1834z00_4074
																																										-
																																										OBJECT_TYPE);
																																								}
																																								BgL_oclassz00_4067
																																									=
																																									VECTOR_REF
																																									(BGl_za2classesza2z00zz__objectz00,
																																									BgL_arg1833z00_4073);
																																							}
																																							{	/* Ast/unit.scm 247 */
																																								bool_t
																																									BgL__ortest_1110z00_4068;
																																								BgL__ortest_1110z00_4068
																																									=
																																									(BgL_classz00_4050
																																									==
																																									BgL_oclassz00_4067);
																																								if (BgL__ortest_1110z00_4068)
																																									{	/* Ast/unit.scm 247 */
																																										BgL_res3433z00_4081
																																											=
																																											BgL__ortest_1110z00_4068;
																																									}
																																								else
																																									{	/* Ast/unit.scm 247 */
																																										long
																																											BgL_odepthz00_4069;
																																										BgL_odepthz00_4069
																																											=
																																											BGL_CLASS_DEPTH
																																											(BgL_oclassz00_4067);
																																										if ((((long) 2) < BgL_odepthz00_4069))
																																											{	/* Ast/unit.scm 247 */
																																												obj_t
																																													BgL_arg1821z00_4071;
																																												BgL_arg1821z00_4071
																																													=
																																													BGL_CLASS_ANCESTORS_REF
																																													(BgL_oclassz00_4067,
																																													((long) 2));
																																												BgL_res3433z00_4081
																																													=
																																													(BgL_arg1821z00_4071
																																													==
																																													BgL_classz00_4050);
																																											}
																																										else
																																											{	/* Ast/unit.scm 247 */
																																												BgL_res3433z00_4081
																																													=
																																													(
																																													(bool_t)
																																													0);
																																											}
																																									}
																																							}
																																						}
																																						BgL_arg1823z00_4056
																																							=
																																							BgL_res3433z00_4081;
																																					}
																																					BgL_test3563z00_5730
																																						=
																																						BGL_ISA_C_BACKEND
																																						(BgL_arg1822z00_4055,
																																						BgL_arg1823z00_4056);
																																				}
																																			}
																																		else
																																			{	/* Ast/unit.scm 247 */
																																				BgL_test3563z00_5730
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																																	if (BgL_test3563z00_5730)
																																		{	/* Ast/unit.scm 247 */
																																			BgL__ortest_1116z00_2559
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																	else
																																		{	/* Ast/unit.scm 247 */
																																			BgL__ortest_1116z00_2559
																																				=
																																				(
																																				(bool_t)
																																				1);
																																		}
																																}
																																if (BgL__ortest_1116z00_2559)
																																	{	/* Ast/unit.scm 247 */
																																		BgL_test3561z00_5722
																																			=
																																			BgL__ortest_1116z00_2559;
																																	}
																																else
																																	{	/* Ast/unit.scm 247 */
																																		BgL_test3561z00_5722
																																			=
																																			((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_globalz00_2545))))->BgL_accessz00) == CNST_TABLE_REF(((long) 12)));
																															}}
																														else
																															{	/* Ast/unit.scm 246 */
																																BgL_test3561z00_5722
																																	=
																																	((bool_t) 0);
																															}
																													}
																													if (BgL_test3561z00_5722)
																														{	/* Ast/unit.scm 251 */
																															obj_t
																																BgL_arg2243z00_2555;
																															{	/* Ast/unit.scm 251 */
																																obj_t
																																	BgL_arg2244z00_2556;
																																{	/* Ast/unit.scm 251 */
																																	obj_t
																																		BgL_arg2245z00_2557;
																																	{	/* Ast/unit.scm 251 */
																																		obj_t
																																			BgL_pairz00_4086;
																																		BgL_pairz00_4086
																																			=
																																			CDR((
																																				(obj_t)
																																				BgL_sexpz00_37));
																																		BgL_arg2245z00_2557
																																			=
																																			CDR
																																			(BgL_pairz00_4086);
																																	}
																																	BgL_arg2244z00_2556
																																		=
																																		BGl_findzd2locationzd2zztools_locationz00
																																		(BgL_arg2245z00_2557);
																																}
																																BgL_arg2243z00_2555
																																	=
																																	BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																																	(BgL_expz00_1908,
																																	BgL_sexpz00_37,
																																	BgL_arg2244z00_2556);
																															}
																															return
																																BGl_makezd2sfunzd2definitionz00zzast_unitz00
																																(BgL_varz00_1906,
																																BGl_za2moduleza2z00zzmodule_modulez00,
																																BgL_argsz00_1907,
																																BgL_arg2243z00_2555,
																																BgL_sexpz00_37,
																																CNST_TABLE_REF((
																																		(long)
																																		13)));
																														}
																													else
																														{	/* Ast/unit.scm 246 */
																															return
																																BGl_makezd2svarzd2definitionz00zzast_unitz00
																																(BgL_varz00_1906,
																																BgL_sexpz00_37);
																														}
																												}
																											}
																										}
																									}
																								}
																							}
																						else
																							{	/* Ast/unit.scm 214 */
																								obj_t BgL_cdrzd2529zd2_1987;

																								BgL_cdrzd2529zd2_1987 =
																									CDR(BgL_sexpz00_37);
																								{	/* Ast/unit.scm 214 */
																									obj_t BgL_arg1808z00_1988;

																									BgL_arg1808z00_1988 =
																										CAR(
																										((obj_t)
																											BgL_cdrzd2529zd2_1987));
																									return
																										BGl_makezd2svarzd2definitionz00zzast_unitz00
																										(BgL_arg1808z00_1988,
																										BgL_sexpz00_37);
																								}
																							}
																					}
																				else
																					{	/* Ast/unit.scm 214 */
																						obj_t BgL_cdrzd2581zd2_1991;

																						BgL_cdrzd2581zd2_1991 =
																							CDR(BgL_sexpz00_37);
																						{	/* Ast/unit.scm 214 */
																							obj_t BgL_cdrzd2586zd2_1992;

																							BgL_cdrzd2586zd2_1992 =
																								CDR(
																								((obj_t)
																									BgL_cdrzd2581zd2_1991));
																							{	/* Ast/unit.scm 214 */
																								obj_t BgL_carzd2590zd2_1993;

																								BgL_carzd2590zd2_1993 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd2586zd2_1992));
																								if (SYMBOLP
																									(BgL_carzd2590zd2_1993))
																									{	/* Ast/unit.scm 214 */
																										if (NULLP(CDR(
																													((obj_t)
																														BgL_cdrzd2586zd2_1992))))
																											{	/* Ast/unit.scm 214 */
																												obj_t
																													BgL_arg1824z00_1997;
																												BgL_arg1824z00_1997 =
																													CAR(((obj_t)
																														BgL_cdrzd2581zd2_1991));
																												BgL_varz00_1923 =
																													BgL_arg1824z00_1997;
																												BgL_var2z00_1924 =
																													BgL_carzd2590zd2_1993;
																											BgL_tagzd2366zd2_1925:
																												{	/* Ast/unit.scm 286 */
																													obj_t BgL_defz00_2615;

																													BgL_defz00_2615 =
																														BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																														(BGl_idzd2ofzd2idz00zzast_identz00
																														(BgL_varz00_1923,
																															BGl_findzd2locationzd2zztools_locationz00
																															(BgL_sexpz00_37)),
																														BgL_gdefsz00_38);
																													{	/* Ast/unit.scm 287 */
																														bool_t
																															BgL_test3570z00_5783;
																														{	/* Ast/unit.scm 287 */
																															obj_t
																																BgL_tmpz00_5784;
																															{	/* Ast/unit.scm 287 */
																																obj_t
																																	BgL_pairz00_4173;
																																BgL_pairz00_4173
																																	=
																																	CDR(((obj_t)
																																		BgL_defz00_2615));
																																BgL_tmpz00_5784
																																	=
																																	CAR
																																	(BgL_pairz00_4173);
																															}
																															BgL_test3570z00_5783
																																=
																																(BgL_tmpz00_5784
																																==
																																CNST_TABLE_REF((
																																		(long)
																																		12)));
																														}
																														if (BgL_test3570z00_5783)
																															{	/* Ast/unit.scm 288 */
																																obj_t
																																	BgL_gz00_2619;
																																BgL_gz00_2619 =
																																	BGl_findzd2globalzd2zzast_envz00
																																	(BgL_var2z00_1924,
																																	BNIL);
																																{	/* Ast/unit.scm 288 */
																																	obj_t
																																		BgL_arityz00_2620;
																																	{	/* Ast/unit.scm 289 */
																																		bool_t
																																			BgL_test3571z00_5791;
																																		{	/* Ast/unit.scm 289 */
																																			obj_t
																																				BgL_classz00_4174;
																																			BgL_classz00_4174
																																				=
																																				BGl_globalz00zzast_varz00;
																																			if (BGL_OBJECTP(BgL_gz00_2619))
																																				{	/* Ast/unit.scm 289 */
																																					BgL_objectz00_bglt
																																						BgL_arg1825z00_4176;
																																					BgL_arg1825z00_4176
																																						=
																																						(BgL_objectz00_bglt)
																																						(BgL_gz00_2619);
																																					{	/* Ast/unit.scm 289 */
																																						bool_t
																																							BgL_arg1822z00_4179;
																																						bool_t
																																							BgL_arg1823z00_4180;
																																						{	/* Ast/unit.scm 289 */
																																							long
																																								BgL_idxz00_4183;
																																							BgL_idxz00_4183
																																								=
																																								BGL_OBJECT_INHERITANCE_NUM
																																								(BgL_arg1825z00_4176);
																																							BgL_arg1822z00_4179
																																								=
																																								(VECTOR_REF
																																								(BGl_za2inheritancesza2z00zz__objectz00,
																																									(BgL_idxz00_4183
																																										+
																																										((long) 2))) == BgL_classz00_4174);
																																						}
																																						{	/* Ast/unit.scm 289 */
																																							bool_t
																																								BgL_res3436z00_4205;
																																							{	/* Ast/unit.scm 289 */
																																								obj_t
																																									BgL_oclassz00_4191;
																																								{	/* Ast/unit.scm 289 */
																																									long
																																										BgL_arg1833z00_4197;
																																									{	/* Ast/unit.scm 289 */
																																										long
																																											BgL_arg1834z00_4198;
																																										BgL_arg1834z00_4198
																																											=
																																											BGL_OBJECT_CLASS_NUM
																																											(BgL_arg1825z00_4176);
																																										BgL_arg1833z00_4197
																																											=
																																											(BgL_arg1834z00_4198
																																											-
																																											OBJECT_TYPE);
																																									}
																																									BgL_oclassz00_4191
																																										=
																																										VECTOR_REF
																																										(BGl_za2classesza2z00zz__objectz00,
																																										BgL_arg1833z00_4197);
																																								}
																																								{	/* Ast/unit.scm 289 */
																																									bool_t
																																										BgL__ortest_1110z00_4192;
																																									BgL__ortest_1110z00_4192
																																										=
																																										(BgL_classz00_4174
																																										==
																																										BgL_oclassz00_4191);
																																									if (BgL__ortest_1110z00_4192)
																																										{	/* Ast/unit.scm 289 */
																																											BgL_res3436z00_4205
																																												=
																																												BgL__ortest_1110z00_4192;
																																										}
																																									else
																																										{	/* Ast/unit.scm 289 */
																																											long
																																												BgL_odepthz00_4193;
																																											BgL_odepthz00_4193
																																												=
																																												BGL_CLASS_DEPTH
																																												(BgL_oclassz00_4191);
																																											if ((((long) 2) < BgL_odepthz00_4193))
																																												{	/* Ast/unit.scm 289 */
																																													obj_t
																																														BgL_arg1821z00_4195;
																																													BgL_arg1821z00_4195
																																														=
																																														BGL_CLASS_ANCESTORS_REF
																																														(BgL_oclassz00_4191,
																																														((long) 2));
																																													BgL_res3436z00_4205
																																														=
																																														(BgL_arg1821z00_4195
																																														==
																																														BgL_classz00_4174);
																																												}
																																											else
																																												{	/* Ast/unit.scm 289 */
																																													BgL_res3436z00_4205
																																														=
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																								}
																																							}
																																							BgL_arg1823z00_4180
																																								=
																																								BgL_res3436z00_4205;
																																						}
																																						BgL_test3571z00_5791
																																							=
																																							BGL_ISA_C_BACKEND
																																							(BgL_arg1822z00_4179,
																																							BgL_arg1823z00_4180);
																																					}
																																				}
																																			else
																																				{	/* Ast/unit.scm 289 */
																																					BgL_test3571z00_5791
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																		if (BgL_test3571z00_5791)
																																			{	/* Ast/unit.scm 290 */
																																				bool_t
																																					BgL_test3575z00_5810;
																																				{	/* Ast/unit.scm 290 */
																																					BgL_valuez00_bglt
																																						BgL_arg2294z00_2628;
																																					BgL_arg2294z00_2628
																																						=
																																						(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_gz00_2619))))->BgL_valuez00);
																																					{	/* Ast/unit.scm 290 */
																																						obj_t
																																							BgL_classz00_4207;
																																						BgL_classz00_4207
																																							=
																																							BGl_funz00zzast_varz00;
																																						{	/* Ast/unit.scm 290 */
																																							BgL_objectz00_bglt
																																								BgL_arg1825z00_4209;
																																							{	/* Ast/unit.scm 290 */
																																								obj_t
																																									BgL_tmpz00_5814;
																																								BgL_tmpz00_5814
																																									=
																																									(
																																									(obj_t)
																																									((BgL_objectz00_bglt) BgL_arg2294z00_2628));
																																								BgL_arg1825z00_4209
																																									=
																																									(BgL_objectz00_bglt)
																																									(BgL_tmpz00_5814);
																																							}
																																							{	/* Ast/unit.scm 290 */
																																								bool_t
																																									BgL_arg1822z00_4212;
																																								bool_t
																																									BgL_arg1823z00_4213;
																																								{	/* Ast/unit.scm 290 */
																																									long
																																										BgL_idxz00_4216;
																																									BgL_idxz00_4216
																																										=
																																										BGL_OBJECT_INHERITANCE_NUM
																																										(BgL_arg1825z00_4209);
																																									BgL_arg1822z00_4212
																																										=
																																										(VECTOR_REF
																																										(BGl_za2inheritancesza2z00zz__objectz00,
																																											(BgL_idxz00_4216
																																												+
																																												((long) 2))) == BgL_classz00_4207);
																																								}
																																								{	/* Ast/unit.scm 290 */
																																									bool_t
																																										BgL_res3437z00_4238;
																																									{	/* Ast/unit.scm 290 */
																																										obj_t
																																											BgL_oclassz00_4224;
																																										{	/* Ast/unit.scm 290 */
																																											long
																																												BgL_arg1833z00_4230;
																																											{	/* Ast/unit.scm 290 */
																																												long
																																													BgL_arg1834z00_4231;
																																												BgL_arg1834z00_4231
																																													=
																																													BGL_OBJECT_CLASS_NUM
																																													(BgL_arg1825z00_4209);
																																												BgL_arg1833z00_4230
																																													=
																																													(BgL_arg1834z00_4231
																																													-
																																													OBJECT_TYPE);
																																											}
																																											BgL_oclassz00_4224
																																												=
																																												VECTOR_REF
																																												(BGl_za2classesza2z00zz__objectz00,
																																												BgL_arg1833z00_4230);
																																										}
																																										{	/* Ast/unit.scm 290 */
																																											bool_t
																																												BgL__ortest_1110z00_4225;
																																											BgL__ortest_1110z00_4225
																																												=
																																												(BgL_classz00_4207
																																												==
																																												BgL_oclassz00_4224);
																																											if (BgL__ortest_1110z00_4225)
																																												{	/* Ast/unit.scm 290 */
																																													BgL_res3437z00_4238
																																														=
																																														BgL__ortest_1110z00_4225;
																																												}
																																											else
																																												{	/* Ast/unit.scm 290 */
																																													long
																																														BgL_odepthz00_4226;
																																													BgL_odepthz00_4226
																																														=
																																														BGL_CLASS_DEPTH
																																														(BgL_oclassz00_4224);
																																													if ((((long) 2) < BgL_odepthz00_4226))
																																														{	/* Ast/unit.scm 290 */
																																															obj_t
																																																BgL_arg1821z00_4228;
																																															BgL_arg1821z00_4228
																																																=
																																																BGL_CLASS_ANCESTORS_REF
																																																(BgL_oclassz00_4224,
																																																((long) 2));
																																															BgL_res3437z00_4238
																																																=
																																																(BgL_arg1821z00_4228
																																																==
																																																BgL_classz00_4207);
																																														}
																																													else
																																														{	/* Ast/unit.scm 290 */
																																															BgL_res3437z00_4238
																																																=
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																										}
																																									}
																																									BgL_arg1823z00_4213
																																										=
																																										BgL_res3437z00_4238;
																																								}
																																								BgL_test3575z00_5810
																																									=
																																									BGL_ISA_C_BACKEND
																																									(BgL_arg1822z00_4212,
																																									BgL_arg1823z00_4213);
																																							}
																																						}
																																					}
																																				}
																																				if (BgL_test3575z00_5810)
																																					{	/* Ast/unit.scm 290 */
																																						BgL_arityz00_2620
																																							=
																																							BINT
																																							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) (((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_gz00_2619))))->BgL_valuez00))))->BgL_arityz00));
																																					}
																																				else
																																					{	/* Ast/unit.scm 290 */
																																						BgL_arityz00_2620
																																							=
																																							BFALSE;
																																					}
																																			}
																																		else
																																			{	/* Ast/unit.scm 289 */
																																				BgL_arityz00_2620
																																					=
																																					BFALSE;
																																			}
																																	}
																																	{	/* Ast/unit.scm 289 */

																																		if (INTEGERP
																																			(BgL_arityz00_2620))
																																			{	/* Ast/unit.scm 292 */
																																				if (BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_2619))
																																					{	/* Ast/unit.scm 294 */
																																						BGl_userzd2warningzd2zztools_errorz00
																																							(BgL_varz00_1923,
																																							BGl_string3474z00zzast_unitz00,
																																							BgL_sexpz00_37);
																																						return
																																							BGl_makezd2svarzd2definitionz00zzast_unitz00
																																							(BgL_varz00_1923,
																																							BgL_sexpz00_37);
																																					}
																																				else
																																					{	/* Ast/unit.scm 294 */
																																						if (BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_2619))
																																							{	/* Ast/unit.scm 299 */
																																								BGl_userzd2warningzd2zztools_errorz00
																																									(BgL_varz00_1923,
																																									BGl_string3475z00zzast_unitz00,
																																									BgL_sexpz00_37);
																																								return
																																									BGl_makezd2svarzd2definitionz00zzast_unitz00
																																									(BgL_varz00_1923,
																																									BgL_sexpz00_37);
																																							}
																																						else
																																							{
																																								obj_t
																																									BgL_sexpz00_5849;
																																								BgL_sexpz00_5849
																																									=
																																									BGl_etazd2expansezd2zzast_unitz00
																																									(BgL_sexpz00_37,
																																									BgL_arityz00_2620);
																																								BgL_sexpz00_37
																																									=
																																									BgL_sexpz00_5849;
																																								goto
																																									BGl_toplevelzd2ze3astz31zzast_unitz00;
																																							}
																																					}
																																			}
																																		else
																																			{	/* Ast/unit.scm 292 */
																																				return
																																					BGl_makezd2svarzd2definitionz00zzast_unitz00
																																					(BgL_varz00_1923,
																																					BgL_sexpz00_37);
																																			}
																																	}
																																}
																															}
																														else
																															{	/* Ast/unit.scm 287 */
																																return
																																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																																	(BgL_varz00_1923,
																																	BgL_sexpz00_37);
																															}
																													}
																												}
																											}
																										else
																											{	/* Ast/unit.scm 214 */
																												obj_t
																													BgL_arg1837z00_1999;
																												BgL_arg1837z00_1999 =
																													CAR(((obj_t)
																														BgL_cdrzd2581zd2_1991));
																												return
																													BGl_makezd2svarzd2definitionz00zzast_unitz00
																													(BgL_arg1837z00_1999,
																													BgL_sexpz00_37);
																											}
																									}
																								else
																									{	/* Ast/unit.scm 214 */
																										obj_t BgL_arg1842z00_2003;

																										BgL_arg1842z00_2003 =
																											CAR(
																											((obj_t)
																												BgL_cdrzd2581zd2_1991));
																										return
																											BGl_makezd2svarzd2definitionz00zzast_unitz00
																											(BgL_arg1842z00_2003,
																											BgL_sexpz00_37);
																									}
																							}
																						}
																					}
																			}
																		else
																			{	/* Ast/unit.scm 214 */
																				obj_t BgL_cdrzd2661zd2_2005;

																				BgL_cdrzd2661zd2_2005 =
																					CDR(BgL_sexpz00_37);
																				{	/* Ast/unit.scm 214 */
																					obj_t BgL_cdrzd2668zd2_2006;

																					BgL_cdrzd2668zd2_2006 =
																						CDR(
																						((obj_t) BgL_cdrzd2661zd2_2005));
																					{	/* Ast/unit.scm 214 */
																						obj_t BgL_carzd2674zd2_2007;

																						BgL_carzd2674zd2_2007 =
																							CAR(
																							((obj_t) BgL_cdrzd2668zd2_2006));
																						{	/* Ast/unit.scm 214 */
																							obj_t BgL_cdrzd2680zd2_2008;

																							BgL_cdrzd2680zd2_2008 =
																								CDR(
																								((obj_t)
																									BgL_carzd2674zd2_2007));
																							if ((CAR(((obj_t)
																											BgL_carzd2674zd2_2007)) ==
																									CNST_TABLE_REF(((long) 15))))
																								{	/* Ast/unit.scm 214 */
																									if (PAIRP
																										(BgL_cdrzd2680zd2_2008))
																										{	/* Ast/unit.scm 214 */
																											obj_t
																												BgL_carzd2684zd2_2012;
																											obj_t
																												BgL_cdrzd2685zd2_2013;
																											BgL_carzd2684zd2_2012 =
																												CAR
																												(BgL_cdrzd2680zd2_2008);
																											BgL_cdrzd2685zd2_2013 =
																												CDR
																												(BgL_cdrzd2680zd2_2008);
																											if (PAIRP
																												(BgL_carzd2684zd2_2012))
																												{	/* Ast/unit.scm 214 */
																													obj_t
																														BgL_carzd2689zd2_2015;
																													BgL_carzd2689zd2_2015
																														=
																														CAR
																														(BgL_carzd2684zd2_2012);
																													if (PAIRP
																														(BgL_carzd2689zd2_2015))
																														{	/* Ast/unit.scm 214 */
																															obj_t
																																BgL_cdrzd2695zd2_2017;
																															BgL_cdrzd2695zd2_2017
																																=
																																CDR
																																(BgL_carzd2689zd2_2015);
																															{	/* Ast/unit.scm 214 */
																																obj_t
																																	BgL_fz00_2018;
																																BgL_fz00_2018 =
																																	CAR
																																	(BgL_carzd2689zd2_2015);
																																if (PAIRP
																																	(BgL_cdrzd2695zd2_2017))
																																	{	/* Ast/unit.scm 214 */
																																		if (NULLP
																																			(CDR
																																				(BgL_carzd2684zd2_2012)))
																																			{	/* Ast/unit.scm 214 */
																																				if (PAIRP(BgL_cdrzd2685zd2_2013))
																																					{	/* Ast/unit.scm 214 */
																																						if (
																																							(BgL_fz00_2018
																																								==
																																								CAR
																																								(BgL_cdrzd2685zd2_2013)))
																																							{	/* Ast/unit.scm 214 */
																																								if (NULLP(CDR(BgL_cdrzd2685zd2_2013)))
																																									{	/* Ast/unit.scm 214 */
																																										if (NULLP(CDR(((obj_t) BgL_cdrzd2668zd2_2006))))
																																											{	/* Ast/unit.scm 214 */
																																												obj_t
																																													BgL_arg1867z00_2029;
																																												obj_t
																																													BgL_arg1869z00_2030;
																																												obj_t
																																													BgL_arg1870z00_2031;
																																												BgL_arg1867z00_2029
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd2661zd2_2005));
																																												BgL_arg1869z00_2030
																																													=
																																													CAR
																																													(BgL_cdrzd2695zd2_2017);
																																												BgL_arg1870z00_2031
																																													=
																																													CDR
																																													(BgL_cdrzd2695zd2_2017);
																																												BgL_varz00_1910
																																													=
																																													BgL_arg1867z00_2029;
																																												BgL_argsz00_1911
																																													=
																																													BgL_arg1869z00_2030;
																																												BgL_expz00_1912
																																													=
																																													BgL_arg1870z00_2031;
																																												BgL_fz00_1913
																																													=
																																													BgL_fz00_2018;
																																												{	/* Ast/unit.scm 255 */
																																													obj_t
																																														BgL_idz00_2565;
																																													BgL_idz00_2565
																																														=
																																														BGl_idzd2ofzd2idz00zzast_identz00
																																														(BgL_varz00_1910,
																																														BGl_findzd2locationzd2zztools_locationz00
																																														(BgL_sexpz00_37));
																																													{	/* Ast/unit.scm 255 */
																																														obj_t
																																															BgL_defz00_2566;
																																														BgL_defz00_2566
																																															=
																																															BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																																															(BgL_idz00_2565,
																																															BgL_gdefsz00_38);
																																														{	/* Ast/unit.scm 256 */
																																															obj_t
																																																BgL_globalz00_2567;
																																															BgL_globalz00_2567
																																																=
																																																BGl_findzd2globalzf2modulez20zzast_envz00
																																																(BgL_idz00_2565,
																																																BGl_za2moduleza2z00zzmodule_modulez00);
																																															{	/* Ast/unit.scm 257 */

																																																{	/* Ast/unit.scm 259 */
																																																	bool_t
																																																		BgL_test3591z00_5907;
																																																	{	/* Ast/unit.scm 259 */
																																																		bool_t
																																																			BgL_test3592z00_5908;
																																																		{	/* Ast/unit.scm 259 */
																																																			obj_t
																																																				BgL_tmpz00_5909;
																																																			{	/* Ast/unit.scm 259 */
																																																				obj_t
																																																					BgL_pairz00_4088;
																																																				BgL_pairz00_4088
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_defz00_2566));
																																																				BgL_tmpz00_5909
																																																					=
																																																					CAR
																																																					(BgL_pairz00_4088);
																																																			}
																																																			BgL_test3592z00_5908
																																																				=
																																																				(BgL_tmpz00_5909
																																																				==
																																																				CNST_TABLE_REF
																																																				(((long) 12)));
																																																		}
																																																		if (BgL_test3592z00_5908)
																																																			{	/* Ast/unit.scm 260 */
																																																				bool_t
																																																					BgL_test3593z00_5915;
																																																				{	/* Ast/unit.scm 260 */
																																																					bool_t
																																																						BgL_test3594z00_5916;
																																																					{	/* Ast/unit.scm 260 */
																																																						obj_t
																																																							BgL_classz00_4089;
																																																						BgL_classz00_4089
																																																							=
																																																							BGl_globalz00zzast_varz00;
																																																						if (BGL_OBJECTP(BgL_globalz00_2567))
																																																							{	/* Ast/unit.scm 260 */
																																																								BgL_objectz00_bglt
																																																									BgL_arg1825z00_4091;
																																																								BgL_arg1825z00_4091
																																																									=
																																																									(BgL_objectz00_bglt)
																																																									(BgL_globalz00_2567);
																																																								{	/* Ast/unit.scm 260 */
																																																									bool_t
																																																										BgL_arg1822z00_4094;
																																																									bool_t
																																																										BgL_arg1823z00_4095;
																																																									{	/* Ast/unit.scm 260 */
																																																										long
																																																											BgL_idxz00_4098;
																																																										BgL_idxz00_4098
																																																											=
																																																											BGL_OBJECT_INHERITANCE_NUM
																																																											(BgL_arg1825z00_4091);
																																																										BgL_arg1822z00_4094
																																																											=
																																																											(VECTOR_REF
																																																											(BGl_za2inheritancesza2z00zz__objectz00,
																																																												(BgL_idxz00_4098
																																																													+
																																																													((long) 2))) == BgL_classz00_4089);
																																																									}
																																																									{	/* Ast/unit.scm 260 */
																																																										bool_t
																																																											BgL_res3434z00_4120;
																																																										{	/* Ast/unit.scm 260 */
																																																											obj_t
																																																												BgL_oclassz00_4106;
																																																											{	/* Ast/unit.scm 260 */
																																																												long
																																																													BgL_arg1833z00_4112;
																																																												{	/* Ast/unit.scm 260 */
																																																													long
																																																														BgL_arg1834z00_4113;
																																																													BgL_arg1834z00_4113
																																																														=
																																																														BGL_OBJECT_CLASS_NUM
																																																														(BgL_arg1825z00_4091);
																																																													BgL_arg1833z00_4112
																																																														=
																																																														(BgL_arg1834z00_4113
																																																														-
																																																														OBJECT_TYPE);
																																																												}
																																																												BgL_oclassz00_4106
																																																													=
																																																													VECTOR_REF
																																																													(BGl_za2classesza2z00zz__objectz00,
																																																													BgL_arg1833z00_4112);
																																																											}
																																																											{	/* Ast/unit.scm 260 */
																																																												bool_t
																																																													BgL__ortest_1110z00_4107;
																																																												BgL__ortest_1110z00_4107
																																																													=
																																																													(BgL_classz00_4089
																																																													==
																																																													BgL_oclassz00_4106);
																																																												if (BgL__ortest_1110z00_4107)
																																																													{	/* Ast/unit.scm 260 */
																																																														BgL_res3434z00_4120
																																																															=
																																																															BgL__ortest_1110z00_4107;
																																																													}
																																																												else
																																																													{	/* Ast/unit.scm 260 */
																																																														long
																																																															BgL_odepthz00_4108;
																																																														BgL_odepthz00_4108
																																																															=
																																																															BGL_CLASS_DEPTH
																																																															(BgL_oclassz00_4106);
																																																														if ((((long) 2) < BgL_odepthz00_4108))
																																																															{	/* Ast/unit.scm 260 */
																																																																obj_t
																																																																	BgL_arg1821z00_4110;
																																																																BgL_arg1821z00_4110
																																																																	=
																																																																	BGL_CLASS_ANCESTORS_REF
																																																																	(BgL_oclassz00_4106,
																																																																	((long) 2));
																																																																BgL_res3434z00_4120
																																																																	=
																																																																	(BgL_arg1821z00_4110
																																																																	==
																																																																	BgL_classz00_4089);
																																																															}
																																																														else
																																																															{	/* Ast/unit.scm 260 */
																																																																BgL_res3434z00_4120
																																																																	=
																																																																	(
																																																																	(bool_t)
																																																																	0);
																																																															}
																																																													}
																																																											}
																																																										}
																																																										BgL_arg1823z00_4095
																																																											=
																																																											BgL_res3434z00_4120;
																																																									}
																																																									BgL_test3594z00_5916
																																																										=
																																																										BGL_ISA_C_BACKEND
																																																										(BgL_arg1822z00_4094,
																																																										BgL_arg1823z00_4095);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/unit.scm 260 */
																																																								BgL_test3594z00_5916
																																																									=
																																																									(
																																																									(bool_t)
																																																									0);
																																																							}
																																																					}
																																																					if (BgL_test3594z00_5916)
																																																						{	/* Ast/unit.scm 260 */
																																																							BgL_test3593z00_5915
																																																								=
																																																								(
																																																								(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_globalz00_2567))))->BgL_accessz00) == CNST_TABLE_REF(((long) 12)));
																																																						}
																																																					else
																																																						{	/* Ast/unit.scm 260 */
																																																							BgL_test3593z00_5915
																																																								=
																																																								(
																																																								(bool_t)
																																																								1);
																																																						}
																																																				}
																																																				if (BgL_test3593z00_5915)
																																																					{	/* Ast/unit.scm 260 */
																																																						BgL_test3591z00_5907
																																																							=
																																																							(BgL_idz00_2565
																																																							==
																																																							BgL_fz00_1913);
																																																					}
																																																				else
																																																					{	/* Ast/unit.scm 260 */
																																																						BgL_test3591z00_5907
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/unit.scm 259 */
																																																				BgL_test3591z00_5907
																																																					=
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																	}
																																																	if (BgL_test3591z00_5907)
																																																		{	/* Ast/unit.scm 265 */
																																																			obj_t
																																																				BgL_arg2260z00_2579;
																																																			{	/* Ast/unit.scm 265 */
																																																				obj_t
																																																					BgL_arg2261z00_2580;
																																																				{	/* Ast/unit.scm 265 */
																																																					obj_t
																																																						BgL_arg2262z00_2581;
																																																					{	/* Ast/unit.scm 265 */
																																																						obj_t
																																																							BgL_pairz00_4125;
																																																						BgL_pairz00_4125
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_sexpz00_37));
																																																						BgL_arg2262z00_2581
																																																							=
																																																							CDR
																																																							(BgL_pairz00_4125);
																																																					}
																																																					BgL_arg2261z00_2580
																																																						=
																																																						BGl_findzd2locationzd2zztools_locationz00
																																																						(BgL_arg2262z00_2581);
																																																				}
																																																				BgL_arg2260z00_2579
																																																					=
																																																					BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																																																					(BgL_expz00_1912,
																																																					BgL_sexpz00_37,
																																																					BgL_arg2261z00_2580);
																																																			}
																																																			return
																																																				BGl_makezd2sfunzd2definitionz00zzast_unitz00
																																																				(BgL_varz00_1910,
																																																				BGl_za2moduleza2z00zzmodule_modulez00,
																																																				BgL_argsz00_1911,
																																																				BgL_arg2260z00_2579,
																																																				BgL_sexpz00_37,
																																																				CNST_TABLE_REF
																																																				(((long) 13)));
																																																		}
																																																	else
																																																		{	/* Ast/unit.scm 259 */
																																																			return
																																																				BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																				(BgL_varz00_1910,
																																																				BgL_sexpz00_37);
																																																		}
																																																}
																																															}
																																														}
																																													}
																																												}
																																											}
																																										else
																																											{	/* Ast/unit.scm 214 */
																																												obj_t
																																													BgL_arg1871z00_2033;
																																												BgL_arg1871z00_2033
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd2661zd2_2005));
																																												return
																																													BGl_makezd2svarzd2definitionz00zzast_unitz00
																																													(BgL_arg1871z00_2033,
																																													BgL_sexpz00_37);
																																											}
																																									}
																																								else
																																									{	/* Ast/unit.scm 214 */
																																										obj_t
																																											BgL_cdrzd2782zd2_2037;
																																										BgL_cdrzd2782zd2_2037
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_cdrzd2661zd2_2005));
																																										{	/* Ast/unit.scm 214 */
																																											obj_t
																																												BgL_carzd2788zd2_2038;
																																											BgL_carzd2788zd2_2038
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd2782zd2_2037));
																																											{	/* Ast/unit.scm 214 */
																																												obj_t
																																													BgL_carzd2793zd2_2039;
																																												obj_t
																																													BgL_cdrzd2794zd2_2040;
																																												BgL_carzd2793zd2_2039
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_carzd2788zd2_2038));
																																												BgL_cdrzd2794zd2_2040
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_carzd2788zd2_2038));
																																												if (BGl_lambdazf3zf3zzast_unitz00(BgL_carzd2793zd2_2039))
																																													{	/* Ast/unit.scm 214 */
																																														if (NULLP(CDR(((obj_t) BgL_cdrzd2782zd2_2037))))
																																															{	/* Ast/unit.scm 214 */
																																																obj_t
																																																	BgL_arg1880z00_2044;
																																																obj_t
																																																	BgL_arg1882z00_2045;
																																																obj_t
																																																	BgL_arg1883z00_2046;
																																																BgL_arg1880z00_2044
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd2661zd2_2005));
																																																BgL_arg1882z00_2045
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd2794zd2_2040));
																																																BgL_arg1883z00_2046
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd2794zd2_2040));
																																																BgL_varz00_1915
																																																	=
																																																	BgL_arg1880z00_2044;
																																																BgL_lamz00_1916
																																																	=
																																																	BgL_carzd2793zd2_2039;
																																																BgL_argsz00_1917
																																																	=
																																																	BgL_arg1882z00_2045;
																																																BgL_expz00_1918
																																																	=
																																																	BgL_arg1883z00_2046;
																																															BgL_tagzd2364zd2_1919:
																																																{	/* Ast/unit.scm 269 */
																																																	obj_t
																																																		BgL_idz00_2589;
																																																	BgL_idz00_2589
																																																		=
																																																		BGl_idzd2ofzd2idz00zzast_identz00
																																																		(BgL_varz00_1915,
																																																		BGl_findzd2locationzd2zztools_locationz00
																																																		(BgL_sexpz00_37));
																																																	{	/* Ast/unit.scm 269 */
																																																		obj_t
																																																			BgL_defz00_2590;
																																																		BgL_defz00_2590
																																																			=
																																																			BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																																																			(BgL_idz00_2589,
																																																			BgL_gdefsz00_38);
																																																		{	/* Ast/unit.scm 270 */
																																																			obj_t
																																																				BgL_globalz00_2591;
																																																			BgL_globalz00_2591
																																																				=
																																																				BGl_findzd2globalzf2modulez20zzast_envz00
																																																				(BgL_idz00_2589,
																																																				BGl_za2moduleza2z00zzmodule_modulez00);
																																																			{	/* Ast/unit.scm 271 */
																																																				BgL_typez00_bglt
																																																					BgL_tlamz00_2592;
																																																				BgL_tlamz00_2592
																																																					=
																																																					BGl_typezd2ofzd2idz00zzast_identz00
																																																					(BgL_lamz00_1916,
																																																					BFALSE);
																																																				{	/* Ast/unit.scm 272 */

																																																					{	/* Ast/unit.scm 274 */
																																																						bool_t
																																																							BgL_test3600z00_5977;
																																																						{	/* Ast/unit.scm 274 */
																																																							bool_t
																																																								BgL_test3601z00_5978;
																																																							{	/* Ast/unit.scm 274 */
																																																								obj_t
																																																									BgL_tmpz00_5979;
																																																								{	/* Ast/unit.scm 274 */
																																																									obj_t
																																																										BgL_pairz00_4127;
																																																									BgL_pairz00_4127
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_defz00_2590));
																																																									BgL_tmpz00_5979
																																																										=
																																																										CAR
																																																										(BgL_pairz00_4127);
																																																								}
																																																								BgL_test3601z00_5978
																																																									=
																																																									(BgL_tmpz00_5979
																																																									==
																																																									CNST_TABLE_REF
																																																									(((long) 12)));
																																																							}
																																																							if (BgL_test3601z00_5978)
																																																								{	/* Ast/unit.scm 275 */
																																																									bool_t
																																																										BgL__ortest_1117z00_2608;
																																																									{	/* Ast/unit.scm 275 */
																																																										bool_t
																																																											BgL_test3602z00_5985;
																																																										{	/* Ast/unit.scm 275 */
																																																											obj_t
																																																												BgL_classz00_4128;
																																																											BgL_classz00_4128
																																																												=
																																																												BGl_globalz00zzast_varz00;
																																																											if (BGL_OBJECTP(BgL_globalz00_2591))
																																																												{	/* Ast/unit.scm 275 */
																																																													BgL_objectz00_bglt
																																																														BgL_arg1825z00_4130;
																																																													BgL_arg1825z00_4130
																																																														=
																																																														(BgL_objectz00_bglt)
																																																														(BgL_globalz00_2591);
																																																													{	/* Ast/unit.scm 275 */
																																																														bool_t
																																																															BgL_arg1822z00_4133;
																																																														bool_t
																																																															BgL_arg1823z00_4134;
																																																														{	/* Ast/unit.scm 275 */
																																																															long
																																																																BgL_idxz00_4137;
																																																															BgL_idxz00_4137
																																																																=
																																																																BGL_OBJECT_INHERITANCE_NUM
																																																																(BgL_arg1825z00_4130);
																																																															BgL_arg1822z00_4133
																																																																=
																																																																(VECTOR_REF
																																																																(BGl_za2inheritancesza2z00zz__objectz00,
																																																																	(BgL_idxz00_4137
																																																																		+
																																																																		((long) 2))) == BgL_classz00_4128);
																																																														}
																																																														{	/* Ast/unit.scm 275 */
																																																															bool_t
																																																																BgL_res3435z00_4159;
																																																															{	/* Ast/unit.scm 275 */
																																																																obj_t
																																																																	BgL_oclassz00_4145;
																																																																{	/* Ast/unit.scm 275 */
																																																																	long
																																																																		BgL_arg1833z00_4151;
																																																																	{	/* Ast/unit.scm 275 */
																																																																		long
																																																																			BgL_arg1834z00_4152;
																																																																		BgL_arg1834z00_4152
																																																																			=
																																																																			BGL_OBJECT_CLASS_NUM
																																																																			(BgL_arg1825z00_4130);
																																																																		BgL_arg1833z00_4151
																																																																			=
																																																																			(BgL_arg1834z00_4152
																																																																			-
																																																																			OBJECT_TYPE);
																																																																	}
																																																																	BgL_oclassz00_4145
																																																																		=
																																																																		VECTOR_REF
																																																																		(BGl_za2classesza2z00zz__objectz00,
																																																																		BgL_arg1833z00_4151);
																																																																}
																																																																{	/* Ast/unit.scm 275 */
																																																																	bool_t
																																																																		BgL__ortest_1110z00_4146;
																																																																	BgL__ortest_1110z00_4146
																																																																		=
																																																																		(BgL_classz00_4128
																																																																		==
																																																																		BgL_oclassz00_4145);
																																																																	if (BgL__ortest_1110z00_4146)
																																																																		{	/* Ast/unit.scm 275 */
																																																																			BgL_res3435z00_4159
																																																																				=
																																																																				BgL__ortest_1110z00_4146;
																																																																		}
																																																																	else
																																																																		{	/* Ast/unit.scm 275 */
																																																																			long
																																																																				BgL_odepthz00_4147;
																																																																			BgL_odepthz00_4147
																																																																				=
																																																																				BGL_CLASS_DEPTH
																																																																				(BgL_oclassz00_4145);
																																																																			if ((((long) 2) < BgL_odepthz00_4147))
																																																																				{	/* Ast/unit.scm 275 */
																																																																					obj_t
																																																																						BgL_arg1821z00_4149;
																																																																					BgL_arg1821z00_4149
																																																																						=
																																																																						BGL_CLASS_ANCESTORS_REF
																																																																						(BgL_oclassz00_4145,
																																																																						((long) 2));
																																																																					BgL_res3435z00_4159
																																																																						=
																																																																						(BgL_arg1821z00_4149
																																																																						==
																																																																						BgL_classz00_4128);
																																																																				}
																																																																			else
																																																																				{	/* Ast/unit.scm 275 */
																																																																					BgL_res3435z00_4159
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																															BgL_arg1823z00_4134
																																																																=
																																																																BgL_res3435z00_4159;
																																																														}
																																																														BgL_test3602z00_5985
																																																															=
																																																															BGL_ISA_C_BACKEND
																																																															(BgL_arg1822z00_4133,
																																																															BgL_arg1823z00_4134);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/unit.scm 275 */
																																																													BgL_test3602z00_5985
																																																														=
																																																														(
																																																														(bool_t)
																																																														0);
																																																												}
																																																										}
																																																										if (BgL_test3602z00_5985)
																																																											{	/* Ast/unit.scm 275 */
																																																												BgL__ortest_1117z00_2608
																																																													=
																																																													(
																																																													(bool_t)
																																																													0);
																																																											}
																																																										else
																																																											{	/* Ast/unit.scm 275 */
																																																												BgL__ortest_1117z00_2608
																																																													=
																																																													(
																																																													(bool_t)
																																																													1);
																																																											}
																																																									}
																																																									if (BgL__ortest_1117z00_2608)
																																																										{	/* Ast/unit.scm 275 */
																																																											BgL_test3600z00_5977
																																																												=
																																																												BgL__ortest_1117z00_2608;
																																																										}
																																																									else
																																																										{	/* Ast/unit.scm 275 */
																																																											BgL_test3600z00_5977
																																																												=
																																																												(
																																																												(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_globalz00_2591))))->BgL_accessz00) == CNST_TABLE_REF(((long) 12)));
																																																								}}
																																																							else
																																																								{	/* Ast/unit.scm 274 */
																																																									BgL_test3600z00_5977
																																																										=
																																																										(
																																																										(bool_t)
																																																										0);
																																																								}
																																																						}
																																																						if (BgL_test3600z00_5977)
																																																							{	/* Ast/unit.scm 277 */
																																																								obj_t
																																																									BgL_arg2275z00_2602;
																																																								obj_t
																																																									BgL_arg2276z00_2603;
																																																								BgL_arg2275z00_2602
																																																									=
																																																									BGl_makezd2typedzd2identz00zzast_identz00
																																																									(BgL_idz00_2589,
																																																									(((BgL_typez00_bglt) COBJECT(BgL_tlamz00_2592))->BgL_idz00));
																																																								{	/* Ast/unit.scm 279 */
																																																									obj_t
																																																										BgL_arg2278z00_2605;
																																																									{	/* Ast/unit.scm 279 */
																																																										obj_t
																																																											BgL_arg2280z00_2606;
																																																										{	/* Ast/unit.scm 279 */
																																																											obj_t
																																																												BgL_pairz00_4165;
																																																											BgL_pairz00_4165
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_sexpz00_37));
																																																											BgL_arg2280z00_2606
																																																												=
																																																												CDR
																																																												(BgL_pairz00_4165);
																																																										}
																																																										BgL_arg2278z00_2605
																																																											=
																																																											BGl_findzd2locationzd2zztools_locationz00
																																																											(BgL_arg2280z00_2606);
																																																									}
																																																									BgL_arg2276z00_2603
																																																										=
																																																										BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																																																										(BgL_expz00_1918,
																																																										BgL_sexpz00_37,
																																																										BgL_arg2278z00_2605);
																																																								}
																																																								return
																																																									BGl_makezd2sfunzd2definitionz00zzast_unitz00
																																																									(BgL_arg2275z00_2602,
																																																									BGl_za2moduleza2z00zzmodule_modulez00,
																																																									BgL_argsz00_1917,
																																																									BgL_arg2276z00_2603,
																																																									BgL_sexpz00_37,
																																																									CNST_TABLE_REF
																																																									(((long) 13)));
																																																							}
																																																						else
																																																							{	/* Ast/unit.scm 274 */
																																																								return
																																																									BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																									(BgL_varz00_1915,
																																																									BgL_sexpz00_37);
																																																							}
																																																					}
																																																				}
																																																			}
																																																		}
																																																	}
																																																}
																																															}
																																														else
																																															{	/* Ast/unit.scm 214 */
																																																obj_t
																																																	BgL_cdrzd2837zd2_2047;
																																																BgL_cdrzd2837zd2_2047
																																																	=
																																																	CDR
																																																	(BgL_sexpz00_37);
																																																{	/* Ast/unit.scm 214 */
																																																	obj_t
																																																		BgL_arg1884z00_2048;
																																																	BgL_arg1884z00_2048
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd2837zd2_2047));
																																																	return
																																																		BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																		(BgL_arg1884z00_2048,
																																																		BgL_sexpz00_37);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/unit.scm 214 */
																																														obj_t
																																															BgL_cdrzd2864zd2_2051;
																																														BgL_cdrzd2864zd2_2051
																																															=
																																															CDR
																																															(BgL_sexpz00_37);
																																														{	/* Ast/unit.scm 214 */
																																															obj_t
																																																BgL_cdrzd2869zd2_2052;
																																															BgL_cdrzd2869zd2_2052
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd2864zd2_2051));
																																															{	/* Ast/unit.scm 214 */
																																																obj_t
																																																	BgL_carzd2873zd2_2053;
																																																BgL_carzd2873zd2_2053
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd2869zd2_2052));
																																																if (SYMBOLP(BgL_carzd2873zd2_2053))
																																																	{	/* Ast/unit.scm 214 */
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd2869zd2_2052))))
																																																			{	/* Ast/unit.scm 214 */
																																																				obj_t
																																																					BgL_arg1890z00_2057;
																																																				BgL_arg1890z00_2057
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd2864zd2_2051));
																																																				{
																																																					obj_t
																																																						BgL_var2z00_6038;
																																																					obj_t
																																																						BgL_varz00_6037;
																																																					BgL_varz00_6037
																																																						=
																																																						BgL_arg1890z00_2057;
																																																					BgL_var2z00_6038
																																																						=
																																																						BgL_carzd2873zd2_2053;
																																																					BgL_var2z00_1924
																																																						=
																																																						BgL_var2z00_6038;
																																																					BgL_varz00_1923
																																																						=
																																																						BgL_varz00_6037;
																																																					goto
																																																						BgL_tagzd2366zd2_1925;
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/unit.scm 214 */
																																																				obj_t
																																																					BgL_arg1891z00_2059;
																																																				BgL_arg1891z00_2059
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd2864zd2_2051));
																																																				return
																																																					BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																					(BgL_arg1891z00_2059,
																																																					BgL_sexpz00_37);
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/unit.scm 214 */
																																																		obj_t
																																																			BgL_arg1895z00_2063;
																																																		BgL_arg1895z00_2063
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd2864zd2_2051));
																																																		return
																																																			BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																			(BgL_arg1895z00_2063,
																																																			BgL_sexpz00_37);
																																																	}
																																															}
																																														}
																																													}
																																											}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Ast/unit.scm 214 */
																																								obj_t
																																									BgL_cdrzd2950zd2_2067;
																																								BgL_cdrzd2950zd2_2067
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_cdrzd2661zd2_2005));
																																								{	/* Ast/unit.scm 214 */
																																									obj_t
																																										BgL_carzd2956zd2_2068;
																																									BgL_carzd2956zd2_2068
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd2950zd2_2067));
																																									{	/* Ast/unit.scm 214 */
																																										obj_t
																																											BgL_carzd2961zd2_2069;
																																										obj_t
																																											BgL_cdrzd2962zd2_2070;
																																										BgL_carzd2961zd2_2069
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_carzd2956zd2_2068));
																																										BgL_cdrzd2962zd2_2070
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_carzd2956zd2_2068));
																																										if (BGl_lambdazf3zf3zzast_unitz00(BgL_carzd2961zd2_2069))
																																											{	/* Ast/unit.scm 214 */
																																												if (NULLP(CDR(((obj_t) BgL_cdrzd2950zd2_2067))))
																																													{	/* Ast/unit.scm 214 */
																																														obj_t
																																															BgL_arg1904z00_2074;
																																														obj_t
																																															BgL_arg1905z00_2075;
																																														obj_t
																																															BgL_arg1906z00_2076;
																																														BgL_arg1904z00_2074
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd2661zd2_2005));
																																														BgL_arg1905z00_2075
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd2962zd2_2070));
																																														BgL_arg1906z00_2076
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_cdrzd2962zd2_2070));
																																														{
																																															obj_t
																																																BgL_expz00_6068;
																																															obj_t
																																																BgL_argsz00_6067;
																																															obj_t
																																																BgL_lamz00_6066;
																																															obj_t
																																																BgL_varz00_6065;
																																															BgL_varz00_6065
																																																=
																																																BgL_arg1904z00_2074;
																																															BgL_lamz00_6066
																																																=
																																																BgL_carzd2961zd2_2069;
																																															BgL_argsz00_6067
																																																=
																																																BgL_arg1905z00_2075;
																																															BgL_expz00_6068
																																																=
																																																BgL_arg1906z00_2076;
																																															BgL_expz00_1918
																																																=
																																																BgL_expz00_6068;
																																															BgL_argsz00_1917
																																																=
																																																BgL_argsz00_6067;
																																															BgL_lamz00_1916
																																																=
																																																BgL_lamz00_6066;
																																															BgL_varz00_1915
																																																=
																																																BgL_varz00_6065;
																																															goto
																																																BgL_tagzd2364zd2_1919;
																																														}
																																													}
																																												else
																																													{	/* Ast/unit.scm 214 */
																																														obj_t
																																															BgL_cdrzd21005zd2_2077;
																																														BgL_cdrzd21005zd2_2077
																																															=
																																															CDR
																																															(BgL_sexpz00_37);
																																														{	/* Ast/unit.scm 214 */
																																															obj_t
																																																BgL_arg1907z00_2078;
																																															BgL_arg1907z00_2078
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd21005zd2_2077));
																																															return
																																																BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																(BgL_arg1907z00_2078,
																																																BgL_sexpz00_37);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/unit.scm 214 */
																																												obj_t
																																													BgL_cdrzd21032zd2_2081;
																																												BgL_cdrzd21032zd2_2081
																																													=
																																													CDR
																																													(BgL_sexpz00_37);
																																												{	/* Ast/unit.scm 214 */
																																													obj_t
																																														BgL_cdrzd21037zd2_2082;
																																													BgL_cdrzd21037zd2_2082
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd21032zd2_2081));
																																													{	/* Ast/unit.scm 214 */
																																														obj_t
																																															BgL_carzd21041zd2_2083;
																																														BgL_carzd21041zd2_2083
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd21037zd2_2082));
																																														if (SYMBOLP(BgL_carzd21041zd2_2083))
																																															{	/* Ast/unit.scm 214 */
																																																if (NULLP(CDR(((obj_t) BgL_cdrzd21037zd2_2082))))
																																																	{	/* Ast/unit.scm 214 */
																																																		obj_t
																																																			BgL_arg1913z00_2087;
																																																		BgL_arg1913z00_2087
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd21032zd2_2081));
																																																		{
																																																			obj_t
																																																				BgL_var2z00_6087;
																																																			obj_t
																																																				BgL_varz00_6086;
																																																			BgL_varz00_6086
																																																				=
																																																				BgL_arg1913z00_2087;
																																																			BgL_var2z00_6087
																																																				=
																																																				BgL_carzd21041zd2_2083;
																																																			BgL_var2z00_1924
																																																				=
																																																				BgL_var2z00_6087;
																																																			BgL_varz00_1923
																																																				=
																																																				BgL_varz00_6086;
																																																			goto
																																																				BgL_tagzd2366zd2_1925;
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/unit.scm 214 */
																																																		obj_t
																																																			BgL_arg1914z00_2089;
																																																		BgL_arg1914z00_2089
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd21032zd2_2081));
																																																		return
																																																			BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																			(BgL_arg1914z00_2089,
																																																			BgL_sexpz00_37);
																																																	}
																																															}
																																														else
																																															{	/* Ast/unit.scm 214 */
																																																obj_t
																																																	BgL_arg1918z00_2093;
																																																BgL_arg1918z00_2093
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd21032zd2_2081));
																																																return
																																																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																	(BgL_arg1918z00_2093,
																																																	BgL_sexpz00_37);
																																															}
																																													}
																																												}
																																											}
																																									}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Ast/unit.scm 214 */
																																						obj_t
																																							BgL_cdrzd21118zd2_2097;
																																						BgL_cdrzd21118zd2_2097
																																							=
																																							CDR
																																							(((obj_t) BgL_cdrzd2661zd2_2005));
																																						{	/* Ast/unit.scm 214 */
																																							obj_t
																																								BgL_carzd21124zd2_2098;
																																							BgL_carzd21124zd2_2098
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd21118zd2_2097));
																																							{	/* Ast/unit.scm 214 */
																																								obj_t
																																									BgL_carzd21129zd2_2099;
																																								obj_t
																																									BgL_cdrzd21130zd2_2100;
																																								BgL_carzd21129zd2_2099
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_carzd21124zd2_2098));
																																								BgL_cdrzd21130zd2_2100
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_carzd21124zd2_2098));
																																								if (BGl_lambdazf3zf3zzast_unitz00(BgL_carzd21129zd2_2099))
																																									{	/* Ast/unit.scm 214 */
																																										if (NULLP(CDR(((obj_t) BgL_cdrzd21118zd2_2097))))
																																											{	/* Ast/unit.scm 214 */
																																												obj_t
																																													BgL_arg1924z00_2104;
																																												obj_t
																																													BgL_arg1925z00_2105;
																																												obj_t
																																													BgL_arg1926z00_2106;
																																												BgL_arg1924z00_2104
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd2661zd2_2005));
																																												BgL_arg1925z00_2105
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd21130zd2_2100));
																																												BgL_arg1926z00_2106
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_cdrzd21130zd2_2100));
																																												{
																																													obj_t
																																														BgL_expz00_6117;
																																													obj_t
																																														BgL_argsz00_6116;
																																													obj_t
																																														BgL_lamz00_6115;
																																													obj_t
																																														BgL_varz00_6114;
																																													BgL_varz00_6114
																																														=
																																														BgL_arg1924z00_2104;
																																													BgL_lamz00_6115
																																														=
																																														BgL_carzd21129zd2_2099;
																																													BgL_argsz00_6116
																																														=
																																														BgL_arg1925z00_2105;
																																													BgL_expz00_6117
																																														=
																																														BgL_arg1926z00_2106;
																																													BgL_expz00_1918
																																														=
																																														BgL_expz00_6117;
																																													BgL_argsz00_1917
																																														=
																																														BgL_argsz00_6116;
																																													BgL_lamz00_1916
																																														=
																																														BgL_lamz00_6115;
																																													BgL_varz00_1915
																																														=
																																														BgL_varz00_6114;
																																													goto
																																														BgL_tagzd2364zd2_1919;
																																												}
																																											}
																																										else
																																											{	/* Ast/unit.scm 214 */
																																												obj_t
																																													BgL_cdrzd21173zd2_2107;
																																												BgL_cdrzd21173zd2_2107
																																													=
																																													CDR
																																													(BgL_sexpz00_37);
																																												{	/* Ast/unit.scm 214 */
																																													obj_t
																																														BgL_arg1927z00_2108;
																																													BgL_arg1927z00_2108
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd21173zd2_2107));
																																													return
																																														BGl_makezd2svarzd2definitionz00zzast_unitz00
																																														(BgL_arg1927z00_2108,
																																														BgL_sexpz00_37);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/unit.scm 214 */
																																										obj_t
																																											BgL_cdrzd21200zd2_2111;
																																										BgL_cdrzd21200zd2_2111
																																											=
																																											CDR
																																											(BgL_sexpz00_37);
																																										{	/* Ast/unit.scm 214 */
																																											obj_t
																																												BgL_cdrzd21205zd2_2112;
																																											BgL_cdrzd21205zd2_2112
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd21200zd2_2111));
																																											{	/* Ast/unit.scm 214 */
																																												obj_t
																																													BgL_carzd21209zd2_2113;
																																												BgL_carzd21209zd2_2113
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd21205zd2_2112));
																																												if (SYMBOLP(BgL_carzd21209zd2_2113))
																																													{	/* Ast/unit.scm 214 */
																																														if (NULLP(CDR(((obj_t) BgL_cdrzd21205zd2_2112))))
																																															{	/* Ast/unit.scm 214 */
																																																obj_t
																																																	BgL_arg1935z00_2117;
																																																BgL_arg1935z00_2117
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd21200zd2_2111));
																																																{
																																																	obj_t
																																																		BgL_var2z00_6136;
																																																	obj_t
																																																		BgL_varz00_6135;
																																																	BgL_varz00_6135
																																																		=
																																																		BgL_arg1935z00_2117;
																																																	BgL_var2z00_6136
																																																		=
																																																		BgL_carzd21209zd2_2113;
																																																	BgL_var2z00_1924
																																																		=
																																																		BgL_var2z00_6136;
																																																	BgL_varz00_1923
																																																		=
																																																		BgL_varz00_6135;
																																																	goto
																																																		BgL_tagzd2366zd2_1925;
																																																}
																																															}
																																														else
																																															{	/* Ast/unit.scm 214 */
																																																obj_t
																																																	BgL_arg1936z00_2119;
																																																BgL_arg1936z00_2119
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd21200zd2_2111));
																																																return
																																																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																	(BgL_arg1936z00_2119,
																																																	BgL_sexpz00_37);
																																															}
																																													}
																																												else
																																													{	/* Ast/unit.scm 214 */
																																														obj_t
																																															BgL_arg1939z00_2123;
																																														BgL_arg1939z00_2123
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd21200zd2_2111));
																																														return
																																															BGl_makezd2svarzd2definitionz00zzast_unitz00
																																															(BgL_arg1939z00_2123,
																																															BgL_sexpz00_37);
																																													}
																																											}
																																										}
																																									}
																																							}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Ast/unit.scm 214 */
																																				obj_t
																																					BgL_cdrzd21286zd2_2126;
																																				BgL_cdrzd21286zd2_2126
																																					=
																																					CDR((
																																						(obj_t)
																																						BgL_cdrzd2661zd2_2005));
																																				{	/* Ast/unit.scm 214 */
																																					obj_t
																																						BgL_carzd21292zd2_2127;
																																					BgL_carzd21292zd2_2127
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd21286zd2_2126));
																																					{	/* Ast/unit.scm 214 */
																																						obj_t
																																							BgL_carzd21297zd2_2128;
																																						obj_t
																																							BgL_cdrzd21298zd2_2129;
																																						BgL_carzd21297zd2_2128
																																							=
																																							CAR
																																							(((obj_t) BgL_carzd21292zd2_2127));
																																						BgL_cdrzd21298zd2_2129
																																							=
																																							CDR
																																							(((obj_t) BgL_carzd21292zd2_2127));
																																						if (BGl_lambdazf3zf3zzast_unitz00(BgL_carzd21297zd2_2128))
																																							{	/* Ast/unit.scm 214 */
																																								if (NULLP(CDR(((obj_t) BgL_cdrzd21286zd2_2126))))
																																									{	/* Ast/unit.scm 214 */
																																										obj_t
																																											BgL_arg1944z00_2133;
																																										obj_t
																																											BgL_arg1945z00_2134;
																																										obj_t
																																											BgL_arg1946z00_2135;
																																										BgL_arg1944z00_2133
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_cdrzd2661zd2_2005));
																																										BgL_arg1945z00_2134
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_cdrzd21298zd2_2129));
																																										BgL_arg1946z00_2135
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_cdrzd21298zd2_2129));
																																										{
																																											obj_t
																																												BgL_expz00_6166;
																																											obj_t
																																												BgL_argsz00_6165;
																																											obj_t
																																												BgL_lamz00_6164;
																																											obj_t
																																												BgL_varz00_6163;
																																											BgL_varz00_6163
																																												=
																																												BgL_arg1944z00_2133;
																																											BgL_lamz00_6164
																																												=
																																												BgL_carzd21297zd2_2128;
																																											BgL_argsz00_6165
																																												=
																																												BgL_arg1945z00_2134;
																																											BgL_expz00_6166
																																												=
																																												BgL_arg1946z00_2135;
																																											BgL_expz00_1918
																																												=
																																												BgL_expz00_6166;
																																											BgL_argsz00_1917
																																												=
																																												BgL_argsz00_6165;
																																											BgL_lamz00_1916
																																												=
																																												BgL_lamz00_6164;
																																											BgL_varz00_1915
																																												=
																																												BgL_varz00_6163;
																																											goto
																																												BgL_tagzd2364zd2_1919;
																																										}
																																									}
																																								else
																																									{	/* Ast/unit.scm 214 */
																																										obj_t
																																											BgL_cdrzd21341zd2_2136;
																																										BgL_cdrzd21341zd2_2136
																																											=
																																											CDR
																																											(BgL_sexpz00_37);
																																										{	/* Ast/unit.scm 214 */
																																											obj_t
																																												BgL_arg1947z00_2137;
																																											BgL_arg1947z00_2137
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd21341zd2_2136));
																																											return
																																												BGl_makezd2svarzd2definitionz00zzast_unitz00
																																												(BgL_arg1947z00_2137,
																																												BgL_sexpz00_37);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Ast/unit.scm 214 */
																																								obj_t
																																									BgL_cdrzd21368zd2_2140;
																																								BgL_cdrzd21368zd2_2140
																																									=
																																									CDR
																																									(BgL_sexpz00_37);
																																								{	/* Ast/unit.scm 214 */
																																									obj_t
																																										BgL_cdrzd21373zd2_2141;
																																									BgL_cdrzd21373zd2_2141
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd21368zd2_2140));
																																									{	/* Ast/unit.scm 214 */
																																										obj_t
																																											BgL_carzd21377zd2_2142;
																																										BgL_carzd21377zd2_2142
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_cdrzd21373zd2_2141));
																																										if (SYMBOLP(BgL_carzd21377zd2_2142))
																																											{	/* Ast/unit.scm 214 */
																																												if (NULLP(CDR(((obj_t) BgL_cdrzd21373zd2_2141))))
																																													{	/* Ast/unit.scm 214 */
																																														obj_t
																																															BgL_arg1953z00_2146;
																																														BgL_arg1953z00_2146
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd21368zd2_2140));
																																														{
																																															obj_t
																																																BgL_var2z00_6185;
																																															obj_t
																																																BgL_varz00_6184;
																																															BgL_varz00_6184
																																																=
																																																BgL_arg1953z00_2146;
																																															BgL_var2z00_6185
																																																=
																																																BgL_carzd21377zd2_2142;
																																															BgL_var2z00_1924
																																																=
																																																BgL_var2z00_6185;
																																															BgL_varz00_1923
																																																=
																																																BgL_varz00_6184;
																																															goto
																																																BgL_tagzd2366zd2_1925;
																																														}
																																													}
																																												else
																																													{	/* Ast/unit.scm 214 */
																																														obj_t
																																															BgL_arg1954z00_2148;
																																														BgL_arg1954z00_2148
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd21368zd2_2140));
																																														return
																																															BGl_makezd2svarzd2definitionz00zzast_unitz00
																																															(BgL_arg1954z00_2148,
																																															BgL_sexpz00_37);
																																													}
																																											}
																																										else
																																											{	/* Ast/unit.scm 214 */
																																												obj_t
																																													BgL_arg1957z00_2152;
																																												BgL_arg1957z00_2152
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd21368zd2_2140));
																																												return
																																													BGl_makezd2svarzd2definitionz00zzast_unitz00
																																													(BgL_arg1957z00_2152,
																																													BgL_sexpz00_37);
																																											}
																																									}
																																								}
																																							}
																																					}
																																				}
																																			}
																																	}
																																else
																																	{	/* Ast/unit.scm 214 */
																																		obj_t
																																			BgL_cdrzd21454zd2_2156;
																																		BgL_cdrzd21454zd2_2156
																																			=
																																			CDR((
																																				(obj_t)
																																				BgL_cdrzd2661zd2_2005));
																																		{	/* Ast/unit.scm 214 */
																																			obj_t
																																				BgL_carzd21460zd2_2157;
																																			BgL_carzd21460zd2_2157
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_cdrzd21454zd2_2156));
																																			{	/* Ast/unit.scm 214 */
																																				obj_t
																																					BgL_carzd21465zd2_2158;
																																				obj_t
																																					BgL_cdrzd21466zd2_2159;
																																				BgL_carzd21465zd2_2158
																																					=
																																					CAR((
																																						(obj_t)
																																						BgL_carzd21460zd2_2157));
																																				BgL_cdrzd21466zd2_2159
																																					=
																																					CDR((
																																						(obj_t)
																																						BgL_carzd21460zd2_2157));
																																				if (BGl_lambdazf3zf3zzast_unitz00(BgL_carzd21465zd2_2158))
																																					{	/* Ast/unit.scm 214 */
																																						if (NULLP(CDR(((obj_t) BgL_cdrzd21454zd2_2156))))
																																							{	/* Ast/unit.scm 214 */
																																								obj_t
																																									BgL_arg1964z00_2163;
																																								obj_t
																																									BgL_arg1965z00_2164;
																																								obj_t
																																									BgL_arg1966z00_2165;
																																								BgL_arg1964z00_2163
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_cdrzd2661zd2_2005));
																																								BgL_arg1965z00_2164
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_cdrzd21466zd2_2159));
																																								BgL_arg1966z00_2165
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_cdrzd21466zd2_2159));
																																								{
																																									obj_t
																																										BgL_expz00_6215;
																																									obj_t
																																										BgL_argsz00_6214;
																																									obj_t
																																										BgL_lamz00_6213;
																																									obj_t
																																										BgL_varz00_6212;
																																									BgL_varz00_6212
																																										=
																																										BgL_arg1964z00_2163;
																																									BgL_lamz00_6213
																																										=
																																										BgL_carzd21465zd2_2158;
																																									BgL_argsz00_6214
																																										=
																																										BgL_arg1965z00_2164;
																																									BgL_expz00_6215
																																										=
																																										BgL_arg1966z00_2165;
																																									BgL_expz00_1918
																																										=
																																										BgL_expz00_6215;
																																									BgL_argsz00_1917
																																										=
																																										BgL_argsz00_6214;
																																									BgL_lamz00_1916
																																										=
																																										BgL_lamz00_6213;
																																									BgL_varz00_1915
																																										=
																																										BgL_varz00_6212;
																																									goto
																																										BgL_tagzd2364zd2_1919;
																																								}
																																							}
																																						else
																																							{	/* Ast/unit.scm 214 */
																																								obj_t
																																									BgL_cdrzd21509zd2_2166;
																																								BgL_cdrzd21509zd2_2166
																																									=
																																									CDR
																																									(BgL_sexpz00_37);
																																								{	/* Ast/unit.scm 214 */
																																									obj_t
																																										BgL_arg1967z00_2167;
																																									BgL_arg1967z00_2167
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd21509zd2_2166));
																																									return
																																										BGl_makezd2svarzd2definitionz00zzast_unitz00
																																										(BgL_arg1967z00_2167,
																																										BgL_sexpz00_37);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Ast/unit.scm 214 */
																																						obj_t
																																							BgL_cdrzd21536zd2_2170;
																																						BgL_cdrzd21536zd2_2170
																																							=
																																							CDR
																																							(BgL_sexpz00_37);
																																						{	/* Ast/unit.scm 214 */
																																							obj_t
																																								BgL_cdrzd21541zd2_2171;
																																							BgL_cdrzd21541zd2_2171
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd21536zd2_2170));
																																							{	/* Ast/unit.scm 214 */
																																								obj_t
																																									BgL_carzd21545zd2_2172;
																																								BgL_carzd21545zd2_2172
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_cdrzd21541zd2_2171));
																																								if (SYMBOLP(BgL_carzd21545zd2_2172))
																																									{	/* Ast/unit.scm 214 */
																																										if (NULLP(CDR(((obj_t) BgL_cdrzd21541zd2_2171))))
																																											{	/* Ast/unit.scm 214 */
																																												obj_t
																																													BgL_arg1973z00_2176;
																																												BgL_arg1973z00_2176
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd21536zd2_2170));
																																												{
																																													obj_t
																																														BgL_var2z00_6234;
																																													obj_t
																																														BgL_varz00_6233;
																																													BgL_varz00_6233
																																														=
																																														BgL_arg1973z00_2176;
																																													BgL_var2z00_6234
																																														=
																																														BgL_carzd21545zd2_2172;
																																													BgL_var2z00_1924
																																														=
																																														BgL_var2z00_6234;
																																													BgL_varz00_1923
																																														=
																																														BgL_varz00_6233;
																																													goto
																																														BgL_tagzd2366zd2_1925;
																																												}
																																											}
																																										else
																																											{	/* Ast/unit.scm 214 */
																																												obj_t
																																													BgL_arg1974z00_2178;
																																												BgL_arg1974z00_2178
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd21536zd2_2170));
																																												return
																																													BGl_makezd2svarzd2definitionz00zzast_unitz00
																																													(BgL_arg1974z00_2178,
																																													BgL_sexpz00_37);
																																											}
																																									}
																																								else
																																									{	/* Ast/unit.scm 214 */
																																										obj_t
																																											BgL_arg1977z00_2182;
																																										BgL_arg1977z00_2182
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_cdrzd21536zd2_2170));
																																										return
																																											BGl_makezd2svarzd2definitionz00zzast_unitz00
																																											(BgL_arg1977z00_2182,
																																											BgL_sexpz00_37);
																																									}
																																							}
																																						}
																																					}
																																			}
																																		}
																																	}
																															}
																														}
																													else
																														{	/* Ast/unit.scm 214 */
																															obj_t
																																BgL_cdrzd21622zd2_2185;
																															BgL_cdrzd21622zd2_2185
																																=
																																CDR(((obj_t)
																																	BgL_cdrzd2661zd2_2005));
																															{	/* Ast/unit.scm 214 */
																																obj_t
																																	BgL_carzd21628zd2_2186;
																																BgL_carzd21628zd2_2186
																																	=
																																	CAR(((obj_t)
																																		BgL_cdrzd21622zd2_2185));
																																{	/* Ast/unit.scm 214 */
																																	obj_t
																																		BgL_carzd21633zd2_2187;
																																	obj_t
																																		BgL_cdrzd21634zd2_2188;
																																	BgL_carzd21633zd2_2187
																																		=
																																		CAR(((obj_t)
																																			BgL_carzd21628zd2_2186));
																																	BgL_cdrzd21634zd2_2188
																																		=
																																		CDR(((obj_t)
																																			BgL_carzd21628zd2_2186));
																																	if (BGl_lambdazf3zf3zzast_unitz00(BgL_carzd21633zd2_2187))
																																		{	/* Ast/unit.scm 214 */
																																			if (NULLP
																																				(CDR(((obj_t) BgL_cdrzd21622zd2_2185))))
																																				{	/* Ast/unit.scm 214 */
																																					obj_t
																																						BgL_arg1982z00_2192;
																																					obj_t
																																						BgL_arg1983z00_2193;
																																					obj_t
																																						BgL_arg1984z00_2194;
																																					BgL_arg1982z00_2192
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd2661zd2_2005));
																																					BgL_arg1983z00_2193
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd21634zd2_2188));
																																					BgL_arg1984z00_2194
																																						=
																																						CDR(
																																						((obj_t) BgL_cdrzd21634zd2_2188));
																																					{
																																						obj_t
																																							BgL_expz00_6264;
																																						obj_t
																																							BgL_argsz00_6263;
																																						obj_t
																																							BgL_lamz00_6262;
																																						obj_t
																																							BgL_varz00_6261;
																																						BgL_varz00_6261
																																							=
																																							BgL_arg1982z00_2192;
																																						BgL_lamz00_6262
																																							=
																																							BgL_carzd21633zd2_2187;
																																						BgL_argsz00_6263
																																							=
																																							BgL_arg1983z00_2193;
																																						BgL_expz00_6264
																																							=
																																							BgL_arg1984z00_2194;
																																						BgL_expz00_1918
																																							=
																																							BgL_expz00_6264;
																																						BgL_argsz00_1917
																																							=
																																							BgL_argsz00_6263;
																																						BgL_lamz00_1916
																																							=
																																							BgL_lamz00_6262;
																																						BgL_varz00_1915
																																							=
																																							BgL_varz00_6261;
																																						goto
																																							BgL_tagzd2364zd2_1919;
																																					}
																																				}
																																			else
																																				{	/* Ast/unit.scm 214 */
																																					obj_t
																																						BgL_cdrzd21677zd2_2195;
																																					BgL_cdrzd21677zd2_2195
																																						=
																																						CDR
																																						(BgL_sexpz00_37);
																																					{	/* Ast/unit.scm 214 */
																																						obj_t
																																							BgL_arg1985z00_2196;
																																						BgL_arg1985z00_2196
																																							=
																																							CAR
																																							(((obj_t) BgL_cdrzd21677zd2_2195));
																																						return
																																							BGl_makezd2svarzd2definitionz00zzast_unitz00
																																							(BgL_arg1985z00_2196,
																																							BgL_sexpz00_37);
																																					}
																																				}
																																		}
																																	else
																																		{	/* Ast/unit.scm 214 */
																																			obj_t
																																				BgL_cdrzd21704zd2_2199;
																																			BgL_cdrzd21704zd2_2199
																																				=
																																				CDR
																																				(BgL_sexpz00_37);
																																			{	/* Ast/unit.scm 214 */
																																				obj_t
																																					BgL_cdrzd21709zd2_2200;
																																				BgL_cdrzd21709zd2_2200
																																					=
																																					CDR((
																																						(obj_t)
																																						BgL_cdrzd21704zd2_2199));
																																				{	/* Ast/unit.scm 214 */
																																					obj_t
																																						BgL_carzd21713zd2_2201;
																																					BgL_carzd21713zd2_2201
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd21709zd2_2200));
																																					if (SYMBOLP(BgL_carzd21713zd2_2201))
																																						{	/* Ast/unit.scm 214 */
																																							if (NULLP(CDR(((obj_t) BgL_cdrzd21709zd2_2200))))
																																								{	/* Ast/unit.scm 214 */
																																									obj_t
																																										BgL_arg1991z00_2205;
																																									BgL_arg1991z00_2205
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd21704zd2_2199));
																																									{
																																										obj_t
																																											BgL_var2z00_6283;
																																										obj_t
																																											BgL_varz00_6282;
																																										BgL_varz00_6282
																																											=
																																											BgL_arg1991z00_2205;
																																										BgL_var2z00_6283
																																											=
																																											BgL_carzd21713zd2_2201;
																																										BgL_var2z00_1924
																																											=
																																											BgL_var2z00_6283;
																																										BgL_varz00_1923
																																											=
																																											BgL_varz00_6282;
																																										goto
																																											BgL_tagzd2366zd2_1925;
																																									}
																																								}
																																							else
																																								{	/* Ast/unit.scm 214 */
																																									obj_t
																																										BgL_arg1992z00_2207;
																																									BgL_arg1992z00_2207
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd21704zd2_2199));
																																									return
																																										BGl_makezd2svarzd2definitionz00zzast_unitz00
																																										(BgL_arg1992z00_2207,
																																										BgL_sexpz00_37);
																																								}
																																						}
																																					else
																																						{	/* Ast/unit.scm 214 */
																																							obj_t
																																								BgL_arg1996z00_2211;
																																							BgL_arg1996z00_2211
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd21704zd2_2199));
																																							return
																																								BGl_makezd2svarzd2definitionz00zzast_unitz00
																																								(BgL_arg1996z00_2211,
																																								BgL_sexpz00_37);
																																						}
																																				}
																																			}
																																		}
																																}
																															}
																														}
																												}
																											else
																												{	/* Ast/unit.scm 214 */
																													obj_t
																														BgL_cdrzd21790zd2_2214;
																													BgL_cdrzd21790zd2_2214
																														=
																														CDR(((obj_t)
																															BgL_cdrzd2661zd2_2005));
																													{	/* Ast/unit.scm 214 */
																														obj_t
																															BgL_carzd21796zd2_2215;
																														BgL_carzd21796zd2_2215
																															=
																															CAR(((obj_t)
																																BgL_cdrzd21790zd2_2214));
																														{	/* Ast/unit.scm 214 */
																															obj_t
																																BgL_carzd21801zd2_2216;
																															obj_t
																																BgL_cdrzd21802zd2_2217;
																															BgL_carzd21801zd2_2216
																																=
																																CAR(((obj_t)
																																	BgL_carzd21796zd2_2215));
																															BgL_cdrzd21802zd2_2217
																																=
																																CDR(((obj_t)
																																	BgL_carzd21796zd2_2215));
																															if (BGl_lambdazf3zf3zzast_unitz00(BgL_carzd21801zd2_2216))
																																{	/* Ast/unit.scm 214 */
																																	if (NULLP(CDR(
																																				((obj_t)
																																					BgL_cdrzd21790zd2_2214))))
																																		{	/* Ast/unit.scm 214 */
																																			obj_t
																																				BgL_arg2001z00_2221;
																																			obj_t
																																				BgL_arg2002z00_2222;
																																			obj_t
																																				BgL_arg2003z00_2223;
																																			BgL_arg2001z00_2221
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_cdrzd2661zd2_2005));
																																			BgL_arg2002z00_2222
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_cdrzd21802zd2_2217));
																																			BgL_arg2003z00_2223
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_cdrzd21802zd2_2217));
																																			{
																																				obj_t
																																					BgL_expz00_6313;
																																				obj_t
																																					BgL_argsz00_6312;
																																				obj_t
																																					BgL_lamz00_6311;
																																				obj_t
																																					BgL_varz00_6310;
																																				BgL_varz00_6310
																																					=
																																					BgL_arg2001z00_2221;
																																				BgL_lamz00_6311
																																					=
																																					BgL_carzd21801zd2_2216;
																																				BgL_argsz00_6312
																																					=
																																					BgL_arg2002z00_2222;
																																				BgL_expz00_6313
																																					=
																																					BgL_arg2003z00_2223;
																																				BgL_expz00_1918
																																					=
																																					BgL_expz00_6313;
																																				BgL_argsz00_1917
																																					=
																																					BgL_argsz00_6312;
																																				BgL_lamz00_1916
																																					=
																																					BgL_lamz00_6311;
																																				BgL_varz00_1915
																																					=
																																					BgL_varz00_6310;
																																				goto
																																					BgL_tagzd2364zd2_1919;
																																			}
																																		}
																																	else
																																		{	/* Ast/unit.scm 214 */
																																			obj_t
																																				BgL_cdrzd21845zd2_2224;
																																			BgL_cdrzd21845zd2_2224
																																				=
																																				CDR
																																				(BgL_sexpz00_37);
																																			{	/* Ast/unit.scm 214 */
																																				obj_t
																																					BgL_arg2004z00_2225;
																																				BgL_arg2004z00_2225
																																					=
																																					CAR((
																																						(obj_t)
																																						BgL_cdrzd21845zd2_2224));
																																				return
																																					BGl_makezd2svarzd2definitionz00zzast_unitz00
																																					(BgL_arg2004z00_2225,
																																					BgL_sexpz00_37);
																																			}
																																		}
																																}
																															else
																																{	/* Ast/unit.scm 214 */
																																	obj_t
																																		BgL_cdrzd21872zd2_2228;
																																	BgL_cdrzd21872zd2_2228
																																		=
																																		CDR
																																		(BgL_sexpz00_37);
																																	{	/* Ast/unit.scm 214 */
																																		obj_t
																																			BgL_cdrzd21877zd2_2229;
																																		BgL_cdrzd21877zd2_2229
																																			=
																																			CDR((
																																				(obj_t)
																																				BgL_cdrzd21872zd2_2228));
																																		{	/* Ast/unit.scm 214 */
																																			obj_t
																																				BgL_carzd21881zd2_2230;
																																			BgL_carzd21881zd2_2230
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_cdrzd21877zd2_2229));
																																			if (SYMBOLP(BgL_carzd21881zd2_2230))
																																				{	/* Ast/unit.scm 214 */
																																					if (NULLP(CDR(((obj_t) BgL_cdrzd21877zd2_2229))))
																																						{	/* Ast/unit.scm 214 */
																																							obj_t
																																								BgL_arg2010z00_2234;
																																							BgL_arg2010z00_2234
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd21872zd2_2228));
																																							{
																																								obj_t
																																									BgL_var2z00_6332;
																																								obj_t
																																									BgL_varz00_6331;
																																								BgL_varz00_6331
																																									=
																																									BgL_arg2010z00_2234;
																																								BgL_var2z00_6332
																																									=
																																									BgL_carzd21881zd2_2230;
																																								BgL_var2z00_1924
																																									=
																																									BgL_var2z00_6332;
																																								BgL_varz00_1923
																																									=
																																									BgL_varz00_6331;
																																								goto
																																									BgL_tagzd2366zd2_1925;
																																							}
																																						}
																																					else
																																						{	/* Ast/unit.scm 214 */
																																							obj_t
																																								BgL_arg2011z00_2236;
																																							BgL_arg2011z00_2236
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd21872zd2_2228));
																																							return
																																								BGl_makezd2svarzd2definitionz00zzast_unitz00
																																								(BgL_arg2011z00_2236,
																																								BgL_sexpz00_37);
																																						}
																																				}
																																			else
																																				{	/* Ast/unit.scm 214 */
																																					obj_t
																																						BgL_arg2014z00_2240;
																																					BgL_arg2014z00_2240
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd21872zd2_2228));
																																					return
																																						BGl_makezd2svarzd2definitionz00zzast_unitz00
																																						(BgL_arg2014z00_2240,
																																						BgL_sexpz00_37);
																																				}
																																		}
																																	}
																																}
																														}
																													}
																												}
																										}
																									else
																										{	/* Ast/unit.scm 214 */
																											obj_t
																												BgL_cdrzd21973zd2_2243;
																											BgL_cdrzd21973zd2_2243 =
																												CDR(((obj_t)
																													BgL_cdrzd2661zd2_2005));
																											{	/* Ast/unit.scm 214 */
																												obj_t
																													BgL_carzd21977zd2_2244;
																												BgL_carzd21977zd2_2244 =
																													CAR(((obj_t)
																														BgL_cdrzd21973zd2_2243));
																												if (SYMBOLP
																													(BgL_carzd21977zd2_2244))
																													{	/* Ast/unit.scm 214 */
																														if (NULLP(CDR(
																																	((obj_t)
																																		BgL_cdrzd21973zd2_2243))))
																															{	/* Ast/unit.scm 214 */
																																obj_t
																																	BgL_arg2019z00_2248;
																																BgL_arg2019z00_2248
																																	=
																																	CAR(((obj_t)
																																		BgL_cdrzd2661zd2_2005));
																																{
																																	obj_t
																																		BgL_var2z00_6352;
																																	obj_t
																																		BgL_varz00_6351;
																																	BgL_varz00_6351
																																		=
																																		BgL_arg2019z00_2248;
																																	BgL_var2z00_6352
																																		=
																																		BgL_carzd21977zd2_2244;
																																	BgL_var2z00_1924
																																		=
																																		BgL_var2z00_6352;
																																	BgL_varz00_1923
																																		=
																																		BgL_varz00_6351;
																																	goto
																																		BgL_tagzd2366zd2_1925;
																																}
																															}
																														else
																															{	/* Ast/unit.scm 214 */
																																obj_t
																																	BgL_cdrzd21999zd2_2249;
																																BgL_cdrzd21999zd2_2249
																																	=
																																	CDR
																																	(BgL_sexpz00_37);
																																{	/* Ast/unit.scm 214 */
																																	obj_t
																																		BgL_arg2020z00_2250;
																																	BgL_arg2020z00_2250
																																		=
																																		CAR(((obj_t)
																																			BgL_cdrzd21999zd2_2249));
																																	return
																																		BGl_makezd2svarzd2definitionz00zzast_unitz00
																																		(BgL_arg2020z00_2250,
																																		BgL_sexpz00_37);
																																}
																															}
																													}
																												else
																													{	/* Ast/unit.scm 214 */
																														obj_t
																															BgL_cdrzd22025zd2_2253;
																														BgL_cdrzd22025zd2_2253
																															=
																															CDR
																															(BgL_sexpz00_37);
																														{	/* Ast/unit.scm 214 */
																															obj_t
																																BgL_arg2024z00_2254;
																															BgL_arg2024z00_2254
																																=
																																CAR(((obj_t)
																																	BgL_cdrzd22025zd2_2253));
																															return
																																BGl_makezd2svarzd2definitionz00zzast_unitz00
																																(BgL_arg2024z00_2254,
																																BgL_sexpz00_37);
																														}
																													}
																											}
																										}
																								}
																							else
																								{	/* Ast/unit.scm 214 */
																									obj_t BgL_cdrzd22054zd2_2257;

																									BgL_cdrzd22054zd2_2257 =
																										CDR(
																										((obj_t)
																											BgL_cdrzd2661zd2_2005));
																									{	/* Ast/unit.scm 214 */
																										obj_t
																											BgL_carzd22060zd2_2258;
																										BgL_carzd22060zd2_2258 =
																											CAR(((obj_t)
																												BgL_cdrzd22054zd2_2257));
																										{	/* Ast/unit.scm 214 */
																											obj_t
																												BgL_carzd22065zd2_2259;
																											obj_t
																												BgL_cdrzd22066zd2_2260;
																											BgL_carzd22065zd2_2259 =
																												CAR(((obj_t)
																													BgL_carzd22060zd2_2258));
																											BgL_cdrzd22066zd2_2260 =
																												CDR(((obj_t)
																													BgL_carzd22060zd2_2258));
																											if (BGl_lambdazf3zf3zzast_unitz00(BgL_carzd22065zd2_2259))
																												{	/* Ast/unit.scm 214 */
																													if (PAIRP
																														(BgL_cdrzd22066zd2_2260))
																														{	/* Ast/unit.scm 214 */
																															if (NULLP(CDR(
																																		((obj_t)
																																			BgL_cdrzd22054zd2_2257))))
																																{	/* Ast/unit.scm 214 */
																																	obj_t
																																		BgL_arg2031z00_2265;
																																	obj_t
																																		BgL_arg2032z00_2266;
																																	obj_t
																																		BgL_arg2034z00_2267;
																																	BgL_arg2031z00_2265
																																		=
																																		CAR(((obj_t)
																																			BgL_cdrzd2661zd2_2005));
																																	BgL_arg2032z00_2266
																																		=
																																		CAR
																																		(BgL_cdrzd22066zd2_2260);
																																	BgL_arg2034z00_2267
																																		=
																																		CDR
																																		(BgL_cdrzd22066zd2_2260);
																																	{
																																		obj_t
																																			BgL_expz00_6384;
																																		obj_t
																																			BgL_argsz00_6383;
																																		obj_t
																																			BgL_lamz00_6382;
																																		obj_t
																																			BgL_varz00_6381;
																																		BgL_varz00_6381
																																			=
																																			BgL_arg2031z00_2265;
																																		BgL_lamz00_6382
																																			=
																																			BgL_carzd22065zd2_2259;
																																		BgL_argsz00_6383
																																			=
																																			BgL_arg2032z00_2266;
																																		BgL_expz00_6384
																																			=
																																			BgL_arg2034z00_2267;
																																		BgL_expz00_1918
																																			=
																																			BgL_expz00_6384;
																																		BgL_argsz00_1917
																																			=
																																			BgL_argsz00_6383;
																																		BgL_lamz00_1916
																																			=
																																			BgL_lamz00_6382;
																																		BgL_varz00_1915
																																			=
																																			BgL_varz00_6381;
																																		goto
																																			BgL_tagzd2364zd2_1919;
																																	}
																																}
																															else
																																{	/* Ast/unit.scm 214 */
																																	obj_t
																																		BgL_cdrzd22111zd2_2268;
																																	BgL_cdrzd22111zd2_2268
																																		=
																																		CDR
																																		(BgL_sexpz00_37);
																																	{	/* Ast/unit.scm 214 */
																																		obj_t
																																			BgL_arg2035z00_2269;
																																		BgL_arg2035z00_2269
																																			=
																																			CAR((
																																				(obj_t)
																																				BgL_cdrzd22111zd2_2268));
																																		return
																																			BGl_makezd2svarzd2definitionz00zzast_unitz00
																																			(BgL_arg2035z00_2269,
																																			BgL_sexpz00_37);
																																	}
																																}
																														}
																													else
																														{	/* Ast/unit.scm 214 */
																															obj_t
																																BgL_cdrzd22138zd2_2272;
																															BgL_cdrzd22138zd2_2272
																																=
																																CDR
																																(BgL_sexpz00_37);
																															{	/* Ast/unit.scm 214 */
																																obj_t
																																	BgL_cdrzd22143zd2_2273;
																																BgL_cdrzd22143zd2_2273
																																	=
																																	CDR(((obj_t)
																																		BgL_cdrzd22138zd2_2272));
																																{	/* Ast/unit.scm 214 */
																																	obj_t
																																		BgL_carzd22147zd2_2274;
																																	BgL_carzd22147zd2_2274
																																		=
																																		CAR(((obj_t)
																																			BgL_cdrzd22143zd2_2273));
																																	if (SYMBOLP
																																		(BgL_carzd22147zd2_2274))
																																		{	/* Ast/unit.scm 214 */
																																			if (NULLP
																																				(CDR(((obj_t) BgL_cdrzd22143zd2_2273))))
																																				{	/* Ast/unit.scm 214 */
																																					obj_t
																																						BgL_arg2041z00_2278;
																																					BgL_arg2041z00_2278
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd22138zd2_2272));
																																					{
																																						obj_t
																																							BgL_var2z00_6403;
																																						obj_t
																																							BgL_varz00_6402;
																																						BgL_varz00_6402
																																							=
																																							BgL_arg2041z00_2278;
																																						BgL_var2z00_6403
																																							=
																																							BgL_carzd22147zd2_2274;
																																						BgL_var2z00_1924
																																							=
																																							BgL_var2z00_6403;
																																						BgL_varz00_1923
																																							=
																																							BgL_varz00_6402;
																																						goto
																																							BgL_tagzd2366zd2_1925;
																																					}
																																				}
																																			else
																																				{	/* Ast/unit.scm 214 */
																																					obj_t
																																						BgL_arg2042z00_2280;
																																					BgL_arg2042z00_2280
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd22138zd2_2272));
																																					return
																																						BGl_makezd2svarzd2definitionz00zzast_unitz00
																																						(BgL_arg2042z00_2280,
																																						BgL_sexpz00_37);
																																				}
																																		}
																																	else
																																		{	/* Ast/unit.scm 214 */
																																			obj_t
																																				BgL_arg2045z00_2284;
																																			BgL_arg2045z00_2284
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_cdrzd22138zd2_2272));
																																			return
																																				BGl_makezd2svarzd2definitionz00zzast_unitz00
																																				(BgL_arg2045z00_2284,
																																				BgL_sexpz00_37);
																																		}
																																}
																															}
																														}
																												}
																											else
																												{	/* Ast/unit.scm 214 */
																													obj_t
																														BgL_cdrzd22214zd2_2286;
																													BgL_cdrzd22214zd2_2286
																														=
																														CDR(BgL_sexpz00_37);
																													{	/* Ast/unit.scm 214 */
																														obj_t
																															BgL_cdrzd22219zd2_2287;
																														BgL_cdrzd22219zd2_2287
																															=
																															CDR(((obj_t)
																																BgL_cdrzd22214zd2_2286));
																														{	/* Ast/unit.scm 214 */
																															obj_t
																																BgL_carzd22223zd2_2288;
																															BgL_carzd22223zd2_2288
																																=
																																CAR(((obj_t)
																																	BgL_cdrzd22219zd2_2287));
																															{	/* Ast/unit.scm 214 */
																																obj_t
																																	BgL_cdrzd22227zd2_2289;
																																BgL_cdrzd22227zd2_2289
																																	=
																																	CDR(((obj_t)
																																		BgL_carzd22223zd2_2288));
																																if ((CAR((
																																				(obj_t)
																																				BgL_carzd22223zd2_2288))
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				2))))
																																	{	/* Ast/unit.scm 214 */
																																		if (PAIRP
																																			(BgL_cdrzd22227zd2_2289))
																																			{	/* Ast/unit.scm 214 */
																																				if (NULLP(CDR(BgL_cdrzd22227zd2_2289)))
																																					{	/* Ast/unit.scm 214 */
																																						if (NULLP(CDR(((obj_t) BgL_cdrzd22219zd2_2287))))
																																							{	/* Ast/unit.scm 214 */
																																								obj_t
																																									BgL_arg2055z00_2298;
																																								BgL_arg2055z00_2298
																																									=
																																									CAR
																																									(BgL_cdrzd22227zd2_2289);
																																								{	/* Ast/unit.scm 283 */
																																									obj_t
																																										BgL_arg2286z00_4590;
																																									{	/* Ast/unit.scm 283 */
																																										obj_t
																																											BgL_pairz00_4594;
																																										BgL_pairz00_4594
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_sexpz00_37));
																																										BgL_arg2286z00_4590
																																											=
																																											CDR
																																											(BgL_pairz00_4594);
																																									}
																																									{	/* Ast/unit.scm 283 */
																																										obj_t
																																											BgL_tmpz00_6435;
																																										BgL_tmpz00_6435
																																											=
																																											(
																																											(obj_t)
																																											BgL_arg2286z00_4590);
																																										SET_CAR
																																											(BgL_tmpz00_6435,
																																											BgL_arg2055z00_2298);
																																									}
																																								}
																																								{

																																									goto
																																										BGl_toplevelzd2ze3astz31zzast_unitz00;
																																								}
																																							}
																																						else
																																							{	/* Ast/unit.scm 214 */
																																								obj_t
																																									BgL_arg2056z00_2300;
																																								BgL_arg2056z00_2300
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_cdrzd22214zd2_2286));
																																								return
																																									BGl_makezd2svarzd2definitionz00zzast_unitz00
																																									(BgL_arg2056z00_2300,
																																									BgL_sexpz00_37);
																																							}
																																					}
																																				else
																																					{	/* Ast/unit.scm 214 */
																																						obj_t
																																							BgL_cdrzd22280zd2_2304;
																																						BgL_cdrzd22280zd2_2304
																																							=
																																							CDR
																																							(((obj_t) BgL_cdrzd22214zd2_2286));
																																						{	/* Ast/unit.scm 214 */
																																							obj_t
																																								BgL_carzd22284zd2_2305;
																																							BgL_carzd22284zd2_2305
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd22280zd2_2304));
																																							if (SYMBOLP(BgL_carzd22284zd2_2305))
																																								{	/* Ast/unit.scm 214 */
																																									if (NULLP(CDR(((obj_t) BgL_cdrzd22280zd2_2304))))
																																										{	/* Ast/unit.scm 214 */
																																											obj_t
																																												BgL_arg2063z00_2309;
																																											BgL_arg2063z00_2309
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd22214zd2_2286));
																																											{
																																												obj_t
																																													BgL_var2z00_6454;
																																												obj_t
																																													BgL_varz00_6453;
																																												BgL_varz00_6453
																																													=
																																													BgL_arg2063z00_2309;
																																												BgL_var2z00_6454
																																													=
																																													BgL_carzd22284zd2_2305;
																																												BgL_var2z00_1924
																																													=
																																													BgL_var2z00_6454;
																																												BgL_varz00_1923
																																													=
																																													BgL_varz00_6453;
																																												goto
																																													BgL_tagzd2366zd2_1925;
																																											}
																																										}
																																									else
																																										{	/* Ast/unit.scm 214 */
																																											obj_t
																																												BgL_cdrzd22306zd2_2310;
																																											BgL_cdrzd22306zd2_2310
																																												=
																																												CDR
																																												(BgL_sexpz00_37);
																																											{	/* Ast/unit.scm 214 */
																																												obj_t
																																													BgL_arg2064z00_2311;
																																												BgL_arg2064z00_2311
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd22306zd2_2310));
																																												return
																																													BGl_makezd2svarzd2definitionz00zzast_unitz00
																																													(BgL_arg2064z00_2311,
																																													BgL_sexpz00_37);
																																											}
																																										}
																																								}
																																							else
																																								{	/* Ast/unit.scm 214 */
																																									obj_t
																																										BgL_cdrzd22332zd2_2314;
																																									BgL_cdrzd22332zd2_2314
																																										=
																																										CDR
																																										(BgL_sexpz00_37);
																																									{	/* Ast/unit.scm 214 */
																																										obj_t
																																											BgL_arg2068z00_2315;
																																										BgL_arg2068z00_2315
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_cdrzd22332zd2_2314));
																																										return
																																											BGl_makezd2svarzd2definitionz00zzast_unitz00
																																											(BgL_arg2068z00_2315,
																																											BgL_sexpz00_37);
																																									}
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Ast/unit.scm 214 */
																																				obj_t
																																					BgL_cdrzd22355zd2_2319;
																																				BgL_cdrzd22355zd2_2319
																																					=
																																					CDR((
																																						(obj_t)
																																						BgL_cdrzd22214zd2_2286));
																																				{	/* Ast/unit.scm 214 */
																																					obj_t
																																						BgL_carzd22359zd2_2320;
																																					BgL_carzd22359zd2_2320
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd22355zd2_2319));
																																					if (SYMBOLP(BgL_carzd22359zd2_2320))
																																						{	/* Ast/unit.scm 214 */
																																							if (NULLP(CDR(((obj_t) BgL_cdrzd22355zd2_2319))))
																																								{	/* Ast/unit.scm 214 */
																																									obj_t
																																										BgL_arg2075z00_2324;
																																									BgL_arg2075z00_2324
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd22214zd2_2286));
																																									{
																																										obj_t
																																											BgL_var2z00_6476;
																																										obj_t
																																											BgL_varz00_6475;
																																										BgL_varz00_6475
																																											=
																																											BgL_arg2075z00_2324;
																																										BgL_var2z00_6476
																																											=
																																											BgL_carzd22359zd2_2320;
																																										BgL_var2z00_1924
																																											=
																																											BgL_var2z00_6476;
																																										BgL_varz00_1923
																																											=
																																											BgL_varz00_6475;
																																										goto
																																											BgL_tagzd2366zd2_1925;
																																									}
																																								}
																																							else
																																								{	/* Ast/unit.scm 214 */
																																									obj_t
																																										BgL_cdrzd22381zd2_2325;
																																									BgL_cdrzd22381zd2_2325
																																										=
																																										CDR
																																										(BgL_sexpz00_37);
																																									{	/* Ast/unit.scm 214 */
																																										obj_t
																																											BgL_arg2076z00_2326;
																																										BgL_arg2076z00_2326
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_cdrzd22381zd2_2325));
																																										return
																																											BGl_makezd2svarzd2definitionz00zzast_unitz00
																																											(BgL_arg2076z00_2326,
																																											BgL_sexpz00_37);
																																									}
																																								}
																																						}
																																					else
																																						{	/* Ast/unit.scm 214 */
																																							obj_t
																																								BgL_cdrzd22407zd2_2329;
																																							BgL_cdrzd22407zd2_2329
																																								=
																																								CDR
																																								(BgL_sexpz00_37);
																																							{	/* Ast/unit.scm 214 */
																																								obj_t
																																									BgL_arg2081z00_2330;
																																								BgL_arg2081z00_2330
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_cdrzd22407zd2_2329));
																																								return
																																									BGl_makezd2svarzd2definitionz00zzast_unitz00
																																									(BgL_arg2081z00_2330,
																																									BgL_sexpz00_37);
																																							}
																																						}
																																				}
																																			}
																																	}
																																else
																																	{	/* Ast/unit.scm 214 */
																																		obj_t
																																			BgL_cdrzd22430zd2_2333;
																																		BgL_cdrzd22430zd2_2333
																																			=
																																			CDR((
																																				(obj_t)
																																				BgL_cdrzd22214zd2_2286));
																																		{	/* Ast/unit.scm 214 */
																																			obj_t
																																				BgL_carzd22434zd2_2334;
																																			BgL_carzd22434zd2_2334
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_cdrzd22430zd2_2333));
																																			if (SYMBOLP(BgL_carzd22434zd2_2334))
																																				{	/* Ast/unit.scm 214 */
																																					if (NULLP(CDR(((obj_t) BgL_cdrzd22430zd2_2333))))
																																						{	/* Ast/unit.scm 214 */
																																							obj_t
																																								BgL_arg2086z00_2338;
																																							BgL_arg2086z00_2338
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd22214zd2_2286));
																																							{
																																								obj_t
																																									BgL_var2z00_6498;
																																								obj_t
																																									BgL_varz00_6497;
																																								BgL_varz00_6497
																																									=
																																									BgL_arg2086z00_2338;
																																								BgL_var2z00_6498
																																									=
																																									BgL_carzd22434zd2_2334;
																																								BgL_var2z00_1924
																																									=
																																									BgL_var2z00_6498;
																																								BgL_varz00_1923
																																									=
																																									BgL_varz00_6497;
																																								goto
																																									BgL_tagzd2366zd2_1925;
																																							}
																																						}
																																					else
																																						{	/* Ast/unit.scm 214 */
																																							obj_t
																																								BgL_cdrzd22456zd2_2339;
																																							BgL_cdrzd22456zd2_2339
																																								=
																																								CDR
																																								(BgL_sexpz00_37);
																																							{	/* Ast/unit.scm 214 */
																																								obj_t
																																									BgL_arg2087z00_2340;
																																								BgL_arg2087z00_2340
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_cdrzd22456zd2_2339));
																																								return
																																									BGl_makezd2svarzd2definitionz00zzast_unitz00
																																									(BgL_arg2087z00_2340,
																																									BgL_sexpz00_37);
																																							}
																																						}
																																				}
																																			else
																																				{	/* Ast/unit.scm 214 */
																																					obj_t
																																						BgL_cdrzd22475zd2_2343;
																																					BgL_cdrzd22475zd2_2343
																																						=
																																						CDR
																																						(BgL_sexpz00_37);
																																					{	/* Ast/unit.scm 214 */
																																						obj_t
																																							BgL_cdrzd22481zd2_2344;
																																						BgL_cdrzd22481zd2_2344
																																							=
																																							CDR
																																							(((obj_t) BgL_cdrzd22475zd2_2343));
																																						{	/* Ast/unit.scm 214 */
																																							obj_t
																																								BgL_carzd22486zd2_2345;
																																							BgL_carzd22486zd2_2345
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd22481zd2_2344));
																																							{	/* Ast/unit.scm 214 */
																																								obj_t
																																									BgL_cdrzd22491zd2_2346;
																																								BgL_cdrzd22491zd2_2346
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_carzd22486zd2_2345));
																																								if ((CAR(((obj_t) BgL_carzd22486zd2_2345)) == CNST_TABLE_REF(((long) 0))))
																																									{	/* Ast/unit.scm 214 */
																																										if (PAIRP(BgL_cdrzd22491zd2_2346))
																																											{	/* Ast/unit.scm 214 */
																																												obj_t
																																													BgL_carzd22494zd2_2350;
																																												obj_t
																																													BgL_cdrzd22495zd2_2351;
																																												BgL_carzd22494zd2_2350
																																													=
																																													CAR
																																													(BgL_cdrzd22491zd2_2346);
																																												BgL_cdrzd22495zd2_2351
																																													=
																																													CDR
																																													(BgL_cdrzd22491zd2_2346);
																																												if (SYMBOLP(BgL_carzd22494zd2_2350))
																																													{	/* Ast/unit.scm 214 */
																																														if (PAIRP(BgL_cdrzd22495zd2_2351))
																																															{	/* Ast/unit.scm 214 */
																																																obj_t
																																																	BgL_carzd22500zd2_2354;
																																																BgL_carzd22500zd2_2354
																																																	=
																																																	CAR
																																																	(BgL_cdrzd22495zd2_2351);
																																																if (SYMBOLP(BgL_carzd22500zd2_2354))
																																																	{	/* Ast/unit.scm 214 */
																																																		if (NULLP(CDR(BgL_cdrzd22495zd2_2351)))
																																																			{	/* Ast/unit.scm 214 */
																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd22481zd2_2344))))
																																																					{	/* Ast/unit.scm 214 */
																																																						obj_t
																																																							BgL_arg2102z00_2360;
																																																						BgL_arg2102z00_2360
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd22475zd2_2343));
																																																						BgL_varz00_1926
																																																							=
																																																							BgL_arg2102z00_2360;
																																																						BgL_var2z00_1927
																																																							=
																																																							BgL_carzd22494zd2_2350;
																																																						BgL_modulez00_1928
																																																							=
																																																							BgL_carzd22500zd2_2354;
																																																						{	/* Ast/unit.scm 310 */
																																																							obj_t
																																																								BgL_defz00_2634;
																																																							BgL_defz00_2634
																																																								=
																																																								BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																																																								(BGl_idzd2ofzd2idz00zzast_identz00
																																																								(BgL_varz00_1926,
																																																									BGl_findzd2locationzd2zztools_locationz00
																																																									(BgL_sexpz00_37)),
																																																								BgL_gdefsz00_38);
																																																							{	/* Ast/unit.scm 311 */
																																																								bool_t
																																																									BgL_test3657z00_6538;
																																																								{	/* Ast/unit.scm 311 */
																																																									obj_t
																																																										BgL_tmpz00_6539;
																																																									{	/* Ast/unit.scm 311 */
																																																										obj_t
																																																											BgL_pairz00_4242;
																																																										BgL_pairz00_4242
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_defz00_2634));
																																																										BgL_tmpz00_6539
																																																											=
																																																											CAR
																																																											(BgL_pairz00_4242);
																																																									}
																																																									BgL_test3657z00_6538
																																																										=
																																																										(BgL_tmpz00_6539
																																																										==
																																																										CNST_TABLE_REF
																																																										(((long) 12)));
																																																								}
																																																								if (BgL_test3657z00_6538)
																																																									{	/* Ast/unit.scm 312 */
																																																										obj_t
																																																											BgL_gz00_2638;
																																																										BgL_gz00_2638
																																																											=
																																																											BGl_findzd2globalzf2modulez20zzast_envz00
																																																											(BgL_var2z00_1927,
																																																											BgL_modulez00_1928);
																																																										{	/* Ast/unit.scm 312 */
																																																											obj_t
																																																												BgL_arityz00_2639;
																																																											{	/* Ast/unit.scm 313 */
																																																												bool_t
																																																													BgL_test3658z00_6546;
																																																												{	/* Ast/unit.scm 313 */
																																																													obj_t
																																																														BgL_classz00_4243;
																																																													BgL_classz00_4243
																																																														=
																																																														BGl_globalz00zzast_varz00;
																																																													if (BGL_OBJECTP(BgL_gz00_2638))
																																																														{	/* Ast/unit.scm 313 */
																																																															BgL_objectz00_bglt
																																																																BgL_arg1825z00_4245;
																																																															BgL_arg1825z00_4245
																																																																=
																																																																(BgL_objectz00_bglt)
																																																																(BgL_gz00_2638);
																																																															{	/* Ast/unit.scm 313 */
																																																																bool_t
																																																																	BgL_arg1822z00_4248;
																																																																bool_t
																																																																	BgL_arg1823z00_4249;
																																																																{	/* Ast/unit.scm 313 */
																																																																	long
																																																																		BgL_idxz00_4252;
																																																																	BgL_idxz00_4252
																																																																		=
																																																																		BGL_OBJECT_INHERITANCE_NUM
																																																																		(BgL_arg1825z00_4245);
																																																																	BgL_arg1822z00_4248
																																																																		=
																																																																		(VECTOR_REF
																																																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																																																			(BgL_idxz00_4252
																																																																				+
																																																																				((long) 2))) == BgL_classz00_4243);
																																																																}
																																																																{	/* Ast/unit.scm 313 */
																																																																	bool_t
																																																																		BgL_res3438z00_4274;
																																																																	{	/* Ast/unit.scm 313 */
																																																																		obj_t
																																																																			BgL_oclassz00_4260;
																																																																		{	/* Ast/unit.scm 313 */
																																																																			long
																																																																				BgL_arg1833z00_4266;
																																																																			{	/* Ast/unit.scm 313 */
																																																																				long
																																																																					BgL_arg1834z00_4267;
																																																																				BgL_arg1834z00_4267
																																																																					=
																																																																					BGL_OBJECT_CLASS_NUM
																																																																					(BgL_arg1825z00_4245);
																																																																				BgL_arg1833z00_4266
																																																																					=
																																																																					(BgL_arg1834z00_4267
																																																																					-
																																																																					OBJECT_TYPE);
																																																																			}
																																																																			BgL_oclassz00_4260
																																																																				=
																																																																				VECTOR_REF
																																																																				(BGl_za2classesza2z00zz__objectz00,
																																																																				BgL_arg1833z00_4266);
																																																																		}
																																																																		{	/* Ast/unit.scm 313 */
																																																																			bool_t
																																																																				BgL__ortest_1110z00_4261;
																																																																			BgL__ortest_1110z00_4261
																																																																				=
																																																																				(BgL_classz00_4243
																																																																				==
																																																																				BgL_oclassz00_4260);
																																																																			if (BgL__ortest_1110z00_4261)
																																																																				{	/* Ast/unit.scm 313 */
																																																																					BgL_res3438z00_4274
																																																																						=
																																																																						BgL__ortest_1110z00_4261;
																																																																				}
																																																																			else
																																																																				{	/* Ast/unit.scm 313 */
																																																																					long
																																																																						BgL_odepthz00_4262;
																																																																					BgL_odepthz00_4262
																																																																						=
																																																																						BGL_CLASS_DEPTH
																																																																						(BgL_oclassz00_4260);
																																																																					if ((((long) 2) < BgL_odepthz00_4262))
																																																																						{	/* Ast/unit.scm 313 */
																																																																							obj_t
																																																																								BgL_arg1821z00_4264;
																																																																							BgL_arg1821z00_4264
																																																																								=
																																																																								BGL_CLASS_ANCESTORS_REF
																																																																								(BgL_oclassz00_4260,
																																																																								((long) 2));
																																																																							BgL_res3438z00_4274
																																																																								=
																																																																								(BgL_arg1821z00_4264
																																																																								==
																																																																								BgL_classz00_4243);
																																																																						}
																																																																					else
																																																																						{	/* Ast/unit.scm 313 */
																																																																							BgL_res3438z00_4274
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																	BgL_arg1823z00_4249
																																																																		=
																																																																		BgL_res3438z00_4274;
																																																																}
																																																																BgL_test3658z00_6546
																																																																	=
																																																																	BGL_ISA_C_BACKEND
																																																																	(BgL_arg1822z00_4248,
																																																																	BgL_arg1823z00_4249);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/unit.scm 313 */
																																																															BgL_test3658z00_6546
																																																																=
																																																																(
																																																																(bool_t)
																																																																0);
																																																														}
																																																												}
																																																												if (BgL_test3658z00_6546)
																																																													{	/* Ast/unit.scm 314 */
																																																														bool_t
																																																															BgL_test3662z00_6565;
																																																														{	/* Ast/unit.scm 314 */
																																																															BgL_valuez00_bglt
																																																																BgL_arg2307z00_2646;
																																																															BgL_arg2307z00_2646
																																																																=
																																																																(
																																																																((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_gz00_2638))))->BgL_valuez00);
																																																															{	/* Ast/unit.scm 314 */
																																																																obj_t
																																																																	BgL_classz00_4276;
																																																																BgL_classz00_4276
																																																																	=
																																																																	BGl_funz00zzast_varz00;
																																																																{	/* Ast/unit.scm 314 */
																																																																	BgL_objectz00_bglt
																																																																		BgL_arg1825z00_4278;
																																																																	{	/* Ast/unit.scm 314 */
																																																																		obj_t
																																																																			BgL_tmpz00_6569;
																																																																		BgL_tmpz00_6569
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			((BgL_objectz00_bglt) BgL_arg2307z00_2646));
																																																																		BgL_arg1825z00_4278
																																																																			=
																																																																			(BgL_objectz00_bglt)
																																																																			(BgL_tmpz00_6569);
																																																																	}
																																																																	{	/* Ast/unit.scm 314 */
																																																																		bool_t
																																																																			BgL_arg1822z00_4281;
																																																																		bool_t
																																																																			BgL_arg1823z00_4282;
																																																																		{	/* Ast/unit.scm 314 */
																																																																			long
																																																																				BgL_idxz00_4285;
																																																																			BgL_idxz00_4285
																																																																				=
																																																																				BGL_OBJECT_INHERITANCE_NUM
																																																																				(BgL_arg1825z00_4278);
																																																																			BgL_arg1822z00_4281
																																																																				=
																																																																				(VECTOR_REF
																																																																				(BGl_za2inheritancesza2z00zz__objectz00,
																																																																					(BgL_idxz00_4285
																																																																						+
																																																																						((long) 2))) == BgL_classz00_4276);
																																																																		}
																																																																		{	/* Ast/unit.scm 314 */
																																																																			bool_t
																																																																				BgL_res3439z00_4307;
																																																																			{	/* Ast/unit.scm 314 */
																																																																				obj_t
																																																																					BgL_oclassz00_4293;
																																																																				{	/* Ast/unit.scm 314 */
																																																																					long
																																																																						BgL_arg1833z00_4299;
																																																																					{	/* Ast/unit.scm 314 */
																																																																						long
																																																																							BgL_arg1834z00_4300;
																																																																						BgL_arg1834z00_4300
																																																																							=
																																																																							BGL_OBJECT_CLASS_NUM
																																																																							(BgL_arg1825z00_4278);
																																																																						BgL_arg1833z00_4299
																																																																							=
																																																																							(BgL_arg1834z00_4300
																																																																							-
																																																																							OBJECT_TYPE);
																																																																					}
																																																																					BgL_oclassz00_4293
																																																																						=
																																																																						VECTOR_REF
																																																																						(BGl_za2classesza2z00zz__objectz00,
																																																																						BgL_arg1833z00_4299);
																																																																				}
																																																																				{	/* Ast/unit.scm 314 */
																																																																					bool_t
																																																																						BgL__ortest_1110z00_4294;
																																																																					BgL__ortest_1110z00_4294
																																																																						=
																																																																						(BgL_classz00_4276
																																																																						==
																																																																						BgL_oclassz00_4293);
																																																																					if (BgL__ortest_1110z00_4294)
																																																																						{	/* Ast/unit.scm 314 */
																																																																							BgL_res3439z00_4307
																																																																								=
																																																																								BgL__ortest_1110z00_4294;
																																																																						}
																																																																					else
																																																																						{	/* Ast/unit.scm 314 */
																																																																							long
																																																																								BgL_odepthz00_4295;
																																																																							BgL_odepthz00_4295
																																																																								=
																																																																								BGL_CLASS_DEPTH
																																																																								(BgL_oclassz00_4293);
																																																																							if ((((long) 2) < BgL_odepthz00_4295))
																																																																								{	/* Ast/unit.scm 314 */
																																																																									obj_t
																																																																										BgL_arg1821z00_4297;
																																																																									BgL_arg1821z00_4297
																																																																										=
																																																																										BGL_CLASS_ANCESTORS_REF
																																																																										(BgL_oclassz00_4293,
																																																																										((long) 2));
																																																																									BgL_res3439z00_4307
																																																																										=
																																																																										(BgL_arg1821z00_4297
																																																																										==
																																																																										BgL_classz00_4276);
																																																																								}
																																																																							else
																																																																								{	/* Ast/unit.scm 314 */
																																																																									BgL_res3439z00_4307
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																			BgL_arg1823z00_4282
																																																																				=
																																																																				BgL_res3439z00_4307;
																																																																		}
																																																																		BgL_test3662z00_6565
																																																																			=
																																																																			BGL_ISA_C_BACKEND
																																																																			(BgL_arg1822z00_4281,
																																																																			BgL_arg1823z00_4282);
																																																																	}
																																																																}
																																																															}
																																																														}
																																																														if (BgL_test3662z00_6565)
																																																															{	/* Ast/unit.scm 314 */
																																																																BgL_arityz00_2639
																																																																	=
																																																																	BINT
																																																																	(BGl_globalzd2arityzd2zztools_argsz00
																																																																	(BgL_gz00_2638));
																																																															}
																																																														else
																																																															{	/* Ast/unit.scm 314 */
																																																																BgL_arityz00_2639
																																																																	=
																																																																	BFALSE;
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/unit.scm 313 */
																																																														BgL_arityz00_2639
																																																															=
																																																															BFALSE;
																																																													}
																																																											}
																																																											{	/* Ast/unit.scm 313 */

																																																												if (INTEGERP(BgL_arityz00_2639))
																																																													{	/* Ast/unit.scm 316 */
																																																														if (BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_2638))
																																																															{	/* Ast/unit.scm 318 */
																																																																BGl_userzd2warningzd2zztools_errorz00
																																																																	(BgL_varz00_1926,
																																																																	BGl_string3474z00zzast_unitz00,
																																																																	BgL_sexpz00_37);
																																																																return
																																																																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																																	(BgL_varz00_1926,
																																																																	BgL_sexpz00_37);
																																																															}
																																																														else
																																																															{	/* Ast/unit.scm 318 */
																																																																if (BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_2638))
																																																																	{	/* Ast/unit.scm 323 */
																																																																		BGl_userzd2warningzd2zztools_errorz00
																																																																			(BgL_varz00_1926,
																																																																			BGl_string3475z00zzast_unitz00,
																																																																			BgL_sexpz00_37);
																																																																		return
																																																																			BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																																			(BgL_varz00_1926,
																																																																			BgL_sexpz00_37);
																																																																	}
																																																																else
																																																																	{
																																																																		obj_t
																																																																			BgL_sexpz00_6600;
																																																																		BgL_sexpz00_6600
																																																																			=
																																																																			BGl_etazd2expansezd2zzast_unitz00
																																																																			(BgL_sexpz00_37,
																																																																			BgL_arityz00_2639);
																																																																		BgL_sexpz00_37
																																																																			=
																																																																			BgL_sexpz00_6600;
																																																																		goto
																																																																			BGl_toplevelzd2ze3astz31zzast_unitz00;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/unit.scm 316 */
																																																														return
																																																															BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																															(BgL_varz00_1926,
																																																															BgL_sexpz00_37);
																																																													}
																																																											}
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/unit.scm 311 */
																																																										return
																																																											BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																											(BgL_varz00_1926,
																																																											BgL_sexpz00_37);
																																																									}
																																																							}
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/unit.scm 214 */
																																																						obj_t
																																																							BgL_arg2103z00_2362;
																																																						BgL_arg2103z00_2362
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd22475zd2_2343));
																																																						return
																																																							BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																							(BgL_arg2103z00_2362,
																																																							BgL_sexpz00_37);
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/unit.scm 214 */
																																																				obj_t
																																																					BgL_arg2106z00_2366;
																																																				BgL_arg2106z00_2366
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd22475zd2_2343));
																																																				return
																																																					BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																					(BgL_arg2106z00_2366,
																																																					BgL_sexpz00_37);
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/unit.scm 214 */
																																																		obj_t
																																																			BgL_arg2109z00_2370;
																																																		BgL_arg2109z00_2370
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd22475zd2_2343));
																																																		return
																																																			BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																			(BgL_arg2109z00_2370,
																																																			BgL_sexpz00_37);
																																																	}
																																															}
																																														else
																																															{	/* Ast/unit.scm 214 */
																																																obj_t
																																																	BgL_arg2112z00_2373;
																																																BgL_arg2112z00_2373
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd22475zd2_2343));
																																																return
																																																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																	(BgL_arg2112z00_2373,
																																																	BgL_sexpz00_37);
																																															}
																																													}
																																												else
																																													{	/* Ast/unit.scm 214 */
																																														obj_t
																																															BgL_arg2114z00_2376;
																																														BgL_arg2114z00_2376
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd22475zd2_2343));
																																														return
																																															BGl_makezd2svarzd2definitionz00zzast_unitz00
																																															(BgL_arg2114z00_2376,
																																															BgL_sexpz00_37);
																																													}
																																											}
																																										else
																																											{	/* Ast/unit.scm 214 */
																																												obj_t
																																													BgL_arg2116z00_2379;
																																												BgL_arg2116z00_2379
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd22475zd2_2343));
																																												return
																																													BGl_makezd2svarzd2definitionz00zzast_unitz00
																																													(BgL_arg2116z00_2379,
																																													BgL_sexpz00_37);
																																											}
																																									}
																																								else
																																									{	/* Ast/unit.scm 214 */
																																										obj_t
																																											BgL_arg2118z00_2382;
																																										BgL_arg2118z00_2382
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_cdrzd22475zd2_2343));
																																										return
																																											BGl_makezd2svarzd2definitionz00zzast_unitz00
																																											(BgL_arg2118z00_2382,
																																											BgL_sexpz00_37);
																																									}
																																							}
																																						}
																																					}
																																				}
																																		}
																																	}
																															}
																														}
																													}
																												}
																										}
																									}
																								}
																						}
																					}
																				}
																			}
																	}
																else
																	{	/* Ast/unit.scm 214 */
																		obj_t BgL_cdrzd22667zd2_2388;

																		BgL_cdrzd22667zd2_2388 =
																			CDR(BgL_sexpz00_37);
																		{	/* Ast/unit.scm 214 */
																			obj_t BgL_cdrzd22672zd2_2389;

																			BgL_cdrzd22672zd2_2389 =
																				CDR(((obj_t) BgL_cdrzd22667zd2_2388));
																			{	/* Ast/unit.scm 214 */
																				obj_t BgL_carzd22676zd2_2390;

																				BgL_carzd22676zd2_2390 =
																					CAR(((obj_t) BgL_cdrzd22672zd2_2389));
																				if (SYMBOLP(BgL_carzd22676zd2_2390))
																					{	/* Ast/unit.scm 214 */
																						if (NULLP(CDR(
																									((obj_t)
																										BgL_cdrzd22672zd2_2389))))
																							{	/* Ast/unit.scm 214 */
																								obj_t BgL_arg2127z00_2394;

																								BgL_arg2127z00_2394 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd22667zd2_2388));
																								{
																									obj_t BgL_var2z00_6639;
																									obj_t BgL_varz00_6638;

																									BgL_varz00_6638 =
																										BgL_arg2127z00_2394;
																									BgL_var2z00_6639 =
																										BgL_carzd22676zd2_2390;
																									BgL_var2z00_1924 =
																										BgL_var2z00_6639;
																									BgL_varz00_1923 =
																										BgL_varz00_6638;
																									goto BgL_tagzd2366zd2_1925;
																								}
																							}
																						else
																							{	/* Ast/unit.scm 214 */
																								obj_t BgL_arg2128z00_2396;

																								BgL_arg2128z00_2396 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd22667zd2_2388));
																								return
																									BGl_makezd2svarzd2definitionz00zzast_unitz00
																									(BgL_arg2128z00_2396,
																									BgL_sexpz00_37);
																							}
																					}
																				else
																					{	/* Ast/unit.scm 214 */
																						obj_t BgL_arg2131z00_2400;

																						BgL_arg2131z00_2400 =
																							CAR(
																							((obj_t) BgL_cdrzd22667zd2_2388));
																						return
																							BGl_makezd2svarzd2definitionz00zzast_unitz00
																							(BgL_arg2131z00_2400,
																							BgL_sexpz00_37);
																					}
																			}
																		}
																	}
															}
														else
															{	/* Ast/unit.scm 214 */
																obj_t BgL_cdrzd22792zd2_2402;

																BgL_cdrzd22792zd2_2402 = CDR(BgL_sexpz00_37);
																{	/* Ast/unit.scm 214 */
																	obj_t BgL_arg2133z00_2403;

																	BgL_arg2133z00_2403 =
																		CAR(((obj_t) BgL_cdrzd22792zd2_2402));
																	return
																		BGl_makezd2svarzd2definitionz00zzast_unitz00
																		(BgL_arg2133z00_2403, BgL_sexpz00_37);
																}
															}
													}
											}
										else
											{	/* Ast/unit.scm 214 */
											BgL_tagzd2374zd2_1955:
												{	/* Ast/unit.scm 356 */
													obj_t BgL_list2326z00_2663;

													BgL_list2326z00_2663 =
														MAKE_YOUNG_PAIR(BgL_sexpz00_37, BNIL);
													return BgL_list2326z00_2663;
												}
											}
									}
								else
									{	/* Ast/unit.scm 214 */
										if ((CAR(BgL_sexpz00_37) == CNST_TABLE_REF(((long) 16))))
											{	/* Ast/unit.scm 214 */
												if (PAIRP(BgL_cdrzd2422zd2_1964))
													{	/* Ast/unit.scm 214 */
														obj_t BgL_carzd22976zd2_2409;

														BgL_carzd22976zd2_2409 = CAR(BgL_cdrzd2422zd2_1964);
														if (PAIRP(BgL_carzd22976zd2_2409))
															{	/* Ast/unit.scm 214 */
																obj_t BgL_carzd22981zd2_2411;

																BgL_carzd22981zd2_2411 =
																	CAR(BgL_carzd22976zd2_2409);
																if (PAIRP(BgL_carzd22981zd2_2411))
																	{	/* Ast/unit.scm 214 */
																		obj_t BgL_cdrzd22986zd2_2413;

																		BgL_cdrzd22986zd2_2413 =
																			CDR(BgL_carzd22981zd2_2411);
																		if (
																			(CAR(BgL_carzd22981zd2_2411) ==
																				CNST_TABLE_REF(((long) 0))))
																			{	/* Ast/unit.scm 214 */
																				if (PAIRP(BgL_cdrzd22986zd2_2413))
																					{	/* Ast/unit.scm 214 */
																						obj_t BgL_cdrzd22990zd2_2417;

																						BgL_cdrzd22990zd2_2417 =
																							CDR(BgL_cdrzd22986zd2_2413);
																						if (PAIRP(BgL_cdrzd22990zd2_2417))
																							{	/* Ast/unit.scm 214 */
																								if (NULLP(CDR
																										(BgL_cdrzd22990zd2_2417)))
																									{	/* Ast/unit.scm 214 */
																										obj_t BgL_arg2148z00_2421;
																										obj_t BgL_arg2149z00_2422;
																										obj_t BgL_arg2150z00_2423;
																										obj_t BgL_arg2151z00_2424;

																										BgL_arg2148z00_2421 =
																											CAR
																											(BgL_cdrzd22986zd2_2413);
																										BgL_arg2149z00_2422 =
																											CAR
																											(BgL_cdrzd22990zd2_2417);
																										BgL_arg2150z00_2423 =
																											CDR
																											(BgL_carzd22976zd2_2409);
																										BgL_arg2151z00_2424 =
																											CDR
																											(BgL_cdrzd2422zd2_1964);
																										{	/* Ast/unit.scm 338 */
																											obj_t BgL_arg2312z00_4687;

																											{	/* Ast/unit.scm 338 */
																												obj_t
																													BgL_arg2314z00_4688;
																												{	/* Ast/unit.scm 338 */
																													obj_t
																														BgL_arg2315z00_4689;
																													{	/* Ast/unit.scm 338 */
																														obj_t
																															BgL_pairz00_4693;
																														BgL_pairz00_4693 =
																															CDR(((obj_t)
																																BgL_sexpz00_37));
																														BgL_arg2315z00_4689
																															=
																															CDR
																															(BgL_pairz00_4693);
																													}
																													BgL_arg2314z00_4688 =
																														BGl_findzd2locationzd2zztools_locationz00
																														(BgL_arg2315z00_4689);
																												}
																												BgL_arg2312z00_4687 =
																													BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																													(BgL_arg2151z00_2424,
																													BgL_sexpz00_37,
																													BgL_arg2314z00_4688);
																											}
																											return
																												BGl_makezd2sfunzd2definitionz00zzast_unitz00
																												(BgL_arg2148z00_2421,
																												BgL_arg2149z00_2422,
																												BgL_arg2150z00_2423,
																												BgL_arg2312z00_4687,
																												BgL_sexpz00_37,
																												CNST_TABLE_REF(((long)
																														17)));
																									}}
																								else
																									{	/* Ast/unit.scm 214 */
																										obj_t
																											BgL_cdrzd23006zd2_2425;
																										BgL_cdrzd23006zd2_2425 =
																											CDR(BgL_sexpz00_37);
																										{	/* Ast/unit.scm 214 */
																											obj_t
																												BgL_carzd23010zd2_2426;
																											BgL_carzd23010zd2_2426 =
																												CAR(((obj_t)
																													BgL_cdrzd23006zd2_2425));
																											{	/* Ast/unit.scm 214 */
																												obj_t
																													BgL_arg2152z00_2427;
																												obj_t
																													BgL_arg2153z00_2428;
																												obj_t
																													BgL_arg2154z00_2429;
																												BgL_arg2152z00_2427 =
																													CAR(((obj_t)
																														BgL_carzd23010zd2_2426));
																												BgL_arg2153z00_2428 =
																													CDR(((obj_t)
																														BgL_carzd23010zd2_2426));
																												BgL_arg2154z00_2429 =
																													CDR(((obj_t)
																														BgL_cdrzd23006zd2_2425));
																												{	/* Ast/unit.scm 343 */
																													obj_t
																														BgL_arg2316z00_4699;
																													{	/* Ast/unit.scm 343 */
																														obj_t
																															BgL_arg2317z00_4700;
																														{	/* Ast/unit.scm 343 */
																															obj_t
																																BgL_arg2319z00_4701;
																															{	/* Ast/unit.scm 343 */
																																obj_t
																																	BgL_pairz00_4705;
																																BgL_pairz00_4705
																																	=
																																	CDR(((obj_t)
																																		BgL_sexpz00_37));
																																BgL_arg2319z00_4701
																																	=
																																	CDR
																																	(BgL_pairz00_4705);
																															}
																															BgL_arg2317z00_4700
																																=
																																BGl_findzd2locationzd2zztools_locationz00
																																(BgL_arg2319z00_4701);
																														}
																														BgL_arg2316z00_4699
																															=
																															BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																															(BgL_arg2154z00_2429,
																															BgL_sexpz00_37,
																															BgL_arg2317z00_4700);
																													}
																													return
																														BGl_makezd2sfunzd2definitionz00zzast_unitz00
																														(BgL_arg2152z00_2427,
																														BGl_za2moduleza2z00zzmodule_modulez00,
																														BgL_arg2153z00_2428,
																														BgL_arg2316z00_4699,
																														BgL_sexpz00_37,
																														CNST_TABLE_REF((
																																(long) 17)));
																							}}}}}
																						else
																							{	/* Ast/unit.scm 214 */
																								obj_t BgL_cdrzd23027zd2_2431;

																								BgL_cdrzd23027zd2_2431 =
																									CDR(BgL_sexpz00_37);
																								{	/* Ast/unit.scm 214 */
																									obj_t BgL_carzd23031zd2_2432;

																									BgL_carzd23031zd2_2432 =
																										CAR(
																										((obj_t)
																											BgL_cdrzd23027zd2_2431));
																									{	/* Ast/unit.scm 214 */
																										obj_t BgL_arg2156z00_2433;
																										obj_t BgL_arg2157z00_2434;
																										obj_t BgL_arg2158z00_2435;

																										BgL_arg2156z00_2433 =
																											CAR(
																											((obj_t)
																												BgL_carzd23031zd2_2432));
																										BgL_arg2157z00_2434 =
																											CDR(((obj_t)
																												BgL_carzd23031zd2_2432));
																										BgL_arg2158z00_2435 =
																											CDR(((obj_t)
																												BgL_cdrzd23027zd2_2431));
																										{	/* Ast/unit.scm 343 */
																											obj_t BgL_arg2316z00_4711;

																											{	/* Ast/unit.scm 343 */
																												obj_t
																													BgL_arg2317z00_4712;
																												{	/* Ast/unit.scm 343 */
																													obj_t
																														BgL_arg2319z00_4713;
																													{	/* Ast/unit.scm 343 */
																														obj_t
																															BgL_pairz00_4717;
																														BgL_pairz00_4717 =
																															CDR(((obj_t)
																																BgL_sexpz00_37));
																														BgL_arg2319z00_4713
																															=
																															CDR
																															(BgL_pairz00_4717);
																													}
																													BgL_arg2317z00_4712 =
																														BGl_findzd2locationzd2zztools_locationz00
																														(BgL_arg2319z00_4713);
																												}
																												BgL_arg2316z00_4711 =
																													BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																													(BgL_arg2158z00_2435,
																													BgL_sexpz00_37,
																													BgL_arg2317z00_4712);
																											}
																											return
																												BGl_makezd2sfunzd2definitionz00zzast_unitz00
																												(BgL_arg2156z00_2433,
																												BGl_za2moduleza2z00zzmodule_modulez00,
																												BgL_arg2157z00_2434,
																												BgL_arg2316z00_4711,
																												BgL_sexpz00_37,
																												CNST_TABLE_REF(((long)
																														17)));
																					}}}}}
																				else
																					{	/* Ast/unit.scm 214 */
																						obj_t BgL_cdrzd23048zd2_2436;

																						BgL_cdrzd23048zd2_2436 =
																							CDR(BgL_sexpz00_37);
																						{	/* Ast/unit.scm 214 */
																							obj_t BgL_carzd23052zd2_2437;

																							BgL_carzd23052zd2_2437 =
																								CAR(
																								((obj_t)
																									BgL_cdrzd23048zd2_2436));
																							{	/* Ast/unit.scm 214 */
																								obj_t BgL_arg2159z00_2438;
																								obj_t BgL_arg2160z00_2439;
																								obj_t BgL_arg2161z00_2440;

																								BgL_arg2159z00_2438 =
																									CAR(
																									((obj_t)
																										BgL_carzd23052zd2_2437));
																								BgL_arg2160z00_2439 =
																									CDR(((obj_t)
																										BgL_carzd23052zd2_2437));
																								BgL_arg2161z00_2440 =
																									CDR(((obj_t)
																										BgL_cdrzd23048zd2_2436));
																								{	/* Ast/unit.scm 343 */
																									obj_t BgL_arg2316z00_4723;

																									{	/* Ast/unit.scm 343 */
																										obj_t BgL_arg2317z00_4724;

																										{	/* Ast/unit.scm 343 */
																											obj_t BgL_arg2319z00_4725;

																											{	/* Ast/unit.scm 343 */
																												obj_t BgL_pairz00_4729;

																												BgL_pairz00_4729 =
																													CDR(
																													((obj_t)
																														BgL_sexpz00_37));
																												BgL_arg2319z00_4725 =
																													CDR(BgL_pairz00_4729);
																											}
																											BgL_arg2317z00_4724 =
																												BGl_findzd2locationzd2zztools_locationz00
																												(BgL_arg2319z00_4725);
																										}
																										BgL_arg2316z00_4723 =
																											BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																											(BgL_arg2161z00_2440,
																											BgL_sexpz00_37,
																											BgL_arg2317z00_4724);
																									}
																									return
																										BGl_makezd2sfunzd2definitionz00zzast_unitz00
																										(BgL_arg2159z00_2438,
																										BGl_za2moduleza2z00zzmodule_modulez00,
																										BgL_arg2160z00_2439,
																										BgL_arg2316z00_4723,
																										BgL_sexpz00_37,
																										CNST_TABLE_REF(((long)
																												17)));
																			}}}}}
																		else
																			{	/* Ast/unit.scm 214 */
																				obj_t BgL_cdrzd23069zd2_2441;

																				BgL_cdrzd23069zd2_2441 =
																					CDR(BgL_sexpz00_37);
																				{	/* Ast/unit.scm 214 */
																					obj_t BgL_carzd23073zd2_2442;

																					BgL_carzd23073zd2_2442 =
																						CAR(
																						((obj_t) BgL_cdrzd23069zd2_2441));
																					{	/* Ast/unit.scm 214 */
																						obj_t BgL_arg2162z00_2443;
																						obj_t BgL_arg2164z00_2444;
																						obj_t BgL_arg2165z00_2445;

																						BgL_arg2162z00_2443 =
																							CAR(
																							((obj_t) BgL_carzd23073zd2_2442));
																						BgL_arg2164z00_2444 =
																							CDR(
																							((obj_t) BgL_carzd23073zd2_2442));
																						BgL_arg2165z00_2445 =
																							CDR(
																							((obj_t) BgL_cdrzd23069zd2_2441));
																						{	/* Ast/unit.scm 343 */
																							obj_t BgL_arg2316z00_4735;

																							{	/* Ast/unit.scm 343 */
																								obj_t BgL_arg2317z00_4736;

																								{	/* Ast/unit.scm 343 */
																									obj_t BgL_arg2319z00_4737;

																									{	/* Ast/unit.scm 343 */
																										obj_t BgL_pairz00_4741;

																										BgL_pairz00_4741 =
																											CDR(
																											((obj_t) BgL_sexpz00_37));
																										BgL_arg2319z00_4737 =
																											CDR(BgL_pairz00_4741);
																									}
																									BgL_arg2317z00_4736 =
																										BGl_findzd2locationzd2zztools_locationz00
																										(BgL_arg2319z00_4737);
																								}
																								BgL_arg2316z00_4735 =
																									BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																									(BgL_arg2165z00_2445,
																									BgL_sexpz00_37,
																									BgL_arg2317z00_4736);
																							}
																							return
																								BGl_makezd2sfunzd2definitionz00zzast_unitz00
																								(BgL_arg2162z00_2443,
																								BGl_za2moduleza2z00zzmodule_modulez00,
																								BgL_arg2164z00_2444,
																								BgL_arg2316z00_4735,
																								BgL_sexpz00_37,
																								CNST_TABLE_REF(((long) 17)));
																	}}}}}
																else
																	{	/* Ast/unit.scm 214 */
																		obj_t BgL_cdrzd23090zd2_2447;

																		BgL_cdrzd23090zd2_2447 =
																			CDR(BgL_sexpz00_37);
																		{	/* Ast/unit.scm 214 */
																			obj_t BgL_carzd23094zd2_2448;

																			BgL_carzd23094zd2_2448 =
																				CAR(((obj_t) BgL_cdrzd23090zd2_2447));
																			{	/* Ast/unit.scm 214 */
																				obj_t BgL_arg2167z00_2449;
																				obj_t BgL_arg2168z00_2450;
																				obj_t BgL_arg2169z00_2451;

																				BgL_arg2167z00_2449 =
																					CAR(((obj_t) BgL_carzd23094zd2_2448));
																				BgL_arg2168z00_2450 =
																					CDR(((obj_t) BgL_carzd23094zd2_2448));
																				BgL_arg2169z00_2451 =
																					CDR(((obj_t) BgL_cdrzd23090zd2_2447));
																				{	/* Ast/unit.scm 343 */
																					obj_t BgL_arg2316z00_4747;

																					{	/* Ast/unit.scm 343 */
																						obj_t BgL_arg2317z00_4748;

																						{	/* Ast/unit.scm 343 */
																							obj_t BgL_arg2319z00_4749;

																							{	/* Ast/unit.scm 343 */
																								obj_t BgL_pairz00_4753;

																								BgL_pairz00_4753 =
																									CDR(((obj_t) BgL_sexpz00_37));
																								BgL_arg2319z00_4749 =
																									CDR(BgL_pairz00_4753);
																							}
																							BgL_arg2317z00_4748 =
																								BGl_findzd2locationzd2zztools_locationz00
																								(BgL_arg2319z00_4749);
																						}
																						BgL_arg2316z00_4747 =
																							BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																							(BgL_arg2169z00_2451,
																							BgL_sexpz00_37,
																							BgL_arg2317z00_4748);
																					}
																					return
																						BGl_makezd2sfunzd2definitionz00zzast_unitz00
																						(BgL_arg2167z00_2449,
																						BGl_za2moduleza2z00zzmodule_modulez00,
																						BgL_arg2168z00_2450,
																						BgL_arg2316z00_4747, BgL_sexpz00_37,
																						CNST_TABLE_REF(((long) 17)));
															}}}}}
														else
															{	/* Ast/unit.scm 214 */
																goto BgL_tagzd2374zd2_1955;
															}
													}
												else
													{	/* Ast/unit.scm 214 */
														goto BgL_tagzd2374zd2_1955;
													}
											}
										else
											{	/* Ast/unit.scm 214 */
												obj_t BgL_cdrzd23173zd2_2452;

												BgL_cdrzd23173zd2_2452 = CDR(BgL_sexpz00_37);
												if (
													(CAR(BgL_sexpz00_37) == CNST_TABLE_REF(((long) 18))))
													{	/* Ast/unit.scm 214 */
														if (PAIRP(BgL_cdrzd23173zd2_2452))
															{	/* Ast/unit.scm 214 */
																obj_t BgL_carzd23178zd2_2456;

																BgL_carzd23178zd2_2456 =
																	CAR(BgL_cdrzd23173zd2_2452);
																if (PAIRP(BgL_carzd23178zd2_2456))
																	{	/* Ast/unit.scm 214 */
																		obj_t BgL_carzd23183zd2_2458;

																		BgL_carzd23183zd2_2458 =
																			CAR(BgL_carzd23178zd2_2456);
																		if (PAIRP(BgL_carzd23183zd2_2458))
																			{	/* Ast/unit.scm 214 */
																				obj_t BgL_cdrzd23188zd2_2460;

																				BgL_cdrzd23188zd2_2460 =
																					CDR(BgL_carzd23183zd2_2458);
																				if (
																					(CAR(BgL_carzd23183zd2_2458) ==
																						CNST_TABLE_REF(((long) 0))))
																					{	/* Ast/unit.scm 214 */
																						if (PAIRP(BgL_cdrzd23188zd2_2460))
																							{	/* Ast/unit.scm 214 */
																								obj_t BgL_cdrzd23192zd2_2464;

																								BgL_cdrzd23192zd2_2464 =
																									CDR(BgL_cdrzd23188zd2_2460);
																								if (PAIRP
																									(BgL_cdrzd23192zd2_2464))
																									{	/* Ast/unit.scm 214 */
																										if (NULLP(CDR
																												(BgL_cdrzd23192zd2_2464)))
																											{	/* Ast/unit.scm 214 */
																												obj_t
																													BgL_arg2181z00_2468;
																												obj_t
																													BgL_arg2182z00_2469;
																												obj_t
																													BgL_arg2183z00_2470;
																												obj_t
																													BgL_arg2185z00_2471;
																												BgL_arg2181z00_2468 =
																													CAR
																													(BgL_cdrzd23188zd2_2460);
																												BgL_arg2182z00_2469 =
																													CAR
																													(BgL_cdrzd23192zd2_2464);
																												BgL_arg2183z00_2470 =
																													CDR
																													(BgL_carzd23178zd2_2456);
																												BgL_arg2185z00_2471 =
																													CDR
																													(BgL_cdrzd23173zd2_2452);
																												{	/* Ast/unit.scm 346 */
																													obj_t
																														BgL_list2320z00_4766;
																													{	/* Ast/unit.scm 346 */
																														obj_t
																															BgL_arg2321z00_4767;
																														{	/* Ast/unit.scm 346 */
																															obj_t
																																BgL_arg2322z00_4768;
																															BgL_arg2322z00_4768
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_sexpz00_37,
																																BNIL);
																															BgL_arg2321z00_4767
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_string3476z00zzast_unitz00,
																																BgL_arg2322z00_4768);
																														}
																														BgL_list2320z00_4766
																															=
																															MAKE_YOUNG_PAIR
																															(BGl_string3477z00zzast_unitz00,
																															BgL_arg2321z00_4767);
																													}
																													BGl_warningz00zz__errorz00
																														(BgL_list2320z00_4766);
																												}
																												return
																													BGl_makezd2genericzd2definitionz00zzast_unitz00
																													(BgL_arg2181z00_2468,
																													BgL_arg2182z00_2469,
																													BgL_arg2183z00_2470,
																													BgL_arg2185z00_2471,
																													BgL_sexpz00_37);
																											}
																										else
																											{	/* Ast/unit.scm 214 */
																												obj_t
																													BgL_carzd23211zd2_2473;
																												BgL_carzd23211zd2_2473 =
																													CAR(((obj_t)
																														BgL_cdrzd23173zd2_2452));
																												{	/* Ast/unit.scm 214 */
																													obj_t
																														BgL_arg2186z00_2474;
																													obj_t
																														BgL_arg2187z00_2475;
																													obj_t
																														BgL_arg2188z00_2476;
																													BgL_arg2186z00_2474 =
																														CAR(((obj_t)
																															BgL_carzd23211zd2_2473));
																													BgL_arg2187z00_2475 =
																														CDR(((obj_t)
																															BgL_carzd23211zd2_2473));
																													BgL_arg2188z00_2476 =
																														CDR(((obj_t)
																															BgL_cdrzd23173zd2_2452));
																													return
																														BGl_makezd2genericzd2definitionz00zzast_unitz00
																														(BgL_arg2186z00_2474,
																														BGl_za2moduleza2z00zzmodule_modulez00,
																														BgL_arg2187z00_2475,
																														BgL_arg2188z00_2476,
																														BgL_sexpz00_37);
																												}
																											}
																									}
																								else
																									{	/* Ast/unit.scm 214 */
																										obj_t
																											BgL_carzd23231zd2_2479;
																										BgL_carzd23231zd2_2479 =
																											CAR(((obj_t)
																												BgL_cdrzd23173zd2_2452));
																										{	/* Ast/unit.scm 214 */
																											obj_t BgL_arg2190z00_2480;
																											obj_t BgL_arg2191z00_2481;
																											obj_t BgL_arg2192z00_2482;

																											BgL_arg2190z00_2480 =
																												CAR(
																												((obj_t)
																													BgL_carzd23231zd2_2479));
																											BgL_arg2191z00_2481 =
																												CDR(((obj_t)
																													BgL_carzd23231zd2_2479));
																											BgL_arg2192z00_2482 =
																												CDR(((obj_t)
																													BgL_cdrzd23173zd2_2452));
																											return
																												BGl_makezd2genericzd2definitionz00zzast_unitz00
																												(BgL_arg2190z00_2480,
																												BGl_za2moduleza2z00zzmodule_modulez00,
																												BgL_arg2191z00_2481,
																												BgL_arg2192z00_2482,
																												BgL_sexpz00_37);
																										}
																									}
																							}
																						else
																							{	/* Ast/unit.scm 214 */
																								obj_t BgL_carzd23251zd2_2484;

																								BgL_carzd23251zd2_2484 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd23173zd2_2452));
																								{	/* Ast/unit.scm 214 */
																									obj_t BgL_arg2193z00_2485;
																									obj_t BgL_arg2194z00_2486;
																									obj_t BgL_arg2195z00_2487;

																									BgL_arg2193z00_2485 =
																										CAR(
																										((obj_t)
																											BgL_carzd23251zd2_2484));
																									BgL_arg2194z00_2486 =
																										CDR(((obj_t)
																											BgL_carzd23251zd2_2484));
																									BgL_arg2195z00_2487 =
																										CDR(((obj_t)
																											BgL_cdrzd23173zd2_2452));
																									return
																										BGl_makezd2genericzd2definitionz00zzast_unitz00
																										(BgL_arg2193z00_2485,
																										BGl_za2moduleza2z00zzmodule_modulez00,
																										BgL_arg2194z00_2486,
																										BgL_arg2195z00_2487,
																										BgL_sexpz00_37);
																								}
																							}
																					}
																				else
																					{	/* Ast/unit.scm 214 */
																						obj_t BgL_carzd23271zd2_2489;

																						BgL_carzd23271zd2_2489 =
																							CAR(
																							((obj_t) BgL_cdrzd23173zd2_2452));
																						{	/* Ast/unit.scm 214 */
																							obj_t BgL_arg2196z00_2490;
																							obj_t BgL_arg2197z00_2491;
																							obj_t BgL_arg2198z00_2492;

																							BgL_arg2196z00_2490 =
																								CAR(
																								((obj_t)
																									BgL_carzd23271zd2_2489));
																							BgL_arg2197z00_2491 =
																								CDR(((obj_t)
																									BgL_carzd23271zd2_2489));
																							BgL_arg2198z00_2492 =
																								CDR(((obj_t)
																									BgL_cdrzd23173zd2_2452));
																							return
																								BGl_makezd2genericzd2definitionz00zzast_unitz00
																								(BgL_arg2196z00_2490,
																								BGl_za2moduleza2z00zzmodule_modulez00,
																								BgL_arg2197z00_2491,
																								BgL_arg2198z00_2492,
																								BgL_sexpz00_37);
																						}
																					}
																			}
																		else
																			{	/* Ast/unit.scm 214 */
																				obj_t BgL_carzd23291zd2_2495;

																				BgL_carzd23291zd2_2495 =
																					CAR(((obj_t) BgL_cdrzd23173zd2_2452));
																				{	/* Ast/unit.scm 214 */
																					obj_t BgL_arg2200z00_2496;
																					obj_t BgL_arg2201z00_2497;
																					obj_t BgL_arg2202z00_2498;

																					BgL_arg2200z00_2496 =
																						CAR(
																						((obj_t) BgL_carzd23291zd2_2495));
																					BgL_arg2201z00_2497 =
																						CDR(
																						((obj_t) BgL_carzd23291zd2_2495));
																					BgL_arg2202z00_2498 =
																						CDR(
																						((obj_t) BgL_cdrzd23173zd2_2452));
																					return
																						BGl_makezd2genericzd2definitionz00zzast_unitz00
																						(BgL_arg2200z00_2496,
																						BGl_za2moduleza2z00zzmodule_modulez00,
																						BgL_arg2201z00_2497,
																						BgL_arg2202z00_2498,
																						BgL_sexpz00_37);
																				}
																			}
																	}
																else
																	{	/* Ast/unit.scm 214 */
																		goto BgL_tagzd2374zd2_1955;
																	}
															}
														else
															{	/* Ast/unit.scm 214 */
																goto BgL_tagzd2374zd2_1955;
															}
													}
												else
													{	/* Ast/unit.scm 214 */
														if (
															(CAR(BgL_sexpz00_37) ==
																CNST_TABLE_REF(((long) 19))))
															{	/* Ast/unit.scm 214 */
																if (PAIRP(BgL_cdrzd23173zd2_2452))
																	{	/* Ast/unit.scm 214 */
																		obj_t BgL_carzd23341zd2_2503;

																		BgL_carzd23341zd2_2503 =
																			CAR(BgL_cdrzd23173zd2_2452);
																		if (PAIRP(BgL_carzd23341zd2_2503))
																			{	/* Ast/unit.scm 214 */
																				obj_t BgL_arg2207z00_2505;
																				obj_t BgL_arg2208z00_2506;
																				obj_t BgL_arg2209z00_2507;

																				BgL_arg2207z00_2505 =
																					CAR(BgL_carzd23341zd2_2503);
																				BgL_arg2208z00_2506 =
																					CDR(BgL_carzd23341zd2_2503);
																				BgL_arg2209z00_2507 =
																					CDR(BgL_cdrzd23173zd2_2452);
																				{	/* Ast/unit.scm 353 */
																					obj_t BgL_arg2323z00_4800;

																					{	/* Ast/unit.scm 353 */
																						obj_t BgL_arg2324z00_4801;

																						{	/* Ast/unit.scm 353 */
																							obj_t BgL_arg2325z00_4802;

																							{	/* Ast/unit.scm 353 */
																								obj_t BgL_pairz00_4806;

																								BgL_pairz00_4806 =
																									CDR(((obj_t) BgL_sexpz00_37));
																								BgL_arg2325z00_4802 =
																									CDR(BgL_pairz00_4806);
																							}
																							BgL_arg2324z00_4801 =
																								BGl_findzd2locationzd2zztools_locationz00
																								(BgL_arg2325z00_4802);
																						}
																						BgL_arg2323z00_4800 =
																							BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																							(BgL_arg2209z00_2507,
																							BgL_sexpz00_37,
																							BgL_arg2324z00_4801);
																					}
																					return
																						BGl_makezd2methodzd2definitionz00zzast_unitz00
																						(BgL_arg2207z00_2505,
																						BgL_arg2208z00_2506,
																						BgL_arg2323z00_4800,
																						BgL_sexpz00_37);
																				}
																			}
																		else
																			{	/* Ast/unit.scm 214 */
																				goto BgL_tagzd2374zd2_1955;
																			}
																	}
																else
																	{	/* Ast/unit.scm 214 */
																		goto BgL_tagzd2374zd2_1955;
																	}
															}
														else
															{	/* Ast/unit.scm 214 */
																goto BgL_tagzd2374zd2_1955;
															}
													}
											}
									}
							}
					}
				else
					{	/* Ast/unit.scm 214 */
						goto BgL_tagzd2374zd2_1955;
					}
			}
		}

	}



/* normalize-progn/error */
	obj_t BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(obj_t BgL_expz00_39,
		obj_t BgL_srcz00_40, obj_t BgL_locz00_41)
	{
		{	/* Ast/unit.scm 361 */
			if (NULLP(BgL_expz00_39))
				{	/* Ast/unit.scm 363 */
					obj_t BgL_arg2328z00_2665;

					BgL_arg2328z00_2665 =
						BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_40);
					return
						((obj_t)
						BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
						(BGl_string3478z00zzast_unitz00, BgL_srcz00_40,
							BgL_arg2328z00_2665));
				}
			else
				{	/* Ast/unit.scm 364 */
					obj_t BgL_expz00_2666;

					BgL_expz00_2666 =
						BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_expz00_39);
					if (CBOOL(BgL_locz00_41))
						{	/* Ast/unit.scm 366 */
							if (EPAIRP(BgL_expz00_2666))
								{	/* Ast/unit.scm 368 */
									return BgL_expz00_2666;
								}
							else
								{	/* Ast/unit.scm 368 */
									if (PAIRP(BgL_expz00_2666))
										{	/* Ast/unit.scm 371 */
											obj_t BgL_arg2331z00_2669;
											obj_t BgL_arg2332z00_2670;

											BgL_arg2331z00_2669 = CAR(BgL_expz00_2666);
											BgL_arg2332z00_2670 = CDR(BgL_expz00_2666);
											{	/* Ast/unit.scm 371 */
												obj_t BgL_res3441z00_4809;

												BgL_res3441z00_4809 =
													MAKE_YOUNG_EPAIR(BgL_arg2331z00_2669,
													BgL_arg2332z00_2670, BgL_locz00_41);
												return BgL_res3441z00_4809;
											}
										}
									else
										{	/* Ast/unit.scm 373 */
											obj_t BgL_arg2334z00_2671;

											{	/* Ast/unit.scm 373 */
												obj_t BgL_list2335z00_2672;

												BgL_list2335z00_2672 =
													MAKE_YOUNG_PAIR(BgL_expz00_2666, BNIL);
												BgL_arg2334z00_2671 = BgL_list2335z00_2672;
											}
											{	/* Ast/unit.scm 373 */
												obj_t BgL_res3443z00_4812;

												{	/* Ast/unit.scm 373 */
													obj_t BgL_obj1z00_4811;

													BgL_obj1z00_4811 = CNST_TABLE_REF(((long) 2));
													BgL_res3443z00_4812 =
														MAKE_YOUNG_EPAIR(BgL_obj1z00_4811,
														BgL_arg2334z00_2671, BgL_locz00_41);
												}
												return BgL_res3443z00_4812;
											}
										}
								}
						}
					else
						{	/* Ast/unit.scm 366 */
							return BgL_expz00_2666;
						}
				}
		}

	}



/* eta-expanse */
	obj_t BGl_etazd2expansezd2zzast_unitz00(obj_t BgL_sexpz00_45,
		obj_t BgL_arityz00_46)
	{
		{	/* Ast/unit.scm 391 */
			{	/* Ast/unit.scm 392 */
				obj_t BgL_argsz00_2681;

				BgL_argsz00_2681 =
					BGl_makezd2nzd2protoz00zztools_argsz00(BgL_arityz00_46);
				{
					obj_t BgL_varz00_2759;
					obj_t BgL_id2z00_2760;
					obj_t BgL_modulez00_2761;

					if (PAIRP(BgL_sexpz00_45))
						{	/* Ast/unit.scm 416 */
							obj_t BgL_cdrzd23479zd2_2693;

							BgL_cdrzd23479zd2_2693 = CDR(BgL_sexpz00_45);
							if ((CAR(BgL_sexpz00_45) == CNST_TABLE_REF(((long) 14))))
								{	/* Ast/unit.scm 416 */
									if (PAIRP(BgL_cdrzd23479zd2_2693))
										{	/* Ast/unit.scm 416 */
											obj_t BgL_cdrzd23484zd2_2697;

											BgL_cdrzd23484zd2_2697 = CDR(BgL_cdrzd23479zd2_2693);
											if (PAIRP(BgL_cdrzd23484zd2_2697))
												{	/* Ast/unit.scm 416 */
													obj_t BgL_carzd23488zd2_2699;

													BgL_carzd23488zd2_2699 = CAR(BgL_cdrzd23484zd2_2697);
													if (PAIRP(BgL_carzd23488zd2_2699))
														{	/* Ast/unit.scm 416 */
															obj_t BgL_cdrzd23493zd2_2701;

															BgL_cdrzd23493zd2_2701 =
																CDR(BgL_carzd23488zd2_2699);
															if (
																(CAR(BgL_carzd23488zd2_2699) ==
																	CNST_TABLE_REF(((long) 0))))
																{	/* Ast/unit.scm 416 */
																	if (PAIRP(BgL_cdrzd23493zd2_2701))
																		{	/* Ast/unit.scm 416 */
																			obj_t BgL_cdrzd23497zd2_2705;

																			BgL_cdrzd23497zd2_2705 =
																				CDR(BgL_cdrzd23493zd2_2701);
																			if (PAIRP(BgL_cdrzd23497zd2_2705))
																				{	/* Ast/unit.scm 416 */
																					if (NULLP(CDR
																							(BgL_cdrzd23497zd2_2705)))
																						{	/* Ast/unit.scm 416 */
																							if (NULLP(CDR
																									(BgL_cdrzd23484zd2_2697)))
																								{	/* Ast/unit.scm 416 */
																									obj_t BgL_arg2361z00_2712;
																									obj_t BgL_arg2363z00_2713;

																									BgL_arg2361z00_2712 =
																										CAR(BgL_cdrzd23493zd2_2701);
																									BgL_arg2363z00_2713 =
																										CAR(BgL_cdrzd23497zd2_2705);
																									{	/* Ast/unit.scm 418 */
																										obj_t BgL_id2z00_4835;

																										BgL_id2z00_4835 =
																											BGl_idzd2ofzd2idz00zzast_identz00
																											(BgL_arg2361z00_2712,
																											BGl_findzd2locationzd2zztools_locationz00
																											(BgL_sexpz00_45));
																										{	/* Ast/unit.scm 418 */

																											{	/* Ast/unit.scm 419 */
																												obj_t BgL_auxz00_6919;

																												BgL_varz00_2759 =
																													BgL_arg2361z00_2712;
																												BgL_id2z00_2760 =
																													BgL_id2z00_4835;
																												BgL_modulez00_2761 =
																													BgL_arg2363z00_2713;
																												if (((long)
																														CINT
																														(BgL_arityz00_46) >=
																														((long) 0)))
																													{	/* Ast/unit.scm 396 */
																														obj_t
																															BgL_arg2402z00_2764;
																														{	/* Ast/unit.scm 396 */
																															obj_t
																																BgL_arg2403z00_2765;
																															obj_t
																																BgL_arg2404z00_2766;
																															BgL_arg2403z00_2765
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_varz00_2759,
																																BgL_argsz00_2681);
																															{	/* Ast/unit.scm 397 */
																																obj_t
																																	BgL_arg2406z00_2767;
																																{	/* Ast/unit.scm 397 */
																																	obj_t
																																		BgL_arg2407z00_2768;
																																	obj_t
																																		BgL_arg2409z00_2769;
																																	{	/* Ast/unit.scm 397 */
																																		obj_t
																																			BgL_arg2410z00_2770;
																																		{	/* Ast/unit.scm 397 */
																																			obj_t
																																				BgL_arg2411z00_2771;
																																			BgL_arg2411z00_2771
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_modulez00_2761,
																																				BNIL);
																																			BgL_arg2410z00_2770
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_id2z00_2760,
																																				BgL_arg2411z00_2771);
																																		}
																																		BgL_arg2407z00_2768
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					0)),
																																			BgL_arg2410z00_2770);
																																	}
																																	BgL_arg2409z00_2769
																																		=
																																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_argsz00_2681,
																																		BNIL);
																																	BgL_arg2406z00_2767
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg2407z00_2768,
																																		BgL_arg2409z00_2769);
																																}
																																BgL_arg2404z00_2766
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg2406z00_2767,
																																	BNIL);
																															}
																															BgL_arg2402z00_2764
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg2403z00_2765,
																																BgL_arg2404z00_2766);
																														}
																														BgL_auxz00_6919 =
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 14)),
																															BgL_arg2402z00_2764);
																													}
																												else
																													{	/* Ast/unit.scm 395 */
																														if (
																															((long)
																																CINT
																																(BgL_arityz00_46)
																																== ((long) -1)))
																															{	/* Ast/unit.scm 399 */
																																obj_t
																																	BgL_arg2413z00_2773;
																																{	/* Ast/unit.scm 399 */
																																	obj_t
																																		BgL_arg2414z00_2774;
																																	obj_t
																																		BgL_arg2415z00_2775;
																																	BgL_arg2414z00_2774
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_varz00_2759,
																																		BgL_argsz00_2681);
																																	{	/* Ast/unit.scm 400 */
																																		obj_t
																																			BgL_arg2416z00_2776;
																																		{	/* Ast/unit.scm 400 */
																																			obj_t
																																				BgL_arg2418z00_2777;
																																			{	/* Ast/unit.scm 400 */
																																				obj_t
																																					BgL_arg2419z00_2778;
																																				obj_t
																																					BgL_arg2420z00_2779;
																																				{	/* Ast/unit.scm 400 */
																																					obj_t
																																						BgL_arg2421z00_2780;
																																					{	/* Ast/unit.scm 400 */
																																						obj_t
																																							BgL_arg2423z00_2781;
																																						BgL_arg2423z00_2781
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_modulez00_2761,
																																							BNIL);
																																						BgL_arg2421z00_2780
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_id2z00_2760,
																																							BgL_arg2423z00_2781);
																																					}
																																					BgL_arg2419z00_2778
																																						=
																																						MAKE_YOUNG_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 0)), BgL_arg2421z00_2780);
																																				}
																																				BgL_arg2420z00_2779
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_argsz00_2681,
																																					BNIL);
																																				BgL_arg2418z00_2777
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg2419z00_2778,
																																					BgL_arg2420z00_2779);
																																			}
																																			BgL_arg2416z00_2776
																																				=
																																				MAKE_YOUNG_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						20)),
																																				BgL_arg2418z00_2777);
																																		}
																																		BgL_arg2415z00_2775
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg2416z00_2776,
																																			BNIL);
																																	}
																																	BgL_arg2413z00_2773
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg2414z00_2774,
																																		BgL_arg2415z00_2775);
																																}
																																BgL_auxz00_6919
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 14)),
																																	BgL_arg2413z00_2773);
																															}
																														else
																															{	/* Ast/unit.scm 402 */
																																obj_t
																																	BgL_arg2424z00_2782;
																																{	/* Ast/unit.scm 402 */
																																	obj_t
																																		BgL_arg2425z00_2783;
																																	obj_t
																																		BgL_arg2426z00_2784;
																																	BgL_arg2425z00_2783
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_varz00_2759,
																																		BgL_argsz00_2681);
																																	{	/* Ast/unit.scm 403 */
																																		obj_t
																																			BgL_arg2427z00_2785;
																																		{	/* Ast/unit.scm 403 */
																																			obj_t
																																				BgL_arg2428z00_2786;
																																			{	/* Ast/unit.scm 403 */
																																				obj_t
																																					BgL_arg2430z00_2787;
																																				obj_t
																																					BgL_arg2432z00_2788;
																																				{	/* Ast/unit.scm 403 */
																																					obj_t
																																						BgL_arg2433z00_2789;
																																					{	/* Ast/unit.scm 403 */
																																						obj_t
																																							BgL_arg2434z00_2790;
																																						BgL_arg2434z00_2790
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_modulez00_2761,
																																							BNIL);
																																						BgL_arg2433z00_2789
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_id2z00_2760,
																																							BgL_arg2434z00_2790);
																																					}
																																					BgL_arg2430z00_2787
																																						=
																																						MAKE_YOUNG_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 0)), BgL_arg2433z00_2789);
																																				}
																																				{	/* Ast/unit.scm 404 */
																																					obj_t
																																						BgL_arg2436z00_2791;
																																					{	/* Ast/unit.scm 404 */
																																						obj_t
																																							BgL_arg2437z00_2792;
																																						BgL_arg2437z00_2792
																																							=
																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																							(BGl_argsza2zd2ze3argszd2listz41zztools_argsz00
																																							(BgL_argsz00_2681),
																																							BNIL);
																																						BgL_arg2436z00_2791
																																							=
																																							MAKE_YOUNG_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 21)), BgL_arg2437z00_2792);
																																					}
																																					BgL_arg2432z00_2788
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg2436z00_2791,
																																						BNIL);
																																				}
																																				BgL_arg2428z00_2786
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg2430z00_2787,
																																					BgL_arg2432z00_2788);
																																			}
																																			BgL_arg2427z00_2785
																																				=
																																				MAKE_YOUNG_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						20)),
																																				BgL_arg2428z00_2786);
																																		}
																																		BgL_arg2426z00_2784
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg2427z00_2785,
																																			BNIL);
																																	}
																																	BgL_arg2424z00_2782
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg2425z00_2783,
																																		BgL_arg2426z00_2784);
																																}
																																BgL_auxz00_6919
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 14)),
																																	BgL_arg2424z00_2782);
																													}}
																												return
																													BGl_replacez12z12zztools_miscz00
																													(BgL_sexpz00_45,
																													BgL_auxz00_6919);
																											}
																										}
																									}
																								}
																							else
																								{	/* Ast/unit.scm 416 */
																									return BFALSE;
																								}
																						}
																					else
																						{	/* Ast/unit.scm 416 */
																							obj_t BgL_cdrzd23519zd2_2716;

																							BgL_cdrzd23519zd2_2716 =
																								CDR(
																								((obj_t)
																									BgL_cdrzd23479zd2_2693));
																							if (NULLP(CDR(((obj_t)
																											BgL_cdrzd23519zd2_2716))))
																								{	/* Ast/unit.scm 416 */
																									obj_t BgL_arg2367z00_2719;
																									obj_t BgL_arg2368z00_2720;

																									BgL_arg2367z00_2719 =
																										CAR(
																										((obj_t)
																											BgL_cdrzd23479zd2_2693));
																									BgL_arg2368z00_2720 =
																										CAR(((obj_t)
																											BgL_cdrzd23519zd2_2716));
																									{	/* Ast/unit.scm 421 */
																										obj_t BgL_id2z00_4843;

																										BgL_id2z00_4843 =
																											BGl_idzd2ofzd2idz00zzast_identz00
																											(BgL_arg2368z00_2720,
																											BGl_findzd2locationzd2zztools_locationz00
																											(BgL_sexpz00_45));
																										return
																											BGl_replacez12z12zztools_miscz00
																											(BgL_sexpz00_45,
																											BGl_dozd2etazd2expanseze70ze7zzast_unitz00
																											(BgL_arityz00_46,
																												BgL_argsz00_2681,
																												BgL_arg2367z00_2719,
																												BgL_id2z00_4843));
																									}
																								}
																							else
																								{	/* Ast/unit.scm 416 */
																									return BFALSE;
																								}
																						}
																				}
																			else
																				{	/* Ast/unit.scm 416 */
																					obj_t BgL_cdrzd23537zd2_2724;

																					BgL_cdrzd23537zd2_2724 =
																						CDR(
																						((obj_t) BgL_cdrzd23479zd2_2693));
																					if (NULLP(CDR(
																								((obj_t)
																									BgL_cdrzd23537zd2_2724))))
																						{	/* Ast/unit.scm 416 */
																							obj_t BgL_arg2374z00_2727;
																							obj_t BgL_arg2375z00_2728;

																							BgL_arg2374z00_2727 =
																								CAR(
																								((obj_t)
																									BgL_cdrzd23479zd2_2693));
																							BgL_arg2375z00_2728 =
																								CAR(((obj_t)
																									BgL_cdrzd23537zd2_2724));
																							{	/* Ast/unit.scm 421 */
																								obj_t BgL_id2z00_4851;

																								BgL_id2z00_4851 =
																									BGl_idzd2ofzd2idz00zzast_identz00
																									(BgL_arg2375z00_2728,
																									BGl_findzd2locationzd2zztools_locationz00
																									(BgL_sexpz00_45));
																								return
																									BGl_replacez12z12zztools_miscz00
																									(BgL_sexpz00_45,
																									BGl_dozd2etazd2expanseze70ze7zzast_unitz00
																									(BgL_arityz00_46,
																										BgL_argsz00_2681,
																										BgL_arg2374z00_2727,
																										BgL_id2z00_4851));
																							}
																						}
																					else
																						{	/* Ast/unit.scm 416 */
																							return BFALSE;
																						}
																				}
																		}
																	else
																		{	/* Ast/unit.scm 416 */
																			obj_t BgL_cdrzd23555zd2_2731;

																			BgL_cdrzd23555zd2_2731 =
																				CDR(((obj_t) BgL_cdrzd23479zd2_2693));
																			if (NULLP(CDR(
																						((obj_t) BgL_cdrzd23555zd2_2731))))
																				{	/* Ast/unit.scm 416 */
																					obj_t BgL_arg2379z00_2734;
																					obj_t BgL_arg2380z00_2735;

																					BgL_arg2379z00_2734 =
																						CAR(
																						((obj_t) BgL_cdrzd23479zd2_2693));
																					BgL_arg2380z00_2735 =
																						CAR(
																						((obj_t) BgL_cdrzd23555zd2_2731));
																					{	/* Ast/unit.scm 421 */
																						obj_t BgL_id2z00_4859;

																						BgL_id2z00_4859 =
																							BGl_idzd2ofzd2idz00zzast_identz00
																							(BgL_arg2380z00_2735,
																							BGl_findzd2locationzd2zztools_locationz00
																							(BgL_sexpz00_45));
																						return
																							BGl_replacez12z12zztools_miscz00
																							(BgL_sexpz00_45,
																							BGl_dozd2etazd2expanseze70ze7zzast_unitz00
																							(BgL_arityz00_46,
																								BgL_argsz00_2681,
																								BgL_arg2379z00_2734,
																								BgL_id2z00_4859));
																					}
																				}
																			else
																				{	/* Ast/unit.scm 416 */
																					return BFALSE;
																				}
																		}
																}
															else
																{	/* Ast/unit.scm 416 */
																	obj_t BgL_cdrzd23573zd2_2738;

																	BgL_cdrzd23573zd2_2738 =
																		CDR(((obj_t) BgL_cdrzd23479zd2_2693));
																	if (NULLP(CDR(
																				((obj_t) BgL_cdrzd23573zd2_2738))))
																		{	/* Ast/unit.scm 416 */
																			obj_t BgL_arg2384z00_2741;
																			obj_t BgL_arg2385z00_2742;

																			BgL_arg2384z00_2741 =
																				CAR(((obj_t) BgL_cdrzd23479zd2_2693));
																			BgL_arg2385z00_2742 =
																				CAR(((obj_t) BgL_cdrzd23573zd2_2738));
																			{	/* Ast/unit.scm 421 */
																				obj_t BgL_id2z00_4867;

																				BgL_id2z00_4867 =
																					BGl_idzd2ofzd2idz00zzast_identz00
																					(BgL_arg2385z00_2742,
																					BGl_findzd2locationzd2zztools_locationz00
																					(BgL_sexpz00_45));
																				return
																					BGl_replacez12z12zztools_miscz00
																					(BgL_sexpz00_45,
																					BGl_dozd2etazd2expanseze70ze7zzast_unitz00
																					(BgL_arityz00_46, BgL_argsz00_2681,
																						BgL_arg2384z00_2741,
																						BgL_id2z00_4867));
																			}
																		}
																	else
																		{	/* Ast/unit.scm 416 */
																			return BFALSE;
																		}
																}
														}
													else
														{	/* Ast/unit.scm 416 */
															obj_t BgL_cdrzd23591zd2_2746;

															BgL_cdrzd23591zd2_2746 =
																CDR(((obj_t) BgL_cdrzd23479zd2_2693));
															if (NULLP(CDR(((obj_t) BgL_cdrzd23591zd2_2746))))
																{	/* Ast/unit.scm 416 */
																	obj_t BgL_arg2391z00_2749;
																	obj_t BgL_arg2392z00_2750;

																	BgL_arg2391z00_2749 =
																		CAR(((obj_t) BgL_cdrzd23479zd2_2693));
																	BgL_arg2392z00_2750 =
																		CAR(((obj_t) BgL_cdrzd23591zd2_2746));
																	{	/* Ast/unit.scm 421 */
																		obj_t BgL_id2z00_4875;

																		BgL_id2z00_4875 =
																			BGl_idzd2ofzd2idz00zzast_identz00
																			(BgL_arg2392z00_2750,
																			BGl_findzd2locationzd2zztools_locationz00
																			(BgL_sexpz00_45));
																		return
																			BGl_replacez12z12zztools_miscz00
																			(BgL_sexpz00_45,
																			BGl_dozd2etazd2expanseze70ze7zzast_unitz00
																			(BgL_arityz00_46, BgL_argsz00_2681,
																				BgL_arg2391z00_2749, BgL_id2z00_4875));
																	}
																}
															else
																{	/* Ast/unit.scm 416 */
																	return BFALSE;
																}
														}
												}
											else
												{	/* Ast/unit.scm 416 */
													return BFALSE;
												}
										}
									else
										{	/* Ast/unit.scm 416 */
											return BFALSE;
										}
								}
							else
								{	/* Ast/unit.scm 416 */
									return BFALSE;
								}
						}
					else
						{	/* Ast/unit.scm 416 */
							return BFALSE;
						}
				}
			}
		}

	}



/* do-eta-expanse~0 */
	obj_t BGl_dozd2etazd2expanseze70ze7zzast_unitz00(obj_t BgL_arityz00_5253,
		obj_t BgL_argsz00_5252, obj_t BgL_varz00_2794, obj_t BgL_id2z00_2795)
	{
		{	/* Ast/unit.scm 415 */
			if (((long) CINT(BgL_arityz00_5253) >= ((long) 0)))
				{	/* Ast/unit.scm 408 */
					obj_t BgL_arg2442z00_2798;

					{	/* Ast/unit.scm 408 */
						obj_t BgL_arg2444z00_2799;
						obj_t BgL_arg2445z00_2800;

						BgL_arg2444z00_2799 =
							MAKE_YOUNG_PAIR(BgL_varz00_2794, BgL_argsz00_5252);
						{	/* Ast/unit.scm 409 */
							obj_t BgL_arg2446z00_2801;

							BgL_arg2446z00_2801 =
								MAKE_YOUNG_PAIR(BgL_id2z00_2795,
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
								(BgL_argsz00_5252, BNIL));
							BgL_arg2445z00_2800 = MAKE_YOUNG_PAIR(BgL_arg2446z00_2801, BNIL);
						}
						BgL_arg2442z00_2798 =
							MAKE_YOUNG_PAIR(BgL_arg2444z00_2799, BgL_arg2445z00_2800);
					}
					return
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 14)), BgL_arg2442z00_2798);
				}
			else
				{	/* Ast/unit.scm 407 */
					if (((long) CINT(BgL_arityz00_5253) == ((long) -1)))
						{	/* Ast/unit.scm 411 */
							obj_t BgL_arg2450z00_2804;

							{	/* Ast/unit.scm 411 */
								obj_t BgL_arg2451z00_2805;
								obj_t BgL_arg2452z00_2806;

								BgL_arg2451z00_2805 =
									MAKE_YOUNG_PAIR(BgL_varz00_2794, BgL_argsz00_5252);
								{	/* Ast/unit.scm 412 */
									obj_t BgL_arg2453z00_2807;

									{	/* Ast/unit.scm 412 */
										obj_t BgL_arg2454z00_2808;

										{	/* Ast/unit.scm 412 */
											obj_t BgL_arg2455z00_2809;

											BgL_arg2455z00_2809 =
												MAKE_YOUNG_PAIR(BgL_argsz00_5252, BNIL);
											BgL_arg2454z00_2808 =
												MAKE_YOUNG_PAIR(BgL_id2z00_2795, BgL_arg2455z00_2809);
										}
										BgL_arg2453z00_2807 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
											BgL_arg2454z00_2808);
									}
									BgL_arg2452z00_2806 =
										MAKE_YOUNG_PAIR(BgL_arg2453z00_2807, BNIL);
								}
								BgL_arg2450z00_2804 =
									MAKE_YOUNG_PAIR(BgL_arg2451z00_2805, BgL_arg2452z00_2806);
							}
							return
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 14)),
								BgL_arg2450z00_2804);
						}
					else
						{	/* Ast/unit.scm 414 */
							obj_t BgL_arg2457z00_2810;

							{	/* Ast/unit.scm 414 */
								obj_t BgL_arg2458z00_2811;
								obj_t BgL_arg2459z00_2812;

								BgL_arg2458z00_2811 =
									MAKE_YOUNG_PAIR(BgL_varz00_2794, BgL_argsz00_5252);
								{	/* Ast/unit.scm 415 */
									obj_t BgL_arg2460z00_2813;

									{	/* Ast/unit.scm 415 */
										obj_t BgL_arg2462z00_2814;

										{	/* Ast/unit.scm 415 */
											obj_t BgL_arg2463z00_2815;

											{	/* Ast/unit.scm 415 */
												obj_t BgL_arg2464z00_2816;

												{	/* Ast/unit.scm 415 */
													obj_t BgL_arg2467z00_2817;

													BgL_arg2467z00_2817 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BGl_argsza2zd2ze3argszd2listz41zztools_argsz00
														(BgL_argsz00_5252), BNIL);
													BgL_arg2464z00_2816 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 21)),
														BgL_arg2467z00_2817);
												}
												BgL_arg2463z00_2815 =
													MAKE_YOUNG_PAIR(BgL_arg2464z00_2816, BNIL);
											}
											BgL_arg2462z00_2814 =
												MAKE_YOUNG_PAIR(BgL_id2z00_2795, BgL_arg2463z00_2815);
										}
										BgL_arg2460z00_2813 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
											BgL_arg2462z00_2814);
									}
									BgL_arg2459z00_2812 =
										MAKE_YOUNG_PAIR(BgL_arg2460z00_2813, BNIL);
								}
								BgL_arg2457z00_2810 =
									MAKE_YOUNG_PAIR(BgL_arg2458z00_2811, BgL_arg2459z00_2812);
							}
							return
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 14)),
								BgL_arg2457z00_2810);
		}}}

	}



/* make-sfun-definition */
	obj_t BGl_makezd2sfunzd2definitionz00zzast_unitz00(obj_t BgL_idz00_47,
		obj_t BgL_modulez00_48, obj_t BgL_argsz00_49, obj_t BgL_bodyz00_50,
		obj_t BgL_srcz00_51, obj_t BgL_classz00_52)
	{
		{	/* Ast/unit.scm 427 */
			{	/* Ast/unit.scm 428 */
				obj_t BgL_locz00_2821;
				obj_t BgL_optsz00_2822;
				obj_t BgL_keysz00_2823;

				BgL_locz00_2821 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_51);
				BgL_optsz00_2822 =
					BGl_dssslzd2optionalszd2zztools_dssslz00(BgL_argsz00_49);
				BgL_keysz00_2823 = BGl_dssslzd2keyszd2zztools_dssslz00(BgL_argsz00_49);
				if (NULLP(BgL_optsz00_2822))
					{	/* Ast/unit.scm 432 */
						if (NULLP(BgL_keysz00_2823))
							{	/* Ast/unit.scm 684 */
								obj_t BgL_localsz00_4884;
								obj_t BgL_bodyz00_4885;

								BgL_localsz00_4884 =
									BGl_parsezd2funzd2argsz00zzast_unitz00(BgL_argsz00_49,
									BgL_srcz00_51, BgL_locz00_2821);
								BgL_bodyz00_4885 =
									BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
									(BgL_idz00_47, BgL_argsz00_49, BgL_bodyz00_50,
									BGl_userzd2errorzd2envz00zztools_errorz00);
								{	/* Ast/unit.scm 686 */
									BgL_globalz00_bglt BgL_arg3092z00_4886;

									BgL_arg3092z00_4886 =
										BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2
										(BgL_idz00_47, BgL_argsz00_49, BgL_localsz00_4884,
										BgL_modulez00_48, BgL_classz00_52, BgL_srcz00_51,
										CNST_TABLE_REF(((long) 8)), BgL_bodyz00_4885);
									{	/* Ast/unit.scm 686 */
										obj_t BgL_list3093z00_4887;

										BgL_list3093z00_4887 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg3092z00_4886), BNIL);
										return BgL_list3093z00_4887;
									}
								}
							}
						else
							{	/* Ast/unit.scm 434 */
								return
									BGl_makezd2sfunzd2keyzd2definitionzd2zzast_unitz00
									(BgL_keysz00_2823, BgL_idz00_47, BgL_modulez00_48,
									BgL_argsz00_49, BgL_bodyz00_50, BgL_srcz00_51,
									BgL_classz00_52, BgL_locz00_2821);
							}
					}
				else
					{	/* Ast/unit.scm 443 */
						obj_t BgL_localsz00_4878;

						BgL_localsz00_4878 =
							BGl_parsezd2funzd2optzd2argszd2zzast_unitz00(BgL_argsz00_49,
							BgL_argsz00_49, BgL_locz00_2821);
						{	/* Ast/unit.scm 443 */
							BgL_globalz00_bglt BgL_gloz00_4879;

							BgL_gloz00_4879 =
								BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_47,
								BgL_argsz00_49, BgL_localsz00_4878, BgL_modulez00_48,
								BgL_classz00_52, BgL_srcz00_51, CNST_TABLE_REF(((long) 8)),
								BgL_bodyz00_50);
							{	/* Ast/unit.scm 444 */
								BgL_globalz00_bglt BgL_cloz00_4880;

								BgL_cloz00_4880 =
									BGl_makezd2sfunzd2optzd2closurezd2zzast_unitz00(
									((obj_t) BgL_gloz00_4879), BgL_optsz00_2822, BgL_idz00_47,
									BgL_modulez00_48, BgL_argsz00_49, BgL_bodyz00_50,
									BgL_srcz00_51, BgL_classz00_52, BgL_locz00_2821);
								{	/* Ast/unit.scm 445 */

									{	/* Ast/unit.scm 446 */
										obj_t BgL_list2471z00_4881;

										{	/* Ast/unit.scm 446 */
											obj_t BgL_arg2472z00_4882;

											BgL_arg2472z00_4882 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_cloz00_4880), BNIL);
											BgL_list2471z00_4881 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_gloz00_4879), BgL_arg2472z00_4882);
										}
										return BgL_list2471z00_4881;
									}
								}
							}
						}
					}
			}
		}

	}



/* make-sfun-opt-closure */
	BgL_globalz00_bglt BGl_makezd2sfunzd2optzd2closurezd2zzast_unitz00(obj_t
		BgL_gloz00_61, obj_t BgL_optionalsz00_62, obj_t BgL_idz00_63,
		obj_t BgL_modulez00_64, obj_t BgL_argsz00_65, obj_t BgL_bodyz00_66,
		obj_t BgL_srcz00_67, obj_t BgL_classz00_68, obj_t BgL_locz00_69)
	{
		{	/* Ast/unit.scm 459 */
			{	/* Ast/unit.scm 460 */
				long BgL_arityz00_2831;

				BgL_arityz00_2831 =
					(((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gloz00_61))))->
										BgL_valuez00)))))->BgL_arityz00);
				{
					obj_t BgL_optz00_2851;

					{	/* Ast/unit.scm 498 */
						obj_t BgL_idz00_2833;

						{	/* Ast/unit.scm 498 */
							obj_t BgL_arg2486z00_2848;

							{	/* Ast/unit.scm 498 */
								obj_t BgL_arg2487z00_2849;
								obj_t BgL_arg2489z00_2850;

								{	/* Ast/unit.scm 498 */
									obj_t BgL_symbolz00_4938;

									BgL_symbolz00_4938 = CNST_TABLE_REF(((long) 30));
									{	/* Ast/unit.scm 498 */
										obj_t BgL_arg1463z00_4939;

										BgL_arg1463z00_4939 = SYMBOL_TO_STRING(BgL_symbolz00_4938);
										BgL_arg2487z00_2849 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1463z00_4939);
								}}
								{	/* Ast/unit.scm 498 */
									obj_t BgL_arg1463z00_4941;

									BgL_arg1463z00_4941 =
										SYMBOL_TO_STRING(((obj_t) BgL_idz00_63));
									BgL_arg2489z00_2850 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1463z00_4941);
								}
								BgL_arg2486z00_2848 =
									string_append(BgL_arg2487z00_2849, BgL_arg2489z00_2850);
							}
							BgL_idz00_2833 = bstring_to_symbol(BgL_arg2486z00_2848);
						}
						{	/* Ast/unit.scm 498 */
							obj_t BgL_optidz00_2834;

							BgL_optidz00_2834 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 31)));
							{	/* Ast/unit.scm 499 */
								obj_t BgL_envidz00_2835;

								BgL_envidz00_2835 =
									BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											32)));
								{	/* Ast/unit.scm 500 */
									BgL_localz00_bglt BgL_optz00_2836;

									BgL_optz00_2836 =
										BGl_makezd2localzd2svarz00zzast_localz00(BgL_optidz00_2834,
										((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00));
									{	/* Ast/unit.scm 501 */
										BgL_localz00_bglt BgL_envz00_2837;

										BgL_envz00_2837 =
											BGl_makezd2localzd2svarz00zzast_localz00
											(BgL_envidz00_2835,
											((BgL_typez00_bglt)
												BGl_za2procedureza2z00zztype_cachez00));
										{	/* Ast/unit.scm 502 */
											BgL_globalz00_bglt BgL_gz00_2838;

											{	/* Ast/unit.scm 503 */
												obj_t BgL_arg2473z00_2839;
												obj_t BgL_arg2475z00_2840;
												obj_t BgL_arg2476z00_2841;

												{	/* Ast/unit.scm 503 */
													obj_t BgL_list2477z00_2842;

													{	/* Ast/unit.scm 503 */
														obj_t BgL_arg2478z00_2843;

														BgL_arg2478z00_2843 =
															MAKE_YOUNG_PAIR(BgL_optidz00_2834, BNIL);
														BgL_list2477z00_2842 =
															MAKE_YOUNG_PAIR(BgL_envidz00_2835,
															BgL_arg2478z00_2843);
													}
													BgL_arg2473z00_2839 = BgL_list2477z00_2842;
												}
												{	/* Ast/unit.scm 504 */
													obj_t BgL_list2479z00_2844;

													{	/* Ast/unit.scm 504 */
														obj_t BgL_arg2481z00_2845;

														BgL_arg2481z00_2845 =
															MAKE_YOUNG_PAIR(((obj_t) BgL_optz00_2836), BNIL);
														BgL_list2479z00_2844 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_envz00_2837), BgL_arg2481z00_2845);
													}
													BgL_arg2475z00_2840 = BgL_list2479z00_2844;
												}
												{	/* Ast/unit.scm 506 */
													obj_t BgL_auxz00_7124;

													{	/* Ast/unit.scm 506 */
														obj_t BgL_auxz00_7125;

														BgL_optz00_2851 = BgL_optidz00_2834;
														{	/* Ast/unit.scm 462 */
															long BgL_loptz00_2853;
															obj_t BgL_formsz00_2854;
															obj_t BgL_optsz00_2855;

															BgL_loptz00_2853 =
																bgl_list_length(BgL_optionalsz00_62);
															{	/* Ast/unit.scm 463 */
																obj_t BgL_l1263z00_2972;

																BgL_l1263z00_2972 =
																	(((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_gloz00_61))))->
																					BgL_valuez00))))->BgL_argsz00);
																if (NULLP(BgL_l1263z00_2972))
																	{	/* Ast/unit.scm 463 */
																		BgL_formsz00_2854 = BNIL;
																	}
																else
																	{	/* Ast/unit.scm 463 */
																		obj_t BgL_head1265z00_2974;

																		{	/* Ast/unit.scm 463 */
																			obj_t BgL_arg2612z00_2986;

																			BgL_arg2612z00_2986 =
																				(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_localz00_bglt)
																								CAR(
																									((obj_t)
																										BgL_l1263z00_2972))))))->
																				BgL_idz00);
																			BgL_head1265z00_2974 =
																				MAKE_YOUNG_PAIR(BgL_arg2612z00_2986,
																				BNIL);
																		}
																		{	/* Ast/unit.scm 463 */
																			obj_t BgL_g1268z00_2975;

																			BgL_g1268z00_2975 =
																				CDR(((obj_t) BgL_l1263z00_2972));
																			{
																				obj_t BgL_l1263z00_2977;
																				obj_t BgL_tail1266z00_2978;

																				BgL_l1263z00_2977 = BgL_g1268z00_2975;
																				BgL_tail1266z00_2978 =
																					BgL_head1265z00_2974;
																			BgL_zc3z04anonymousza32607ze3z87_2979:
																				if (NULLP(BgL_l1263z00_2977))
																					{	/* Ast/unit.scm 463 */
																						BgL_formsz00_2854 =
																							BgL_head1265z00_2974;
																					}
																				else
																					{	/* Ast/unit.scm 463 */
																						obj_t BgL_newtail1267z00_2981;

																						{	/* Ast/unit.scm 463 */
																							obj_t BgL_arg2610z00_2983;

																							BgL_arg2610z00_2983 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_localz00_bglt)
																												CAR(((obj_t)
																														BgL_l1263z00_2977))))))->
																								BgL_idz00);
																							BgL_newtail1267z00_2981 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2610z00_2983, BNIL);
																						}
																						SET_CDR(BgL_tail1266z00_2978,
																							BgL_newtail1267z00_2981);
																						{	/* Ast/unit.scm 463 */
																							obj_t BgL_arg2609z00_2982;

																							BgL_arg2609z00_2982 =
																								CDR(
																								((obj_t) BgL_l1263z00_2977));
																							{
																								obj_t BgL_tail1266z00_7154;
																								obj_t BgL_l1263z00_7153;

																								BgL_l1263z00_7153 =
																									BgL_arg2609z00_2982;
																								BgL_tail1266z00_7154 =
																									BgL_newtail1267z00_2981;
																								BgL_tail1266z00_2978 =
																									BgL_tail1266z00_7154;
																								BgL_l1263z00_2977 =
																									BgL_l1263z00_7153;
																								goto
																									BgL_zc3z04anonymousza32607ze3z87_2979;
																							}
																						}
																					}
																			}
																		}
																	}
															}
															{	/* Ast/unit.scm 464 */
																obj_t BgL_l1269z00_2989;

																BgL_l1269z00_2989 =
																	(((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_gloz00_61))))->
																					BgL_valuez00))))->BgL_optionalsz00);
																if (NULLP(BgL_l1269z00_2989))
																	{	/* Ast/unit.scm 464 */
																		BgL_optsz00_2855 = BNIL;
																	}
																else
																	{	/* Ast/unit.scm 464 */
																		obj_t BgL_head1271z00_2991;

																		BgL_head1271z00_2991 =
																			MAKE_YOUNG_PAIR(BNIL, BNIL);
																		{
																			obj_t BgL_l1269z00_2993;
																			obj_t BgL_tail1272z00_2994;

																			BgL_l1269z00_2993 = BgL_l1269z00_2989;
																			BgL_tail1272z00_2994 =
																				BgL_head1271z00_2991;
																		BgL_zc3z04anonymousza32617ze3z87_2995:
																			if (NULLP(BgL_l1269z00_2993))
																				{	/* Ast/unit.scm 464 */
																					BgL_optsz00_2855 =
																						CDR(BgL_head1271z00_2991);
																				}
																			else
																				{	/* Ast/unit.scm 464 */
																					obj_t BgL_newtail1273z00_2997;

																					{	/* Ast/unit.scm 464 */
																						obj_t BgL_arg2620z00_2999;

																						{	/* Ast/unit.scm 464 */
																							obj_t BgL_oz00_3000;

																							BgL_oz00_3000 =
																								CAR(
																								((obj_t) BgL_l1269z00_2993));
																							{	/* Ast/unit.scm 465 */
																								obj_t BgL_arg2622z00_3001;

																								BgL_arg2622z00_3001 =
																									CAR(((obj_t) BgL_oz00_3000));
																								BgL_arg2620z00_2999 =
																									BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																									(BgL_arg2622z00_3001,
																									BgL_locz00_69);
																							}
																						}
																						BgL_newtail1273z00_2997 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2620z00_2999, BNIL);
																					}
																					SET_CDR(BgL_tail1272z00_2994,
																						BgL_newtail1273z00_2997);
																					{	/* Ast/unit.scm 464 */
																						obj_t BgL_arg2619z00_2998;

																						BgL_arg2619z00_2998 =
																							CDR(((obj_t) BgL_l1269z00_2993));
																						{
																							obj_t BgL_tail1272z00_7176;
																							obj_t BgL_l1269z00_7175;

																							BgL_l1269z00_7175 =
																								BgL_arg2619z00_2998;
																							BgL_tail1272z00_7176 =
																								BgL_newtail1273z00_2997;
																							BgL_tail1272z00_2994 =
																								BgL_tail1272z00_7176;
																							BgL_l1269z00_2993 =
																								BgL_l1269z00_7175;
																							goto
																								BgL_zc3z04anonymousza32617ze3z87_2995;
																						}
																					}
																				}
																		}
																	}
															}
															{	/* Ast/unit.scm 467 */
																obj_t BgL_arg2491z00_2856;
																obj_t BgL_arg2492z00_2857;

																BgL_arg2491z00_2856 =
																	BGl_letzd2symzd2zzast_letz00();
																{	/* Ast/unit.scm 467 */
																	obj_t BgL_arg2494z00_2858;
																	obj_t BgL_arg2495z00_2859;

																	{	/* Ast/unit.scm 467 */
																		obj_t BgL_ll1274z00_2860;
																		obj_t BgL_ll1275z00_2861;

																		BgL_ll1274z00_2860 =
																			BGl_takez00zz__r4_pairs_and_lists_6_3z00(
																			(((BgL_sfunz00_bglt) COBJECT(
																						((BgL_sfunz00_bglt)
																							(((BgL_variablez00_bglt) COBJECT(
																										((BgL_variablez00_bglt)
																											((BgL_globalz00_bglt)
																												BgL_gloz00_61))))->
																								BgL_valuez00))))->
																				BgL_argszd2namezd2), BgL_arityz00_2831);
																		BgL_ll1275z00_2861 =
																			BGl_iotaz00zz__r4_pairs_and_lists_6_3z00(
																			(int) (BgL_arityz00_2831), BNIL);
																		if (NULLP(BgL_ll1274z00_2860))
																			{	/* Ast/unit.scm 467 */
																				BgL_arg2494z00_2858 = BNIL;
																			}
																		else
																			{	/* Ast/unit.scm 467 */
																				obj_t BgL_head1276z00_2863;

																				BgL_head1276z00_2863 =
																					MAKE_YOUNG_PAIR(BNIL, BNIL);
																				{
																					obj_t BgL_ll1274z00_2865;
																					obj_t BgL_ll1275z00_2866;
																					obj_t BgL_tail1277z00_2867;

																					BgL_ll1274z00_2865 =
																						BgL_ll1274z00_2860;
																					BgL_ll1275z00_2866 =
																						BgL_ll1275z00_2861;
																					BgL_tail1277z00_2867 =
																						BgL_head1276z00_2863;
																				BgL_zc3z04anonymousza32497ze3z87_2868:
																					if (NULLP(BgL_ll1274z00_2865))
																						{	/* Ast/unit.scm 467 */
																							BgL_arg2494z00_2858 =
																								CDR(BgL_head1276z00_2863);
																						}
																					else
																						{	/* Ast/unit.scm 467 */
																							obj_t BgL_newtail1278z00_2870;

																							{	/* Ast/unit.scm 467 */
																								obj_t BgL_arg2501z00_2873;

																								{	/* Ast/unit.scm 467 */
																									obj_t BgL_vz00_2874;
																									obj_t BgL_iz00_2875;

																									BgL_vz00_2874 =
																										CAR(
																										((obj_t)
																											BgL_ll1274z00_2865));
																									BgL_iz00_2875 =
																										CAR(((obj_t)
																											BgL_ll1275z00_2866));
																									{	/* Ast/unit.scm 468 */
																										obj_t BgL_arg2502z00_2876;

																										{	/* Ast/unit.scm 468 */
																											obj_t BgL_arg2503z00_2877;

																											{	/* Ast/unit.scm 468 */
																												obj_t
																													BgL_arg2504z00_2878;
																												{	/* Ast/unit.scm 468 */
																													obj_t
																														BgL_arg2506z00_2879;
																													BgL_arg2506z00_2879 =
																														MAKE_YOUNG_PAIR
																														(BgL_iz00_2875,
																														BNIL);
																													BgL_arg2504z00_2878 =
																														MAKE_YOUNG_PAIR
																														(BgL_optz00_2851,
																														BgL_arg2506z00_2879);
																												}
																												BgL_arg2503z00_2877 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 22)),
																													BgL_arg2504z00_2878);
																											}
																											BgL_arg2502z00_2876 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg2503z00_2877,
																												BNIL);
																										}
																										BgL_arg2501z00_2873 =
																											MAKE_YOUNG_PAIR
																											(BgL_vz00_2874,
																											BgL_arg2502z00_2876);
																								}}
																								BgL_newtail1278z00_2870 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2501z00_2873, BNIL);
																							}
																							SET_CDR(BgL_tail1277z00_2867,
																								BgL_newtail1278z00_2870);
																							{	/* Ast/unit.scm 467 */
																								obj_t BgL_arg2499z00_2871;
																								obj_t BgL_arg2500z00_2872;

																								BgL_arg2499z00_2871 =
																									CDR(
																									((obj_t) BgL_ll1274z00_2865));
																								BgL_arg2500z00_2872 =
																									CDR(
																									((obj_t) BgL_ll1275z00_2866));
																								{
																									obj_t BgL_tail1277z00_7210;
																									obj_t BgL_ll1275z00_7209;
																									obj_t BgL_ll1274z00_7208;

																									BgL_ll1274z00_7208 =
																										BgL_arg2499z00_2871;
																									BgL_ll1275z00_7209 =
																										BgL_arg2500z00_2872;
																									BgL_tail1277z00_7210 =
																										BgL_newtail1278z00_2870;
																									BgL_tail1277z00_2867 =
																										BgL_tail1277z00_7210;
																									BgL_ll1275z00_2866 =
																										BgL_ll1275z00_7209;
																									BgL_ll1274z00_2865 =
																										BgL_ll1274z00_7208;
																									goto
																										BgL_zc3z04anonymousza32497ze3z87_2868;
																								}
																							}
																						}
																				}
																			}
																	}
																	{	/* Ast/unit.scm 471 */
																		obj_t BgL_arg2513z00_2884;

																		{	/* Ast/unit.scm 471 */
																			obj_t BgL_arg2514z00_2885;

																			{	/* Ast/unit.scm 471 */
																				obj_t BgL_arg2519z00_2886;
																				obj_t BgL_arg2520z00_2887;

																				{	/* Ast/unit.scm 471 */
																					obj_t BgL_arg2521z00_2888;

																					BgL_arg2521z00_2888 =
																						MAKE_YOUNG_PAIR(BgL_optz00_2851,
																						BNIL);
																					BgL_arg2519z00_2886 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 23)),
																						BgL_arg2521z00_2888);
																				}
																				{	/* Ast/unit.scm 472 */
																					obj_t BgL_arg2522z00_2889;
																					obj_t BgL_arg2523z00_2890;

																					{	/* Ast/unit.scm 472 */
																						obj_t BgL_l1286z00_2891;

																						{	/* Ast/unit.scm 486 */
																							long BgL_arg2579z00_2944;

																							BgL_arg2579z00_2944 =
																								(BgL_loptz00_2853 + ((long) 1));
																							BgL_l1286z00_2891 =
																								BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																								((int) (BgL_arg2579z00_2944),
																								BNIL);
																						}
																						if (NULLP(BgL_l1286z00_2891))
																							{	/* Ast/unit.scm 472 */
																								BgL_arg2522z00_2889 = BNIL;
																							}
																						else
																							{	/* Ast/unit.scm 472 */
																								obj_t BgL_head1288z00_2893;

																								BgL_head1288z00_2893 =
																									MAKE_YOUNG_PAIR(BNIL, BNIL);
																								{
																									obj_t BgL_l1286z00_2895;
																									obj_t BgL_tail1289z00_2896;

																									BgL_l1286z00_2895 =
																										BgL_l1286z00_2891;
																									BgL_tail1289z00_2896 =
																										BgL_head1288z00_2893;
																								BgL_zc3z04anonymousza32525ze3z87_2897:
																									if (NULLP
																										(BgL_l1286z00_2895))
																										{	/* Ast/unit.scm 472 */
																											BgL_arg2522z00_2889 =
																												CDR
																												(BgL_head1288z00_2893);
																										}
																									else
																										{	/* Ast/unit.scm 472 */
																											obj_t
																												BgL_newtail1290z00_2899;
																											{	/* Ast/unit.scm 472 */
																												obj_t
																													BgL_arg2530z00_2901;
																												{	/* Ast/unit.scm 472 */
																													obj_t BgL_iz00_2902;

																													BgL_iz00_2902 =
																														CAR(
																														((obj_t)
																															BgL_l1286z00_2895));
																													{	/* Ast/unit.scm 473 */
																														obj_t
																															BgL_arg2531z00_2903;
																														obj_t
																															BgL_arg2532z00_2904;
																														{	/* Ast/unit.scm 473 */
																															long
																																BgL_arg2535z00_2905;
																															BgL_arg2535z00_2905
																																=
																																(BgL_arityz00_2831
																																+
																																(long)
																																CINT
																																(BgL_iz00_2902));
																															BgL_arg2531z00_2903
																																=
																																MAKE_YOUNG_PAIR
																																(BINT
																																(BgL_arg2535z00_2905),
																																BNIL);
																														}
																														{	/* Ast/unit.scm 474 */
																															obj_t
																																BgL_arg2537z00_2906;
																															{	/* Ast/unit.scm 474 */
																																obj_t
																																	BgL_arg2538z00_2907;
																																{	/* Ast/unit.scm 474 */
																																	obj_t
																																		BgL_arg2541z00_2908;
																																	obj_t
																																		BgL_arg2542z00_2909;
																																	{	/* Ast/unit.scm 474 */
																																		obj_t
																																			BgL_arg2546z00_2910;
																																		obj_t
																																			BgL_arg2547z00_2911;
																																		{	/* Ast/unit.scm 474 */
																																			obj_t
																																				BgL_ll1280z00_2912;
																																			obj_t
																																				BgL_ll1281z00_2913;
																																			BgL_ll1280z00_2912
																																				=
																																				BGl_takez00zz__r4_pairs_and_lists_6_3z00
																																				(BGl_dropz00zz__r4_pairs_and_lists_6_3z00
																																				(BgL_formsz00_2854,
																																					BgL_arityz00_2831),
																																				(long)
																																				CINT
																																				(BgL_iz00_2902));
																																			{	/* Ast/unit.scm 477 */
																																				obj_t
																																					BgL_list2565z00_2934;
																																				BgL_list2565z00_2934
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BINT
																																					(BgL_arityz00_2831),
																																					BNIL);
																																				BgL_ll1281z00_2913
																																					=
																																					BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																																					(CINT
																																					(BgL_iz00_2902),
																																					BgL_list2565z00_2934);
																																			}
																																			if (NULLP
																																				(BgL_ll1280z00_2912))
																																				{	/* Ast/unit.scm 474 */
																																					BgL_arg2546z00_2910
																																						=
																																						BNIL;
																																				}
																																			else
																																				{	/* Ast/unit.scm 474 */
																																					obj_t
																																						BgL_head1282z00_2915;
																																					BgL_head1282z00_2915
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BNIL,
																																						BNIL);
																																					{
																																						obj_t
																																							BgL_ll1280z00_2917;
																																						obj_t
																																							BgL_ll1281z00_2918;
																																						obj_t
																																							BgL_tail1283z00_2919;
																																						BgL_ll1280z00_2917
																																							=
																																							BgL_ll1280z00_2912;
																																						BgL_ll1281z00_2918
																																							=
																																							BgL_ll1281z00_2913;
																																						BgL_tail1283z00_2919
																																							=
																																							BgL_head1282z00_2915;
																																					BgL_zc3z04anonymousza32549ze3z87_2920:
																																						if (NULLP(BgL_ll1280z00_2917))
																																							{	/* Ast/unit.scm 474 */
																																								BgL_arg2546z00_2910
																																									=
																																									CDR
																																									(BgL_head1282z00_2915);
																																							}
																																						else
																																							{	/* Ast/unit.scm 474 */
																																								obj_t
																																									BgL_newtail1284z00_2922;
																																								{	/* Ast/unit.scm 474 */
																																									obj_t
																																										BgL_arg2557z00_2925;
																																									{	/* Ast/unit.scm 474 */
																																										obj_t
																																											BgL_vz00_2926;
																																										obj_t
																																											BgL_jz00_2927;
																																										BgL_vz00_2926
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_ll1280z00_2917));
																																										BgL_jz00_2927
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_ll1281z00_2918));
																																										{	/* Ast/unit.scm 475 */
																																											obj_t
																																												BgL_arg2559z00_2928;
																																											{	/* Ast/unit.scm 475 */
																																												obj_t
																																													BgL_arg2561z00_2929;
																																												{	/* Ast/unit.scm 475 */
																																													obj_t
																																														BgL_arg2562z00_2930;
																																													{	/* Ast/unit.scm 475 */
																																														obj_t
																																															BgL_arg2563z00_2931;
																																														BgL_arg2563z00_2931
																																															=
																																															MAKE_YOUNG_PAIR
																																															(BgL_jz00_2927,
																																															BNIL);
																																														BgL_arg2562z00_2930
																																															=
																																															MAKE_YOUNG_PAIR
																																															(BgL_optz00_2851,
																																															BgL_arg2563z00_2931);
																																													}
																																													BgL_arg2561z00_2929
																																														=
																																														MAKE_YOUNG_PAIR
																																														(CNST_TABLE_REF
																																														(((long) 22)), BgL_arg2562z00_2930);
																																												}
																																												BgL_arg2559z00_2928
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BgL_arg2561z00_2929,
																																													BNIL);
																																											}
																																											BgL_arg2557z00_2925
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BgL_vz00_2926,
																																												BgL_arg2559z00_2928);
																																									}}
																																									BgL_newtail1284z00_2922
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg2557z00_2925,
																																										BNIL);
																																								}
																																								SET_CDR
																																									(BgL_tail1283z00_2919,
																																									BgL_newtail1284z00_2922);
																																								{	/* Ast/unit.scm 474 */
																																									obj_t
																																										BgL_arg2551z00_2923;
																																									obj_t
																																										BgL_arg2552z00_2924;
																																									BgL_arg2551z00_2923
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_ll1280z00_2917));
																																									BgL_arg2552z00_2924
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_ll1281z00_2918));
																																									{
																																										obj_t
																																											BgL_tail1283z00_7260;
																																										obj_t
																																											BgL_ll1281z00_7259;
																																										obj_t
																																											BgL_ll1280z00_7258;
																																										BgL_ll1280z00_7258
																																											=
																																											BgL_arg2551z00_2923;
																																										BgL_ll1281z00_7259
																																											=
																																											BgL_arg2552z00_2924;
																																										BgL_tail1283z00_7260
																																											=
																																											BgL_newtail1284z00_2922;
																																										BgL_tail1283z00_2919
																																											=
																																											BgL_tail1283z00_7260;
																																										BgL_ll1281z00_2918
																																											=
																																											BgL_ll1281z00_7259;
																																										BgL_ll1280z00_2917
																																											=
																																											BgL_ll1280z00_7258;
																																										goto
																																											BgL_zc3z04anonymousza32549ze3z87_2920;
																																									}
																																								}
																																							}
																																					}
																																				}
																																		}
																																		{	/* Ast/unit.scm 474 */
																																			obj_t
																																				BgL_auxz00_7261;
																																			if ((
																																					(long)
																																					CINT
																																					(BgL_iz00_2902)
																																					<=
																																					BgL_loptz00_2853))
																																				{	/* Ast/unit.scm 478 */
																																					BgL_auxz00_7261
																																						=
																																						BGl_dropz00zz__r4_pairs_and_lists_6_3z00
																																						(BgL_optionalsz00_62,
																																						(long)
																																						CINT
																																						(BgL_iz00_2902));
																																				}
																																			else
																																				{	/* Ast/unit.scm 478 */
																																					BgL_auxz00_7261
																																						=
																																						BNIL;
																																				}
																																			BgL_arg2547z00_2911
																																				=
																																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																				(BgL_auxz00_7261,
																																				BNIL);
																																		}
																																		BgL_arg2541z00_2908
																																			=
																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_arg2546z00_2910,
																																			BgL_arg2547z00_2911);
																																	}
																																	{	/* Ast/unit.scm 483 */
																																		obj_t
																																			BgL_arg2570z00_2937;
																																		{	/* Ast/unit.scm 483 */
																																			obj_t
																																				BgL_arg2571z00_2938;
																																			BgL_arg2571z00_2938
																																				=
																																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																				(BGl_takez00zz__r4_pairs_and_lists_6_3z00
																																				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) (((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_gloz00_61))))->BgL_valuez00))))->BgL_argszd2namezd2), BgL_arityz00_2831), BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_optsz00_2855, BNIL));
																																			BgL_arg2570z00_2937
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_gloz00_61,
																																				BgL_arg2571z00_2938);
																																		}
																																		BgL_arg2542z00_2909
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg2570z00_2937,
																																			BNIL);
																																	}
																																	BgL_arg2538z00_2907
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg2541z00_2908,
																																		BgL_arg2542z00_2909);
																																}
																																BgL_arg2537z00_2906
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 24)),
																																	BgL_arg2538z00_2907);
																															}
																															BgL_arg2532z00_2904
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg2537z00_2906,
																																BNIL);
																														}
																														BgL_arg2530z00_2901
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg2531z00_2903,
																															BgL_arg2532z00_2904);
																												}}
																												BgL_newtail1290z00_2899
																													=
																													MAKE_YOUNG_PAIR
																													(BgL_arg2530z00_2901,
																													BNIL);
																											}
																											SET_CDR
																												(BgL_tail1289z00_2896,
																												BgL_newtail1290z00_2899);
																											{	/* Ast/unit.scm 472 */
																												obj_t
																													BgL_arg2527z00_2900;
																												BgL_arg2527z00_2900 =
																													CDR(((obj_t)
																														BgL_l1286z00_2895));
																												{
																													obj_t
																														BgL_tail1289z00_7289;
																													obj_t
																														BgL_l1286z00_7288;
																													BgL_l1286z00_7288 =
																														BgL_arg2527z00_2900;
																													BgL_tail1289z00_7289 =
																														BgL_newtail1290z00_2899;
																													BgL_tail1289z00_2896 =
																														BgL_tail1289z00_7289;
																													BgL_l1286z00_2895 =
																														BgL_l1286z00_7288;
																													goto
																														BgL_zc3z04anonymousza32525ze3z87_2897;
																												}
																											}
																										}
																								}
																							}
																					}
																					{	/* Ast/unit.scm 488 */
																						obj_t BgL_arg2581z00_2946;

																						{	/* Ast/unit.scm 488 */
																							obj_t BgL_arg2582z00_2947;

																							{	/* Ast/unit.scm 488 */
																								obj_t BgL_arg2583z00_2948;

																								if (CBOOL
																									(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
																									{	/* Ast/unit.scm 488 */
																										BgL_arg2583z00_2948 =
																											BUNSPEC;
																									}
																								else
																									{	/* Ast/unit.scm 490 */
																										obj_t BgL_arg2584z00_2949;
																										obj_t BgL_arg2585z00_2950;

																										{	/* Ast/unit.scm 490 */
																											obj_t BgL_arg2587z00_2951;

																											{	/* Ast/unit.scm 490 */
																												obj_t
																													BgL_arg2588z00_2952;
																												BgL_arg2588z00_2952 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 25)),
																													BNIL);
																												BgL_arg2587z00_2951 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 26)),
																													BgL_arg2588z00_2952);
																											}
																											BgL_arg2584z00_2949 =
																												MAKE_YOUNG_PAIR
																												(CNST_TABLE_REF(((long)
																														0)),
																												BgL_arg2587z00_2951);
																										}
																										{	/* Ast/unit.scm 491 */
																											obj_t BgL_arg2590z00_2953;
																											obj_t BgL_arg2591z00_2954;

																											{	/* Ast/unit.scm 491 */
																												obj_t
																													BgL_arg2592z00_2955;
																												BgL_arg2592z00_2955 =
																													MAKE_YOUNG_PAIR
																													(BgL_idz00_63, BNIL);
																												BgL_arg2590z00_2953 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 27)),
																													BgL_arg2592z00_2955);
																											}
																											{	/* Ast/unit.scm 494 */
																												obj_t
																													BgL_arg2593z00_2956;
																												obj_t
																													BgL_arg2594z00_2957;
																												{	/* Ast/unit.scm 494 */
																													obj_t
																														BgL_arg2595z00_2958;
																													obj_t
																														BgL_arg2597z00_2959;
																													{	/* Ast/unit.scm 494 */

																														BgL_arg2595z00_2958
																															=
																															BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																															(BgL_arityz00_2831,
																															((long) 10));
																													}
																													{	/* Ast/unit.scm 495 */

																														BgL_arg2597z00_2959
																															=
																															BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																															((long)
																															CINT
																															(BGl_2zb2zb2zz__r4_numbers_6_5z00
																																(BINT
																																	(BgL_arityz00_2831),
																																	BINT
																																	(BgL_loptz00_2853))),
																															((long) 10));
																													}
																													{	/* Ast/unit.scm 492 */
																														obj_t
																															BgL_list2598z00_2960;
																														{	/* Ast/unit.scm 492 */
																															obj_t
																																BgL_arg2599z00_2961;
																															{	/* Ast/unit.scm 492 */
																																obj_t
																																	BgL_arg2600z00_2962;
																																{	/* Ast/unit.scm 492 */
																																	obj_t
																																		BgL_arg2601z00_2963;
																																	{	/* Ast/unit.scm 492 */
																																		obj_t
																																			BgL_arg2602z00_2964;
																																		BgL_arg2602z00_2964
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BGl_string3479z00zzast_unitz00,
																																			BNIL);
																																		BgL_arg2601z00_2963
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg2597z00_2959,
																																			BgL_arg2602z00_2964);
																																	}
																																	BgL_arg2600z00_2962
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_string3480z00zzast_unitz00,
																																		BgL_arg2601z00_2963);
																																}
																																BgL_arg2599z00_2961
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg2595z00_2958,
																																	BgL_arg2600z00_2962);
																															}
																															BgL_list2598z00_2960
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_string3481z00zzast_unitz00,
																																BgL_arg2599z00_2961);
																														}
																														BgL_arg2593z00_2956
																															=
																															BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																															(BgL_list2598z00_2960);
																												}}
																												{	/* Ast/unit.scm 497 */
																													obj_t
																														BgL_arg2604z00_2970;
																													{	/* Ast/unit.scm 497 */
																														obj_t
																															BgL_arg2605z00_2971;
																														BgL_arg2605z00_2971
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_optz00_2851,
																															BNIL);
																														BgL_arg2604z00_2970
																															=
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 23)),
																															BgL_arg2605z00_2971);
																													}
																													BgL_arg2594z00_2957 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg2604z00_2970,
																														BNIL);
																												}
																												BgL_arg2591z00_2954 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg2593z00_2956,
																													BgL_arg2594z00_2957);
																											}
																											BgL_arg2585z00_2950 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg2590z00_2953,
																												BgL_arg2591z00_2954);
																										}
																										BgL_arg2583z00_2948 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg2584z00_2949,
																											BgL_arg2585z00_2950);
																									}
																								BgL_arg2582z00_2947 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2583z00_2948, BNIL);
																							}
																							BgL_arg2581z00_2946 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 28)),
																								BgL_arg2582z00_2947);
																						}
																						BgL_arg2523z00_2890 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2581z00_2946, BNIL);
																					}
																					BgL_arg2520z00_2887 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg2522z00_2889,
																						BgL_arg2523z00_2890);
																				}
																				BgL_arg2514z00_2885 =
																					MAKE_YOUNG_PAIR(BgL_arg2519z00_2886,
																					BgL_arg2520z00_2887);
																			}
																			BgL_arg2513z00_2884 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						29)), BgL_arg2514z00_2885);
																		}
																		BgL_arg2495z00_2859 =
																			MAKE_YOUNG_PAIR(BgL_arg2513z00_2884,
																			BNIL);
																	}
																	BgL_arg2492z00_2857 =
																		MAKE_YOUNG_PAIR(BgL_arg2494z00_2858,
																		BgL_arg2495z00_2859);
																}
																BgL_auxz00_7125 =
																	MAKE_YOUNG_PAIR(BgL_arg2491z00_2856,
																	BgL_arg2492z00_2857);
														}}
														BgL_auxz00_7124 =
															BGl_comptimezd2expandzd2zzexpand_epsz00
															(BgL_auxz00_7125);
													}
													BgL_arg2476z00_2841 =
														BGl_compilezd2expandzd2zzexpand_epsz00
														(BgL_auxz00_7124);
												}
												BgL_gz00_2838 =
													BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2
													(BgL_idz00_2833, BgL_arg2473z00_2839,
													BgL_arg2475z00_2840, BgL_modulez00_64,
													BgL_classz00_68, BgL_srcz00_67,
													CNST_TABLE_REF(((long) 33)), BgL_arg2476z00_2841);
											}
											{	/* Ast/unit.scm 503 */

												((((BgL_globalz00_bglt) COBJECT(BgL_gz00_2838))->
														BgL_evaluablezf3zf3) =
													((bool_t) ((bool_t) 0)), BUNSPEC);
												{	/* Ast/unit.scm 508 */
													BgL_typez00_bglt BgL_vz00_4948;

													BgL_vz00_4948 =
														((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_gz00_2838)))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_4948), BUNSPEC);
												}
												return BgL_gz00_2838;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* make-sfun-key-definition */
	obj_t BGl_makezd2sfunzd2keyzd2definitionzd2zzast_unitz00(obj_t BgL_keysz00_70,
		obj_t BgL_idz00_71, obj_t BgL_modulez00_72, obj_t BgL_argsz00_73,
		obj_t BgL_bodyz00_74, obj_t BgL_srcz00_75, obj_t BgL_classz00_76,
		obj_t BgL_locz00_77)
	{
		{	/* Ast/unit.scm 514 */
			{	/* Ast/unit.scm 515 */
				obj_t BgL_localsz00_3006;

				{	/* Ast/unit.scm 515 */
					obj_t BgL_arg2628z00_3011;
					obj_t BgL_arg2630z00_3012;

					{	/* Ast/unit.scm 515 */
						obj_t BgL_l1291z00_3013;

						BgL_l1291z00_3013 =
							BGl_dssslzd2beforezd2dssslz00zztools_dssslz00(BgL_argsz00_73);
						if (NULLP(BgL_l1291z00_3013))
							{	/* Ast/unit.scm 515 */
								BgL_arg2628z00_3011 = BNIL;
							}
						else
							{	/* Ast/unit.scm 515 */
								obj_t BgL_head1293z00_3015;

								BgL_head1293z00_3015 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1291z00_3017;
									obj_t BgL_tail1294z00_3018;

									BgL_l1291z00_3017 = BgL_l1291z00_3013;
									BgL_tail1294z00_3018 = BgL_head1293z00_3015;
								BgL_zc3z04anonymousza32632ze3z87_3019:
									if (NULLP(BgL_l1291z00_3017))
										{	/* Ast/unit.scm 515 */
											BgL_arg2628z00_3011 = CDR(BgL_head1293z00_3015);
										}
									else
										{	/* Ast/unit.scm 515 */
											obj_t BgL_newtail1295z00_3021;

											{	/* Ast/unit.scm 515 */
												BgL_localz00_bglt BgL_arg2636z00_3023;

												{	/* Ast/unit.scm 515 */
													obj_t BgL_az00_3024;

													BgL_az00_3024 = CAR(((obj_t) BgL_l1291z00_3017));
													{	/* Ast/unit.scm 516 */
														obj_t BgL_pidz00_3025;

														BgL_pidz00_3025 =
															BGl_checkzd2idzd2zzast_identz00
															(BGl_parsezd2idzd2zzast_identz00(BgL_az00_3024,
																BgL_locz00_77), BgL_srcz00_75);
														{	/* Ast/unit.scm 516 */
															obj_t BgL_idz00_3026;

															BgL_idz00_3026 = CAR(BgL_pidz00_3025);
															{	/* Ast/unit.scm 517 */
																obj_t BgL_typez00_3027;

																BgL_typez00_3027 = CDR(BgL_pidz00_3025);
																{	/* Ast/unit.scm 518 */

																	if (BGl_userzd2symbolzf3z21zzast_identz00
																		(BgL_idz00_3026))
																		{	/* Ast/unit.scm 519 */
																			BgL_arg2636z00_3023 =
																				BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																				(BgL_idz00_3026,
																				((BgL_typez00_bglt) BgL_typez00_3027));
																		}
																	else
																		{	/* Ast/unit.scm 519 */
																			BgL_arg2636z00_3023 =
																				BGl_makezd2localzd2svarz00zzast_localz00
																				(BgL_idz00_3026,
																				((BgL_typez00_bglt) BgL_typez00_3027));
																		}
																}
															}
														}
													}
												}
												BgL_newtail1295z00_3021 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg2636z00_3023), BNIL);
											}
											SET_CDR(BgL_tail1294z00_3018, BgL_newtail1295z00_3021);
											{	/* Ast/unit.scm 515 */
												obj_t BgL_arg2634z00_3022;

												BgL_arg2634z00_3022 = CDR(((obj_t) BgL_l1291z00_3017));
												{
													obj_t BgL_tail1294z00_7364;
													obj_t BgL_l1291z00_7363;

													BgL_l1291z00_7363 = BgL_arg2634z00_3022;
													BgL_tail1294z00_7364 = BgL_newtail1295z00_3021;
													BgL_tail1294z00_3018 = BgL_tail1294z00_7364;
													BgL_l1291z00_3017 = BgL_l1291z00_7363;
													goto BgL_zc3z04anonymousza32632ze3z87_3019;
												}
											}
										}
								}
							}
					}
					{	/* Ast/unit.scm 523 */
						obj_t BgL_head1298z00_3033;

						BgL_head1298z00_3033 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1296z00_3035;
							obj_t BgL_tail1299z00_3036;

							BgL_l1296z00_3035 = BgL_keysz00_70;
							BgL_tail1299z00_3036 = BgL_head1298z00_3033;
						BgL_zc3z04anonymousza32640ze3z87_3037:
							if (NULLP(BgL_l1296z00_3035))
								{	/* Ast/unit.scm 523 */
									BgL_arg2630z00_3012 = CDR(BgL_head1298z00_3033);
								}
							else
								{	/* Ast/unit.scm 523 */
									obj_t BgL_newtail1300z00_3039;

									{	/* Ast/unit.scm 523 */
										BgL_localz00_bglt BgL_arg2644z00_3041;

										{	/* Ast/unit.scm 523 */
											obj_t BgL_oz00_3042;

											BgL_oz00_3042 = CAR(((obj_t) BgL_l1296z00_3035));
											{	/* Ast/unit.scm 524 */
												obj_t BgL_az00_3043;

												BgL_az00_3043 = CAR(((obj_t) BgL_oz00_3042));
												{	/* Ast/unit.scm 524 */
													obj_t BgL_pidz00_3044;

													BgL_pidz00_3044 =
														BGl_checkzd2idzd2zzast_identz00
														(BGl_parsezd2idzd2zzast_identz00(BgL_az00_3043,
															BgL_locz00_77), BgL_srcz00_75);
													{	/* Ast/unit.scm 525 */
														obj_t BgL_idz00_3045;

														BgL_idz00_3045 = CAR(BgL_pidz00_3044);
														{	/* Ast/unit.scm 526 */
															obj_t BgL_typez00_3046;

															BgL_typez00_3046 = CDR(BgL_pidz00_3044);
															{	/* Ast/unit.scm 527 */

																BgL_arg2644z00_3041 =
																	BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																	(BgL_idz00_3045,
																	((BgL_typez00_bglt) BgL_typez00_3046));
															}
														}
													}
												}
											}
										}
										BgL_newtail1300z00_3039 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg2644z00_3041), BNIL);
									}
									SET_CDR(BgL_tail1299z00_3036, BgL_newtail1300z00_3039);
									{	/* Ast/unit.scm 523 */
										obj_t BgL_arg2642z00_3040;

										BgL_arg2642z00_3040 = CDR(((obj_t) BgL_l1296z00_3035));
										{
											obj_t BgL_tail1299z00_7385;
											obj_t BgL_l1296z00_7384;

											BgL_l1296z00_7384 = BgL_arg2642z00_3040;
											BgL_tail1299z00_7385 = BgL_newtail1300z00_3039;
											BgL_tail1299z00_3036 = BgL_tail1299z00_7385;
											BgL_l1296z00_3035 = BgL_l1296z00_7384;
											goto BgL_zc3z04anonymousza32640ze3z87_3037;
										}
									}
								}
						}
					}
					BgL_localsz00_3006 =
						BGl_appendzd221011zd2zzast_unitz00(BgL_arg2628z00_3011,
						BgL_arg2630z00_3012);
				}
				{	/* Ast/unit.scm 515 */
					BgL_globalz00_bglt BgL_gloz00_3007;

					BgL_gloz00_3007 =
						BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_71,
						BgL_argsz00_73, BgL_localsz00_3006, BgL_modulez00_72,
						BgL_classz00_76, BgL_srcz00_75, CNST_TABLE_REF(((long) 8)),
						BgL_bodyz00_74);
					{	/* Ast/unit.scm 530 */
						BgL_globalz00_bglt BgL_cloz00_3008;

						BgL_cloz00_3008 =
							BGl_makezd2sfunzd2keyzd2closurezd2zzast_unitz00(
							((obj_t) BgL_gloz00_3007), BgL_keysz00_70, BgL_idz00_71,
							BgL_modulez00_72, BgL_argsz00_73, BgL_bodyz00_74, BgL_srcz00_75,
							BgL_classz00_76, BgL_locz00_77);
						{	/* Ast/unit.scm 531 */

							{	/* Ast/unit.scm 532 */
								obj_t BgL_list2625z00_3009;

								{	/* Ast/unit.scm 532 */
									obj_t BgL_arg2626z00_3010;

									BgL_arg2626z00_3010 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_cloz00_3008), BNIL);
									BgL_list2625z00_3009 =
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_gloz00_3007), BgL_arg2626z00_3010);
								}
								return BgL_list2625z00_3009;
							}
						}
					}
				}
			}
		}

	}



/* make-sfun-key-closure */
	BgL_globalz00_bglt BGl_makezd2sfunzd2keyzd2closurezd2zzast_unitz00(obj_t
		BgL_gloz00_78, obj_t BgL_keysz00_79, obj_t BgL_idz00_80,
		obj_t BgL_modulez00_81, obj_t BgL_argsz00_82, obj_t BgL_bodyz00_83,
		obj_t BgL_srcz00_84, obj_t BgL_classz00_85, obj_t BgL_locz00_86)
	{
		{	/* Ast/unit.scm 539 */
			{	/* Ast/unit.scm 540 */
				long BgL_arityz00_3049;
				obj_t BgL_ioptz00_3050;
				obj_t BgL_ienvz00_3051;
				long BgL_loptz00_3052;
				obj_t BgL_lz00_3053;
				obj_t BgL_searchz00_3054;
				obj_t BgL_checkz00_3055;
				obj_t BgL_varz00_3056;

				BgL_arityz00_3049 =
					(((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gloz00_78))))->
										BgL_valuez00)))))->BgL_arityz00);
				BgL_ioptz00_3050 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 31)));
				BgL_ienvz00_3051 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 32)));
				BgL_loptz00_3052 = bgl_list_length(BgL_keysz00_79);
				BgL_lz00_3053 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 34)));
				BgL_searchz00_3054 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 35)));
				BgL_checkz00_3055 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 36)));
				BgL_varz00_3056 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 37)));
				{
					obj_t BgL_keysz00_3075;

					{	/* Ast/unit.scm 617 */
						obj_t BgL_idz00_3059;

						{	/* Ast/unit.scm 617 */
							obj_t BgL_arg2658z00_3072;

							{	/* Ast/unit.scm 617 */
								obj_t BgL_arg2659z00_3073;
								obj_t BgL_arg2660z00_3074;

								{	/* Ast/unit.scm 617 */
									obj_t BgL_symbolz00_5003;

									BgL_symbolz00_5003 = CNST_TABLE_REF(((long) 30));
									{	/* Ast/unit.scm 617 */
										obj_t BgL_arg1463z00_5004;

										BgL_arg1463z00_5004 = SYMBOL_TO_STRING(BgL_symbolz00_5003);
										BgL_arg2659z00_3073 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1463z00_5004);
								}}
								{	/* Ast/unit.scm 617 */
									obj_t BgL_arg1463z00_5006;

									BgL_arg1463z00_5006 =
										SYMBOL_TO_STRING(((obj_t) BgL_idz00_80));
									BgL_arg2660z00_3074 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1463z00_5006);
								}
								BgL_arg2658z00_3072 =
									string_append(BgL_arg2659z00_3073, BgL_arg2660z00_3074);
							}
							BgL_idz00_3059 = bstring_to_symbol(BgL_arg2658z00_3072);
						}
						{	/* Ast/unit.scm 617 */
							BgL_localz00_bglt BgL_optz00_3060;

							BgL_optz00_3060 =
								BGl_makezd2localzd2svarz00zzast_localz00(BgL_ioptz00_3050,
								((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00));
							{	/* Ast/unit.scm 618 */
								BgL_localz00_bglt BgL_envz00_3061;

								BgL_envz00_3061 =
									BGl_makezd2localzd2svarz00zzast_localz00(BgL_ienvz00_3051,
									((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00));
								{	/* Ast/unit.scm 619 */
									BgL_globalz00_bglt BgL_gz00_3062;

									{	/* Ast/unit.scm 620 */
										obj_t BgL_arg2647z00_3063;
										obj_t BgL_arg2648z00_3064;
										obj_t BgL_arg2649z00_3065;

										{	/* Ast/unit.scm 620 */
											obj_t BgL_list2650z00_3066;

											{	/* Ast/unit.scm 620 */
												obj_t BgL_arg2652z00_3067;

												BgL_arg2652z00_3067 =
													MAKE_YOUNG_PAIR(BgL_ioptz00_3050, BNIL);
												BgL_list2650z00_3066 =
													MAKE_YOUNG_PAIR(BgL_ienvz00_3051,
													BgL_arg2652z00_3067);
											}
											BgL_arg2647z00_3063 = BgL_list2650z00_3066;
										}
										{	/* Ast/unit.scm 620 */
											obj_t BgL_list2653z00_3068;

											{	/* Ast/unit.scm 620 */
												obj_t BgL_arg2654z00_3069;

												BgL_arg2654z00_3069 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_optz00_3060), BNIL);
												BgL_list2653z00_3068 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_envz00_3061), BgL_arg2654z00_3069);
											}
											BgL_arg2648z00_3064 = BgL_list2653z00_3068;
										}
										{	/* Ast/unit.scm 622 */
											obj_t BgL_auxz00_7432;

											{	/* Ast/unit.scm 623 */
												obj_t BgL_auxz00_7433;

												{	/* Ast/unit.scm 554 */
													obj_t BgL_arg2671z00_3093;
													obj_t BgL_arg2673z00_3094;

													BgL_arg2671z00_3093 = BGl_letzd2symzd2zzast_letz00();
													{	/* Ast/unit.scm 554 */
														obj_t BgL_arg2674z00_3095;
														obj_t BgL_arg2675z00_3096;

														{	/* Ast/unit.scm 554 */
															obj_t BgL_arg2677z00_3097;

															{	/* Ast/unit.scm 554 */
																obj_t BgL_arg2678z00_3098;

																{	/* Ast/unit.scm 554 */
																	obj_t BgL_arg2679z00_3099;

																	{	/* Ast/unit.scm 554 */
																		obj_t BgL_arg2680z00_3100;

																		BgL_arg2680z00_3100 =
																			MAKE_YOUNG_PAIR(BgL_ioptz00_3050, BNIL);
																		BgL_arg2679z00_3099 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					38)), BgL_arg2680z00_3100);
																	}
																	BgL_arg2678z00_3098 =
																		MAKE_YOUNG_PAIR(BgL_arg2679z00_3099, BNIL);
																}
																BgL_arg2677z00_3097 =
																	MAKE_YOUNG_PAIR(BgL_lz00_3053,
																	BgL_arg2678z00_3098);
															}
															BgL_arg2674z00_3095 =
																MAKE_YOUNG_PAIR(BgL_arg2677z00_3097, BNIL);
														}
														{	/* Ast/unit.scm 555 */
															obj_t BgL_arg2681z00_3101;

															{	/* Ast/unit.scm 555 */
																obj_t BgL_arg2682z00_3102;

																{	/* Ast/unit.scm 555 */
																	obj_t BgL_arg2683z00_3103;
																	obj_t BgL_arg2684z00_3104;

																	{	/* Ast/unit.scm 555 */
																		obj_t BgL_arg2685z00_3105;

																		{	/* Ast/unit.scm 555 */
																			obj_t BgL_arg2686z00_3106;

																			{	/* Ast/unit.scm 555 */
																				obj_t BgL_arg2687z00_3107;
																				obj_t BgL_arg2688z00_3108;

																				{	/* Ast/unit.scm 555 */
																					obj_t BgL_arg2689z00_3109;

																					BgL_arg2689z00_3109 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 39)), BNIL);
																					BgL_arg2687z00_3107 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 40)),
																						BgL_arg2689z00_3109);
																				}
																				{	/* Ast/unit.scm 556 */
																					obj_t BgL_arg2690z00_3110;

																					{	/* Ast/unit.scm 556 */
																						obj_t BgL_arg2691z00_3111;

																						{	/* Ast/unit.scm 556 */
																							obj_t BgL_arg2692z00_3112;
																							obj_t BgL_arg2693z00_3113;

																							{	/* Ast/unit.scm 556 */
																								obj_t BgL_arg2694z00_3114;

																								{	/* Ast/unit.scm 556 */
																									obj_t BgL_arg2695z00_3115;

																									BgL_arg2695z00_3115 =
																										MAKE_YOUNG_PAIR
																										(BgL_lz00_3053, BNIL);
																									BgL_arg2694z00_3114 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												39)),
																										BgL_arg2695z00_3115);
																								}
																								BgL_arg2692z00_3112 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 41)),
																									BgL_arg2694z00_3114);
																							}
																							{	/* Ast/unit.scm 558 */
																								obj_t BgL_arg2696z00_3116;

																								{	/* Ast/unit.scm 558 */
																									obj_t BgL_arg2697z00_3117;

																									{	/* Ast/unit.scm 558 */
																										bool_t BgL_test3730z00_7450;

																										if (CBOOL
																											(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
																											{	/* Ast/unit.scm 559 */
																												bool_t
																													BgL__ortest_1122z00_3204;
																												if ((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_gloz00_78)))->BgL_evaluablezf3zf3))
																													{	/* Ast/unit.scm 559 */
																														BgL__ortest_1122z00_3204
																															= ((bool_t) 0);
																													}
																												else
																													{	/* Ast/unit.scm 559 */
																														BgL__ortest_1122z00_3204
																															= ((bool_t) 1);
																													}
																												if (BgL__ortest_1122z00_3204)
																													{	/* Ast/unit.scm 559 */
																														BgL_test3730z00_7450
																															=
																															BgL__ortest_1122z00_3204;
																													}
																												else
																													{	/* Ast/unit.scm 559 */
																														BgL_test3730z00_7450
																															=
																															CBOOL
																															(BGl_za2unsafezd2evalza2zd2zzengine_paramz00);
																													}
																											}
																										else
																											{	/* Ast/unit.scm 558 */
																												BgL_test3730z00_7450 =
																													((bool_t) 0);
																											}
																										if (BgL_test3730z00_7450)
																											{	/* Ast/unit.scm 561 */
																												obj_t
																													BgL_arg2700z00_3121;
																												obj_t
																													BgL_arg2701z00_3122;
																												BgL_arg2700z00_3121 =
																													BGl_letzd2symzd2zzast_letz00
																													();
																												{	/* Ast/unit.scm 561 */
																													obj_t
																														BgL_arg2703z00_3123;
																													obj_t
																														BgL_arg2704z00_3124;
																													{	/* Ast/unit.scm 561 */
																														obj_t
																															BgL_arg2705z00_3125;
																														{	/* Ast/unit.scm 561 */
																															obj_t
																																BgL_arg2706z00_3126;
																															{	/* Ast/unit.scm 561 */
																																obj_t
																																	BgL_arg2708z00_3127;
																																{	/* Ast/unit.scm 561 */
																																	obj_t
																																		BgL_arg2709z00_3128;
																																	{	/* Ast/unit.scm 561 */
																																		obj_t
																																			BgL_arg2710z00_3129;
																																		BgL_arg2710z00_3129
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					39)),
																																			BNIL);
																																		BgL_arg2709z00_3128
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_ioptz00_3050,
																																			BgL_arg2710z00_3129);
																																	}
																																	BgL_arg2708z00_3127
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				22)),
																																		BgL_arg2709z00_3128);
																																}
																																BgL_arg2706z00_3126
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg2708z00_3127,
																																	BNIL);
																															}
																															BgL_arg2705z00_3125
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 42)),
																																BgL_arg2706z00_3126);
																														}
																														BgL_arg2703z00_3123
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg2705z00_3125,
																															BNIL);
																													}
																													{	/* Ast/unit.scm 562 */
																														obj_t
																															BgL_arg2712z00_3130;
																														{	/* Ast/unit.scm 562 */
																															obj_t
																																BgL_arg2714z00_3131;
																															{	/* Ast/unit.scm 562 */
																																obj_t
																																	BgL_arg2715z00_3132;
																																obj_t
																																	BgL_arg2716z00_3133;
																																{	/* Ast/unit.scm 562 */
																																	obj_t
																																		BgL_arg2717z00_3134;
																																	{	/* Ast/unit.scm 562 */
																																		obj_t
																																			BgL_arg2718z00_3135;
																																		BgL_arg2718z00_3135
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					40)),
																																			BNIL);
																																		BgL_arg2717z00_3134
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					42)),
																																			BgL_arg2718z00_3135);
																																	}
																																	BgL_arg2715z00_3132
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				43)),
																																		BgL_arg2717z00_3134);
																																}
																																{	/* Ast/unit.scm 563 */
																																	obj_t
																																		BgL_arg2719z00_3136;
																																	obj_t
																																		BgL_arg2720z00_3137;
																																	{	/* Ast/unit.scm 563 */
																																		obj_t
																																			BgL_arg2721z00_3138;
																																		{	/* Ast/unit.scm 563 */
																																			obj_t
																																				BgL_arg2723z00_3139;
																																			BgL_arg2723z00_3139
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BINT((
																																						(long)
																																						1)),
																																				BNIL);
																																			BgL_arg2721z00_3138
																																				=
																																				MAKE_YOUNG_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						39)),
																																				BgL_arg2723z00_3139);
																																		}
																																		BgL_arg2719z00_3136
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					44)),
																																			BgL_arg2721z00_3138);
																																	}
																																	{	/* Ast/unit.scm 564 */
																																		obj_t
																																			BgL_arg2724z00_3140;
																																		{	/* Ast/unit.scm 564 */
																																			obj_t
																																				BgL_arg2725z00_3141;
																																			{	/* Ast/unit.scm 564 */
																																				obj_t
																																					BgL_arg2726z00_3142;
																																				{	/* Ast/unit.scm 564 */
																																					obj_t
																																						BgL_arg2727z00_3143;
																																					{	/* Ast/unit.scm 564 */
																																						obj_t
																																							BgL_arg2728z00_3144;
																																						{	/* Ast/unit.scm 564 */
																																							obj_t
																																								BgL_arg2730z00_3145;
																																							BgL_arg2730z00_3145
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BINT
																																								(((long) 2)), BNIL);
																																							BgL_arg2728z00_3144
																																								=
																																								MAKE_YOUNG_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 39)), BgL_arg2730z00_3145);
																																						}
																																						BgL_arg2727z00_3143
																																							=
																																							MAKE_YOUNG_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 44)), BgL_arg2728z00_3144);
																																					}
																																					BgL_arg2726z00_3142
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg2727z00_3143,
																																						BNIL);
																																				}
																																				BgL_arg2725z00_3141
																																					=
																																					MAKE_YOUNG_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 40)), BgL_arg2726z00_3142);
																																			}
																																			BgL_arg2724z00_3140
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_searchz00_3054,
																																				BgL_arg2725z00_3141);
																																		}
																																		BgL_arg2720z00_3137
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg2724z00_3140,
																																			BNIL);
																																	}
																																	BgL_arg2716z00_3133
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg2719z00_3136,
																																		BgL_arg2720z00_3137);
																																}
																																BgL_arg2714z00_3131
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg2715z00_3132,
																																	BgL_arg2716z00_3133);
																															}
																															BgL_arg2712z00_3130
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 3)),
																																BgL_arg2714z00_3131);
																														}
																														BgL_arg2704z00_3124
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg2712z00_3130,
																															BNIL);
																													}
																													BgL_arg2701z00_3122 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg2703z00_3123,
																														BgL_arg2704z00_3124);
																												}
																												BgL_arg2697z00_3117 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg2700z00_3121,
																													BgL_arg2701z00_3122);
																											}
																										else
																											{	/* Ast/unit.scm 565 */
																												obj_t
																													BgL_arg2735z00_3146;
																												{	/* Ast/unit.scm 565 */
																													obj_t
																														BgL_arg2736z00_3147;
																													obj_t
																														BgL_arg2737z00_3148;
																													{	/* Ast/unit.scm 565 */
																														obj_t
																															BgL_arg2738z00_3149;
																														{	/* Ast/unit.scm 565 */
																															obj_t
																																BgL_arg2740z00_3150;
																															{	/* Ast/unit.scm 565 */
																																obj_t
																																	BgL_arg2741z00_3151;
																																{	/* Ast/unit.scm 565 */
																																	obj_t
																																		BgL_arg2743z00_3152;
																																	{	/* Ast/unit.scm 565 */
																																		obj_t
																																			BgL_arg2744z00_3153;
																																		BgL_arg2744z00_3153
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BINT((
																																					(long)
																																					1)),
																																			BNIL);
																																		BgL_arg2743z00_3152
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_lz00_3053,
																																			BgL_arg2744z00_3153);
																																	}
																																	BgL_arg2741z00_3151
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				45)),
																																		BgL_arg2743z00_3152);
																																}
																																BgL_arg2740z00_3150
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg2741z00_3151,
																																	BNIL);
																															}
																															BgL_arg2738z00_3149
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 39)),
																																BgL_arg2740z00_3150);
																														}
																														BgL_arg2736z00_3147
																															=
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 41)),
																															BgL_arg2738z00_3149);
																													}
																													{	/* Ast/unit.scm 566 */
																														obj_t
																															BgL_arg2745z00_3154;
																														obj_t
																															BgL_arg2746z00_3155;
																														{	/* Ast/unit.scm 566 */
																															obj_t
																																BgL_arg2747z00_3156;
																															obj_t
																																BgL_arg2749z00_3157;
																															{	/* Ast/unit.scm 566 */
																																obj_t
																																	BgL_arg2750z00_3158;
																																{	/* Ast/unit.scm 566 */
																																	obj_t
																																		BgL_arg2751z00_3159;
																																	BgL_arg2751z00_3159
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				25)),
																																		BNIL);
																																	BgL_arg2750z00_3158
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				26)),
																																		BgL_arg2751z00_3159);
																																}
																																BgL_arg2747z00_3156
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 0)),
																																	BgL_arg2750z00_3158);
																															}
																															{	/* Ast/unit.scm 567 */
																																obj_t
																																	BgL_arg2754z00_3160;
																																obj_t
																																	BgL_arg2762z00_3161;
																																{	/* Ast/unit.scm 567 */
																																	obj_t
																																		BgL_arg2767z00_3162;
																																	BgL_arg2767z00_3162
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_idz00_80,
																																		BNIL);
																																	BgL_arg2754z00_3160
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				27)),
																																		BgL_arg2767z00_3162);
																																}
																																{	/* Ast/unit.scm 570 */
																																	obj_t
																																		BgL_arg2768z00_3163;
																																	obj_t
																																		BgL_arg2771z00_3164;
																																	{	/* Ast/unit.scm 570 */
																																		obj_t
																																			BgL_arg2772z00_3165;
																																		obj_t
																																			BgL_arg2773z00_3166;
																																		{	/* Ast/unit.scm 570 */

																																			BgL_arg2772z00_3165
																																				=
																																				BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																																				(BgL_arityz00_3049,
																																				((long)
																																					10));
																																		}
																																		{	/* Ast/unit.scm 571 */

																																			BgL_arg2773z00_3166
																																				=
																																				BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																																				((long)
																																				CINT
																																				(BGl_2zb2zb2zz__r4_numbers_6_5z00
																																					(BINT
																																						(BgL_arityz00_3049),
																																						BINT
																																						(BgL_loptz00_3052))),
																																				((long)
																																					10));
																																		}
																																		{	/* Ast/unit.scm 568 */
																																			obj_t
																																				BgL_list2774z00_3167;
																																			{	/* Ast/unit.scm 568 */
																																				obj_t
																																					BgL_arg2775z00_3168;
																																				{	/* Ast/unit.scm 568 */
																																					obj_t
																																						BgL_arg2776z00_3169;
																																					{	/* Ast/unit.scm 568 */
																																						obj_t
																																							BgL_arg2777z00_3170;
																																						{	/* Ast/unit.scm 568 */
																																							obj_t
																																								BgL_arg2778z00_3171;
																																							BgL_arg2778z00_3171
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BGl_string3479z00zzast_unitz00,
																																								BNIL);
																																							BgL_arg2777z00_3170
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BgL_arg2773z00_3166,
																																								BgL_arg2778z00_3171);
																																						}
																																						BgL_arg2776z00_3169
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BGl_string3480z00zzast_unitz00,
																																							BgL_arg2777z00_3170);
																																					}
																																					BgL_arg2775z00_3168
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg2772z00_3165,
																																						BgL_arg2776z00_3169);
																																				}
																																				BgL_list2774z00_3167
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BGl_string3481z00zzast_unitz00,
																																					BgL_arg2775z00_3168);
																																			}
																																			BgL_arg2768z00_3163
																																				=
																																				BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																				(BgL_list2774z00_3167);
																																	}}
																																	{	/* Ast/unit.scm 573 */
																																		obj_t
																																			BgL_arg2781z00_3177;
																																		{	/* Ast/unit.scm 573 */
																																			obj_t
																																				BgL_arg2782z00_3178;
																																			BgL_arg2782z00_3178
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_ioptz00_3050,
																																				BNIL);
																																			BgL_arg2781z00_3177
																																				=
																																				MAKE_YOUNG_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						23)),
																																				BgL_arg2782z00_3178);
																																		}
																																		BgL_arg2771z00_3164
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg2781z00_3177,
																																			BNIL);
																																	}
																																	BgL_arg2762z00_3161
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg2768z00_3163,
																																		BgL_arg2771z00_3164);
																																}
																																BgL_arg2749z00_3157
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg2754z00_3160,
																																	BgL_arg2762z00_3161);
																															}
																															BgL_arg2745z00_3154
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg2747z00_3156,
																																BgL_arg2749z00_3157);
																														}
																														{	/* Ast/unit.scm 574 */
																															obj_t
																																BgL_arg2783z00_3179;
																															{	/* Ast/unit.scm 574 */
																																obj_t
																																	BgL_arg2784z00_3180;
																																{	/* Ast/unit.scm 574 */
																																	obj_t
																																		BgL_arg2785z00_3181;
																																	obj_t
																																		BgL_arg2786z00_3182;
																																	{	/* Ast/unit.scm 574 */
																																		obj_t
																																			BgL_arg2788z00_3183;
																																		{	/* Ast/unit.scm 574 */
																																			obj_t
																																				BgL_arg2789z00_3184;
																																			{	/* Ast/unit.scm 574 */
																																				obj_t
																																					BgL_arg2790z00_3185;
																																				{	/* Ast/unit.scm 574 */
																																					obj_t
																																						BgL_arg2792z00_3186;
																																					{	/* Ast/unit.scm 574 */
																																						obj_t
																																							BgL_arg2793z00_3187;
																																						BgL_arg2793z00_3187
																																							=
																																							MAKE_YOUNG_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 39)), BNIL);
																																						BgL_arg2792z00_3186
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_ioptz00_3050,
																																							BgL_arg2793z00_3187);
																																					}
																																					BgL_arg2790z00_3185
																																						=
																																						MAKE_YOUNG_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 22)), BgL_arg2792z00_3186);
																																				}
																																				BgL_arg2789z00_3184
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg2790z00_3185,
																																					BNIL);
																																			}
																																			BgL_arg2788z00_3183
																																				=
																																				MAKE_YOUNG_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						42)),
																																				BgL_arg2789z00_3184);
																																		}
																																		BgL_arg2785z00_3181
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg2788z00_3183,
																																			BNIL);
																																	}
																																	{	/* Ast/unit.scm 575 */
																																		obj_t
																																			BgL_arg2795z00_3188;
																																		{	/* Ast/unit.scm 575 */
																																			obj_t
																																				BgL_arg2796z00_3189;
																																			{	/* Ast/unit.scm 575 */
																																				obj_t
																																					BgL_arg2803z00_3190;
																																				obj_t
																																					BgL_arg2819z00_3191;
																																				{	/* Ast/unit.scm 575 */
																																					obj_t
																																						BgL_arg2820z00_3192;
																																					{	/* Ast/unit.scm 575 */
																																						obj_t
																																							BgL_arg2821z00_3193;
																																						BgL_arg2821z00_3193
																																							=
																																							MAKE_YOUNG_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 40)), BNIL);
																																						BgL_arg2820z00_3192
																																							=
																																							MAKE_YOUNG_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 42)), BgL_arg2821z00_3193);
																																					}
																																					BgL_arg2803z00_3190
																																						=
																																						MAKE_YOUNG_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 43)), BgL_arg2820z00_3192);
																																				}
																																				{	/* Ast/unit.scm 576 */
																																					obj_t
																																						BgL_arg2822z00_3194;
																																					obj_t
																																						BgL_arg2823z00_3195;
																																					{	/* Ast/unit.scm 576 */
																																						obj_t
																																							BgL_arg2824z00_3196;
																																						{	/* Ast/unit.scm 576 */
																																							obj_t
																																								BgL_arg2825z00_3197;
																																							BgL_arg2825z00_3197
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BINT
																																								(((long) 1)), BNIL);
																																							BgL_arg2824z00_3196
																																								=
																																								MAKE_YOUNG_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 39)), BgL_arg2825z00_3197);
																																						}
																																						BgL_arg2822z00_3194
																																							=
																																							MAKE_YOUNG_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 44)), BgL_arg2824z00_3196);
																																					}
																																					{	/* Ast/unit.scm 577 */
																																						obj_t
																																							BgL_arg2826z00_3198;
																																						{	/* Ast/unit.scm 577 */
																																							obj_t
																																								BgL_arg2827z00_3199;
																																							{	/* Ast/unit.scm 577 */
																																								obj_t
																																									BgL_arg2828z00_3200;
																																								{	/* Ast/unit.scm 577 */
																																									obj_t
																																										BgL_arg2829z00_3201;
																																									{	/* Ast/unit.scm 577 */
																																										obj_t
																																											BgL_arg2830z00_3202;
																																										{	/* Ast/unit.scm 577 */
																																											obj_t
																																												BgL_arg2833z00_3203;
																																											BgL_arg2833z00_3203
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BINT
																																												(((long) 2)), BNIL);
																																											BgL_arg2830z00_3202
																																												=
																																												MAKE_YOUNG_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 39)), BgL_arg2833z00_3203);
																																										}
																																										BgL_arg2829z00_3201
																																											=
																																											MAKE_YOUNG_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 44)), BgL_arg2830z00_3202);
																																									}
																																									BgL_arg2828z00_3200
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg2829z00_3201,
																																										BNIL);
																																								}
																																								BgL_arg2827z00_3199
																																									=
																																									MAKE_YOUNG_PAIR
																																									(CNST_TABLE_REF
																																									(((long) 40)), BgL_arg2828z00_3200);
																																							}
																																							BgL_arg2826z00_3198
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BgL_searchz00_3054,
																																								BgL_arg2827z00_3199);
																																						}
																																						BgL_arg2823z00_3195
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_arg2826z00_3198,
																																							BNIL);
																																					}
																																					BgL_arg2819z00_3191
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg2822z00_3194,
																																						BgL_arg2823z00_3195);
																																				}
																																				BgL_arg2796z00_3189
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg2803z00_3190,
																																					BgL_arg2819z00_3191);
																																			}
																																			BgL_arg2795z00_3188
																																				=
																																				MAKE_YOUNG_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						3)),
																																				BgL_arg2796z00_3189);
																																		}
																																		BgL_arg2786z00_3182
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg2795z00_3188,
																																			BNIL);
																																	}
																																	BgL_arg2784z00_3180
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg2785z00_3181,
																																		BgL_arg2786z00_3182);
																																}
																																BgL_arg2783z00_3179
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 46)),
																																	BgL_arg2784z00_3180);
																															}
																															BgL_arg2746z00_3155
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg2783z00_3179,
																																BNIL);
																														}
																														BgL_arg2737z00_3148
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg2745z00_3154,
																															BgL_arg2746z00_3155);
																													}
																													BgL_arg2735z00_3146 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg2736z00_3147,
																														BgL_arg2737z00_3148);
																												}
																												BgL_arg2697z00_3117 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 3)),
																													BgL_arg2735z00_3146);
																									}}
																									BgL_arg2696z00_3116 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg2697z00_3117, BNIL);
																								}
																								BgL_arg2693z00_3113 =
																									MAKE_YOUNG_PAIR(BINT(((long)
																											-1)),
																									BgL_arg2696z00_3116);
																							}
																							BgL_arg2691z00_3111 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2692z00_3112,
																								BgL_arg2693z00_3113);
																						}
																						BgL_arg2690z00_3110 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 3)),
																							BgL_arg2691z00_3111);
																					}
																					BgL_arg2688z00_3108 =
																						MAKE_YOUNG_PAIR(BgL_arg2690z00_3110,
																						BNIL);
																				}
																				BgL_arg2686z00_3106 =
																					MAKE_YOUNG_PAIR(BgL_arg2687z00_3107,
																					BgL_arg2688z00_3108);
																			}
																			BgL_arg2685z00_3105 =
																				MAKE_YOUNG_PAIR(BgL_searchz00_3054,
																				BgL_arg2686z00_3106);
																		}
																		BgL_arg2683z00_3103 =
																			MAKE_YOUNG_PAIR(BgL_arg2685z00_3105,
																			BNIL);
																	}
																	{	/* Ast/unit.scm 578 */
																		obj_t BgL_arg2834z00_3206;

																		{	/* Ast/unit.scm 578 */
																			obj_t BgL_arg2836z00_3207;

																			{	/* Ast/unit.scm 578 */
																				obj_t BgL_arg2837z00_3208;
																				obj_t BgL_arg2838z00_3209;

																				{	/* Ast/unit.scm 578 */
																					obj_t BgL_ll1306z00_3210;
																					obj_t BgL_ll1307z00_3211;

																					BgL_ll1306z00_3210 =
																						BGl_takez00zz__r4_pairs_and_lists_6_3z00
																						((((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) ((
																												(BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_globalz00_bglt) BgL_gloz00_78))))->BgL_valuez00))))->BgL_argszd2namezd2), BgL_arityz00_3049);
																					BgL_ll1307z00_3211 =
																						BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																						((int) (BgL_arityz00_3049), BNIL);
																					if (NULLP(BgL_ll1306z00_3210))
																						{	/* Ast/unit.scm 578 */
																							BgL_arg2837z00_3208 = BNIL;
																						}
																					else
																						{	/* Ast/unit.scm 578 */
																							obj_t BgL_head1308z00_3213;

																							BgL_head1308z00_3213 =
																								MAKE_YOUNG_PAIR(BNIL, BNIL);
																							{
																								obj_t BgL_ll1306z00_3215;
																								obj_t BgL_ll1307z00_3216;
																								obj_t BgL_tail1309z00_3217;

																								BgL_ll1306z00_3215 =
																									BgL_ll1306z00_3210;
																								BgL_ll1307z00_3216 =
																									BgL_ll1307z00_3211;
																								BgL_tail1309z00_3217 =
																									BgL_head1308z00_3213;
																							BgL_zc3z04anonymousza32840ze3z87_3218:
																								if (NULLP
																									(BgL_ll1306z00_3215))
																									{	/* Ast/unit.scm 578 */
																										BgL_arg2837z00_3208 =
																											CDR(BgL_head1308z00_3213);
																									}
																								else
																									{	/* Ast/unit.scm 578 */
																										obj_t
																											BgL_newtail1310z00_3220;
																										{	/* Ast/unit.scm 578 */
																											obj_t BgL_arg2844z00_3223;

																											{	/* Ast/unit.scm 578 */
																												obj_t BgL_vz00_3224;
																												obj_t BgL_iz00_3225;

																												BgL_vz00_3224 =
																													CAR(
																													((obj_t)
																														BgL_ll1306z00_3215));
																												BgL_iz00_3225 =
																													CAR(((obj_t)
																														BgL_ll1307z00_3216));
																												{	/* Ast/unit.scm 579 */
																													obj_t
																														BgL_arg2845z00_3226;
																													{	/* Ast/unit.scm 579 */
																														obj_t
																															BgL_arg2846z00_3227;
																														{	/* Ast/unit.scm 579 */
																															obj_t
																																BgL_arg2847z00_3228;
																															{	/* Ast/unit.scm 579 */
																																obj_t
																																	BgL_arg2848z00_3229;
																																BgL_arg2848z00_3229
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_iz00_3225,
																																	BNIL);
																																BgL_arg2847z00_3228
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_ioptz00_3050,
																																	BgL_arg2848z00_3229);
																															}
																															BgL_arg2846z00_3227
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 22)),
																																BgL_arg2847z00_3228);
																														}
																														BgL_arg2845z00_3226
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg2846z00_3227,
																															BNIL);
																													}
																													BgL_arg2844z00_3223 =
																														MAKE_YOUNG_PAIR
																														(BgL_vz00_3224,
																														BgL_arg2845z00_3226);
																											}}
																											BgL_newtail1310z00_3220 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg2844z00_3223,
																												BNIL);
																										}
																										SET_CDR
																											(BgL_tail1309z00_3217,
																											BgL_newtail1310z00_3220);
																										{	/* Ast/unit.scm 578 */
																											obj_t BgL_arg2842z00_3221;
																											obj_t BgL_arg2843z00_3222;

																											BgL_arg2842z00_3221 =
																												CDR(
																												((obj_t)
																													BgL_ll1306z00_3215));
																											BgL_arg2843z00_3222 =
																												CDR(((obj_t)
																													BgL_ll1307z00_3216));
																											{
																												obj_t
																													BgL_tail1309z00_7623;
																												obj_t
																													BgL_ll1307z00_7622;
																												obj_t
																													BgL_ll1306z00_7621;
																												BgL_ll1306z00_7621 =
																													BgL_arg2842z00_3221;
																												BgL_ll1307z00_7622 =
																													BgL_arg2843z00_3222;
																												BgL_tail1309z00_7623 =
																													BgL_newtail1310z00_3220;
																												BgL_tail1309z00_3217 =
																													BgL_tail1309z00_7623;
																												BgL_ll1307z00_3216 =
																													BgL_ll1307z00_7622;
																												BgL_ll1306z00_3215 =
																													BgL_ll1306z00_7621;
																												goto
																													BgL_zc3z04anonymousza32840ze3z87_3218;
																											}
																										}
																									}
																							}
																						}
																				}
																				{	/* Ast/unit.scm 582 */
																					obj_t BgL_arg2852z00_3234;

																					{	/* Ast/unit.scm 582 */
																						obj_t BgL_arg2853z00_3235;

																						{	/* Ast/unit.scm 582 */
																							obj_t BgL_arg2854z00_3236;
																							obj_t BgL_arg2855z00_3237;

																							{	/* Ast/unit.scm 582 */
																								obj_t BgL_head1314z00_3240;

																								BgL_head1314z00_3240 =
																									MAKE_YOUNG_PAIR(BNIL, BNIL);
																								{
																									obj_t BgL_l1312z00_3242;
																									obj_t BgL_tail1315z00_3243;

																									BgL_l1312z00_3242 =
																										BgL_keysz00_79;
																									BgL_tail1315z00_3243 =
																										BgL_head1314z00_3240;
																								BgL_zc3z04anonymousza32857ze3z87_3244:
																									if (NULLP
																										(BgL_l1312z00_3242))
																										{	/* Ast/unit.scm 582 */
																											BgL_arg2854z00_3236 =
																												CDR
																												(BgL_head1314z00_3240);
																										}
																									else
																										{	/* Ast/unit.scm 582 */
																											obj_t
																												BgL_newtail1316z00_3246;
																											{	/* Ast/unit.scm 582 */
																												obj_t
																													BgL_arg2862z00_3248;
																												{	/* Ast/unit.scm 582 */
																													obj_t BgL_pz00_3249;

																													BgL_pz00_3249 =
																														CAR(
																														((obj_t)
																															BgL_l1312z00_3242));
																													{	/* Ast/unit.scm 582 */
																														obj_t
																															BgL_arg2863z00_3250;
																														obj_t
																															BgL_arg2864z00_3251;
																														BgL_arg2863z00_3250
																															=
																															CAR(((obj_t)
																																BgL_pz00_3249));
																														{	/* Ast/unit.scm 582 */
																															obj_t
																																BgL_pairz00_4985;
																															BgL_pairz00_4985 =
																																CDR(((obj_t)
																																	BgL_pz00_3249));
																															BgL_arg2864z00_3251
																																=
																																CAR
																																(BgL_pairz00_4985);
																														}
																														{	/* Ast/unit.scm 582 */
																															obj_t
																																BgL_list2865z00_3252;
																															{	/* Ast/unit.scm 582 */
																																obj_t
																																	BgL_arg2866z00_3253;
																																BgL_arg2866z00_3253
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg2864z00_3251,
																																	BNIL);
																																BgL_list2865z00_3252
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg2863z00_3250,
																																	BgL_arg2866z00_3253);
																															}
																															BgL_arg2862z00_3248
																																=
																																BgL_list2865z00_3252;
																														}
																													}
																												}
																												BgL_newtail1316z00_3246
																													=
																													MAKE_YOUNG_PAIR
																													(BgL_arg2862z00_3248,
																													BNIL);
																											}
																											SET_CDR
																												(BgL_tail1315z00_3243,
																												BgL_newtail1316z00_3246);
																											{	/* Ast/unit.scm 582 */
																												obj_t
																													BgL_arg2861z00_3247;
																												BgL_arg2861z00_3247 =
																													CDR(((obj_t)
																														BgL_l1312z00_3242));
																												{
																													obj_t
																														BgL_tail1315z00_7642;
																													obj_t
																														BgL_l1312z00_7641;
																													BgL_l1312z00_7641 =
																														BgL_arg2861z00_3247;
																													BgL_tail1315z00_7642 =
																														BgL_newtail1316z00_3246;
																													BgL_tail1315z00_3243 =
																														BgL_tail1315z00_7642;
																													BgL_l1312z00_3242 =
																														BgL_l1312z00_7641;
																													goto
																														BgL_zc3z04anonymousza32857ze3z87_3244;
																												}
																											}
																										}
																								}
																							}
																							{	/* Ast/unit.scm 584 */
																								obj_t BgL_arg2867z00_3255;
																								obj_t BgL_arg2868z00_3256;

																								{	/* Ast/unit.scm 584 */
																									bool_t BgL_test3737z00_7643;

																									if (CBOOL
																										(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
																										{	/* Ast/unit.scm 585 */
																											bool_t
																												BgL__ortest_1123z00_3308;
																											if ((((BgL_globalz00_bglt)
																														COBJECT((
																																(BgL_globalz00_bglt)
																																BgL_gloz00_78)))->
																													BgL_evaluablezf3zf3))
																												{	/* Ast/unit.scm 585 */
																													BgL__ortest_1123z00_3308
																														= ((bool_t) 0);
																												}
																											else
																												{	/* Ast/unit.scm 585 */
																													BgL__ortest_1123z00_3308
																														= ((bool_t) 1);
																												}
																											if (BgL__ortest_1123z00_3308)
																												{	/* Ast/unit.scm 585 */
																													BgL_test3737z00_7643 =
																														BgL__ortest_1123z00_3308;
																												}
																											else
																												{	/* Ast/unit.scm 585 */
																													BgL_test3737z00_7643 =
																														CBOOL
																														(BGl_za2unsafezd2evalza2zd2zzengine_paramz00);
																												}
																										}
																									else
																										{	/* Ast/unit.scm 584 */
																											BgL_test3737z00_7643 =
																												((bool_t) 0);
																										}
																									if (BgL_test3737z00_7643)
																										{	/* Ast/unit.scm 584 */
																											BgL_arg2867z00_3255 =
																												BUNSPEC;
																										}
																									else
																										{	/* Ast/unit.scm 588 */
																											obj_t BgL_arg2871z00_3260;

																											{	/* Ast/unit.scm 588 */
																												obj_t
																													BgL_arg2872z00_3261;
																												obj_t
																													BgL_arg2876z00_3262;
																												{	/* Ast/unit.scm 588 */
																													obj_t
																														BgL_arg2877z00_3263;
																													{	/* Ast/unit.scm 588 */
																														obj_t
																															BgL_arg2878z00_3264;
																														{	/* Ast/unit.scm 588 */
																															obj_t
																																BgL_arg2879z00_3265;
																															obj_t
																																BgL_arg2880z00_3266;
																															BgL_arg2879z00_3265
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 39)),
																																BNIL);
																															{	/* Ast/unit.scm 589 */
																																obj_t
																																	BgL_arg2881z00_3267;
																																{	/* Ast/unit.scm 589 */
																																	obj_t
																																		BgL_arg2882z00_3268;
																																	{	/* Ast/unit.scm 589 */
																																		obj_t
																																			BgL_arg2883z00_3269;
																																		obj_t
																																			BgL_arg2884z00_3270;
																																		{	/* Ast/unit.scm 589 */
																																			obj_t
																																				BgL_arg2887z00_3271;
																																			{	/* Ast/unit.scm 589 */
																																				obj_t
																																					BgL_arg2913z00_3272;
																																				BgL_arg2913z00_3272
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_lz00_3053,
																																					BNIL);
																																				BgL_arg2887z00_3271
																																					=
																																					MAKE_YOUNG_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 39)), BgL_arg2913z00_3272);
																																			}
																																			BgL_arg2883z00_3269
																																				=
																																				MAKE_YOUNG_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						41)),
																																				BgL_arg2887z00_3271);
																																		}
																																		{	/* Ast/unit.scm 590 */
																																			obj_t
																																				BgL_arg2914z00_3273;
																																			obj_t
																																				BgL_arg2915z00_3274;
																																			{	/* Ast/unit.scm 590 */
																																				obj_t
																																					BgL_arg2916z00_3275;
																																				BgL_arg2916z00_3275
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BNIL,
																																					BNIL);
																																				BgL_arg2914z00_3273
																																					=
																																					MAKE_YOUNG_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 27)), BgL_arg2916z00_3275);
																																			}
																																			{	/* Ast/unit.scm 591 */
																																				obj_t
																																					BgL_arg2918z00_3276;
																																				{	/* Ast/unit.scm 591 */
																																					obj_t
																																						BgL_arg2919z00_3277;
																																					{	/* Ast/unit.scm 591 */
																																						obj_t
																																							BgL_arg2920z00_3278;
																																						obj_t
																																							BgL_arg2921z00_3279;
																																						{	/* Ast/unit.scm 591 */
																																							obj_t
																																								BgL_arg2922z00_3280;
																																							{	/* Ast/unit.scm 591 */
																																								obj_t
																																									BgL_arg2923z00_3281;
																																								obj_t
																																									BgL_arg2924z00_3282;
																																								{	/* Ast/unit.scm 591 */
																																									obj_t
																																										BgL_arg2927z00_3283;
																																									{	/* Ast/unit.scm 591 */
																																										obj_t
																																											BgL_arg2928z00_3284;
																																										BgL_arg2928z00_3284
																																											=
																																											MAKE_YOUNG_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 39)), BNIL);
																																										BgL_arg2927z00_3283
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BgL_ioptz00_3050,
																																											BgL_arg2928z00_3284);
																																									}
																																									BgL_arg2923z00_3281
																																										=
																																										MAKE_YOUNG_PAIR
																																										(CNST_TABLE_REF
																																										(((long) 47)), BgL_arg2927z00_3283);
																																								}
																																								{	/* Ast/unit.scm 592 */
																																									obj_t
																																										BgL_arg2929z00_3285;
																																									{	/* Ast/unit.scm 592 */
																																										obj_t
																																											BgL_arg2930z00_3286;
																																										{	/* Ast/unit.scm 592 */
																																											obj_t
																																												BgL_tmpz00_7666;
																																											BgL_keysz00_3075
																																												=
																																												BgL_keysz00_79;
																																											{	/* Ast/unit.scm 550 */
																																												obj_t
																																													BgL_head1303z00_3079;
																																												BgL_head1303z00_3079
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BNIL,
																																													BNIL);
																																												{
																																													obj_t
																																														BgL_l1301z00_3081;
																																													obj_t
																																														BgL_tail1304z00_3082;
																																													BgL_l1301z00_3081
																																														=
																																														BgL_keysz00_3075;
																																													BgL_tail1304z00_3082
																																														=
																																														BgL_head1303z00_3079;
																																												BgL_zc3z04anonymousza32663ze3z87_3083:
																																													if (NULLP(BgL_l1301z00_3081))
																																														{	/* Ast/unit.scm 550 */
																																															BgL_tmpz00_7666
																																																=
																																																CDR
																																																(BgL_head1303z00_3079);
																																														}
																																													else
																																														{	/* Ast/unit.scm 550 */
																																															obj_t
																																																BgL_newtail1305z00_3085;
																																															{	/* Ast/unit.scm 550 */
																																																obj_t
																																																	BgL_arg2667z00_3087;
																																																{	/* Ast/unit.scm 550 */
																																																	obj_t
																																																		BgL_kz00_3088;
																																																	BgL_kz00_3088
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_l1301z00_3081));
																																																	{	/* Ast/unit.scm 551 */
																																																		obj_t
																																																			BgL_arg2668z00_3089;
																																																		{	/* Ast/unit.scm 551 */
																																																			obj_t
																																																				BgL_arg2669z00_3090;
																																																			BgL_arg2669z00_3090
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_kz00_3088));
																																																			BgL_arg2668z00_3089
																																																				=
																																																				BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																																				(BgL_arg2669z00_3090,
																																																				BgL_locz00_86);
																																																		}
																																																		BgL_arg2667z00_3087
																																																			=
																																																			BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																																																			(BgL_arg2668z00_3089);
																																																	}
																																																}
																																																BgL_newtail1305z00_3085
																																																	=
																																																	MAKE_YOUNG_PAIR
																																																	(BgL_arg2667z00_3087,
																																																	BNIL);
																																															}
																																															SET_CDR
																																																(BgL_tail1304z00_3082,
																																																BgL_newtail1305z00_3085);
																																															{	/* Ast/unit.scm 550 */
																																																obj_t
																																																	BgL_arg2666z00_3086;
																																																BgL_arg2666z00_3086
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_l1301z00_3081));
																																																{
																																																	obj_t
																																																		BgL_tail1304z00_7682;
																																																	obj_t
																																																		BgL_l1301z00_7681;
																																																	BgL_l1301z00_7681
																																																		=
																																																		BgL_arg2666z00_3086;
																																																	BgL_tail1304z00_7682
																																																		=
																																																		BgL_newtail1305z00_3085;
																																																	BgL_tail1304z00_3082
																																																		=
																																																		BgL_tail1304z00_7682;
																																																	BgL_l1301z00_3081
																																																		=
																																																		BgL_l1301z00_7681;
																																																	goto
																																																		BgL_zc3z04anonymousza32663ze3z87_3083;
																																																}
																																															}
																																														}
																																												}
																																											}
																																											BgL_arg2930z00_3286
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BgL_tmpz00_7666,
																																												BNIL);
																																										}
																																										BgL_arg2929z00_3285
																																											=
																																											MAKE_YOUNG_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 27)), BgL_arg2930z00_3286);
																																									}
																																									BgL_arg2924z00_3282
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg2929z00_3285,
																																										BNIL);
																																								}
																																								BgL_arg2922z00_3280
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg2923z00_3281,
																																									BgL_arg2924z00_3282);
																																							}
																																							BgL_arg2920z00_3278
																																								=
																																								MAKE_YOUNG_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 48)), BgL_arg2922z00_3280);
																																						}
																																						{	/* Ast/unit.scm 593 */
																																							obj_t
																																								BgL_arg2932z00_3288;
																																							obj_t
																																								BgL_arg2933z00_3289;
																																							{	/* Ast/unit.scm 593 */
																																								obj_t
																																									BgL_arg2934z00_3290;
																																								{	/* Ast/unit.scm 593 */
																																									obj_t
																																										BgL_arg2935z00_3291;
																																									{	/* Ast/unit.scm 593 */
																																										obj_t
																																											BgL_arg2937z00_3292;
																																										{	/* Ast/unit.scm 593 */
																																											obj_t
																																												BgL_arg2938z00_3293;
																																											BgL_arg2938z00_3293
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BINT
																																												(((long) 2)), BNIL);
																																											BgL_arg2937z00_3292
																																												=
																																												MAKE_YOUNG_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 39)), BgL_arg2938z00_3293);
																																										}
																																										BgL_arg2935z00_3291
																																											=
																																											MAKE_YOUNG_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 44)), BgL_arg2937z00_3292);
																																									}
																																									BgL_arg2934z00_3290
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg2935z00_3291,
																																										BNIL);
																																								}
																																								BgL_arg2932z00_3288
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_checkz00_3055,
																																									BgL_arg2934z00_3290);
																																							}
																																							{	/* Ast/unit.scm 594 */
																																								obj_t
																																									BgL_arg2939z00_3294;
																																								{	/* Ast/unit.scm 594 */
																																									obj_t
																																										BgL_arg2940z00_3295;
																																									obj_t
																																										BgL_arg2941z00_3296;
																																									{	/* Ast/unit.scm 594 */
																																										obj_t
																																											BgL_arg2942z00_3297;
																																										{	/* Ast/unit.scm 594 */
																																											obj_t
																																												BgL_arg2943z00_3298;
																																											BgL_arg2943z00_3298
																																												=
																																												MAKE_YOUNG_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 25)), BNIL);
																																											BgL_arg2942z00_3297
																																												=
																																												MAKE_YOUNG_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 26)), BgL_arg2943z00_3298);
																																										}
																																										BgL_arg2940z00_3295
																																											=
																																											MAKE_YOUNG_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 0)), BgL_arg2942z00_3297);
																																									}
																																									{	/* Ast/unit.scm 595 */
																																										obj_t
																																											BgL_arg2944z00_3299;
																																										obj_t
																																											BgL_arg2945z00_3300;
																																										{	/* Ast/unit.scm 595 */
																																											obj_t
																																												BgL_arg2946z00_3301;
																																											BgL_arg2946z00_3301
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BgL_idz00_80,
																																												BNIL);
																																											BgL_arg2944z00_3299
																																												=
																																												MAKE_YOUNG_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 27)), BgL_arg2946z00_3301);
																																										}
																																										{	/* Ast/unit.scm 597 */
																																											obj_t
																																												BgL_arg2947z00_3302;
																																											{	/* Ast/unit.scm 597 */
																																												obj_t
																																													BgL_arg2948z00_3303;
																																												{	/* Ast/unit.scm 597 */
																																													obj_t
																																														BgL_arg2949z00_3304;
																																													{	/* Ast/unit.scm 597 */
																																														obj_t
																																															BgL_arg2950z00_3305;
																																														BgL_arg2950z00_3305
																																															=
																																															MAKE_YOUNG_PAIR
																																															(CNST_TABLE_REF
																																															(((long) 39)), BNIL);
																																														BgL_arg2949z00_3304
																																															=
																																															MAKE_YOUNG_PAIR
																																															(BgL_ioptz00_3050,
																																															BgL_arg2950z00_3305);
																																													}
																																													BgL_arg2948z00_3303
																																														=
																																														MAKE_YOUNG_PAIR
																																														(CNST_TABLE_REF
																																														(((long) 47)), BgL_arg2949z00_3304);
																																												}
																																												BgL_arg2947z00_3302
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BgL_arg2948z00_3303,
																																													BNIL);
																																											}
																																											BgL_arg2945z00_3300
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BGl_string3482z00zzast_unitz00,
																																												BgL_arg2947z00_3302);
																																										}
																																										BgL_arg2941z00_3296
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BgL_arg2944z00_3299,
																																											BgL_arg2945z00_3300);
																																									}
																																									BgL_arg2939z00_3294
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg2940z00_3295,
																																										BgL_arg2941z00_3296);
																																								}
																																								BgL_arg2933z00_3289
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg2939z00_3294,
																																									BNIL);
																																							}
																																							BgL_arg2921z00_3279
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BgL_arg2932z00_3288,
																																								BgL_arg2933z00_3289);
																																						}
																																						BgL_arg2919z00_3277
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_arg2920z00_3278,
																																							BgL_arg2921z00_3279);
																																					}
																																					BgL_arg2918z00_3276
																																						=
																																						MAKE_YOUNG_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 3)), BgL_arg2919z00_3277);
																																				}
																																				BgL_arg2915z00_3274
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg2918z00_3276,
																																					BNIL);
																																			}
																																			BgL_arg2884z00_3270
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg2914z00_3273,
																																				BgL_arg2915z00_3274);
																																		}
																																		BgL_arg2882z00_3268
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg2883z00_3269,
																																			BgL_arg2884z00_3270);
																																	}
																																	BgL_arg2881z00_3267
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				3)),
																																		BgL_arg2882z00_3268);
																																}
																																BgL_arg2880z00_3266
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg2881z00_3267,
																																	BNIL);
																															}
																															BgL_arg2878z00_3264
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg2879z00_3265,
																																BgL_arg2880z00_3266);
																														}
																														BgL_arg2877z00_3263
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_checkz00_3055,
																															BgL_arg2878z00_3264);
																													}
																													BgL_arg2872z00_3261 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg2877z00_3263,
																														BNIL);
																												}
																												{	/* Ast/unit.scm 598 */
																													obj_t
																														BgL_arg2951z00_3306;
																													{	/* Ast/unit.scm 598 */
																														obj_t
																															BgL_arg2952z00_3307;
																														BgL_arg2952z00_3307
																															=
																															MAKE_YOUNG_PAIR
																															(BINT
																															(BgL_arityz00_3049),
																															BNIL);
																														BgL_arg2951z00_3306
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_checkz00_3055,
																															BgL_arg2952z00_3307);
																													}
																													BgL_arg2876z00_3262 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg2951z00_3306,
																														BNIL);
																												}
																												BgL_arg2871z00_3260 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg2872z00_3261,
																													BgL_arg2876z00_3262);
																											}
																											BgL_arg2867z00_3255 =
																												MAKE_YOUNG_PAIR
																												(CNST_TABLE_REF(((long)
																														15)),
																												BgL_arg2871z00_3260);
																								}}
																								{	/* Ast/unit.scm 599 */
																									obj_t BgL_arg2953z00_3310;
																									obj_t BgL_arg2954z00_3311;

																									{	/* Ast/unit.scm 599 */
																										obj_t BgL_head1319z00_3314;

																										BgL_head1319z00_3314 =
																											MAKE_YOUNG_PAIR(BNIL,
																											BNIL);
																										{
																											obj_t BgL_l1317z00_3316;
																											obj_t
																												BgL_tail1320z00_3317;
																											BgL_l1317z00_3316 =
																												BgL_keysz00_79;
																											BgL_tail1320z00_3317 =
																												BgL_head1319z00_3314;
																										BgL_zc3z04anonymousza32956ze3z87_3318:
																											if (NULLP
																												(BgL_l1317z00_3316))
																												{	/* Ast/unit.scm 599 */
																													BgL_arg2953z00_3310 =
																														CDR
																														(BgL_head1319z00_3314);
																												}
																											else
																												{	/* Ast/unit.scm 599 */
																													obj_t
																														BgL_newtail1321z00_3320;
																													{	/* Ast/unit.scm 599 */
																														obj_t
																															BgL_arg2959z00_3322;
																														{	/* Ast/unit.scm 599 */
																															obj_t
																																BgL_pz00_3323;
																															BgL_pz00_3323 =
																																CAR(((obj_t)
																																	BgL_l1317z00_3316));
																															{	/* Ast/unit.scm 600 */
																																obj_t
																																	BgL_iz00_3324;
																																{	/* Ast/unit.scm 600 */
																																	obj_t
																																		BgL_arg3010z00_3348;
																																	BgL_arg3010z00_3348
																																		=
																																		CAR(((obj_t)
																																			BgL_pz00_3323));
																																	BgL_iz00_3324
																																		=
																																		BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																		(BgL_arg3010z00_3348,
																																		BgL_locz00_86);
																																}
																																{	/* Ast/unit.scm 600 */
																																	obj_t
																																		BgL_k1z00_3325;
																																	BgL_k1z00_3325
																																		=
																																		BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																																		(BgL_iz00_3324);
																																	{	/* Ast/unit.scm 601 */
																																		obj_t
																																			BgL_indz00_3326;
																																		BgL_indz00_3326
																																			=
																																			BGl_gensymz00zz__r4_symbols_6_4z00
																																			(CNST_TABLE_REF
																																			(((long)
																																					49)));
																																		{	/* Ast/unit.scm 602 */

																																			{	/* Ast/unit.scm 603 */
																																				obj_t
																																					BgL_arg2961z00_3327;
																																				obj_t
																																					BgL_arg2962z00_3328;
																																				BgL_arg2961z00_3327
																																					=
																																					BGl_letzd2symzd2zzast_letz00
																																					();
																																				{	/* Ast/unit.scm 603 */
																																					obj_t
																																						BgL_arg2963z00_3329;
																																					obj_t
																																						BgL_arg2964z00_3330;
																																					{	/* Ast/unit.scm 603 */
																																						obj_t
																																							BgL_arg2965z00_3331;
																																						{	/* Ast/unit.scm 603 */
																																							obj_t
																																								BgL_arg2966z00_3332;
																																							{	/* Ast/unit.scm 603 */
																																								obj_t
																																									BgL_arg2967z00_3333;
																																								{	/* Ast/unit.scm 603 */
																																									obj_t
																																										BgL_arg2968z00_3334;
																																									{	/* Ast/unit.scm 603 */
																																										obj_t
																																											BgL_arg2969z00_3335;
																																										BgL_arg2969z00_3335
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BINT
																																											(BgL_arityz00_3049),
																																											BNIL);
																																										BgL_arg2968z00_3334
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BgL_k1z00_3325,
																																											BgL_arg2969z00_3335);
																																									}
																																									BgL_arg2967z00_3333
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_searchz00_3054,
																																										BgL_arg2968z00_3334);
																																								}
																																								BgL_arg2966z00_3332
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg2967z00_3333,
																																									BNIL);
																																							}
																																							BgL_arg2965z00_3331
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BgL_indz00_3326,
																																								BgL_arg2966z00_3332);
																																						}
																																						BgL_arg2963z00_3329
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_arg2965z00_3331,
																																							BNIL);
																																					}
																																					{	/* Ast/unit.scm 604 */
																																						obj_t
																																							BgL_arg2973z00_3336;
																																						{	/* Ast/unit.scm 604 */
																																							obj_t
																																								BgL_arg2974z00_3337;
																																							{	/* Ast/unit.scm 604 */
																																								obj_t
																																									BgL_arg2975z00_3338;
																																								obj_t
																																									BgL_arg2976z00_3339;
																																								{	/* Ast/unit.scm 604 */
																																									obj_t
																																										BgL_arg2977z00_3340;
																																									{	/* Ast/unit.scm 604 */
																																										obj_t
																																											BgL_arg2978z00_3341;
																																										BgL_arg2978z00_3341
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BINT
																																											(((long) 0)), BNIL);
																																										BgL_arg2977z00_3340
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BgL_indz00_3326,
																																											BgL_arg2978z00_3341);
																																									}
																																									BgL_arg2975z00_3338
																																										=
																																										MAKE_YOUNG_PAIR
																																										(CNST_TABLE_REF
																																										(((long) 50)), BgL_arg2977z00_3340);
																																								}
																																								{	/* Ast/unit.scm 605 */
																																									obj_t
																																										BgL_arg2979z00_3342;
																																									{	/* Ast/unit.scm 605 */
																																										obj_t
																																											BgL_arg2980z00_3343;
																																										{	/* Ast/unit.scm 605 */
																																											obj_t
																																												BgL_arg2981z00_3344;
																																											{	/* Ast/unit.scm 605 */
																																												obj_t
																																													BgL_arg3005z00_3345;
																																												{	/* Ast/unit.scm 605 */
																																													obj_t
																																														BgL_arg3006z00_3346;
																																													{	/* Ast/unit.scm 605 */
																																														obj_t
																																															BgL_arg3009z00_3347;
																																														BgL_arg3009z00_3347
																																															=
																																															MAKE_YOUNG_PAIR
																																															(BgL_indz00_3326,
																																															BNIL);
																																														BgL_arg3006z00_3346
																																															=
																																															MAKE_YOUNG_PAIR
																																															(BgL_ioptz00_3050,
																																															BgL_arg3009z00_3347);
																																													}
																																													BgL_arg3005z00_3345
																																														=
																																														MAKE_YOUNG_PAIR
																																														(CNST_TABLE_REF
																																														(((long) 22)), BgL_arg3006z00_3346);
																																												}
																																												BgL_arg2981z00_3344
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BgL_arg3005z00_3345,
																																													BNIL);
																																											}
																																											BgL_arg2980z00_3343
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BgL_iz00_3324,
																																												BgL_arg2981z00_3344);
																																										}
																																										BgL_arg2979z00_3342
																																											=
																																											MAKE_YOUNG_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 1)), BgL_arg2980z00_3343);
																																									}
																																									BgL_arg2976z00_3339
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg2979z00_3342,
																																										BNIL);
																																								}
																																								BgL_arg2974z00_3337
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg2975z00_3338,
																																									BgL_arg2976z00_3339);
																																							}
																																							BgL_arg2973z00_3336
																																								=
																																								MAKE_YOUNG_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 51)), BgL_arg2974z00_3337);
																																						}
																																						BgL_arg2964z00_3330
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_arg2973z00_3336,
																																							BNIL);
																																					}
																																					BgL_arg2962z00_3328
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg2963z00_3329,
																																						BgL_arg2964z00_3330);
																																				}
																																				BgL_arg2959z00_3322
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg2961z00_3327,
																																					BgL_arg2962z00_3328);
																														}}}}}}
																														BgL_newtail1321z00_3320
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg2959z00_3322,
																															BNIL);
																													}
																													SET_CDR
																														(BgL_tail1320z00_3317,
																														BgL_newtail1321z00_3320);
																													{	/* Ast/unit.scm 599 */
																														obj_t
																															BgL_arg2958z00_3321;
																														BgL_arg2958z00_3321
																															=
																															CDR(((obj_t)
																																BgL_l1317z00_3316));
																														{
																															obj_t
																																BgL_tail1320z00_7782;
																															obj_t
																																BgL_l1317z00_7781;
																															BgL_l1317z00_7781
																																=
																																BgL_arg2958z00_3321;
																															BgL_tail1320z00_7782
																																=
																																BgL_newtail1321z00_3320;
																															BgL_tail1320z00_3317
																																=
																																BgL_tail1320z00_7782;
																															BgL_l1317z00_3316
																																=
																																BgL_l1317z00_7781;
																															goto
																																BgL_zc3z04anonymousza32956ze3z87_3318;
																														}
																													}
																												}
																										}
																									}
																									{	/* Ast/unit.scm 607 */
																										obj_t BgL_arg3011z00_3350;

																										{	/* Ast/unit.scm 607 */
																											obj_t BgL_arg3012z00_3351;

																											{	/* Ast/unit.scm 607 */
																												obj_t
																													BgL_arg3013z00_3352;
																												obj_t
																													BgL_arg3014z00_3353;
																												{	/* Ast/unit.scm 607 */
																													obj_t
																														BgL_l1322z00_3354;
																													BgL_l1322z00_3354 =
																														BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																														((int)
																														(BgL_arityz00_3049),
																														BNIL);
																													if (NULLP
																														(BgL_l1322z00_3354))
																														{	/* Ast/unit.scm 607 */
																															BgL_arg3013z00_3352
																																= BNIL;
																														}
																													else
																														{	/* Ast/unit.scm 607 */
																															obj_t
																																BgL_head1324z00_3356;
																															BgL_head1324z00_3356
																																=
																																MAKE_YOUNG_PAIR
																																(BNIL, BNIL);
																															{
																																obj_t
																																	BgL_l1322z00_3358;
																																obj_t
																																	BgL_tail1325z00_3359;
																																BgL_l1322z00_3358
																																	=
																																	BgL_l1322z00_3354;
																																BgL_tail1325z00_3359
																																	=
																																	BgL_head1324z00_3356;
																															BgL_zc3z04anonymousza33016ze3z87_3360:
																																if (NULLP
																																	(BgL_l1322z00_3358))
																																	{	/* Ast/unit.scm 607 */
																																		BgL_arg3013z00_3352
																																			=
																																			CDR
																																			(BgL_head1324z00_3356);
																																	}
																																else
																																	{	/* Ast/unit.scm 607 */
																																		obj_t
																																			BgL_newtail1326z00_3362;
																																		{	/* Ast/unit.scm 607 */
																																			obj_t
																																				BgL_arg3019z00_3364;
																																			{	/* Ast/unit.scm 607 */
																																				obj_t
																																					BgL_jz00_3365;
																																				BgL_jz00_3365
																																					=
																																					CAR((
																																						(obj_t)
																																						BgL_l1322z00_3358));
																																				{	/* Ast/unit.scm 608 */
																																					obj_t
																																						BgL_arg3020z00_3366;
																																					{	/* Ast/unit.scm 608 */
																																						obj_t
																																							BgL_arg3021z00_3367;
																																						BgL_arg3021z00_3367
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_jz00_3365,
																																							BNIL);
																																						BgL_arg3020z00_3366
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_ioptz00_3050,
																																							BgL_arg3021z00_3367);
																																					}
																																					BgL_arg3019z00_3364
																																						=
																																						MAKE_YOUNG_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 22)), BgL_arg3020z00_3366);
																																			}}
																																			BgL_newtail1326z00_3362
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg3019z00_3364,
																																				BNIL);
																																		}
																																		SET_CDR
																																			(BgL_tail1325z00_3359,
																																			BgL_newtail1326z00_3362);
																																		{	/* Ast/unit.scm 607 */
																																			obj_t
																																				BgL_arg3018z00_3363;
																																			BgL_arg3018z00_3363
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_l1322z00_3358));
																																			{
																																				obj_t
																																					BgL_tail1325z00_7802;
																																				obj_t
																																					BgL_l1322z00_7801;
																																				BgL_l1322z00_7801
																																					=
																																					BgL_arg3018z00_3363;
																																				BgL_tail1325z00_7802
																																					=
																																					BgL_newtail1326z00_3362;
																																				BgL_tail1325z00_3359
																																					=
																																					BgL_tail1325z00_7802;
																																				BgL_l1322z00_3358
																																					=
																																					BgL_l1322z00_7801;
																																				goto
																																					BgL_zc3z04anonymousza33016ze3z87_3360;
																																			}
																																		}
																																	}
																															}
																														}
																												}
																												BgL_arg3014z00_3353 =
																													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																													(BGl_zc3z04anonymousza33024ze3ze70z60zzast_unitz00
																													(BgL_locz00_86,
																														BgL_keysz00_79),
																													BNIL);
																												BgL_arg3012z00_3351 =
																													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg3013z00_3352,
																													BgL_arg3014z00_3353);
																											}
																											BgL_arg3011z00_3350 =
																												MAKE_YOUNG_PAIR
																												(BgL_gloz00_78,
																												BgL_arg3012z00_3351);
																										}
																										BgL_arg2954z00_3311 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg3011z00_3350,
																											BNIL);
																									}
																									BgL_arg2868z00_3256 =
																										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2953z00_3310,
																										BgL_arg2954z00_3311);
																								}
																								BgL_arg2855z00_3237 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2867z00_3255,
																									BgL_arg2868z00_3256);
																							}
																							BgL_arg2853z00_3235 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2854z00_3236,
																								BgL_arg2855z00_3237);
																						}
																						BgL_arg2852z00_3234 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 24)),
																							BgL_arg2853z00_3235);
																					}
																					BgL_arg2838z00_3209 =
																						MAKE_YOUNG_PAIR(BgL_arg2852z00_3234,
																						BNIL);
																				}
																				BgL_arg2836z00_3207 =
																					MAKE_YOUNG_PAIR(BgL_arg2837z00_3208,
																					BgL_arg2838z00_3209);
																			}
																			BgL_arg2834z00_3206 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						46)), BgL_arg2836z00_3207);
																		}
																		BgL_arg2684z00_3104 =
																			MAKE_YOUNG_PAIR(BgL_arg2834z00_3206,
																			BNIL);
																	}
																	BgL_arg2682z00_3102 =
																		MAKE_YOUNG_PAIR(BgL_arg2683z00_3103,
																		BgL_arg2684z00_3104);
																}
																BgL_arg2681z00_3101 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 15)),
																	BgL_arg2682z00_3102);
															}
															BgL_arg2675z00_3096 =
																MAKE_YOUNG_PAIR(BgL_arg2681z00_3101, BNIL);
														}
														BgL_arg2673z00_3094 =
															MAKE_YOUNG_PAIR(BgL_arg2674z00_3095,
															BgL_arg2675z00_3096);
													}
													BgL_auxz00_7433 =
														MAKE_YOUNG_PAIR(BgL_arg2671z00_3093,
														BgL_arg2673z00_3094);
												}
												BgL_auxz00_7432 =
													BGl_comptimezd2expandzd2zzexpand_epsz00
													(BgL_auxz00_7433);
											}
											BgL_arg2649z00_3065 =
												BGl_compilezd2expandzd2zzexpand_epsz00(BgL_auxz00_7432);
										}
										BgL_gz00_3062 =
											BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2
											(BgL_idz00_3059, BgL_arg2647z00_3063, BgL_arg2648z00_3064,
											BgL_modulez00_81, BgL_classz00_85, BgL_srcz00_84,
											CNST_TABLE_REF(((long) 33)), BgL_arg2649z00_3065);
									}
									{	/* Ast/unit.scm 620 */

										{	/* Ast/unit.scm 624 */
											BgL_typez00_bglt BgL_vz00_5011;

											BgL_vz00_5011 =
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_gz00_3062)))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_5011), BUNSPEC);
										}
										((((BgL_globalz00_bglt) COBJECT(BgL_gz00_3062))->
												BgL_evaluablezf3zf3) =
											((bool_t) ((bool_t) 0)), BUNSPEC);
										return BgL_gz00_3062;
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* <@anonymous:3024>~0 */
	obj_t BGl_zc3z04anonymousza33024ze3ze70z60zzast_unitz00(obj_t BgL_locz00_5251,
		obj_t BgL_l1328z00_3372)
	{
		{	/* Ast/unit.scm 610 */
			if (NULLP(BgL_l1328z00_3372))
				{	/* Ast/unit.scm 610 */
					return BNIL;
				}
			else
				{	/* Ast/unit.scm 611 */
					obj_t BgL_arg3026z00_3375;
					obj_t BgL_arg3027z00_3376;

					{	/* Ast/unit.scm 611 */
						obj_t BgL_pz00_3377;

						BgL_pz00_3377 = CAR(((obj_t) BgL_l1328z00_3372));
						{	/* Ast/unit.scm 611 */
							obj_t BgL_idz00_3378;

							{	/* Ast/unit.scm 612 */
								obj_t BgL_arg3033z00_3382;

								BgL_arg3033z00_3382 = CAR(((obj_t) BgL_pz00_3377));
								BgL_idz00_3378 =
									BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(BgL_arg3033z00_3382,
									BgL_locz00_5251);
							}
							{	/* Ast/unit.scm 614 */
								obj_t BgL_arg3030z00_3379;

								BgL_arg3030z00_3379 =
									BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
									(BgL_idz00_3378);
								{	/* Ast/unit.scm 613 */
									obj_t BgL_list3031z00_3380;

									{	/* Ast/unit.scm 613 */
										obj_t BgL_arg3032z00_3381;

										BgL_arg3032z00_3381 = MAKE_YOUNG_PAIR(BgL_idz00_3378, BNIL);
										BgL_list3031z00_3380 =
											MAKE_YOUNG_PAIR(BgL_arg3030z00_3379, BgL_arg3032z00_3381);
									}
									BgL_arg3026z00_3375 = BgL_list3031z00_3380;
								}
							}
						}
					}
					{	/* Ast/unit.scm 610 */
						obj_t BgL_arg3035z00_3383;

						BgL_arg3035z00_3383 = CDR(((obj_t) BgL_l1328z00_3372));
						BgL_arg3027z00_3376 =
							BGl_zc3z04anonymousza33024ze3ze70z60zzast_unitz00(BgL_locz00_5251,
							BgL_arg3035z00_3383);
					}
					return bgl_append2(BgL_arg3026z00_3375, BgL_arg3027z00_3376);
				}
		}

	}



/* parse-fun-args */
	obj_t BGl_parsezd2funzd2argsz00zzast_unitz00(obj_t BgL_argsz00_87,
		obj_t BgL_srcz00_88, obj_t BgL_locz00_89)
	{
		{	/* Ast/unit.scm 631 */
			{
				obj_t BgL_argsz00_3390;
				obj_t BgL_resz00_3391;

				BgL_argsz00_3390 = BgL_argsz00_87;
				BgL_resz00_3391 = BNIL;
			BgL_zc3z04anonymousza33037ze3z87_3392:
				if (NULLP(BgL_argsz00_3390))
					{	/* Ast/unit.scm 635 */
						return bgl_reverse_bang(BgL_resz00_3391);
					}
				else
					{	/* Ast/unit.scm 635 */
						if (PAIRP(BgL_argsz00_3390))
							{	/* Ast/unit.scm 637 */
								if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
										(BgL_argsz00_3390)))
									{	/* Ast/unit.scm 646 */
										obj_t BgL_argz00_3397;

										BgL_argz00_3397 =
											BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00
											(BgL_argsz00_3390);
										if (CBOOL(BgL_argz00_3397))
											{	/* Ast/unit.scm 648 */
												obj_t BgL_arg3043z00_3398;

												{	/* Ast/unit.scm 648 */
													BgL_localz00_bglt BgL_arg3047z00_3399;

													BgL_arg3047z00_3399 =
														BGl_makezd2userzd2localzd2svarzd2zzast_localz00
														(BgL_argz00_3397,
														((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00));
													BgL_arg3043z00_3398 =
														MAKE_YOUNG_PAIR(((obj_t) BgL_arg3047z00_3399),
														BgL_resz00_3391);
												}
												return bgl_reverse_bang(BgL_arg3043z00_3398);
											}
										else
											{	/* Ast/unit.scm 647 */
												return bgl_reverse_bang(BgL_resz00_3391);
											}
									}
								else
									{	/* Ast/unit.scm 651 */
										obj_t BgL_pidz00_3400;

										BgL_pidz00_3400 =
											BGl_checkzd2idzd2zzast_identz00
											(BGl_parsezd2idzd2zzast_identz00(CAR(BgL_argsz00_3390),
												BgL_locz00_89), BgL_srcz00_88);
										{	/* Ast/unit.scm 651 */
											obj_t BgL_idz00_3401;

											BgL_idz00_3401 = CAR(BgL_pidz00_3400);
											{	/* Ast/unit.scm 652 */
												obj_t BgL_typez00_3402;

												BgL_typez00_3402 = CDR(BgL_pidz00_3400);
												{	/* Ast/unit.scm 653 */

													{	/* Ast/unit.scm 654 */
														obj_t BgL_arg3049z00_3403;
														obj_t BgL_arg3059z00_3404;

														BgL_arg3049z00_3403 = CDR(BgL_argsz00_3390);
														{	/* Ast/unit.scm 655 */
															BgL_localz00_bglt BgL_arg3063z00_3405;

															if (BGl_userzd2symbolzf3z21zzast_identz00
																(BgL_idz00_3401))
																{	/* Ast/unit.scm 655 */
																	BgL_arg3063z00_3405 =
																		BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																		(BgL_idz00_3401,
																		((BgL_typez00_bglt) BgL_typez00_3402));
																}
															else
																{	/* Ast/unit.scm 655 */
																	BgL_arg3063z00_3405 =
																		BGl_makezd2localzd2svarz00zzast_localz00
																		(BgL_idz00_3401,
																		((BgL_typez00_bglt) BgL_typez00_3402));
																}
															BgL_arg3059z00_3404 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg3063z00_3405), BgL_resz00_3391);
														}
														{
															obj_t BgL_resz00_7878;
															obj_t BgL_argsz00_7877;

															BgL_argsz00_7877 = BgL_arg3049z00_3403;
															BgL_resz00_7878 = BgL_arg3059z00_3404;
															BgL_resz00_3391 = BgL_resz00_7878;
															BgL_argsz00_3390 = BgL_argsz00_7877;
															goto BgL_zc3z04anonymousza33037ze3z87_3392;
														}
													}
												}
											}
										}
									}
							}
						else
							{	/* Ast/unit.scm 638 */
								obj_t BgL_pidz00_3410;

								BgL_pidz00_3410 =
									BGl_checkzd2idzd2zzast_identz00
									(BGl_parsezd2idzd2zzast_identz00(BgL_argsz00_3390,
										BgL_locz00_89), BgL_srcz00_88);
								{	/* Ast/unit.scm 638 */
									obj_t BgL_idz00_3411;

									BgL_idz00_3411 = CAR(BgL_pidz00_3410);
									{	/* Ast/unit.scm 639 */
										obj_t BgL_typez00_3412;

										BgL_typez00_3412 = CDR(BgL_pidz00_3410);
										{	/* Ast/unit.scm 640 */

											{	/* Ast/unit.scm 644 */
												obj_t BgL_arg3070z00_3413;

												{	/* Ast/unit.scm 644 */
													BgL_localz00_bglt BgL_arg3071z00_3414;

													BgL_arg3071z00_3414 =
														BGl_makezd2userzd2localzd2svarzd2zzast_localz00
														(BgL_idz00_3411,
														((BgL_typez00_bglt) BgL_typez00_3412));
													BgL_arg3070z00_3413 =
														MAKE_YOUNG_PAIR(((obj_t) BgL_arg3071z00_3414),
														BgL_resz00_3391);
												}
												return bgl_reverse_bang(BgL_arg3070z00_3413);
											}
										}
									}
								}
							}
					}
			}
		}

	}



/* parse-fun-opt-args */
	obj_t BGl_parsezd2funzd2optzd2argszd2zzast_unitz00(obj_t BgL_argsz00_90,
		obj_t BgL_srcz00_91, obj_t BgL_locz00_92)
	{
		{	/* Ast/unit.scm 663 */
			{	/* Ast/unit.scm 664 */
				obj_t BgL_arg3075z00_3417;
				obj_t BgL_arg3076z00_3418;

				{	/* Ast/unit.scm 664 */
					obj_t BgL_l1329z00_3419;

					BgL_l1329z00_3419 =
						BGl_dssslzd2beforezd2dssslz00zztools_dssslz00(BgL_argsz00_90);
					if (NULLP(BgL_l1329z00_3419))
						{	/* Ast/unit.scm 664 */
							BgL_arg3075z00_3417 = BNIL;
						}
					else
						{	/* Ast/unit.scm 664 */
							obj_t BgL_head1331z00_3421;

							BgL_head1331z00_3421 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1329z00_3423;
								obj_t BgL_tail1332z00_3424;

								BgL_l1329z00_3423 = BgL_l1329z00_3419;
								BgL_tail1332z00_3424 = BgL_head1331z00_3421;
							BgL_zc3z04anonymousza33078ze3z87_3425:
								if (NULLP(BgL_l1329z00_3423))
									{	/* Ast/unit.scm 664 */
										BgL_arg3075z00_3417 = CDR(BgL_head1331z00_3421);
									}
								else
									{	/* Ast/unit.scm 664 */
										obj_t BgL_newtail1333z00_3427;

										{	/* Ast/unit.scm 664 */
											BgL_localz00_bglt BgL_arg3081z00_3429;

											{	/* Ast/unit.scm 664 */
												obj_t BgL_az00_3430;

												BgL_az00_3430 = CAR(((obj_t) BgL_l1329z00_3423));
												{	/* Ast/unit.scm 665 */
													obj_t BgL_pidz00_3431;

													BgL_pidz00_3431 =
														BGl_checkzd2idzd2zzast_identz00
														(BGl_parsezd2idzd2zzast_identz00(BgL_az00_3430,
															BgL_locz00_92), BgL_srcz00_91);
													{	/* Ast/unit.scm 665 */
														obj_t BgL_idz00_3432;

														BgL_idz00_3432 = CAR(BgL_pidz00_3431);
														{	/* Ast/unit.scm 666 */
															obj_t BgL_typez00_3433;

															BgL_typez00_3433 = CDR(BgL_pidz00_3431);
															{	/* Ast/unit.scm 667 */

																if (BGl_userzd2symbolzf3z21zzast_identz00
																	(BgL_idz00_3432))
																	{	/* Ast/unit.scm 668 */
																		BgL_arg3081z00_3429 =
																			BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																			(BgL_idz00_3432,
																			((BgL_typez00_bglt) BgL_typez00_3433));
																	}
																else
																	{	/* Ast/unit.scm 668 */
																		BgL_arg3081z00_3429 =
																			BGl_makezd2localzd2svarz00zzast_localz00
																			(BgL_idz00_3432,
																			((BgL_typez00_bglt) BgL_typez00_3433));
																	}
															}
														}
													}
												}
											}
											BgL_newtail1333z00_3427 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg3081z00_3429), BNIL);
										}
										SET_CDR(BgL_tail1332z00_3424, BgL_newtail1333z00_3427);
										{	/* Ast/unit.scm 664 */
											obj_t BgL_arg3080z00_3428;

											BgL_arg3080z00_3428 = CDR(((obj_t) BgL_l1329z00_3423));
											{
												obj_t BgL_tail1332z00_7913;
												obj_t BgL_l1329z00_7912;

												BgL_l1329z00_7912 = BgL_arg3080z00_3428;
												BgL_tail1332z00_7913 = BgL_newtail1333z00_3427;
												BgL_tail1332z00_3424 = BgL_tail1332z00_7913;
												BgL_l1329z00_3423 = BgL_l1329z00_7912;
												goto BgL_zc3z04anonymousza33078ze3z87_3425;
											}
										}
									}
							}
						}
				}
				{	/* Ast/unit.scm 672 */
					obj_t BgL_l1334z00_3437;

					BgL_l1334z00_3437 =
						BGl_dssslzd2optionalszd2zztools_dssslz00(BgL_argsz00_90);
					if (NULLP(BgL_l1334z00_3437))
						{	/* Ast/unit.scm 672 */
							BgL_arg3076z00_3418 = BNIL;
						}
					else
						{	/* Ast/unit.scm 672 */
							obj_t BgL_head1336z00_3439;

							BgL_head1336z00_3439 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1334z00_3441;
								obj_t BgL_tail1337z00_3442;

								BgL_l1334z00_3441 = BgL_l1334z00_3437;
								BgL_tail1337z00_3442 = BgL_head1336z00_3439;
							BgL_zc3z04anonymousza33085ze3z87_3443:
								if (NULLP(BgL_l1334z00_3441))
									{	/* Ast/unit.scm 672 */
										BgL_arg3076z00_3418 = CDR(BgL_head1336z00_3439);
									}
								else
									{	/* Ast/unit.scm 672 */
										obj_t BgL_newtail1338z00_3445;

										{	/* Ast/unit.scm 672 */
											BgL_localz00_bglt BgL_arg3090z00_3447;

											{	/* Ast/unit.scm 672 */
												obj_t BgL_oz00_3448;

												BgL_oz00_3448 = CAR(((obj_t) BgL_l1334z00_3441));
												{	/* Ast/unit.scm 673 */
													obj_t BgL_az00_3449;

													BgL_az00_3449 = CAR(((obj_t) BgL_oz00_3448));
													{	/* Ast/unit.scm 673 */
														obj_t BgL_pidz00_3450;

														BgL_pidz00_3450 =
															BGl_checkzd2idzd2zzast_identz00
															(BGl_parsezd2idzd2zzast_identz00(BgL_az00_3449,
																BgL_locz00_92), BgL_srcz00_91);
														{	/* Ast/unit.scm 674 */
															obj_t BgL_idz00_3451;

															BgL_idz00_3451 = CAR(BgL_pidz00_3450);
															{	/* Ast/unit.scm 675 */
																obj_t BgL_typez00_3452;

																BgL_typez00_3452 = CDR(BgL_pidz00_3450);
																{	/* Ast/unit.scm 676 */

																	BgL_arg3090z00_3447 =
																		BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																		(BgL_idz00_3451,
																		((BgL_typez00_bglt) BgL_typez00_3452));
																}
															}
														}
													}
												}
											}
											BgL_newtail1338z00_3445 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg3090z00_3447), BNIL);
										}
										SET_CDR(BgL_tail1337z00_3442, BgL_newtail1338z00_3445);
										{	/* Ast/unit.scm 672 */
											obj_t BgL_arg3089z00_3446;

											BgL_arg3089z00_3446 = CDR(((obj_t) BgL_l1334z00_3441));
											{
												obj_t BgL_tail1337z00_7937;
												obj_t BgL_l1334z00_7936;

												BgL_l1334z00_7936 = BgL_arg3089z00_3446;
												BgL_tail1337z00_7937 = BgL_newtail1338z00_3445;
												BgL_tail1337z00_3442 = BgL_tail1337z00_7937;
												BgL_l1334z00_3441 = BgL_l1334z00_7936;
												goto BgL_zc3z04anonymousza33085ze3z87_3443;
											}
										}
									}
							}
						}
				}
				return
					BGl_appendzd221011zd2zzast_unitz00(BgL_arg3075z00_3417,
					BgL_arg3076z00_3418);
			}
		}

	}



/* make-svar-definition */
	obj_t BGl_makezd2svarzd2definitionz00zzast_unitz00(obj_t BgL_idz00_100,
		obj_t BgL_srcz00_101)
	{
		{	/* Ast/unit.scm 691 */
			BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_idz00_100,
				BGl_za2moduleza2z00zzmodule_modulez00, BgL_srcz00_101,
				CNST_TABLE_REF(((long) 8)));
			{	/* Ast/unit.scm 695 */
				obj_t BgL_arg3094z00_3459;
				obj_t BgL_arg3095z00_3460;

				BgL_arg3094z00_3459 = CDR(((obj_t) BgL_srcz00_101));
				BgL_arg3095z00_3460 =
					CAR(BGl_checkzd2idzd2zzast_identz00(BGl_parsezd2idzd2zzast_identz00
						(BgL_idz00_100,
							BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_101)),
						BgL_srcz00_101));
				{	/* Ast/unit.scm 695 */
					obj_t BgL_tmpz00_7947;

					BgL_tmpz00_7947 = ((obj_t) BgL_arg3094z00_3459);
					SET_CAR(BgL_tmpz00_7947, BgL_arg3095z00_3460);
			}}
			{	/* Ast/unit.scm 696 */
				obj_t BgL_list3100z00_3464;

				BgL_list3100z00_3464 = MAKE_YOUNG_PAIR(BgL_srcz00_101, BNIL);
				return BgL_list3100z00_3464;
			}
		}

	}



/* make-generic-definition */
	obj_t BGl_makezd2genericzd2definitionz00zzast_unitz00(obj_t BgL_idz00_108,
		obj_t BgL_modulez00_109, obj_t BgL_argsz00_110, obj_t BgL_bodyz00_111,
		obj_t BgL_srcz00_112)
	{
		{	/* Ast/unit.scm 731 */
			{	/* Ast/unit.scm 734 */
				obj_t BgL_optsz00_3498;
				obj_t BgL_keysz00_3499;

				BgL_optsz00_3498 =
					BGl_dssslzd2optionalszd2zztools_dssslz00(BgL_argsz00_110);
				BgL_keysz00_3499 = BGl_dssslzd2keyszd2zztools_dssslz00(BgL_argsz00_110);
				if (NULLP(BgL_optsz00_3498))
					{	/* Ast/unit.scm 737 */
						if (NULLP(BgL_keysz00_3499))
							{	/* Ast/unit.scm 742 */
								return
									BGl_makezd2genericzd2nooptzd2definitionzd2zzast_unitz00
									(BgL_idz00_108, BgL_modulez00_109, BgL_argsz00_110,
									BgL_bodyz00_111, BgL_srcz00_112);
							}
						else
							{	/* Ast/unit.scm 742 */
								return
									BGl_makezd2genericzd2keyzd2definitionzd2zzast_unitz00
									(BgL_keysz00_3499, BgL_idz00_108, BgL_modulez00_109,
									BgL_argsz00_110, BgL_bodyz00_111, BgL_srcz00_112);
							}
					}
				else
					{	/* Ast/unit.scm 738 */
						bool_t BgL_test3758z00_7959;

						{	/* Ast/unit.scm 738 */
							obj_t BgL_arg3159z00_3519;

							{	/* Ast/unit.scm 738 */
								obj_t BgL_arg3160z00_3520;

								{	/* Ast/unit.scm 738 */
									obj_t BgL_hook1343z00_3521;

									BgL_hook1343z00_3521 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
									{
										obj_t BgL_l1340z00_3523;
										obj_t BgL_h1341z00_3524;

										BgL_l1340z00_3523 = BgL_argsz00_110;
										BgL_h1341z00_3524 = BgL_hook1343z00_3521;
									BgL_zc3z04anonymousza33161ze3z87_3525:
										if (NULLP(BgL_l1340z00_3523))
											{	/* Ast/unit.scm 738 */
												BgL_arg3160z00_3520 = CDR(BgL_hook1343z00_3521);
											}
										else
											{	/* Ast/unit.scm 738 */
												bool_t BgL_test3760z00_7964;

												{	/* Ast/unit.scm 738 */
													obj_t BgL_arg3166z00_3532;

													BgL_arg3166z00_3532 =
														CAR(((obj_t) BgL_l1340z00_3523));
													BgL_test3760z00_7964 =
														BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00
														(BgL_arg3166z00_3532);
												}
												if (BgL_test3760z00_7964)
													{	/* Ast/unit.scm 738 */
														obj_t BgL_nh1342z00_3528;

														{	/* Ast/unit.scm 738 */
															obj_t BgL_arg3163z00_3530;

															BgL_arg3163z00_3530 =
																CAR(((obj_t) BgL_l1340z00_3523));
															BgL_nh1342z00_3528 =
																MAKE_YOUNG_PAIR(BgL_arg3163z00_3530, BNIL);
														}
														SET_CDR(BgL_h1341z00_3524, BgL_nh1342z00_3528);
														{	/* Ast/unit.scm 738 */
															obj_t BgL_arg3162z00_3529;

															BgL_arg3162z00_3529 =
																CDR(((obj_t) BgL_l1340z00_3523));
															{
																obj_t BgL_h1341z00_7975;
																obj_t BgL_l1340z00_7974;

																BgL_l1340z00_7974 = BgL_arg3162z00_3529;
																BgL_h1341z00_7975 = BgL_nh1342z00_3528;
																BgL_h1341z00_3524 = BgL_h1341z00_7975;
																BgL_l1340z00_3523 = BgL_l1340z00_7974;
																goto BgL_zc3z04anonymousza33161ze3z87_3525;
															}
														}
													}
												else
													{	/* Ast/unit.scm 738 */
														obj_t BgL_arg3165z00_3531;

														BgL_arg3165z00_3531 =
															CDR(((obj_t) BgL_l1340z00_3523));
														{
															obj_t BgL_l1340z00_7978;

															BgL_l1340z00_7978 = BgL_arg3165z00_3531;
															BgL_l1340z00_3523 = BgL_l1340z00_7978;
															goto BgL_zc3z04anonymousza33161ze3z87_3525;
														}
													}
											}
									}
								}
								BgL_arg3159z00_3519 = CDR(((obj_t) BgL_arg3160z00_3520));
							}
							BgL_test3758z00_7959 = PAIRP(BgL_arg3159z00_3519);
						}
						if (BgL_test3758z00_7959)
							{	/* Ast/unit.scm 740 */
								obj_t BgL_arg3158z00_3518;

								BgL_arg3158z00_3518 =
									BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_112);
								return
									((obj_t)
									BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
									(BGl_string3483z00zzast_unitz00, BgL_srcz00_112,
										BgL_arg3158z00_3518));
							}
						else
							{	/* Ast/unit.scm 738 */
								return
									BGl_makezd2genericzd2optzd2definitionzd2zzast_unitz00
									(BgL_optsz00_3498, BgL_idz00_108, BgL_modulez00_109,
									BgL_argsz00_110, BgL_bodyz00_111, BgL_srcz00_112);
							}
					}
			}
		}

	}



/* make-generic-opt-definition */
	obj_t BGl_makezd2genericzd2optzd2definitionzd2zzast_unitz00(obj_t
		BgL_optionalsz00_113, obj_t BgL_idz00_114, obj_t BgL_modulez00_115,
		obj_t BgL_argsz00_116, obj_t BgL_bodyz00_117, obj_t BgL_srcz00_118)
	{
		{	/* Ast/unit.scm 750 */
			{	/* Ast/unit.scm 751 */
				obj_t BgL_locz00_3535;

				BgL_locz00_3535 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_118);
				{	/* Ast/unit.scm 751 */
					obj_t BgL_genz00_3536;

					BgL_genz00_3536 =
						BGl_makezd2genericzd2nooptzd2definitionzd2zzast_unitz00
						(BgL_idz00_114, BgL_modulez00_115, BgL_argsz00_116, BgL_bodyz00_117,
						BgL_srcz00_118);
					{	/* Ast/unit.scm 752 */
						obj_t BgL_gloz00_3537;

						{	/* Ast/unit.scm 753 */
							obj_t BgL_arg3168z00_3539;

							BgL_arg3168z00_3539 =
								BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(BgL_idz00_114, BFALSE);
							{	/* Ast/unit.scm 753 */
								obj_t BgL_list3169z00_3540;

								BgL_list3169z00_3540 = MAKE_YOUNG_PAIR(BgL_modulez00_115, BNIL);
								BgL_gloz00_3537 =
									BGl_findzd2globalzd2zzast_envz00(BgL_arg3168z00_3539,
									BgL_list3169z00_3540);
							}
						}
						{	/* Ast/unit.scm 753 */
							BgL_globalz00_bglt BgL_cloz00_3538;

							BgL_cloz00_3538 =
								BGl_makezd2sfunzd2optzd2closurezd2zzast_unitz00(BgL_gloz00_3537,
								BgL_optionalsz00_113, BgL_idz00_114, BgL_modulez00_115,
								BgL_argsz00_116, BgL_bodyz00_117, BgL_srcz00_118,
								CNST_TABLE_REF(((long) 13)), BgL_locz00_3535);
							{	/* Ast/unit.scm 754 */

								return
									MAKE_YOUNG_PAIR(((obj_t) BgL_cloz00_3538), BgL_genz00_3536);
							}
						}
					}
				}
			}
		}

	}



/* make-generic-key-definition */
	obj_t BGl_makezd2genericzd2keyzd2definitionzd2zzast_unitz00(obj_t
		BgL_keysz00_119, obj_t BgL_idz00_120, obj_t BgL_modulez00_121,
		obj_t BgL_argsz00_122, obj_t BgL_bodyz00_123, obj_t BgL_srcz00_124)
	{
		{	/* Ast/unit.scm 760 */
			{	/* Ast/unit.scm 761 */
				obj_t BgL_locz00_3541;

				BgL_locz00_3541 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_124);
				{	/* Ast/unit.scm 761 */
					obj_t BgL_genz00_3542;

					BgL_genz00_3542 =
						BGl_makezd2genericzd2nooptzd2definitionzd2zzast_unitz00
						(BgL_idz00_120, BgL_modulez00_121, BgL_argsz00_122, BgL_bodyz00_123,
						BgL_srcz00_124);
					{	/* Ast/unit.scm 762 */
						obj_t BgL_gloz00_3543;

						{	/* Ast/unit.scm 763 */
							obj_t BgL_arg3170z00_3545;

							BgL_arg3170z00_3545 =
								BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(BgL_idz00_120, BFALSE);
							{	/* Ast/unit.scm 763 */
								obj_t BgL_list3171z00_3546;

								BgL_list3171z00_3546 = MAKE_YOUNG_PAIR(BgL_modulez00_121, BNIL);
								BgL_gloz00_3543 =
									BGl_findzd2globalzd2zzast_envz00(BgL_arg3170z00_3545,
									BgL_list3171z00_3546);
							}
						}
						{	/* Ast/unit.scm 763 */
							BgL_globalz00_bglt BgL_cloz00_3544;

							BgL_cloz00_3544 =
								BGl_makezd2sfunzd2keyzd2closurezd2zzast_unitz00(BgL_gloz00_3543,
								BgL_keysz00_119, BgL_idz00_120, BgL_modulez00_121,
								BgL_argsz00_122, BgL_bodyz00_123, BgL_srcz00_124,
								CNST_TABLE_REF(((long) 13)), BgL_locz00_3541);
							{	/* Ast/unit.scm 764 */

								return
									MAKE_YOUNG_PAIR(((obj_t) BgL_cloz00_3544), BgL_genz00_3542);
							}
						}
					}
				}
			}
		}

	}



/* make-generic-noopt-definition */
	obj_t BGl_makezd2genericzd2nooptzd2definitionzd2zzast_unitz00(obj_t
		BgL_idz00_125, obj_t BgL_modulez00_126, obj_t BgL_argsz00_127,
		obj_t BgL_bodyz00_128, obj_t BgL_srcz00_129)
	{
		{	/* Ast/unit.scm 770 */
			{	/* Ast/unit.scm 793 */
				bool_t BgL_test3761z00_8004;

				if (PAIRP(BgL_argsz00_127))
					{	/* Ast/unit.scm 793 */
						obj_t BgL_tmpz00_8007;

						BgL_tmpz00_8007 = CAR(BgL_argsz00_127);
						BgL_test3761z00_8004 = SYMBOLP(BgL_tmpz00_8007);
					}
				else
					{	/* Ast/unit.scm 793 */
						BgL_test3761z00_8004 = ((bool_t) 0);
					}
				if (BgL_test3761z00_8004)
					{	/* Ast/unit.scm 798 */
						obj_t BgL_locz00_3552;

						BgL_locz00_3552 =
							BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_129);
						{	/* Ast/unit.scm 798 */
							obj_t BgL_localsz00_3553;

							{	/* Ast/unit.scm 799 */
								bool_t BgL_test3763z00_8011;

								if (BGl_dssslzd2prototypezf3z21zztools_dssslz00
									(BgL_argsz00_127))
									{	/* Ast/unit.scm 800 */
										obj_t BgL_tmpz00_8014;

										BgL_tmpz00_8014 =
											BGl_dssslzd2optionalszd2zztools_dssslz00(BgL_argsz00_127);
										BgL_test3763z00_8011 = PAIRP(BgL_tmpz00_8014);
									}
								else
									{	/* Ast/unit.scm 799 */
										BgL_test3763z00_8011 = ((bool_t) 0);
									}
								if (BgL_test3763z00_8011)
									{	/* Ast/unit.scm 799 */
										BgL_localsz00_3553 =
											BGl_parsezd2funzd2optzd2argszd2zzast_unitz00
											(BgL_argsz00_127, BgL_srcz00_129, BgL_locz00_3552);
									}
								else
									{	/* Ast/unit.scm 799 */
										BgL_localsz00_3553 =
											BGl_parsezd2funzd2argsz00zzast_unitz00(BgL_argsz00_127,
											BgL_srcz00_129, BgL_locz00_3552);
									}
							}
							{	/* Ast/unit.scm 799 */
								obj_t BgL_pidz00_3554;

								BgL_pidz00_3554 =
									BGl_checkzd2idzd2zzast_identz00
									(BGl_parsezd2idzd2zzast_identz00(BgL_idz00_125,
										BgL_locz00_3552), BgL_srcz00_129);
								{	/* Ast/unit.scm 803 */
									obj_t BgL_namez00_3555;

									BgL_namez00_3555 =
										BGl_gensymz00zz__r4_symbols_6_4z00(CAR(BgL_pidz00_3554));
									{	/* Ast/unit.scm 805 */
										obj_t BgL_gbodyz00_3557;

										BgL_gbodyz00_3557 =
											BGl_makezd2genericzd2bodyz00zzobject_genericz00
											(BgL_idz00_125, BgL_localsz00_3553, BgL_argsz00_127,
											BgL_srcz00_129);
										{	/* Ast/unit.scm 806 */
											BgL_globalz00_bglt BgL_genericz00_3558;

											BgL_genericz00_3558 =
												BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2
												(BgL_idz00_125, BgL_argsz00_127, BgL_localsz00_3553,
												BgL_modulez00_126, CNST_TABLE_REF(((long) 52)),
												BgL_srcz00_129, CNST_TABLE_REF(((long) 8)),
												BgL_gbodyz00_3557);
											{	/* Ast/unit.scm 807 */
												obj_t BgL_defz00_3559;

												{	/* Ast/unit.scm 809 */
													obj_t BgL_arg3198z00_3581;

													{	/* Ast/unit.scm 809 */
														obj_t BgL_arg3199z00_3582;
														obj_t BgL_arg3200z00_3583;

														{	/* Ast/unit.scm 809 */
															obj_t BgL_arg3201z00_3584;

															{	/* Ast/unit.scm 809 */
																obj_t BgL_arg3205z00_3585;

																{	/* Ast/unit.scm 809 */
																	obj_t BgL_arg3212z00_3586;
																	obj_t BgL_arg3213z00_3587;

																	{	/* Ast/unit.scm 809 */
																		bool_t BgL_test3765z00_8027;

																		if (BGl_dssslzd2prototypezf3z21zztools_dssslz00(BgL_argsz00_127))
																			{	/* Ast/unit.scm 810 */
																				obj_t BgL_tmpz00_8030;

																				BgL_tmpz00_8030 =
																					BGl_dssslzd2optionalszd2zztools_dssslz00
																					(BgL_argsz00_127);
																				BgL_test3765z00_8027 =
																					PAIRP(BgL_tmpz00_8030);
																			}
																		else
																			{	/* Ast/unit.scm 809 */
																				BgL_test3765z00_8027 = ((bool_t) 0);
																			}
																		if (BgL_test3765z00_8027)
																			{	/* Ast/unit.scm 809 */
																				if (NULLP(BgL_localsz00_3553))
																					{	/* Ast/unit.scm 811 */
																						BgL_arg3212z00_3586 = BNIL;
																					}
																				else
																					{	/* Ast/unit.scm 811 */
																						obj_t BgL_head1346z00_3593;

																						{	/* Ast/unit.scm 811 */
																							obj_t BgL_arg3223z00_3605;

																							BgL_arg3223z00_3605 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_localz00_bglt)
																												CAR(((obj_t)
																														BgL_localsz00_3553))))))->
																								BgL_idz00);
																							BgL_head1346z00_3593 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg3223z00_3605, BNIL);
																						}
																						{	/* Ast/unit.scm 811 */
																							obj_t BgL_g1349z00_3594;

																							BgL_g1349z00_3594 =
																								CDR(
																								((obj_t) BgL_localsz00_3553));
																							{
																								obj_t BgL_l1344z00_3596;
																								obj_t BgL_tail1347z00_3597;

																								BgL_l1344z00_3596 =
																									BgL_g1349z00_3594;
																								BgL_tail1347z00_3597 =
																									BgL_head1346z00_3593;
																							BgL_zc3z04anonymousza33218ze3z87_3598:
																								if (NULLP
																									(BgL_l1344z00_3596))
																									{	/* Ast/unit.scm 811 */
																										BgL_arg3212z00_3586 =
																											BgL_head1346z00_3593;
																									}
																								else
																									{	/* Ast/unit.scm 811 */
																										obj_t
																											BgL_newtail1348z00_3600;
																										{	/* Ast/unit.scm 811 */
																											obj_t BgL_arg3221z00_3602;

																											BgL_arg3221z00_3602 =
																												(((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_localz00_bglt) CAR(((obj_t) BgL_l1344z00_3596))))))->BgL_idz00);
																											BgL_newtail1348z00_3600 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg3221z00_3602,
																												BNIL);
																										}
																										SET_CDR
																											(BgL_tail1347z00_3597,
																											BgL_newtail1348z00_3600);
																										{	/* Ast/unit.scm 811 */
																											obj_t BgL_arg3220z00_3601;

																											BgL_arg3220z00_3601 =
																												CDR(
																												((obj_t)
																													BgL_l1344z00_3596));
																											{
																												obj_t
																													BgL_tail1347z00_8055;
																												obj_t BgL_l1344z00_8054;

																												BgL_l1344z00_8054 =
																													BgL_arg3220z00_3601;
																												BgL_tail1347z00_8055 =
																													BgL_newtail1348z00_3600;
																												BgL_tail1347z00_3597 =
																													BgL_tail1347z00_8055;
																												BgL_l1344z00_3596 =
																													BgL_l1344z00_8054;
																												goto
																													BgL_zc3z04anonymousza33218ze3z87_3598;
																											}
																										}
																									}
																							}
																						}
																					}
																			}
																		else
																			{	/* Ast/unit.scm 809 */
																				BgL_arg3212z00_3586 =
																					BGl_typedzd2argsze70z35zzast_unitz00
																					(BgL_argsz00_127,
																					BgL_genericz00_3558);
																			}
																	}
																	{	/* Ast/unit.scm 816 */
																		obj_t BgL_arg3226z00_3609;

																		if (PAIRP(BgL_bodyz00_128))
																			{	/* Ast/unit.scm 816 */
																				BgL_arg3226z00_3609 = BgL_bodyz00_128;
																			}
																		else
																			{	/* Ast/unit.scm 818 */
																				obj_t BgL_arg3228z00_3611;

																				{	/* Ast/unit.scm 818 */
																					obj_t BgL_arg3229z00_3612;
																					obj_t BgL_arg3230z00_3613;

																					{	/* Ast/unit.scm 818 */
																						obj_t BgL_arg3231z00_3614;

																						{	/* Ast/unit.scm 818 */
																							obj_t BgL_arg3234z00_3615;

																							BgL_arg3234z00_3615 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 25)), BNIL);
																							BgL_arg3231z00_3614 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 26)),
																								BgL_arg3234z00_3615);
																						}
																						BgL_arg3229z00_3612 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 0)),
																							BgL_arg3231z00_3614);
																					}
																					{	/* Ast/unit.scm 819 */
																						obj_t BgL_arg3246z00_3616;
																						obj_t BgL_arg3247z00_3617;

																						{	/* Ast/unit.scm 819 */
																							obj_t BgL_arg3248z00_3618;

																							BgL_arg3248z00_3618 =
																								MAKE_YOUNG_PAIR
																								(BgL_namez00_3555, BNIL);
																							BgL_arg3246z00_3616 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 27)),
																								BgL_arg3248z00_3618);
																						}
																						{	/* Ast/unit.scm 820 */
																							obj_t BgL_arg3251z00_3619;

																							BgL_arg3251z00_3619 =
																								MAKE_YOUNG_PAIR
																								(BGl_idzd2ofzd2idz00zzast_identz00
																								(CAR(BgL_argsz00_127),
																									BGl_findzd2locationzd2zztools_locationz00
																									(BgL_srcz00_129)), BNIL);
																							BgL_arg3247z00_3617 =
																								MAKE_YOUNG_PAIR
																								(BGl_string3484z00zzast_unitz00,
																								BgL_arg3251z00_3619);
																						}
																						BgL_arg3230z00_3613 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg3246z00_3616,
																							BgL_arg3247z00_3617);
																					}
																					BgL_arg3228z00_3611 =
																						MAKE_YOUNG_PAIR(BgL_arg3229z00_3612,
																						BgL_arg3230z00_3613);
																				}
																				BgL_arg3226z00_3609 =
																					MAKE_YOUNG_PAIR(BgL_arg3228z00_3611,
																					BNIL);
																			}
																		BgL_arg3213z00_3587 =
																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg3226z00_3609, BNIL);
																	}
																	BgL_arg3205z00_3585 =
																		MAKE_YOUNG_PAIR(BgL_arg3212z00_3586,
																		BgL_arg3213z00_3587);
																}
																BgL_arg3201z00_3584 =
																	MAKE_YOUNG_PAIR(BgL_namez00_3555,
																	BgL_arg3205z00_3585);
															}
															BgL_arg3199z00_3582 =
																MAKE_YOUNG_PAIR(BgL_arg3201z00_3584, BNIL);
														}
														BgL_arg3200z00_3583 =
															MAKE_YOUNG_PAIR(BgL_namez00_3555, BNIL);
														BgL_arg3198z00_3581 =
															MAKE_YOUNG_PAIR(BgL_arg3199z00_3582,
															BgL_arg3200z00_3583);
													}
													BgL_defz00_3559 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 15)),
														BgL_arg3198z00_3581);
												}
												{	/* Ast/unit.scm 809 */

													BGl_markzd2methodz12zc0zzobject_methodz00
														(BgL_namez00_3555);
													{	/* Ast/unit.scm 829 */
														obj_t BgL_ozd2unitzd2_3560;

														BgL_ozd2unitzd2_3560 =
															BGl_getzd2genericzd2unitz00zzmodule_classz00();
														{	/* Ast/unit.scm 829 */
															BgL_typez00_bglt BgL_typez00_3561;

															BgL_typez00_3561 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				CAR(
																					((obj_t) BgL_localsz00_3553))))))->
																BgL_typez00);
															{	/* Ast/unit.scm 830 */
																obj_t BgL_genz00_3562;

																{	/* Ast/unit.scm 832 */
																	obj_t BgL_arg3182z00_3568;

																	{	/* Ast/unit.scm 832 */
																		obj_t BgL_arg3184z00_3569;
																		obj_t BgL_arg3185z00_3570;

																		{	/* Ast/unit.scm 832 */
																			obj_t BgL_arg3186z00_3571;

																			{	/* Ast/unit.scm 832 */
																				obj_t BgL_arg3188z00_3572;
																				obj_t BgL_arg3189z00_3573;

																				BgL_arg3188z00_3572 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								BgL_genericz00_3558)))->
																					BgL_idz00);
																				BgL_arg3189z00_3573 =
																					MAKE_YOUNG_PAIR(BgL_modulez00_126,
																					BNIL);
																				BgL_arg3186z00_3571 =
																					MAKE_YOUNG_PAIR(BgL_arg3188z00_3572,
																					BgL_arg3189z00_3573);
																			}
																			BgL_arg3184z00_3569 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						0)), BgL_arg3186z00_3571);
																		}
																		{	/* Ast/unit.scm 833 */
																			obj_t BgL_arg3190z00_3574;
																			obj_t BgL_arg3192z00_3575;

																			BgL_arg3190z00_3574 =
																				BGl_epairifyzd2propagatezd2locz00zztools_miscz00
																				(BgL_defz00_3559, BgL_locz00_3552);
																			{	/* Ast/unit.scm 834 */
																				obj_t BgL_arg3193z00_3576;
																				obj_t BgL_arg3194z00_3577;

																				{	/* Ast/unit.scm 834 */
																					bool_t BgL_test3770z00_8098;

																					{	/* Ast/unit.scm 834 */
																						obj_t BgL_classz00_5075;

																						BgL_classz00_5075 =
																							BGl_tclassz00zzobject_classz00;
																						{	/* Ast/unit.scm 834 */
																							BgL_objectz00_bglt
																								BgL_arg1825z00_5077;
																							{	/* Ast/unit.scm 834 */
																								obj_t BgL_tmpz00_8099;

																								BgL_tmpz00_8099 =
																									((obj_t)
																									((BgL_objectz00_bglt)
																										BgL_typez00_3561));
																								BgL_arg1825z00_5077 =
																									(BgL_objectz00_bglt)
																									(BgL_tmpz00_8099);
																							}
																							{	/* Ast/unit.scm 834 */
																								bool_t BgL_arg1822z00_5080;
																								bool_t BgL_arg1823z00_5081;

																								{	/* Ast/unit.scm 834 */
																									long BgL_idxz00_5084;

																									BgL_idxz00_5084 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1825z00_5077);
																									BgL_arg1822z00_5080 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_5084 +
																												((long) 2))) ==
																										BgL_classz00_5075);
																								}
																								{	/* Ast/unit.scm 834 */
																									bool_t BgL_res3456z00_5106;

																									{	/* Ast/unit.scm 834 */
																										obj_t BgL_oclassz00_5092;

																										{	/* Ast/unit.scm 834 */
																											long BgL_arg1833z00_5098;

																											{	/* Ast/unit.scm 834 */
																												long
																													BgL_arg1834z00_5099;
																												BgL_arg1834z00_5099 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1825z00_5077);
																												BgL_arg1833z00_5098 =
																													(BgL_arg1834z00_5099 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_5092 =
																												VECTOR_REF
																												(BGl_za2classesza2z00zz__objectz00,
																												BgL_arg1833z00_5098);
																										}
																										{	/* Ast/unit.scm 834 */
																											bool_t
																												BgL__ortest_1110z00_5093;
																											BgL__ortest_1110z00_5093 =
																												(BgL_classz00_5075 ==
																												BgL_oclassz00_5092);
																											if (BgL__ortest_1110z00_5093)
																												{	/* Ast/unit.scm 834 */
																													BgL_res3456z00_5106 =
																														BgL__ortest_1110z00_5093;
																												}
																											else
																												{	/* Ast/unit.scm 834 */
																													long
																														BgL_odepthz00_5094;
																													BgL_odepthz00_5094 =
																														BGL_CLASS_DEPTH
																														(BgL_oclassz00_5092);
																													if ((((long) 2) <
																															BgL_odepthz00_5094))
																														{	/* Ast/unit.scm 834 */
																															obj_t
																																BgL_arg1821z00_5096;
																															BgL_arg1821z00_5096
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_oclassz00_5092,
																																((long) 2));
																															BgL_res3456z00_5106
																																=
																																(BgL_arg1821z00_5096
																																==
																																BgL_classz00_5075);
																														}
																													else
																														{	/* Ast/unit.scm 834 */
																															BgL_res3456z00_5106
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_arg1823z00_5081 =
																										BgL_res3456z00_5106;
																								}
																								BgL_test3770z00_8098 =
																									BGL_ISA_C_BACKEND
																									(BgL_arg1822z00_5080,
																									BgL_arg1823z00_5081);
																							}
																						}
																					}
																					if (BgL_test3770z00_8098)
																						{
																							BgL_globalz00_bglt
																								BgL_auxz00_8118;
																							{
																								BgL_tclassz00_bglt
																									BgL_auxz00_8119;
																								{
																									obj_t BgL_auxz00_8120;

																									{	/* Ast/unit.scm 834 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_8121;
																										BgL_tmpz00_8121 =
																											((BgL_objectz00_bglt) (
																												(BgL_typez00_bglt)
																												BgL_typez00_3561));
																										BgL_auxz00_8120 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_8121);
																									}
																									BgL_auxz00_8119 =
																										((BgL_tclassz00_bglt)
																										BgL_auxz00_8120);
																								}
																								BgL_auxz00_8118 =
																									(((BgL_tclassz00_bglt)
																										COBJECT(BgL_auxz00_8119))->
																									BgL_holderz00);
																							}
																							BgL_arg3193z00_3576 =
																								((obj_t) BgL_auxz00_8118);
																						}
																					else
																						{	/* Ast/unit.scm 834 */
																							BgL_arg3193z00_3576 = BFALSE;
																						}
																				}
																				{	/* Ast/unit.scm 835 */
																					obj_t BgL_arg3196z00_3579;

																					{	/* Ast/unit.scm 835 */
																						obj_t BgL_arg1463z00_5110;

																						BgL_arg1463z00_5110 =
																							SYMBOL_TO_STRING
																							(BgL_namez00_3555);
																						BgL_arg3196z00_3579 =
																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																							(BgL_arg1463z00_5110);
																					}
																					BgL_arg3194z00_3577 =
																						MAKE_YOUNG_PAIR(BgL_arg3196z00_3579,
																						BNIL);
																				}
																				BgL_arg3192z00_3575 =
																					MAKE_YOUNG_PAIR(BgL_arg3193z00_3576,
																					BgL_arg3194z00_3577);
																			}
																			BgL_arg3185z00_3570 =
																				MAKE_YOUNG_PAIR(BgL_arg3190z00_3574,
																				BgL_arg3192z00_3575);
																		}
																		BgL_arg3182z00_3568 =
																			MAKE_YOUNG_PAIR(BgL_arg3184z00_3569,
																			BgL_arg3185z00_3570);
																	}
																	BgL_genz00_3562 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 53)),
																		BgL_arg3182z00_3568);
																}
																{	/* Ast/unit.scm 831 */
																	obj_t BgL_sexpza2za2_3563;

																	{	/* Ast/unit.scm 836 */
																		obj_t BgL_list3179z00_3566;

																		{	/* Ast/unit.scm 836 */
																			obj_t BgL_arg3181z00_3567;

																			BgL_arg3181z00_3567 =
																				MAKE_YOUNG_PAIR(BgL_genz00_3562, BNIL);
																			BgL_list3179z00_3566 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_genericz00_3558),
																				BgL_arg3181z00_3567);
																		}
																		BgL_sexpza2za2_3563 = BgL_list3179z00_3566;
																	}
																	{	/* Ast/unit.scm 836 */

																		{	/* Ast/unit.scm 837 */
																			bool_t BgL_test3773z00_8139;

																			if (STRUCTP(BgL_ozd2unitzd2_3560))
																				{	/* Ast/unit.scm 837 */
																					BgL_test3773z00_8139 =
																						(STRUCT_KEY(BgL_ozd2unitzd2_3560) ==
																						CNST_TABLE_REF(((long) 54)));
																				}
																			else
																				{	/* Ast/unit.scm 837 */
																					BgL_test3773z00_8139 = ((bool_t) 0);
																				}
																			if (BgL_test3773z00_8139)
																				{	/* Ast/unit.scm 837 */
																					BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00
																						(BgL_ozd2unitzd2_3560,
																						BgL_sexpza2za2_3563);
																					{	/* Ast/unit.scm 841 */
																						obj_t BgL_list3178z00_3565;

																						BgL_list3178z00_3565 =
																							MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
																						return BgL_list3178z00_3565;
																					}
																				}
																			else
																				{	/* Ast/unit.scm 837 */
																					return BgL_sexpza2za2_3563;
																				}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				else
					{	/* Ast/unit.scm 793 */
						BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
							(BGl_string3485z00zzast_unitz00, BgL_srcz00_129,
							BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_129));
						{	/* Ast/unit.scm 797 */
							obj_t BgL_list3264z00_3631;

							BgL_list3264z00_3631 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
							return BgL_list3264z00_3631;
						}
					}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzast_unitz00(obj_t BgL_argsz00_3647,
		obj_t BgL_formalsz00_3648)
	{
		{	/* Ast/unit.scm 778 */
			{
				obj_t BgL_idz00_3634;

				if (PAIRP(BgL_argsz00_3647))
					{	/* Ast/unit.scm 782 */
						BgL_localz00_bglt BgL_i1127z00_3651;

						BgL_i1127z00_3651 =
							((BgL_localz00_bglt) CAR(((obj_t) BgL_formalsz00_3648)));
						if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
								(BgL_argsz00_3647)))
							{	/* Ast/unit.scm 784 */
								return BgL_argsz00_3647;
							}
						else
							{	/* Ast/unit.scm 786 */
								bool_t BgL_test3777z00_8158;

								{	/* Ast/unit.scm 786 */
									obj_t BgL_arg3308z00_3667;

									BgL_arg3308z00_3667 = CAR(BgL_argsz00_3647);
									{	/* Ast/unit.scm 786 */
										obj_t BgL_tmpz00_8160;

										BgL_idz00_3634 = BgL_arg3308z00_3667;
										{	/* Ast/unit.scm 773 */
											obj_t BgL_arg3267z00_3636;

											BgL_arg3267z00_3636 =
												SYMBOL_TO_STRING(((obj_t) BgL_idz00_3634));
											{	/* Ast/unit.scm 773 */

												BgL_tmpz00_8160 =
													BGl_stringzd2containszd2zz__r4_strings_6_7z00
													(BgL_arg3267z00_3636, BGl_string3486z00zzast_unitz00,
													(int) (((long) 0)));
										}}
										BgL_test3777z00_8158 = CBOOL(BgL_tmpz00_8160);
								}}
								if (BgL_test3777z00_8158)
									{	/* Ast/unit.scm 787 */
										obj_t BgL_arg3282z00_3656;
										obj_t BgL_arg3284z00_3657;

										BgL_arg3282z00_3656 = CAR(BgL_argsz00_3647);
										{	/* Ast/unit.scm 788 */
											obj_t BgL_arg3299z00_3658;
											obj_t BgL_arg3300z00_3659;

											BgL_arg3299z00_3658 = CDR(BgL_argsz00_3647);
											BgL_arg3300z00_3659 = CDR(((obj_t) BgL_formalsz00_3648));
											BgL_arg3284z00_3657 =
												BGl_loopze70ze7zzast_unitz00(BgL_arg3299z00_3658,
												BgL_arg3300z00_3659);
										}
										return
											MAKE_YOUNG_PAIR(BgL_arg3282z00_3656, BgL_arg3284z00_3657);
									}
								else
									{	/* Ast/unit.scm 790 */
										obj_t BgL_arg3301z00_3660;
										obj_t BgL_arg3302z00_3661;

										{	/* Ast/unit.scm 790 */
											obj_t BgL_arg3303z00_3662;
											obj_t BgL_arg3304z00_3663;

											BgL_arg3303z00_3662 = CAR(BgL_argsz00_3647);
											BgL_arg3304z00_3663 =
												(((BgL_typez00_bglt) COBJECT(
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt) BgL_i1127z00_3651)))->
															BgL_typez00)))->BgL_idz00);
											BgL_arg3301z00_3660 =
												BGl_makezd2typedzd2identz00zzast_identz00
												(BgL_arg3303z00_3662, BgL_arg3304z00_3663);
										}
										{	/* Ast/unit.scm 791 */
											obj_t BgL_arg3306z00_3665;
											obj_t BgL_arg3307z00_3666;

											BgL_arg3306z00_3665 = CDR(BgL_argsz00_3647);
											BgL_arg3307z00_3666 = CDR(((obj_t) BgL_formalsz00_3648));
											BgL_arg3302z00_3661 =
												BGl_loopze70ze7zzast_unitz00(BgL_arg3306z00_3665,
												BgL_arg3307z00_3666);
										}
										return
											MAKE_YOUNG_PAIR(BgL_arg3301z00_3660, BgL_arg3302z00_3661);
									}
							}
					}
				else
					{	/* Ast/unit.scm 780 */
						return BgL_argsz00_3647;
					}
			}
		}

	}



/* typed-args~0 */
	obj_t BGl_typedzd2argsze70z35zzast_unitz00(obj_t BgL_argsz00_3640,
		BgL_globalz00_bglt BgL_genericz00_3641)
	{
		{	/* Ast/unit.scm 791 */
			{	/* Ast/unit.scm 777 */
				BgL_sfunz00_bglt BgL_i1126z00_3644;

				BgL_i1126z00_3644 =
					((BgL_sfunz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_genericz00_3641)))->BgL_valuez00));
				return
					BGl_loopze70ze7zzast_unitz00(BgL_argsz00_3640,
					(((BgL_sfunz00_bglt) COBJECT(BgL_i1126z00_3644))->BgL_argsz00));
			}
		}

	}



/* make-method-definition */
	obj_t BGl_makezd2methodzd2definitionz00zzast_unitz00(obj_t BgL_idz00_130,
		obj_t BgL_argsz00_131, obj_t BgL_bodyz00_132, obj_t BgL_srcz00_133)
	{
		{	/* Ast/unit.scm 846 */
			{	/* Ast/unit.scm 847 */
				bool_t BgL_test3778z00_8187;

				if (PAIRP(BgL_argsz00_131))
					{	/* Ast/unit.scm 847 */
						obj_t BgL_tmpz00_8190;

						BgL_tmpz00_8190 = CAR(BgL_argsz00_131);
						BgL_test3778z00_8187 = SYMBOLP(BgL_tmpz00_8190);
					}
				else
					{	/* Ast/unit.scm 847 */
						BgL_test3778z00_8187 = ((bool_t) 0);
					}
				if (BgL_test3778z00_8187)
					{	/* Ast/unit.scm 852 */
						obj_t BgL_locz00_3675;

						BgL_locz00_3675 =
							BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_133);
						{	/* Ast/unit.scm 852 */
							obj_t BgL_localsz00_3676;

							BgL_localsz00_3676 =
								BGl_parsezd2funzd2argsz00zzast_unitz00(BgL_argsz00_131,
								BgL_srcz00_133, BgL_locz00_3675);
							{	/* Ast/unit.scm 853 */

								if (BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2
									(BgL_idz00_130, BgL_argsz00_131, BgL_localsz00_3676,
										BgL_srcz00_133))
									{	/* Ast/unit.scm 856 */
										obj_t BgL_ozd2unitzd2_3678;

										BgL_ozd2unitzd2_3678 =
											BGl_getzd2methodzd2unitz00zzmodule_classz00();
										{	/* Ast/unit.scm 856 */
											obj_t BgL_sexpza2za2_3679;

											BgL_sexpza2za2_3679 =
												BGl_makezd2methodzd2bodyz00zzast_unitz00(BgL_idz00_130,
												BgL_argsz00_131, BgL_localsz00_3676, BgL_bodyz00_132,
												BgL_srcz00_133, BgL_locz00_3675);
											{	/* Ast/unit.scm 857 */

												{	/* Ast/unit.scm 858 */
													bool_t BgL_test3781z00_8199;

													if (STRUCTP(BgL_ozd2unitzd2_3678))
														{	/* Ast/unit.scm 858 */
															BgL_test3781z00_8199 =
																(STRUCT_KEY(BgL_ozd2unitzd2_3678) ==
																CNST_TABLE_REF(((long) 54)));
														}
													else
														{	/* Ast/unit.scm 858 */
															BgL_test3781z00_8199 = ((bool_t) 0);
														}
													if (BgL_test3781z00_8199)
														{	/* Ast/unit.scm 858 */
															BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00
																(BgL_ozd2unitzd2_3678, BgL_sexpza2za2_3679);
															{	/* Ast/unit.scm 862 */
																obj_t BgL_list3317z00_3681;

																BgL_list3317z00_3681 =
																	MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
																return BgL_list3317z00_3681;
															}
														}
													else
														{	/* Ast/unit.scm 858 */
															return BgL_sexpza2za2_3679;
														}
												}
											}
										}
									}
								else
									{	/* Ast/unit.scm 855 */
										obj_t BgL_list3318z00_3682;

										BgL_list3318z00_3682 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
										return BgL_list3318z00_3682;
									}
							}
						}
					}
				else
					{	/* Ast/unit.scm 847 */
						BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
							(BGl_string3487z00zzast_unitz00, BgL_srcz00_133,
							BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_133));
						{	/* Ast/unit.scm 851 */
							obj_t BgL_list3320z00_3684;

							BgL_list3320z00_3684 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
							return BgL_list3320z00_3684;
						}
					}
			}
		}

	}



/* make-method-body */
	obj_t BGl_makezd2methodzd2bodyz00zzast_unitz00(obj_t BgL_identz00_134,
		obj_t BgL_argsz00_135, obj_t BgL_localsz00_136, obj_t BgL_bodyz00_137,
		obj_t BgL_srcz00_138, obj_t BgL_locz00_139)
	{
		{	/* Ast/unit.scm 868 */
			if (BGl_dssslzd2prototypezf3z21zztools_dssslz00(BgL_argsz00_135))
				{	/* Ast/unit.scm 870 */
					if (BGl_dssslzd2optionalzd2onlyzd2prototypezf3z21zztools_dssslz00
						(BgL_argsz00_135))
						{	/* Ast/unit.scm 873 */
							obj_t BgL_localsz00_3689;

							BgL_localsz00_3689 =
								BGl_parsezd2funzd2optzd2argszd2zzast_unitz00(BgL_argsz00_135,
								BgL_srcz00_138, BgL_locz00_139);
							{	/* Ast/unit.scm 874 */
								obj_t BgL_arg3324z00_3690;

								if (NULLP(BgL_localsz00_3689))
									{	/* Ast/unit.scm 874 */
										BgL_arg3324z00_3690 = BNIL;
									}
								else
									{	/* Ast/unit.scm 874 */
										obj_t BgL_head1352z00_3693;

										{	/* Ast/unit.scm 874 */
											obj_t BgL_arg3331z00_3705;

											BgL_arg3331z00_3705 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_localsz00_3689))))))->BgL_idz00);
											BgL_head1352z00_3693 =
												MAKE_YOUNG_PAIR(BgL_arg3331z00_3705, BNIL);
										}
										{	/* Ast/unit.scm 874 */
											obj_t BgL_g1355z00_3694;

											BgL_g1355z00_3694 = CDR(((obj_t) BgL_localsz00_3689));
											{
												obj_t BgL_l1350z00_3696;
												obj_t BgL_tail1353z00_3697;

												BgL_l1350z00_3696 = BgL_g1355z00_3694;
												BgL_tail1353z00_3697 = BgL_head1352z00_3693;
											BgL_zc3z04anonymousza33326ze3z87_3698:
												if (NULLP(BgL_l1350z00_3696))
													{	/* Ast/unit.scm 874 */
														BgL_arg3324z00_3690 = BgL_head1352z00_3693;
													}
												else
													{	/* Ast/unit.scm 874 */
														obj_t BgL_newtail1354z00_3700;

														{	/* Ast/unit.scm 874 */
															obj_t BgL_arg3329z00_3702;

															BgL_arg3329z00_3702 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				CAR(
																					((obj_t) BgL_l1350z00_3696))))))->
																BgL_idz00);
															BgL_newtail1354z00_3700 =
																MAKE_YOUNG_PAIR(BgL_arg3329z00_3702, BNIL);
														}
														SET_CDR(BgL_tail1353z00_3697,
															BgL_newtail1354z00_3700);
														{	/* Ast/unit.scm 874 */
															obj_t BgL_arg3328z00_3701;

															BgL_arg3328z00_3701 =
																CDR(((obj_t) BgL_l1350z00_3696));
															{
																obj_t BgL_tail1353z00_8238;
																obj_t BgL_l1350z00_8237;

																BgL_l1350z00_8237 = BgL_arg3328z00_3701;
																BgL_tail1353z00_8238 = BgL_newtail1354z00_3700;
																BgL_tail1353z00_3697 = BgL_tail1353z00_8238;
																BgL_l1350z00_3696 = BgL_l1350z00_8237;
																goto BgL_zc3z04anonymousza33326ze3z87_3698;
															}
														}
													}
											}
										}
									}
								return
									BGl_makezd2methodzd2nozd2dssslzd2bodyz00zzobject_methodz00
									(BgL_identz00_134, BgL_arg3324z00_3690, BgL_localsz00_3689,
									BgL_bodyz00_137, BgL_srcz00_138);
							}
						}
					else
						{	/* Ast/unit.scm 872 */
							return
								BGl_makezd2methodzd2dssslzd2bodyzd2zzobject_methodz00
								(BgL_identz00_134, BgL_argsz00_135, BgL_localsz00_136,
								BgL_bodyz00_137, BgL_srcz00_138);
						}
				}
			else
				{	/* Ast/unit.scm 870 */
					return
						BGl_makezd2methodzd2nozd2dssslzd2bodyz00zzobject_methodz00
						(BgL_identz00_134, BgL_argsz00_135, BgL_localsz00_136,
						BgL_bodyz00_137, BgL_srcz00_138);
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_unitz00()
	{
		{	/* Ast/unit.scm 21 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_unitz00()
	{
		{	/* Ast/unit.scm 21 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_unitz00()
	{
		{	/* Ast/unit.scm 21 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_unitz00()
	{
		{	/* Ast/unit.scm 21 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(((long) 502577483),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 469204197),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzobject_genericz00(((long) 3606241),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzobject_methodz00(((long) 493120707),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_classz00(((long) 153808441),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 184800657),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 478324304),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
			return
				BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 359337187),
				BSTRING_TO_STRING(BGl_string3488z00zzast_unitz00));
		}

	}

#ifdef __cplusplus
}
#endif
