/*===========================================================================*/
/*   (Ast/var.scm)                                                           */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/var.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;


	static obj_t BGl_z62lambda1928z62zzast_varz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1767z62zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1929z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2modulezd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2propertyzd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62globalzd2initzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2removablezd2zzast_varz00(BgL_localz00_bglt);
	static BgL_variablez00_bglt BGl_z62makezd2variablezb0zzast_varz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_localzd2namezd2zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_z62lambda1855z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1856z62zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1937z62zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzd2removablezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1695z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1696z62zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1939z62zzast_varz00(obj_t);
	static BgL_cvarz00_bglt BGl_z62makezd2cvarzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2argszd2noescapez00zzast_varz00(BgL_funz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzd2loczd2setz12z12zzast_varz00(BgL_svarz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2srczd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2loczd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62funzd2topzf3zd2setz12z83zzast_varz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62cvarzd2macrozf3z43zzast_varz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_varz00 = BUNSPEC;
	static BgL_svarz00_bglt BGl_z62svarzd2nilzb0zzast_varz00(obj_t);
	static obj_t BGl_z62sfunzd2stackablezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2sidezd2effectz00zzast_varz00(BgL_cfunz00_bglt);
	static obj_t BGl_z62lambda1782z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31499ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1783z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1864z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2namezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1865z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1946z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2valuezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2removablezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2occurrencezd2setz12z12zzast_varz00(BgL_localz00_bglt, long);
	static obj_t BGl_z62lambda1947z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzd2occurrencewzb0zzast_varz00(obj_t, obj_t);
	static BgL_funz00_bglt BGl_z62funzd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2classzd2zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2evalzf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt, bool_t);
	static obj_t BGl_z62funzd2stackzd2allocatorz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzd2argszd2noescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62makezd2globalzb0zzast_varz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62sexitzd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2accesszd2setz12z12zzast_varz00(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2accesszd2zzast_varz00(BgL_variablez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32020ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_funz00zzast_varz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2argszd2retescapezd2setz12zc0zzast_varz00(BgL_cfunz00_bglt,
		obj_t);
	static obj_t BGl_z62variablezd2accesszb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2predicatezd2ofz00zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_sfunzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2namezd2setz12z12zzast_varz00(BgL_variablez00_bglt, obj_t);
	static obj_t BGl_z62sfunzd2argszd2noescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2fastzd2alphaz00zzast_varz00(BgL_variablez00_bglt);
	static obj_t BGl_z62sfunzd2effectzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2pragmazd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1952z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31678ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1872z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1953z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1873z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2predicatezd2ofz00zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1957z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1958z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2failsafezd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62localzd2namezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_localzd2keyzd2zzast_varz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza32013ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62globalzd2srczb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62svarzd2loczb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2occurrencezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2failsafezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzd2valzd2noescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzd2strengthzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1881z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31849ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2libraryzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1882z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1963z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1964z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sfunz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62lambda1888z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1969z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1889z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62funzd2thezd2closurezd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2optionalszd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzd2classzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32006ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62sexitzd2detachedzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62variablezf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sexitzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzd2failsafezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31890ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62funzd2sidezd2effectzd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31874ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL BgL_cvarz00_bglt BGl_makezd2cvarzd2zzast_varz00(bool_t);
	static obj_t BGl_z62zc3z04anonymousza31866ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1970z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1975z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2dssslzd2keywordsz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1976z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1896z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1897z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzd2typezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static BgL_cfunz00_bglt BGl_z62cfunzd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2thezd2closurez00zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzd2classzd2setz12z12zzast_varz00(BgL_scnstz00_bglt, obj_t);
	static obj_t BGl_z62cfunzd2effectzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2argszd2retescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62makezd2sfunzb0zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzd2accesszd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62variablezd2removablezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62feffectzd2writezb0zzast_varz00(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzd2thezd2closurezd2globalzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt BGl_makezd2localzd2zzast_varz00(obj_t,
		obj_t, BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, long, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31883ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62feffectzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31948ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62localzd2fastzd2alphazd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31697ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1982z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2removablezd2zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62lambda1983z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzd2effectzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2pragmazb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt BGl_sexitzd2nilzd2zzast_varz00();
	static obj_t BGl_genericzd2initzd2zzast_varz00();
	static obj_t BGl_z62cfunzd2methodzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2occurrencezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1989z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2arityzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzd2detachedzf3zd2setz12ze1zzast_varz00(BgL_sexitz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2evaluablezf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt,
		bool_t);
	static obj_t BGl_z62zc3z04anonymousza32032ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2idzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2evalzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cfunzf3zf3zzast_varz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sexitz00zzast_varz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2argszd2retescapez00zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2sidezd2effectzd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzd2accesszb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2removablezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_scnstz00_bglt BGl_makezd2scnstzd2zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzd2dssslzd2keywordszd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31965ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzast_varz00();
	static obj_t BGl_z62lambda1990z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_localzd2typezd2zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_z62sfunzd2topzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sfunzf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62localzd2valzd2noescapez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2userzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzd2occurrencewzd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2argszd2retescapez00zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2idzd2zzast_varz00(BgL_variablez00_bglt);
	static obj_t BGl_z62lambda1997z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1998z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_localzf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32106ze3ze5zzast_varz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2idzb0zzast_varz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2argszd2noescapezd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62variablezd2typezb0zzast_varz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62makezd2localzb0zzast_varz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cfunzd2sidezd2effectz62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2namezd2zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62valuezf3z91zzast_varz00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_variablezf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32050ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_scnstzf3zf3zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2argszd2retescapez00zzast_varz00(BgL_funz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzd2handlerzd2setz12z12zzast_varz00(BgL_sexitz00_bglt, obj_t);
	static obj_t BGl_z62scnstzd2loczd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31991ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62localzd2occurrencewzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2strengthzd2zzast_varz00(BgL_sfunz00_bglt);
	static BgL_scnstz00_bglt BGl_z62makezd2scnstzb0zzast_varz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cfunzd2stackzd2allocatorzd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzd2argszd2retescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62localzd2typezb0zzast_varz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62localzd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2aliaszd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62cfunzd2stackzd2allocatorz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2loczd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt BGl_makezd2sfunzd2zzast_varz00(long, obj_t,
		obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32132ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2stackzd2allocatorzd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2stackablezd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62sfunzd2propertyzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2libraryzd2zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31984ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2stackzd2allocatorz00zzast_varz00(BgL_funz00_bglt);
	static obj_t BGl_z62sfunzd2predicatezd2ofzd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_cfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL long BGl_funzd2arityzd2zzast_varz00(BgL_funz00_bglt);
	static BgL_scnstz00_bglt BGl_z62scnstzd2nilzb0zzast_varz00(obj_t);
	static BgL_feffectz00_bglt BGl_z62makezd2feffectzb0zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62variablezd2accesszd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt BGl_makezd2valuezd2zzast_varz00();
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2predicatezd2ofz00zzast_varz00(BgL_funz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32117ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2topzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2valuezd2setz12z12zzast_varz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62cfunzf3z91zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2sidezd2effectzd2setz12zc0zzast_varz00(BgL_cfunz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzd2keyzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31977ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2stackzd2allocatorz00zzast_varz00(BgL_cfunz00_bglt);
	static obj_t BGl_z62sfunzf3z91zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2occurrencezd2setz12z12zzast_varz00(BgL_globalz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2sidezd2effectzd2setz12zc0zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_varz00();
	static obj_t BGl_z62globalzd2fastzd2alphaz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzd2thezd2closurez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62feffectzd2writezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2idzd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_svarz00_bglt BGl_svarzd2nilzd2zzast_varz00();
	static obj_t BGl_z62scnstzd2classzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62variablezd2occurrencewzd2setz12z70zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2importzd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62funzd2optionalzd2arityz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzd2argszd2typez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62scnstzd2loczb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2accesszd2setz12z12zzast_varz00(BgL_variablez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2effectzd2setz12z12zzast_varz00(BgL_cfunz00_bglt, obj_t);
	static BgL_valuez00_bglt BGl_z62globalzd2valuezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2removablezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzd2occurrencezd2zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_z62globalzd2userzf3z43zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2predicatezd2ofzd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sfunzd2keyszb0zzast_varz00(obj_t, obj_t);
	static BgL_valuez00_bglt BGl_z62makezd2valuezb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2infixzf3zd2setz12ze1zzast_varz00(BgL_cfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2argszd2noescapez00zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_makezd2variablezd2zzast_varz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2thezd2closurezd2globalzd2zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2topzf3zd2setz12ze1zzast_varz00(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2sidezd2effectz00zzast_varz00(BgL_funz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_cfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2dssslzd2keywordsz00zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62funzd2sidezd2effectz62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt BGl_localzd2nilzd2zzast_varz00();
	static BgL_variablez00_bglt BGl_z62variablezd2nilzb0zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31898ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL long BGl_cfunzd2arityzd2zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2topzf3zd2setz12ze1zzast_varz00(BgL_funz00_bglt, bool_t);
	BGL_EXPORTED_DECL BgL_feffectz00_bglt BGl_feffectzd2nilzd2zzast_varz00();
	static obj_t BGl_z62funzd2argszd2noescapez62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_svarzd2loczd2zzast_varz00(BgL_svarz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cfunzd2macrozf3z21zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2typezd2setz12z12zzast_varz00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62localzd2accesszb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2fastzd2alphazd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2namezd2zzast_varz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_feffectzd2readzd2setz12z12zzast_varz00(BgL_feffectz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cfunzd2infixzf3z21zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2occurrencewzd2setz12z12zzast_varz00(BgL_globalz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2classzd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_scnstz00_bglt BGl_scnstzd2nilzd2zzast_varz00();
	static obj_t BGl_z62variablezd2occurrencezd2setz12z70zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzd2classzd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_globalzd2typezd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_globalz00_bglt BGl_globalzd2nilzd2zzast_varz00();
	static obj_t BGl_z62cfunzd2thezd2closurezd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2evalzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cfunzd2argszd2noescapez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2accesszd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2004z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2005z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_scnstzd2classzd2zzast_varz00(BgL_scnstz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32145ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzd2loczd2setz12z12zzast_varz00(BgL_scnstz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sfunzd2keyzf3z21zzast_varz00(obj_t);
	static obj_t BGl_z62cfunzd2predicatezd2ofz62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2namezd2setz12z12zzast_varz00(BgL_localz00_bglt, obj_t);
	static obj_t BGl_z62sfunzd2thezd2closurezd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzd2argszd2safezf3zf3zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62cfunzd2sidezd2effectzd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzd2namezd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_cfunz00_bglt BGl_cfunzd2nilzd2zzast_varz00();
	static obj_t BGl_z62sfunzd2predicatezd2ofz62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	static obj_t BGl_z62variablezd2idzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_cfunz00_bglt, obj_t);
	static obj_t BGl_z62cfunzd2arityzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2sidezd2effectzd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2modulezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2011z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2012z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32170ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2occurrencewzd2setz12z12zzast_varz00(BgL_variablez00_bglt,
		long);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzd2evaluablezf3z21zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2userzf3zd2setz12ze1zzast_varz00(BgL_localz00_bglt, bool_t);
	static obj_t BGl_z62zc3z04anonymousza32057ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda2018z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_feffectzf3zf3zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2initzd2zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62lambda2019z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_scnstzd2loczd2zzast_varz00(BgL_scnstz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_svarz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62sfunzd2bodyzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2srczd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2thezd2closurez00zzast_varz00(BgL_funz00_bglt);
	static obj_t BGl_z62globalzd2namezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2keyszd2zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_localzd2idzd2zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_z62globalzd2srczd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62funzd2thezd2closurez62zzast_varz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62globalzd2nilzb0zzast_varz00(obj_t);
	static obj_t BGl_z62globalzd2jvmzd2typezd2namezd2setz12z70zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2aliaszd2zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62lambda2104z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2evaluablezf3zd2setz12z83zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2105z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32163ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62funzd2predicatezd2ofz62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2pragmazd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62cfunzd2topzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2dssslzd2keywordszd2setz12zc0zzast_varz00(BgL_sfunz00_bglt,
		obj_t);
	static BgL_cfunz00_bglt BGl_z62lambda2027z62zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2methodzd2setz12z12zzast_varz00(BgL_cfunz00_bglt, obj_t);
	static obj_t BGl_z62localzd2valuezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_localzd2valuezd2zzast_varz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_localzd2userzf3z21zzast_varz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_feffectzd2readzd2zzast_varz00(BgL_feffectz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31999ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62sfunzd2topzf3z43zzast_varz00(obj_t, obj_t);
	static BgL_cvarz00_bglt BGl_z62cvarzd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_feffectzd2writezd2zzast_varz00(BgL_feffectz00_bglt);
	static BgL_cfunz00_bglt BGl_z62lambda2030z62zzast_varz00(obj_t);
	static BgL_svarz00_bglt BGl_z62makezd2svarzb0zzast_varz00(obj_t, obj_t);
	static BgL_cvarz00_bglt BGl_z62lambda2113z62zzast_varz00(obj_t, obj_t);
	static BgL_cvarz00_bglt BGl_z62lambda2115z62zzast_varz00(obj_t);
	static obj_t BGl_z62localzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32075ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32156ze3ze5zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_funzd2failsafezd2zzast_varz00(BgL_funz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32067ze3ze5zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2strengthzd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62lambda2037z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2libraryzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2038z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2argszd2typez00zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2pragmazd2zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62sfunzd2bodyzd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_funz00_bglt BGl_funzd2nilzd2zzast_varz00();
	static obj_t BGl_z62cfunzd2failsafezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2argszd2noescapezd2setz12zc0zzast_varz00(BgL_cfunz00_bglt, obj_t);
	static obj_t BGl_z62funzd2argszd2noescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzd2importzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2modulezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cfunzd2effectzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	static obj_t BGl_z62localzd2occurrencezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2sidezd2effectz00zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_funzf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62sfunzd2failsafezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cvarzf3zf3zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2argszd2noescapezd2setz12zc0zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62lambda2121z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31460ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda2122z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2failsafezd2setz12z12zzast_varz00(BgL_cfunz00_bglt, obj_t);
	static obj_t BGl_z62lambda2042z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2043z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62scnstzf3z91zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2accesszd2zzast_varz00(BgL_globalz00_bglt);
	static BgL_sexitz00_bglt BGl_z62lambda2128z62zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2048z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2049z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62cfunzd2infixzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sfunzd2argszd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_valuez00_bglt BGl_z62variablezd2valuezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2userzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2argszd2retescapezd2setz12zc0zzast_varz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62funzd2stackzd2allocatorzd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static BgL_funz00_bglt BGl_z62makezd2funzb0zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_svarzf3zf3zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_z62variablezd2occurrencezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2accesszd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_cfunz00zzast_varz00 = BUNSPEC;
	static BgL_sexitz00_bglt BGl_z62lambda2130z62zzast_varz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda1402z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1403z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2valzd2noescapezd2setz12zc0zzast_varz00(BgL_localz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31607ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31348ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2055z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2056z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2137z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2138z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_variablezd2typezd2zzast_varz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2bodyzd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzd2stackablezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2fastzd2alphaz00zzast_varz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2namezd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62sexitzd2handlerzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2jvmzd2typezd2namezd2setz12z12zzast_varz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_funzd2topzf3z21zzast_varz00(BgL_funz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_cfunzd2topzf3z21zzast_varz00(BgL_cfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31802ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2removablezd2zzast_varz00(BgL_variablez00_bglt);
	static obj_t BGl_z62lambda2143z62zzast_varz00(obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62lambda2063z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2144z62zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62lambda2065z62zzast_varz00(obj_t);
	static obj_t BGl_z62sfunzd2propertyzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2namezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static BgL_valuez00_bglt BGl_z62lambda1419z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2valzd2noescapez00zzast_varz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_sfunzd2topzf3z21zzast_varz00(BgL_sfunz00_bglt);
	static BgL_cfunz00_bglt BGl_z62makezd2cfunzb0zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_scnstzd2nodezd2zzast_varz00(BgL_scnstz00_bglt);
	static obj_t BGl_z62globalzd2fastzd2alphazd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2loczd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62sfunzd2failsafezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2argszd2retescapezd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
	static obj_t BGl_z62svarzd2loczd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzd2occurrencezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_svarz00_bglt BGl_makezd2svarzd2zzast_varz00(obj_t);
	static obj_t BGl_z62globalzd2aliaszd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2optionalzf3z43zzast_varz00(obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_z62feffectzd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2removablezd2setz12z12zzast_varz00(BgL_variablez00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_localz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62lambda1420z62zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_valuez00_bglt BGl_z62lambda1341z62zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31714ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62cfunzd2macrozf3z43zzast_varz00(obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_z62lambda2152z62zzast_varz00(obj_t, obj_t,
		obj_t);
	static BgL_sfunz00_bglt BGl_z62sfunzd2nilzb0zzast_varz00(obj_t);
	static BgL_valuez00_bglt BGl_z62lambda1344z62zzast_varz00(obj_t);
	static obj_t BGl_z62lambda2073z62zzast_varz00(obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_z62lambda2154z62zzast_varz00(obj_t);
	static BgL_valuez00_bglt BGl_z62valuezd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_feffectz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62lambda2074z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32087ze3ze5zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2thezd2closurez00zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2valuezd2setz12z12zzast_varz00(BgL_globalz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62localzd2userzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzd2occurrencewzd2zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzast_varz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_varz00();
	static obj_t BGl_z62cfunzd2infixzf3z43zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2argszb0zzast_varz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62globalzd2typezb0zzast_varz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzd2argszd2namez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzd2topzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_scnstz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zzast_varz00();
	static obj_t BGl_gczd2rootszd2initz00zzast_varz00();
	BGL_EXPORTED_DECL bool_t BGl_globalzf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62lambda2161z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62cvarzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2userzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2162z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31537ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31367ze3ze5zzast_varz00(obj_t, obj_t);
	static BgL_scnstz00_bglt BGl_z62lambda2083z62zzast_varz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62scnstzd2classzb0zzast_varz00(obj_t, obj_t);
	static BgL_scnstz00_bglt BGl_z62lambda2085z62zzast_varz00(obj_t);
	static obj_t BGl_z62lambda2168z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt BGl_makezd2sexitzd2zzast_varz00(obj_t,
		bool_t);
	static obj_t BGl_z62lambda2169z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62cfunzd2methodzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2effectzd2setz12z12zzast_varz00(BgL_funz00_bglt, obj_t);
	static obj_t BGl_z62svarzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2effectzd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_funzd2effectzd2zzast_varz00(BgL_funz00_bglt);
	static obj_t BGl_z62scnstzd2nodezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzd2occurrencezd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2propertyzd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2failsafezd2setz12z12zzast_varz00(BgL_funz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2thezd2closurezd2globalzd2setz12z12zzast_varz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62sfunzd2loczb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_variablez00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31570ze3ze5zzast_varz00(obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1602z62zzast_varz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31813ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2bodyzd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31554ze3ze5zzast_varz00(obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1604z62zzast_varz00(obj_t);
	static BgL_variablez00_bglt BGl_z62lambda1362z62zzast_varz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2091z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2092z62zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_variablez00_bglt BGl_z62lambda1364z62zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2occurrencezd2setz12z12zzast_varz00(BgL_variablez00_bglt,
		long);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62lambda2096z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2initzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2097z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzd2evalzf3z21zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62sfunzd2sidezd2effectz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzd2argszd2retescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31660ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2argszd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_variablezd2valuezd2zzast_varz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_variablezd2userzf3z21zzast_varz00(BgL_variablez00_bglt);
	static obj_t BGl_z62lambda1372z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1373z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1535z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2removablezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1536z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_cfunz00_bglt BGl_makezd2cfunzd2zzast_varz00(long, obj_t,
		obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t,
		bool_t, obj_t);
	static obj_t BGl_z62lambda1458z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1459z62zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_valuez00_bglt BGl_z62localzd2valuezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2userzf3z43zzast_varz00(obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62makezd2sexitzb0zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2occurrencewzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_feffectzd2writezd2setz12z12zzast_varz00(BgL_feffectz00_bglt, obj_t);
	static obj_t BGl_z62funzd2effectzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cvarzd2macrozf3z21zzast_varz00(BgL_cvarz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2valuezd2setz12z12zzast_varz00(BgL_variablez00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62cfunzd2predicatezd2ofzd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2libraryzd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt BGl_valuezd2nilzd2zzast_varz00();
	static obj_t BGl_z62globalzd2jvmzd2typezd2namezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1620z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1621z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_funzd2optionalzd2arityz00zzast_varz00(BgL_funz00_bglt);
	static obj_t BGl_z62sfunzd2stackzd2allocatorz62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2stackablezd2zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2typezd2setz12z12zzast_varz00(BgL_localz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31386ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2argszd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1384z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1385z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzd2typezd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62feffectzd2readzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt BGl_makezd2globalzd2zzast_varz00(obj_t,
		obj_t, BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_valuez00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62localzd2fastzd2alphaz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2namezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2keyzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sexitzf3zf3zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2initzd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2removablezd2setz12z12zzast_varz00(BgL_localz00_bglt, obj_t);
	static obj_t BGl_z62lambda1712z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2argszd2retescapez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1713z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1552z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1553z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2userzf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt, bool_t);
	static obj_t BGl_z62lambda1637z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sexitzd2handlerzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1638z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62variablezd2fastzd2alphaz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2argszd2safezf3z91zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_cvarz00_bglt BGl_cvarzd2nilzd2zzast_varz00();
	BGL_EXPORTED_DECL long
		BGl_variablezd2occurrencezd2zzast_varz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2setzd2readzd2onlyz12zc0zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2modulezd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_variablez00zzast_varz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2jvmzd2typezd2namezd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2stackzd2allocatorz00zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1800z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31930ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1801z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31752ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1722z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1723z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzd2evaluablezf3z43zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1729z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2thezd2closurez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1568z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1569z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_feffectz00_bglt BGl_makezd2feffectzd2zzast_varz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2argszd2noescapez00zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2argszd2namez00zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2topzf3zd2setz12ze1zzast_varz00(BgL_cfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2effectzd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62lambda1730z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1811z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31923ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1812z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31745ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62sfunzd2optionalzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_funz00_bglt BGl_makezd2funzd2zzast_varz00(long, obj_t,
		obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzd2thezd2closurezd2globalzb0zzast_varz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1658z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1497z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1659z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1498z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzd2strengthzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cfunzd2effectzd2zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL long BGl_sfunzd2arityzd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31916ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cfunzd2failsafezd2zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2removablezd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62lambda1743z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2effectzd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1744z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1583z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1907z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1584z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1908z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzd2importzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62variablezd2occurrencewzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2importzd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_cfunzd2methodzd2zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_globalzd2valuezd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzd2userzf3z21zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_valuezf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62globalzd2occurrencewzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2failsafezd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzd2optionalszb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sexitzd2detachedzf3z21zzast_varz00(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2userzf3zd2setz12ze1zzast_varz00(BgL_variablez00_bglt,
		bool_t);
	static obj_t BGl_z62globalzd2aliaszb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sexitzd2detachedzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_globalz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31941ze3ze5zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2occurrencewzd2setz12z12zzast_varz00(BgL_localz00_bglt, long);
	static obj_t BGl_z62zc3z04anonymousza31771ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1750z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1751z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62cfunzd2argszd2retescapez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31585ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31909ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1914z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_variablez00_bglt BGl_variablezd2nilzd2zzast_varz00();
	static obj_t BGl_z62lambda1915z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzd2argszd2noescapez62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2typezd2setz12z12zzast_varz00(BgL_globalz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda1676z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1677z62zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_funz00_bglt BGl_z62lambda1839z62zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2fastzd2alphaz00zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62feffectzd2readzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2argszd2retescapez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2keyzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2setzd2readzd2onlyz12za2zzast_varz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_localzd2accesszd2zzast_varz00(BgL_localz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_cvarz00zzast_varz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_sfunz00_bglt BGl_sfunzd2nilzd2zzast_varz00();
	static obj_t BGl_z62globalzd2readzd2onlyzf3z91zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_variablezd2occurrencewzd2zzast_varz00(BgL_variablez00_bglt);
	static obj_t BGl_z62lambda1921z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1922z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62variablezd2typezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static BgL_funz00_bglt BGl_z62lambda1843z62zzast_varz00(obj_t);
	static obj_t BGl_z62funzd2failsafezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2arityzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sexitzd2handlerzd2zzast_varz00(BgL_sexitz00_bglt);
	static BgL_localz00_bglt BGl_z62lambda1764z62zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t __cnst[77];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvarzd2macrozf3zd2envzf3zzast_varz00,
		BgL_bgl_za762cvarza7d2macroza72387za7,
		BGl_z62cvarzd2macrozf3z43zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2valuezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2va2388z00,
		BGl_z62variablezd2valuezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2optionalzd2arityzd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2optiona2389z00,
		BGl_z62funzd2optionalzd2arityz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2sidezd2effectzd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2sideza7d2390za7,
		BGl_z62cfunzd2sidezd2effectz62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2importzd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2impo2391z00, BGl_z62globalzd2importzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2thezd2closurezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762cfunza7d2theza7d22392za7,
		BGl_z62cfunzd2thezd2closurezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzast_varz00,
		BgL_bgl_za762lambda1420za7622393z00, BGl_z62lambda1420z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzast_varz00,
		BgL_bgl_za762lambda1419za7622394z00, BGl_z62lambda1419z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2395za7,
		BGl_z62zc3z04anonymousza31460ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzast_varz00,
		BgL_bgl_za762lambda1459za7622396z00, BGl_z62lambda1459z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzast_varz00,
		BgL_bgl_za762lambda1458za7622397z00, BGl_z62lambda1458z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2398za7,
		BGl_z62zc3z04anonymousza31499ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzast_varz00,
		BgL_bgl_za762lambda1498za7622399z00, BGl_z62lambda1498z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzast_varz00,
		BgL_bgl_za762lambda1497za7622400z00, BGl_z62lambda1497z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2401za7,
		BGl_z62zc3z04anonymousza31537ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzast_varz00,
		BgL_bgl_za762lambda1536za7622402z00, BGl_z62lambda1536z62zzast_varz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2thezd2closurezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2theza7d22403za7,
		BGl_z62sfunzd2thezd2closurezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2argszd2retescapezd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2argsza7d2404za7,
		BGl_z62cfunzd2argszd2retescapez62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2sidezd2effectzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762funza7d2sideza7d22405za7,
		BGl_z62funzd2sidezd2effectzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2argszd2retescapezd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7d2406za7,
		BGl_z62sfunzd2argszd2retescapez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzast_varz00,
		BgL_bgl_za762lambda1535za7622407z00, BGl_z62lambda1535z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2effectzd2envz00zzast_varz00,
		BgL_bgl_za762funza7d2effectza72408za7, BGl_z62funzd2effectzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2409za7,
		BGl_z62zc3z04anonymousza31554ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzast_varz00,
		BgL_bgl_za762lambda1553za7622410z00, BGl_z62lambda1553z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzast_varz00,
		BgL_bgl_za762lambda1552za7622411z00, BGl_z62lambda1552z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2412za7,
		BGl_z62zc3z04anonymousza31570ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzast_varz00,
		BgL_bgl_za762lambda1569za7622413z00, BGl_z62lambda1569z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzast_varz00,
		BgL_bgl_za762lambda1568za7622414z00, BGl_z62lambda1568z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2415za7,
		BGl_z62zc3z04anonymousza31585ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zzast_varz00,
		BgL_bgl_za762lambda1584za7622416z00, BGl_z62lambda1584z62zzast_varz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2failsafezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762funza7d2failsaf2417z00,
		BGl_z62funzd2failsafezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zzast_varz00,
		BgL_bgl_za762lambda1583za7622418z00, BGl_z62lambda1583z62zzast_varz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2occurrencewzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2oc2419z00,
		BGl_z62variablezd2occurrencewzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2namezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2name2420z00, BGl_z62globalzd2namezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2300z00zzast_varz00,
		BgL_bgl_za762lambda1958za7622421z00, BGl_z62lambda1958z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2301z00zzast_varz00,
		BgL_bgl_za762lambda1957za7622422z00, BGl_z62lambda1957z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2423za7,
		BGl_z62zc3z04anonymousza31367ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2302z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2424za7,
		BGl_z62zc3z04anonymousza31965ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zzast_varz00,
		BgL_bgl_za762lambda1364za7622425z00, BGl_z62lambda1364z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2keyszd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2keysza7b2426za7, BGl_z62sfunzd2keyszb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2idzd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2idza7b02427za7, BGl_z62localzd2idzb0zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2303z00zzast_varz00,
		BgL_bgl_za762lambda1964za7622428z00, BGl_z62lambda1964z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zzast_varz00,
		BgL_bgl_za762lambda1362za7622429z00, BGl_z62lambda1362z62zzast_varz00, 0L,
		BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2304z00zzast_varz00,
		BgL_bgl_za762lambda1963za7622430z00, BGl_z62lambda1963z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zzast_varz00,
		BgL_bgl_za762lambda1621za7622431z00, BGl_z62lambda1621z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2305z00zzast_varz00,
		BgL_bgl_za762lambda1970za7622432z00, BGl_z62lambda1970z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zzast_varz00,
		BgL_bgl_za762lambda1620za7622433z00, BGl_z62lambda1620z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2306z00zzast_varz00,
		BgL_bgl_za762lambda1969za7622434z00, BGl_z62lambda1969z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zzast_varz00,
		BgL_bgl_za762lambda1638za7622435z00, BGl_z62lambda1638z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2307z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2436za7,
		BGl_z62zc3z04anonymousza31977ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zzast_varz00,
		BgL_bgl_za762lambda1637za7622437z00, BGl_z62lambda1637z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2308z00zzast_varz00,
		BgL_bgl_za762lambda1976za7622438z00, BGl_z62lambda1976z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2439za7,
		BGl_z62zc3z04anonymousza31660ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2309z00zzast_varz00,
		BgL_bgl_za762lambda1975za7622440z00, BGl_z62lambda1975z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zzast_varz00,
		BgL_bgl_za762lambda1659za7622441z00, BGl_z62lambda1659z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zzast_varz00,
		BgL_bgl_za762lambda1658za7622442z00, BGl_z62lambda1658z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2valuezd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2value2443z00, BGl_z62localzd2valuezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2namezd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2nameza72444za7, BGl_z62localzd2namezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzd2loczd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762svarza7d2locza7d22445za7,
		BGl_z62svarzd2loczd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2310z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2446za7,
		BGl_z62zc3z04anonymousza31984ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2311z00zzast_varz00,
		BgL_bgl_za762lambda1983za7622447z00, BGl_z62lambda1983z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2448za7,
		BGl_z62zc3z04anonymousza31678ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2312z00zzast_varz00,
		BgL_bgl_za762lambda1982za7622449z00, BGl_z62lambda1982z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zzast_varz00,
		BgL_bgl_za762lambda1677za7622450z00, BGl_z62lambda1677z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2313z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2451za7,
		BGl_z62zc3z04anonymousza31991ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2232z00zzast_varz00,
		BgL_bgl_za762lambda1676za7622452z00, BGl_z62lambda1676z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2sfunzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2sfunza7b2453za7, BGl_z62makezd2sfunzb0zzast_varz00,
		0L, BUNSPEC, 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2314z00zzast_varz00,
		BgL_bgl_za762lambda1990za7622454z00, BGl_z62lambda1990z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2455za7,
		BGl_z62zc3z04anonymousza31697ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzd2classzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762scnstza7d2class2456z00,
		BGl_z62scnstzd2classzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2315z00zzast_varz00,
		BgL_bgl_za762lambda1989za7622457z00, BGl_z62lambda1989z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2234z00zzast_varz00,
		BgL_bgl_za762lambda1696za7622458z00, BGl_z62lambda1696z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2316z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2459za7,
		BGl_z62zc3z04anonymousza31999ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2235z00zzast_varz00,
		BgL_bgl_za762lambda1695za7622460z00, BGl_z62lambda1695z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2317z00zzast_varz00,
		BgL_bgl_za762lambda1998za7622461z00, BGl_z62lambda1998z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2236z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2462za7,
		BGl_z62zc3z04anonymousza31714ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2318z00zzast_varz00,
		BgL_bgl_za762lambda1997za7622463z00, BGl_z62lambda1997z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2237z00zzast_varz00,
		BgL_bgl_za762lambda1713za7622464z00, BGl_z62lambda1713z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2319z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2465za7,
		BGl_z62zc3z04anonymousza32006ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2238z00zzast_varz00,
		BgL_bgl_za762lambda1712za7622466z00, BGl_z62lambda1712z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zzast_varz00,
		BgL_bgl_za762lambda1723za7622467z00, BGl_z62lambda1723z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2arityzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2arityza72468za7, BGl_z62sfunzd2arityzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2stackablezd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2stacka2469z00, BGl_z62sfunzd2stackablezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2thezd2closurezd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2theza7d22470za7,
		BGl_z62sfunzd2thezd2closurez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2argszd2typezd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2argsza7d2471za7,
		BGl_z62cfunzd2argszd2typez62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_feffectzd2readzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762feffectza7d2rea2472z00,
		BGl_z62feffectzd2readzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2infixzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762cfunza7d2infixza72473za7,
		BGl_z62cfunzd2infixzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2methodzd2envz00zzast_varz00,
		BgL_bgl_za762cfunza7d2method2474z00, BGl_z62cfunzd2methodzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2arityzd2envz00zzast_varz00,
		BgL_bgl_za762funza7d2arityza7b2475za7, BGl_z62funzd2arityzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2320z00zzast_varz00,
		BgL_bgl_za762lambda2005za7622476z00, BGl_z62lambda2005z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2321z00zzast_varz00,
		BgL_bgl_za762lambda2004za7622477z00, BGl_z62lambda2004z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2240z00zzast_varz00,
		BgL_bgl_za762lambda1722za7622478z00, BGl_z62lambda1722z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2322z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2479za7,
		BGl_z62zc3z04anonymousza32013ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2241z00zzast_varz00,
		BgL_bgl_za762lambda1730za7622480z00, BGl_z62lambda1730z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2323z00zzast_varz00,
		BgL_bgl_za762lambda2012za7622481z00, BGl_z62lambda2012z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zzast_varz00,
		BgL_bgl_za762lambda1729za7622482z00, BGl_z62lambda1729z62zzast_varz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2evaluablezf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762globalza7d2eval2483z00,
		BGl_z62globalzd2evaluablezf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2324z00zzast_varz00,
		BgL_bgl_za762lambda2011za7622484z00, BGl_z62lambda2011z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2485za7,
		BGl_z62zc3z04anonymousza31745ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2argszd2retescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762cfunza7d2argsza7d2486za7,
		BGl_z62cfunzd2argszd2retescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2325z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2487za7,
		BGl_z62zc3z04anonymousza32020ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zzast_varz00,
		BgL_bgl_za762lambda1744za7622488z00, BGl_z62lambda1744z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2326z00zzast_varz00,
		BgL_bgl_za762lambda2019za7622489z00, BGl_z62lambda2019z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zzast_varz00,
		BgL_bgl_za762lambda1743za7622490z00, BGl_z62lambda1743z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2327z00zzast_varz00,
		BgL_bgl_za762lambda2018za7622491z00, BGl_z62lambda2018z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2246z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2492za7,
		BGl_z62zc3z04anonymousza31752ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2328z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2493za7,
		BGl_z62zc3z04anonymousza31941ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2247z00zzast_varz00,
		BgL_bgl_za762lambda1751za7622494z00, BGl_z62lambda1751z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2329z00zzast_varz00,
		BgL_bgl_za762lambda1939za7622495z00, BGl_z62lambda1939z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2248z00zzast_varz00,
		BgL_bgl_za762lambda1750za7622496z00, BGl_z62lambda1750z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzd2classzd2envz00zzast_varz00,
		BgL_bgl_za762scnstza7d2class2497z00, BGl_z62scnstzd2classzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2249z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2498za7,
		BGl_z62zc3z04anonymousza31607ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2valuezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2value2499z00,
		BGl_z62localzd2valuezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2occurrencewzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2occur2500z00,
		BGl_z62localzd2occurrencewzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2argszd2safezf3zd2envz21zzast_varz00,
		BgL_bgl_za762globalza7d2args2501z00,
		BGl_z62globalzd2argszd2safezf3z91zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2typezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2type2502z00,
		BGl_z62globalzd2typezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2idzd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2id2503z00, BGl_z62variablezd2idzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2keyzd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2keyza7b2504za7, BGl_z62localzd2keyzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2setzd2readzd2onlyz12zd2envz12zzast_varz00,
		BgL_bgl_za762globalza7d2setza72505za7,
		BGl_z62globalzd2setzd2readzd2onlyz12za2zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2330z00zzast_varz00,
		BgL_bgl_za762lambda1937za7622506z00, BGl_z62lambda1937z62zzast_varz00, 0L,
		BUNSPEC, 22);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2predicatezd2ofzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762cfunza7d2predic2507z00,
		BGl_z62cfunzd2predicatezd2ofzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2331z00zzast_varz00,
		BgL_bgl_za762lambda2038za7622508z00, BGl_z62lambda2038z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2250z00zzast_varz00,
		BgL_bgl_za762lambda1604za7622509z00, BGl_z62lambda1604z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2332z00zzast_varz00,
		BgL_bgl_za762lambda2037za7622510z00, BGl_z62lambda2037z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2251z00zzast_varz00,
		BgL_bgl_za762lambda1602za7622511z00, BGl_z62lambda1602z62zzast_varz00, 0L,
		BUNSPEC, 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2333z00zzast_varz00,
		BgL_bgl_za762lambda2043za7622512z00, BGl_z62lambda2043z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2252z00zzast_varz00,
		BgL_bgl_za762lambda1783za7622513z00, BGl_z62lambda1783z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2334z00zzast_varz00,
		BgL_bgl_za762lambda2042za7622514z00, BGl_z62lambda2042z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2253z00zzast_varz00,
		BgL_bgl_za762lambda1782za7622515z00, BGl_z62lambda1782z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2accesszd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2acces2516z00, BGl_z62localzd2accesszb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2335z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2517za7,
		BGl_z62zc3z04anonymousza32050ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2254z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2518za7,
		BGl_z62zc3z04anonymousza31802ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2336z00zzast_varz00,
		BgL_bgl_za762lambda2049za7622519z00, BGl_z62lambda2049z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2255z00zzast_varz00,
		BgL_bgl_za762lambda1801za7622520z00, BGl_z62lambda1801z62zzast_varz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2thezd2closurezd2globalzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2theza7d22521za7,
		BGl_z62sfunzd2thezd2closurezd2globalzd2setz12z70zzast_varz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2337z00zzast_varz00,
		BgL_bgl_za762lambda2048za7622522z00, BGl_z62lambda2048z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2256z00zzast_varz00,
		BgL_bgl_za762lambda1800za7622523z00, BGl_z62lambda1800z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2338z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2524za7,
		BGl_z62zc3z04anonymousza32057ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2257z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2525za7,
		BGl_z62zc3z04anonymousza31813ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2evaluablezf3zd2envzf3zzast_varz00,
		BgL_bgl_za762globalza7d2eval2526z00,
		BGl_z62globalzd2evaluablezf3z43zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2339z00zzast_varz00,
		BgL_bgl_za762lambda2056za7622527z00, BGl_z62lambda2056z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2258z00zzast_varz00,
		BgL_bgl_za762lambda1812za7622528z00, BGl_z62lambda1812z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2259z00zzast_varz00,
		BgL_bgl_za762lambda1811za7622529z00, BGl_z62lambda1811z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2typezd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2ty2530z00, BGl_z62variablezd2typezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzd2loczd2envz00zzast_varz00,
		BgL_bgl_za762scnstza7d2locza7b2531za7, BGl_z62scnstzd2loczb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2argszd2noescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762funza7d2argsza7d22532za7,
		BGl_z62funzd2argszd2noescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2accesszd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2ac2533z00,
		BGl_z62variablezd2accesszd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2340z00zzast_varz00,
		BgL_bgl_za762lambda2055za7622534z00, BGl_z62lambda2055z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2341z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2535za7,
		BGl_z62zc3z04anonymousza32032ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2260z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2536za7,
		BGl_z62zc3z04anonymousza31771ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2342z00zzast_varz00,
		BgL_bgl_za762lambda2030za7622537z00, BGl_z62lambda2030z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2261z00zzast_varz00,
		BgL_bgl_za762lambda1767za7622538z00, BGl_z62lambda1767z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2343z00zzast_varz00,
		BgL_bgl_za762lambda2027za7622539z00, BGl_z62lambda2027z62zzast_varz00, 0L,
		BUNSPEC, 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2262z00zzast_varz00,
		BgL_bgl_za762lambda1764za7622540z00, BGl_z62lambda1764z62zzast_varz00, 0L,
		BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2344z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2541za7,
		BGl_z62zc3z04anonymousza32075ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2263z00zzast_varz00,
		BgL_bgl_za762lambda1856za7622542z00, BGl_z62lambda1856z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2345z00zzast_varz00,
		BgL_bgl_za762lambda2074za7622543z00, BGl_z62lambda2074z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2264z00zzast_varz00,
		BgL_bgl_za762lambda1855za7622544z00, BGl_z62lambda1855z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2346z00zzast_varz00,
		BgL_bgl_za762lambda2073za7622545z00, BGl_z62lambda2073z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2265z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2546za7,
		BGl_z62zc3z04anonymousza31866ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2347z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2547za7,
		BGl_z62zc3z04anonymousza32067ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2266z00zzast_varz00,
		BgL_bgl_za762lambda1865za7622548z00, BGl_z62lambda1865z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2348z00zzast_varz00,
		BgL_bgl_za762lambda2065za7622549z00, BGl_z62lambda2065z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2267z00zzast_varz00,
		BgL_bgl_za762lambda1864za7622550z00, BGl_z62lambda1864z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2349z00zzast_varz00,
		BgL_bgl_za762lambda2063za7622551z00, BGl_z62lambda2063z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2268z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2552za7,
		BGl_z62zc3z04anonymousza31874ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2269z00zzast_varz00,
		BgL_bgl_za762lambda1873za7622553z00, BGl_z62lambda1873z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2userzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762localza7d2userza72554za7,
		BGl_z62localzd2userzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2stackzd2allocatorzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762cfunza7d2stackza72555za7,
		BGl_z62cfunzd2stackzd2allocatorzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2dssslzd2keywordszd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2dssslza72556za7,
		BGl_z62sfunzd2dssslzd2keywordsz62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2strengthzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2streng2557z00, BGl_z62sfunzd2strengthzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzd2loczd2envz00zzast_varz00,
		BgL_bgl_za762svarza7d2locza7b02558za7, BGl_z62svarzd2loczb0zzast_varz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2stackzd2allocatorzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2stackza72559za7,
		BGl_z62sfunzd2stackzd2allocatorzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2350z00zzast_varz00,
		BgL_bgl_za762lambda2092za7622560z00, BGl_z62lambda2092z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2351z00zzast_varz00,
		BgL_bgl_za762lambda2091za7622561z00, BGl_z62lambda2091z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2270z00zzast_varz00,
		BgL_bgl_za762lambda1872za7622562z00, BGl_z62lambda1872z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2352z00zzast_varz00,
		BgL_bgl_za762lambda2097za7622563z00, BGl_z62lambda2097z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2271z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2564za7,
		BGl_z62zc3z04anonymousza31883ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2565za7,
		BGl_z62zc3z04anonymousza31348ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2353z00zzast_varz00,
		BgL_bgl_za762lambda2096za7622566z00, BGl_z62lambda2096z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2272z00zzast_varz00,
		BgL_bgl_za762lambda1882za7622567z00, BGl_z62lambda1882z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzast_varz00,
		BgL_bgl_za762lambda1344za7622568z00, BGl_z62lambda1344z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2354z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2569za7,
		BGl_z62zc3z04anonymousza32106ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2273z00zzast_varz00,
		BgL_bgl_za762lambda1881za7622570z00, BGl_z62lambda1881z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzast_varz00,
		BgL_bgl_za762lambda1341za7622571z00, BGl_z62lambda1341z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2355z00zzast_varz00,
		BgL_bgl_za762lambda2105za7622572z00, BGl_z62lambda2105z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2274z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2573za7,
		BGl_z62zc3z04anonymousza31890ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzast_varz00,
		BgL_bgl_za762lambda1373za7622574z00, BGl_z62lambda1373z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2356z00zzast_varz00,
		BgL_bgl_za762lambda2104za7622575z00, BGl_z62lambda2104z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2275z00zzast_varz00,
		BgL_bgl_za762lambda1889za7622576z00, BGl_z62lambda1889z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzast_varz00,
		BgL_bgl_za762lambda1372za7622577z00, BGl_z62lambda1372z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2357z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2578za7,
		BGl_z62zc3z04anonymousza32087ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2276z00zzast_varz00,
		BgL_bgl_za762lambda1888za7622579z00, BGl_z62lambda1888z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2580za7,
		BGl_z62zc3z04anonymousza31386ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2typezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2ty2581z00,
		BGl_z62variablezd2typezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2358z00zzast_varz00,
		BgL_bgl_za762lambda2085za7622582z00, BGl_z62lambda2085z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2277z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2583za7,
		BGl_z62zc3z04anonymousza31898ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzast_varz00,
		BgL_bgl_za762lambda1385za7622584z00, BGl_z62lambda1385z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2359z00zzast_varz00,
		BgL_bgl_za762lambda2083za7622585z00, BGl_z62lambda2083z62zzast_varz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2278z00zzast_varz00,
		BgL_bgl_za762lambda1897za7622586z00, BGl_z62lambda1897z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzast_varz00,
		BgL_bgl_za762lambda1384za7622587z00, BGl_z62lambda1384z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2279z00zzast_varz00,
		BgL_bgl_za762lambda1896za7622588z00, BGl_z62lambda1896z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzast_varz00,
		BgL_bgl_za762lambda1403za7622589z00, BGl_z62lambda1403z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzast_varz00,
		BgL_bgl_za762lambda1402za7622590z00, BGl_z62lambda1402z62zzast_varz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2typezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2typeza72591za7,
		BGl_z62localzd2typezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2valuezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2valu2592z00,
		BGl_z62globalzd2valuezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2pragmazd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2prag2593z00, BGl_z62globalzd2pragmazb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2valuezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2valu2594z00, BGl_z62globalzd2valuezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2globalzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2global2595z00, BGl_z62makezd2globalzb0zzast_varz00,
		0L, BUNSPEC, 20);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2keyzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762globalza7d2keyza72596za7,
		BGl_z62globalzd2keyzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2valuezd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2valueza72597za7, BGl_z62makezd2valuezb0zzast_varz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2360z00zzast_varz00,
		BgL_bgl_za762lambda2122za7622598z00, BGl_z62lambda2122z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2361z00zzast_varz00,
		BgL_bgl_za762lambda2121za7622599z00, BGl_z62lambda2121z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2280z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2600za7,
		BGl_z62zc3z04anonymousza31909ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2362z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2601za7,
		BGl_z62zc3z04anonymousza32117ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2281z00zzast_varz00,
		BgL_bgl_za762lambda1908za7622602z00, BGl_z62lambda1908z62zzast_varz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexitzd2detachedzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762sexitza7d2detac2603z00,
		BGl_z62sexitzd2detachedzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2userzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762variableza7d2us2604z00,
		BGl_z62variablezd2userzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2363z00zzast_varz00,
		BgL_bgl_za762lambda2115za7622605z00, BGl_z62lambda2115z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2282z00zzast_varz00,
		BgL_bgl_za762lambda1907za7622606z00, BGl_z62lambda1907z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexitzf3zd2envz21zzast_varz00,
		BgL_bgl_za762sexitza7f3za791za7za72607za7, BGl_z62sexitzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2initzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2init2608z00,
		BGl_z62globalzd2initzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2364z00zzast_varz00,
		BgL_bgl_za762lambda2113za7622609z00, BGl_z62lambda2113z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2283z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2610za7,
		BGl_z62zc3z04anonymousza31916ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2365z00zzast_varz00,
		BgL_bgl_za762lambda2138za7622611z00, BGl_z62lambda2138z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2284z00zzast_varz00,
		BgL_bgl_za762lambda1915za7622612z00, BGl_z62lambda1915z62zzast_varz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2failsafezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762cfunza7d2failsa2613z00,
		BGl_z62cfunzd2failsafezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2366z00zzast_varz00,
		BgL_bgl_za762lambda2137za7622614z00, BGl_z62lambda2137z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2285z00zzast_varz00,
		BgL_bgl_za762lambda1914za7622615z00, BGl_z62lambda1914z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2367z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2616za7,
		BGl_z62zc3z04anonymousza32145ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2286z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2617za7,
		BGl_z62zc3z04anonymousza31923ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2368z00zzast_varz00,
		BgL_bgl_za762lambda2144za7622618z00, BGl_z62lambda2144z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2287z00zzast_varz00,
		BgL_bgl_za762lambda1922za7622619z00, BGl_z62lambda1922z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2369z00zzast_varz00,
		BgL_bgl_za762lambda2143za7622620z00, BGl_z62lambda2143z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2288z00zzast_varz00,
		BgL_bgl_za762lambda1921za7622621z00, BGl_z62lambda1921z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2289z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2622za7,
		BGl_z62zc3z04anonymousza31930ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvarzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762cvarza7d2nilza7b02623za7, BGl_z62cvarzd2nilzb0zzast_varz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2occurrencezd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2oc2624z00,
		BGl_z62variablezd2occurrencezb0zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2effectzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762funza7d2effectza72625za7,
		BGl_z62funzd2effectzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2modulezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2modu2626z00, BGl_z62globalzd2modulezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2370z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2627za7,
		BGl_z62zc3z04anonymousza32132ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2371z00zzast_varz00,
		BgL_bgl_za762lambda2130za7622628z00, BGl_z62lambda2130z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2290z00zzast_varz00,
		BgL_bgl_za762lambda1929za7622629z00, BGl_z62lambda1929z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2372z00zzast_varz00,
		BgL_bgl_za762lambda2128za7622630z00, BGl_z62lambda2128z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2291z00zzast_varz00,
		BgL_bgl_za762lambda1928za7622631z00, BGl_z62lambda1928z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2373z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2632za7,
		BGl_z62zc3z04anonymousza32163ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2292z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2633za7,
		BGl_z62zc3z04anonymousza31849ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2374z00zzast_varz00,
		BgL_bgl_za762lambda2162za7622634z00, BGl_z62lambda2162z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2293z00zzast_varz00,
		BgL_bgl_za762lambda1843za7622635z00, BGl_z62lambda1843z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2375z00zzast_varz00,
		BgL_bgl_za762lambda2161za7622636z00, BGl_z62lambda2161z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2294z00zzast_varz00,
		BgL_bgl_za762lambda1839za7622637z00, BGl_z62lambda1839z62zzast_varz00, 0L,
		BUNSPEC, 10);
	      DEFINE_STRING(BGl_string2382z00zzast_varz00,
		BgL_bgl_string2382za700za7za7a2638za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2376z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2639za7,
		BGl_z62zc3z04anonymousza32170ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2295z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2640za7,
		BGl_z62zc3z04anonymousza31948ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2383z00zzast_varz00,
		BgL_bgl_string2383za700za7za7a2641za7, "ast_var", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2377z00zzast_varz00,
		BgL_bgl_za762lambda2169za7622642z00, BGl_z62lambda2169z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2296z00zzast_varz00,
		BgL_bgl_za762lambda1947za7622643z00, BGl_z62lambda1947z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2384z00zzast_varz00,
		BgL_bgl_string2384za700za7za7a2644za7,
		"now \077\077? _ feffect write read sexit detached? handler cvar scnst node svar cfun pair-nil method infix? macro? args-type sfun stackable strength the-closure-global keys optionals loc dsssl-keywords class body args-name args property fun args-retescape args-noescape failsafe effect the-closure top? stack-allocator predicate-of side-effect arity local volatile val-noescape key global alias init bstring jvm-type-name src pragma library eval? evaluable? import module variable bool user? occurrencew long occurrence removable fast-alpha access type obj name symbol id ast_var value args-safe read-only ",
		600);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2378z00zzast_varz00,
		BgL_bgl_za762lambda2168za7622645z00, BGl_z62lambda2168z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2297z00zzast_varz00,
		BgL_bgl_za762lambda1946za7622646z00, BGl_z62lambda1946z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2379z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2647za7,
		BGl_z62zc3z04anonymousza32156ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2298z00zzast_varz00,
		BgL_bgl_za762lambda1953za7622648z00, BGl_z62lambda1953z62zzast_varz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2occurrencewzd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2oc2649z00,
		BGl_z62variablezd2occurrencewzb0zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2299z00zzast_varz00,
		BgL_bgl_za762lambda1952za7622650z00, BGl_z62lambda1952z62zzast_varz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2effectzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762cfunza7d2effect2651z00,
		BGl_z62cfunzd2effectzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2optionalszd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2option2652z00, BGl_z62sfunzd2optionalszb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2argszd2namezd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7d2653za7,
		BGl_z62sfunzd2argszd2namez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2evalzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762globalza7d2eval2654z00, BGl_z62globalzd2evalzf3z43zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2380z00zzast_varz00,
		BgL_bgl_za762lambda2154za7622655z00, BGl_z62lambda2154z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2381z00zzast_varz00,
		BgL_bgl_za762lambda2152za7622656z00, BGl_z62lambda2152z62zzast_varz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2infixzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762cfunza7d2infixza72657za7,
		BGl_z62cfunzd2infixzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2stackzd2allocatorzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762funza7d2stackza7d2658za7,
		BGl_z62funzd2stackzd2allocatorzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2funzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2funza7b02659za7, BGl_z62makezd2funzb0zzast_varz00, 0L,
		BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2valzd2noescapezd2envzd2zzast_varz00,
		BgL_bgl_za762localza7d2valza7d2660za7,
		BGl_z62localzd2valzd2noescapez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzd2nodezd2envz00zzast_varz00,
		BgL_bgl_za762scnstza7d2nodeza72661za7, BGl_z62scnstzd2nodezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_feffectzd2writezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762feffectza7d2wri2662z00,
		BGl_z62feffectzd2writezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2argszd2retescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762funza7d2argsza7d22663za7,
		BGl_z62funzd2argszd2retescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2libraryzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2libr2664z00,
		BGl_z62globalzd2libraryzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valuezd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762valueza7d2nilza7b2665za7, BGl_z62valuezd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2fastzd2alphazd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762localza7d2fastza72666za7,
		BGl_z62localzd2fastzd2alphazd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2failsafezd2envz00zzast_varz00,
		BgL_bgl_za762cfunza7d2failsa2667z00, BGl_z62cfunzd2failsafezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2occurrencewzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2occu2668z00,
		BGl_z62globalzd2occurrencewzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2occurrencezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2occur2669z00,
		BGl_z62localzd2occurrencezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2userzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762globalza7d2user2670z00, BGl_z62globalzd2userzf3z43zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valuezf3zd2envz21zzast_varz00,
		BgL_bgl_za762valueza7f3za791za7za72671za7, BGl_z62valuezf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2typezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2type2672z00, BGl_z62globalzd2typezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2failsafezd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2failsa2673z00, BGl_z62sfunzd2failsafezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2predicatezd2ofzd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2predica2674z00,
		BGl_z62funzd2predicatezd2ofz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzd2loczd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762scnstza7d2locza7d2675za7,
		BGl_z62scnstzd2loczd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2fastzd2alphazd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762globalza7d2fast2676z00,
		BGl_z62globalzd2fastzd2alphazd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2typezd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2typeza72677za7, BGl_z62localzd2typezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2occurrencezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2occu2678z00,
		BGl_z62globalzd2occurrencezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzf3zd2envz21zzast_varz00,
		BgL_bgl_za762localza7f3za791za7za72679za7, BGl_z62localzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2nilza7b02680za7, BGl_z62sfunzd2nilzb0zzast_varz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2stackzd2allocatorzd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2stackza72681za7,
		BGl_z62sfunzd2stackzd2allocatorz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2fastzd2alphazd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762variableza7d2fa2682z00,
		BGl_z62variablezd2fastzd2alphazd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2userzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762localza7d2userza72683za7,
		BGl_z62localzd2userzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2occurrencezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2oc2684z00,
		BGl_z62variablezd2occurrencezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2bodyzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2bodyza7b2685za7, BGl_z62sfunzd2bodyzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2srczd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2srcza72686za7,
		BGl_z62globalzd2srczd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2occurrencezd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2occur2687z00,
		BGl_z62localzd2occurrencezb0zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2topzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762cfunza7d2topza7f32688za7,
		BGl_z62cfunzd2topzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2aliaszd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2alia2689z00, BGl_z62globalzd2aliaszb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzf3zd2envz21zzast_varz00,
		BgL_bgl_za762scnstza7f3za791za7za72690za7, BGl_z62scnstzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2pragmazd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2prag2691z00,
		BGl_z62globalzd2pragmazd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2argszd2noescapezd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7d2692za7,
		BGl_z62sfunzd2argszd2noescapez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2variablezd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2variab2693z00, BGl_z62makezd2variablezb0zzast_varz00,
		0L, BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzd2handlerzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sexitza7d2handl2694z00,
		BGl_z62sexitzd2handlerzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2aliaszd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2alia2695z00,
		BGl_z62globalzd2aliaszd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2svarzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2svarza7b2696za7, BGl_z62makezd2svarzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2removablezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2remo2697z00,
		BGl_z62globalzd2removablezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2argszd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7b2698za7, BGl_z62sfunzd2argszb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2classzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2classza72699za7,
		BGl_z62sfunzd2classzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2stackzd2allocatorzd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2stackza7d2700za7,
		BGl_z62funzd2stackzd2allocatorz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2thezd2closurezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762funza7d2theza7d2c2701za7,
		BGl_z62funzd2thezd2closurezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2removablezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2remo2702z00,
		BGl_z62globalzd2removablezb0zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2nilza72703za7, BGl_z62globalzd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2accesszd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2acces2704z00,
		BGl_z62localzd2accesszd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2sidezd2effectzd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2sideza7d2705za7,
		BGl_z62sfunzd2sidezd2effectz62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzf3zd2envz21zzast_varz00,
		BgL_bgl_za762funza7f3za791za7za7as2706za7, BGl_z62funzf3z91zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf3zd2envz21zzast_varz00,
		BgL_bgl_za762cfunza7f3za791za7za7a2707za7, BGl_z62cfunzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2predicatezd2ofzd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2predic2708z00,
		BGl_z62cfunzd2predicatezd2ofz62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2accesszd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2acce2709z00, BGl_z62globalzd2accesszb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2keyzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762sfunza7d2keyza7f32710za7, BGl_z62sfunzd2keyzf3z43zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2sidezd2effectzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762cfunza7d2sideza7d2711za7,
		BGl_z62cfunzd2sidezd2effectzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2fastzd2alphazd2envzd2zzast_varz00,
		BgL_bgl_za762variableza7d2fa2712z00,
		BGl_z62variablezd2fastzd2alphaz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2userzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762globalza7d2user2713z00,
		BGl_z62globalzd2userzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzf3zd2envz21zzast_varz00,
		BgL_bgl_za762sfunza7f3za791za7za7a2714za7, BGl_z62sfunzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2predicatezd2ofzd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2predic2715z00,
		BGl_z62sfunzd2predicatezd2ofz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2sidezd2effectzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2sideza7d2716za7,
		BGl_z62sfunzd2sidezd2effectzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2occurrencezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2occu2717z00,
		BGl_z62globalzd2occurrencezb0zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2readzd2onlyzf3zd2envz21zzast_varz00,
		BgL_bgl_za762globalza7d2read2718z00,
		BGl_z62globalzd2readzd2onlyzf3z91zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2valzd2noescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762localza7d2valza7d2719za7,
		BGl_z62localzd2valzd2noescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2feffectzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2feffec2720z00, BGl_z62makezd2feffectzb0zzast_varz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2thezd2closurezd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2theza7d2c2721za7,
		BGl_z62funzd2thezd2closurez62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2predicatezd2ofzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762funza7d2predica2722z00,
		BGl_z62funzd2predicatezd2ofzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2topzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762funza7d2topza7f3za72723z00, BGl_z62funzd2topzf3z43zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2removablezd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2re2724z00,
		BGl_z62variablezd2removablezb0zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2dssslzd2keywordszd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2dssslza72725za7,
		BGl_z62sfunzd2dssslzd2keywordszd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2thezd2closurezd2globalzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2theza7d22726za7,
		BGl_z62sfunzd2thezd2closurezd2globalzb0zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2removablezd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2remov2727z00,
		BGl_z62localzd2removablezb0zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2cfunzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2cfunza7b2728za7, BGl_z62makezd2cfunzb0zzast_varz00,
		0L, BUNSPEC, 14);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2arityzd2envz00zzast_varz00,
		BgL_bgl_za762cfunza7d2arityza72729za7, BGl_z62cfunzd2arityzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2topzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762funza7d2topza7f3za72730z00,
		BGl_z62funzd2topzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2thezd2closurezd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2theza7d22731za7,
		BGl_z62cfunzd2thezd2closurez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2effectzd2envz00zzast_varz00,
		BgL_bgl_za762cfunza7d2effect2732z00, BGl_z62cfunzd2effectzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2macrozf3zd2envzf3zzast_varz00,
		BgL_bgl_za762cfunza7d2macroza72733za7,
		BGl_z62cfunzd2macrozf3z43zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2failsafezd2envz00zzast_varz00,
		BgL_bgl_za762funza7d2failsaf2734z00, BGl_z62funzd2failsafezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2libraryzd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2libr2735z00, BGl_z62globalzd2libraryzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2effectzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2effect2736z00, BGl_z62sfunzd2effectzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2occurrencewzd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2occur2737z00,
		BGl_z62localzd2occurrencewzb0zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762funza7d2nilza7b0za72738z00, BGl_z62funzd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2accesszd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2ac2739z00,
		BGl_z62variablezd2accesszb0zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2removablezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2remov2740z00,
		BGl_z62localzd2removablezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzf3zd2envz21zzast_varz00,
		BgL_bgl_za762globalza7f3za791za72741z00, BGl_z62globalzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2ni2742z00, BGl_z62variablezd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2sexitzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2sexitza72743za7, BGl_z62makezd2sexitzb0zzast_varz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2argszd2retescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7d2744za7,
		BGl_z62sfunzd2argszd2retescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2propertyzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2proper2745z00,
		BGl_z62sfunzd2propertyzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2idzd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2idza7b2746za7, BGl_z62globalzd2idzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_feffectzf3zd2envz21zzast_varz00,
		BgL_bgl_za762feffectza7f3za7912747za7, BGl_z62feffectzf3z91zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2initzd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2init2748z00, BGl_z62globalzd2initzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2importzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2impo2749z00,
		BGl_z62globalzd2importzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2predicatezd2ofzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2predic2750z00,
		BGl_z62sfunzd2predicatezd2ofzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2fastzd2alphazd2envzd2zzast_varz00,
		BgL_bgl_za762localza7d2fastza72751za7,
		BGl_z62localzd2fastzd2alphaz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2namezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2name2752z00,
		BGl_z62globalzd2namezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2modulezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2modu2753z00,
		BGl_z62globalzd2modulezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2argszd2retescapezd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2argsza7d22754za7,
		BGl_z62funzd2argszd2retescapez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2propertyzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2proper2755z00, BGl_z62sfunzd2propertyzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2argszd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7d2756za7,
		BGl_z62sfunzd2argszd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2valuezd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2va2757z00, BGl_z62variablezd2valuezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2nilza7b2758za7, BGl_z62localzd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2argszd2noescapezd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2argsza7d22759za7,
		BGl_z62funzd2argszd2noescapez62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2loczd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2locza7d22760za7,
		BGl_z62sfunzd2loczd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_feffectzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762feffectza7d2nil2761z00, BGl_z62feffectzd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2srczd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2srcza72762za7, BGl_z62globalzd2srczb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2strengthzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2streng2763z00,
		BGl_z62sfunzd2strengthzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762scnstza7d2nilza7b2764za7, BGl_z62scnstzd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexitzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762sexitza7d2nilza7b2765za7, BGl_z62sexitzd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzd2detachedzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762sexitza7d2detac2766z00,
		BGl_z62sexitzd2detachedzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2optionalzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762sfunza7d2option2767z00,
		BGl_z62sfunzd2optionalzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2namezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2na2768z00,
		BGl_z62variablezd2namezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2namezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2nameza72769za7,
		BGl_z62localzd2namezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2failsafezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2failsa2770z00,
		BGl_z62sfunzd2failsafezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2fastzd2alphazd2envzd2zzast_varz00,
		BgL_bgl_za762globalza7d2fast2771z00,
		BGl_z62globalzd2fastzd2alphaz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2optionalzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762globalza7d2opti2772z00,
		BGl_z62globalzd2optionalzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2jvmzd2typezd2namezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2jvmza72773za7,
		BGl_z62globalzd2jvmzd2typezd2namezb0zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2accesszd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2acce2774z00,
		BGl_z62globalzd2accesszd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762svarza7d2nilza7b02775za7, BGl_z62svarzd2nilzb0zzast_varz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2bodyzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2bodyza7d2776za7,
		BGl_z62sfunzd2bodyzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2jvmzd2typezd2namezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2jvmza72777za7,
		BGl_z62globalzd2jvmzd2typezd2namezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezf3zd2envz21zzast_varz00,
		BgL_bgl_za762variableza7f3za792778za7, BGl_z62variablezf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2effectzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2effect2779z00,
		BGl_z62sfunzd2effectzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2userzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762variableza7d2us2780z00,
		BGl_z62variablezd2userzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2loczd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2locza7b02781za7, BGl_z62sfunzd2loczb0zzast_varz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2removablezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2re2782z00,
		BGl_z62variablezd2removablezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_feffectzd2writezd2envz00zzast_varz00,
		BgL_bgl_za762feffectza7d2wri2783z00, BGl_z62feffectzd2writezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2stackablezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2stacka2784z00,
		BGl_z62sfunzd2stackablezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2namezd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2na2785z00, BGl_z62variablezd2namezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2localzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2localza72786za7, BGl_z62makezd2localzb0zzast_varz00,
		0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2argszd2noescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762cfunza7d2argsza7d2787za7,
		BGl_z62cfunzd2argszd2noescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2classzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2classza72788za7, BGl_z62sfunzd2classzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2evalzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762globalza7d2eval2789z00,
		BGl_z62globalzd2evalzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvarzf3zd2envz21zzast_varz00,
		BgL_bgl_za762cvarza7f3za791za7za7a2790za7, BGl_z62cvarzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2argszd2noescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7d2791za7,
		BGl_z62sfunzd2argszd2noescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2scnstzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2scnstza72792za7, BGl_z62makezd2scnstzb0zzast_varz00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzf3zd2envz21zzast_varz00,
		BgL_bgl_za762svarza7f3za791za7za7a2793za7, BGl_z62svarzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762cfunza7d2nilza7b02794za7, BGl_z62cfunzd2nilzb0zzast_varz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2stackzd2allocatorzd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2stackza72795za7,
		BGl_z62cfunzd2stackzd2allocatorz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2occurrencewzd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2occu2796z00,
		BGl_z62globalzd2occurrencewzb0zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexitzd2handlerzd2envz00zzast_varz00,
		BgL_bgl_za762sexitza7d2handl2797z00, BGl_z62sexitzd2handlerzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2argszd2noescapezd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2argsza7d2798za7,
		BGl_z62cfunzd2argszd2noescapez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2topzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762cfunza7d2topza7f32799za7, BGl_z62cfunzd2topzf3z43zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2methodzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762cfunza7d2method2800z00,
		BGl_z62cfunzd2methodzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2topzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762sfunza7d2topza7f32801za7,
		BGl_z62sfunzd2topzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2sidezd2effectzd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2sideza7d22802za7,
		BGl_z62funzd2sidezd2effectz62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2cvarzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2cvarza7b2803za7, BGl_z62makezd2cvarzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2topzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762sfunza7d2topza7f32804za7, BGl_z62sfunzd2topzf3z43zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_feffectzd2readzd2envz00zzast_varz00,
		BgL_bgl_za762feffectza7d2rea2805z00, BGl_z62feffectzd2readzb0zzast_varz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_varz00));
		     ADD_ROOT((void *) (&BGl_funz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_sfunz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_sexitz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_svarz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_cfunz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_localz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_feffectz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_scnstz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_valuez00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_variablez00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_globalz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_cvarz00zzast_varz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long
		BgL_checksumz00_4179, char *BgL_fromz00_4180)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_varz00))
				{
					BGl_requirezd2initializa7ationz75zzast_varz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_varz00();
					BGl_libraryzd2moduleszd2initz00zzast_varz00();
					BGl_cnstzd2initzd2zzast_varz00();
					BGl_importedzd2moduleszd2initz00zzast_varz00();
					BGl_objectzd2initzd2zzast_varz00();
					return BGl_methodzd2initzd2zzast_varz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_varz00()
	{
		{	/* Ast/var.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_var");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_var");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_var");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_var");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_var");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_var");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_var");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_var");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_varz00()
	{
		{	/* Ast/var.scm 14 */
			{	/* Ast/var.scm 14 */
				obj_t BgL_cportz00_3707;

				{	/* Ast/var.scm 14 */
					obj_t BgL_stringz00_3715;

					BgL_stringz00_3715 = BGl_string2384z00zzast_varz00;
					{	/* Ast/var.scm 14 */
						obj_t BgL_startz00_3716;

						BgL_startz00_3716 = BINT(((long) 0));
						{	/* Ast/var.scm 14 */
							obj_t BgL_endz00_3717;

							BgL_endz00_3717 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3715)));
							{	/* Ast/var.scm 14 */

								BgL_cportz00_3707 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3715, BgL_startz00_3716, BgL_endz00_3717);
				}}}}
				{
					long BgL_iz00_3708;

					BgL_iz00_3708 = ((long) 76);
				BgL_loopz00_3709:
					if ((BgL_iz00_3708 == ((long) -1)))
						{	/* Ast/var.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/var.scm 14 */
							{	/* Ast/var.scm 14 */
								obj_t BgL_arg2386z00_3711;

								{	/* Ast/var.scm 14 */

									{	/* Ast/var.scm 14 */
										obj_t BgL_locationz00_3713;

										BgL_locationz00_3713 = BBOOL(((bool_t) 0));
										{	/* Ast/var.scm 14 */

											BgL_arg2386z00_3711 =
												BGl_readz00zz__readerz00(BgL_cportz00_3707,
												BgL_locationz00_3713);
										}
									}
								}
								{	/* Ast/var.scm 14 */
									int BgL_tmpz00_4207;

									BgL_tmpz00_4207 = (int) (BgL_iz00_3708);
									CNST_TABLE_SET(BgL_tmpz00_4207, BgL_arg2386z00_3711);
							}}
							{	/* Ast/var.scm 14 */
								int BgL_auxz00_3714;

								BgL_auxz00_3714 = (int) ((BgL_iz00_3708 - ((long) 1)));
								{
									long BgL_iz00_4212;

									BgL_iz00_4212 = (long) (BgL_auxz00_3714);
									BgL_iz00_3708 = BgL_iz00_4212;
									goto BgL_loopz00_3709;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_varz00()
	{
		{	/* Ast/var.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* make-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt BGl_makezd2valuezd2zzast_varz00()
	{
		{	/* Ast/var.sch 278 */
			{	/* Ast/var.sch 278 */
				BgL_valuez00_bglt BgL_new1184z00_3719;

				{	/* Ast/var.sch 278 */
					BgL_valuez00_bglt BgL_new1183z00_3720;

					BgL_new1183z00_3720 =
						((BgL_valuez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_valuez00_bgl))));
					{	/* Ast/var.sch 278 */
						long BgL_arg1281z00_3721;

						BgL_arg1281z00_3721 = BGL_CLASS_NUM(BGl_valuez00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1183z00_3720), BgL_arg1281z00_3721);
					}
					BgL_new1184z00_3719 = BgL_new1183z00_3720;
				}
				return BgL_new1184z00_3719;
			}
		}

	}



/* &make-value */
	BgL_valuez00_bglt BGl_z62makezd2valuezb0zzast_varz00(obj_t BgL_envz00_2435)
	{
		{	/* Ast/var.sch 278 */
			return BGl_makezd2valuezd2zzast_varz00();
		}

	}



/* value? */
	BGL_EXPORTED_DEF bool_t BGl_valuezf3zf3zzast_varz00(obj_t BgL_objz00_3)
	{
		{	/* Ast/var.sch 279 */
			{	/* Ast/var.sch 279 */
				obj_t BgL_classz00_3722;

				BgL_classz00_3722 = BGl_valuez00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_3))
					{	/* Ast/var.sch 279 */
						BgL_objectz00_bglt BgL_arg1825z00_3723;

						BgL_arg1825z00_3723 = (BgL_objectz00_bglt) (BgL_objz00_3);
						{	/* Ast/var.sch 279 */
							bool_t BgL_arg1822z00_3724;
							bool_t BgL_arg1823z00_3725;

							{	/* Ast/var.sch 279 */
								long BgL_idxz00_3726;

								BgL_idxz00_3726 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3723);
								BgL_arg1822z00_3724 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3726 + ((long) 1))) == BgL_classz00_3722);
							}
							{	/* Ast/var.sch 279 */
								bool_t BgL_res2172z00_3729;

								{	/* Ast/var.sch 279 */
									obj_t BgL_oclassz00_3730;

									{	/* Ast/var.sch 279 */
										long BgL_arg1833z00_3731;

										{	/* Ast/var.sch 279 */
											long BgL_arg1834z00_3732;

											BgL_arg1834z00_3732 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3723);
											BgL_arg1833z00_3731 = (BgL_arg1834z00_3732 - OBJECT_TYPE);
										}
										BgL_oclassz00_3730 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3731);
									}
									{	/* Ast/var.sch 279 */
										bool_t BgL__ortest_1110z00_3733;

										BgL__ortest_1110z00_3733 =
											(BgL_classz00_3722 == BgL_oclassz00_3730);
										if (BgL__ortest_1110z00_3733)
											{	/* Ast/var.sch 279 */
												BgL_res2172z00_3729 = BgL__ortest_1110z00_3733;
											}
										else
											{	/* Ast/var.sch 279 */
												long BgL_odepthz00_3734;

												BgL_odepthz00_3734 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3730);
												if ((((long) 1) < BgL_odepthz00_3734))
													{	/* Ast/var.sch 279 */
														obj_t BgL_arg1821z00_3735;

														BgL_arg1821z00_3735 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3730,
															((long) 1));
														BgL_res2172z00_3729 =
															(BgL_arg1821z00_3735 == BgL_classz00_3722);
													}
												else
													{	/* Ast/var.sch 279 */
														BgL_res2172z00_3729 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3725 = BgL_res2172z00_3729;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3724, BgL_arg1823z00_3725);
						}
					}
				else
					{	/* Ast/var.sch 279 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &value? */
	obj_t BGl_z62valuezf3z91zzast_varz00(obj_t BgL_envz00_2436,
		obj_t BgL_objz00_2437)
	{
		{	/* Ast/var.sch 279 */
			return BBOOL(BGl_valuezf3zf3zzast_varz00(BgL_objz00_2437));
		}

	}



/* value-nil */
	BGL_EXPORTED_DEF BgL_valuez00_bglt BGl_valuezd2nilzd2zzast_varz00()
	{
		{	/* Ast/var.sch 280 */
			{	/* Ast/var.sch 280 */
				obj_t BgL_classz00_1611;

				BgL_classz00_1611 = BGl_valuez00zzast_varz00;
				{	/* Ast/var.sch 280 */
					obj_t BgL__ortest_1112z00_1612;

					BgL__ortest_1112z00_1612 = BGL_CLASS_NIL(BgL_classz00_1611);
					if (CBOOL(BgL__ortest_1112z00_1612))
						{	/* Ast/var.sch 280 */
							return ((BgL_valuez00_bglt) BgL__ortest_1112z00_1612);
						}
					else
						{	/* Ast/var.sch 280 */
							return
								((BgL_valuez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1611));
						}
				}
			}
		}

	}



/* &value-nil */
	BgL_valuez00_bglt BGl_z62valuezd2nilzb0zzast_varz00(obj_t BgL_envz00_2438)
	{
		{	/* Ast/var.sch 280 */
			return BGl_valuezd2nilzd2zzast_varz00();
		}

	}



/* make-variable */
	BGL_EXPORTED_DEF BgL_variablez00_bglt BGl_makezd2variablezd2zzast_varz00(obj_t
		BgL_id1282z00_4, obj_t BgL_name1283z00_5,
		BgL_typez00_bglt BgL_type1284z00_6, BgL_valuez00_bglt BgL_value1285z00_7,
		obj_t BgL_access1286z00_8, obj_t BgL_fastzd2alpha1287zd2_9,
		obj_t BgL_removable1288z00_10, long BgL_occurrence1289z00_11,
		long BgL_occurrencew1290z00_12, bool_t BgL_userzf31291zf3_13)
	{
		{	/* Ast/var.sch 283 */
			{	/* Ast/var.sch 283 */
				BgL_variablez00_bglt BgL_new1186z00_3736;

				{	/* Ast/var.sch 283 */
					BgL_variablez00_bglt BgL_new1185z00_3737;

					BgL_new1185z00_3737 =
						((BgL_variablez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_variablez00_bgl))));
					{	/* Ast/var.sch 283 */
						long BgL_arg1284z00_3738;

						BgL_arg1284z00_3738 = BGL_CLASS_NUM(BGl_variablez00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1185z00_3737), BgL_arg1284z00_3738);
					}
					BgL_new1186z00_3736 = BgL_new1185z00_3737;
				}
				((((BgL_variablez00_bglt) COBJECT(BgL_new1186z00_3736))->BgL_idz00) =
					((obj_t) BgL_id1282z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1186z00_3736))->BgL_namez00) =
					((obj_t) BgL_name1283z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1186z00_3736))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1284z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1186z00_3736))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1285z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1186z00_3736))->
						BgL_accessz00) = ((obj_t) BgL_access1286z00_8), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1186z00_3736))->
						BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1287zd2_9), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1186z00_3736))->
						BgL_removablez00) = ((obj_t) BgL_removable1288z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1186z00_3736))->
						BgL_occurrencez00) = ((long) BgL_occurrence1289z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1186z00_3736))->
						BgL_occurrencewz00) = ((long) BgL_occurrencew1290z00_12), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1186z00_3736))->
						BgL_userzf3zf3) = ((bool_t) BgL_userzf31291zf3_13), BUNSPEC);
				return BgL_new1186z00_3736;
			}
		}

	}



/* &make-variable */
	BgL_variablez00_bglt BGl_z62makezd2variablezb0zzast_varz00(obj_t
		BgL_envz00_2439, obj_t BgL_id1282z00_2440, obj_t BgL_name1283z00_2441,
		obj_t BgL_type1284z00_2442, obj_t BgL_value1285z00_2443,
		obj_t BgL_access1286z00_2444, obj_t BgL_fastzd2alpha1287zd2_2445,
		obj_t BgL_removable1288z00_2446, obj_t BgL_occurrence1289z00_2447,
		obj_t BgL_occurrencew1290z00_2448, obj_t BgL_userzf31291zf3_2449)
	{
		{	/* Ast/var.sch 283 */
			return
				BGl_makezd2variablezd2zzast_varz00(BgL_id1282z00_2440,
				BgL_name1283z00_2441, ((BgL_typez00_bglt) BgL_type1284z00_2442),
				((BgL_valuez00_bglt) BgL_value1285z00_2443), BgL_access1286z00_2444,
				BgL_fastzd2alpha1287zd2_2445, BgL_removable1288z00_2446,
				(long) CINT(BgL_occurrence1289z00_2447),
				(long) CINT(BgL_occurrencew1290z00_2448),
				CBOOL(BgL_userzf31291zf3_2449));
		}

	}



/* variable? */
	BGL_EXPORTED_DEF bool_t BGl_variablezf3zf3zzast_varz00(obj_t BgL_objz00_14)
	{
		{	/* Ast/var.sch 284 */
			{	/* Ast/var.sch 284 */
				obj_t BgL_classz00_3739;

				BgL_classz00_3739 = BGl_variablez00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_14))
					{	/* Ast/var.sch 284 */
						BgL_objectz00_bglt BgL_arg1825z00_3740;

						BgL_arg1825z00_3740 = (BgL_objectz00_bglt) (BgL_objz00_14);
						{	/* Ast/var.sch 284 */
							bool_t BgL_arg1822z00_3741;
							bool_t BgL_arg1823z00_3742;

							{	/* Ast/var.sch 284 */
								long BgL_idxz00_3743;

								BgL_idxz00_3743 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3740);
								BgL_arg1822z00_3741 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3743 + ((long) 1))) == BgL_classz00_3739);
							}
							{	/* Ast/var.sch 284 */
								bool_t BgL_res2173z00_3746;

								{	/* Ast/var.sch 284 */
									obj_t BgL_oclassz00_3747;

									{	/* Ast/var.sch 284 */
										long BgL_arg1833z00_3748;

										{	/* Ast/var.sch 284 */
											long BgL_arg1834z00_3749;

											BgL_arg1834z00_3749 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3740);
											BgL_arg1833z00_3748 = (BgL_arg1834z00_3749 - OBJECT_TYPE);
										}
										BgL_oclassz00_3747 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3748);
									}
									{	/* Ast/var.sch 284 */
										bool_t BgL__ortest_1110z00_3750;

										BgL__ortest_1110z00_3750 =
											(BgL_classz00_3739 == BgL_oclassz00_3747);
										if (BgL__ortest_1110z00_3750)
											{	/* Ast/var.sch 284 */
												BgL_res2173z00_3746 = BgL__ortest_1110z00_3750;
											}
										else
											{	/* Ast/var.sch 284 */
												long BgL_odepthz00_3751;

												BgL_odepthz00_3751 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3747);
												if ((((long) 1) < BgL_odepthz00_3751))
													{	/* Ast/var.sch 284 */
														obj_t BgL_arg1821z00_3752;

														BgL_arg1821z00_3752 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3747,
															((long) 1));
														BgL_res2173z00_3746 =
															(BgL_arg1821z00_3752 == BgL_classz00_3739);
													}
												else
													{	/* Ast/var.sch 284 */
														BgL_res2173z00_3746 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3742 = BgL_res2173z00_3746;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3741, BgL_arg1823z00_3742);
						}
					}
				else
					{	/* Ast/var.sch 284 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &variable? */
	obj_t BGl_z62variablezf3z91zzast_varz00(obj_t BgL_envz00_2450,
		obj_t BgL_objz00_2451)
	{
		{	/* Ast/var.sch 284 */
			return BBOOL(BGl_variablezf3zf3zzast_varz00(BgL_objz00_2451));
		}

	}



/* variable-nil */
	BGL_EXPORTED_DEF BgL_variablez00_bglt BGl_variablezd2nilzd2zzast_varz00()
	{
		{	/* Ast/var.sch 285 */
			{	/* Ast/var.sch 285 */
				obj_t BgL_classz00_1651;

				BgL_classz00_1651 = BGl_variablez00zzast_varz00;
				{	/* Ast/var.sch 285 */
					obj_t BgL__ortest_1112z00_1652;

					BgL__ortest_1112z00_1652 = BGL_CLASS_NIL(BgL_classz00_1651);
					if (CBOOL(BgL__ortest_1112z00_1652))
						{	/* Ast/var.sch 285 */
							return ((BgL_variablez00_bglt) BgL__ortest_1112z00_1652);
						}
					else
						{	/* Ast/var.sch 285 */
							return
								((BgL_variablez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1651));
						}
				}
			}
		}

	}



/* &variable-nil */
	BgL_variablez00_bglt BGl_z62variablezd2nilzb0zzast_varz00(obj_t
		BgL_envz00_2452)
	{
		{	/* Ast/var.sch 285 */
			return BGl_variablezd2nilzd2zzast_varz00();
		}

	}



/* variable-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_variablezd2userzf3z21zzast_varz00(BgL_variablez00_bglt BgL_oz00_15)
	{
		{	/* Ast/var.sch 286 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_15))->BgL_userzf3zf3);
		}

	}



/* &variable-user? */
	obj_t BGl_z62variablezd2userzf3z43zzast_varz00(obj_t BgL_envz00_2453,
		obj_t BgL_oz00_2454)
	{
		{	/* Ast/var.sch 286 */
			return
				BBOOL(BGl_variablezd2userzf3z21zzast_varz00(
					((BgL_variablez00_bglt) BgL_oz00_2454)));
		}

	}



/* variable-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2userzf3zd2setz12ze1zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_16, bool_t BgL_vz00_17)
	{
		{	/* Ast/var.sch 287 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_16))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_17), BUNSPEC);
		}

	}



/* &variable-user?-set! */
	obj_t BGl_z62variablezd2userzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2455,
		obj_t BgL_oz00_2456, obj_t BgL_vz00_2457)
	{
		{	/* Ast/var.sch 287 */
			return
				BGl_variablezd2userzf3zd2setz12ze1zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2456), CBOOL(BgL_vz00_2457));
		}

	}



/* variable-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_variablezd2occurrencewzd2zzast_varz00(BgL_variablez00_bglt BgL_oz00_18)
	{
		{	/* Ast/var.sch 288 */
			return
				(((BgL_variablez00_bglt) COBJECT(BgL_oz00_18))->BgL_occurrencewz00);
		}

	}



/* &variable-occurrencew */
	obj_t BGl_z62variablezd2occurrencewzb0zzast_varz00(obj_t BgL_envz00_2458,
		obj_t BgL_oz00_2459)
	{
		{	/* Ast/var.sch 288 */
			return
				BINT(BGl_variablezd2occurrencewzd2zzast_varz00(
					((BgL_variablez00_bglt) BgL_oz00_2459)));
		}

	}



/* variable-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2occurrencewzd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_19, long BgL_vz00_20)
	{
		{	/* Ast/var.sch 289 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_19))->BgL_occurrencewz00) =
				((long) BgL_vz00_20), BUNSPEC);
		}

	}



/* &variable-occurrencew-set! */
	obj_t BGl_z62variablezd2occurrencewzd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2460, obj_t BgL_oz00_2461, obj_t BgL_vz00_2462)
	{
		{	/* Ast/var.sch 289 */
			return
				BGl_variablezd2occurrencewzd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2461), (long) CINT(BgL_vz00_2462));
		}

	}



/* variable-occurrence */
	BGL_EXPORTED_DEF long
		BGl_variablezd2occurrencezd2zzast_varz00(BgL_variablez00_bglt BgL_oz00_21)
	{
		{	/* Ast/var.sch 290 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_21))->BgL_occurrencez00);
		}

	}



/* &variable-occurrence */
	obj_t BGl_z62variablezd2occurrencezb0zzast_varz00(obj_t BgL_envz00_2463,
		obj_t BgL_oz00_2464)
	{
		{	/* Ast/var.sch 290 */
			return
				BINT(BGl_variablezd2occurrencezd2zzast_varz00(
					((BgL_variablez00_bglt) BgL_oz00_2464)));
		}

	}



/* variable-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2occurrencezd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_22, long BgL_vz00_23)
	{
		{	/* Ast/var.sch 291 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_22))->BgL_occurrencez00) =
				((long) BgL_vz00_23), BUNSPEC);
		}

	}



/* &variable-occurrence-set! */
	obj_t BGl_z62variablezd2occurrencezd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2465, obj_t BgL_oz00_2466, obj_t BgL_vz00_2467)
	{
		{	/* Ast/var.sch 291 */
			return
				BGl_variablezd2occurrencezd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2466), (long) CINT(BgL_vz00_2467));
		}

	}



/* variable-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2removablezd2zzast_varz00(BgL_variablez00_bglt BgL_oz00_24)
	{
		{	/* Ast/var.sch 292 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_24))->BgL_removablez00);
		}

	}



/* &variable-removable */
	obj_t BGl_z62variablezd2removablezb0zzast_varz00(obj_t BgL_envz00_2468,
		obj_t BgL_oz00_2469)
	{
		{	/* Ast/var.sch 292 */
			return
				BGl_variablezd2removablezd2zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2469));
		}

	}



/* variable-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2removablezd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_25, obj_t BgL_vz00_26)
	{
		{	/* Ast/var.sch 293 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_25))->BgL_removablez00) =
				((obj_t) BgL_vz00_26), BUNSPEC);
		}

	}



/* &variable-removable-set! */
	obj_t BGl_z62variablezd2removablezd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2470, obj_t BgL_oz00_2471, obj_t BgL_vz00_2472)
	{
		{	/* Ast/var.sch 293 */
			return
				BGl_variablezd2removablezd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2471), BgL_vz00_2472);
		}

	}



/* variable-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2fastzd2alphaz00zzast_varz00(BgL_variablez00_bglt BgL_oz00_27)
	{
		{	/* Ast/var.sch 294 */
			return
				(((BgL_variablez00_bglt) COBJECT(BgL_oz00_27))->BgL_fastzd2alphazd2);
		}

	}



/* &variable-fast-alpha */
	obj_t BGl_z62variablezd2fastzd2alphaz62zzast_varz00(obj_t BgL_envz00_2473,
		obj_t BgL_oz00_2474)
	{
		{	/* Ast/var.sch 294 */
			return
				BGl_variablezd2fastzd2alphaz00zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2474));
		}

	}



/* variable-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_28, obj_t BgL_vz00_29)
	{
		{	/* Ast/var.sch 295 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_28))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_29), BUNSPEC);
		}

	}



/* &variable-fast-alpha-set! */
	obj_t BGl_z62variablezd2fastzd2alphazd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2475, obj_t BgL_oz00_2476, obj_t BgL_vz00_2477)
	{
		{	/* Ast/var.sch 295 */
			return
				BGl_variablezd2fastzd2alphazd2setz12zc0zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2476), BgL_vz00_2477);
		}

	}



/* variable-access */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2accesszd2zzast_varz00(BgL_variablez00_bglt BgL_oz00_30)
	{
		{	/* Ast/var.sch 296 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_30))->BgL_accessz00);
		}

	}



/* &variable-access */
	obj_t BGl_z62variablezd2accesszb0zzast_varz00(obj_t BgL_envz00_2478,
		obj_t BgL_oz00_2479)
	{
		{	/* Ast/var.sch 296 */
			return
				BGl_variablezd2accesszd2zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2479));
		}

	}



/* variable-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2accesszd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_31, obj_t BgL_vz00_32)
	{
		{	/* Ast/var.sch 297 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_31))->BgL_accessz00) =
				((obj_t) BgL_vz00_32), BUNSPEC);
		}

	}



/* &variable-access-set! */
	obj_t BGl_z62variablezd2accesszd2setz12z70zzast_varz00(obj_t BgL_envz00_2480,
		obj_t BgL_oz00_2481, obj_t BgL_vz00_2482)
	{
		{	/* Ast/var.sch 297 */
			return
				BGl_variablezd2accesszd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2481), BgL_vz00_2482);
		}

	}



/* variable-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_variablezd2valuezd2zzast_varz00(BgL_variablez00_bglt BgL_oz00_33)
	{
		{	/* Ast/var.sch 298 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_33))->BgL_valuez00);
		}

	}



/* &variable-value */
	BgL_valuez00_bglt BGl_z62variablezd2valuezb0zzast_varz00(obj_t
		BgL_envz00_2483, obj_t BgL_oz00_2484)
	{
		{	/* Ast/var.sch 298 */
			return
				BGl_variablezd2valuezd2zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2484));
		}

	}



/* variable-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2valuezd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_34, BgL_valuez00_bglt BgL_vz00_35)
	{
		{	/* Ast/var.sch 299 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_34))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_35), BUNSPEC);
		}

	}



/* &variable-value-set! */
	obj_t BGl_z62variablezd2valuezd2setz12z70zzast_varz00(obj_t BgL_envz00_2485,
		obj_t BgL_oz00_2486, obj_t BgL_vz00_2487)
	{
		{	/* Ast/var.sch 299 */
			return
				BGl_variablezd2valuezd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2486),
				((BgL_valuez00_bglt) BgL_vz00_2487));
		}

	}



/* variable-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_variablezd2typezd2zzast_varz00(BgL_variablez00_bglt BgL_oz00_36)
	{
		{	/* Ast/var.sch 300 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_36))->BgL_typez00);
		}

	}



/* &variable-type */
	BgL_typez00_bglt BGl_z62variablezd2typezb0zzast_varz00(obj_t BgL_envz00_2488,
		obj_t BgL_oz00_2489)
	{
		{	/* Ast/var.sch 300 */
			return
				BGl_variablezd2typezd2zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2489));
		}

	}



/* variable-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2typezd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_37, BgL_typez00_bglt BgL_vz00_38)
	{
		{	/* Ast/var.sch 301 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_37))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_38), BUNSPEC);
		}

	}



/* &variable-type-set! */
	obj_t BGl_z62variablezd2typezd2setz12z70zzast_varz00(obj_t BgL_envz00_2490,
		obj_t BgL_oz00_2491, obj_t BgL_vz00_2492)
	{
		{	/* Ast/var.sch 301 */
			return
				BGl_variablezd2typezd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2491),
				((BgL_typez00_bglt) BgL_vz00_2492));
		}

	}



/* variable-name */
	BGL_EXPORTED_DEF obj_t BGl_variablezd2namezd2zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_39)
	{
		{	/* Ast/var.sch 302 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_39))->BgL_namez00);
		}

	}



/* &variable-name */
	obj_t BGl_z62variablezd2namezb0zzast_varz00(obj_t BgL_envz00_2493,
		obj_t BgL_oz00_2494)
	{
		{	/* Ast/var.sch 302 */
			return
				BGl_variablezd2namezd2zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2494));
		}

	}



/* variable-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2namezd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_40, obj_t BgL_vz00_41)
	{
		{	/* Ast/var.sch 303 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_40))->BgL_namez00) =
				((obj_t) BgL_vz00_41), BUNSPEC);
		}

	}



/* &variable-name-set! */
	obj_t BGl_z62variablezd2namezd2setz12z70zzast_varz00(obj_t BgL_envz00_2495,
		obj_t BgL_oz00_2496, obj_t BgL_vz00_2497)
	{
		{	/* Ast/var.sch 303 */
			return
				BGl_variablezd2namezd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2496), BgL_vz00_2497);
		}

	}



/* variable-id */
	BGL_EXPORTED_DEF obj_t BGl_variablezd2idzd2zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_42)
	{
		{	/* Ast/var.sch 304 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_42))->BgL_idz00);
		}

	}



/* &variable-id */
	obj_t BGl_z62variablezd2idzb0zzast_varz00(obj_t BgL_envz00_2498,
		obj_t BgL_oz00_2499)
	{
		{	/* Ast/var.sch 304 */
			return
				BGl_variablezd2idzd2zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2499));
		}

	}



/* make-global */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_makezd2globalzd2zzast_varz00(obj_t
		BgL_id1261z00_45, obj_t BgL_name1262z00_46,
		BgL_typez00_bglt BgL_type1263z00_47, BgL_valuez00_bglt BgL_value1264z00_48,
		obj_t BgL_access1265z00_49, obj_t BgL_fastzd2alpha1266zd2_50,
		obj_t BgL_removable1267z00_51, long BgL_occurrence1268z00_52,
		long BgL_occurrencew1269z00_53, bool_t BgL_userzf31270zf3_54,
		obj_t BgL_module1271z00_55, obj_t BgL_import1272z00_56,
		bool_t BgL_evaluablezf31273zf3_57, bool_t BgL_evalzf31274zf3_58,
		obj_t BgL_library1275z00_59, obj_t BgL_pragma1276z00_60,
		obj_t BgL_src1277z00_61, obj_t BgL_jvmzd2typezd2name1278z00_62,
		obj_t BgL_init1279z00_63, obj_t BgL_alias1280z00_64)
	{
		{	/* Ast/var.sch 308 */
			{	/* Ast/var.sch 308 */
				BgL_globalz00_bglt BgL_new1188z00_3753;

				{	/* Ast/var.sch 308 */
					BgL_globalz00_bglt BgL_new1187z00_3754;

					BgL_new1187z00_3754 =
						((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_globalz00_bgl))));
					{	/* Ast/var.sch 308 */
						long BgL_arg1295z00_3755;

						BgL_arg1295z00_3755 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1187z00_3754), BgL_arg1295z00_3755);
					}
					{	/* Ast/var.sch 308 */
						BgL_objectz00_bglt BgL_tmpz00_4363;

						BgL_tmpz00_4363 = ((BgL_objectz00_bglt) BgL_new1187z00_3754);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4363, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1187z00_3754);
					BgL_new1188z00_3753 = BgL_new1187z00_3754;
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1188z00_3753)))->BgL_idz00) =
					((obj_t) BgL_id1261z00_45), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1188z00_3753)))->BgL_namez00) =
					((obj_t) BgL_name1262z00_46), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1188z00_3753)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1263z00_47), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1188z00_3753)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1264z00_48), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1188z00_3753)))->BgL_accessz00) =
					((obj_t) BgL_access1265z00_49), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1188z00_3753)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1266zd2_50), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1188z00_3753)))->BgL_removablez00) =
					((obj_t) BgL_removable1267z00_51), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1188z00_3753)))->BgL_occurrencez00) =
					((long) BgL_occurrence1268z00_52), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1188z00_3753)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1269z00_53), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1188z00_3753)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31270zf3_54), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1188z00_3753))->BgL_modulez00) =
					((obj_t) BgL_module1271z00_55), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1188z00_3753))->BgL_importz00) =
					((obj_t) BgL_import1272z00_56), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1188z00_3753))->
						BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31273zf3_57), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1188z00_3753))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31274zf3_58), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1188z00_3753))->BgL_libraryz00) =
					((obj_t) BgL_library1275z00_59), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1188z00_3753))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1276z00_60), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1188z00_3753))->BgL_srcz00) =
					((obj_t) BgL_src1277z00_61), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1188z00_3753))->
						BgL_jvmzd2typezd2namez00) =
					((obj_t) BgL_jvmzd2typezd2name1278z00_62), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1188z00_3753))->BgL_initz00) =
					((obj_t) BgL_init1279z00_63), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1188z00_3753))->BgL_aliasz00) =
					((obj_t) BgL_alias1280z00_64), BUNSPEC);
				return BgL_new1188z00_3753;
			}
		}

	}



/* &make-global */
	BgL_globalz00_bglt BGl_z62makezd2globalzb0zzast_varz00(obj_t BgL_envz00_2500,
		obj_t BgL_id1261z00_2501, obj_t BgL_name1262z00_2502,
		obj_t BgL_type1263z00_2503, obj_t BgL_value1264z00_2504,
		obj_t BgL_access1265z00_2505, obj_t BgL_fastzd2alpha1266zd2_2506,
		obj_t BgL_removable1267z00_2507, obj_t BgL_occurrence1268z00_2508,
		obj_t BgL_occurrencew1269z00_2509, obj_t BgL_userzf31270zf3_2510,
		obj_t BgL_module1271z00_2511, obj_t BgL_import1272z00_2512,
		obj_t BgL_evaluablezf31273zf3_2513, obj_t BgL_evalzf31274zf3_2514,
		obj_t BgL_library1275z00_2515, obj_t BgL_pragma1276z00_2516,
		obj_t BgL_src1277z00_2517, obj_t BgL_jvmzd2typezd2name1278z00_2518,
		obj_t BgL_init1279z00_2519, obj_t BgL_alias1280z00_2520)
	{
		{	/* Ast/var.sch 308 */
			return
				BGl_makezd2globalzd2zzast_varz00(BgL_id1261z00_2501,
				BgL_name1262z00_2502, ((BgL_typez00_bglt) BgL_type1263z00_2503),
				((BgL_valuez00_bglt) BgL_value1264z00_2504), BgL_access1265z00_2505,
				BgL_fastzd2alpha1266zd2_2506, BgL_removable1267z00_2507,
				(long) CINT(BgL_occurrence1268z00_2508),
				(long) CINT(BgL_occurrencew1269z00_2509),
				CBOOL(BgL_userzf31270zf3_2510), BgL_module1271z00_2511,
				BgL_import1272z00_2512, CBOOL(BgL_evaluablezf31273zf3_2513),
				CBOOL(BgL_evalzf31274zf3_2514), BgL_library1275z00_2515,
				BgL_pragma1276z00_2516, BgL_src1277z00_2517,
				BgL_jvmzd2typezd2name1278z00_2518, BgL_init1279z00_2519,
				BgL_alias1280z00_2520);
		}

	}



/* global? */
	BGL_EXPORTED_DEF bool_t BGl_globalzf3zf3zzast_varz00(obj_t BgL_objz00_65)
	{
		{	/* Ast/var.sch 309 */
			{	/* Ast/var.sch 309 */
				obj_t BgL_classz00_3756;

				BgL_classz00_3756 = BGl_globalz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_65))
					{	/* Ast/var.sch 309 */
						BgL_objectz00_bglt BgL_arg1825z00_3757;

						BgL_arg1825z00_3757 = (BgL_objectz00_bglt) (BgL_objz00_65);
						{	/* Ast/var.sch 309 */
							bool_t BgL_arg1822z00_3758;
							bool_t BgL_arg1823z00_3759;

							{	/* Ast/var.sch 309 */
								long BgL_idxz00_3760;

								BgL_idxz00_3760 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3757);
								BgL_arg1822z00_3758 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3760 + ((long) 2))) == BgL_classz00_3756);
							}
							{	/* Ast/var.sch 309 */
								bool_t BgL_res2174z00_3763;

								{	/* Ast/var.sch 309 */
									obj_t BgL_oclassz00_3764;

									{	/* Ast/var.sch 309 */
										long BgL_arg1833z00_3765;

										{	/* Ast/var.sch 309 */
											long BgL_arg1834z00_3766;

											BgL_arg1834z00_3766 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3757);
											BgL_arg1833z00_3765 = (BgL_arg1834z00_3766 - OBJECT_TYPE);
										}
										BgL_oclassz00_3764 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3765);
									}
									{	/* Ast/var.sch 309 */
										bool_t BgL__ortest_1110z00_3767;

										BgL__ortest_1110z00_3767 =
											(BgL_classz00_3756 == BgL_oclassz00_3764);
										if (BgL__ortest_1110z00_3767)
											{	/* Ast/var.sch 309 */
												BgL_res2174z00_3763 = BgL__ortest_1110z00_3767;
											}
										else
											{	/* Ast/var.sch 309 */
												long BgL_odepthz00_3768;

												BgL_odepthz00_3768 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3764);
												if ((((long) 2) < BgL_odepthz00_3768))
													{	/* Ast/var.sch 309 */
														obj_t BgL_arg1821z00_3769;

														BgL_arg1821z00_3769 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3764,
															((long) 2));
														BgL_res2174z00_3763 =
															(BgL_arg1821z00_3769 == BgL_classz00_3756);
													}
												else
													{	/* Ast/var.sch 309 */
														BgL_res2174z00_3763 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3759 = BgL_res2174z00_3763;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3758, BgL_arg1823z00_3759);
						}
					}
				else
					{	/* Ast/var.sch 309 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &global? */
	obj_t BGl_z62globalzf3z91zzast_varz00(obj_t BgL_envz00_2521,
		obj_t BgL_objz00_2522)
	{
		{	/* Ast/var.sch 309 */
			return BBOOL(BGl_globalzf3zf3zzast_varz00(BgL_objz00_2522));
		}

	}



/* global-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_globalzd2nilzd2zzast_varz00()
	{
		{	/* Ast/var.sch 310 */
			{	/* Ast/var.sch 310 */
				obj_t BgL_classz00_1692;

				BgL_classz00_1692 = BGl_globalz00zzast_varz00;
				{	/* Ast/var.sch 310 */
					obj_t BgL__ortest_1112z00_1693;

					BgL__ortest_1112z00_1693 = BGL_CLASS_NIL(BgL_classz00_1692);
					if (CBOOL(BgL__ortest_1112z00_1693))
						{	/* Ast/var.sch 310 */
							return ((BgL_globalz00_bglt) BgL__ortest_1112z00_1693);
						}
					else
						{	/* Ast/var.sch 310 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1692));
						}
				}
			}
		}

	}



/* &global-nil */
	BgL_globalz00_bglt BGl_z62globalzd2nilzb0zzast_varz00(obj_t BgL_envz00_2523)
	{
		{	/* Ast/var.sch 310 */
			return BGl_globalzd2nilzd2zzast_varz00();
		}

	}



/* global-alias */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2aliaszd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_66)
	{
		{	/* Ast/var.sch 311 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_66))->BgL_aliasz00);
		}

	}



/* &global-alias */
	obj_t BGl_z62globalzd2aliaszb0zzast_varz00(obj_t BgL_envz00_2524,
		obj_t BgL_oz00_2525)
	{
		{	/* Ast/var.sch 311 */
			return
				BGl_globalzd2aliaszd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2525));
		}

	}



/* global-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2aliaszd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_67,
		obj_t BgL_vz00_68)
	{
		{	/* Ast/var.sch 312 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_67))->BgL_aliasz00) =
				((obj_t) BgL_vz00_68), BUNSPEC);
		}

	}



/* &global-alias-set! */
	obj_t BGl_z62globalzd2aliaszd2setz12z70zzast_varz00(obj_t BgL_envz00_2526,
		obj_t BgL_oz00_2527, obj_t BgL_vz00_2528)
	{
		{	/* Ast/var.sch 312 */
			return
				BGl_globalzd2aliaszd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2527), BgL_vz00_2528);
		}

	}



/* global-init */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2initzd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_69)
	{
		{	/* Ast/var.sch 313 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_69))->BgL_initz00);
		}

	}



/* &global-init */
	obj_t BGl_z62globalzd2initzb0zzast_varz00(obj_t BgL_envz00_2529,
		obj_t BgL_oz00_2530)
	{
		{	/* Ast/var.sch 313 */
			return
				BGl_globalzd2initzd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2530));
		}

	}



/* global-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2initzd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_70,
		obj_t BgL_vz00_71)
	{
		{	/* Ast/var.sch 314 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_70))->BgL_initz00) =
				((obj_t) BgL_vz00_71), BUNSPEC);
		}

	}



/* &global-init-set! */
	obj_t BGl_z62globalzd2initzd2setz12z70zzast_varz00(obj_t BgL_envz00_2531,
		obj_t BgL_oz00_2532, obj_t BgL_vz00_2533)
	{
		{	/* Ast/var.sch 314 */
			return
				BGl_globalzd2initzd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2532), BgL_vz00_2533);
		}

	}



/* global-jvm-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2jvmzd2typezd2namezd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_72)
	{
		{	/* Ast/var.sch 315 */
			return
				(((BgL_globalz00_bglt) COBJECT(BgL_oz00_72))->BgL_jvmzd2typezd2namez00);
		}

	}



/* &global-jvm-type-name */
	obj_t BGl_z62globalzd2jvmzd2typezd2namezb0zzast_varz00(obj_t BgL_envz00_2534,
		obj_t BgL_oz00_2535)
	{
		{	/* Ast/var.sch 315 */
			return
				BGl_globalzd2jvmzd2typezd2namezd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2535));
		}

	}



/* global-jvm-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2jvmzd2typezd2namezd2setz12z12zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_73, obj_t BgL_vz00_74)
	{
		{	/* Ast/var.sch 316 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_73))->
					BgL_jvmzd2typezd2namez00) = ((obj_t) BgL_vz00_74), BUNSPEC);
		}

	}



/* &global-jvm-type-name-set! */
	obj_t BGl_z62globalzd2jvmzd2typezd2namezd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2536, obj_t BgL_oz00_2537, obj_t BgL_vz00_2538)
	{
		{	/* Ast/var.sch 316 */
			return
				BGl_globalzd2jvmzd2typezd2namezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2537), BgL_vz00_2538);
		}

	}



/* global-src */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2srczd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_75)
	{
		{	/* Ast/var.sch 317 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_75))->BgL_srcz00);
		}

	}



/* &global-src */
	obj_t BGl_z62globalzd2srczb0zzast_varz00(obj_t BgL_envz00_2539,
		obj_t BgL_oz00_2540)
	{
		{	/* Ast/var.sch 317 */
			return
				BGl_globalzd2srczd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2540));
		}

	}



/* global-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2srczd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_76,
		obj_t BgL_vz00_77)
	{
		{	/* Ast/var.sch 318 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_76))->BgL_srcz00) =
				((obj_t) BgL_vz00_77), BUNSPEC);
		}

	}



/* &global-src-set! */
	obj_t BGl_z62globalzd2srczd2setz12z70zzast_varz00(obj_t BgL_envz00_2541,
		obj_t BgL_oz00_2542, obj_t BgL_vz00_2543)
	{
		{	/* Ast/var.sch 318 */
			return
				BGl_globalzd2srczd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2542), BgL_vz00_2543);
		}

	}



/* global-pragma */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2pragmazd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_78)
	{
		{	/* Ast/var.sch 319 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_78))->BgL_pragmaz00);
		}

	}



/* &global-pragma */
	obj_t BGl_z62globalzd2pragmazb0zzast_varz00(obj_t BgL_envz00_2544,
		obj_t BgL_oz00_2545)
	{
		{	/* Ast/var.sch 319 */
			return
				BGl_globalzd2pragmazd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2545));
		}

	}



/* global-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2pragmazd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_79,
		obj_t BgL_vz00_80)
	{
		{	/* Ast/var.sch 320 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_79))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_80), BUNSPEC);
		}

	}



/* &global-pragma-set! */
	obj_t BGl_z62globalzd2pragmazd2setz12z70zzast_varz00(obj_t BgL_envz00_2546,
		obj_t BgL_oz00_2547, obj_t BgL_vz00_2548)
	{
		{	/* Ast/var.sch 320 */
			return
				BGl_globalzd2pragmazd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2547), BgL_vz00_2548);
		}

	}



/* global-library */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2libraryzd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_81)
	{
		{	/* Ast/var.sch 321 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_81))->BgL_libraryz00);
		}

	}



/* &global-library */
	obj_t BGl_z62globalzd2libraryzb0zzast_varz00(obj_t BgL_envz00_2549,
		obj_t BgL_oz00_2550)
	{
		{	/* Ast/var.sch 321 */
			return
				BGl_globalzd2libraryzd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2550));
		}

	}



/* global-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2libraryzd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_82,
		obj_t BgL_vz00_83)
	{
		{	/* Ast/var.sch 322 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_82))->BgL_libraryz00) =
				((obj_t) BgL_vz00_83), BUNSPEC);
		}

	}



/* &global-library-set! */
	obj_t BGl_z62globalzd2libraryzd2setz12z70zzast_varz00(obj_t BgL_envz00_2551,
		obj_t BgL_oz00_2552, obj_t BgL_vz00_2553)
	{
		{	/* Ast/var.sch 322 */
			return
				BGl_globalzd2libraryzd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2552), BgL_vz00_2553);
		}

	}



/* global-eval? */
	BGL_EXPORTED_DEF bool_t BGl_globalzd2evalzf3z21zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_84)
	{
		{	/* Ast/var.sch 323 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_84))->BgL_evalzf3zf3);
		}

	}



/* &global-eval? */
	obj_t BGl_z62globalzd2evalzf3z43zzast_varz00(obj_t BgL_envz00_2554,
		obj_t BgL_oz00_2555)
	{
		{	/* Ast/var.sch 323 */
			return
				BBOOL(BGl_globalzd2evalzf3z21zzast_varz00(
					((BgL_globalz00_bglt) BgL_oz00_2555)));
		}

	}



/* global-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2evalzf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt BgL_oz00_85,
		bool_t BgL_vz00_86)
	{
		{	/* Ast/var.sch 324 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_85))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_86), BUNSPEC);
		}

	}



/* &global-eval?-set! */
	obj_t BGl_z62globalzd2evalzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2556,
		obj_t BgL_oz00_2557, obj_t BgL_vz00_2558)
	{
		{	/* Ast/var.sch 324 */
			return
				BGl_globalzd2evalzf3zd2setz12ze1zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2557), CBOOL(BgL_vz00_2558));
		}

	}



/* global-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzd2evaluablezf3z21zzast_varz00(BgL_globalz00_bglt BgL_oz00_87)
	{
		{	/* Ast/var.sch 325 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_87))->BgL_evaluablezf3zf3);
		}

	}



/* &global-evaluable? */
	obj_t BGl_z62globalzd2evaluablezf3z43zzast_varz00(obj_t BgL_envz00_2559,
		obj_t BgL_oz00_2560)
	{
		{	/* Ast/var.sch 325 */
			return
				BBOOL(BGl_globalzd2evaluablezf3z21zzast_varz00(
					((BgL_globalz00_bglt) BgL_oz00_2560)));
		}

	}



/* global-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2evaluablezf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_88, bool_t BgL_vz00_89)
	{
		{	/* Ast/var.sch 326 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_88))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_89), BUNSPEC);
		}

	}



/* &global-evaluable?-set! */
	obj_t BGl_z62globalzd2evaluablezf3zd2setz12z83zzast_varz00(obj_t
		BgL_envz00_2561, obj_t BgL_oz00_2562, obj_t BgL_vz00_2563)
	{
		{	/* Ast/var.sch 326 */
			return
				BGl_globalzd2evaluablezf3zd2setz12ze1zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2562), CBOOL(BgL_vz00_2563));
		}

	}



/* global-import */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2importzd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_90)
	{
		{	/* Ast/var.sch 327 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_90))->BgL_importz00);
		}

	}



/* &global-import */
	obj_t BGl_z62globalzd2importzb0zzast_varz00(obj_t BgL_envz00_2564,
		obj_t BgL_oz00_2565)
	{
		{	/* Ast/var.sch 327 */
			return
				BGl_globalzd2importzd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2565));
		}

	}



/* global-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2importzd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_91,
		obj_t BgL_vz00_92)
	{
		{	/* Ast/var.sch 328 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_91))->BgL_importz00) =
				((obj_t) BgL_vz00_92), BUNSPEC);
		}

	}



/* &global-import-set! */
	obj_t BGl_z62globalzd2importzd2setz12z70zzast_varz00(obj_t BgL_envz00_2566,
		obj_t BgL_oz00_2567, obj_t BgL_vz00_2568)
	{
		{	/* Ast/var.sch 328 */
			return
				BGl_globalzd2importzd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2567), BgL_vz00_2568);
		}

	}



/* global-module */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2modulezd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_93)
	{
		{	/* Ast/var.sch 329 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_93))->BgL_modulez00);
		}

	}



/* &global-module */
	obj_t BGl_z62globalzd2modulezb0zzast_varz00(obj_t BgL_envz00_2569,
		obj_t BgL_oz00_2570)
	{
		{	/* Ast/var.sch 329 */
			return
				BGl_globalzd2modulezd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2570));
		}

	}



/* global-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2modulezd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_94,
		obj_t BgL_vz00_95)
	{
		{	/* Ast/var.sch 330 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_94))->BgL_modulez00) =
				((obj_t) BgL_vz00_95), BUNSPEC);
		}

	}



/* &global-module-set! */
	obj_t BGl_z62globalzd2modulezd2setz12z70zzast_varz00(obj_t BgL_envz00_2571,
		obj_t BgL_oz00_2572, obj_t BgL_vz00_2573)
	{
		{	/* Ast/var.sch 330 */
			return
				BGl_globalzd2modulezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2572), BgL_vz00_2573);
		}

	}



/* global-user? */
	BGL_EXPORTED_DEF bool_t BGl_globalzd2userzf3z21zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_96)
	{
		{	/* Ast/var.sch 331 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_96)))->BgL_userzf3zf3);
		}

	}



/* &global-user? */
	obj_t BGl_z62globalzd2userzf3z43zzast_varz00(obj_t BgL_envz00_2574,
		obj_t BgL_oz00_2575)
	{
		{	/* Ast/var.sch 331 */
			return
				BBOOL(BGl_globalzd2userzf3z21zzast_varz00(
					((BgL_globalz00_bglt) BgL_oz00_2575)));
		}

	}



/* global-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2userzf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt BgL_oz00_97,
		bool_t BgL_vz00_98)
	{
		{	/* Ast/var.sch 332 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_97)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_98), BUNSPEC);
		}

	}



/* &global-user?-set! */
	obj_t BGl_z62globalzd2userzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2576,
		obj_t BgL_oz00_2577, obj_t BgL_vz00_2578)
	{
		{	/* Ast/var.sch 332 */
			return
				BGl_globalzd2userzf3zd2setz12ze1zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2577), CBOOL(BgL_vz00_2578));
		}

	}



/* global-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_globalzd2occurrencewzd2zzast_varz00(BgL_globalz00_bglt BgL_oz00_99)
	{
		{	/* Ast/var.sch 333 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_99)))->BgL_occurrencewz00);
		}

	}



/* &global-occurrencew */
	obj_t BGl_z62globalzd2occurrencewzb0zzast_varz00(obj_t BgL_envz00_2579,
		obj_t BgL_oz00_2580)
	{
		{	/* Ast/var.sch 333 */
			return
				BINT(BGl_globalzd2occurrencewzd2zzast_varz00(
					((BgL_globalz00_bglt) BgL_oz00_2580)));
		}

	}



/* global-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2occurrencewzd2setz12z12zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_100, long BgL_vz00_101)
	{
		{	/* Ast/var.sch 334 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_100)))->BgL_occurrencewz00) =
				((long) BgL_vz00_101), BUNSPEC);
		}

	}



/* &global-occurrencew-set! */
	obj_t BGl_z62globalzd2occurrencewzd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2581, obj_t BgL_oz00_2582, obj_t BgL_vz00_2583)
	{
		{	/* Ast/var.sch 334 */
			return
				BGl_globalzd2occurrencewzd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2582), (long) CINT(BgL_vz00_2583));
		}

	}



/* global-occurrence */
	BGL_EXPORTED_DEF long
		BGl_globalzd2occurrencezd2zzast_varz00(BgL_globalz00_bglt BgL_oz00_102)
	{
		{	/* Ast/var.sch 335 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_102)))->BgL_occurrencez00);
		}

	}



/* &global-occurrence */
	obj_t BGl_z62globalzd2occurrencezb0zzast_varz00(obj_t BgL_envz00_2584,
		obj_t BgL_oz00_2585)
	{
		{	/* Ast/var.sch 335 */
			return
				BINT(BGl_globalzd2occurrencezd2zzast_varz00(
					((BgL_globalz00_bglt) BgL_oz00_2585)));
		}

	}



/* global-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2occurrencezd2setz12z12zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_103, long BgL_vz00_104)
	{
		{	/* Ast/var.sch 336 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_103)))->BgL_occurrencez00) =
				((long) BgL_vz00_104), BUNSPEC);
		}

	}



/* &global-occurrence-set! */
	obj_t BGl_z62globalzd2occurrencezd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2586, obj_t BgL_oz00_2587, obj_t BgL_vz00_2588)
	{
		{	/* Ast/var.sch 336 */
			return
				BGl_globalzd2occurrencezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2587), (long) CINT(BgL_vz00_2588));
		}

	}



/* global-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2removablezd2zzast_varz00(BgL_globalz00_bglt BgL_oz00_105)
	{
		{	/* Ast/var.sch 337 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_105)))->BgL_removablez00);
		}

	}



/* &global-removable */
	obj_t BGl_z62globalzd2removablezb0zzast_varz00(obj_t BgL_envz00_2589,
		obj_t BgL_oz00_2590)
	{
		{	/* Ast/var.sch 337 */
			return
				BGl_globalzd2removablezd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2590));
		}

	}



/* global-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2removablezd2setz12z12zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_106, obj_t BgL_vz00_107)
	{
		{	/* Ast/var.sch 338 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_106)))->BgL_removablez00) =
				((obj_t) BgL_vz00_107), BUNSPEC);
		}

	}



/* &global-removable-set! */
	obj_t BGl_z62globalzd2removablezd2setz12z70zzast_varz00(obj_t BgL_envz00_2591,
		obj_t BgL_oz00_2592, obj_t BgL_vz00_2593)
	{
		{	/* Ast/var.sch 338 */
			return
				BGl_globalzd2removablezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2592), BgL_vz00_2593);
		}

	}



/* global-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2fastzd2alphaz00zzast_varz00(BgL_globalz00_bglt BgL_oz00_108)
	{
		{	/* Ast/var.sch 339 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_108)))->BgL_fastzd2alphazd2);
		}

	}



/* &global-fast-alpha */
	obj_t BGl_z62globalzd2fastzd2alphaz62zzast_varz00(obj_t BgL_envz00_2594,
		obj_t BgL_oz00_2595)
	{
		{	/* Ast/var.sch 339 */
			return
				BGl_globalzd2fastzd2alphaz00zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2595));
		}

	}



/* global-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_109, obj_t BgL_vz00_110)
	{
		{	/* Ast/var.sch 340 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_109)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_110), BUNSPEC);
		}

	}



/* &global-fast-alpha-set! */
	obj_t BGl_z62globalzd2fastzd2alphazd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2596, obj_t BgL_oz00_2597, obj_t BgL_vz00_2598)
	{
		{	/* Ast/var.sch 340 */
			return
				BGl_globalzd2fastzd2alphazd2setz12zc0zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2597), BgL_vz00_2598);
		}

	}



/* global-access */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2accesszd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_111)
	{
		{	/* Ast/var.sch 341 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_111)))->BgL_accessz00);
		}

	}



/* &global-access */
	obj_t BGl_z62globalzd2accesszb0zzast_varz00(obj_t BgL_envz00_2599,
		obj_t BgL_oz00_2600)
	{
		{	/* Ast/var.sch 341 */
			return
				BGl_globalzd2accesszd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2600));
		}

	}



/* global-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2accesszd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_112,
		obj_t BgL_vz00_113)
	{
		{	/* Ast/var.sch 342 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_112)))->BgL_accessz00) =
				((obj_t) BgL_vz00_113), BUNSPEC);
		}

	}



/* &global-access-set! */
	obj_t BGl_z62globalzd2accesszd2setz12z70zzast_varz00(obj_t BgL_envz00_2601,
		obj_t BgL_oz00_2602, obj_t BgL_vz00_2603)
	{
		{	/* Ast/var.sch 342 */
			return
				BGl_globalzd2accesszd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2602), BgL_vz00_2603);
		}

	}



/* global-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_globalzd2valuezd2zzast_varz00(BgL_globalz00_bglt BgL_oz00_114)
	{
		{	/* Ast/var.sch 343 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_114)))->BgL_valuez00);
		}

	}



/* &global-value */
	BgL_valuez00_bglt BGl_z62globalzd2valuezb0zzast_varz00(obj_t BgL_envz00_2604,
		obj_t BgL_oz00_2605)
	{
		{	/* Ast/var.sch 343 */
			return
				BGl_globalzd2valuezd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2605));
		}

	}



/* global-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2valuezd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_115,
		BgL_valuez00_bglt BgL_vz00_116)
	{
		{	/* Ast/var.sch 344 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_115)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_116), BUNSPEC);
		}

	}



/* &global-value-set! */
	obj_t BGl_z62globalzd2valuezd2setz12z70zzast_varz00(obj_t BgL_envz00_2606,
		obj_t BgL_oz00_2607, obj_t BgL_vz00_2608)
	{
		{	/* Ast/var.sch 344 */
			return
				BGl_globalzd2valuezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2607),
				((BgL_valuez00_bglt) BgL_vz00_2608));
		}

	}



/* global-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_globalzd2typezd2zzast_varz00(BgL_globalz00_bglt BgL_oz00_117)
	{
		{	/* Ast/var.sch 345 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_117)))->BgL_typez00);
		}

	}



/* &global-type */
	BgL_typez00_bglt BGl_z62globalzd2typezb0zzast_varz00(obj_t BgL_envz00_2609,
		obj_t BgL_oz00_2610)
	{
		{	/* Ast/var.sch 345 */
			return
				BGl_globalzd2typezd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2610));
		}

	}



/* global-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2typezd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_118,
		BgL_typez00_bglt BgL_vz00_119)
	{
		{	/* Ast/var.sch 346 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_118)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_119), BUNSPEC);
		}

	}



/* &global-type-set! */
	obj_t BGl_z62globalzd2typezd2setz12z70zzast_varz00(obj_t BgL_envz00_2611,
		obj_t BgL_oz00_2612, obj_t BgL_vz00_2613)
	{
		{	/* Ast/var.sch 346 */
			return
				BGl_globalzd2typezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2612),
				((BgL_typez00_bglt) BgL_vz00_2613));
		}

	}



/* global-name */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2namezd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_120)
	{
		{	/* Ast/var.sch 347 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_120)))->BgL_namez00);
		}

	}



/* &global-name */
	obj_t BGl_z62globalzd2namezb0zzast_varz00(obj_t BgL_envz00_2614,
		obj_t BgL_oz00_2615)
	{
		{	/* Ast/var.sch 347 */
			return
				BGl_globalzd2namezd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2615));
		}

	}



/* global-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2namezd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_121,
		obj_t BgL_vz00_122)
	{
		{	/* Ast/var.sch 348 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_121)))->BgL_namez00) =
				((obj_t) BgL_vz00_122), BUNSPEC);
		}

	}



/* &global-name-set! */
	obj_t BGl_z62globalzd2namezd2setz12z70zzast_varz00(obj_t BgL_envz00_2616,
		obj_t BgL_oz00_2617, obj_t BgL_vz00_2618)
	{
		{	/* Ast/var.sch 348 */
			return
				BGl_globalzd2namezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2617), BgL_vz00_2618);
		}

	}



/* global-id */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2idzd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_123)
	{
		{	/* Ast/var.sch 349 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_123)))->BgL_idz00);
		}

	}



/* &global-id */
	obj_t BGl_z62globalzd2idzb0zzast_varz00(obj_t BgL_envz00_2619,
		obj_t BgL_oz00_2620)
	{
		{	/* Ast/var.sch 349 */
			return
				BGl_globalzd2idzd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2620));
		}

	}



/* make-local */
	BGL_EXPORTED_DEF BgL_localz00_bglt BGl_makezd2localzd2zzast_varz00(obj_t
		BgL_id1248z00_126, obj_t BgL_name1249z00_127,
		BgL_typez00_bglt BgL_type1250z00_128,
		BgL_valuez00_bglt BgL_value1251z00_129, obj_t BgL_access1252z00_130,
		obj_t BgL_fastzd2alpha1253zd2_131, obj_t BgL_removable1254z00_132,
		long BgL_occurrence1255z00_133, long BgL_occurrencew1256z00_134,
		bool_t BgL_userzf31257zf3_135, long BgL_key1258z00_136,
		obj_t BgL_valzd2noescape1259zd2_137)
	{
		{	/* Ast/var.sch 353 */
			{	/* Ast/var.sch 353 */
				BgL_localz00_bglt BgL_new1190z00_3770;

				{	/* Ast/var.sch 353 */
					BgL_localz00_bglt BgL_new1189z00_3771;

					BgL_new1189z00_3771 =
						((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_localz00_bgl))));
					{	/* Ast/var.sch 353 */
						long BgL_arg1296z00_3772;

						BgL_arg1296z00_3772 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1189z00_3771), BgL_arg1296z00_3772);
					}
					{	/* Ast/var.sch 353 */
						BgL_objectz00_bglt BgL_tmpz00_4584;

						BgL_tmpz00_4584 = ((BgL_objectz00_bglt) BgL_new1189z00_3771);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4584, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1189z00_3771);
					BgL_new1190z00_3770 = BgL_new1189z00_3771;
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1190z00_3770)))->BgL_idz00) =
					((obj_t) BgL_id1248z00_126), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1190z00_3770)))->BgL_namez00) =
					((obj_t) BgL_name1249z00_127), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1190z00_3770)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1250z00_128), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1190z00_3770)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1251z00_129), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1190z00_3770)))->BgL_accessz00) =
					((obj_t) BgL_access1252z00_130), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1190z00_3770)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1253zd2_131), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1190z00_3770)))->BgL_removablez00) =
					((obj_t) BgL_removable1254z00_132), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1190z00_3770)))->BgL_occurrencez00) =
					((long) BgL_occurrence1255z00_133), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1190z00_3770)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1256z00_134), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1190z00_3770)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31257zf3_135), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(BgL_new1190z00_3770))->BgL_keyz00) =
					((long) BgL_key1258z00_136), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(BgL_new1190z00_3770))->
						BgL_valzd2noescapezd2) =
					((obj_t) BgL_valzd2noescape1259zd2_137), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(BgL_new1190z00_3770))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				return BgL_new1190z00_3770;
			}
		}

	}



/* &make-local */
	BgL_localz00_bglt BGl_z62makezd2localzb0zzast_varz00(obj_t BgL_envz00_2621,
		obj_t BgL_id1248z00_2622, obj_t BgL_name1249z00_2623,
		obj_t BgL_type1250z00_2624, obj_t BgL_value1251z00_2625,
		obj_t BgL_access1252z00_2626, obj_t BgL_fastzd2alpha1253zd2_2627,
		obj_t BgL_removable1254z00_2628, obj_t BgL_occurrence1255z00_2629,
		obj_t BgL_occurrencew1256z00_2630, obj_t BgL_userzf31257zf3_2631,
		obj_t BgL_key1258z00_2632, obj_t BgL_valzd2noescape1259zd2_2633)
	{
		{	/* Ast/var.sch 353 */
			return
				BGl_makezd2localzd2zzast_varz00(BgL_id1248z00_2622,
				BgL_name1249z00_2623, ((BgL_typez00_bglt) BgL_type1250z00_2624),
				((BgL_valuez00_bglt) BgL_value1251z00_2625), BgL_access1252z00_2626,
				BgL_fastzd2alpha1253zd2_2627, BgL_removable1254z00_2628,
				(long) CINT(BgL_occurrence1255z00_2629),
				(long) CINT(BgL_occurrencew1256z00_2630),
				CBOOL(BgL_userzf31257zf3_2631), (long) CINT(BgL_key1258z00_2632),
				BgL_valzd2noescape1259zd2_2633);
		}

	}



/* local? */
	BGL_EXPORTED_DEF bool_t BGl_localzf3zf3zzast_varz00(obj_t BgL_objz00_138)
	{
		{	/* Ast/var.sch 354 */
			{	/* Ast/var.sch 354 */
				obj_t BgL_classz00_3773;

				BgL_classz00_3773 = BGl_localz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_138))
					{	/* Ast/var.sch 354 */
						BgL_objectz00_bglt BgL_arg1825z00_3774;

						BgL_arg1825z00_3774 = (BgL_objectz00_bglt) (BgL_objz00_138);
						{	/* Ast/var.sch 354 */
							bool_t BgL_arg1822z00_3775;
							bool_t BgL_arg1823z00_3776;

							{	/* Ast/var.sch 354 */
								long BgL_idxz00_3777;

								BgL_idxz00_3777 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3774);
								BgL_arg1822z00_3775 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3777 + ((long) 2))) == BgL_classz00_3773);
							}
							{	/* Ast/var.sch 354 */
								bool_t BgL_res2175z00_3780;

								{	/* Ast/var.sch 354 */
									obj_t BgL_oclassz00_3781;

									{	/* Ast/var.sch 354 */
										long BgL_arg1833z00_3782;

										{	/* Ast/var.sch 354 */
											long BgL_arg1834z00_3783;

											BgL_arg1834z00_3783 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3774);
											BgL_arg1833z00_3782 = (BgL_arg1834z00_3783 - OBJECT_TYPE);
										}
										BgL_oclassz00_3781 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3782);
									}
									{	/* Ast/var.sch 354 */
										bool_t BgL__ortest_1110z00_3784;

										BgL__ortest_1110z00_3784 =
											(BgL_classz00_3773 == BgL_oclassz00_3781);
										if (BgL__ortest_1110z00_3784)
											{	/* Ast/var.sch 354 */
												BgL_res2175z00_3780 = BgL__ortest_1110z00_3784;
											}
										else
											{	/* Ast/var.sch 354 */
												long BgL_odepthz00_3785;

												BgL_odepthz00_3785 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3781);
												if ((((long) 2) < BgL_odepthz00_3785))
													{	/* Ast/var.sch 354 */
														obj_t BgL_arg1821z00_3786;

														BgL_arg1821z00_3786 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3781,
															((long) 2));
														BgL_res2175z00_3780 =
															(BgL_arg1821z00_3786 == BgL_classz00_3773);
													}
												else
													{	/* Ast/var.sch 354 */
														BgL_res2175z00_3780 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3776 = BgL_res2175z00_3780;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3775, BgL_arg1823z00_3776);
						}
					}
				else
					{	/* Ast/var.sch 354 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &local? */
	obj_t BGl_z62localzf3z91zzast_varz00(obj_t BgL_envz00_2634,
		obj_t BgL_objz00_2635)
	{
		{	/* Ast/var.sch 354 */
			return BBOOL(BGl_localzf3zf3zzast_varz00(BgL_objz00_2635));
		}

	}



/* local-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt BGl_localzd2nilzd2zzast_varz00()
	{
		{	/* Ast/var.sch 355 */
			{	/* Ast/var.sch 355 */
				obj_t BgL_classz00_1733;

				BgL_classz00_1733 = BGl_localz00zzast_varz00;
				{	/* Ast/var.sch 355 */
					obj_t BgL__ortest_1112z00_1734;

					BgL__ortest_1112z00_1734 = BGL_CLASS_NIL(BgL_classz00_1733);
					if (CBOOL(BgL__ortest_1112z00_1734))
						{	/* Ast/var.sch 355 */
							return ((BgL_localz00_bglt) BgL__ortest_1112z00_1734);
						}
					else
						{	/* Ast/var.sch 355 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1733));
						}
				}
			}
		}

	}



/* &local-nil */
	BgL_localz00_bglt BGl_z62localzd2nilzb0zzast_varz00(obj_t BgL_envz00_2636)
	{
		{	/* Ast/var.sch 355 */
			return BGl_localzd2nilzd2zzast_varz00();
		}

	}



/* local-val-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2valzd2noescapez00zzast_varz00(BgL_localz00_bglt BgL_oz00_139)
	{
		{	/* Ast/var.sch 356 */
			return
				(((BgL_localz00_bglt) COBJECT(BgL_oz00_139))->BgL_valzd2noescapezd2);
		}

	}



/* &local-val-noescape */
	obj_t BGl_z62localzd2valzd2noescapez62zzast_varz00(obj_t BgL_envz00_2637,
		obj_t BgL_oz00_2638)
	{
		{	/* Ast/var.sch 356 */
			return
				BGl_localzd2valzd2noescapez00zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2638));
		}

	}



/* local-val-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2valzd2noescapezd2setz12zc0zzast_varz00(BgL_localz00_bglt
		BgL_oz00_140, obj_t BgL_vz00_141)
	{
		{	/* Ast/var.sch 357 */
			return
				((((BgL_localz00_bglt) COBJECT(BgL_oz00_140))->BgL_valzd2noescapezd2) =
				((obj_t) BgL_vz00_141), BUNSPEC);
		}

	}



/* &local-val-noescape-set! */
	obj_t BGl_z62localzd2valzd2noescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2639, obj_t BgL_oz00_2640, obj_t BgL_vz00_2641)
	{
		{	/* Ast/var.sch 357 */
			return
				BGl_localzd2valzd2noescapezd2setz12zc0zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2640), BgL_vz00_2641);
		}

	}



/* local-key */
	BGL_EXPORTED_DEF long BGl_localzd2keyzd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_142)
	{
		{	/* Ast/var.sch 358 */
			return (((BgL_localz00_bglt) COBJECT(BgL_oz00_142))->BgL_keyz00);
		}

	}



/* &local-key */
	obj_t BGl_z62localzd2keyzb0zzast_varz00(obj_t BgL_envz00_2642,
		obj_t BgL_oz00_2643)
	{
		{	/* Ast/var.sch 358 */
			return
				BINT(BGl_localzd2keyzd2zzast_varz00(
					((BgL_localz00_bglt) BgL_oz00_2643)));
		}

	}



/* local-user? */
	BGL_EXPORTED_DEF bool_t BGl_localzd2userzf3z21zzast_varz00(BgL_localz00_bglt
		BgL_oz00_145)
	{
		{	/* Ast/var.sch 360 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_145)))->BgL_userzf3zf3);
		}

	}



/* &local-user? */
	obj_t BGl_z62localzd2userzf3z43zzast_varz00(obj_t BgL_envz00_2644,
		obj_t BgL_oz00_2645)
	{
		{	/* Ast/var.sch 360 */
			return
				BBOOL(BGl_localzd2userzf3z21zzast_varz00(
					((BgL_localz00_bglt) BgL_oz00_2645)));
		}

	}



/* local-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2userzf3zd2setz12ze1zzast_varz00(BgL_localz00_bglt BgL_oz00_146,
		bool_t BgL_vz00_147)
	{
		{	/* Ast/var.sch 361 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_146)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_147), BUNSPEC);
		}

	}



/* &local-user?-set! */
	obj_t BGl_z62localzd2userzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2646,
		obj_t BgL_oz00_2647, obj_t BgL_vz00_2648)
	{
		{	/* Ast/var.sch 361 */
			return
				BGl_localzd2userzf3zd2setz12ze1zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2647), CBOOL(BgL_vz00_2648));
		}

	}



/* local-occurrencew */
	BGL_EXPORTED_DEF long BGl_localzd2occurrencewzd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_148)
	{
		{	/* Ast/var.sch 362 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_148)))->BgL_occurrencewz00);
		}

	}



/* &local-occurrencew */
	obj_t BGl_z62localzd2occurrencewzb0zzast_varz00(obj_t BgL_envz00_2649,
		obj_t BgL_oz00_2650)
	{
		{	/* Ast/var.sch 362 */
			return
				BINT(BGl_localzd2occurrencewzd2zzast_varz00(
					((BgL_localz00_bglt) BgL_oz00_2650)));
		}

	}



/* local-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2occurrencewzd2setz12z12zzast_varz00(BgL_localz00_bglt
		BgL_oz00_149, long BgL_vz00_150)
	{
		{	/* Ast/var.sch 363 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_149)))->BgL_occurrencewz00) =
				((long) BgL_vz00_150), BUNSPEC);
		}

	}



/* &local-occurrencew-set! */
	obj_t BGl_z62localzd2occurrencewzd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2651, obj_t BgL_oz00_2652, obj_t BgL_vz00_2653)
	{
		{	/* Ast/var.sch 363 */
			return
				BGl_localzd2occurrencewzd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2652), (long) CINT(BgL_vz00_2653));
		}

	}



/* local-occurrence */
	BGL_EXPORTED_DEF long BGl_localzd2occurrencezd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_151)
	{
		{	/* Ast/var.sch 364 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_151)))->BgL_occurrencez00);
		}

	}



/* &local-occurrence */
	obj_t BGl_z62localzd2occurrencezb0zzast_varz00(obj_t BgL_envz00_2654,
		obj_t BgL_oz00_2655)
	{
		{	/* Ast/var.sch 364 */
			return
				BINT(BGl_localzd2occurrencezd2zzast_varz00(
					((BgL_localz00_bglt) BgL_oz00_2655)));
		}

	}



/* local-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2occurrencezd2setz12z12zzast_varz00(BgL_localz00_bglt
		BgL_oz00_152, long BgL_vz00_153)
	{
		{	/* Ast/var.sch 365 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_152)))->BgL_occurrencez00) =
				((long) BgL_vz00_153), BUNSPEC);
		}

	}



/* &local-occurrence-set! */
	obj_t BGl_z62localzd2occurrencezd2setz12z70zzast_varz00(obj_t BgL_envz00_2656,
		obj_t BgL_oz00_2657, obj_t BgL_vz00_2658)
	{
		{	/* Ast/var.sch 365 */
			return
				BGl_localzd2occurrencezd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2657), (long) CINT(BgL_vz00_2658));
		}

	}



/* local-removable */
	BGL_EXPORTED_DEF obj_t BGl_localzd2removablezd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_154)
	{
		{	/* Ast/var.sch 366 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_154)))->BgL_removablez00);
		}

	}



/* &local-removable */
	obj_t BGl_z62localzd2removablezb0zzast_varz00(obj_t BgL_envz00_2659,
		obj_t BgL_oz00_2660)
	{
		{	/* Ast/var.sch 366 */
			return
				BGl_localzd2removablezd2zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2660));
		}

	}



/* local-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2removablezd2setz12z12zzast_varz00(BgL_localz00_bglt
		BgL_oz00_155, obj_t BgL_vz00_156)
	{
		{	/* Ast/var.sch 367 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_155)))->BgL_removablez00) =
				((obj_t) BgL_vz00_156), BUNSPEC);
		}

	}



/* &local-removable-set! */
	obj_t BGl_z62localzd2removablezd2setz12z70zzast_varz00(obj_t BgL_envz00_2661,
		obj_t BgL_oz00_2662, obj_t BgL_vz00_2663)
	{
		{	/* Ast/var.sch 367 */
			return
				BGl_localzd2removablezd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2662), BgL_vz00_2663);
		}

	}



/* local-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2fastzd2alphaz00zzast_varz00(BgL_localz00_bglt BgL_oz00_157)
	{
		{	/* Ast/var.sch 368 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_157)))->BgL_fastzd2alphazd2);
		}

	}



/* &local-fast-alpha */
	obj_t BGl_z62localzd2fastzd2alphaz62zzast_varz00(obj_t BgL_envz00_2664,
		obj_t BgL_oz00_2665)
	{
		{	/* Ast/var.sch 368 */
			return
				BGl_localzd2fastzd2alphaz00zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2665));
		}

	}



/* local-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_localz00_bglt
		BgL_oz00_158, obj_t BgL_vz00_159)
	{
		{	/* Ast/var.sch 369 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_158)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_159), BUNSPEC);
		}

	}



/* &local-fast-alpha-set! */
	obj_t BGl_z62localzd2fastzd2alphazd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2666, obj_t BgL_oz00_2667, obj_t BgL_vz00_2668)
	{
		{	/* Ast/var.sch 369 */
			return
				BGl_localzd2fastzd2alphazd2setz12zc0zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2667), BgL_vz00_2668);
		}

	}



/* local-access */
	BGL_EXPORTED_DEF obj_t BGl_localzd2accesszd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_160)
	{
		{	/* Ast/var.sch 370 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_160)))->BgL_accessz00);
		}

	}



/* &local-access */
	obj_t BGl_z62localzd2accesszb0zzast_varz00(obj_t BgL_envz00_2669,
		obj_t BgL_oz00_2670)
	{
		{	/* Ast/var.sch 370 */
			return
				BGl_localzd2accesszd2zzast_varz00(((BgL_localz00_bglt) BgL_oz00_2670));
		}

	}



/* local-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2accesszd2setz12z12zzast_varz00(BgL_localz00_bglt BgL_oz00_161,
		obj_t BgL_vz00_162)
	{
		{	/* Ast/var.sch 371 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_161)))->BgL_accessz00) =
				((obj_t) BgL_vz00_162), BUNSPEC);
		}

	}



/* &local-access-set! */
	obj_t BGl_z62localzd2accesszd2setz12z70zzast_varz00(obj_t BgL_envz00_2671,
		obj_t BgL_oz00_2672, obj_t BgL_vz00_2673)
	{
		{	/* Ast/var.sch 371 */
			return
				BGl_localzd2accesszd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2672), BgL_vz00_2673);
		}

	}



/* local-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_localzd2valuezd2zzast_varz00(BgL_localz00_bglt BgL_oz00_163)
	{
		{	/* Ast/var.sch 372 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_163)))->BgL_valuez00);
		}

	}



/* &local-value */
	BgL_valuez00_bglt BGl_z62localzd2valuezb0zzast_varz00(obj_t BgL_envz00_2674,
		obj_t BgL_oz00_2675)
	{
		{	/* Ast/var.sch 372 */
			return
				BGl_localzd2valuezd2zzast_varz00(((BgL_localz00_bglt) BgL_oz00_2675));
		}

	}



/* local-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2valuezd2setz12z12zzast_varz00(BgL_localz00_bglt BgL_oz00_164,
		BgL_valuez00_bglt BgL_vz00_165)
	{
		{	/* Ast/var.sch 373 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_164)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_165), BUNSPEC);
		}

	}



/* &local-value-set! */
	obj_t BGl_z62localzd2valuezd2setz12z70zzast_varz00(obj_t BgL_envz00_2676,
		obj_t BgL_oz00_2677, obj_t BgL_vz00_2678)
	{
		{	/* Ast/var.sch 373 */
			return
				BGl_localzd2valuezd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2677),
				((BgL_valuez00_bglt) BgL_vz00_2678));
		}

	}



/* local-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_localzd2typezd2zzast_varz00(BgL_localz00_bglt BgL_oz00_166)
	{
		{	/* Ast/var.sch 374 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_166)))->BgL_typez00);
		}

	}



/* &local-type */
	BgL_typez00_bglt BGl_z62localzd2typezb0zzast_varz00(obj_t BgL_envz00_2679,
		obj_t BgL_oz00_2680)
	{
		{	/* Ast/var.sch 374 */
			return
				BGl_localzd2typezd2zzast_varz00(((BgL_localz00_bglt) BgL_oz00_2680));
		}

	}



/* local-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2typezd2setz12z12zzast_varz00(BgL_localz00_bglt BgL_oz00_167,
		BgL_typez00_bglt BgL_vz00_168)
	{
		{	/* Ast/var.sch 375 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_167)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_168), BUNSPEC);
		}

	}



/* &local-type-set! */
	obj_t BGl_z62localzd2typezd2setz12z70zzast_varz00(obj_t BgL_envz00_2681,
		obj_t BgL_oz00_2682, obj_t BgL_vz00_2683)
	{
		{	/* Ast/var.sch 375 */
			return
				BGl_localzd2typezd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2682),
				((BgL_typez00_bglt) BgL_vz00_2683));
		}

	}



/* local-name */
	BGL_EXPORTED_DEF obj_t BGl_localzd2namezd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_169)
	{
		{	/* Ast/var.sch 376 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_169)))->BgL_namez00);
		}

	}



/* &local-name */
	obj_t BGl_z62localzd2namezb0zzast_varz00(obj_t BgL_envz00_2684,
		obj_t BgL_oz00_2685)
	{
		{	/* Ast/var.sch 376 */
			return
				BGl_localzd2namezd2zzast_varz00(((BgL_localz00_bglt) BgL_oz00_2685));
		}

	}



/* local-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2namezd2setz12z12zzast_varz00(BgL_localz00_bglt BgL_oz00_170,
		obj_t BgL_vz00_171)
	{
		{	/* Ast/var.sch 377 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_170)))->BgL_namez00) =
				((obj_t) BgL_vz00_171), BUNSPEC);
		}

	}



/* &local-name-set! */
	obj_t BGl_z62localzd2namezd2setz12z70zzast_varz00(obj_t BgL_envz00_2686,
		obj_t BgL_oz00_2687, obj_t BgL_vz00_2688)
	{
		{	/* Ast/var.sch 377 */
			return
				BGl_localzd2namezd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2687), BgL_vz00_2688);
		}

	}



/* local-id */
	BGL_EXPORTED_DEF obj_t BGl_localzd2idzd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_172)
	{
		{	/* Ast/var.sch 378 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_172)))->BgL_idz00);
		}

	}



/* &local-id */
	obj_t BGl_z62localzd2idzb0zzast_varz00(obj_t BgL_envz00_2689,
		obj_t BgL_oz00_2690)
	{
		{	/* Ast/var.sch 378 */
			return BGl_localzd2idzd2zzast_varz00(((BgL_localz00_bglt) BgL_oz00_2690));
		}

	}



/* make-fun */
	BGL_EXPORTED_DEF BgL_funz00_bglt BGl_makezd2funzd2zzast_varz00(long
		BgL_arity1237z00_175, obj_t BgL_sidezd2effect1238zd2_176,
		obj_t BgL_predicatezd2of1239zd2_177, obj_t BgL_stackzd2allocator1240zd2_178,
		bool_t BgL_topzf31241zf3_179, obj_t BgL_thezd2closure1242zd2_180,
		obj_t BgL_effect1243z00_181, obj_t BgL_failsafe1244z00_182,
		obj_t BgL_argszd2noescape1245zd2_183, obj_t BgL_argszd2retescape1246zd2_184)
	{
		{	/* Ast/var.sch 382 */
			{	/* Ast/var.sch 382 */
				BgL_funz00_bglt BgL_new1192z00_3787;

				{	/* Ast/var.sch 382 */
					BgL_funz00_bglt BgL_new1191z00_3788;

					BgL_new1191z00_3788 =
						((BgL_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_funz00_bgl))));
					{	/* Ast/var.sch 382 */
						long BgL_arg1297z00_3789;

						BgL_arg1297z00_3789 = BGL_CLASS_NUM(BGl_funz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1191z00_3788), BgL_arg1297z00_3789);
					}
					BgL_new1192z00_3787 = BgL_new1191z00_3788;
				}
				((((BgL_funz00_bglt) COBJECT(BgL_new1192z00_3787))->BgL_arityz00) =
					((long) BgL_arity1237z00_175), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1192z00_3787))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1238zd2_176), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1192z00_3787))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1239zd2_177), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1192z00_3787))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1240zd2_178), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1192z00_3787))->BgL_topzf3zf3) =
					((bool_t) BgL_topzf31241zf3_179), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1192z00_3787))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1242zd2_180), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1192z00_3787))->BgL_effectz00) =
					((obj_t) BgL_effect1243z00_181), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1192z00_3787))->BgL_failsafez00) =
					((obj_t) BgL_failsafe1244z00_182), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1192z00_3787))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1245zd2_183), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1192z00_3787))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1246zd2_184), BUNSPEC);
				return BgL_new1192z00_3787;
			}
		}

	}



/* &make-fun */
	BgL_funz00_bglt BGl_z62makezd2funzb0zzast_varz00(obj_t BgL_envz00_2691,
		obj_t BgL_arity1237z00_2692, obj_t BgL_sidezd2effect1238zd2_2693,
		obj_t BgL_predicatezd2of1239zd2_2694,
		obj_t BgL_stackzd2allocator1240zd2_2695, obj_t BgL_topzf31241zf3_2696,
		obj_t BgL_thezd2closure1242zd2_2697, obj_t BgL_effect1243z00_2698,
		obj_t BgL_failsafe1244z00_2699, obj_t BgL_argszd2noescape1245zd2_2700,
		obj_t BgL_argszd2retescape1246zd2_2701)
	{
		{	/* Ast/var.sch 382 */
			return
				BGl_makezd2funzd2zzast_varz00(
				(long) CINT(BgL_arity1237z00_2692), BgL_sidezd2effect1238zd2_2693,
				BgL_predicatezd2of1239zd2_2694, BgL_stackzd2allocator1240zd2_2695,
				CBOOL(BgL_topzf31241zf3_2696), BgL_thezd2closure1242zd2_2697,
				BgL_effect1243z00_2698, BgL_failsafe1244z00_2699,
				BgL_argszd2noescape1245zd2_2700, BgL_argszd2retescape1246zd2_2701);
		}

	}



/* fun? */
	BGL_EXPORTED_DEF bool_t BGl_funzf3zf3zzast_varz00(obj_t BgL_objz00_185)
	{
		{	/* Ast/var.sch 383 */
			{	/* Ast/var.sch 383 */
				obj_t BgL_classz00_3790;

				BgL_classz00_3790 = BGl_funz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_185))
					{	/* Ast/var.sch 383 */
						BgL_objectz00_bglt BgL_arg1825z00_3791;

						BgL_arg1825z00_3791 = (BgL_objectz00_bglt) (BgL_objz00_185);
						{	/* Ast/var.sch 383 */
							bool_t BgL_arg1822z00_3792;
							bool_t BgL_arg1823z00_3793;

							{	/* Ast/var.sch 383 */
								long BgL_idxz00_3794;

								BgL_idxz00_3794 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3791);
								BgL_arg1822z00_3792 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3794 + ((long) 2))) == BgL_classz00_3790);
							}
							{	/* Ast/var.sch 383 */
								bool_t BgL_res2176z00_3797;

								{	/* Ast/var.sch 383 */
									obj_t BgL_oclassz00_3798;

									{	/* Ast/var.sch 383 */
										long BgL_arg1833z00_3799;

										{	/* Ast/var.sch 383 */
											long BgL_arg1834z00_3800;

											BgL_arg1834z00_3800 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3791);
											BgL_arg1833z00_3799 = (BgL_arg1834z00_3800 - OBJECT_TYPE);
										}
										BgL_oclassz00_3798 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3799);
									}
									{	/* Ast/var.sch 383 */
										bool_t BgL__ortest_1110z00_3801;

										BgL__ortest_1110z00_3801 =
											(BgL_classz00_3790 == BgL_oclassz00_3798);
										if (BgL__ortest_1110z00_3801)
											{	/* Ast/var.sch 383 */
												BgL_res2176z00_3797 = BgL__ortest_1110z00_3801;
											}
										else
											{	/* Ast/var.sch 383 */
												long BgL_odepthz00_3802;

												BgL_odepthz00_3802 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3798);
												if ((((long) 2) < BgL_odepthz00_3802))
													{	/* Ast/var.sch 383 */
														obj_t BgL_arg1821z00_3803;

														BgL_arg1821z00_3803 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3798,
															((long) 2));
														BgL_res2176z00_3797 =
															(BgL_arg1821z00_3803 == BgL_classz00_3790);
													}
												else
													{	/* Ast/var.sch 383 */
														BgL_res2176z00_3797 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3793 = BgL_res2176z00_3797;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3792, BgL_arg1823z00_3793);
						}
					}
				else
					{	/* Ast/var.sch 383 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &fun? */
	obj_t BGl_z62funzf3z91zzast_varz00(obj_t BgL_envz00_2702,
		obj_t BgL_objz00_2703)
	{
		{	/* Ast/var.sch 383 */
			return BBOOL(BGl_funzf3zf3zzast_varz00(BgL_objz00_2703));
		}

	}



/* fun-nil */
	BGL_EXPORTED_DEF BgL_funz00_bglt BGl_funzd2nilzd2zzast_varz00()
	{
		{	/* Ast/var.sch 384 */
			{	/* Ast/var.sch 384 */
				obj_t BgL_classz00_1773;

				BgL_classz00_1773 = BGl_funz00zzast_varz00;
				{	/* Ast/var.sch 384 */
					obj_t BgL__ortest_1112z00_1774;

					BgL__ortest_1112z00_1774 = BGL_CLASS_NIL(BgL_classz00_1773);
					if (CBOOL(BgL__ortest_1112z00_1774))
						{	/* Ast/var.sch 384 */
							return ((BgL_funz00_bglt) BgL__ortest_1112z00_1774);
						}
					else
						{	/* Ast/var.sch 384 */
							return
								((BgL_funz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1773));
						}
				}
			}
		}

	}



/* &fun-nil */
	BgL_funz00_bglt BGl_z62funzd2nilzb0zzast_varz00(obj_t BgL_envz00_2704)
	{
		{	/* Ast/var.sch 384 */
			return BGl_funzd2nilzd2zzast_varz00();
		}

	}



/* fun-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2argszd2retescapez00zzast_varz00(BgL_funz00_bglt BgL_oz00_186)
	{
		{	/* Ast/var.sch 385 */
			return
				(((BgL_funz00_bglt) COBJECT(BgL_oz00_186))->BgL_argszd2retescapezd2);
		}

	}



/* &fun-args-retescape */
	obj_t BGl_z62funzd2argszd2retescapez62zzast_varz00(obj_t BgL_envz00_2705,
		obj_t BgL_oz00_2706)
	{
		{	/* Ast/var.sch 385 */
			return
				BGl_funzd2argszd2retescapez00zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2706));
		}

	}



/* fun-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2argszd2retescapezd2setz12zc0zzast_varz00(BgL_funz00_bglt
		BgL_oz00_187, obj_t BgL_vz00_188)
	{
		{	/* Ast/var.sch 386 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_187))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_188), BUNSPEC);
		}

	}



/* &fun-args-retescape-set! */
	obj_t BGl_z62funzd2argszd2retescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2707, obj_t BgL_oz00_2708, obj_t BgL_vz00_2709)
	{
		{	/* Ast/var.sch 386 */
			return
				BGl_funzd2argszd2retescapezd2setz12zc0zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2708), BgL_vz00_2709);
		}

	}



/* fun-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2argszd2noescapez00zzast_varz00(BgL_funz00_bglt BgL_oz00_189)
	{
		{	/* Ast/var.sch 387 */
			return
				(((BgL_funz00_bglt) COBJECT(BgL_oz00_189))->BgL_argszd2noescapezd2);
		}

	}



/* &fun-args-noescape */
	obj_t BGl_z62funzd2argszd2noescapez62zzast_varz00(obj_t BgL_envz00_2710,
		obj_t BgL_oz00_2711)
	{
		{	/* Ast/var.sch 387 */
			return
				BGl_funzd2argszd2noescapez00zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2711));
		}

	}



/* fun-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2argszd2noescapezd2setz12zc0zzast_varz00(BgL_funz00_bglt
		BgL_oz00_190, obj_t BgL_vz00_191)
	{
		{	/* Ast/var.sch 388 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_190))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_191), BUNSPEC);
		}

	}



/* &fun-args-noescape-set! */
	obj_t BGl_z62funzd2argszd2noescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2712, obj_t BgL_oz00_2713, obj_t BgL_vz00_2714)
	{
		{	/* Ast/var.sch 388 */
			return
				BGl_funzd2argszd2noescapezd2setz12zc0zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2713), BgL_vz00_2714);
		}

	}



/* fun-failsafe */
	BGL_EXPORTED_DEF obj_t BGl_funzd2failsafezd2zzast_varz00(BgL_funz00_bglt
		BgL_oz00_192)
	{
		{	/* Ast/var.sch 389 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_192))->BgL_failsafez00);
		}

	}



/* &fun-failsafe */
	obj_t BGl_z62funzd2failsafezb0zzast_varz00(obj_t BgL_envz00_2715,
		obj_t BgL_oz00_2716)
	{
		{	/* Ast/var.sch 389 */
			return
				BGl_funzd2failsafezd2zzast_varz00(((BgL_funz00_bglt) BgL_oz00_2716));
		}

	}



/* fun-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2failsafezd2setz12z12zzast_varz00(BgL_funz00_bglt BgL_oz00_193,
		obj_t BgL_vz00_194)
	{
		{	/* Ast/var.sch 390 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_193))->BgL_failsafez00) =
				((obj_t) BgL_vz00_194), BUNSPEC);
		}

	}



/* &fun-failsafe-set! */
	obj_t BGl_z62funzd2failsafezd2setz12z70zzast_varz00(obj_t BgL_envz00_2717,
		obj_t BgL_oz00_2718, obj_t BgL_vz00_2719)
	{
		{	/* Ast/var.sch 390 */
			return
				BGl_funzd2failsafezd2setz12z12zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2718), BgL_vz00_2719);
		}

	}



/* fun-effect */
	BGL_EXPORTED_DEF obj_t BGl_funzd2effectzd2zzast_varz00(BgL_funz00_bglt
		BgL_oz00_195)
	{
		{	/* Ast/var.sch 391 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_195))->BgL_effectz00);
		}

	}



/* &fun-effect */
	obj_t BGl_z62funzd2effectzb0zzast_varz00(obj_t BgL_envz00_2720,
		obj_t BgL_oz00_2721)
	{
		{	/* Ast/var.sch 391 */
			return BGl_funzd2effectzd2zzast_varz00(((BgL_funz00_bglt) BgL_oz00_2721));
		}

	}



/* fun-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2effectzd2setz12z12zzast_varz00(BgL_funz00_bglt BgL_oz00_196,
		obj_t BgL_vz00_197)
	{
		{	/* Ast/var.sch 392 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_196))->BgL_effectz00) =
				((obj_t) BgL_vz00_197), BUNSPEC);
		}

	}



/* &fun-effect-set! */
	obj_t BGl_z62funzd2effectzd2setz12z70zzast_varz00(obj_t BgL_envz00_2722,
		obj_t BgL_oz00_2723, obj_t BgL_vz00_2724)
	{
		{	/* Ast/var.sch 392 */
			return
				BGl_funzd2effectzd2setz12z12zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2723), BgL_vz00_2724);
		}

	}



/* fun-the-closure */
	BGL_EXPORTED_DEF obj_t BGl_funzd2thezd2closurez00zzast_varz00(BgL_funz00_bglt
		BgL_oz00_198)
	{
		{	/* Ast/var.sch 393 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_198))->BgL_thezd2closurezd2);
		}

	}



/* &fun-the-closure */
	obj_t BGl_z62funzd2thezd2closurez62zzast_varz00(obj_t BgL_envz00_2725,
		obj_t BgL_oz00_2726)
	{
		{	/* Ast/var.sch 393 */
			return
				BGl_funzd2thezd2closurez00zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2726));
		}

	}



/* fun-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_funz00_bglt
		BgL_oz00_199, obj_t BgL_vz00_200)
	{
		{	/* Ast/var.sch 394 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_199))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_200), BUNSPEC);
		}

	}



/* &fun-the-closure-set! */
	obj_t BGl_z62funzd2thezd2closurezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2727, obj_t BgL_oz00_2728, obj_t BgL_vz00_2729)
	{
		{	/* Ast/var.sch 394 */
			return
				BGl_funzd2thezd2closurezd2setz12zc0zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2728), BgL_vz00_2729);
		}

	}



/* fun-top? */
	BGL_EXPORTED_DEF bool_t BGl_funzd2topzf3z21zzast_varz00(BgL_funz00_bglt
		BgL_oz00_201)
	{
		{	/* Ast/var.sch 395 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_201))->BgL_topzf3zf3);
		}

	}



/* &fun-top? */
	obj_t BGl_z62funzd2topzf3z43zzast_varz00(obj_t BgL_envz00_2730,
		obj_t BgL_oz00_2731)
	{
		{	/* Ast/var.sch 395 */
			return
				BBOOL(BGl_funzd2topzf3z21zzast_varz00(
					((BgL_funz00_bglt) BgL_oz00_2731)));
		}

	}



/* fun-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2topzf3zd2setz12ze1zzast_varz00(BgL_funz00_bglt BgL_oz00_202,
		bool_t BgL_vz00_203)
	{
		{	/* Ast/var.sch 396 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_202))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_203), BUNSPEC);
		}

	}



/* &fun-top?-set! */
	obj_t BGl_z62funzd2topzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2732,
		obj_t BgL_oz00_2733, obj_t BgL_vz00_2734)
	{
		{	/* Ast/var.sch 396 */
			return
				BGl_funzd2topzf3zd2setz12ze1zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2733), CBOOL(BgL_vz00_2734));
		}

	}



/* fun-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2stackzd2allocatorz00zzast_varz00(BgL_funz00_bglt BgL_oz00_204)
	{
		{	/* Ast/var.sch 397 */
			return
				(((BgL_funz00_bglt) COBJECT(BgL_oz00_204))->BgL_stackzd2allocatorzd2);
		}

	}



/* &fun-stack-allocator */
	obj_t BGl_z62funzd2stackzd2allocatorz62zzast_varz00(obj_t BgL_envz00_2735,
		obj_t BgL_oz00_2736)
	{
		{	/* Ast/var.sch 397 */
			return
				BGl_funzd2stackzd2allocatorz00zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2736));
		}

	}



/* fun-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_funz00_bglt
		BgL_oz00_205, obj_t BgL_vz00_206)
	{
		{	/* Ast/var.sch 398 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_205))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_206), BUNSPEC);
		}

	}



/* &fun-stack-allocator-set! */
	obj_t BGl_z62funzd2stackzd2allocatorzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2737, obj_t BgL_oz00_2738, obj_t BgL_vz00_2739)
	{
		{	/* Ast/var.sch 398 */
			return
				BGl_funzd2stackzd2allocatorzd2setz12zc0zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2738), BgL_vz00_2739);
		}

	}



/* fun-predicate-of */
	BGL_EXPORTED_DEF obj_t BGl_funzd2predicatezd2ofz00zzast_varz00(BgL_funz00_bglt
		BgL_oz00_207)
	{
		{	/* Ast/var.sch 399 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_207))->BgL_predicatezd2ofzd2);
		}

	}



/* &fun-predicate-of */
	obj_t BGl_z62funzd2predicatezd2ofz62zzast_varz00(obj_t BgL_envz00_2740,
		obj_t BgL_oz00_2741)
	{
		{	/* Ast/var.sch 399 */
			return
				BGl_funzd2predicatezd2ofz00zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2741));
		}

	}



/* fun-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_funz00_bglt
		BgL_oz00_208, obj_t BgL_vz00_209)
	{
		{	/* Ast/var.sch 400 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_208))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_209), BUNSPEC);
		}

	}



/* &fun-predicate-of-set! */
	obj_t BGl_z62funzd2predicatezd2ofzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2742, obj_t BgL_oz00_2743, obj_t BgL_vz00_2744)
	{
		{	/* Ast/var.sch 400 */
			return
				BGl_funzd2predicatezd2ofzd2setz12zc0zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2743), BgL_vz00_2744);
		}

	}



/* fun-side-effect */
	BGL_EXPORTED_DEF obj_t BGl_funzd2sidezd2effectz00zzast_varz00(BgL_funz00_bglt
		BgL_oz00_210)
	{
		{	/* Ast/var.sch 401 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_210))->BgL_sidezd2effectzd2);
		}

	}



/* &fun-side-effect */
	obj_t BGl_z62funzd2sidezd2effectz62zzast_varz00(obj_t BgL_envz00_2745,
		obj_t BgL_oz00_2746)
	{
		{	/* Ast/var.sch 401 */
			return
				BGl_funzd2sidezd2effectz00zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2746));
		}

	}



/* fun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2sidezd2effectzd2setz12zc0zzast_varz00(BgL_funz00_bglt
		BgL_oz00_211, obj_t BgL_vz00_212)
	{
		{	/* Ast/var.sch 402 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_211))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_212), BUNSPEC);
		}

	}



/* &fun-side-effect-set! */
	obj_t BGl_z62funzd2sidezd2effectzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2747, obj_t BgL_oz00_2748, obj_t BgL_vz00_2749)
	{
		{	/* Ast/var.sch 402 */
			return
				BGl_funzd2sidezd2effectzd2setz12zc0zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2748), BgL_vz00_2749);
		}

	}



/* fun-arity */
	BGL_EXPORTED_DEF long BGl_funzd2arityzd2zzast_varz00(BgL_funz00_bglt
		BgL_oz00_213)
	{
		{	/* Ast/var.sch 403 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_213))->BgL_arityz00);
		}

	}



/* &fun-arity */
	obj_t BGl_z62funzd2arityzb0zzast_varz00(obj_t BgL_envz00_2750,
		obj_t BgL_oz00_2751)
	{
		{	/* Ast/var.sch 403 */
			return
				BINT(BGl_funzd2arityzd2zzast_varz00(((BgL_funz00_bglt) BgL_oz00_2751)));
		}

	}



/* make-sfun */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt BGl_makezd2sfunzd2zzast_varz00(long
		BgL_arity1214z00_216, obj_t BgL_sidezd2effect1215zd2_217,
		obj_t BgL_predicatezd2of1216zd2_218, obj_t BgL_stackzd2allocator1217zd2_219,
		bool_t BgL_topzf31218zf3_220, obj_t BgL_thezd2closure1219zd2_221,
		obj_t BgL_effect1220z00_222, obj_t BgL_failsafe1221z00_223,
		obj_t BgL_argszd2noescape1222zd2_224, obj_t BgL_argszd2retescape1223zd2_225,
		obj_t BgL_property1224z00_226, obj_t BgL_args1225z00_227,
		obj_t BgL_argszd2name1226zd2_228, obj_t BgL_body1227z00_229,
		obj_t BgL_class1228z00_230, obj_t BgL_dssslzd2keywords1229zd2_231,
		obj_t BgL_loc1230z00_232, obj_t BgL_optionals1231z00_233,
		obj_t BgL_keys1232z00_234, obj_t BgL_thezd2closurezd2global1233z00_235,
		obj_t BgL_strength1234z00_236, obj_t BgL_stackable1235z00_237)
	{
		{	/* Ast/var.sch 407 */
			{	/* Ast/var.sch 407 */
				BgL_sfunz00_bglt BgL_new1194z00_3804;

				{	/* Ast/var.sch 407 */
					BgL_sfunz00_bglt BgL_new1193z00_3805;

					BgL_new1193z00_3805 =
						((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sfunz00_bgl))));
					{	/* Ast/var.sch 407 */
						long BgL_arg1298z00_3806;

						BgL_arg1298z00_3806 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1193z00_3805), BgL_arg1298z00_3806);
					}
					{	/* Ast/var.sch 407 */
						BgL_objectz00_bglt BgL_tmpz00_4847;

						BgL_tmpz00_4847 = ((BgL_objectz00_bglt) BgL_new1193z00_3805);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4847, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1193z00_3805);
					BgL_new1194z00_3804 = BgL_new1193z00_3805;
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1194z00_3804)))->BgL_arityz00) =
					((long) BgL_arity1214z00_216), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1194z00_3804)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1215zd2_217), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1194z00_3804)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1216zd2_218), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1194z00_3804)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1217zd2_219), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1194z00_3804)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31218zf3_220), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1194z00_3804)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1219zd2_221), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1194z00_3804)))->
						BgL_effectz00) = ((obj_t) BgL_effect1220z00_222), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1194z00_3804)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1221z00_223), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1194z00_3804)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1222zd2_224), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1194z00_3804)))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1223zd2_225), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1194z00_3804))->BgL_propertyz00) =
					((obj_t) BgL_property1224z00_226), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1194z00_3804))->BgL_argsz00) =
					((obj_t) BgL_args1225z00_227), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1194z00_3804))->
						BgL_argszd2namezd2) =
					((obj_t) BgL_argszd2name1226zd2_228), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1194z00_3804))->BgL_bodyz00) =
					((obj_t) BgL_body1227z00_229), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1194z00_3804))->BgL_classz00) =
					((obj_t) BgL_class1228z00_230), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1194z00_3804))->
						BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1229zd2_231), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1194z00_3804))->BgL_locz00) =
					((obj_t) BgL_loc1230z00_232), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1194z00_3804))->BgL_optionalsz00) =
					((obj_t) BgL_optionals1231z00_233), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1194z00_3804))->BgL_keysz00) =
					((obj_t) BgL_keys1232z00_234), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1194z00_3804))->
						BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1233z00_235), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1194z00_3804))->BgL_strengthz00) =
					((obj_t) BgL_strength1234z00_236), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1194z00_3804))->BgL_stackablez00) =
					((obj_t) BgL_stackable1235z00_237), BUNSPEC);
				return BgL_new1194z00_3804;
			}
		}

	}



/* &make-sfun */
	BgL_sfunz00_bglt BGl_z62makezd2sfunzb0zzast_varz00(obj_t BgL_envz00_2752,
		obj_t BgL_arity1214z00_2753, obj_t BgL_sidezd2effect1215zd2_2754,
		obj_t BgL_predicatezd2of1216zd2_2755,
		obj_t BgL_stackzd2allocator1217zd2_2756, obj_t BgL_topzf31218zf3_2757,
		obj_t BgL_thezd2closure1219zd2_2758, obj_t BgL_effect1220z00_2759,
		obj_t BgL_failsafe1221z00_2760, obj_t BgL_argszd2noescape1222zd2_2761,
		obj_t BgL_argszd2retescape1223zd2_2762, obj_t BgL_property1224z00_2763,
		obj_t BgL_args1225z00_2764, obj_t BgL_argszd2name1226zd2_2765,
		obj_t BgL_body1227z00_2766, obj_t BgL_class1228z00_2767,
		obj_t BgL_dssslzd2keywords1229zd2_2768, obj_t BgL_loc1230z00_2769,
		obj_t BgL_optionals1231z00_2770, obj_t BgL_keys1232z00_2771,
		obj_t BgL_thezd2closurezd2global1233z00_2772,
		obj_t BgL_strength1234z00_2773, obj_t BgL_stackable1235z00_2774)
	{
		{	/* Ast/var.sch 407 */
			return
				BGl_makezd2sfunzd2zzast_varz00(
				(long) CINT(BgL_arity1214z00_2753), BgL_sidezd2effect1215zd2_2754,
				BgL_predicatezd2of1216zd2_2755, BgL_stackzd2allocator1217zd2_2756,
				CBOOL(BgL_topzf31218zf3_2757), BgL_thezd2closure1219zd2_2758,
				BgL_effect1220z00_2759, BgL_failsafe1221z00_2760,
				BgL_argszd2noescape1222zd2_2761, BgL_argszd2retescape1223zd2_2762,
				BgL_property1224z00_2763, BgL_args1225z00_2764,
				BgL_argszd2name1226zd2_2765, BgL_body1227z00_2766,
				BgL_class1228z00_2767, BgL_dssslzd2keywords1229zd2_2768,
				BgL_loc1230z00_2769, BgL_optionals1231z00_2770, BgL_keys1232z00_2771,
				BgL_thezd2closurezd2global1233z00_2772, BgL_strength1234z00_2773,
				BgL_stackable1235z00_2774);
		}

	}



/* sfun? */
	BGL_EXPORTED_DEF bool_t BGl_sfunzf3zf3zzast_varz00(obj_t BgL_objz00_238)
	{
		{	/* Ast/var.sch 408 */
			{	/* Ast/var.sch 408 */
				obj_t BgL_classz00_3807;

				BgL_classz00_3807 = BGl_sfunz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_238))
					{	/* Ast/var.sch 408 */
						BgL_objectz00_bglt BgL_arg1825z00_3808;

						BgL_arg1825z00_3808 = (BgL_objectz00_bglt) (BgL_objz00_238);
						{	/* Ast/var.sch 408 */
							bool_t BgL_arg1822z00_3809;
							bool_t BgL_arg1823z00_3810;

							{	/* Ast/var.sch 408 */
								long BgL_idxz00_3811;

								BgL_idxz00_3811 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3808);
								BgL_arg1822z00_3809 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3811 + ((long) 3))) == BgL_classz00_3807);
							}
							{	/* Ast/var.sch 408 */
								bool_t BgL_res2177z00_3814;

								{	/* Ast/var.sch 408 */
									obj_t BgL_oclassz00_3815;

									{	/* Ast/var.sch 408 */
										long BgL_arg1833z00_3816;

										{	/* Ast/var.sch 408 */
											long BgL_arg1834z00_3817;

											BgL_arg1834z00_3817 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3808);
											BgL_arg1833z00_3816 = (BgL_arg1834z00_3817 - OBJECT_TYPE);
										}
										BgL_oclassz00_3815 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3816);
									}
									{	/* Ast/var.sch 408 */
										bool_t BgL__ortest_1110z00_3818;

										BgL__ortest_1110z00_3818 =
											(BgL_classz00_3807 == BgL_oclassz00_3815);
										if (BgL__ortest_1110z00_3818)
											{	/* Ast/var.sch 408 */
												BgL_res2177z00_3814 = BgL__ortest_1110z00_3818;
											}
										else
											{	/* Ast/var.sch 408 */
												long BgL_odepthz00_3819;

												BgL_odepthz00_3819 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3815);
												if ((((long) 3) < BgL_odepthz00_3819))
													{	/* Ast/var.sch 408 */
														obj_t BgL_arg1821z00_3820;

														BgL_arg1821z00_3820 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3815,
															((long) 3));
														BgL_res2177z00_3814 =
															(BgL_arg1821z00_3820 == BgL_classz00_3807);
													}
												else
													{	/* Ast/var.sch 408 */
														BgL_res2177z00_3814 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3810 = BgL_res2177z00_3814;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3809, BgL_arg1823z00_3810);
						}
					}
				else
					{	/* Ast/var.sch 408 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sfun? */
	obj_t BGl_z62sfunzf3z91zzast_varz00(obj_t BgL_envz00_2775,
		obj_t BgL_objz00_2776)
	{
		{	/* Ast/var.sch 408 */
			return BBOOL(BGl_sfunzf3zf3zzast_varz00(BgL_objz00_2776));
		}

	}



/* sfun-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt BGl_sfunzd2nilzd2zzast_varz00()
	{
		{	/* Ast/var.sch 409 */
			{	/* Ast/var.sch 409 */
				obj_t BgL_classz00_1814;

				BgL_classz00_1814 = BGl_sfunz00zzast_varz00;
				{	/* Ast/var.sch 409 */
					obj_t BgL__ortest_1112z00_1815;

					BgL__ortest_1112z00_1815 = BGL_CLASS_NIL(BgL_classz00_1814);
					if (CBOOL(BgL__ortest_1112z00_1815))
						{	/* Ast/var.sch 409 */
							return ((BgL_sfunz00_bglt) BgL__ortest_1112z00_1815);
						}
					else
						{	/* Ast/var.sch 409 */
							return
								((BgL_sfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1814));
						}
				}
			}
		}

	}



/* &sfun-nil */
	BgL_sfunz00_bglt BGl_z62sfunzd2nilzb0zzast_varz00(obj_t BgL_envz00_2777)
	{
		{	/* Ast/var.sch 409 */
			return BGl_sfunzd2nilzd2zzast_varz00();
		}

	}



/* sfun-stackable */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2stackablezd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_239)
	{
		{	/* Ast/var.sch 410 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_239))->BgL_stackablez00);
		}

	}



/* &sfun-stackable */
	obj_t BGl_z62sfunzd2stackablezb0zzast_varz00(obj_t BgL_envz00_2778,
		obj_t BgL_oz00_2779)
	{
		{	/* Ast/var.sch 410 */
			return
				BGl_sfunzd2stackablezd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2779));
		}

	}



/* sfun-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2stackablezd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_240,
		obj_t BgL_vz00_241)
	{
		{	/* Ast/var.sch 411 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_240))->BgL_stackablez00) =
				((obj_t) BgL_vz00_241), BUNSPEC);
		}

	}



/* &sfun-stackable-set! */
	obj_t BGl_z62sfunzd2stackablezd2setz12z70zzast_varz00(obj_t BgL_envz00_2780,
		obj_t BgL_oz00_2781, obj_t BgL_vz00_2782)
	{
		{	/* Ast/var.sch 411 */
			return
				BGl_sfunzd2stackablezd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2781), BgL_vz00_2782);
		}

	}



/* sfun-strength */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2strengthzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_242)
	{
		{	/* Ast/var.sch 412 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_242))->BgL_strengthz00);
		}

	}



/* &sfun-strength */
	obj_t BGl_z62sfunzd2strengthzb0zzast_varz00(obj_t BgL_envz00_2783,
		obj_t BgL_oz00_2784)
	{
		{	/* Ast/var.sch 412 */
			return
				BGl_sfunzd2strengthzd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2784));
		}

	}



/* sfun-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2strengthzd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_243,
		obj_t BgL_vz00_244)
	{
		{	/* Ast/var.sch 413 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_243))->BgL_strengthz00) =
				((obj_t) BgL_vz00_244), BUNSPEC);
		}

	}



/* &sfun-strength-set! */
	obj_t BGl_z62sfunzd2strengthzd2setz12z70zzast_varz00(obj_t BgL_envz00_2785,
		obj_t BgL_oz00_2786, obj_t BgL_vz00_2787)
	{
		{	/* Ast/var.sch 413 */
			return
				BGl_sfunzd2strengthzd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2786), BgL_vz00_2787);
		}

	}



/* sfun-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2thezd2closurezd2globalzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_245)
	{
		{	/* Ast/var.sch 414 */
			return
				(((BgL_sfunz00_bglt) COBJECT(BgL_oz00_245))->
				BgL_thezd2closurezd2globalz00);
		}

	}



/* &sfun-the-closure-global */
	obj_t BGl_z62sfunzd2thezd2closurezd2globalzb0zzast_varz00(obj_t
		BgL_envz00_2788, obj_t BgL_oz00_2789)
	{
		{	/* Ast/var.sch 414 */
			return
				BGl_sfunzd2thezd2closurezd2globalzd2zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2789));
		}

	}



/* sfun-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2thezd2closurezd2globalzd2setz12z12zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_246, obj_t BgL_vz00_247)
	{
		{	/* Ast/var.sch 415 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_246))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_247), BUNSPEC);
		}

	}



/* &sfun-the-closure-global-set! */
	obj_t BGl_z62sfunzd2thezd2closurezd2globalzd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2790, obj_t BgL_oz00_2791, obj_t BgL_vz00_2792)
	{
		{	/* Ast/var.sch 415 */
			return
				BGl_sfunzd2thezd2closurezd2globalzd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2791), BgL_vz00_2792);
		}

	}



/* sfun-keys */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2keyszd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_248)
	{
		{	/* Ast/var.sch 416 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_248))->BgL_keysz00);
		}

	}



/* &sfun-keys */
	obj_t BGl_z62sfunzd2keyszb0zzast_varz00(obj_t BgL_envz00_2793,
		obj_t BgL_oz00_2794)
	{
		{	/* Ast/var.sch 416 */
			return BGl_sfunzd2keyszd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2794));
		}

	}



/* sfun-optionals */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2optionalszd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_251)
	{
		{	/* Ast/var.sch 418 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_251))->BgL_optionalsz00);
		}

	}



/* &sfun-optionals */
	obj_t BGl_z62sfunzd2optionalszb0zzast_varz00(obj_t BgL_envz00_2795,
		obj_t BgL_oz00_2796)
	{
		{	/* Ast/var.sch 418 */
			return
				BGl_sfunzd2optionalszd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2796));
		}

	}



/* sfun-loc */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2loczd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_254)
	{
		{	/* Ast/var.sch 420 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_254))->BgL_locz00);
		}

	}



/* &sfun-loc */
	obj_t BGl_z62sfunzd2loczb0zzast_varz00(obj_t BgL_envz00_2797,
		obj_t BgL_oz00_2798)
	{
		{	/* Ast/var.sch 420 */
			return BGl_sfunzd2loczd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2798));
		}

	}



/* sfun-loc-set! */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2loczd2setz12z12zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_255, obj_t BgL_vz00_256)
	{
		{	/* Ast/var.sch 421 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_255))->BgL_locz00) =
				((obj_t) BgL_vz00_256), BUNSPEC);
		}

	}



/* &sfun-loc-set! */
	obj_t BGl_z62sfunzd2loczd2setz12z70zzast_varz00(obj_t BgL_envz00_2799,
		obj_t BgL_oz00_2800, obj_t BgL_vz00_2801)
	{
		{	/* Ast/var.sch 421 */
			return
				BGl_sfunzd2loczd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2800), BgL_vz00_2801);
		}

	}



/* sfun-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2dssslzd2keywordsz00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_257)
	{
		{	/* Ast/var.sch 422 */
			return
				(((BgL_sfunz00_bglt) COBJECT(BgL_oz00_257))->BgL_dssslzd2keywordszd2);
		}

	}



/* &sfun-dsssl-keywords */
	obj_t BGl_z62sfunzd2dssslzd2keywordsz62zzast_varz00(obj_t BgL_envz00_2802,
		obj_t BgL_oz00_2803)
	{
		{	/* Ast/var.sch 422 */
			return
				BGl_sfunzd2dssslzd2keywordsz00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2803));
		}

	}



/* sfun-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2dssslzd2keywordszd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_258, obj_t BgL_vz00_259)
	{
		{	/* Ast/var.sch 423 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_258))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_259), BUNSPEC);
		}

	}



/* &sfun-dsssl-keywords-set! */
	obj_t BGl_z62sfunzd2dssslzd2keywordszd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2804, obj_t BgL_oz00_2805, obj_t BgL_vz00_2806)
	{
		{	/* Ast/var.sch 423 */
			return
				BGl_sfunzd2dssslzd2keywordszd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2805), BgL_vz00_2806);
		}

	}



/* sfun-class */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2classzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_260)
	{
		{	/* Ast/var.sch 424 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_260))->BgL_classz00);
		}

	}



/* &sfun-class */
	obj_t BGl_z62sfunzd2classzb0zzast_varz00(obj_t BgL_envz00_2807,
		obj_t BgL_oz00_2808)
	{
		{	/* Ast/var.sch 424 */
			return
				BGl_sfunzd2classzd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2808));
		}

	}



/* sfun-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2classzd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_261,
		obj_t BgL_vz00_262)
	{
		{	/* Ast/var.sch 425 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_261))->BgL_classz00) =
				((obj_t) BgL_vz00_262), BUNSPEC);
		}

	}



/* &sfun-class-set! */
	obj_t BGl_z62sfunzd2classzd2setz12z70zzast_varz00(obj_t BgL_envz00_2809,
		obj_t BgL_oz00_2810, obj_t BgL_vz00_2811)
	{
		{	/* Ast/var.sch 425 */
			return
				BGl_sfunzd2classzd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2810), BgL_vz00_2811);
		}

	}



/* sfun-body */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2bodyzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_263)
	{
		{	/* Ast/var.sch 426 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_263))->BgL_bodyz00);
		}

	}



/* &sfun-body */
	obj_t BGl_z62sfunzd2bodyzb0zzast_varz00(obj_t BgL_envz00_2812,
		obj_t BgL_oz00_2813)
	{
		{	/* Ast/var.sch 426 */
			return BGl_sfunzd2bodyzd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2813));
		}

	}



/* sfun-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2bodyzd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_264,
		obj_t BgL_vz00_265)
	{
		{	/* Ast/var.sch 427 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_264))->BgL_bodyz00) =
				((obj_t) BgL_vz00_265), BUNSPEC);
		}

	}



/* &sfun-body-set! */
	obj_t BGl_z62sfunzd2bodyzd2setz12z70zzast_varz00(obj_t BgL_envz00_2814,
		obj_t BgL_oz00_2815, obj_t BgL_vz00_2816)
	{
		{	/* Ast/var.sch 427 */
			return
				BGl_sfunzd2bodyzd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2815), BgL_vz00_2816);
		}

	}



/* sfun-args-name */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2argszd2namez00zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_266)
	{
		{	/* Ast/var.sch 428 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_266))->BgL_argszd2namezd2);
		}

	}



/* &sfun-args-name */
	obj_t BGl_z62sfunzd2argszd2namez62zzast_varz00(obj_t BgL_envz00_2817,
		obj_t BgL_oz00_2818)
	{
		{	/* Ast/var.sch 428 */
			return
				BGl_sfunzd2argszd2namez00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2818));
		}

	}



/* sfun-args */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2argszd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_269)
	{
		{	/* Ast/var.sch 430 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_269))->BgL_argsz00);
		}

	}



/* &sfun-args */
	obj_t BGl_z62sfunzd2argszb0zzast_varz00(obj_t BgL_envz00_2819,
		obj_t BgL_oz00_2820)
	{
		{	/* Ast/var.sch 430 */
			return BGl_sfunzd2argszd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2820));
		}

	}



/* sfun-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2argszd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_270,
		obj_t BgL_vz00_271)
	{
		{	/* Ast/var.sch 431 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_270))->BgL_argsz00) =
				((obj_t) BgL_vz00_271), BUNSPEC);
		}

	}



/* &sfun-args-set! */
	obj_t BGl_z62sfunzd2argszd2setz12z70zzast_varz00(obj_t BgL_envz00_2821,
		obj_t BgL_oz00_2822, obj_t BgL_vz00_2823)
	{
		{	/* Ast/var.sch 431 */
			return
				BGl_sfunzd2argszd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2822), BgL_vz00_2823);
		}

	}



/* sfun-property */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2propertyzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_272)
	{
		{	/* Ast/var.sch 432 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_272))->BgL_propertyz00);
		}

	}



/* &sfun-property */
	obj_t BGl_z62sfunzd2propertyzb0zzast_varz00(obj_t BgL_envz00_2824,
		obj_t BgL_oz00_2825)
	{
		{	/* Ast/var.sch 432 */
			return
				BGl_sfunzd2propertyzd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2825));
		}

	}



/* sfun-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2propertyzd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_273,
		obj_t BgL_vz00_274)
	{
		{	/* Ast/var.sch 433 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_273))->BgL_propertyz00) =
				((obj_t) BgL_vz00_274), BUNSPEC);
		}

	}



/* &sfun-property-set! */
	obj_t BGl_z62sfunzd2propertyzd2setz12z70zzast_varz00(obj_t BgL_envz00_2826,
		obj_t BgL_oz00_2827, obj_t BgL_vz00_2828)
	{
		{	/* Ast/var.sch 433 */
			return
				BGl_sfunzd2propertyzd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2827), BgL_vz00_2828);
		}

	}



/* sfun-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2argszd2retescapez00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_275)
	{
		{	/* Ast/var.sch 434 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_275)))->BgL_argszd2retescapezd2);
		}

	}



/* &sfun-args-retescape */
	obj_t BGl_z62sfunzd2argszd2retescapez62zzast_varz00(obj_t BgL_envz00_2829,
		obj_t BgL_oz00_2830)
	{
		{	/* Ast/var.sch 434 */
			return
				BGl_sfunzd2argszd2retescapez00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2830));
		}

	}



/* sfun-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2argszd2retescapezd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_276, obj_t BgL_vz00_277)
	{
		{	/* Ast/var.sch 435 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_276)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_277), BUNSPEC);
		}

	}



/* &sfun-args-retescape-set! */
	obj_t BGl_z62sfunzd2argszd2retescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2831, obj_t BgL_oz00_2832, obj_t BgL_vz00_2833)
	{
		{	/* Ast/var.sch 435 */
			return
				BGl_sfunzd2argszd2retescapezd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2832), BgL_vz00_2833);
		}

	}



/* sfun-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2argszd2noescapez00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_278)
	{
		{	/* Ast/var.sch 436 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_278)))->BgL_argszd2noescapezd2);
		}

	}



/* &sfun-args-noescape */
	obj_t BGl_z62sfunzd2argszd2noescapez62zzast_varz00(obj_t BgL_envz00_2834,
		obj_t BgL_oz00_2835)
	{
		{	/* Ast/var.sch 436 */
			return
				BGl_sfunzd2argszd2noescapez00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2835));
		}

	}



/* sfun-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2argszd2noescapezd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_279, obj_t BgL_vz00_280)
	{
		{	/* Ast/var.sch 437 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_279)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_280), BUNSPEC);
		}

	}



/* &sfun-args-noescape-set! */
	obj_t BGl_z62sfunzd2argszd2noescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2836, obj_t BgL_oz00_2837, obj_t BgL_vz00_2838)
	{
		{	/* Ast/var.sch 437 */
			return
				BGl_sfunzd2argszd2noescapezd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2837), BgL_vz00_2838);
		}

	}



/* sfun-failsafe */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2failsafezd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_281)
	{
		{	/* Ast/var.sch 438 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_281)))->BgL_failsafez00);
		}

	}



/* &sfun-failsafe */
	obj_t BGl_z62sfunzd2failsafezb0zzast_varz00(obj_t BgL_envz00_2839,
		obj_t BgL_oz00_2840)
	{
		{	/* Ast/var.sch 438 */
			return
				BGl_sfunzd2failsafezd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2840));
		}

	}



/* sfun-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2failsafezd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_282,
		obj_t BgL_vz00_283)
	{
		{	/* Ast/var.sch 439 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_282)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_283), BUNSPEC);
		}

	}



/* &sfun-failsafe-set! */
	obj_t BGl_z62sfunzd2failsafezd2setz12z70zzast_varz00(obj_t BgL_envz00_2841,
		obj_t BgL_oz00_2842, obj_t BgL_vz00_2843)
	{
		{	/* Ast/var.sch 439 */
			return
				BGl_sfunzd2failsafezd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2842), BgL_vz00_2843);
		}

	}



/* sfun-effect */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2effectzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_284)
	{
		{	/* Ast/var.sch 440 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_284)))->BgL_effectz00);
		}

	}



/* &sfun-effect */
	obj_t BGl_z62sfunzd2effectzb0zzast_varz00(obj_t BgL_envz00_2844,
		obj_t BgL_oz00_2845)
	{
		{	/* Ast/var.sch 440 */
			return
				BGl_sfunzd2effectzd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2845));
		}

	}



/* sfun-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2effectzd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_285,
		obj_t BgL_vz00_286)
	{
		{	/* Ast/var.sch 441 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_285)))->BgL_effectz00) =
				((obj_t) BgL_vz00_286), BUNSPEC);
		}

	}



/* &sfun-effect-set! */
	obj_t BGl_z62sfunzd2effectzd2setz12z70zzast_varz00(obj_t BgL_envz00_2846,
		obj_t BgL_oz00_2847, obj_t BgL_vz00_2848)
	{
		{	/* Ast/var.sch 441 */
			return
				BGl_sfunzd2effectzd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2847), BgL_vz00_2848);
		}

	}



/* sfun-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2thezd2closurez00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_287)
	{
		{	/* Ast/var.sch 442 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_287)))->BgL_thezd2closurezd2);
		}

	}



/* &sfun-the-closure */
	obj_t BGl_z62sfunzd2thezd2closurez62zzast_varz00(obj_t BgL_envz00_2849,
		obj_t BgL_oz00_2850)
	{
		{	/* Ast/var.sch 442 */
			return
				BGl_sfunzd2thezd2closurez00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2850));
		}

	}



/* sfun-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_288, obj_t BgL_vz00_289)
	{
		{	/* Ast/var.sch 443 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_288)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_289), BUNSPEC);
		}

	}



/* &sfun-the-closure-set! */
	obj_t BGl_z62sfunzd2thezd2closurezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2851, obj_t BgL_oz00_2852, obj_t BgL_vz00_2853)
	{
		{	/* Ast/var.sch 443 */
			return
				BGl_sfunzd2thezd2closurezd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2852), BgL_vz00_2853);
		}

	}



/* sfun-top? */
	BGL_EXPORTED_DEF bool_t BGl_sfunzd2topzf3z21zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_290)
	{
		{	/* Ast/var.sch 444 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_290)))->BgL_topzf3zf3);
		}

	}



/* &sfun-top? */
	obj_t BGl_z62sfunzd2topzf3z43zzast_varz00(obj_t BgL_envz00_2854,
		obj_t BgL_oz00_2855)
	{
		{	/* Ast/var.sch 444 */
			return
				BBOOL(BGl_sfunzd2topzf3z21zzast_varz00(
					((BgL_sfunz00_bglt) BgL_oz00_2855)));
		}

	}



/* sfun-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2topzf3zd2setz12ze1zzast_varz00(BgL_sfunz00_bglt BgL_oz00_291,
		bool_t BgL_vz00_292)
	{
		{	/* Ast/var.sch 445 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_291)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_292), BUNSPEC);
		}

	}



/* &sfun-top?-set! */
	obj_t BGl_z62sfunzd2topzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2856,
		obj_t BgL_oz00_2857, obj_t BgL_vz00_2858)
	{
		{	/* Ast/var.sch 445 */
			return
				BGl_sfunzd2topzf3zd2setz12ze1zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2857), CBOOL(BgL_vz00_2858));
		}

	}



/* sfun-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2stackzd2allocatorz00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_293)
	{
		{	/* Ast/var.sch 446 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_293)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &sfun-stack-allocator */
	obj_t BGl_z62sfunzd2stackzd2allocatorz62zzast_varz00(obj_t BgL_envz00_2859,
		obj_t BgL_oz00_2860)
	{
		{	/* Ast/var.sch 446 */
			return
				BGl_sfunzd2stackzd2allocatorz00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2860));
		}

	}



/* sfun-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_294, obj_t BgL_vz00_295)
	{
		{	/* Ast/var.sch 447 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_294)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_295), BUNSPEC);
		}

	}



/* &sfun-stack-allocator-set! */
	obj_t BGl_z62sfunzd2stackzd2allocatorzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2861, obj_t BgL_oz00_2862, obj_t BgL_vz00_2863)
	{
		{	/* Ast/var.sch 447 */
			return
				BGl_sfunzd2stackzd2allocatorzd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2862), BgL_vz00_2863);
		}

	}



/* sfun-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2predicatezd2ofz00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_296)
	{
		{	/* Ast/var.sch 448 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_296)))->BgL_predicatezd2ofzd2);
		}

	}



/* &sfun-predicate-of */
	obj_t BGl_z62sfunzd2predicatezd2ofz62zzast_varz00(obj_t BgL_envz00_2864,
		obj_t BgL_oz00_2865)
	{
		{	/* Ast/var.sch 448 */
			return
				BGl_sfunzd2predicatezd2ofz00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2865));
		}

	}



/* sfun-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_297, obj_t BgL_vz00_298)
	{
		{	/* Ast/var.sch 449 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_297)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_298), BUNSPEC);
		}

	}



/* &sfun-predicate-of-set! */
	obj_t BGl_z62sfunzd2predicatezd2ofzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2866, obj_t BgL_oz00_2867, obj_t BgL_vz00_2868)
	{
		{	/* Ast/var.sch 449 */
			return
				BGl_sfunzd2predicatezd2ofzd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2867), BgL_vz00_2868);
		}

	}



/* sfun-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2sidezd2effectz00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_299)
	{
		{	/* Ast/var.sch 450 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_299)))->BgL_sidezd2effectzd2);
		}

	}



/* &sfun-side-effect */
	obj_t BGl_z62sfunzd2sidezd2effectz62zzast_varz00(obj_t BgL_envz00_2869,
		obj_t BgL_oz00_2870)
	{
		{	/* Ast/var.sch 450 */
			return
				BGl_sfunzd2sidezd2effectz00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2870));
		}

	}



/* sfun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2sidezd2effectzd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_300, obj_t BgL_vz00_301)
	{
		{	/* Ast/var.sch 451 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_300)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_301), BUNSPEC);
		}

	}



/* &sfun-side-effect-set! */
	obj_t BGl_z62sfunzd2sidezd2effectzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2871, obj_t BgL_oz00_2872, obj_t BgL_vz00_2873)
	{
		{	/* Ast/var.sch 451 */
			return
				BGl_sfunzd2sidezd2effectzd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2872), BgL_vz00_2873);
		}

	}



/* sfun-arity */
	BGL_EXPORTED_DEF long BGl_sfunzd2arityzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_302)
	{
		{	/* Ast/var.sch 452 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_302)))->BgL_arityz00);
		}

	}



/* &sfun-arity */
	obj_t BGl_z62sfunzd2arityzb0zzast_varz00(obj_t BgL_envz00_2874,
		obj_t BgL_oz00_2875)
	{
		{	/* Ast/var.sch 452 */
			return
				BINT(BGl_sfunzd2arityzd2zzast_varz00(
					((BgL_sfunz00_bglt) BgL_oz00_2875)));
		}

	}



/* make-cfun */
	BGL_EXPORTED_DEF BgL_cfunz00_bglt BGl_makezd2cfunzd2zzast_varz00(long
		BgL_arity1199z00_305, obj_t BgL_sidezd2effect1200zd2_306,
		obj_t BgL_predicatezd2of1201zd2_307, obj_t BgL_stackzd2allocator1202zd2_308,
		bool_t BgL_topzf31203zf3_309, obj_t BgL_thezd2closure1204zd2_310,
		obj_t BgL_effect1205z00_311, obj_t BgL_failsafe1206z00_312,
		obj_t BgL_argszd2noescape1207zd2_313, obj_t BgL_argszd2retescape1208zd2_314,
		obj_t BgL_argszd2type1209zd2_315, bool_t BgL_macrozf31210zf3_316,
		bool_t BgL_infixzf31211zf3_317, obj_t BgL_method1212z00_318)
	{
		{	/* Ast/var.sch 456 */
			{	/* Ast/var.sch 456 */
				BgL_cfunz00_bglt BgL_new1196z00_3821;

				{	/* Ast/var.sch 456 */
					BgL_cfunz00_bglt BgL_new1195z00_3822;

					BgL_new1195z00_3822 =
						((BgL_cfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_cfunz00_bgl))));
					{	/* Ast/var.sch 456 */
						long BgL_arg1299z00_3823;

						BgL_arg1299z00_3823 = BGL_CLASS_NUM(BGl_cfunz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1195z00_3822), BgL_arg1299z00_3823);
					}
					{	/* Ast/var.sch 456 */
						BgL_objectz00_bglt BgL_tmpz00_5059;

						BgL_tmpz00_5059 = ((BgL_objectz00_bglt) BgL_new1195z00_3822);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5059, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1195z00_3822);
					BgL_new1196z00_3821 = BgL_new1195z00_3822;
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1196z00_3821)))->BgL_arityz00) =
					((long) BgL_arity1199z00_305), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1196z00_3821)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1200zd2_306), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1196z00_3821)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1201zd2_307), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1196z00_3821)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1202zd2_308), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1196z00_3821)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31203zf3_309), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1196z00_3821)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1204zd2_310), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1196z00_3821)))->
						BgL_effectz00) = ((obj_t) BgL_effect1205z00_311), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1196z00_3821)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1206z00_312), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1196z00_3821)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1207zd2_313), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1196z00_3821)))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1208zd2_314), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(BgL_new1196z00_3821))->
						BgL_argszd2typezd2) =
					((obj_t) BgL_argszd2type1209zd2_315), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(BgL_new1196z00_3821))->BgL_macrozf3zf3) =
					((bool_t) BgL_macrozf31210zf3_316), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(BgL_new1196z00_3821))->BgL_infixzf3zf3) =
					((bool_t) BgL_infixzf31211zf3_317), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(BgL_new1196z00_3821))->BgL_methodz00) =
					((obj_t) BgL_method1212z00_318), BUNSPEC);
				return BgL_new1196z00_3821;
			}
		}

	}



/* &make-cfun */
	BgL_cfunz00_bglt BGl_z62makezd2cfunzb0zzast_varz00(obj_t BgL_envz00_2876,
		obj_t BgL_arity1199z00_2877, obj_t BgL_sidezd2effect1200zd2_2878,
		obj_t BgL_predicatezd2of1201zd2_2879,
		obj_t BgL_stackzd2allocator1202zd2_2880, obj_t BgL_topzf31203zf3_2881,
		obj_t BgL_thezd2closure1204zd2_2882, obj_t BgL_effect1205z00_2883,
		obj_t BgL_failsafe1206z00_2884, obj_t BgL_argszd2noescape1207zd2_2885,
		obj_t BgL_argszd2retescape1208zd2_2886, obj_t BgL_argszd2type1209zd2_2887,
		obj_t BgL_macrozf31210zf3_2888, obj_t BgL_infixzf31211zf3_2889,
		obj_t BgL_method1212z00_2890)
	{
		{	/* Ast/var.sch 456 */
			return
				BGl_makezd2cfunzd2zzast_varz00(
				(long) CINT(BgL_arity1199z00_2877), BgL_sidezd2effect1200zd2_2878,
				BgL_predicatezd2of1201zd2_2879, BgL_stackzd2allocator1202zd2_2880,
				CBOOL(BgL_topzf31203zf3_2881), BgL_thezd2closure1204zd2_2882,
				BgL_effect1205z00_2883, BgL_failsafe1206z00_2884,
				BgL_argszd2noescape1207zd2_2885, BgL_argszd2retescape1208zd2_2886,
				BgL_argszd2type1209zd2_2887, CBOOL(BgL_macrozf31210zf3_2888),
				CBOOL(BgL_infixzf31211zf3_2889), BgL_method1212z00_2890);
		}

	}



/* cfun? */
	BGL_EXPORTED_DEF bool_t BGl_cfunzf3zf3zzast_varz00(obj_t BgL_objz00_319)
	{
		{	/* Ast/var.sch 457 */
			{	/* Ast/var.sch 457 */
				obj_t BgL_classz00_3824;

				BgL_classz00_3824 = BGl_cfunz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_319))
					{	/* Ast/var.sch 457 */
						BgL_objectz00_bglt BgL_arg1825z00_3825;

						BgL_arg1825z00_3825 = (BgL_objectz00_bglt) (BgL_objz00_319);
						{	/* Ast/var.sch 457 */
							bool_t BgL_arg1822z00_3826;
							bool_t BgL_arg1823z00_3827;

							{	/* Ast/var.sch 457 */
								long BgL_idxz00_3828;

								BgL_idxz00_3828 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3825);
								BgL_arg1822z00_3826 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3828 + ((long) 3))) == BgL_classz00_3824);
							}
							{	/* Ast/var.sch 457 */
								bool_t BgL_res2178z00_3831;

								{	/* Ast/var.sch 457 */
									obj_t BgL_oclassz00_3832;

									{	/* Ast/var.sch 457 */
										long BgL_arg1833z00_3833;

										{	/* Ast/var.sch 457 */
											long BgL_arg1834z00_3834;

											BgL_arg1834z00_3834 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3825);
											BgL_arg1833z00_3833 = (BgL_arg1834z00_3834 - OBJECT_TYPE);
										}
										BgL_oclassz00_3832 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3833);
									}
									{	/* Ast/var.sch 457 */
										bool_t BgL__ortest_1110z00_3835;

										BgL__ortest_1110z00_3835 =
											(BgL_classz00_3824 == BgL_oclassz00_3832);
										if (BgL__ortest_1110z00_3835)
											{	/* Ast/var.sch 457 */
												BgL_res2178z00_3831 = BgL__ortest_1110z00_3835;
											}
										else
											{	/* Ast/var.sch 457 */
												long BgL_odepthz00_3836;

												BgL_odepthz00_3836 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3832);
												if ((((long) 3) < BgL_odepthz00_3836))
													{	/* Ast/var.sch 457 */
														obj_t BgL_arg1821z00_3837;

														BgL_arg1821z00_3837 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3832,
															((long) 3));
														BgL_res2178z00_3831 =
															(BgL_arg1821z00_3837 == BgL_classz00_3824);
													}
												else
													{	/* Ast/var.sch 457 */
														BgL_res2178z00_3831 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3827 = BgL_res2178z00_3831;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3826, BgL_arg1823z00_3827);
						}
					}
				else
					{	/* Ast/var.sch 457 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cfun? */
	obj_t BGl_z62cfunzf3z91zzast_varz00(obj_t BgL_envz00_2891,
		obj_t BgL_objz00_2892)
	{
		{	/* Ast/var.sch 457 */
			return BBOOL(BGl_cfunzf3zf3zzast_varz00(BgL_objz00_2892));
		}

	}



/* cfun-nil */
	BGL_EXPORTED_DEF BgL_cfunz00_bglt BGl_cfunzd2nilzd2zzast_varz00()
	{
		{	/* Ast/var.sch 458 */
			{	/* Ast/var.sch 458 */
				obj_t BgL_classz00_1855;

				BgL_classz00_1855 = BGl_cfunz00zzast_varz00;
				{	/* Ast/var.sch 458 */
					obj_t BgL__ortest_1112z00_1856;

					BgL__ortest_1112z00_1856 = BGL_CLASS_NIL(BgL_classz00_1855);
					if (CBOOL(BgL__ortest_1112z00_1856))
						{	/* Ast/var.sch 458 */
							return ((BgL_cfunz00_bglt) BgL__ortest_1112z00_1856);
						}
					else
						{	/* Ast/var.sch 458 */
							return
								((BgL_cfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1855));
						}
				}
			}
		}

	}



/* &cfun-nil */
	BgL_cfunz00_bglt BGl_z62cfunzd2nilzb0zzast_varz00(obj_t BgL_envz00_2893)
	{
		{	/* Ast/var.sch 458 */
			return BGl_cfunzd2nilzd2zzast_varz00();
		}

	}



/* cfun-method */
	BGL_EXPORTED_DEF obj_t BGl_cfunzd2methodzd2zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_320)
	{
		{	/* Ast/var.sch 459 */
			return (((BgL_cfunz00_bglt) COBJECT(BgL_oz00_320))->BgL_methodz00);
		}

	}



/* &cfun-method */
	obj_t BGl_z62cfunzd2methodzb0zzast_varz00(obj_t BgL_envz00_2894,
		obj_t BgL_oz00_2895)
	{
		{	/* Ast/var.sch 459 */
			return
				BGl_cfunzd2methodzd2zzast_varz00(((BgL_cfunz00_bglt) BgL_oz00_2895));
		}

	}



/* cfun-method-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2methodzd2setz12z12zzast_varz00(BgL_cfunz00_bglt BgL_oz00_321,
		obj_t BgL_vz00_322)
	{
		{	/* Ast/var.sch 460 */
			return
				((((BgL_cfunz00_bglt) COBJECT(BgL_oz00_321))->BgL_methodz00) =
				((obj_t) BgL_vz00_322), BUNSPEC);
		}

	}



/* &cfun-method-set! */
	obj_t BGl_z62cfunzd2methodzd2setz12z70zzast_varz00(obj_t BgL_envz00_2896,
		obj_t BgL_oz00_2897, obj_t BgL_vz00_2898)
	{
		{	/* Ast/var.sch 460 */
			return
				BGl_cfunzd2methodzd2setz12z12zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2897), BgL_vz00_2898);
		}

	}



/* cfun-infix? */
	BGL_EXPORTED_DEF bool_t BGl_cfunzd2infixzf3z21zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_323)
	{
		{	/* Ast/var.sch 461 */
			return (((BgL_cfunz00_bglt) COBJECT(BgL_oz00_323))->BgL_infixzf3zf3);
		}

	}



/* &cfun-infix? */
	obj_t BGl_z62cfunzd2infixzf3z43zzast_varz00(obj_t BgL_envz00_2899,
		obj_t BgL_oz00_2900)
	{
		{	/* Ast/var.sch 461 */
			return
				BBOOL(BGl_cfunzd2infixzf3z21zzast_varz00(
					((BgL_cfunz00_bglt) BgL_oz00_2900)));
		}

	}



/* cfun-infix?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2infixzf3zd2setz12ze1zzast_varz00(BgL_cfunz00_bglt BgL_oz00_324,
		bool_t BgL_vz00_325)
	{
		{	/* Ast/var.sch 462 */
			return
				((((BgL_cfunz00_bglt) COBJECT(BgL_oz00_324))->BgL_infixzf3zf3) =
				((bool_t) BgL_vz00_325), BUNSPEC);
		}

	}



/* &cfun-infix?-set! */
	obj_t BGl_z62cfunzd2infixzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2901,
		obj_t BgL_oz00_2902, obj_t BgL_vz00_2903)
	{
		{	/* Ast/var.sch 462 */
			return
				BGl_cfunzd2infixzf3zd2setz12ze1zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2902), CBOOL(BgL_vz00_2903));
		}

	}



/* cfun-macro? */
	BGL_EXPORTED_DEF bool_t BGl_cfunzd2macrozf3z21zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_326)
	{
		{	/* Ast/var.sch 463 */
			return (((BgL_cfunz00_bglt) COBJECT(BgL_oz00_326))->BgL_macrozf3zf3);
		}

	}



/* &cfun-macro? */
	obj_t BGl_z62cfunzd2macrozf3z43zzast_varz00(obj_t BgL_envz00_2904,
		obj_t BgL_oz00_2905)
	{
		{	/* Ast/var.sch 463 */
			return
				BBOOL(BGl_cfunzd2macrozf3z21zzast_varz00(
					((BgL_cfunz00_bglt) BgL_oz00_2905)));
		}

	}



/* cfun-args-type */
	BGL_EXPORTED_DEF obj_t BGl_cfunzd2argszd2typez00zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_329)
	{
		{	/* Ast/var.sch 465 */
			return (((BgL_cfunz00_bglt) COBJECT(BgL_oz00_329))->BgL_argszd2typezd2);
		}

	}



/* &cfun-args-type */
	obj_t BGl_z62cfunzd2argszd2typez62zzast_varz00(obj_t BgL_envz00_2906,
		obj_t BgL_oz00_2907)
	{
		{	/* Ast/var.sch 465 */
			return
				BGl_cfunzd2argszd2typez00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2907));
		}

	}



/* cfun-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2argszd2retescapez00zzast_varz00(BgL_cfunz00_bglt BgL_oz00_332)
	{
		{	/* Ast/var.sch 467 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_332)))->BgL_argszd2retescapezd2);
		}

	}



/* &cfun-args-retescape */
	obj_t BGl_z62cfunzd2argszd2retescapez62zzast_varz00(obj_t BgL_envz00_2908,
		obj_t BgL_oz00_2909)
	{
		{	/* Ast/var.sch 467 */
			return
				BGl_cfunzd2argszd2retescapez00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2909));
		}

	}



/* cfun-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2argszd2retescapezd2setz12zc0zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_333, obj_t BgL_vz00_334)
	{
		{	/* Ast/var.sch 468 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_333)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_334), BUNSPEC);
		}

	}



/* &cfun-args-retescape-set! */
	obj_t BGl_z62cfunzd2argszd2retescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2910, obj_t BgL_oz00_2911, obj_t BgL_vz00_2912)
	{
		{	/* Ast/var.sch 468 */
			return
				BGl_cfunzd2argszd2retescapezd2setz12zc0zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2911), BgL_vz00_2912);
		}

	}



/* cfun-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2argszd2noescapez00zzast_varz00(BgL_cfunz00_bglt BgL_oz00_335)
	{
		{	/* Ast/var.sch 469 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_335)))->BgL_argszd2noescapezd2);
		}

	}



/* &cfun-args-noescape */
	obj_t BGl_z62cfunzd2argszd2noescapez62zzast_varz00(obj_t BgL_envz00_2913,
		obj_t BgL_oz00_2914)
	{
		{	/* Ast/var.sch 469 */
			return
				BGl_cfunzd2argszd2noescapez00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2914));
		}

	}



/* cfun-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2argszd2noescapezd2setz12zc0zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_336, obj_t BgL_vz00_337)
	{
		{	/* Ast/var.sch 470 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_336)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_337), BUNSPEC);
		}

	}



/* &cfun-args-noescape-set! */
	obj_t BGl_z62cfunzd2argszd2noescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2915, obj_t BgL_oz00_2916, obj_t BgL_vz00_2917)
	{
		{	/* Ast/var.sch 470 */
			return
				BGl_cfunzd2argszd2noescapezd2setz12zc0zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2916), BgL_vz00_2917);
		}

	}



/* cfun-failsafe */
	BGL_EXPORTED_DEF obj_t BGl_cfunzd2failsafezd2zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_338)
	{
		{	/* Ast/var.sch 471 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_338)))->BgL_failsafez00);
		}

	}



/* &cfun-failsafe */
	obj_t BGl_z62cfunzd2failsafezb0zzast_varz00(obj_t BgL_envz00_2918,
		obj_t BgL_oz00_2919)
	{
		{	/* Ast/var.sch 471 */
			return
				BGl_cfunzd2failsafezd2zzast_varz00(((BgL_cfunz00_bglt) BgL_oz00_2919));
		}

	}



/* cfun-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2failsafezd2setz12z12zzast_varz00(BgL_cfunz00_bglt BgL_oz00_339,
		obj_t BgL_vz00_340)
	{
		{	/* Ast/var.sch 472 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_339)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_340), BUNSPEC);
		}

	}



/* &cfun-failsafe-set! */
	obj_t BGl_z62cfunzd2failsafezd2setz12z70zzast_varz00(obj_t BgL_envz00_2920,
		obj_t BgL_oz00_2921, obj_t BgL_vz00_2922)
	{
		{	/* Ast/var.sch 472 */
			return
				BGl_cfunzd2failsafezd2setz12z12zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2921), BgL_vz00_2922);
		}

	}



/* cfun-effect */
	BGL_EXPORTED_DEF obj_t BGl_cfunzd2effectzd2zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_341)
	{
		{	/* Ast/var.sch 473 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_341)))->BgL_effectz00);
		}

	}



/* &cfun-effect */
	obj_t BGl_z62cfunzd2effectzb0zzast_varz00(obj_t BgL_envz00_2923,
		obj_t BgL_oz00_2924)
	{
		{	/* Ast/var.sch 473 */
			return
				BGl_cfunzd2effectzd2zzast_varz00(((BgL_cfunz00_bglt) BgL_oz00_2924));
		}

	}



/* cfun-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2effectzd2setz12z12zzast_varz00(BgL_cfunz00_bglt BgL_oz00_342,
		obj_t BgL_vz00_343)
	{
		{	/* Ast/var.sch 474 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_342)))->BgL_effectz00) =
				((obj_t) BgL_vz00_343), BUNSPEC);
		}

	}



/* &cfun-effect-set! */
	obj_t BGl_z62cfunzd2effectzd2setz12z70zzast_varz00(obj_t BgL_envz00_2925,
		obj_t BgL_oz00_2926, obj_t BgL_vz00_2927)
	{
		{	/* Ast/var.sch 474 */
			return
				BGl_cfunzd2effectzd2setz12z12zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2926), BgL_vz00_2927);
		}

	}



/* cfun-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2thezd2closurez00zzast_varz00(BgL_cfunz00_bglt BgL_oz00_344)
	{
		{	/* Ast/var.sch 475 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_344)))->BgL_thezd2closurezd2);
		}

	}



/* &cfun-the-closure */
	obj_t BGl_z62cfunzd2thezd2closurez62zzast_varz00(obj_t BgL_envz00_2928,
		obj_t BgL_oz00_2929)
	{
		{	/* Ast/var.sch 475 */
			return
				BGl_cfunzd2thezd2closurez00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2929));
		}

	}



/* cfun-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_345, obj_t BgL_vz00_346)
	{
		{	/* Ast/var.sch 476 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_345)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_346), BUNSPEC);
		}

	}



/* &cfun-the-closure-set! */
	obj_t BGl_z62cfunzd2thezd2closurezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2930, obj_t BgL_oz00_2931, obj_t BgL_vz00_2932)
	{
		{	/* Ast/var.sch 476 */
			return
				BGl_cfunzd2thezd2closurezd2setz12zc0zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2931), BgL_vz00_2932);
		}

	}



/* cfun-top? */
	BGL_EXPORTED_DEF bool_t BGl_cfunzd2topzf3z21zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_347)
	{
		{	/* Ast/var.sch 477 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_347)))->BgL_topzf3zf3);
		}

	}



/* &cfun-top? */
	obj_t BGl_z62cfunzd2topzf3z43zzast_varz00(obj_t BgL_envz00_2933,
		obj_t BgL_oz00_2934)
	{
		{	/* Ast/var.sch 477 */
			return
				BBOOL(BGl_cfunzd2topzf3z21zzast_varz00(
					((BgL_cfunz00_bglt) BgL_oz00_2934)));
		}

	}



/* cfun-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2topzf3zd2setz12ze1zzast_varz00(BgL_cfunz00_bglt BgL_oz00_348,
		bool_t BgL_vz00_349)
	{
		{	/* Ast/var.sch 478 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_348)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_349), BUNSPEC);
		}

	}



/* &cfun-top?-set! */
	obj_t BGl_z62cfunzd2topzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2935,
		obj_t BgL_oz00_2936, obj_t BgL_vz00_2937)
	{
		{	/* Ast/var.sch 478 */
			return
				BGl_cfunzd2topzf3zd2setz12ze1zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2936), CBOOL(BgL_vz00_2937));
		}

	}



/* cfun-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2stackzd2allocatorz00zzast_varz00(BgL_cfunz00_bglt BgL_oz00_350)
	{
		{	/* Ast/var.sch 479 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_350)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &cfun-stack-allocator */
	obj_t BGl_z62cfunzd2stackzd2allocatorz62zzast_varz00(obj_t BgL_envz00_2938,
		obj_t BgL_oz00_2939)
	{
		{	/* Ast/var.sch 479 */
			return
				BGl_cfunzd2stackzd2allocatorz00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2939));
		}

	}



/* cfun-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_351, obj_t BgL_vz00_352)
	{
		{	/* Ast/var.sch 480 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_351)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_352), BUNSPEC);
		}

	}



/* &cfun-stack-allocator-set! */
	obj_t BGl_z62cfunzd2stackzd2allocatorzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2940, obj_t BgL_oz00_2941, obj_t BgL_vz00_2942)
	{
		{	/* Ast/var.sch 480 */
			return
				BGl_cfunzd2stackzd2allocatorzd2setz12zc0zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2941), BgL_vz00_2942);
		}

	}



/* cfun-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2predicatezd2ofz00zzast_varz00(BgL_cfunz00_bglt BgL_oz00_353)
	{
		{	/* Ast/var.sch 481 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_353)))->BgL_predicatezd2ofzd2);
		}

	}



/* &cfun-predicate-of */
	obj_t BGl_z62cfunzd2predicatezd2ofz62zzast_varz00(obj_t BgL_envz00_2943,
		obj_t BgL_oz00_2944)
	{
		{	/* Ast/var.sch 481 */
			return
				BGl_cfunzd2predicatezd2ofz00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2944));
		}

	}



/* cfun-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_354, obj_t BgL_vz00_355)
	{
		{	/* Ast/var.sch 482 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_354)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_355), BUNSPEC);
		}

	}



/* &cfun-predicate-of-set! */
	obj_t BGl_z62cfunzd2predicatezd2ofzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2945, obj_t BgL_oz00_2946, obj_t BgL_vz00_2947)
	{
		{	/* Ast/var.sch 482 */
			return
				BGl_cfunzd2predicatezd2ofzd2setz12zc0zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2946), BgL_vz00_2947);
		}

	}



/* cfun-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2sidezd2effectz00zzast_varz00(BgL_cfunz00_bglt BgL_oz00_356)
	{
		{	/* Ast/var.sch 483 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_356)))->BgL_sidezd2effectzd2);
		}

	}



/* &cfun-side-effect */
	obj_t BGl_z62cfunzd2sidezd2effectz62zzast_varz00(obj_t BgL_envz00_2948,
		obj_t BgL_oz00_2949)
	{
		{	/* Ast/var.sch 483 */
			return
				BGl_cfunzd2sidezd2effectz00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2949));
		}

	}



/* cfun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2sidezd2effectzd2setz12zc0zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_357, obj_t BgL_vz00_358)
	{
		{	/* Ast/var.sch 484 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_357)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_358), BUNSPEC);
		}

	}



/* &cfun-side-effect-set! */
	obj_t BGl_z62cfunzd2sidezd2effectzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2950, obj_t BgL_oz00_2951, obj_t BgL_vz00_2952)
	{
		{	/* Ast/var.sch 484 */
			return
				BGl_cfunzd2sidezd2effectzd2setz12zc0zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2951), BgL_vz00_2952);
		}

	}



/* cfun-arity */
	BGL_EXPORTED_DEF long BGl_cfunzd2arityzd2zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_359)
	{
		{	/* Ast/var.sch 485 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_359)))->BgL_arityz00);
		}

	}



/* &cfun-arity */
	obj_t BGl_z62cfunzd2arityzb0zzast_varz00(obj_t BgL_envz00_2953,
		obj_t BgL_oz00_2954)
	{
		{	/* Ast/var.sch 485 */
			return
				BINT(BGl_cfunzd2arityzd2zzast_varz00(
					((BgL_cfunz00_bglt) BgL_oz00_2954)));
		}

	}



/* make-svar */
	BGL_EXPORTED_DEF BgL_svarz00_bglt BGl_makezd2svarzd2zzast_varz00(obj_t
		BgL_loc1197z00_362)
	{
		{	/* Ast/var.sch 489 */
			{	/* Ast/var.sch 489 */
				BgL_svarz00_bglt BgL_new1198z00_3838;

				{	/* Ast/var.sch 489 */
					BgL_svarz00_bglt BgL_new1197z00_3839;

					BgL_new1197z00_3839 =
						((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_svarz00_bgl))));
					{	/* Ast/var.sch 489 */
						long BgL_arg1301z00_3840;

						BgL_arg1301z00_3840 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1197z00_3839), BgL_arg1301z00_3840);
					}
					{	/* Ast/var.sch 489 */
						BgL_objectz00_bglt BgL_tmpz00_5223;

						BgL_tmpz00_5223 = ((BgL_objectz00_bglt) BgL_new1197z00_3839);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5223, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1197z00_3839);
					BgL_new1198z00_3838 = BgL_new1197z00_3839;
				}
				((((BgL_svarz00_bglt) COBJECT(BgL_new1198z00_3838))->BgL_locz00) =
					((obj_t) BgL_loc1197z00_362), BUNSPEC);
				return BgL_new1198z00_3838;
			}
		}

	}



/* &make-svar */
	BgL_svarz00_bglt BGl_z62makezd2svarzb0zzast_varz00(obj_t BgL_envz00_2955,
		obj_t BgL_loc1197z00_2956)
	{
		{	/* Ast/var.sch 489 */
			return BGl_makezd2svarzd2zzast_varz00(BgL_loc1197z00_2956);
		}

	}



/* svar? */
	BGL_EXPORTED_DEF bool_t BGl_svarzf3zf3zzast_varz00(obj_t BgL_objz00_363)
	{
		{	/* Ast/var.sch 490 */
			{	/* Ast/var.sch 490 */
				obj_t BgL_classz00_3841;

				BgL_classz00_3841 = BGl_svarz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_363))
					{	/* Ast/var.sch 490 */
						BgL_objectz00_bglt BgL_arg1825z00_3842;

						BgL_arg1825z00_3842 = (BgL_objectz00_bglt) (BgL_objz00_363);
						{	/* Ast/var.sch 490 */
							bool_t BgL_arg1822z00_3843;
							bool_t BgL_arg1823z00_3844;

							{	/* Ast/var.sch 490 */
								long BgL_idxz00_3845;

								BgL_idxz00_3845 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3842);
								BgL_arg1822z00_3843 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3845 + ((long) 2))) == BgL_classz00_3841);
							}
							{	/* Ast/var.sch 490 */
								bool_t BgL_res2179z00_3848;

								{	/* Ast/var.sch 490 */
									obj_t BgL_oclassz00_3849;

									{	/* Ast/var.sch 490 */
										long BgL_arg1833z00_3850;

										{	/* Ast/var.sch 490 */
											long BgL_arg1834z00_3851;

											BgL_arg1834z00_3851 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3842);
											BgL_arg1833z00_3850 = (BgL_arg1834z00_3851 - OBJECT_TYPE);
										}
										BgL_oclassz00_3849 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3850);
									}
									{	/* Ast/var.sch 490 */
										bool_t BgL__ortest_1110z00_3852;

										BgL__ortest_1110z00_3852 =
											(BgL_classz00_3841 == BgL_oclassz00_3849);
										if (BgL__ortest_1110z00_3852)
											{	/* Ast/var.sch 490 */
												BgL_res2179z00_3848 = BgL__ortest_1110z00_3852;
											}
										else
											{	/* Ast/var.sch 490 */
												long BgL_odepthz00_3853;

												BgL_odepthz00_3853 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3849);
												if ((((long) 2) < BgL_odepthz00_3853))
													{	/* Ast/var.sch 490 */
														obj_t BgL_arg1821z00_3854;

														BgL_arg1821z00_3854 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3849,
															((long) 2));
														BgL_res2179z00_3848 =
															(BgL_arg1821z00_3854 == BgL_classz00_3841);
													}
												else
													{	/* Ast/var.sch 490 */
														BgL_res2179z00_3848 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3844 = BgL_res2179z00_3848;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3843, BgL_arg1823z00_3844);
						}
					}
				else
					{	/* Ast/var.sch 490 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &svar? */
	obj_t BGl_z62svarzf3z91zzast_varz00(obj_t BgL_envz00_2957,
		obj_t BgL_objz00_2958)
	{
		{	/* Ast/var.sch 490 */
			return BBOOL(BGl_svarzf3zf3zzast_varz00(BgL_objz00_2958));
		}

	}



/* svar-nil */
	BGL_EXPORTED_DEF BgL_svarz00_bglt BGl_svarzd2nilzd2zzast_varz00()
	{
		{	/* Ast/var.sch 491 */
			{	/* Ast/var.sch 491 */
				obj_t BgL_classz00_1896;

				BgL_classz00_1896 = BGl_svarz00zzast_varz00;
				{	/* Ast/var.sch 491 */
					obj_t BgL__ortest_1112z00_1897;

					BgL__ortest_1112z00_1897 = BGL_CLASS_NIL(BgL_classz00_1896);
					if (CBOOL(BgL__ortest_1112z00_1897))
						{	/* Ast/var.sch 491 */
							return ((BgL_svarz00_bglt) BgL__ortest_1112z00_1897);
						}
					else
						{	/* Ast/var.sch 491 */
							return
								((BgL_svarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1896));
						}
				}
			}
		}

	}



/* &svar-nil */
	BgL_svarz00_bglt BGl_z62svarzd2nilzb0zzast_varz00(obj_t BgL_envz00_2959)
	{
		{	/* Ast/var.sch 491 */
			return BGl_svarzd2nilzd2zzast_varz00();
		}

	}



/* svar-loc */
	BGL_EXPORTED_DEF obj_t BGl_svarzd2loczd2zzast_varz00(BgL_svarz00_bglt
		BgL_oz00_364)
	{
		{	/* Ast/var.sch 492 */
			return (((BgL_svarz00_bglt) COBJECT(BgL_oz00_364))->BgL_locz00);
		}

	}



/* &svar-loc */
	obj_t BGl_z62svarzd2loczb0zzast_varz00(obj_t BgL_envz00_2960,
		obj_t BgL_oz00_2961)
	{
		{	/* Ast/var.sch 492 */
			return BGl_svarzd2loczd2zzast_varz00(((BgL_svarz00_bglt) BgL_oz00_2961));
		}

	}



/* svar-loc-set! */
	BGL_EXPORTED_DEF obj_t BGl_svarzd2loczd2setz12z12zzast_varz00(BgL_svarz00_bglt
		BgL_oz00_365, obj_t BgL_vz00_366)
	{
		{	/* Ast/var.sch 493 */
			return
				((((BgL_svarz00_bglt) COBJECT(BgL_oz00_365))->BgL_locz00) =
				((obj_t) BgL_vz00_366), BUNSPEC);
		}

	}



/* &svar-loc-set! */
	obj_t BGl_z62svarzd2loczd2setz12z70zzast_varz00(obj_t BgL_envz00_2962,
		obj_t BgL_oz00_2963, obj_t BgL_vz00_2964)
	{
		{	/* Ast/var.sch 493 */
			return
				BGl_svarzd2loczd2setz12z12zzast_varz00(
				((BgL_svarz00_bglt) BgL_oz00_2963), BgL_vz00_2964);
		}

	}



/* make-scnst */
	BGL_EXPORTED_DEF BgL_scnstz00_bglt BGl_makezd2scnstzd2zzast_varz00(obj_t
		BgL_node1193z00_367, obj_t BgL_class1194z00_368, obj_t BgL_loc1195z00_369)
	{
		{	/* Ast/var.sch 496 */
			{	/* Ast/var.sch 496 */
				BgL_scnstz00_bglt BgL_new1200z00_3855;

				{	/* Ast/var.sch 496 */
					BgL_scnstz00_bglt BgL_new1199z00_3856;

					BgL_new1199z00_3856 =
						((BgL_scnstz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_scnstz00_bgl))));
					{	/* Ast/var.sch 496 */
						long BgL_arg1304z00_3857;

						BgL_arg1304z00_3857 = BGL_CLASS_NUM(BGl_scnstz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1199z00_3856), BgL_arg1304z00_3857);
					}
					{	/* Ast/var.sch 496 */
						BgL_objectz00_bglt BgL_tmpz00_5266;

						BgL_tmpz00_5266 = ((BgL_objectz00_bglt) BgL_new1199z00_3856);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5266, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1199z00_3856);
					BgL_new1200z00_3855 = BgL_new1199z00_3856;
				}
				((((BgL_scnstz00_bglt) COBJECT(BgL_new1200z00_3855))->BgL_nodez00) =
					((obj_t) BgL_node1193z00_367), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(BgL_new1200z00_3855))->BgL_classz00) =
					((obj_t) BgL_class1194z00_368), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(BgL_new1200z00_3855))->BgL_locz00) =
					((obj_t) BgL_loc1195z00_369), BUNSPEC);
				return BgL_new1200z00_3855;
			}
		}

	}



/* &make-scnst */
	BgL_scnstz00_bglt BGl_z62makezd2scnstzb0zzast_varz00(obj_t BgL_envz00_2965,
		obj_t BgL_node1193z00_2966, obj_t BgL_class1194z00_2967,
		obj_t BgL_loc1195z00_2968)
	{
		{	/* Ast/var.sch 496 */
			return
				BGl_makezd2scnstzd2zzast_varz00(BgL_node1193z00_2966,
				BgL_class1194z00_2967, BgL_loc1195z00_2968);
		}

	}



/* scnst? */
	BGL_EXPORTED_DEF bool_t BGl_scnstzf3zf3zzast_varz00(obj_t BgL_objz00_370)
	{
		{	/* Ast/var.sch 497 */
			{	/* Ast/var.sch 497 */
				obj_t BgL_classz00_3858;

				BgL_classz00_3858 = BGl_scnstz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_370))
					{	/* Ast/var.sch 497 */
						BgL_objectz00_bglt BgL_arg1825z00_3859;

						BgL_arg1825z00_3859 = (BgL_objectz00_bglt) (BgL_objz00_370);
						{	/* Ast/var.sch 497 */
							bool_t BgL_arg1822z00_3860;
							bool_t BgL_arg1823z00_3861;

							{	/* Ast/var.sch 497 */
								long BgL_idxz00_3862;

								BgL_idxz00_3862 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3859);
								BgL_arg1822z00_3860 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3862 + ((long) 2))) == BgL_classz00_3858);
							}
							{	/* Ast/var.sch 497 */
								bool_t BgL_res2180z00_3865;

								{	/* Ast/var.sch 497 */
									obj_t BgL_oclassz00_3866;

									{	/* Ast/var.sch 497 */
										long BgL_arg1833z00_3867;

										{	/* Ast/var.sch 497 */
											long BgL_arg1834z00_3868;

											BgL_arg1834z00_3868 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3859);
											BgL_arg1833z00_3867 = (BgL_arg1834z00_3868 - OBJECT_TYPE);
										}
										BgL_oclassz00_3866 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3867);
									}
									{	/* Ast/var.sch 497 */
										bool_t BgL__ortest_1110z00_3869;

										BgL__ortest_1110z00_3869 =
											(BgL_classz00_3858 == BgL_oclassz00_3866);
										if (BgL__ortest_1110z00_3869)
											{	/* Ast/var.sch 497 */
												BgL_res2180z00_3865 = BgL__ortest_1110z00_3869;
											}
										else
											{	/* Ast/var.sch 497 */
												long BgL_odepthz00_3870;

												BgL_odepthz00_3870 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3866);
												if ((((long) 2) < BgL_odepthz00_3870))
													{	/* Ast/var.sch 497 */
														obj_t BgL_arg1821z00_3871;

														BgL_arg1821z00_3871 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3866,
															((long) 2));
														BgL_res2180z00_3865 =
															(BgL_arg1821z00_3871 == BgL_classz00_3858);
													}
												else
													{	/* Ast/var.sch 497 */
														BgL_res2180z00_3865 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3861 = BgL_res2180z00_3865;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3860, BgL_arg1823z00_3861);
						}
					}
				else
					{	/* Ast/var.sch 497 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &scnst? */
	obj_t BGl_z62scnstzf3z91zzast_varz00(obj_t BgL_envz00_2969,
		obj_t BgL_objz00_2970)
	{
		{	/* Ast/var.sch 497 */
			return BBOOL(BGl_scnstzf3zf3zzast_varz00(BgL_objz00_2970));
		}

	}



/* scnst-nil */
	BGL_EXPORTED_DEF BgL_scnstz00_bglt BGl_scnstzd2nilzd2zzast_varz00()
	{
		{	/* Ast/var.sch 498 */
			{	/* Ast/var.sch 498 */
				obj_t BgL_classz00_1937;

				BgL_classz00_1937 = BGl_scnstz00zzast_varz00;
				{	/* Ast/var.sch 498 */
					obj_t BgL__ortest_1112z00_1938;

					BgL__ortest_1112z00_1938 = BGL_CLASS_NIL(BgL_classz00_1937);
					if (CBOOL(BgL__ortest_1112z00_1938))
						{	/* Ast/var.sch 498 */
							return ((BgL_scnstz00_bglt) BgL__ortest_1112z00_1938);
						}
					else
						{	/* Ast/var.sch 498 */
							return
								((BgL_scnstz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1937));
						}
				}
			}
		}

	}



/* &scnst-nil */
	BgL_scnstz00_bglt BGl_z62scnstzd2nilzb0zzast_varz00(obj_t BgL_envz00_2971)
	{
		{	/* Ast/var.sch 498 */
			return BGl_scnstzd2nilzd2zzast_varz00();
		}

	}



/* scnst-loc */
	BGL_EXPORTED_DEF obj_t BGl_scnstzd2loczd2zzast_varz00(BgL_scnstz00_bglt
		BgL_oz00_371)
	{
		{	/* Ast/var.sch 499 */
			return (((BgL_scnstz00_bglt) COBJECT(BgL_oz00_371))->BgL_locz00);
		}

	}



/* &scnst-loc */
	obj_t BGl_z62scnstzd2loczb0zzast_varz00(obj_t BgL_envz00_2972,
		obj_t BgL_oz00_2973)
	{
		{	/* Ast/var.sch 499 */
			return
				BGl_scnstzd2loczd2zzast_varz00(((BgL_scnstz00_bglt) BgL_oz00_2973));
		}

	}



/* scnst-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzd2loczd2setz12z12zzast_varz00(BgL_scnstz00_bglt BgL_oz00_372,
		obj_t BgL_vz00_373)
	{
		{	/* Ast/var.sch 500 */
			return
				((((BgL_scnstz00_bglt) COBJECT(BgL_oz00_372))->BgL_locz00) =
				((obj_t) BgL_vz00_373), BUNSPEC);
		}

	}



/* &scnst-loc-set! */
	obj_t BGl_z62scnstzd2loczd2setz12z70zzast_varz00(obj_t BgL_envz00_2974,
		obj_t BgL_oz00_2975, obj_t BgL_vz00_2976)
	{
		{	/* Ast/var.sch 500 */
			return
				BGl_scnstzd2loczd2setz12z12zzast_varz00(
				((BgL_scnstz00_bglt) BgL_oz00_2975), BgL_vz00_2976);
		}

	}



/* scnst-class */
	BGL_EXPORTED_DEF obj_t BGl_scnstzd2classzd2zzast_varz00(BgL_scnstz00_bglt
		BgL_oz00_374)
	{
		{	/* Ast/var.sch 501 */
			return (((BgL_scnstz00_bglt) COBJECT(BgL_oz00_374))->BgL_classz00);
		}

	}



/* &scnst-class */
	obj_t BGl_z62scnstzd2classzb0zzast_varz00(obj_t BgL_envz00_2977,
		obj_t BgL_oz00_2978)
	{
		{	/* Ast/var.sch 501 */
			return
				BGl_scnstzd2classzd2zzast_varz00(((BgL_scnstz00_bglt) BgL_oz00_2978));
		}

	}



/* scnst-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzd2classzd2setz12z12zzast_varz00(BgL_scnstz00_bglt BgL_oz00_375,
		obj_t BgL_vz00_376)
	{
		{	/* Ast/var.sch 502 */
			return
				((((BgL_scnstz00_bglt) COBJECT(BgL_oz00_375))->BgL_classz00) =
				((obj_t) BgL_vz00_376), BUNSPEC);
		}

	}



/* &scnst-class-set! */
	obj_t BGl_z62scnstzd2classzd2setz12z70zzast_varz00(obj_t BgL_envz00_2979,
		obj_t BgL_oz00_2980, obj_t BgL_vz00_2981)
	{
		{	/* Ast/var.sch 502 */
			return
				BGl_scnstzd2classzd2setz12z12zzast_varz00(
				((BgL_scnstz00_bglt) BgL_oz00_2980), BgL_vz00_2981);
		}

	}



/* scnst-node */
	BGL_EXPORTED_DEF obj_t BGl_scnstzd2nodezd2zzast_varz00(BgL_scnstz00_bglt
		BgL_oz00_377)
	{
		{	/* Ast/var.sch 503 */
			return (((BgL_scnstz00_bglt) COBJECT(BgL_oz00_377))->BgL_nodez00);
		}

	}



/* &scnst-node */
	obj_t BGl_z62scnstzd2nodezb0zzast_varz00(obj_t BgL_envz00_2982,
		obj_t BgL_oz00_2983)
	{
		{	/* Ast/var.sch 503 */
			return
				BGl_scnstzd2nodezd2zzast_varz00(((BgL_scnstz00_bglt) BgL_oz00_2983));
		}

	}



/* make-cvar */
	BGL_EXPORTED_DEF BgL_cvarz00_bglt BGl_makezd2cvarzd2zzast_varz00(bool_t
		BgL_macrozf31191zf3_380)
	{
		{	/* Ast/var.sch 507 */
			{	/* Ast/var.sch 507 */
				BgL_cvarz00_bglt BgL_new1202z00_3872;

				{	/* Ast/var.sch 507 */
					BgL_cvarz00_bglt BgL_new1201z00_3873;

					BgL_new1201z00_3873 =
						((BgL_cvarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_cvarz00_bgl))));
					{	/* Ast/var.sch 507 */
						long BgL_arg1306z00_3874;

						BgL_arg1306z00_3874 = BGL_CLASS_NUM(BGl_cvarz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1201z00_3873), BgL_arg1306z00_3874);
					}
					{	/* Ast/var.sch 507 */
						BgL_objectz00_bglt BgL_tmpz00_5320;

						BgL_tmpz00_5320 = ((BgL_objectz00_bglt) BgL_new1201z00_3873);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5320, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1201z00_3873);
					BgL_new1202z00_3872 = BgL_new1201z00_3873;
				}
				((((BgL_cvarz00_bglt) COBJECT(BgL_new1202z00_3872))->BgL_macrozf3zf3) =
					((bool_t) BgL_macrozf31191zf3_380), BUNSPEC);
				return BgL_new1202z00_3872;
			}
		}

	}



/* &make-cvar */
	BgL_cvarz00_bglt BGl_z62makezd2cvarzb0zzast_varz00(obj_t BgL_envz00_2984,
		obj_t BgL_macrozf31191zf3_2985)
	{
		{	/* Ast/var.sch 507 */
			return BGl_makezd2cvarzd2zzast_varz00(CBOOL(BgL_macrozf31191zf3_2985));
		}

	}



/* cvar? */
	BGL_EXPORTED_DEF bool_t BGl_cvarzf3zf3zzast_varz00(obj_t BgL_objz00_381)
	{
		{	/* Ast/var.sch 508 */
			{	/* Ast/var.sch 508 */
				obj_t BgL_classz00_3875;

				BgL_classz00_3875 = BGl_cvarz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_381))
					{	/* Ast/var.sch 508 */
						BgL_objectz00_bglt BgL_arg1825z00_3876;

						BgL_arg1825z00_3876 = (BgL_objectz00_bglt) (BgL_objz00_381);
						{	/* Ast/var.sch 508 */
							bool_t BgL_arg1822z00_3877;
							bool_t BgL_arg1823z00_3878;

							{	/* Ast/var.sch 508 */
								long BgL_idxz00_3879;

								BgL_idxz00_3879 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3876);
								BgL_arg1822z00_3877 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3879 + ((long) 2))) == BgL_classz00_3875);
							}
							{	/* Ast/var.sch 508 */
								bool_t BgL_res2181z00_3882;

								{	/* Ast/var.sch 508 */
									obj_t BgL_oclassz00_3883;

									{	/* Ast/var.sch 508 */
										long BgL_arg1833z00_3884;

										{	/* Ast/var.sch 508 */
											long BgL_arg1834z00_3885;

											BgL_arg1834z00_3885 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3876);
											BgL_arg1833z00_3884 = (BgL_arg1834z00_3885 - OBJECT_TYPE);
										}
										BgL_oclassz00_3883 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3884);
									}
									{	/* Ast/var.sch 508 */
										bool_t BgL__ortest_1110z00_3886;

										BgL__ortest_1110z00_3886 =
											(BgL_classz00_3875 == BgL_oclassz00_3883);
										if (BgL__ortest_1110z00_3886)
											{	/* Ast/var.sch 508 */
												BgL_res2181z00_3882 = BgL__ortest_1110z00_3886;
											}
										else
											{	/* Ast/var.sch 508 */
												long BgL_odepthz00_3887;

												BgL_odepthz00_3887 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3883);
												if ((((long) 2) < BgL_odepthz00_3887))
													{	/* Ast/var.sch 508 */
														obj_t BgL_arg1821z00_3888;

														BgL_arg1821z00_3888 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3883,
															((long) 2));
														BgL_res2181z00_3882 =
															(BgL_arg1821z00_3888 == BgL_classz00_3875);
													}
												else
													{	/* Ast/var.sch 508 */
														BgL_res2181z00_3882 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3878 = BgL_res2181z00_3882;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3877, BgL_arg1823z00_3878);
						}
					}
				else
					{	/* Ast/var.sch 508 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cvar? */
	obj_t BGl_z62cvarzf3z91zzast_varz00(obj_t BgL_envz00_2986,
		obj_t BgL_objz00_2987)
	{
		{	/* Ast/var.sch 508 */
			return BBOOL(BGl_cvarzf3zf3zzast_varz00(BgL_objz00_2987));
		}

	}



/* cvar-nil */
	BGL_EXPORTED_DEF BgL_cvarz00_bglt BGl_cvarzd2nilzd2zzast_varz00()
	{
		{	/* Ast/var.sch 509 */
			{	/* Ast/var.sch 509 */
				obj_t BgL_classz00_1978;

				BgL_classz00_1978 = BGl_cvarz00zzast_varz00;
				{	/* Ast/var.sch 509 */
					obj_t BgL__ortest_1112z00_1979;

					BgL__ortest_1112z00_1979 = BGL_CLASS_NIL(BgL_classz00_1978);
					if (CBOOL(BgL__ortest_1112z00_1979))
						{	/* Ast/var.sch 509 */
							return ((BgL_cvarz00_bglt) BgL__ortest_1112z00_1979);
						}
					else
						{	/* Ast/var.sch 509 */
							return
								((BgL_cvarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1978));
						}
				}
			}
		}

	}



/* &cvar-nil */
	BgL_cvarz00_bglt BGl_z62cvarzd2nilzb0zzast_varz00(obj_t BgL_envz00_2988)
	{
		{	/* Ast/var.sch 509 */
			return BGl_cvarzd2nilzd2zzast_varz00();
		}

	}



/* cvar-macro? */
	BGL_EXPORTED_DEF bool_t BGl_cvarzd2macrozf3z21zzast_varz00(BgL_cvarz00_bglt
		BgL_oz00_382)
	{
		{	/* Ast/var.sch 510 */
			return (((BgL_cvarz00_bglt) COBJECT(BgL_oz00_382))->BgL_macrozf3zf3);
		}

	}



/* &cvar-macro? */
	obj_t BGl_z62cvarzd2macrozf3z43zzast_varz00(obj_t BgL_envz00_2989,
		obj_t BgL_oz00_2990)
	{
		{	/* Ast/var.sch 510 */
			return
				BBOOL(BGl_cvarzd2macrozf3z21zzast_varz00(
					((BgL_cvarz00_bglt) BgL_oz00_2990)));
		}

	}



/* make-sexit */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt BGl_makezd2sexitzd2zzast_varz00(obj_t
		BgL_handler1188z00_385, bool_t BgL_detachedzf31189zf3_386)
	{
		{	/* Ast/var.sch 514 */
			{	/* Ast/var.sch 514 */
				BgL_sexitz00_bglt BgL_new1204z00_3889;

				{	/* Ast/var.sch 514 */
					BgL_sexitz00_bglt BgL_new1203z00_3890;

					BgL_new1203z00_3890 =
						((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sexitz00_bgl))));
					{	/* Ast/var.sch 514 */
						long BgL_arg1307z00_3891;

						BgL_arg1307z00_3891 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1203z00_3890), BgL_arg1307z00_3891);
					}
					{	/* Ast/var.sch 514 */
						BgL_objectz00_bglt BgL_tmpz00_5362;

						BgL_tmpz00_5362 = ((BgL_objectz00_bglt) BgL_new1203z00_3890);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5362, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1203z00_3890);
					BgL_new1204z00_3889 = BgL_new1203z00_3890;
				}
				((((BgL_sexitz00_bglt) COBJECT(BgL_new1204z00_3889))->BgL_handlerz00) =
					((obj_t) BgL_handler1188z00_385), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(BgL_new1204z00_3889))->
						BgL_detachedzf3zf3) =
					((bool_t) BgL_detachedzf31189zf3_386), BUNSPEC);
				return BgL_new1204z00_3889;
			}
		}

	}



/* &make-sexit */
	BgL_sexitz00_bglt BGl_z62makezd2sexitzb0zzast_varz00(obj_t BgL_envz00_2991,
		obj_t BgL_handler1188z00_2992, obj_t BgL_detachedzf31189zf3_2993)
	{
		{	/* Ast/var.sch 514 */
			return
				BGl_makezd2sexitzd2zzast_varz00(BgL_handler1188z00_2992,
				CBOOL(BgL_detachedzf31189zf3_2993));
		}

	}



/* sexit? */
	BGL_EXPORTED_DEF bool_t BGl_sexitzf3zf3zzast_varz00(obj_t BgL_objz00_387)
	{
		{	/* Ast/var.sch 515 */
			{	/* Ast/var.sch 515 */
				obj_t BgL_classz00_3892;

				BgL_classz00_3892 = BGl_sexitz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_387))
					{	/* Ast/var.sch 515 */
						BgL_objectz00_bglt BgL_arg1825z00_3893;

						BgL_arg1825z00_3893 = (BgL_objectz00_bglt) (BgL_objz00_387);
						{	/* Ast/var.sch 515 */
							bool_t BgL_arg1822z00_3894;
							bool_t BgL_arg1823z00_3895;

							{	/* Ast/var.sch 515 */
								long BgL_idxz00_3896;

								BgL_idxz00_3896 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3893);
								BgL_arg1822z00_3894 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3896 + ((long) 2))) == BgL_classz00_3892);
							}
							{	/* Ast/var.sch 515 */
								bool_t BgL_res2182z00_3899;

								{	/* Ast/var.sch 515 */
									obj_t BgL_oclassz00_3900;

									{	/* Ast/var.sch 515 */
										long BgL_arg1833z00_3901;

										{	/* Ast/var.sch 515 */
											long BgL_arg1834z00_3902;

											BgL_arg1834z00_3902 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3893);
											BgL_arg1833z00_3901 = (BgL_arg1834z00_3902 - OBJECT_TYPE);
										}
										BgL_oclassz00_3900 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3901);
									}
									{	/* Ast/var.sch 515 */
										bool_t BgL__ortest_1110z00_3903;

										BgL__ortest_1110z00_3903 =
											(BgL_classz00_3892 == BgL_oclassz00_3900);
										if (BgL__ortest_1110z00_3903)
											{	/* Ast/var.sch 515 */
												BgL_res2182z00_3899 = BgL__ortest_1110z00_3903;
											}
										else
											{	/* Ast/var.sch 515 */
												long BgL_odepthz00_3904;

												BgL_odepthz00_3904 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3900);
												if ((((long) 2) < BgL_odepthz00_3904))
													{	/* Ast/var.sch 515 */
														obj_t BgL_arg1821z00_3905;

														BgL_arg1821z00_3905 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3900,
															((long) 2));
														BgL_res2182z00_3899 =
															(BgL_arg1821z00_3905 == BgL_classz00_3892);
													}
												else
													{	/* Ast/var.sch 515 */
														BgL_res2182z00_3899 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3895 = BgL_res2182z00_3899;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3894, BgL_arg1823z00_3895);
						}
					}
				else
					{	/* Ast/var.sch 515 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sexit? */
	obj_t BGl_z62sexitzf3z91zzast_varz00(obj_t BgL_envz00_2994,
		obj_t BgL_objz00_2995)
	{
		{	/* Ast/var.sch 515 */
			return BBOOL(BGl_sexitzf3zf3zzast_varz00(BgL_objz00_2995));
		}

	}



/* sexit-nil */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt BGl_sexitzd2nilzd2zzast_varz00()
	{
		{	/* Ast/var.sch 516 */
			{	/* Ast/var.sch 516 */
				obj_t BgL_classz00_2019;

				BgL_classz00_2019 = BGl_sexitz00zzast_varz00;
				{	/* Ast/var.sch 516 */
					obj_t BgL__ortest_1112z00_2020;

					BgL__ortest_1112z00_2020 = BGL_CLASS_NIL(BgL_classz00_2019);
					if (CBOOL(BgL__ortest_1112z00_2020))
						{	/* Ast/var.sch 516 */
							return ((BgL_sexitz00_bglt) BgL__ortest_1112z00_2020);
						}
					else
						{	/* Ast/var.sch 516 */
							return
								((BgL_sexitz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2019));
						}
				}
			}
		}

	}



/* &sexit-nil */
	BgL_sexitz00_bglt BGl_z62sexitzd2nilzb0zzast_varz00(obj_t BgL_envz00_2996)
	{
		{	/* Ast/var.sch 516 */
			return BGl_sexitzd2nilzd2zzast_varz00();
		}

	}



/* sexit-detached? */
	BGL_EXPORTED_DEF bool_t
		BGl_sexitzd2detachedzf3z21zzast_varz00(BgL_sexitz00_bglt BgL_oz00_388)
	{
		{	/* Ast/var.sch 517 */
			return (((BgL_sexitz00_bglt) COBJECT(BgL_oz00_388))->BgL_detachedzf3zf3);
		}

	}



/* &sexit-detached? */
	obj_t BGl_z62sexitzd2detachedzf3z43zzast_varz00(obj_t BgL_envz00_2997,
		obj_t BgL_oz00_2998)
	{
		{	/* Ast/var.sch 517 */
			return
				BBOOL(BGl_sexitzd2detachedzf3z21zzast_varz00(
					((BgL_sexitz00_bglt) BgL_oz00_2998)));
		}

	}



/* sexit-detached?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzd2detachedzf3zd2setz12ze1zzast_varz00(BgL_sexitz00_bglt
		BgL_oz00_389, bool_t BgL_vz00_390)
	{
		{	/* Ast/var.sch 518 */
			return
				((((BgL_sexitz00_bglt) COBJECT(BgL_oz00_389))->BgL_detachedzf3zf3) =
				((bool_t) BgL_vz00_390), BUNSPEC);
		}

	}



/* &sexit-detached?-set! */
	obj_t BGl_z62sexitzd2detachedzf3zd2setz12z83zzast_varz00(obj_t
		BgL_envz00_2999, obj_t BgL_oz00_3000, obj_t BgL_vz00_3001)
	{
		{	/* Ast/var.sch 518 */
			return
				BGl_sexitzd2detachedzf3zd2setz12ze1zzast_varz00(
				((BgL_sexitz00_bglt) BgL_oz00_3000), CBOOL(BgL_vz00_3001));
		}

	}



/* sexit-handler */
	BGL_EXPORTED_DEF obj_t BGl_sexitzd2handlerzd2zzast_varz00(BgL_sexitz00_bglt
		BgL_oz00_391)
	{
		{	/* Ast/var.sch 519 */
			return (((BgL_sexitz00_bglt) COBJECT(BgL_oz00_391))->BgL_handlerz00);
		}

	}



/* &sexit-handler */
	obj_t BGl_z62sexitzd2handlerzb0zzast_varz00(obj_t BgL_envz00_3002,
		obj_t BgL_oz00_3003)
	{
		{	/* Ast/var.sch 519 */
			return
				BGl_sexitzd2handlerzd2zzast_varz00(((BgL_sexitz00_bglt) BgL_oz00_3003));
		}

	}



/* sexit-handler-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzd2handlerzd2setz12z12zzast_varz00(BgL_sexitz00_bglt BgL_oz00_392,
		obj_t BgL_vz00_393)
	{
		{	/* Ast/var.sch 520 */
			return
				((((BgL_sexitz00_bglt) COBJECT(BgL_oz00_392))->BgL_handlerz00) =
				((obj_t) BgL_vz00_393), BUNSPEC);
		}

	}



/* &sexit-handler-set! */
	obj_t BGl_z62sexitzd2handlerzd2setz12z70zzast_varz00(obj_t BgL_envz00_3004,
		obj_t BgL_oz00_3005, obj_t BgL_vz00_3006)
	{
		{	/* Ast/var.sch 520 */
			return
				BGl_sexitzd2handlerzd2setz12z12zzast_varz00(
				((BgL_sexitz00_bglt) BgL_oz00_3005), BgL_vz00_3006);
		}

	}



/* make-feffect */
	BGL_EXPORTED_DEF BgL_feffectz00_bglt BGl_makezd2feffectzd2zzast_varz00(obj_t
		BgL_read1185z00_394, obj_t BgL_write1186z00_395)
	{
		{	/* Ast/var.sch 523 */
			{	/* Ast/var.sch 523 */
				BgL_feffectz00_bglt BgL_new1206z00_3906;

				{	/* Ast/var.sch 523 */
					BgL_feffectz00_bglt BgL_new1205z00_3907;

					BgL_new1205z00_3907 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.sch 523 */
						long BgL_arg1308z00_3908;

						BgL_arg1308z00_3908 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1205z00_3907), BgL_arg1308z00_3908);
					}
					BgL_new1206z00_3906 = BgL_new1205z00_3907;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1206z00_3906))->BgL_readz00) =
					((obj_t) BgL_read1185z00_394), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1206z00_3906))->BgL_writez00) =
					((obj_t) BgL_write1186z00_395), BUNSPEC);
				return BgL_new1206z00_3906;
			}
		}

	}



/* &make-feffect */
	BgL_feffectz00_bglt BGl_z62makezd2feffectzb0zzast_varz00(obj_t
		BgL_envz00_3007, obj_t BgL_read1185z00_3008, obj_t BgL_write1186z00_3009)
	{
		{	/* Ast/var.sch 523 */
			return
				BGl_makezd2feffectzd2zzast_varz00(BgL_read1185z00_3008,
				BgL_write1186z00_3009);
		}

	}



/* feffect? */
	BGL_EXPORTED_DEF bool_t BGl_feffectzf3zf3zzast_varz00(obj_t BgL_objz00_396)
	{
		{	/* Ast/var.sch 524 */
			{	/* Ast/var.sch 524 */
				obj_t BgL_classz00_3909;

				BgL_classz00_3909 = BGl_feffectz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_396))
					{	/* Ast/var.sch 524 */
						BgL_objectz00_bglt BgL_arg1825z00_3910;

						BgL_arg1825z00_3910 = (BgL_objectz00_bglt) (BgL_objz00_396);
						{	/* Ast/var.sch 524 */
							bool_t BgL_arg1822z00_3911;
							bool_t BgL_arg1823z00_3912;

							{	/* Ast/var.sch 524 */
								long BgL_idxz00_3913;

								BgL_idxz00_3913 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3910);
								BgL_arg1822z00_3911 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3913 + ((long) 1))) == BgL_classz00_3909);
							}
							{	/* Ast/var.sch 524 */
								bool_t BgL_res2183z00_3916;

								{	/* Ast/var.sch 524 */
									obj_t BgL_oclassz00_3917;

									{	/* Ast/var.sch 524 */
										long BgL_arg1833z00_3918;

										{	/* Ast/var.sch 524 */
											long BgL_arg1834z00_3919;

											BgL_arg1834z00_3919 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3910);
											BgL_arg1833z00_3918 = (BgL_arg1834z00_3919 - OBJECT_TYPE);
										}
										BgL_oclassz00_3917 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3918);
									}
									{	/* Ast/var.sch 524 */
										bool_t BgL__ortest_1110z00_3920;

										BgL__ortest_1110z00_3920 =
											(BgL_classz00_3909 == BgL_oclassz00_3917);
										if (BgL__ortest_1110z00_3920)
											{	/* Ast/var.sch 524 */
												BgL_res2183z00_3916 = BgL__ortest_1110z00_3920;
											}
										else
											{	/* Ast/var.sch 524 */
												long BgL_odepthz00_3921;

												BgL_odepthz00_3921 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3917);
												if ((((long) 1) < BgL_odepthz00_3921))
													{	/* Ast/var.sch 524 */
														obj_t BgL_arg1821z00_3922;

														BgL_arg1821z00_3922 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3917,
															((long) 1));
														BgL_res2183z00_3916 =
															(BgL_arg1821z00_3922 == BgL_classz00_3909);
													}
												else
													{	/* Ast/var.sch 524 */
														BgL_res2183z00_3916 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3912 = BgL_res2183z00_3916;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3911, BgL_arg1823z00_3912);
						}
					}
				else
					{	/* Ast/var.sch 524 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &feffect? */
	obj_t BGl_z62feffectzf3z91zzast_varz00(obj_t BgL_envz00_3010,
		obj_t BgL_objz00_3011)
	{
		{	/* Ast/var.sch 524 */
			return BBOOL(BGl_feffectzf3zf3zzast_varz00(BgL_objz00_3011));
		}

	}



/* feffect-nil */
	BGL_EXPORTED_DEF BgL_feffectz00_bglt BGl_feffectzd2nilzd2zzast_varz00()
	{
		{	/* Ast/var.sch 525 */
			{	/* Ast/var.sch 525 */
				obj_t BgL_classz00_2059;

				BgL_classz00_2059 = BGl_feffectz00zzast_varz00;
				{	/* Ast/var.sch 525 */
					obj_t BgL__ortest_1112z00_2060;

					BgL__ortest_1112z00_2060 = BGL_CLASS_NIL(BgL_classz00_2059);
					if (CBOOL(BgL__ortest_1112z00_2060))
						{	/* Ast/var.sch 525 */
							return ((BgL_feffectz00_bglt) BgL__ortest_1112z00_2060);
						}
					else
						{	/* Ast/var.sch 525 */
							return
								((BgL_feffectz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2059));
						}
				}
			}
		}

	}



/* &feffect-nil */
	BgL_feffectz00_bglt BGl_z62feffectzd2nilzb0zzast_varz00(obj_t BgL_envz00_3012)
	{
		{	/* Ast/var.sch 525 */
			return BGl_feffectzd2nilzd2zzast_varz00();
		}

	}



/* feffect-write */
	BGL_EXPORTED_DEF obj_t BGl_feffectzd2writezd2zzast_varz00(BgL_feffectz00_bglt
		BgL_oz00_397)
	{
		{	/* Ast/var.sch 526 */
			return (((BgL_feffectz00_bglt) COBJECT(BgL_oz00_397))->BgL_writez00);
		}

	}



/* &feffect-write */
	obj_t BGl_z62feffectzd2writezb0zzast_varz00(obj_t BgL_envz00_3013,
		obj_t BgL_oz00_3014)
	{
		{	/* Ast/var.sch 526 */
			return
				BGl_feffectzd2writezd2zzast_varz00(
				((BgL_feffectz00_bglt) BgL_oz00_3014));
		}

	}



/* feffect-write-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_feffectzd2writezd2setz12z12zzast_varz00(BgL_feffectz00_bglt
		BgL_oz00_398, obj_t BgL_vz00_399)
	{
		{	/* Ast/var.sch 527 */
			return
				((((BgL_feffectz00_bglt) COBJECT(BgL_oz00_398))->BgL_writez00) =
				((obj_t) BgL_vz00_399), BUNSPEC);
		}

	}



/* &feffect-write-set! */
	obj_t BGl_z62feffectzd2writezd2setz12z70zzast_varz00(obj_t BgL_envz00_3015,
		obj_t BgL_oz00_3016, obj_t BgL_vz00_3017)
	{
		{	/* Ast/var.sch 527 */
			return
				BGl_feffectzd2writezd2setz12z12zzast_varz00(
				((BgL_feffectz00_bglt) BgL_oz00_3016), BgL_vz00_3017);
		}

	}



/* feffect-read */
	BGL_EXPORTED_DEF obj_t BGl_feffectzd2readzd2zzast_varz00(BgL_feffectz00_bglt
		BgL_oz00_400)
	{
		{	/* Ast/var.sch 528 */
			return (((BgL_feffectz00_bglt) COBJECT(BgL_oz00_400))->BgL_readz00);
		}

	}



/* &feffect-read */
	obj_t BGl_z62feffectzd2readzb0zzast_varz00(obj_t BgL_envz00_3018,
		obj_t BgL_oz00_3019)
	{
		{	/* Ast/var.sch 528 */
			return
				BGl_feffectzd2readzd2zzast_varz00(
				((BgL_feffectz00_bglt) BgL_oz00_3019));
		}

	}



/* feffect-read-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_feffectzd2readzd2setz12z12zzast_varz00(BgL_feffectz00_bglt BgL_oz00_401,
		obj_t BgL_vz00_402)
	{
		{	/* Ast/var.sch 529 */
			return
				((((BgL_feffectz00_bglt) COBJECT(BgL_oz00_401))->BgL_readz00) =
				((obj_t) BgL_vz00_402), BUNSPEC);
		}

	}



/* &feffect-read-set! */
	obj_t BGl_z62feffectzd2readzd2setz12z70zzast_varz00(obj_t BgL_envz00_3020,
		obj_t BgL_oz00_3021, obj_t BgL_vz00_3022)
	{
		{	/* Ast/var.sch 529 */
			return
				BGl_feffectzd2readzd2setz12z12zzast_varz00(
				((BgL_feffectz00_bglt) BgL_oz00_3021), BgL_vz00_3022);
		}

	}



/* global-read-only? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt
		BgL_globalz00_403)
	{
		{	/* Ast/var.scm 194 */
			{	/* Ast/var.scm 196 */
				obj_t BgL_tmpz00_5457;

				BgL_tmpz00_5457 =
					BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF(((long) 0)),
					(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_403))->BgL_pragmaz00));
				return PAIRP(BgL_tmpz00_5457);
			}
		}

	}



/* &global-read-only? */
	obj_t BGl_z62globalzd2readzd2onlyzf3z91zzast_varz00(obj_t BgL_envz00_3023,
		obj_t BgL_globalz00_3024)
	{
		{	/* Ast/var.scm 194 */
			return
				BBOOL(BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(
					((BgL_globalz00_bglt) BgL_globalz00_3024)));
		}

	}



/* global-set-read-only! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2setzd2readzd2onlyz12zc0zzast_varz00(BgL_globalz00_bglt
		BgL_globalz00_404)
	{
		{	/* Ast/var.scm 201 */
			{
				obj_t BgL_auxz00_5465;

				{	/* Ast/var.scm 203 */
					obj_t BgL_arg1311z00_518;

					BgL_arg1311z00_518 =
						(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_404))->BgL_pragmaz00);
					BgL_auxz00_5465 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)), BgL_arg1311z00_518);
				}
				return
					((((BgL_globalz00_bglt) COBJECT(BgL_globalz00_404))->BgL_pragmaz00) =
					((obj_t) BgL_auxz00_5465), BUNSPEC);
			}
		}

	}



/* &global-set-read-only! */
	obj_t BGl_z62globalzd2setzd2readzd2onlyz12za2zzast_varz00(obj_t
		BgL_envz00_3025, obj_t BgL_globalz00_3026)
	{
		{	/* Ast/var.scm 201 */
			return
				BGl_globalzd2setzd2readzd2onlyz12zc0zzast_varz00(
				((BgL_globalz00_bglt) BgL_globalz00_3026));
		}

	}



/* global-args-safe? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzd2argszd2safezf3zf3zzast_varz00(BgL_globalz00_bglt
		BgL_globalz00_405)
	{
		{	/* Ast/var.scm 208 */
			{	/* Ast/var.scm 210 */
				bool_t BgL__ortest_1210z00_520;

				{	/* Ast/var.scm 210 */
					bool_t BgL_test2856z00_5472;

					{	/* Ast/var.scm 210 */
						BgL_valuez00_bglt BgL_arg1320z00_528;

						BgL_arg1320z00_528 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_globalz00_405)))->BgL_valuez00);
						{	/* Ast/var.scm 210 */
							obj_t BgL_classz00_2061;

							BgL_classz00_2061 = BGl_cfunz00zzast_varz00;
							{	/* Ast/var.scm 210 */
								BgL_objectz00_bglt BgL_arg1825z00_2063;

								{	/* Ast/var.scm 210 */
									obj_t BgL_tmpz00_5475;

									BgL_tmpz00_5475 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1320z00_528));
									BgL_arg1825z00_2063 = (BgL_objectz00_bglt) (BgL_tmpz00_5475);
								}
								{	/* Ast/var.scm 210 */
									bool_t BgL_arg1822z00_2066;
									bool_t BgL_arg1823z00_2067;

									{	/* Ast/var.scm 210 */
										long BgL_idxz00_2070;

										BgL_idxz00_2070 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2063);
										BgL_arg1822z00_2066 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2070 + ((long) 3))) == BgL_classz00_2061);
									}
									{	/* Ast/var.scm 210 */
										bool_t BgL_res2184z00_2092;

										{	/* Ast/var.scm 210 */
											obj_t BgL_oclassz00_2078;

											{	/* Ast/var.scm 210 */
												long BgL_arg1833z00_2084;

												{	/* Ast/var.scm 210 */
													long BgL_arg1834z00_2085;

													BgL_arg1834z00_2085 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2063);
													BgL_arg1833z00_2084 =
														(BgL_arg1834z00_2085 - OBJECT_TYPE);
												}
												BgL_oclassz00_2078 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2084);
											}
											{	/* Ast/var.scm 210 */
												bool_t BgL__ortest_1110z00_2079;

												BgL__ortest_1110z00_2079 =
													(BgL_classz00_2061 == BgL_oclassz00_2078);
												if (BgL__ortest_1110z00_2079)
													{	/* Ast/var.scm 210 */
														BgL_res2184z00_2092 = BgL__ortest_1110z00_2079;
													}
												else
													{	/* Ast/var.scm 210 */
														long BgL_odepthz00_2080;

														BgL_odepthz00_2080 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2078);
														if ((((long) 3) < BgL_odepthz00_2080))
															{	/* Ast/var.scm 210 */
																obj_t BgL_arg1821z00_2082;

																BgL_arg1821z00_2082 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2078,
																	((long) 3));
																BgL_res2184z00_2092 =
																	(BgL_arg1821z00_2082 == BgL_classz00_2061);
															}
														else
															{	/* Ast/var.scm 210 */
																BgL_res2184z00_2092 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2067 = BgL_res2184z00_2092;
									}
									BgL_test2856z00_5472 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2066, BgL_arg1823z00_2067);
								}
							}
						}
					}
					if (BgL_test2856z00_5472)
						{	/* Ast/var.scm 210 */
							BgL__ortest_1210z00_520 = ((bool_t) 0);
						}
					else
						{	/* Ast/var.scm 210 */
							BgL__ortest_1210z00_520 = ((bool_t) 1);
						}
				}
				if (BgL__ortest_1210z00_520)
					{	/* Ast/var.scm 210 */
						return BgL__ortest_1210z00_520;
					}
				else
					{	/* Ast/var.scm 211 */
						bool_t BgL__ortest_1211z00_521;

						if (
							(((BgL_cfunz00_bglt) COBJECT(
										((BgL_cfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_405)))->
												BgL_valuez00))))->BgL_macrozf3zf3))
							{	/* Ast/var.scm 211 */
								BgL__ortest_1211z00_521 = ((bool_t) 0);
							}
						else
							{	/* Ast/var.scm 211 */
								BgL__ortest_1211z00_521 = ((bool_t) 1);
							}
						if (BgL__ortest_1211z00_521)
							{	/* Ast/var.scm 211 */
								return BgL__ortest_1211z00_521;
							}
						else
							{	/* Ast/var.scm 211 */
								return
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF(
											((long) 1)),
										(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_405))->
											BgL_pragmaz00)));
		}}}}

	}



/* &global-args-safe? */
	obj_t BGl_z62globalzd2argszd2safezf3z91zzast_varz00(obj_t BgL_envz00_3027,
		obj_t BgL_globalz00_3028)
	{
		{	/* Ast/var.scm 208 */
			return
				BBOOL(BGl_globalzd2argszd2safezf3zf3zzast_varz00(
					((BgL_globalz00_bglt) BgL_globalz00_3028)));
		}

	}



/* fun-optional-arity */
	BGL_EXPORTED_DEF int BGl_funzd2optionalzd2arityz00zzast_varz00(BgL_funz00_bglt
		BgL_funz00_406)
	{
		{	/* Ast/var.scm 217 */
			{	/* Ast/var.scm 219 */
				bool_t BgL_test2862z00_5508;

				{	/* Ast/var.scm 219 */
					obj_t BgL_classz00_2094;

					BgL_classz00_2094 = BGl_sfunz00zzast_varz00;
					{	/* Ast/var.scm 219 */
						BgL_objectz00_bglt BgL_arg1825z00_2096;

						{	/* Ast/var.scm 219 */
							obj_t BgL_tmpz00_5509;

							BgL_tmpz00_5509 = ((obj_t) BgL_funz00_406);
							BgL_arg1825z00_2096 = (BgL_objectz00_bglt) (BgL_tmpz00_5509);
						}
						{	/* Ast/var.scm 219 */
							bool_t BgL_arg1822z00_2099;
							bool_t BgL_arg1823z00_2100;

							{	/* Ast/var.scm 219 */
								long BgL_idxz00_2103;

								BgL_idxz00_2103 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2096);
								BgL_arg1822z00_2099 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2103 + ((long) 3))) == BgL_classz00_2094);
							}
							{	/* Ast/var.scm 219 */
								bool_t BgL_res2185z00_2125;

								{	/* Ast/var.scm 219 */
									obj_t BgL_oclassz00_2111;

									{	/* Ast/var.scm 219 */
										long BgL_arg1833z00_2117;

										{	/* Ast/var.scm 219 */
											long BgL_arg1834z00_2118;

											BgL_arg1834z00_2118 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2096);
											BgL_arg1833z00_2117 = (BgL_arg1834z00_2118 - OBJECT_TYPE);
										}
										BgL_oclassz00_2111 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_2117);
									}
									{	/* Ast/var.scm 219 */
										bool_t BgL__ortest_1110z00_2112;

										BgL__ortest_1110z00_2112 =
											(BgL_classz00_2094 == BgL_oclassz00_2111);
										if (BgL__ortest_1110z00_2112)
											{	/* Ast/var.scm 219 */
												BgL_res2185z00_2125 = BgL__ortest_1110z00_2112;
											}
										else
											{	/* Ast/var.scm 219 */
												long BgL_odepthz00_2113;

												BgL_odepthz00_2113 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2111);
												if ((((long) 3) < BgL_odepthz00_2113))
													{	/* Ast/var.scm 219 */
														obj_t BgL_arg1821z00_2115;

														BgL_arg1821z00_2115 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2111,
															((long) 3));
														BgL_res2185z00_2125 =
															(BgL_arg1821z00_2115 == BgL_classz00_2094);
													}
												else
													{	/* Ast/var.scm 219 */
														BgL_res2185z00_2125 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_2100 = BgL_res2185z00_2125;
							}
							BgL_test2862z00_5508 =
								BGL_ISA_C_BACKEND(BgL_arg1822z00_2099, BgL_arg1823z00_2100);
						}
					}
				}
				if (BgL_test2862z00_5508)
					{	/* Ast/var.scm 221 */
						bool_t BgL_test2865z00_5527;

						{	/* Ast/var.scm 221 */
							obj_t BgL_tmpz00_5528;

							BgL_tmpz00_5528 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt) BgL_funz00_406)))->BgL_optionalsz00);
							BgL_test2865z00_5527 = PAIRP(BgL_tmpz00_5528);
						}
						if (BgL_test2865z00_5527)
							{	/* Ast/var.scm 221 */
								return
									(int) (
									((((BgL_funz00_bglt) COBJECT(BgL_funz00_406))->BgL_arityz00) +
										((long) 1)));
							}
						else
							{	/* Ast/var.scm 221 */
								return
									(int) (
									(((BgL_funz00_bglt) COBJECT(BgL_funz00_406))->BgL_arityz00));
					}}
				else
					{	/* Ast/var.scm 219 */
						return
							(int) (
							(((BgL_funz00_bglt) COBJECT(BgL_funz00_406))->BgL_arityz00));
		}}}

	}



/* &fun-optional-arity */
	obj_t BGl_z62funzd2optionalzd2arityz62zzast_varz00(obj_t BgL_envz00_3029,
		obj_t BgL_funz00_3030)
	{
		{	/* Ast/var.scm 217 */
			return
				BINT(BGl_funzd2optionalzd2arityz00zzast_varz00(
					((BgL_funz00_bglt) BgL_funz00_3030)));
		}

	}



/* global-optional? */
	BGL_EXPORTED_DEF bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t
		BgL_gz00_407)
	{
		{	/* Ast/var.scm 229 */
			{	/* Ast/var.scm 230 */
				bool_t BgL_test2866z00_5542;

				{	/* Ast/var.scm 230 */
					obj_t BgL_classz00_2127;

					BgL_classz00_2127 = BGl_globalz00zzast_varz00;
					if (BGL_OBJECTP(BgL_gz00_407))
						{	/* Ast/var.scm 230 */
							BgL_objectz00_bglt BgL_arg1825z00_2129;

							BgL_arg1825z00_2129 = (BgL_objectz00_bglt) (BgL_gz00_407);
							{	/* Ast/var.scm 230 */
								bool_t BgL_arg1822z00_2132;
								bool_t BgL_arg1823z00_2133;

								{	/* Ast/var.scm 230 */
									long BgL_idxz00_2136;

									BgL_idxz00_2136 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2129);
									BgL_arg1822z00_2132 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2136 + ((long) 2))) == BgL_classz00_2127);
								}
								{	/* Ast/var.scm 230 */
									bool_t BgL_res2186z00_2158;

									{	/* Ast/var.scm 230 */
										obj_t BgL_oclassz00_2144;

										{	/* Ast/var.scm 230 */
											long BgL_arg1833z00_2150;

											{	/* Ast/var.scm 230 */
												long BgL_arg1834z00_2151;

												BgL_arg1834z00_2151 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2129);
												BgL_arg1833z00_2150 =
													(BgL_arg1834z00_2151 - OBJECT_TYPE);
											}
											BgL_oclassz00_2144 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2150);
										}
										{	/* Ast/var.scm 230 */
											bool_t BgL__ortest_1110z00_2145;

											BgL__ortest_1110z00_2145 =
												(BgL_classz00_2127 == BgL_oclassz00_2144);
											if (BgL__ortest_1110z00_2145)
												{	/* Ast/var.scm 230 */
													BgL_res2186z00_2158 = BgL__ortest_1110z00_2145;
												}
											else
												{	/* Ast/var.scm 230 */
													long BgL_odepthz00_2146;

													BgL_odepthz00_2146 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2144);
													if ((((long) 2) < BgL_odepthz00_2146))
														{	/* Ast/var.scm 230 */
															obj_t BgL_arg1821z00_2148;

															BgL_arg1821z00_2148 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2144,
																((long) 2));
															BgL_res2186z00_2158 =
																(BgL_arg1821z00_2148 == BgL_classz00_2127);
														}
													else
														{	/* Ast/var.scm 230 */
															BgL_res2186z00_2158 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2133 = BgL_res2186z00_2158;
								}
								BgL_test2866z00_5542 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2132, BgL_arg1823z00_2133);
							}
						}
					else
						{	/* Ast/var.scm 230 */
							BgL_test2866z00_5542 = ((bool_t) 0);
						}
				}
				if (BgL_test2866z00_5542)
					{	/* Ast/var.scm 230 */
						return
							BGl_sfunzd2optionalzf3z21zzast_varz00(
							((obj_t)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_407))))->BgL_valuez00)));
					}
				else
					{	/* Ast/var.scm 230 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &global-optional? */
	obj_t BGl_z62globalzd2optionalzf3z43zzast_varz00(obj_t BgL_envz00_3031,
		obj_t BgL_gz00_3032)
	{
		{	/* Ast/var.scm 229 */
			return BBOOL(BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_3032));
		}

	}



/* sfun-optional? */
	BGL_EXPORTED_DEF bool_t BGl_sfunzd2optionalzf3z21zzast_varz00(obj_t
		BgL_funz00_408)
	{
		{	/* Ast/var.scm 237 */
			{	/* Ast/var.scm 238 */
				bool_t BgL_test2870z00_5568;

				{	/* Ast/var.scm 238 */
					obj_t BgL_classz00_2160;

					BgL_classz00_2160 = BGl_sfunz00zzast_varz00;
					if (BGL_OBJECTP(BgL_funz00_408))
						{	/* Ast/var.scm 238 */
							BgL_objectz00_bglt BgL_arg1825z00_2162;

							BgL_arg1825z00_2162 = (BgL_objectz00_bglt) (BgL_funz00_408);
							{	/* Ast/var.scm 238 */
								bool_t BgL_arg1822z00_2165;
								bool_t BgL_arg1823z00_2166;

								{	/* Ast/var.scm 238 */
									long BgL_idxz00_2169;

									BgL_idxz00_2169 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2162);
									BgL_arg1822z00_2165 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2169 + ((long) 3))) == BgL_classz00_2160);
								}
								{	/* Ast/var.scm 238 */
									bool_t BgL_res2187z00_2191;

									{	/* Ast/var.scm 238 */
										obj_t BgL_oclassz00_2177;

										{	/* Ast/var.scm 238 */
											long BgL_arg1833z00_2183;

											{	/* Ast/var.scm 238 */
												long BgL_arg1834z00_2184;

												BgL_arg1834z00_2184 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2162);
												BgL_arg1833z00_2183 =
													(BgL_arg1834z00_2184 - OBJECT_TYPE);
											}
											BgL_oclassz00_2177 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2183);
										}
										{	/* Ast/var.scm 238 */
											bool_t BgL__ortest_1110z00_2178;

											BgL__ortest_1110z00_2178 =
												(BgL_classz00_2160 == BgL_oclassz00_2177);
											if (BgL__ortest_1110z00_2178)
												{	/* Ast/var.scm 238 */
													BgL_res2187z00_2191 = BgL__ortest_1110z00_2178;
												}
											else
												{	/* Ast/var.scm 238 */
													long BgL_odepthz00_2179;

													BgL_odepthz00_2179 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2177);
													if ((((long) 3) < BgL_odepthz00_2179))
														{	/* Ast/var.scm 238 */
															obj_t BgL_arg1821z00_2181;

															BgL_arg1821z00_2181 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2177,
																((long) 3));
															BgL_res2187z00_2191 =
																(BgL_arg1821z00_2181 == BgL_classz00_2160);
														}
													else
														{	/* Ast/var.scm 238 */
															BgL_res2187z00_2191 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2166 = BgL_res2187z00_2191;
								}
								BgL_test2870z00_5568 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2165, BgL_arg1823z00_2166);
							}
						}
					else
						{	/* Ast/var.scm 238 */
							BgL_test2870z00_5568 = ((bool_t) 0);
						}
				}
				if (BgL_test2870z00_5568)
					{	/* Ast/var.scm 238 */
						obj_t BgL_tmpz00_5587;

						BgL_tmpz00_5587 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_408)))->BgL_optionalsz00);
						return PAIRP(BgL_tmpz00_5587);
					}
				else
					{	/* Ast/var.scm 238 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sfun-optional? */
	obj_t BGl_z62sfunzd2optionalzf3z43zzast_varz00(obj_t BgL_envz00_3033,
		obj_t BgL_funz00_3034)
	{
		{	/* Ast/var.scm 237 */
			return BBOOL(BGl_sfunzd2optionalzf3z21zzast_varz00(BgL_funz00_3034));
		}

	}



/* global-key? */
	BGL_EXPORTED_DEF bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t BgL_gz00_409)
	{
		{	/* Ast/var.scm 243 */
			{	/* Ast/var.scm 244 */
				bool_t BgL_test2874z00_5593;

				{	/* Ast/var.scm 244 */
					obj_t BgL_classz00_2193;

					BgL_classz00_2193 = BGl_globalz00zzast_varz00;
					if (BGL_OBJECTP(BgL_gz00_409))
						{	/* Ast/var.scm 244 */
							BgL_objectz00_bglt BgL_arg1825z00_2195;

							BgL_arg1825z00_2195 = (BgL_objectz00_bglt) (BgL_gz00_409);
							{	/* Ast/var.scm 244 */
								bool_t BgL_arg1822z00_2198;
								bool_t BgL_arg1823z00_2199;

								{	/* Ast/var.scm 244 */
									long BgL_idxz00_2202;

									BgL_idxz00_2202 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2195);
									BgL_arg1822z00_2198 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2202 + ((long) 2))) == BgL_classz00_2193);
								}
								{	/* Ast/var.scm 244 */
									bool_t BgL_res2188z00_2224;

									{	/* Ast/var.scm 244 */
										obj_t BgL_oclassz00_2210;

										{	/* Ast/var.scm 244 */
											long BgL_arg1833z00_2216;

											{	/* Ast/var.scm 244 */
												long BgL_arg1834z00_2217;

												BgL_arg1834z00_2217 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2195);
												BgL_arg1833z00_2216 =
													(BgL_arg1834z00_2217 - OBJECT_TYPE);
											}
											BgL_oclassz00_2210 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2216);
										}
										{	/* Ast/var.scm 244 */
											bool_t BgL__ortest_1110z00_2211;

											BgL__ortest_1110z00_2211 =
												(BgL_classz00_2193 == BgL_oclassz00_2210);
											if (BgL__ortest_1110z00_2211)
												{	/* Ast/var.scm 244 */
													BgL_res2188z00_2224 = BgL__ortest_1110z00_2211;
												}
											else
												{	/* Ast/var.scm 244 */
													long BgL_odepthz00_2212;

													BgL_odepthz00_2212 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2210);
													if ((((long) 2) < BgL_odepthz00_2212))
														{	/* Ast/var.scm 244 */
															obj_t BgL_arg1821z00_2214;

															BgL_arg1821z00_2214 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2210,
																((long) 2));
															BgL_res2188z00_2224 =
																(BgL_arg1821z00_2214 == BgL_classz00_2193);
														}
													else
														{	/* Ast/var.scm 244 */
															BgL_res2188z00_2224 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2199 = BgL_res2188z00_2224;
								}
								BgL_test2874z00_5593 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2198, BgL_arg1823z00_2199);
							}
						}
					else
						{	/* Ast/var.scm 244 */
							BgL_test2874z00_5593 = ((bool_t) 0);
						}
				}
				if (BgL_test2874z00_5593)
					{	/* Ast/var.scm 244 */
						return
							BGl_sfunzd2keyzf3z21zzast_varz00(
							((obj_t)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_409))))->BgL_valuez00)));
					}
				else
					{	/* Ast/var.scm 244 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &global-key? */
	obj_t BGl_z62globalzd2keyzf3z43zzast_varz00(obj_t BgL_envz00_3035,
		obj_t BgL_gz00_3036)
	{
		{	/* Ast/var.scm 243 */
			return BBOOL(BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_3036));
		}

	}



/* sfun-key? */
	BGL_EXPORTED_DEF bool_t BGl_sfunzd2keyzf3z21zzast_varz00(obj_t BgL_funz00_410)
	{
		{	/* Ast/var.scm 251 */
			{	/* Ast/var.scm 252 */
				bool_t BgL_test2878z00_5619;

				{	/* Ast/var.scm 252 */
					obj_t BgL_classz00_2226;

					BgL_classz00_2226 = BGl_sfunz00zzast_varz00;
					if (BGL_OBJECTP(BgL_funz00_410))
						{	/* Ast/var.scm 252 */
							BgL_objectz00_bglt BgL_arg1825z00_2228;

							BgL_arg1825z00_2228 = (BgL_objectz00_bglt) (BgL_funz00_410);
							{	/* Ast/var.scm 252 */
								bool_t BgL_arg1822z00_2231;
								bool_t BgL_arg1823z00_2232;

								{	/* Ast/var.scm 252 */
									long BgL_idxz00_2235;

									BgL_idxz00_2235 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2228);
									BgL_arg1822z00_2231 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2235 + ((long) 3))) == BgL_classz00_2226);
								}
								{	/* Ast/var.scm 252 */
									bool_t BgL_res2189z00_2257;

									{	/* Ast/var.scm 252 */
										obj_t BgL_oclassz00_2243;

										{	/* Ast/var.scm 252 */
											long BgL_arg1833z00_2249;

											{	/* Ast/var.scm 252 */
												long BgL_arg1834z00_2250;

												BgL_arg1834z00_2250 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2228);
												BgL_arg1833z00_2249 =
													(BgL_arg1834z00_2250 - OBJECT_TYPE);
											}
											BgL_oclassz00_2243 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2249);
										}
										{	/* Ast/var.scm 252 */
											bool_t BgL__ortest_1110z00_2244;

											BgL__ortest_1110z00_2244 =
												(BgL_classz00_2226 == BgL_oclassz00_2243);
											if (BgL__ortest_1110z00_2244)
												{	/* Ast/var.scm 252 */
													BgL_res2189z00_2257 = BgL__ortest_1110z00_2244;
												}
											else
												{	/* Ast/var.scm 252 */
													long BgL_odepthz00_2245;

													BgL_odepthz00_2245 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2243);
													if ((((long) 3) < BgL_odepthz00_2245))
														{	/* Ast/var.scm 252 */
															obj_t BgL_arg1821z00_2247;

															BgL_arg1821z00_2247 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2243,
																((long) 3));
															BgL_res2189z00_2257 =
																(BgL_arg1821z00_2247 == BgL_classz00_2226);
														}
													else
														{	/* Ast/var.scm 252 */
															BgL_res2189z00_2257 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2232 = BgL_res2189z00_2257;
								}
								BgL_test2878z00_5619 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2231, BgL_arg1823z00_2232);
							}
						}
					else
						{	/* Ast/var.scm 252 */
							BgL_test2878z00_5619 = ((bool_t) 0);
						}
				}
				if (BgL_test2878z00_5619)
					{	/* Ast/var.scm 252 */
						obj_t BgL_tmpz00_5638;

						BgL_tmpz00_5638 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_410)))->BgL_keysz00);
						return PAIRP(BgL_tmpz00_5638);
					}
				else
					{	/* Ast/var.scm 252 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sfun-key? */
	obj_t BGl_z62sfunzd2keyzf3z43zzast_varz00(obj_t BgL_envz00_3037,
		obj_t BgL_funz00_3038)
	{
		{	/* Ast/var.scm 251 */
			return BBOOL(BGl_sfunzd2keyzf3z21zzast_varz00(BgL_funz00_3038));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_varz00()
	{
		{	/* Ast/var.scm 14 */
			{	/* Ast/var.scm 21 */
				obj_t BgL_arg1339z00_547;
				obj_t BgL_arg1340z00_548;

				{	/* Ast/var.scm 21 */
					obj_t BgL_v1244z00_558;

					BgL_v1244z00_558 = create_vector(((long) 0));
					BgL_arg1339z00_547 = BgL_v1244z00_558;
				}
				{	/* Ast/var.scm 21 */
					obj_t BgL_v1245z00_559;

					BgL_v1245z00_559 = create_vector(((long) 0));
					BgL_arg1340z00_548 = BgL_v1245z00_559;
				}
				BGl_valuez00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 2)),
					CNST_TABLE_REF(((long) 3)), BGl_objectz00zz__objectz00, ((long) 3894),
					BGl_proc2192z00zzast_varz00, BGl_proc2191z00zzast_varz00, BFALSE,
					BGl_proc2190z00zzast_varz00, BFALSE, BgL_arg1339z00_547,
					BgL_arg1340z00_548);
			}
			{	/* Ast/var.scm 23 */
				obj_t BgL_arg1358z00_566;
				obj_t BgL_arg1361z00_567;

				{	/* Ast/var.scm 23 */
					obj_t BgL_v1246z00_587;

					BgL_v1246z00_587 = create_vector(((long) 10));
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1369z00_588;

						BgL_arg1369z00_588 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc2194z00zzast_varz00, BGl_proc2193z00zzast_varz00,
							((bool_t) 1), ((bool_t) 0), BFALSE, BFALSE,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1246z00_587, ((long) 0), BgL_arg1369z00_588);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1380z00_598;

						BgL_arg1380z00_598 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc2197z00zzast_varz00, BGl_proc2196z00zzast_varz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BGl_proc2195z00zzast_varz00,
							CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1246z00_587, ((long) 1), BgL_arg1380z00_598);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1387z00_611;

						BgL_arg1387z00_611 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc2199z00zzast_varz00, BGl_proc2198z00zzast_varz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1246z00_587, ((long) 2), BgL_arg1387z00_611);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1415z00_621;

						BgL_arg1415z00_621 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc2201z00zzast_varz00, BGl_proc2200z00zzast_varz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_valuez00zzast_varz00);
						VECTOR_SET(BgL_v1246z00_587, ((long) 3), BgL_arg1415z00_621);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1430z00_631;

						BgL_arg1430z00_631 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									9)), BGl_proc2204z00zzast_varz00, BGl_proc2203z00zzast_varz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BGl_proc2202z00zzast_varz00,
							CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1246z00_587, ((long) 4), BgL_arg1430z00_631);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1462z00_644;

						BgL_arg1462z00_644 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc2207z00zzast_varz00,
							BGl_proc2206z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2205z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1246z00_587, ((long) 5), BgL_arg1462z00_644);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1500z00_657;

						BgL_arg1500z00_657 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc2210z00zzast_varz00,
							BGl_proc2209z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2208z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1246z00_587, ((long) 6), BgL_arg1500z00_657);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1542z00_670;

						BgL_arg1542z00_670 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									12)), BGl_proc2213z00zzast_varz00,
							BGl_proc2212z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2211z00zzast_varz00, CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1246z00_587, ((long) 7), BgL_arg1542z00_670);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1555z00_683;

						BgL_arg1555z00_683 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									14)), BGl_proc2216z00zzast_varz00,
							BGl_proc2215z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2214z00zzast_varz00, CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1246z00_587, ((long) 8), BgL_arg1555z00_683);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1571z00_696;

						BgL_arg1571z00_696 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									15)), BGl_proc2219z00zzast_varz00,
							BGl_proc2218z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2217z00zzast_varz00, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1246z00_587, ((long) 9), BgL_arg1571z00_696);
					}
					BgL_arg1358z00_566 = BgL_v1246z00_587;
				}
				{	/* Ast/var.scm 23 */
					obj_t BgL_v1247z00_709;

					BgL_v1247z00_709 = create_vector(((long) 0));
					BgL_arg1361z00_567 = BgL_v1247z00_709;
				}
				BGl_variablez00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 17)),
					CNST_TABLE_REF(((long) 3)), BGl_objectz00zz__objectz00,
					((long) 41390), BGl_proc2222z00zzast_varz00,
					BGl_proc2221z00zzast_varz00, BFALSE, BGl_proc2220z00zzast_varz00,
					BFALSE, BgL_arg1358z00_566, BgL_arg1361z00_567);
			}
			{	/* Ast/var.scm 46 */
				obj_t BgL_arg1597z00_716;
				obj_t BgL_arg1601z00_717;

				{	/* Ast/var.scm 46 */
					obj_t BgL_v1248z00_747;

					BgL_v1248z00_747 = create_vector(((long) 10));
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1612z00_748;

						BgL_arg1612z00_748 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									18)), BGl_proc2224z00zzast_varz00,
							BGl_proc2223z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1248z00_747, ((long) 0), BgL_arg1612z00_748);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1632z00_758;

						BgL_arg1632z00_758 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									19)), BGl_proc2226z00zzast_varz00,
							BGl_proc2225z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1248z00_747, ((long) 1), BgL_arg1632z00_758);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1647z00_768;

						BgL_arg1647z00_768 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									20)), BGl_proc2229z00zzast_varz00,
							BGl_proc2228z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2227z00zzast_varz00, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1248z00_747, ((long) 2), BgL_arg1647z00_768);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1665z00_781;

						BgL_arg1665z00_781 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									21)), BGl_proc2232z00zzast_varz00,
							BGl_proc2231z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2230z00zzast_varz00, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1248z00_747, ((long) 3), BgL_arg1665z00_781);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1679z00_794;

						BgL_arg1679z00_794 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc2235z00zzast_varz00,
							BGl_proc2234z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2233z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1248z00_747, ((long) 4), BgL_arg1679z00_794);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1699z00_807;

						BgL_arg1699z00_807 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									23)), BGl_proc2238z00zzast_varz00,
							BGl_proc2237z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2236z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1248z00_747, ((long) 5), BgL_arg1699z00_807);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1715z00_820;

						BgL_arg1715z00_820 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									24)), BGl_proc2240z00zzast_varz00,
							BGl_proc2239z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1248z00_747, ((long) 6), BgL_arg1715z00_820);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1725z00_830;

						BgL_arg1725z00_830 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									25)), BGl_proc2242z00zzast_varz00,
							BGl_proc2241z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 26)));
						VECTOR_SET(BgL_v1248z00_747, ((long) 7), BgL_arg1725z00_830);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1731z00_840;

						BgL_arg1731z00_840 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									27)), BGl_proc2245z00zzast_varz00,
							BGl_proc2244z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2243z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1248z00_747, ((long) 8), BgL_arg1731z00_840);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1746z00_853;

						BgL_arg1746z00_853 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									28)), BGl_proc2248z00zzast_varz00,
							BGl_proc2247z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2246z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1248z00_747, ((long) 9), BgL_arg1746z00_853);
					}
					BgL_arg1597z00_716 = BgL_v1248z00_747;
				}
				{	/* Ast/var.scm 46 */
					obj_t BgL_v1249z00_866;

					BgL_v1249z00_866 = create_vector(((long) 0));
					BgL_arg1601z00_717 = BgL_v1249z00_866;
				}
				BGl_globalz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 29)),
					CNST_TABLE_REF(((long) 3)), BGl_variablez00zzast_varz00,
					((long) 49842), BGl_proc2251z00zzast_varz00,
					BGl_proc2250z00zzast_varz00, BFALSE, BGl_proc2249z00zzast_varz00,
					BFALSE, BgL_arg1597z00_716, BgL_arg1601z00_717);
			}
			{	/* Ast/var.scm 75 */
				obj_t BgL_arg1762z00_873;
				obj_t BgL_arg1763z00_874;

				{	/* Ast/var.scm 75 */
					obj_t BgL_v1250z00_897;

					BgL_v1250z00_897 = create_vector(((long) 3));
					{	/* Ast/var.scm 75 */
						obj_t BgL_arg1772z00_898;

						BgL_arg1772z00_898 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									30)), BGl_proc2253z00zzast_varz00,
							BGl_proc2252z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1250z00_897, ((long) 0), BgL_arg1772z00_898);
					}
					{	/* Ast/var.scm 75 */
						obj_t BgL_arg1785z00_908;

						BgL_arg1785z00_908 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									31)), BGl_proc2256z00zzast_varz00,
							BGl_proc2255z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2254z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1250z00_897, ((long) 1), BgL_arg1785z00_908);
					}
					{	/* Ast/var.scm 75 */
						obj_t BgL_arg1805z00_921;

						BgL_arg1805z00_921 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									32)), BGl_proc2259z00zzast_varz00,
							BGl_proc2258z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2257z00zzast_varz00, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1250z00_897, ((long) 2), BgL_arg1805z00_921);
					}
					BgL_arg1762z00_873 = BgL_v1250z00_897;
				}
				{	/* Ast/var.scm 75 */
					obj_t BgL_v1251z00_934;

					BgL_v1251z00_934 = create_vector(((long) 0));
					BgL_arg1763z00_874 = BgL_v1251z00_934;
				}
				BGl_localz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 33)),
					CNST_TABLE_REF(((long) 3)), BGl_variablez00zzast_varz00, ((long) 825),
					BGl_proc2262z00zzast_varz00, BGl_proc2261z00zzast_varz00, BFALSE,
					BGl_proc2260z00zzast_varz00, BFALSE, BgL_arg1762z00_873,
					BgL_arg1763z00_874);
			}
			{	/* Ast/var.scm 84 */
				obj_t BgL_arg1837z00_941;
				obj_t BgL_arg1838z00_942;

				{	/* Ast/var.scm 84 */
					obj_t BgL_v1252z00_962;

					BgL_v1252z00_962 = create_vector(((long) 10));
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1850z00_963;

						BgL_arg1850z00_963 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									34)), BGl_proc2264z00zzast_varz00,
							BGl_proc2263z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1252z00_962, ((long) 0), BgL_arg1850z00_963);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1857z00_973;

						BgL_arg1857z00_973 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									35)), BGl_proc2267z00zzast_varz00,
							BGl_proc2266z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2265z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1252z00_962, ((long) 1), BgL_arg1857z00_973);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1867z00_986;

						BgL_arg1867z00_986 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc2270z00zzast_varz00,
							BGl_proc2269z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2268z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1252z00_962, ((long) 2), BgL_arg1867z00_986);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1875z00_999;

						BgL_arg1875z00_999 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									37)), BGl_proc2273z00zzast_varz00,
							BGl_proc2272z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2271z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1252z00_962, ((long) 3), BgL_arg1875z00_999);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1884z00_1012;

						BgL_arg1884z00_1012 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									38)), BGl_proc2276z00zzast_varz00,
							BGl_proc2275z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2274z00zzast_varz00, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1252z00_962, ((long) 4), BgL_arg1884z00_1012);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1891z00_1025;

						BgL_arg1891z00_1025 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									39)), BGl_proc2279z00zzast_varz00,
							BGl_proc2278z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2277z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1252z00_962, ((long) 5), BgL_arg1891z00_1025);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1901z00_1038;

						BgL_arg1901z00_1038 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									40)), BGl_proc2282z00zzast_varz00,
							BGl_proc2281z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2280z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1252z00_962, ((long) 6), BgL_arg1901z00_1038);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1910z00_1051;

						BgL_arg1910z00_1051 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									41)), BGl_proc2285z00zzast_varz00,
							BGl_proc2284z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2283z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1252z00_962, ((long) 7), BgL_arg1910z00_1051);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1917z00_1064;

						BgL_arg1917z00_1064 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									42)), BGl_proc2288z00zzast_varz00,
							BGl_proc2287z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2286z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1252z00_962, ((long) 8), BgL_arg1917z00_1064);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1924z00_1077;

						BgL_arg1924z00_1077 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									43)), BGl_proc2291z00zzast_varz00,
							BGl_proc2290z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2289z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1252z00_962, ((long) 9), BgL_arg1924z00_1077);
					}
					BgL_arg1837z00_941 = BgL_v1252z00_962;
				}
				{	/* Ast/var.scm 84 */
					obj_t BgL_v1253z00_1090;

					BgL_v1253z00_1090 = create_vector(((long) 0));
					BgL_arg1838z00_942 = BgL_v1253z00_1090;
				}
				BGl_funz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 44)),
					CNST_TABLE_REF(((long) 3)), BGl_valuez00zzast_varz00, ((long) 55727),
					BGl_proc2294z00zzast_varz00, BGl_proc2293z00zzast_varz00, BFALSE,
					BGl_proc2292z00zzast_varz00, BFALSE, BgL_arg1837z00_941,
					BgL_arg1838z00_942);
			}
			{	/* Ast/var.scm 116 */
				obj_t BgL_arg1935z00_1097;
				obj_t BgL_arg1936z00_1098;

				{	/* Ast/var.scm 116 */
					obj_t BgL_v1254z00_1130;

					BgL_v1254z00_1130 = create_vector(((long) 12));
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1942z00_1131;

						BgL_arg1942z00_1131 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									45)), BGl_proc2297z00zzast_varz00,
							BGl_proc2296z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2295z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1254z00_1130, ((long) 0), BgL_arg1942z00_1131);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1949z00_1144;

						BgL_arg1949z00_1144 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									46)), BGl_proc2299z00zzast_varz00,
							BGl_proc2298z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1254z00_1130, ((long) 1), BgL_arg1949z00_1144);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1954z00_1154;

						BgL_arg1954z00_1154 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc2301z00zzast_varz00,
							BGl_proc2300z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1254z00_1130, ((long) 2), BgL_arg1954z00_1154);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1959z00_1164;

						BgL_arg1959z00_1164 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									48)), BGl_proc2304z00zzast_varz00,
							BGl_proc2303z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2302z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1254z00_1130, ((long) 3), BgL_arg1959z00_1164);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1966z00_1177;

						BgL_arg1966z00_1177 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									49)), BGl_proc2306z00zzast_varz00,
							BGl_proc2305z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1254z00_1130, ((long) 4), BgL_arg1966z00_1177);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1971z00_1187;

						BgL_arg1971z00_1187 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									50)), BGl_proc2309z00zzast_varz00,
							BGl_proc2308z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2307z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1254z00_1130, ((long) 5), BgL_arg1971z00_1187);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1978z00_1200;

						BgL_arg1978z00_1200 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									51)), BGl_proc2312z00zzast_varz00,
							BGl_proc2311z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2310z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1254z00_1130, ((long) 6), BgL_arg1978z00_1200);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1985z00_1213;

						BgL_arg1985z00_1213 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									52)), BGl_proc2315z00zzast_varz00,
							BGl_proc2314z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc2313z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1254z00_1130, ((long) 7), BgL_arg1985z00_1213);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1992z00_1226;

						BgL_arg1992z00_1226 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									53)), BGl_proc2318z00zzast_varz00,
							BGl_proc2317z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc2316z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1254z00_1130, ((long) 8), BgL_arg1992z00_1226);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg2000z00_1239;

						BgL_arg2000z00_1239 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									54)), BGl_proc2321z00zzast_varz00,
							BGl_proc2320z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2319z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1254z00_1130, ((long) 9), BgL_arg2000z00_1239);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg2007z00_1252;

						BgL_arg2007z00_1252 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									55)), BGl_proc2324z00zzast_varz00,
							BGl_proc2323z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2322z00zzast_varz00, CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1254z00_1130, ((long) 10), BgL_arg2007z00_1252);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg2014z00_1265;

						BgL_arg2014z00_1265 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									56)), BGl_proc2327z00zzast_varz00,
							BGl_proc2326z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2325z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1254z00_1130, ((long) 11), BgL_arg2014z00_1265);
					}
					BgL_arg1935z00_1097 = BgL_v1254z00_1130;
				}
				{	/* Ast/var.scm 116 */
					obj_t BgL_v1255z00_1278;

					BgL_v1255z00_1278 = create_vector(((long) 0));
					BgL_arg1936z00_1098 = BgL_v1255z00_1278;
				}
				BGl_sfunz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 57)),
					CNST_TABLE_REF(((long) 3)), BGl_funz00zzast_varz00, ((long) 64266),
					BGl_proc2330z00zzast_varz00, BGl_proc2329z00zzast_varz00, BFALSE,
					BGl_proc2328z00zzast_varz00, BFALSE, BgL_arg1935z00_1097,
					BgL_arg1936z00_1098);
			}
			{	/* Ast/var.scm 146 */
				obj_t BgL_arg2025z00_1285;
				obj_t BgL_arg2026z00_1286;

				{	/* Ast/var.scm 146 */
					obj_t BgL_v1256z00_1310;

					BgL_v1256z00_1310 = create_vector(((long) 4));
					{	/* Ast/var.scm 146 */
						obj_t BgL_arg2034z00_1311;

						BgL_arg2034z00_1311 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									58)), BGl_proc2332z00zzast_varz00,
							BGl_proc2331z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1256z00_1310, ((long) 0), BgL_arg2034z00_1311);
					}
					{	/* Ast/var.scm 146 */
						obj_t BgL_arg2039z00_1321;

						BgL_arg2039z00_1321 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									59)), BGl_proc2334z00zzast_varz00,
							BGl_proc2333z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1256z00_1310, ((long) 1), BgL_arg2039z00_1321);
					}
					{	/* Ast/var.scm 146 */
						obj_t BgL_arg2044z00_1331;

						BgL_arg2044z00_1331 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									60)), BGl_proc2337z00zzast_varz00,
							BGl_proc2336z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2335z00zzast_varz00, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1256z00_1310, ((long) 2), BgL_arg2044z00_1331);
					}
					{	/* Ast/var.scm 146 */
						obj_t BgL_arg2051z00_1344;

						BgL_arg2051z00_1344 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									61)), BGl_proc2340z00zzast_varz00,
							BGl_proc2339z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2338z00zzast_varz00, CNST_TABLE_REF(((long) 62)));
						VECTOR_SET(BgL_v1256z00_1310, ((long) 3), BgL_arg2051z00_1344);
					}
					BgL_arg2025z00_1285 = BgL_v1256z00_1310;
				}
				{	/* Ast/var.scm 146 */
					obj_t BgL_v1257z00_1357;

					BgL_v1257z00_1357 = create_vector(((long) 0));
					BgL_arg2026z00_1286 = BgL_v1257z00_1357;
				}
				BGl_cfunz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 63)),
					CNST_TABLE_REF(((long) 3)), BGl_funz00zzast_varz00, ((long) 20445),
					BGl_proc2343z00zzast_varz00, BGl_proc2342z00zzast_varz00, BFALSE,
					BGl_proc2341z00zzast_varz00, BFALSE, BgL_arg2025z00_1285,
					BgL_arg2026z00_1286);
			}
			{	/* Ast/var.scm 156 */
				obj_t BgL_arg2061z00_1364;
				obj_t BgL_arg2062z00_1365;

				{	/* Ast/var.scm 156 */
					obj_t BgL_v1258z00_1376;

					BgL_v1258z00_1376 = create_vector(((long) 1));
					{	/* Ast/var.scm 156 */
						obj_t BgL_arg2068z00_1377;

						BgL_arg2068z00_1377 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									51)), BGl_proc2346z00zzast_varz00,
							BGl_proc2345z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2344z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1258z00_1376, ((long) 0), BgL_arg2068z00_1377);
					}
					BgL_arg2061z00_1364 = BgL_v1258z00_1376;
				}
				{	/* Ast/var.scm 156 */
					obj_t BgL_v1259z00_1390;

					BgL_v1259z00_1390 = create_vector(((long) 0));
					BgL_arg2062z00_1365 = BgL_v1259z00_1390;
				}
				BGl_svarz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 64)),
					CNST_TABLE_REF(((long) 3)), BGl_valuez00zzast_varz00, ((long) 12471),
					BGl_proc2349z00zzast_varz00, BGl_proc2348z00zzast_varz00, BFALSE,
					BGl_proc2347z00zzast_varz00, BFALSE, BgL_arg2061z00_1364,
					BgL_arg2062z00_1365);
			}
			{	/* Ast/var.scm 160 */
				obj_t BgL_arg2081z00_1397;
				obj_t BgL_arg2082z00_1398;

				{	/* Ast/var.scm 160 */
					obj_t BgL_v1260z00_1411;

					BgL_v1260z00_1411 = create_vector(((long) 3));
					{	/* Ast/var.scm 160 */
						obj_t BgL_arg2088z00_1412;

						BgL_arg2088z00_1412 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									65)), BGl_proc2351z00zzast_varz00,
							BGl_proc2350z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1260z00_1411, ((long) 0), BgL_arg2088z00_1412);
					}
					{	/* Ast/var.scm 160 */
						obj_t BgL_arg2093z00_1422;

						BgL_arg2093z00_1422 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									49)), BGl_proc2353z00zzast_varz00,
							BGl_proc2352z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1260z00_1411, ((long) 1), BgL_arg2093z00_1422);
					}
					{	/* Ast/var.scm 160 */
						obj_t BgL_arg2100z00_1432;

						BgL_arg2100z00_1432 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									51)), BGl_proc2356z00zzast_varz00,
							BGl_proc2355z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2354z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1260z00_1411, ((long) 2), BgL_arg2100z00_1432);
					}
					BgL_arg2081z00_1397 = BgL_v1260z00_1411;
				}
				{	/* Ast/var.scm 160 */
					obj_t BgL_v1261z00_1445;

					BgL_v1261z00_1445 = create_vector(((long) 0));
					BgL_arg2082z00_1398 = BgL_v1261z00_1445;
				}
				BGl_scnstz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 66)),
					CNST_TABLE_REF(((long) 3)), BGl_valuez00zzast_varz00, ((long) 22055),
					BGl_proc2359z00zzast_varz00, BGl_proc2358z00zzast_varz00, BFALSE,
					BGl_proc2357z00zzast_varz00, BFALSE, BgL_arg2081z00_1397,
					BgL_arg2082z00_1398);
			}
			{	/* Ast/var.scm 168 */
				obj_t BgL_arg2111z00_1452;
				obj_t BgL_arg2112z00_1453;

				{	/* Ast/var.scm 168 */
					obj_t BgL_v1262z00_1464;

					BgL_v1262z00_1464 = create_vector(((long) 1));
					{	/* Ast/var.scm 168 */
						obj_t BgL_arg2118z00_1465;

						BgL_arg2118z00_1465 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									59)), BGl_proc2361z00zzast_varz00,
							BGl_proc2360z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1262z00_1464, ((long) 0), BgL_arg2118z00_1465);
					}
					BgL_arg2111z00_1452 = BgL_v1262z00_1464;
				}
				{	/* Ast/var.scm 168 */
					obj_t BgL_v1263z00_1475;

					BgL_v1263z00_1475 = create_vector(((long) 0));
					BgL_arg2112z00_1453 = BgL_v1263z00_1475;
				}
				BGl_cvarz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 67)),
					CNST_TABLE_REF(((long) 3)), BGl_valuez00zzast_varz00, ((long) 53457),
					BGl_proc2364z00zzast_varz00, BGl_proc2363z00zzast_varz00, BFALSE,
					BGl_proc2362z00zzast_varz00, BFALSE, BgL_arg2111z00_1452,
					BgL_arg2112z00_1453);
			}
			{	/* Ast/var.scm 172 */
				obj_t BgL_arg2126z00_1482;
				obj_t BgL_arg2127z00_1483;

				{	/* Ast/var.scm 172 */
					obj_t BgL_v1264z00_1495;

					BgL_v1264z00_1495 = create_vector(((long) 2));
					{	/* Ast/var.scm 172 */
						obj_t BgL_arg2133z00_1496;

						BgL_arg2133z00_1496 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									68)), BGl_proc2366z00zzast_varz00,
							BGl_proc2365z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1264z00_1495, ((long) 0), BgL_arg2133z00_1496);
					}
					{	/* Ast/var.scm 172 */
						obj_t BgL_arg2139z00_1506;

						BgL_arg2139z00_1506 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									69)), BGl_proc2369z00zzast_varz00,
							BGl_proc2368z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2367z00zzast_varz00, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1264z00_1495, ((long) 1), BgL_arg2139z00_1506);
					}
					BgL_arg2126z00_1482 = BgL_v1264z00_1495;
				}
				{	/* Ast/var.scm 172 */
					obj_t BgL_v1265z00_1519;

					BgL_v1265z00_1519 = create_vector(((long) 0));
					BgL_arg2127z00_1483 = BgL_v1265z00_1519;
				}
				BGl_sexitz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 70)),
					CNST_TABLE_REF(((long) 3)), BGl_valuez00zzast_varz00, ((long) 19916),
					BGl_proc2372z00zzast_varz00, BGl_proc2371z00zzast_varz00, BFALSE,
					BGl_proc2370z00zzast_varz00, BFALSE, BgL_arg2126z00_1482,
					BgL_arg2127z00_1483);
			}
			{	/* Ast/var.scm 178 */
				obj_t BgL_arg2150z00_1526;
				obj_t BgL_arg2151z00_1527;

				{	/* Ast/var.scm 178 */
					obj_t BgL_v1266z00_1539;

					BgL_v1266z00_1539 = create_vector(((long) 2));
					{	/* Ast/var.scm 178 */
						obj_t BgL_arg2157z00_1540;

						BgL_arg2157z00_1540 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									71)), BGl_proc2375z00zzast_varz00,
							BGl_proc2374z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2373z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1266z00_1539, ((long) 0), BgL_arg2157z00_1540);
					}
					{	/* Ast/var.scm 178 */
						obj_t BgL_arg2164z00_1553;

						BgL_arg2164z00_1553 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									72)), BGl_proc2378z00zzast_varz00,
							BGl_proc2377z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2376z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1266z00_1539, ((long) 1), BgL_arg2164z00_1553);
					}
					BgL_arg2150z00_1526 = BgL_v1266z00_1539;
				}
				{	/* Ast/var.scm 178 */
					obj_t BgL_v1267z00_1566;

					BgL_v1267z00_1566 = create_vector(((long) 0));
					BgL_arg2151z00_1527 = BgL_v1267z00_1566;
				}
				return (BGl_feffectz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 73)),
						CNST_TABLE_REF(((long) 3)), BGl_objectz00zz__objectz00,
						((long) 59103), BGl_proc2381z00zzast_varz00,
						BGl_proc2380z00zzast_varz00, BFALSE, BGl_proc2379z00zzast_varz00,
						BFALSE, BgL_arg2150z00_1526, BgL_arg2151z00_1527), BUNSPEC);
		}}

	}



/* &<@anonymous:2156> */
	obj_t BGl_z62zc3z04anonymousza32156ze3ze5zzast_varz00(obj_t BgL_envz00_3231,
		obj_t BgL_new1181z00_3232)
	{
		{	/* Ast/var.scm 178 */
			{
				BgL_feffectz00_bglt BgL_auxz00_5934;

				((((BgL_feffectz00_bglt) COBJECT(
								((BgL_feffectz00_bglt) BgL_new1181z00_3232)))->BgL_readz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(((BgL_feffectz00_bglt)
									BgL_new1181z00_3232)))->BgL_writez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5934 = ((BgL_feffectz00_bglt) BgL_new1181z00_3232);
				return ((obj_t) BgL_auxz00_5934);
			}
		}

	}



/* &lambda2154 */
	BgL_feffectz00_bglt BGl_z62lambda2154z62zzast_varz00(obj_t BgL_envz00_3233)
	{
		{	/* Ast/var.scm 178 */
			{	/* Ast/var.scm 178 */
				BgL_feffectz00_bglt BgL_new1180z00_3924;

				BgL_new1180z00_3924 =
					((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_feffectz00_bgl))));
				{	/* Ast/var.scm 178 */
					long BgL_arg2155z00_3925;

					BgL_arg2155z00_3925 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1180z00_3924), BgL_arg2155z00_3925);
				}
				return BgL_new1180z00_3924;
			}
		}

	}



/* &lambda2152 */
	BgL_feffectz00_bglt BGl_z62lambda2152z62zzast_varz00(obj_t BgL_envz00_3234,
		obj_t BgL_read1178z00_3235, obj_t BgL_write1179z00_3236)
	{
		{	/* Ast/var.scm 178 */
			{	/* Ast/var.scm 178 */
				BgL_feffectz00_bglt BgL_new1241z00_3926;

				{	/* Ast/var.scm 178 */
					BgL_feffectz00_bglt BgL_new1240z00_3927;

					BgL_new1240z00_3927 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 178 */
						long BgL_arg2153z00_3928;

						BgL_arg2153z00_3928 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1240z00_3927), BgL_arg2153z00_3928);
					}
					BgL_new1241z00_3926 = BgL_new1240z00_3927;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1241z00_3926))->BgL_readz00) =
					((obj_t) BgL_read1178z00_3235), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1241z00_3926))->BgL_writez00) =
					((obj_t) BgL_write1179z00_3236), BUNSPEC);
				return BgL_new1241z00_3926;
			}
		}

	}



/* &<@anonymous:2170> */
	obj_t BGl_z62zc3z04anonymousza32170ze3ze5zzast_varz00(obj_t BgL_envz00_3237)
	{
		{	/* Ast/var.scm 178 */
			return BNIL;
		}

	}



/* &lambda2169 */
	obj_t BGl_z62lambda2169z62zzast_varz00(obj_t BgL_envz00_3238,
		obj_t BgL_oz00_3239, obj_t BgL_vz00_3240)
	{
		{	/* Ast/var.scm 178 */
			return
				((((BgL_feffectz00_bglt) COBJECT(
							((BgL_feffectz00_bglt) BgL_oz00_3239)))->BgL_writez00) =
				((obj_t) BgL_vz00_3240), BUNSPEC);
		}

	}



/* &lambda2168 */
	obj_t BGl_z62lambda2168z62zzast_varz00(obj_t BgL_envz00_3241,
		obj_t BgL_oz00_3242)
	{
		{	/* Ast/var.scm 178 */
			return
				(((BgL_feffectz00_bglt) COBJECT(
						((BgL_feffectz00_bglt) BgL_oz00_3242)))->BgL_writez00);
		}

	}



/* &<@anonymous:2163> */
	obj_t BGl_z62zc3z04anonymousza32163ze3ze5zzast_varz00(obj_t BgL_envz00_3243)
	{
		{	/* Ast/var.scm 178 */
			return BNIL;
		}

	}



/* &lambda2162 */
	obj_t BGl_z62lambda2162z62zzast_varz00(obj_t BgL_envz00_3244,
		obj_t BgL_oz00_3245, obj_t BgL_vz00_3246)
	{
		{	/* Ast/var.scm 178 */
			return
				((((BgL_feffectz00_bglt) COBJECT(
							((BgL_feffectz00_bglt) BgL_oz00_3245)))->BgL_readz00) =
				((obj_t) BgL_vz00_3246), BUNSPEC);
		}

	}



/* &lambda2161 */
	obj_t BGl_z62lambda2161z62zzast_varz00(obj_t BgL_envz00_3247,
		obj_t BgL_oz00_3248)
	{
		{	/* Ast/var.scm 178 */
			return
				(((BgL_feffectz00_bglt) COBJECT(
						((BgL_feffectz00_bglt) BgL_oz00_3248)))->BgL_readz00);
		}

	}



/* &<@anonymous:2132> */
	obj_t BGl_z62zc3z04anonymousza32132ze3ze5zzast_varz00(obj_t BgL_envz00_3249,
		obj_t BgL_new1176z00_3250)
	{
		{	/* Ast/var.scm 172 */
			{
				BgL_sexitz00_bglt BgL_auxz00_5959;

				((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt) BgL_new1176z00_3250)))->BgL_handlerz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
									BgL_new1176z00_3250)))->BgL_detachedzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_5959 = ((BgL_sexitz00_bglt) BgL_new1176z00_3250);
				return ((obj_t) BgL_auxz00_5959);
			}
		}

	}



/* &lambda2130 */
	BgL_sexitz00_bglt BGl_z62lambda2130z62zzast_varz00(obj_t BgL_envz00_3251)
	{
		{	/* Ast/var.scm 172 */
			{	/* Ast/var.scm 172 */
				BgL_sexitz00_bglt BgL_new1175z00_3934;

				BgL_new1175z00_3934 =
					((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sexitz00_bgl))));
				{	/* Ast/var.scm 172 */
					long BgL_arg2131z00_3935;

					BgL_arg2131z00_3935 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1175z00_3934), BgL_arg2131z00_3935);
				}
				{	/* Ast/var.scm 172 */
					BgL_objectz00_bglt BgL_tmpz00_5970;

					BgL_tmpz00_5970 = ((BgL_objectz00_bglt) BgL_new1175z00_3934);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5970, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1175z00_3934);
				return BgL_new1175z00_3934;
			}
		}

	}



/* &lambda2128 */
	BgL_sexitz00_bglt BGl_z62lambda2128z62zzast_varz00(obj_t BgL_envz00_3252,
		obj_t BgL_handler1173z00_3253, obj_t BgL_detachedzf31174zf3_3254)
	{
		{	/* Ast/var.scm 172 */
			{	/* Ast/var.scm 172 */
				bool_t BgL_detachedzf31174zf3_3936;

				BgL_detachedzf31174zf3_3936 = CBOOL(BgL_detachedzf31174zf3_3254);
				{	/* Ast/var.scm 172 */
					BgL_sexitz00_bglt BgL_new1239z00_3937;

					{	/* Ast/var.scm 172 */
						BgL_sexitz00_bglt BgL_new1238z00_3938;

						BgL_new1238z00_3938 =
							((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sexitz00_bgl))));
						{	/* Ast/var.scm 172 */
							long BgL_arg2129z00_3939;

							BgL_arg2129z00_3939 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1238z00_3938),
								BgL_arg2129z00_3939);
						}
						{	/* Ast/var.scm 172 */
							BgL_objectz00_bglt BgL_tmpz00_5979;

							BgL_tmpz00_5979 = ((BgL_objectz00_bglt) BgL_new1238z00_3938);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5979, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1238z00_3938);
						BgL_new1239z00_3937 = BgL_new1238z00_3938;
					}
					((((BgL_sexitz00_bglt) COBJECT(BgL_new1239z00_3937))->
							BgL_handlerz00) = ((obj_t) BgL_handler1173z00_3253), BUNSPEC);
					((((BgL_sexitz00_bglt) COBJECT(BgL_new1239z00_3937))->
							BgL_detachedzf3zf3) =
						((bool_t) BgL_detachedzf31174zf3_3936), BUNSPEC);
					return BgL_new1239z00_3937;
				}
			}
		}

	}



/* &<@anonymous:2145> */
	obj_t BGl_z62zc3z04anonymousza32145ze3ze5zzast_varz00(obj_t BgL_envz00_3255)
	{
		{	/* Ast/var.scm 172 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2144 */
	obj_t BGl_z62lambda2144z62zzast_varz00(obj_t BgL_envz00_3256,
		obj_t BgL_oz00_3257, obj_t BgL_vz00_3258)
	{
		{	/* Ast/var.scm 172 */
			{	/* Ast/var.scm 172 */
				bool_t BgL_vz00_3941;

				BgL_vz00_3941 = CBOOL(BgL_vz00_3258);
				return
					((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt) BgL_oz00_3257)))->BgL_detachedzf3zf3) =
					((bool_t) BgL_vz00_3941), BUNSPEC);
			}
		}

	}



/* &lambda2143 */
	obj_t BGl_z62lambda2143z62zzast_varz00(obj_t BgL_envz00_3259,
		obj_t BgL_oz00_3260)
	{
		{	/* Ast/var.scm 172 */
			return
				BBOOL(
				(((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_3260)))->BgL_detachedzf3zf3));
		}

	}



/* &lambda2138 */
	obj_t BGl_z62lambda2138z62zzast_varz00(obj_t BgL_envz00_3261,
		obj_t BgL_oz00_3262, obj_t BgL_vz00_3263)
	{
		{	/* Ast/var.scm 172 */
			return
				((((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_3262)))->BgL_handlerz00) =
				((obj_t) BgL_vz00_3263), BUNSPEC);
		}

	}



/* &lambda2137 */
	obj_t BGl_z62lambda2137z62zzast_varz00(obj_t BgL_envz00_3264,
		obj_t BgL_oz00_3265)
	{
		{	/* Ast/var.scm 172 */
			return
				(((BgL_sexitz00_bglt) COBJECT(
						((BgL_sexitz00_bglt) BgL_oz00_3265)))->BgL_handlerz00);
		}

	}



/* &<@anonymous:2117> */
	obj_t BGl_z62zc3z04anonymousza32117ze3ze5zzast_varz00(obj_t BgL_envz00_3266,
		obj_t BgL_new1171z00_3267)
	{
		{	/* Ast/var.scm 168 */
			{
				BgL_cvarz00_bglt BgL_auxz00_5996;

				((((BgL_cvarz00_bglt) COBJECT(
								((BgL_cvarz00_bglt) BgL_new1171z00_3267)))->BgL_macrozf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_5996 = ((BgL_cvarz00_bglt) BgL_new1171z00_3267);
				return ((obj_t) BgL_auxz00_5996);
			}
		}

	}



/* &lambda2115 */
	BgL_cvarz00_bglt BGl_z62lambda2115z62zzast_varz00(obj_t BgL_envz00_3268)
	{
		{	/* Ast/var.scm 168 */
			{	/* Ast/var.scm 168 */
				BgL_cvarz00_bglt BgL_new1170z00_3946;

				BgL_new1170z00_3946 =
					((BgL_cvarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_cvarz00_bgl))));
				{	/* Ast/var.scm 168 */
					long BgL_arg2116z00_3947;

					BgL_arg2116z00_3947 = BGL_CLASS_NUM(BGl_cvarz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1170z00_3946), BgL_arg2116z00_3947);
				}
				{	/* Ast/var.scm 168 */
					BgL_objectz00_bglt BgL_tmpz00_6005;

					BgL_tmpz00_6005 = ((BgL_objectz00_bglt) BgL_new1170z00_3946);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6005, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1170z00_3946);
				return BgL_new1170z00_3946;
			}
		}

	}



/* &lambda2113 */
	BgL_cvarz00_bglt BGl_z62lambda2113z62zzast_varz00(obj_t BgL_envz00_3269,
		obj_t BgL_macrozf31169zf3_3270)
	{
		{	/* Ast/var.scm 168 */
			{	/* Ast/var.scm 168 */
				bool_t BgL_macrozf31169zf3_3948;

				BgL_macrozf31169zf3_3948 = CBOOL(BgL_macrozf31169zf3_3270);
				{	/* Ast/var.scm 168 */
					BgL_cvarz00_bglt BgL_new1237z00_3949;

					{	/* Ast/var.scm 168 */
						BgL_cvarz00_bglt BgL_new1236z00_3950;

						BgL_new1236z00_3950 =
							((BgL_cvarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_cvarz00_bgl))));
						{	/* Ast/var.scm 168 */
							long BgL_arg2114z00_3951;

							BgL_arg2114z00_3951 = BGL_CLASS_NUM(BGl_cvarz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1236z00_3950),
								BgL_arg2114z00_3951);
						}
						{	/* Ast/var.scm 168 */
							BgL_objectz00_bglt BgL_tmpz00_6014;

							BgL_tmpz00_6014 = ((BgL_objectz00_bglt) BgL_new1236z00_3950);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6014, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1236z00_3950);
						BgL_new1237z00_3949 = BgL_new1236z00_3950;
					}
					((((BgL_cvarz00_bglt) COBJECT(BgL_new1237z00_3949))->
							BgL_macrozf3zf3) = ((bool_t) BgL_macrozf31169zf3_3948), BUNSPEC);
					return BgL_new1237z00_3949;
				}
			}
		}

	}



/* &lambda2122 */
	obj_t BGl_z62lambda2122z62zzast_varz00(obj_t BgL_envz00_3271,
		obj_t BgL_oz00_3272, obj_t BgL_vz00_3273)
	{
		{	/* Ast/var.scm 168 */
			{	/* Ast/var.scm 168 */
				bool_t BgL_vz00_3953;

				BgL_vz00_3953 = CBOOL(BgL_vz00_3273);
				return
					((((BgL_cvarz00_bglt) COBJECT(
								((BgL_cvarz00_bglt) BgL_oz00_3272)))->BgL_macrozf3zf3) =
					((bool_t) BgL_vz00_3953), BUNSPEC);
			}
		}

	}



/* &lambda2121 */
	obj_t BGl_z62lambda2121z62zzast_varz00(obj_t BgL_envz00_3274,
		obj_t BgL_oz00_3275)
	{
		{	/* Ast/var.scm 168 */
			return
				BBOOL(
				(((BgL_cvarz00_bglt) COBJECT(
							((BgL_cvarz00_bglt) BgL_oz00_3275)))->BgL_macrozf3zf3));
		}

	}



/* &<@anonymous:2087> */
	obj_t BGl_z62zc3z04anonymousza32087ze3ze5zzast_varz00(obj_t BgL_envz00_3276,
		obj_t BgL_new1167z00_3277)
	{
		{	/* Ast/var.scm 160 */
			{
				BgL_scnstz00_bglt BgL_auxz00_6025;

				((((BgL_scnstz00_bglt) COBJECT(
								((BgL_scnstz00_bglt) BgL_new1167z00_3277)))->BgL_nodez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt)
									BgL_new1167z00_3277)))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt)
									BgL_new1167z00_3277)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_6025 = ((BgL_scnstz00_bglt) BgL_new1167z00_3277);
				return ((obj_t) BgL_auxz00_6025);
			}
		}

	}



/* &lambda2085 */
	BgL_scnstz00_bglt BGl_z62lambda2085z62zzast_varz00(obj_t BgL_envz00_3278)
	{
		{	/* Ast/var.scm 160 */
			{	/* Ast/var.scm 160 */
				BgL_scnstz00_bglt BgL_new1166z00_3956;

				BgL_new1166z00_3956 =
					((BgL_scnstz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_scnstz00_bgl))));
				{	/* Ast/var.scm 160 */
					long BgL_arg2086z00_3957;

					BgL_arg2086z00_3957 = BGL_CLASS_NUM(BGl_scnstz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1166z00_3956), BgL_arg2086z00_3957);
				}
				{	/* Ast/var.scm 160 */
					BgL_objectz00_bglt BgL_tmpz00_6038;

					BgL_tmpz00_6038 = ((BgL_objectz00_bglt) BgL_new1166z00_3956);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6038, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1166z00_3956);
				return BgL_new1166z00_3956;
			}
		}

	}



/* &lambda2083 */
	BgL_scnstz00_bglt BGl_z62lambda2083z62zzast_varz00(obj_t BgL_envz00_3279,
		obj_t BgL_node1163z00_3280, obj_t BgL_class1164z00_3281,
		obj_t BgL_loc1165z00_3282)
	{
		{	/* Ast/var.scm 160 */
			{	/* Ast/var.scm 160 */
				BgL_scnstz00_bglt BgL_new1235z00_3958;

				{	/* Ast/var.scm 160 */
					BgL_scnstz00_bglt BgL_new1234z00_3959;

					BgL_new1234z00_3959 =
						((BgL_scnstz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_scnstz00_bgl))));
					{	/* Ast/var.scm 160 */
						long BgL_arg2084z00_3960;

						BgL_arg2084z00_3960 = BGL_CLASS_NUM(BGl_scnstz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1234z00_3959), BgL_arg2084z00_3960);
					}
					{	/* Ast/var.scm 160 */
						BgL_objectz00_bglt BgL_tmpz00_6046;

						BgL_tmpz00_6046 = ((BgL_objectz00_bglt) BgL_new1234z00_3959);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6046, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1234z00_3959);
					BgL_new1235z00_3958 = BgL_new1234z00_3959;
				}
				((((BgL_scnstz00_bglt) COBJECT(BgL_new1235z00_3958))->BgL_nodez00) =
					((obj_t) BgL_node1163z00_3280), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(BgL_new1235z00_3958))->BgL_classz00) =
					((obj_t) BgL_class1164z00_3281), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(BgL_new1235z00_3958))->BgL_locz00) =
					((obj_t) BgL_loc1165z00_3282), BUNSPEC);
				return BgL_new1235z00_3958;
			}
		}

	}



/* &<@anonymous:2106> */
	obj_t BGl_z62zc3z04anonymousza32106ze3ze5zzast_varz00(obj_t BgL_envz00_3283)
	{
		{	/* Ast/var.scm 160 */
			return BUNSPEC;
		}

	}



/* &lambda2105 */
	obj_t BGl_z62lambda2105z62zzast_varz00(obj_t BgL_envz00_3284,
		obj_t BgL_oz00_3285, obj_t BgL_vz00_3286)
	{
		{	/* Ast/var.scm 160 */
			return
				((((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_oz00_3285)))->BgL_locz00) =
				((obj_t) BgL_vz00_3286), BUNSPEC);
		}

	}



/* &lambda2104 */
	obj_t BGl_z62lambda2104z62zzast_varz00(obj_t BgL_envz00_3287,
		obj_t BgL_oz00_3288)
	{
		{	/* Ast/var.scm 160 */
			return
				(((BgL_scnstz00_bglt) COBJECT(
						((BgL_scnstz00_bglt) BgL_oz00_3288)))->BgL_locz00);
		}

	}



/* &lambda2097 */
	obj_t BGl_z62lambda2097z62zzast_varz00(obj_t BgL_envz00_3289,
		obj_t BgL_oz00_3290, obj_t BgL_vz00_3291)
	{
		{	/* Ast/var.scm 160 */
			return
				((((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_oz00_3290)))->BgL_classz00) =
				((obj_t) BgL_vz00_3291), BUNSPEC);
		}

	}



/* &lambda2096 */
	obj_t BGl_z62lambda2096z62zzast_varz00(obj_t BgL_envz00_3292,
		obj_t BgL_oz00_3293)
	{
		{	/* Ast/var.scm 160 */
			return
				(((BgL_scnstz00_bglt) COBJECT(
						((BgL_scnstz00_bglt) BgL_oz00_3293)))->BgL_classz00);
		}

	}



/* &lambda2092 */
	obj_t BGl_z62lambda2092z62zzast_varz00(obj_t BgL_envz00_3294,
		obj_t BgL_oz00_3295, obj_t BgL_vz00_3296)
	{
		{	/* Ast/var.scm 160 */
			return
				((((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_oz00_3295)))->BgL_nodez00) =
				((obj_t) BgL_vz00_3296), BUNSPEC);
		}

	}



/* &lambda2091 */
	obj_t BGl_z62lambda2091z62zzast_varz00(obj_t BgL_envz00_3297,
		obj_t BgL_oz00_3298)
	{
		{	/* Ast/var.scm 160 */
			return
				(((BgL_scnstz00_bglt) COBJECT(
						((BgL_scnstz00_bglt) BgL_oz00_3298)))->BgL_nodez00);
		}

	}



/* &<@anonymous:2067> */
	obj_t BGl_z62zc3z04anonymousza32067ze3ze5zzast_varz00(obj_t BgL_envz00_3299,
		obj_t BgL_new1161z00_3300)
	{
		{	/* Ast/var.scm 156 */
			{
				BgL_svarz00_bglt BgL_auxz00_6065;

				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt) BgL_new1161z00_3300)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_6065 = ((BgL_svarz00_bglt) BgL_new1161z00_3300);
				return ((obj_t) BgL_auxz00_6065);
			}
		}

	}



/* &lambda2065 */
	BgL_svarz00_bglt BGl_z62lambda2065z62zzast_varz00(obj_t BgL_envz00_3301)
	{
		{	/* Ast/var.scm 156 */
			{	/* Ast/var.scm 156 */
				BgL_svarz00_bglt BgL_new1160z00_3968;

				BgL_new1160z00_3968 =
					((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_svarz00_bgl))));
				{	/* Ast/var.scm 156 */
					long BgL_arg2066z00_3969;

					BgL_arg2066z00_3969 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1160z00_3968), BgL_arg2066z00_3969);
				}
				{	/* Ast/var.scm 156 */
					BgL_objectz00_bglt BgL_tmpz00_6074;

					BgL_tmpz00_6074 = ((BgL_objectz00_bglt) BgL_new1160z00_3968);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6074, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1160z00_3968);
				return BgL_new1160z00_3968;
			}
		}

	}



/* &lambda2063 */
	BgL_svarz00_bglt BGl_z62lambda2063z62zzast_varz00(obj_t BgL_envz00_3302,
		obj_t BgL_loc1159z00_3303)
	{
		{	/* Ast/var.scm 156 */
			{	/* Ast/var.scm 156 */
				BgL_svarz00_bglt BgL_new1233z00_3970;

				{	/* Ast/var.scm 156 */
					BgL_svarz00_bglt BgL_new1232z00_3971;

					BgL_new1232z00_3971 =
						((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_svarz00_bgl))));
					{	/* Ast/var.scm 156 */
						long BgL_arg2064z00_3972;

						BgL_arg2064z00_3972 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1232z00_3971), BgL_arg2064z00_3972);
					}
					{	/* Ast/var.scm 156 */
						BgL_objectz00_bglt BgL_tmpz00_6082;

						BgL_tmpz00_6082 = ((BgL_objectz00_bglt) BgL_new1232z00_3971);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6082, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1232z00_3971);
					BgL_new1233z00_3970 = BgL_new1232z00_3971;
				}
				((((BgL_svarz00_bglt) COBJECT(BgL_new1233z00_3970))->BgL_locz00) =
					((obj_t) BgL_loc1159z00_3303), BUNSPEC);
				return BgL_new1233z00_3970;
			}
		}

	}



/* &<@anonymous:2075> */
	obj_t BGl_z62zc3z04anonymousza32075ze3ze5zzast_varz00(obj_t BgL_envz00_3304)
	{
		{	/* Ast/var.scm 156 */
			return BUNSPEC;
		}

	}



/* &lambda2074 */
	obj_t BGl_z62lambda2074z62zzast_varz00(obj_t BgL_envz00_3305,
		obj_t BgL_oz00_3306, obj_t BgL_vz00_3307)
	{
		{	/* Ast/var.scm 156 */
			return
				((((BgL_svarz00_bglt) COBJECT(
							((BgL_svarz00_bglt) BgL_oz00_3306)))->BgL_locz00) =
				((obj_t) BgL_vz00_3307), BUNSPEC);
		}

	}



/* &lambda2073 */
	obj_t BGl_z62lambda2073z62zzast_varz00(obj_t BgL_envz00_3308,
		obj_t BgL_oz00_3309)
	{
		{	/* Ast/var.scm 156 */
			return
				(((BgL_svarz00_bglt) COBJECT(
						((BgL_svarz00_bglt) BgL_oz00_3309)))->BgL_locz00);
		}

	}



/* &<@anonymous:2032> */
	obj_t BGl_z62zc3z04anonymousza32032ze3ze5zzast_varz00(obj_t BgL_envz00_3310,
		obj_t BgL_new1157z00_3311)
	{
		{	/* Ast/var.scm 146 */
			{
				BgL_cfunz00_bglt BgL_auxz00_6091;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_cfunz00_bglt) BgL_new1157z00_3311))))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1157z00_3311))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1157z00_3311))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1157z00_3311))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1157z00_3311))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1157z00_3311))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1157z00_3311))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1157z00_3311))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1157z00_3311))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1157z00_3311))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1157z00_3311)))->BgL_argszd2typezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1157z00_3311)))->BgL_macrozf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1157z00_3311)))->BgL_infixzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1157z00_3311)))->BgL_methodz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_6091 = ((BgL_cfunz00_bglt) BgL_new1157z00_3311);
				return ((obj_t) BgL_auxz00_6091);
			}
		}

	}



/* &lambda2030 */
	BgL_cfunz00_bglt BGl_z62lambda2030z62zzast_varz00(obj_t BgL_envz00_3312)
	{
		{	/* Ast/var.scm 146 */
			{	/* Ast/var.scm 146 */
				BgL_cfunz00_bglt BgL_new1155z00_3976;

				BgL_new1155z00_3976 =
					((BgL_cfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_cfunz00_bgl))));
				{	/* Ast/var.scm 146 */
					long BgL_arg2031z00_3977;

					BgL_arg2031z00_3977 = BGL_CLASS_NUM(BGl_cfunz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1155z00_3976), BgL_arg2031z00_3977);
				}
				{	/* Ast/var.scm 146 */
					BgL_objectz00_bglt BgL_tmpz00_6136;

					BgL_tmpz00_6136 = ((BgL_objectz00_bglt) BgL_new1155z00_3976);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6136, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1155z00_3976);
				return BgL_new1155z00_3976;
			}
		}

	}



/* &lambda2027 */
	BgL_cfunz00_bglt BGl_z62lambda2027z62zzast_varz00(obj_t BgL_envz00_3313,
		obj_t BgL_arity1141z00_3314, obj_t BgL_sidezd2effect1142zd2_3315,
		obj_t BgL_predicatezd2of1143zd2_3316,
		obj_t BgL_stackzd2allocator1144zd2_3317, obj_t BgL_topzf31145zf3_3318,
		obj_t BgL_thezd2closure1146zd2_3319, obj_t BgL_effect1147z00_3320,
		obj_t BgL_failsafe1148z00_3321, obj_t BgL_argszd2noescape1149zd2_3322,
		obj_t BgL_argszd2retescape1150zd2_3323, obj_t BgL_argszd2type1151zd2_3324,
		obj_t BgL_macrozf31152zf3_3325, obj_t BgL_infixzf31153zf3_3326,
		obj_t BgL_method1154z00_3327)
	{
		{	/* Ast/var.scm 146 */
			{	/* Ast/var.scm 146 */
				long BgL_arity1141z00_3978;
				bool_t BgL_topzf31145zf3_3979;
				bool_t BgL_macrozf31152zf3_3980;
				bool_t BgL_infixzf31153zf3_3981;

				BgL_arity1141z00_3978 = (long) CINT(BgL_arity1141z00_3314);
				BgL_topzf31145zf3_3979 = CBOOL(BgL_topzf31145zf3_3318);
				BgL_macrozf31152zf3_3980 = CBOOL(BgL_macrozf31152zf3_3325);
				BgL_infixzf31153zf3_3981 = CBOOL(BgL_infixzf31153zf3_3326);
				{	/* Ast/var.scm 146 */
					BgL_cfunz00_bglt BgL_new1231z00_3983;

					{	/* Ast/var.scm 146 */
						BgL_cfunz00_bglt BgL_new1230z00_3984;

						BgL_new1230z00_3984 =
							((BgL_cfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_cfunz00_bgl))));
						{	/* Ast/var.scm 146 */
							long BgL_arg2029z00_3985;

							BgL_arg2029z00_3985 = BGL_CLASS_NUM(BGl_cfunz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1230z00_3984),
								BgL_arg2029z00_3985);
						}
						{	/* Ast/var.scm 146 */
							BgL_objectz00_bglt BgL_tmpz00_6148;

							BgL_tmpz00_6148 = ((BgL_objectz00_bglt) BgL_new1230z00_3984);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6148, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1230z00_3984);
						BgL_new1231z00_3983 = BgL_new1230z00_3984;
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1231z00_3983)))->BgL_arityz00) =
						((long) BgL_arity1141z00_3978), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1231z00_3983)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1142zd2_3315), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1231z00_3983)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1143zd2_3316), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1231z00_3983)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1144zd2_3317), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1231z00_3983)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31145zf3_3979), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1231z00_3983)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1146zd2_3319), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1231z00_3983)))->BgL_effectz00) =
						((obj_t) BgL_effect1147z00_3320), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1231z00_3983)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1148z00_3321), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1231z00_3983)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1149zd2_3322), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1231z00_3983)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1150zd2_3323), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(BgL_new1231z00_3983))->
							BgL_argszd2typezd2) =
						((obj_t) BgL_argszd2type1151zd2_3324), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(BgL_new1231z00_3983))->
							BgL_macrozf3zf3) = ((bool_t) BgL_macrozf31152zf3_3980), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(BgL_new1231z00_3983))->
							BgL_infixzf3zf3) = ((bool_t) BgL_infixzf31153zf3_3981), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(BgL_new1231z00_3983))->BgL_methodz00) =
						((obj_t) ((obj_t) BgL_method1154z00_3327)), BUNSPEC);
					return BgL_new1231z00_3983;
				}
			}
		}

	}



/* &<@anonymous:2057> */
	obj_t BGl_z62zc3z04anonymousza32057ze3ze5zzast_varz00(obj_t BgL_envz00_3328)
	{
		{	/* Ast/var.scm 146 */
			return BNIL;
		}

	}



/* &lambda2056 */
	obj_t BGl_z62lambda2056z62zzast_varz00(obj_t BgL_envz00_3329,
		obj_t BgL_oz00_3330, obj_t BgL_vz00_3331)
	{
		{	/* Ast/var.scm 146 */
			return
				((((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_oz00_3330)))->BgL_methodz00) = ((obj_t)
					((obj_t) BgL_vz00_3331)), BUNSPEC);
		}

	}



/* &lambda2055 */
	obj_t BGl_z62lambda2055z62zzast_varz00(obj_t BgL_envz00_3332,
		obj_t BgL_oz00_3333)
	{
		{	/* Ast/var.scm 146 */
			return
				(((BgL_cfunz00_bglt) COBJECT(
						((BgL_cfunz00_bglt) BgL_oz00_3333)))->BgL_methodz00);
		}

	}



/* &<@anonymous:2050> */
	obj_t BGl_z62zc3z04anonymousza32050ze3ze5zzast_varz00(obj_t BgL_envz00_3334)
	{
		{	/* Ast/var.scm 146 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2049 */
	obj_t BGl_z62lambda2049z62zzast_varz00(obj_t BgL_envz00_3335,
		obj_t BgL_oz00_3336, obj_t BgL_vz00_3337)
	{
		{	/* Ast/var.scm 146 */
			{	/* Ast/var.scm 146 */
				bool_t BgL_vz00_3990;

				BgL_vz00_3990 = CBOOL(BgL_vz00_3337);
				return
					((((BgL_cfunz00_bglt) COBJECT(
								((BgL_cfunz00_bglt) BgL_oz00_3336)))->BgL_infixzf3zf3) =
					((bool_t) BgL_vz00_3990), BUNSPEC);
			}
		}

	}



/* &lambda2048 */
	obj_t BGl_z62lambda2048z62zzast_varz00(obj_t BgL_envz00_3338,
		obj_t BgL_oz00_3339)
	{
		{	/* Ast/var.scm 146 */
			return
				BBOOL(
				(((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_oz00_3339)))->BgL_infixzf3zf3));
		}

	}



/* &lambda2043 */
	obj_t BGl_z62lambda2043z62zzast_varz00(obj_t BgL_envz00_3340,
		obj_t BgL_oz00_3341, obj_t BgL_vz00_3342)
	{
		{	/* Ast/var.scm 146 */
			{	/* Ast/var.scm 146 */
				bool_t BgL_vz00_3993;

				BgL_vz00_3993 = CBOOL(BgL_vz00_3342);
				return
					((((BgL_cfunz00_bglt) COBJECT(
								((BgL_cfunz00_bglt) BgL_oz00_3341)))->BgL_macrozf3zf3) =
					((bool_t) BgL_vz00_3993), BUNSPEC);
			}
		}

	}



/* &lambda2042 */
	obj_t BGl_z62lambda2042z62zzast_varz00(obj_t BgL_envz00_3343,
		obj_t BgL_oz00_3344)
	{
		{	/* Ast/var.scm 146 */
			return
				BBOOL(
				(((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_oz00_3344)))->BgL_macrozf3zf3));
		}

	}



/* &lambda2038 */
	obj_t BGl_z62lambda2038z62zzast_varz00(obj_t BgL_envz00_3345,
		obj_t BgL_oz00_3346, obj_t BgL_vz00_3347)
	{
		{	/* Ast/var.scm 146 */
			return
				((((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_oz00_3346)))->BgL_argszd2typezd2) =
				((obj_t) BgL_vz00_3347), BUNSPEC);
		}

	}



/* &lambda2037 */
	obj_t BGl_z62lambda2037z62zzast_varz00(obj_t BgL_envz00_3348,
		obj_t BgL_oz00_3349)
	{
		{	/* Ast/var.scm 146 */
			return
				(((BgL_cfunz00_bglt) COBJECT(
						((BgL_cfunz00_bglt) BgL_oz00_3349)))->BgL_argszd2typezd2);
		}

	}



/* &<@anonymous:1941> */
	obj_t BGl_z62zc3z04anonymousza31941ze3ze5zzast_varz00(obj_t BgL_envz00_3350,
		obj_t BgL_new1139z00_3351)
	{
		{	/* Ast/var.scm 116 */
			{
				BgL_sfunz00_bglt BgL_auxz00_6199;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_new1139z00_3351))))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1139z00_3351))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1139z00_3351))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1139z00_3351))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1139z00_3351))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1139z00_3351))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1139z00_3351))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1139z00_3351))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1139z00_3351))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1139z00_3351))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1139z00_3351)))->BgL_propertyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1139z00_3351)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1139z00_3351)))->BgL_argszd2namezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1139z00_3351)))->BgL_bodyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1139z00_3351)))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1139z00_3351)))->BgL_dssslzd2keywordszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1139z00_3351)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1139z00_3351)))->BgL_optionalsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1139z00_3351)))->BgL_keysz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1139z00_3351)))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1139z00_3351)))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 74))), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1139z00_3351)))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_6199 = ((BgL_sfunz00_bglt) BgL_new1139z00_3351);
				return ((obj_t) BgL_auxz00_6199);
			}
		}

	}



/* &lambda1939 */
	BgL_sfunz00_bglt BGl_z62lambda1939z62zzast_varz00(obj_t BgL_envz00_3352)
	{
		{	/* Ast/var.scm 116 */
			{	/* Ast/var.scm 116 */
				BgL_sfunz00_bglt BgL_new1138z00_3998;

				BgL_new1138z00_3998 =
					((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sfunz00_bgl))));
				{	/* Ast/var.scm 116 */
					long BgL_arg1940z00_3999;

					BgL_arg1940z00_3999 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1138z00_3998), BgL_arg1940z00_3999);
				}
				{	/* Ast/var.scm 116 */
					BgL_objectz00_bglt BgL_tmpz00_6261;

					BgL_tmpz00_6261 = ((BgL_objectz00_bglt) BgL_new1138z00_3998);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6261, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1138z00_3998);
				return BgL_new1138z00_3998;
			}
		}

	}



/* &lambda1937 */
	BgL_sfunz00_bglt BGl_z62lambda1937z62zzast_varz00(obj_t BgL_envz00_3353,
		obj_t BgL_arity1116z00_3354, obj_t BgL_sidezd2effect1117zd2_3355,
		obj_t BgL_predicatezd2of1118zd2_3356,
		obj_t BgL_stackzd2allocator1119zd2_3357, obj_t BgL_topzf31120zf3_3358,
		obj_t BgL_thezd2closure1121zd2_3359, obj_t BgL_effect1122z00_3360,
		obj_t BgL_failsafe1123z00_3361, obj_t BgL_argszd2noescape1124zd2_3362,
		obj_t BgL_argszd2retescape1125zd2_3363, obj_t BgL_property1126z00_3364,
		obj_t BgL_args1127z00_3365, obj_t BgL_argszd2name1128zd2_3366,
		obj_t BgL_body1129z00_3367, obj_t BgL_class1130z00_3368,
		obj_t BgL_dssslzd2keywords1131zd2_3369, obj_t BgL_loc1132z00_3370,
		obj_t BgL_optionals1133z00_3371, obj_t BgL_keys1134z00_3372,
		obj_t BgL_thezd2closurezd2global1135z00_3373,
		obj_t BgL_strength1136z00_3374, obj_t BgL_stackable1137z00_3375)
	{
		{	/* Ast/var.scm 116 */
			{	/* Ast/var.scm 116 */
				long BgL_arity1116z00_4000;
				bool_t BgL_topzf31120zf3_4001;

				BgL_arity1116z00_4000 = (long) CINT(BgL_arity1116z00_3354);
				BgL_topzf31120zf3_4001 = CBOOL(BgL_topzf31120zf3_3358);
				{	/* Ast/var.scm 116 */
					BgL_sfunz00_bglt BgL_new1229z00_4003;

					{	/* Ast/var.scm 116 */
						BgL_sfunz00_bglt BgL_new1228z00_4004;

						BgL_new1228z00_4004 =
							((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sfunz00_bgl))));
						{	/* Ast/var.scm 116 */
							long BgL_arg1938z00_4005;

							BgL_arg1938z00_4005 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1228z00_4004),
								BgL_arg1938z00_4005);
						}
						{	/* Ast/var.scm 116 */
							BgL_objectz00_bglt BgL_tmpz00_6271;

							BgL_tmpz00_6271 = ((BgL_objectz00_bglt) BgL_new1228z00_4004);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6271, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1228z00_4004);
						BgL_new1229z00_4003 = BgL_new1228z00_4004;
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1229z00_4003)))->BgL_arityz00) =
						((long) BgL_arity1116z00_4000), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1229z00_4003)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1117zd2_3355), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1229z00_4003)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1118zd2_3356), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1229z00_4003)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1119zd2_3357), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1229z00_4003)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31120zf3_4001), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1229z00_4003)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1121zd2_3359), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1229z00_4003)))->BgL_effectz00) =
						((obj_t) BgL_effect1122z00_3360), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1229z00_4003)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1123z00_3361), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1229z00_4003)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1124zd2_3362), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1229z00_4003)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1125zd2_3363), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1229z00_4003))->
							BgL_propertyz00) = ((obj_t) BgL_property1126z00_3364), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1229z00_4003))->BgL_argsz00) =
						((obj_t) BgL_args1127z00_3365), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1229z00_4003))->
							BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1128zd2_3366), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1229z00_4003))->BgL_bodyz00) =
						((obj_t) BgL_body1129z00_3367), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1229z00_4003))->BgL_classz00) =
						((obj_t) BgL_class1130z00_3368), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1229z00_4003))->
							BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1131zd2_3369), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1229z00_4003))->BgL_locz00) =
						((obj_t) BgL_loc1132z00_3370), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1229z00_4003))->
							BgL_optionalsz00) = ((obj_t) BgL_optionals1133z00_3371), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1229z00_4003))->BgL_keysz00) =
						((obj_t) BgL_keys1134z00_3372), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1229z00_4003))->
							BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1135z00_3373), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1229z00_4003))->
							BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1136z00_3374)), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1229z00_4003))->
							BgL_stackablez00) = ((obj_t) BgL_stackable1137z00_3375), BUNSPEC);
					return BgL_new1229z00_4003;
				}
			}
		}

	}



/* &<@anonymous:2020> */
	obj_t BGl_z62zc3z04anonymousza32020ze3ze5zzast_varz00(obj_t BgL_envz00_3376)
	{
		{	/* Ast/var.scm 116 */
			return BUNSPEC;
		}

	}



/* &lambda2019 */
	obj_t BGl_z62lambda2019z62zzast_varz00(obj_t BgL_envz00_3377,
		obj_t BgL_oz00_3378, obj_t BgL_vz00_3379)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3378)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_3379), BUNSPEC);
		}

	}



/* &lambda2018 */
	obj_t BGl_z62lambda2018z62zzast_varz00(obj_t BgL_envz00_3380,
		obj_t BgL_oz00_3381)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3381)))->BgL_stackablez00);
		}

	}



/* &<@anonymous:2013> */
	obj_t BGl_z62zc3z04anonymousza32013ze3ze5zzast_varz00(obj_t BgL_envz00_3382)
	{
		{	/* Ast/var.scm 116 */
			return CNST_TABLE_REF(((long) 75));
		}

	}



/* &lambda2012 */
	obj_t BGl_z62lambda2012z62zzast_varz00(obj_t BgL_envz00_3383,
		obj_t BgL_oz00_3384, obj_t BgL_vz00_3385)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3384)))->BgL_strengthz00) = ((obj_t)
					((obj_t) BgL_vz00_3385)), BUNSPEC);
		}

	}



/* &lambda2011 */
	obj_t BGl_z62lambda2011z62zzast_varz00(obj_t BgL_envz00_3386,
		obj_t BgL_oz00_3387)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3387)))->BgL_strengthz00);
		}

	}



/* &<@anonymous:2006> */
	obj_t BGl_z62zc3z04anonymousza32006ze3ze5zzast_varz00(obj_t BgL_envz00_3388)
	{
		{	/* Ast/var.scm 116 */
			return BUNSPEC;
		}

	}



/* &lambda2005 */
	obj_t BGl_z62lambda2005z62zzast_varz00(obj_t BgL_envz00_3389,
		obj_t BgL_oz00_3390, obj_t BgL_vz00_3391)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3390)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_3391), BUNSPEC);
		}

	}



/* &lambda2004 */
	obj_t BGl_z62lambda2004z62zzast_varz00(obj_t BgL_envz00_3392,
		obj_t BgL_oz00_3393)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3393)))->
				BgL_thezd2closurezd2globalz00);
		}

	}



/* &<@anonymous:1999> */
	obj_t BGl_z62zc3z04anonymousza31999ze3ze5zzast_varz00(obj_t BgL_envz00_3394)
	{
		{	/* Ast/var.scm 116 */
			return BNIL;
		}

	}



/* &lambda1998 */
	obj_t BGl_z62lambda1998z62zzast_varz00(obj_t BgL_envz00_3395,
		obj_t BgL_oz00_3396, obj_t BgL_vz00_3397)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3396)))->BgL_keysz00) =
				((obj_t) BgL_vz00_3397), BUNSPEC);
		}

	}



/* &lambda1997 */
	obj_t BGl_z62lambda1997z62zzast_varz00(obj_t BgL_envz00_3398,
		obj_t BgL_oz00_3399)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3399)))->BgL_keysz00);
		}

	}



/* &<@anonymous:1991> */
	obj_t BGl_z62zc3z04anonymousza31991ze3ze5zzast_varz00(obj_t BgL_envz00_3400)
	{
		{	/* Ast/var.scm 116 */
			return BNIL;
		}

	}



/* &lambda1990 */
	obj_t BGl_z62lambda1990z62zzast_varz00(obj_t BgL_envz00_3401,
		obj_t BgL_oz00_3402, obj_t BgL_vz00_3403)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3402)))->BgL_optionalsz00) =
				((obj_t) BgL_vz00_3403), BUNSPEC);
		}

	}



/* &lambda1989 */
	obj_t BGl_z62lambda1989z62zzast_varz00(obj_t BgL_envz00_3404,
		obj_t BgL_oz00_3405)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3405)))->BgL_optionalsz00);
		}

	}



/* &<@anonymous:1984> */
	obj_t BGl_z62zc3z04anonymousza31984ze3ze5zzast_varz00(obj_t BgL_envz00_3406)
	{
		{	/* Ast/var.scm 116 */
			return BUNSPEC;
		}

	}



/* &lambda1983 */
	obj_t BGl_z62lambda1983z62zzast_varz00(obj_t BgL_envz00_3407,
		obj_t BgL_oz00_3408, obj_t BgL_vz00_3409)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3408)))->BgL_locz00) =
				((obj_t) BgL_vz00_3409), BUNSPEC);
		}

	}



/* &lambda1982 */
	obj_t BGl_z62lambda1982z62zzast_varz00(obj_t BgL_envz00_3410,
		obj_t BgL_oz00_3411)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3411)))->BgL_locz00);
		}

	}



/* &<@anonymous:1977> */
	obj_t BGl_z62zc3z04anonymousza31977ze3ze5zzast_varz00(obj_t BgL_envz00_3412)
	{
		{	/* Ast/var.scm 116 */
			return BNIL;
		}

	}



/* &lambda1976 */
	obj_t BGl_z62lambda1976z62zzast_varz00(obj_t BgL_envz00_3413,
		obj_t BgL_oz00_3414, obj_t BgL_vz00_3415)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3414)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_3415), BUNSPEC);
		}

	}



/* &lambda1975 */
	obj_t BGl_z62lambda1975z62zzast_varz00(obj_t BgL_envz00_3416,
		obj_t BgL_oz00_3417)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3417)))->BgL_dssslzd2keywordszd2);
		}

	}



/* &lambda1970 */
	obj_t BGl_z62lambda1970z62zzast_varz00(obj_t BgL_envz00_3418,
		obj_t BgL_oz00_3419, obj_t BgL_vz00_3420)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3419)))->BgL_classz00) =
				((obj_t) BgL_vz00_3420), BUNSPEC);
		}

	}



/* &lambda1969 */
	obj_t BGl_z62lambda1969z62zzast_varz00(obj_t BgL_envz00_3421,
		obj_t BgL_oz00_3422)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3422)))->BgL_classz00);
		}

	}



/* &<@anonymous:1965> */
	obj_t BGl_z62zc3z04anonymousza31965ze3ze5zzast_varz00(obj_t BgL_envz00_3423)
	{
		{	/* Ast/var.scm 116 */
			return BUNSPEC;
		}

	}



/* &lambda1964 */
	obj_t BGl_z62lambda1964z62zzast_varz00(obj_t BgL_envz00_3424,
		obj_t BgL_oz00_3425, obj_t BgL_vz00_3426)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3425)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_3426), BUNSPEC);
		}

	}



/* &lambda1963 */
	obj_t BGl_z62lambda1963z62zzast_varz00(obj_t BgL_envz00_3427,
		obj_t BgL_oz00_3428)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3428)))->BgL_bodyz00);
		}

	}



/* &lambda1958 */
	obj_t BGl_z62lambda1958z62zzast_varz00(obj_t BgL_envz00_3429,
		obj_t BgL_oz00_3430, obj_t BgL_vz00_3431)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3430)))->BgL_argszd2namezd2) =
				((obj_t) BgL_vz00_3431), BUNSPEC);
		}

	}



/* &lambda1957 */
	obj_t BGl_z62lambda1957z62zzast_varz00(obj_t BgL_envz00_3432,
		obj_t BgL_oz00_3433)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3433)))->BgL_argszd2namezd2);
		}

	}



/* &lambda1953 */
	obj_t BGl_z62lambda1953z62zzast_varz00(obj_t BgL_envz00_3434,
		obj_t BgL_oz00_3435, obj_t BgL_vz00_3436)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3435)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3436), BUNSPEC);
		}

	}



/* &lambda1952 */
	obj_t BGl_z62lambda1952z62zzast_varz00(obj_t BgL_envz00_3437,
		obj_t BgL_oz00_3438)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3438)))->BgL_argsz00);
		}

	}



/* &<@anonymous:1948> */
	obj_t BGl_z62zc3z04anonymousza31948ze3ze5zzast_varz00(obj_t BgL_envz00_3439)
	{
		{	/* Ast/var.scm 116 */
			return BNIL;
		}

	}



/* &lambda1947 */
	obj_t BGl_z62lambda1947z62zzast_varz00(obj_t BgL_envz00_3440,
		obj_t BgL_oz00_3441, obj_t BgL_vz00_3442)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3441)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_3442), BUNSPEC);
		}

	}



/* &lambda1946 */
	obj_t BGl_z62lambda1946z62zzast_varz00(obj_t BgL_envz00_3443,
		obj_t BgL_oz00_3444)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3444)))->BgL_propertyz00);
		}

	}



/* &<@anonymous:1849> */
	obj_t BGl_z62zc3z04anonymousza31849ze3ze5zzast_varz00(obj_t BgL_envz00_3445,
		obj_t BgL_new1114z00_3446)
	{
		{	/* Ast/var.scm 84 */
			{
				BgL_funz00_bglt BgL_auxz00_6358;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1114z00_3446)))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1114z00_3446)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1114z00_3446)))->
						BgL_predicatezd2ofzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1114z00_3446)))->
						BgL_stackzd2allocatorzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1114z00_3446)))->
						BgL_topzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1114z00_3446)))->
						BgL_thezd2closurezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1114z00_3446)))->
						BgL_effectz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1114z00_3446)))->
						BgL_failsafez00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1114z00_3446)))->
						BgL_argszd2noescapezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1114z00_3446)))->
						BgL_argszd2retescapezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_6358 = ((BgL_funz00_bglt) BgL_new1114z00_3446);
				return ((obj_t) BgL_auxz00_6358);
			}
		}

	}



/* &lambda1843 */
	BgL_funz00_bglt BGl_z62lambda1843z62zzast_varz00(obj_t BgL_envz00_3447)
	{
		{	/* Ast/var.scm 84 */
			{	/* Ast/var.scm 84 */
				BgL_funz00_bglt BgL_new1113z00_4032;

				BgL_new1113z00_4032 =
					((BgL_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_funz00_bgl))));
				{	/* Ast/var.scm 84 */
					long BgL_arg1848z00_4033;

					BgL_arg1848z00_4033 = BGL_CLASS_NUM(BGl_funz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1113z00_4032), BgL_arg1848z00_4033);
				}
				return BgL_new1113z00_4032;
			}
		}

	}



/* &lambda1839 */
	BgL_funz00_bglt BGl_z62lambda1839z62zzast_varz00(obj_t BgL_envz00_3448,
		obj_t BgL_arity1103z00_3449, obj_t BgL_sidezd2effect1104zd2_3450,
		obj_t BgL_predicatezd2of1105zd2_3451,
		obj_t BgL_stackzd2allocator1106zd2_3452, obj_t BgL_topzf31107zf3_3453,
		obj_t BgL_thezd2closure1108zd2_3454, obj_t BgL_effect1109z00_3455,
		obj_t BgL_failsafe1110z00_3456, obj_t BgL_argszd2noescape1111zd2_3457,
		obj_t BgL_argszd2retescape1112zd2_3458)
	{
		{	/* Ast/var.scm 84 */
			{	/* Ast/var.scm 84 */
				long BgL_arity1103z00_4034;
				bool_t BgL_topzf31107zf3_4035;

				BgL_arity1103z00_4034 = (long) CINT(BgL_arity1103z00_3449);
				BgL_topzf31107zf3_4035 = CBOOL(BgL_topzf31107zf3_3453);
				{	/* Ast/var.scm 84 */
					BgL_funz00_bglt BgL_new1227z00_4036;

					{	/* Ast/var.scm 84 */
						BgL_funz00_bglt BgL_new1226z00_4037;

						BgL_new1226z00_4037 =
							((BgL_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_funz00_bgl))));
						{	/* Ast/var.scm 84 */
							long BgL_arg1842z00_4038;

							BgL_arg1842z00_4038 = BGL_CLASS_NUM(BGl_funz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1226z00_4037),
								BgL_arg1842z00_4038);
						}
						BgL_new1227z00_4036 = BgL_new1226z00_4037;
					}
					((((BgL_funz00_bglt) COBJECT(BgL_new1227z00_4036))->BgL_arityz00) =
						((long) BgL_arity1103z00_4034), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1227z00_4036))->
							BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1104zd2_3450), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1227z00_4036))->
							BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1105zd2_3451), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1227z00_4036))->
							BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1106zd2_3452), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1227z00_4036))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31107zf3_4035), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1227z00_4036))->
							BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1108zd2_3454), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1227z00_4036))->BgL_effectz00) =
						((obj_t) BgL_effect1109z00_3455), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1227z00_4036))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1110z00_3456), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1227z00_4036))->
							BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1111zd2_3457), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1227z00_4036))->
							BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1112zd2_3458), BUNSPEC);
					return BgL_new1227z00_4036;
				}
			}
		}

	}



/* &<@anonymous:1930> */
	obj_t BGl_z62zc3z04anonymousza31930ze3ze5zzast_varz00(obj_t BgL_envz00_3459)
	{
		{	/* Ast/var.scm 84 */
			return BNIL;
		}

	}



/* &lambda1929 */
	obj_t BGl_z62lambda1929z62zzast_varz00(obj_t BgL_envz00_3460,
		obj_t BgL_oz00_3461, obj_t BgL_vz00_3462)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3461)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_3462), BUNSPEC);
		}

	}



/* &lambda1928 */
	obj_t BGl_z62lambda1928z62zzast_varz00(obj_t BgL_envz00_3463,
		obj_t BgL_oz00_3464)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3464)))->BgL_argszd2retescapezd2);
		}

	}



/* &<@anonymous:1923> */
	obj_t BGl_z62zc3z04anonymousza31923ze3ze5zzast_varz00(obj_t BgL_envz00_3465)
	{
		{	/* Ast/var.scm 84 */
			return BNIL;
		}

	}



/* &lambda1922 */
	obj_t BGl_z62lambda1922z62zzast_varz00(obj_t BgL_envz00_3466,
		obj_t BgL_oz00_3467, obj_t BgL_vz00_3468)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3467)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_3468), BUNSPEC);
		}

	}



/* &lambda1921 */
	obj_t BGl_z62lambda1921z62zzast_varz00(obj_t BgL_envz00_3469,
		obj_t BgL_oz00_3470)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3470)))->BgL_argszd2noescapezd2);
		}

	}



/* &<@anonymous:1916> */
	obj_t BGl_z62zc3z04anonymousza31916ze3ze5zzast_varz00(obj_t BgL_envz00_3471)
	{
		{	/* Ast/var.scm 84 */
			return BUNSPEC;
		}

	}



/* &lambda1915 */
	obj_t BGl_z62lambda1915z62zzast_varz00(obj_t BgL_envz00_3472,
		obj_t BgL_oz00_3473, obj_t BgL_vz00_3474)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3473)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_3474), BUNSPEC);
		}

	}



/* &lambda1914 */
	obj_t BGl_z62lambda1914z62zzast_varz00(obj_t BgL_envz00_3475,
		obj_t BgL_oz00_3476)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3476)))->BgL_failsafez00);
		}

	}



/* &<@anonymous:1909> */
	obj_t BGl_z62zc3z04anonymousza31909ze3ze5zzast_varz00(obj_t BgL_envz00_3477)
	{
		{	/* Ast/var.scm 84 */
			return BUNSPEC;
		}

	}



/* &lambda1908 */
	obj_t BGl_z62lambda1908z62zzast_varz00(obj_t BgL_envz00_3478,
		obj_t BgL_oz00_3479, obj_t BgL_vz00_3480)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3479)))->BgL_effectz00) =
				((obj_t) BgL_vz00_3480), BUNSPEC);
		}

	}



/* &lambda1907 */
	obj_t BGl_z62lambda1907z62zzast_varz00(obj_t BgL_envz00_3481,
		obj_t BgL_oz00_3482)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3482)))->BgL_effectz00);
		}

	}



/* &<@anonymous:1898> */
	obj_t BGl_z62zc3z04anonymousza31898ze3ze5zzast_varz00(obj_t BgL_envz00_3483)
	{
		{	/* Ast/var.scm 84 */
			return BUNSPEC;
		}

	}



/* &lambda1897 */
	obj_t BGl_z62lambda1897z62zzast_varz00(obj_t BgL_envz00_3484,
		obj_t BgL_oz00_3485, obj_t BgL_vz00_3486)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3485)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_3486), BUNSPEC);
		}

	}



/* &lambda1896 */
	obj_t BGl_z62lambda1896z62zzast_varz00(obj_t BgL_envz00_3487,
		obj_t BgL_oz00_3488)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3488)))->BgL_thezd2closurezd2);
		}

	}



/* &<@anonymous:1890> */
	obj_t BGl_z62zc3z04anonymousza31890ze3ze5zzast_varz00(obj_t BgL_envz00_3489)
	{
		{	/* Ast/var.scm 84 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1889 */
	obj_t BGl_z62lambda1889z62zzast_varz00(obj_t BgL_envz00_3490,
		obj_t BgL_oz00_3491, obj_t BgL_vz00_3492)
	{
		{	/* Ast/var.scm 84 */
			{	/* Ast/var.scm 84 */
				bool_t BgL_vz00_4050;

				BgL_vz00_4050 = CBOOL(BgL_vz00_3492);
				return
					((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_oz00_3491)))->BgL_topzf3zf3) =
					((bool_t) BgL_vz00_4050), BUNSPEC);
			}
		}

	}



/* &lambda1888 */
	obj_t BGl_z62lambda1888z62zzast_varz00(obj_t BgL_envz00_3493,
		obj_t BgL_oz00_3494)
	{
		{	/* Ast/var.scm 84 */
			return
				BBOOL(
				(((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3494)))->BgL_topzf3zf3));
		}

	}



/* &<@anonymous:1883> */
	obj_t BGl_z62zc3z04anonymousza31883ze3ze5zzast_varz00(obj_t BgL_envz00_3495)
	{
		{	/* Ast/var.scm 84 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1882 */
	obj_t BGl_z62lambda1882z62zzast_varz00(obj_t BgL_envz00_3496,
		obj_t BgL_oz00_3497, obj_t BgL_vz00_3498)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3497)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_3498), BUNSPEC);
		}

	}



/* &lambda1881 */
	obj_t BGl_z62lambda1881z62zzast_varz00(obj_t BgL_envz00_3499,
		obj_t BgL_oz00_3500)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3500)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &<@anonymous:1874> */
	obj_t BGl_z62zc3z04anonymousza31874ze3ze5zzast_varz00(obj_t BgL_envz00_3501)
	{
		{	/* Ast/var.scm 84 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1873 */
	obj_t BGl_z62lambda1873z62zzast_varz00(obj_t BgL_envz00_3502,
		obj_t BgL_oz00_3503, obj_t BgL_vz00_3504)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3503)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_3504), BUNSPEC);
		}

	}



/* &lambda1872 */
	obj_t BGl_z62lambda1872z62zzast_varz00(obj_t BgL_envz00_3505,
		obj_t BgL_oz00_3506)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3506)))->BgL_predicatezd2ofzd2);
		}

	}



/* &<@anonymous:1866> */
	obj_t BGl_z62zc3z04anonymousza31866ze3ze5zzast_varz00(obj_t BgL_envz00_3507)
	{
		{	/* Ast/var.scm 84 */
			return BUNSPEC;
		}

	}



/* &lambda1865 */
	obj_t BGl_z62lambda1865z62zzast_varz00(obj_t BgL_envz00_3508,
		obj_t BgL_oz00_3509, obj_t BgL_vz00_3510)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3509)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_3510), BUNSPEC);
		}

	}



/* &lambda1864 */
	obj_t BGl_z62lambda1864z62zzast_varz00(obj_t BgL_envz00_3511,
		obj_t BgL_oz00_3512)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3512)))->BgL_sidezd2effectzd2);
		}

	}



/* &lambda1856 */
	obj_t BGl_z62lambda1856z62zzast_varz00(obj_t BgL_envz00_3513,
		obj_t BgL_oz00_3514, obj_t BgL_vz00_3515)
	{
		{	/* Ast/var.scm 84 */
			{	/* Ast/var.scm 84 */
				long BgL_vz00_4059;

				BgL_vz00_4059 = (long) CINT(BgL_vz00_3515);
				return
					((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_oz00_3514)))->BgL_arityz00) =
					((long) BgL_vz00_4059), BUNSPEC);
		}}

	}



/* &lambda1855 */
	obj_t BGl_z62lambda1855z62zzast_varz00(obj_t BgL_envz00_3516,
		obj_t BgL_oz00_3517)
	{
		{	/* Ast/var.scm 84 */
			return
				BINT(
				(((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3517)))->BgL_arityz00));
		}

	}



/* &<@anonymous:1771> */
	obj_t BGl_z62zc3z04anonymousza31771ze3ze5zzast_varz00(obj_t BgL_envz00_3518,
		obj_t BgL_new1101z00_3519)
	{
		{	/* Ast/var.scm 75 */
			{
				BgL_localz00_bglt BgL_auxz00_6448;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1101z00_3519))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 74))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1101z00_3519))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_6456;

					{	/* Ast/var.scm 75 */
						obj_t BgL_classz00_4062;

						BgL_classz00_4062 = BGl_typez00zztype_typez00;
						{	/* Ast/var.scm 75 */
							obj_t BgL__ortest_1112z00_4063;

							BgL__ortest_1112z00_4063 = BGL_CLASS_NIL(BgL_classz00_4062);
							if (CBOOL(BgL__ortest_1112z00_4063))
								{	/* Ast/var.scm 75 */
									BgL_auxz00_6456 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_4063);
								}
							else
								{	/* Ast/var.scm 75 */
									BgL_auxz00_6456 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4062));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1101z00_3519))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_6456), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_6466;

					{	/* Ast/var.scm 75 */
						obj_t BgL_classz00_4064;

						BgL_classz00_4064 = BGl_valuez00zzast_varz00;
						{	/* Ast/var.scm 75 */
							obj_t BgL__ortest_1112z00_4065;

							BgL__ortest_1112z00_4065 = BGL_CLASS_NIL(BgL_classz00_4064);
							if (CBOOL(BgL__ortest_1112z00_4065))
								{	/* Ast/var.scm 75 */
									BgL_auxz00_6466 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_4065);
								}
							else
								{	/* Ast/var.scm 75 */
									BgL_auxz00_6466 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4064));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1101z00_3519))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_6466), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1101z00_3519))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1101z00_3519))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1101z00_3519))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1101z00_3519))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1101z00_3519))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1101z00_3519))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1101z00_3519)))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1101z00_3519)))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1101z00_3519)))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_6448 = ((BgL_localz00_bglt) BgL_new1101z00_3519);
				return ((obj_t) BgL_auxz00_6448);
			}
		}

	}



/* &lambda1767 */
	BgL_localz00_bglt BGl_z62lambda1767z62zzast_varz00(obj_t BgL_envz00_3520)
	{
		{	/* Ast/var.scm 75 */
			{	/* Ast/var.scm 75 */
				BgL_localz00_bglt BgL_new1100z00_4066;

				BgL_new1100z00_4066 =
					((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localz00_bgl))));
				{	/* Ast/var.scm 75 */
					long BgL_arg1770z00_4067;

					BgL_arg1770z00_4067 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1100z00_4066), BgL_arg1770z00_4067);
				}
				{	/* Ast/var.scm 75 */
					BgL_objectz00_bglt BgL_tmpz00_6506;

					BgL_tmpz00_6506 = ((BgL_objectz00_bglt) BgL_new1100z00_4066);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6506, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1100z00_4066);
				return BgL_new1100z00_4066;
			}
		}

	}



/* &lambda1764 */
	BgL_localz00_bglt BGl_z62lambda1764z62zzast_varz00(obj_t BgL_envz00_3521,
		obj_t BgL_id1087z00_3522, obj_t BgL_name1088z00_3523,
		obj_t BgL_type1089z00_3524, obj_t BgL_value1090z00_3525,
		obj_t BgL_access1091z00_3526, obj_t BgL_fastzd2alpha1092zd2_3527,
		obj_t BgL_removable1093z00_3528, obj_t BgL_occurrence1094z00_3529,
		obj_t BgL_occurrencew1095z00_3530, obj_t BgL_userzf31096zf3_3531,
		obj_t BgL_key1097z00_3532, obj_t BgL_valzd2noescape1098zd2_3533,
		obj_t BgL_volatile1099z00_3534)
	{
		{	/* Ast/var.scm 75 */
			{	/* Ast/var.scm 75 */
				long BgL_occurrence1094z00_4071;
				long BgL_occurrencew1095z00_4072;
				bool_t BgL_userzf31096zf3_4073;
				long BgL_key1097z00_4074;
				bool_t BgL_volatile1099z00_4075;

				BgL_occurrence1094z00_4071 = (long) CINT(BgL_occurrence1094z00_3529);
				BgL_occurrencew1095z00_4072 = (long) CINT(BgL_occurrencew1095z00_3530);
				BgL_userzf31096zf3_4073 = CBOOL(BgL_userzf31096zf3_3531);
				BgL_key1097z00_4074 = (long) CINT(BgL_key1097z00_3532);
				BgL_volatile1099z00_4075 = CBOOL(BgL_volatile1099z00_3534);
				{	/* Ast/var.scm 75 */
					BgL_localz00_bglt BgL_new1225z00_4076;

					{	/* Ast/var.scm 75 */
						BgL_localz00_bglt BgL_new1224z00_4077;

						BgL_new1224z00_4077 =
							((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localz00_bgl))));
						{	/* Ast/var.scm 75 */
							long BgL_arg1766z00_4078;

							BgL_arg1766z00_4078 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1224z00_4077),
								BgL_arg1766z00_4078);
						}
						{	/* Ast/var.scm 75 */
							BgL_objectz00_bglt BgL_tmpz00_6519;

							BgL_tmpz00_6519 = ((BgL_objectz00_bglt) BgL_new1224z00_4077);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6519, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1224z00_4077);
						BgL_new1225z00_4076 = BgL_new1224z00_4077;
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1225z00_4076)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1087z00_3522)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1225z00_4076)))->BgL_namez00) =
						((obj_t) BgL_name1088z00_3523), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1225z00_4076)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1089z00_3524)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1225z00_4076)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1090z00_3525)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1225z00_4076)))->BgL_accessz00) =
						((obj_t) BgL_access1091z00_3526), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1225z00_4076)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1092zd2_3527), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1225z00_4076)))->BgL_removablez00) =
						((obj_t) BgL_removable1093z00_3528), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1225z00_4076)))->BgL_occurrencez00) =
						((long) BgL_occurrence1094z00_4071), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1225z00_4076)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1095z00_4072), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1225z00_4076)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31096zf3_4073), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(BgL_new1225z00_4076))->BgL_keyz00) =
						((long) BgL_key1097z00_4074), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(BgL_new1225z00_4076))->
							BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1098zd2_3533), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(BgL_new1225z00_4076))->
							BgL_volatilez00) = ((bool_t) BgL_volatile1099z00_4075), BUNSPEC);
					return BgL_new1225z00_4076;
				}
			}
		}

	}



/* &<@anonymous:1813> */
	obj_t BGl_z62zc3z04anonymousza31813ze3ze5zzast_varz00(obj_t BgL_envz00_3535)
	{
		{	/* Ast/var.scm 75 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1812 */
	obj_t BGl_z62lambda1812z62zzast_varz00(obj_t BgL_envz00_3536,
		obj_t BgL_oz00_3537, obj_t BgL_vz00_3538)
	{
		{	/* Ast/var.scm 75 */
			{	/* Ast/var.scm 75 */
				bool_t BgL_vz00_4080;

				BgL_vz00_4080 = CBOOL(BgL_vz00_3538);
				return
					((((BgL_localz00_bglt) COBJECT(
								((BgL_localz00_bglt) BgL_oz00_3537)))->BgL_volatilez00) =
					((bool_t) BgL_vz00_4080), BUNSPEC);
			}
		}

	}



/* &lambda1811 */
	obj_t BGl_z62lambda1811z62zzast_varz00(obj_t BgL_envz00_3539,
		obj_t BgL_oz00_3540)
	{
		{	/* Ast/var.scm 75 */
			return
				BBOOL(
				(((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_3540)))->BgL_volatilez00));
		}

	}



/* &<@anonymous:1802> */
	obj_t BGl_z62zc3z04anonymousza31802ze3ze5zzast_varz00(obj_t BgL_envz00_3541)
	{
		{	/* Ast/var.scm 75 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1801 */
	obj_t BGl_z62lambda1801z62zzast_varz00(obj_t BgL_envz00_3542,
		obj_t BgL_oz00_3543, obj_t BgL_vz00_3544)
	{
		{	/* Ast/var.scm 75 */
			return
				((((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_3543)))->BgL_valzd2noescapezd2) =
				((obj_t) BgL_vz00_3544), BUNSPEC);
		}

	}



/* &lambda1800 */
	obj_t BGl_z62lambda1800z62zzast_varz00(obj_t BgL_envz00_3545,
		obj_t BgL_oz00_3546)
	{
		{	/* Ast/var.scm 75 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_3546)))->BgL_valzd2noescapezd2);
		}

	}



/* &lambda1783 */
	obj_t BGl_z62lambda1783z62zzast_varz00(obj_t BgL_envz00_3547,
		obj_t BgL_oz00_3548, obj_t BgL_vz00_3549)
	{
		{	/* Ast/var.scm 75 */
			{	/* Ast/var.scm 75 */
				long BgL_vz00_4085;

				BgL_vz00_4085 = (long) CINT(BgL_vz00_3549);
				return
					((((BgL_localz00_bglt) COBJECT(
								((BgL_localz00_bglt) BgL_oz00_3548)))->BgL_keyz00) =
					((long) BgL_vz00_4085), BUNSPEC);
		}}

	}



/* &lambda1782 */
	obj_t BGl_z62lambda1782z62zzast_varz00(obj_t BgL_envz00_3550,
		obj_t BgL_oz00_3551)
	{
		{	/* Ast/var.scm 75 */
			return
				BINT(
				(((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_3551)))->BgL_keyz00));
		}

	}



/* &<@anonymous:1607> */
	obj_t BGl_z62zc3z04anonymousza31607ze3ze5zzast_varz00(obj_t BgL_envz00_3552,
		obj_t BgL_new1085z00_3553)
	{
		{	/* Ast/var.scm 46 */
			{
				BgL_globalz00_bglt BgL_auxz00_6567;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1085z00_3553))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 74))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1085z00_3553))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_6575;

					{	/* Ast/var.scm 46 */
						obj_t BgL_classz00_4088;

						BgL_classz00_4088 = BGl_typez00zztype_typez00;
						{	/* Ast/var.scm 46 */
							obj_t BgL__ortest_1112z00_4089;

							BgL__ortest_1112z00_4089 = BGL_CLASS_NIL(BgL_classz00_4088);
							if (CBOOL(BgL__ortest_1112z00_4089))
								{	/* Ast/var.scm 46 */
									BgL_auxz00_6575 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_4089);
								}
							else
								{	/* Ast/var.scm 46 */
									BgL_auxz00_6575 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4088));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1085z00_3553))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_6575), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_6585;

					{	/* Ast/var.scm 46 */
						obj_t BgL_classz00_4090;

						BgL_classz00_4090 = BGl_valuez00zzast_varz00;
						{	/* Ast/var.scm 46 */
							obj_t BgL__ortest_1112z00_4091;

							BgL__ortest_1112z00_4091 = BGL_CLASS_NIL(BgL_classz00_4090);
							if (CBOOL(BgL__ortest_1112z00_4091))
								{	/* Ast/var.scm 46 */
									BgL_auxz00_6585 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_4091);
								}
							else
								{	/* Ast/var.scm 46 */
									BgL_auxz00_6585 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4090));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1085z00_3553))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_6585), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1085z00_3553))))->
						BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1085z00_3553))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1085z00_3553))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1085z00_3553))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1085z00_3553))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1085z00_3553))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1085z00_3553)))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 74))), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1085z00_3553)))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1085z00_3553)))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1085z00_3553)))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1085z00_3553)))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1085z00_3553)))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1085z00_3553)))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1085z00_3553)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string2382z00zzast_varz00), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1085z00_3553)))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1085z00_3553)))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_6567 = ((BgL_globalz00_bglt) BgL_new1085z00_3553);
				return ((obj_t) BgL_auxz00_6567);
			}
		}

	}



/* &lambda1604 */
	BgL_globalz00_bglt BGl_z62lambda1604z62zzast_varz00(obj_t BgL_envz00_3554)
	{
		{	/* Ast/var.scm 46 */
			{	/* Ast/var.scm 46 */
				BgL_globalz00_bglt BgL_new1084z00_4092;

				BgL_new1084z00_4092 =
					((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_globalz00_bgl))));
				{	/* Ast/var.scm 46 */
					long BgL_arg1606z00_4093;

					BgL_arg1606z00_4093 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1084z00_4092), BgL_arg1606z00_4093);
				}
				{	/* Ast/var.scm 46 */
					BgL_objectz00_bglt BgL_tmpz00_6640;

					BgL_tmpz00_6640 = ((BgL_objectz00_bglt) BgL_new1084z00_4092);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6640, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1084z00_4092);
				return BgL_new1084z00_4092;
			}
		}

	}



/* &lambda1602 */
	BgL_globalz00_bglt BGl_z62lambda1602z62zzast_varz00(obj_t BgL_envz00_3555,
		obj_t BgL_id1064z00_3556, obj_t BgL_name1065z00_3557,
		obj_t BgL_type1066z00_3558, obj_t BgL_value1067z00_3559,
		obj_t BgL_access1068z00_3560, obj_t BgL_fastzd2alpha1069zd2_3561,
		obj_t BgL_removable1070z00_3562, obj_t BgL_occurrence1071z00_3563,
		obj_t BgL_occurrencew1072z00_3564, obj_t BgL_userzf31073zf3_3565,
		obj_t BgL_module1074z00_3566, obj_t BgL_import1075z00_3567,
		obj_t BgL_evaluablezf31076zf3_3568, obj_t BgL_evalzf31077zf3_3569,
		obj_t BgL_library1078z00_3570, obj_t BgL_pragma1079z00_3571,
		obj_t BgL_src1080z00_3572, obj_t BgL_jvmzd2typezd2name1081z00_3573,
		obj_t BgL_init1082z00_3574, obj_t BgL_alias1083z00_3575)
	{
		{	/* Ast/var.scm 46 */
			{	/* Ast/var.scm 46 */
				long BgL_occurrence1071z00_4097;
				long BgL_occurrencew1072z00_4098;
				bool_t BgL_userzf31073zf3_4099;
				bool_t BgL_evaluablezf31076zf3_4101;
				bool_t BgL_evalzf31077zf3_4102;

				BgL_occurrence1071z00_4097 = (long) CINT(BgL_occurrence1071z00_3563);
				BgL_occurrencew1072z00_4098 = (long) CINT(BgL_occurrencew1072z00_3564);
				BgL_userzf31073zf3_4099 = CBOOL(BgL_userzf31073zf3_3565);
				BgL_evaluablezf31076zf3_4101 = CBOOL(BgL_evaluablezf31076zf3_3568);
				BgL_evalzf31077zf3_4102 = CBOOL(BgL_evalzf31077zf3_3569);
				{	/* Ast/var.scm 46 */
					BgL_globalz00_bglt BgL_new1223z00_4104;

					{	/* Ast/var.scm 46 */
						BgL_globalz00_bglt BgL_new1222z00_4105;

						BgL_new1222z00_4105 =
							((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_globalz00_bgl))));
						{	/* Ast/var.scm 46 */
							long BgL_arg1603z00_4106;

							BgL_arg1603z00_4106 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1222z00_4105),
								BgL_arg1603z00_4106);
						}
						{	/* Ast/var.scm 46 */
							BgL_objectz00_bglt BgL_tmpz00_6653;

							BgL_tmpz00_6653 = ((BgL_objectz00_bglt) BgL_new1222z00_4105);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6653, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1222z00_4105);
						BgL_new1223z00_4104 = BgL_new1222z00_4105;
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1223z00_4104)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1064z00_3556)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1223z00_4104)))->BgL_namez00) =
						((obj_t) BgL_name1065z00_3557), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1223z00_4104)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1066z00_3558)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1223z00_4104)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1067z00_3559)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1223z00_4104)))->BgL_accessz00) =
						((obj_t) BgL_access1068z00_3560), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1223z00_4104)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1069zd2_3561), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1223z00_4104)))->BgL_removablez00) =
						((obj_t) BgL_removable1070z00_3562), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1223z00_4104)))->BgL_occurrencez00) =
						((long) BgL_occurrence1071z00_4097), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1223z00_4104)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1072z00_4098), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1223z00_4104)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31073zf3_4099), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1223z00_4104))->
							BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1074z00_3566)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1223z00_4104))->
							BgL_importz00) = ((obj_t) BgL_import1075z00_3567), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1223z00_4104))->
							BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31076zf3_4101), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1223z00_4104))->
							BgL_evalzf3zf3) = ((bool_t) BgL_evalzf31077zf3_4102), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1223z00_4104))->
							BgL_libraryz00) = ((obj_t) BgL_library1078z00_3570), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1223z00_4104))->
							BgL_pragmaz00) = ((obj_t) BgL_pragma1079z00_3571), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1223z00_4104))->BgL_srcz00) =
						((obj_t) BgL_src1080z00_3572), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1223z00_4104))->
							BgL_jvmzd2typezd2namez00) =
						((obj_t) ((obj_t) BgL_jvmzd2typezd2name1081z00_3573)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1223z00_4104))->BgL_initz00) =
						((obj_t) BgL_init1082z00_3574), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1223z00_4104))->BgL_aliasz00) =
						((obj_t) BgL_alias1083z00_3575), BUNSPEC);
					return BgL_new1223z00_4104;
				}
			}
		}

	}



/* &<@anonymous:1752> */
	obj_t BGl_z62zc3z04anonymousza31752ze3ze5zzast_varz00(obj_t BgL_envz00_3576)
	{
		{	/* Ast/var.scm 46 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1751 */
	obj_t BGl_z62lambda1751z62zzast_varz00(obj_t BgL_envz00_3577,
		obj_t BgL_oz00_3578, obj_t BgL_vz00_3579)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3578)))->BgL_aliasz00) =
				((obj_t) BgL_vz00_3579), BUNSPEC);
		}

	}



/* &lambda1750 */
	obj_t BGl_z62lambda1750z62zzast_varz00(obj_t BgL_envz00_3580,
		obj_t BgL_oz00_3581)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3581)))->BgL_aliasz00);
		}

	}



/* &<@anonymous:1745> */
	obj_t BGl_z62zc3z04anonymousza31745ze3ze5zzast_varz00(obj_t BgL_envz00_3582)
	{
		{	/* Ast/var.scm 46 */
			return BUNSPEC;
		}

	}



/* &lambda1744 */
	obj_t BGl_z62lambda1744z62zzast_varz00(obj_t BgL_envz00_3583,
		obj_t BgL_oz00_3584, obj_t BgL_vz00_3585)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3584)))->BgL_initz00) =
				((obj_t) BgL_vz00_3585), BUNSPEC);
		}

	}



/* &lambda1743 */
	obj_t BGl_z62lambda1743z62zzast_varz00(obj_t BgL_envz00_3586,
		obj_t BgL_oz00_3587)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3587)))->BgL_initz00);
		}

	}



/* &lambda1730 */
	obj_t BGl_z62lambda1730z62zzast_varz00(obj_t BgL_envz00_3588,
		obj_t BgL_oz00_3589, obj_t BgL_vz00_3590)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3589)))->
					BgL_jvmzd2typezd2namez00) =
				((obj_t) ((obj_t) BgL_vz00_3590)), BUNSPEC);
		}

	}



/* &lambda1729 */
	obj_t BGl_z62lambda1729z62zzast_varz00(obj_t BgL_envz00_3591,
		obj_t BgL_oz00_3592)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3592)))->BgL_jvmzd2typezd2namez00);
		}

	}



/* &lambda1723 */
	obj_t BGl_z62lambda1723z62zzast_varz00(obj_t BgL_envz00_3593,
		obj_t BgL_oz00_3594, obj_t BgL_vz00_3595)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3594)))->BgL_srcz00) =
				((obj_t) BgL_vz00_3595), BUNSPEC);
		}

	}



/* &lambda1722 */
	obj_t BGl_z62lambda1722z62zzast_varz00(obj_t BgL_envz00_3596,
		obj_t BgL_oz00_3597)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3597)))->BgL_srcz00);
		}

	}



/* &<@anonymous:1714> */
	obj_t BGl_z62zc3z04anonymousza31714ze3ze5zzast_varz00(obj_t BgL_envz00_3598)
	{
		{	/* Ast/var.scm 46 */
			return BNIL;
		}

	}



/* &lambda1713 */
	obj_t BGl_z62lambda1713z62zzast_varz00(obj_t BgL_envz00_3599,
		obj_t BgL_oz00_3600, obj_t BgL_vz00_3601)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3600)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_3601), BUNSPEC);
		}

	}



/* &lambda1712 */
	obj_t BGl_z62lambda1712z62zzast_varz00(obj_t BgL_envz00_3602,
		obj_t BgL_oz00_3603)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3603)))->BgL_pragmaz00);
		}

	}



/* &<@anonymous:1697> */
	obj_t BGl_z62zc3z04anonymousza31697ze3ze5zzast_varz00(obj_t BgL_envz00_3604)
	{
		{	/* Ast/var.scm 46 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1696 */
	obj_t BGl_z62lambda1696z62zzast_varz00(obj_t BgL_envz00_3605,
		obj_t BgL_oz00_3606, obj_t BgL_vz00_3607)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3606)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_3607), BUNSPEC);
		}

	}



/* &lambda1695 */
	obj_t BGl_z62lambda1695z62zzast_varz00(obj_t BgL_envz00_3608,
		obj_t BgL_oz00_3609)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3609)))->BgL_libraryz00);
		}

	}



/* &<@anonymous:1678> */
	obj_t BGl_z62zc3z04anonymousza31678ze3ze5zzast_varz00(obj_t BgL_envz00_3610)
	{
		{	/* Ast/var.scm 46 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1677 */
	obj_t BGl_z62lambda1677z62zzast_varz00(obj_t BgL_envz00_3611,
		obj_t BgL_oz00_3612, obj_t BgL_vz00_3613)
	{
		{	/* Ast/var.scm 46 */
			{	/* Ast/var.scm 46 */
				bool_t BgL_vz00_4121;

				BgL_vz00_4121 = CBOOL(BgL_vz00_3613);
				return
					((((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_oz00_3612)))->BgL_evalzf3zf3) =
					((bool_t) BgL_vz00_4121), BUNSPEC);
			}
		}

	}



/* &lambda1676 */
	obj_t BGl_z62lambda1676z62zzast_varz00(obj_t BgL_envz00_3614,
		obj_t BgL_oz00_3615)
	{
		{	/* Ast/var.scm 46 */
			return
				BBOOL(
				(((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3615)))->BgL_evalzf3zf3));
		}

	}



/* &<@anonymous:1660> */
	obj_t BGl_z62zc3z04anonymousza31660ze3ze5zzast_varz00(obj_t BgL_envz00_3616)
	{
		{	/* Ast/var.scm 46 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1659 */
	obj_t BGl_z62lambda1659z62zzast_varz00(obj_t BgL_envz00_3617,
		obj_t BgL_oz00_3618, obj_t BgL_vz00_3619)
	{
		{	/* Ast/var.scm 46 */
			{	/* Ast/var.scm 46 */
				bool_t BgL_vz00_4124;

				BgL_vz00_4124 = CBOOL(BgL_vz00_3619);
				return
					((((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_oz00_3618)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_vz00_4124), BUNSPEC);
			}
		}

	}



/* &lambda1658 */
	obj_t BGl_z62lambda1658z62zzast_varz00(obj_t BgL_envz00_3620,
		obj_t BgL_oz00_3621)
	{
		{	/* Ast/var.scm 46 */
			return
				BBOOL(
				(((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3621)))->BgL_evaluablezf3zf3));
		}

	}



/* &lambda1638 */
	obj_t BGl_z62lambda1638z62zzast_varz00(obj_t BgL_envz00_3622,
		obj_t BgL_oz00_3623, obj_t BgL_vz00_3624)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3623)))->BgL_importz00) =
				((obj_t) BgL_vz00_3624), BUNSPEC);
		}

	}



/* &lambda1637 */
	obj_t BGl_z62lambda1637z62zzast_varz00(obj_t BgL_envz00_3625,
		obj_t BgL_oz00_3626)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3626)))->BgL_importz00);
		}

	}



/* &lambda1621 */
	obj_t BGl_z62lambda1621z62zzast_varz00(obj_t BgL_envz00_3627,
		obj_t BgL_oz00_3628, obj_t BgL_vz00_3629)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3628)))->BgL_modulez00) = ((obj_t)
					((obj_t) BgL_vz00_3629)), BUNSPEC);
		}

	}



/* &lambda1620 */
	obj_t BGl_z62lambda1620z62zzast_varz00(obj_t BgL_envz00_3630,
		obj_t BgL_oz00_3631)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3631)))->BgL_modulez00);
		}

	}



/* &<@anonymous:1367> */
	obj_t BGl_z62zc3z04anonymousza31367ze3ze5zzast_varz00(obj_t BgL_envz00_3632,
		obj_t BgL_new1062z00_3633)
	{
		{	/* Ast/var.scm 23 */
			{
				BgL_variablez00_bglt BgL_auxz00_6742;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1062z00_3633)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 74))), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1062z00_3633)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_6748;

					{	/* Ast/var.scm 23 */
						obj_t BgL_classz00_4132;

						BgL_classz00_4132 = BGl_typez00zztype_typez00;
						{	/* Ast/var.scm 23 */
							obj_t BgL__ortest_1112z00_4133;

							BgL__ortest_1112z00_4133 = BGL_CLASS_NIL(BgL_classz00_4132);
							if (CBOOL(BgL__ortest_1112z00_4133))
								{	/* Ast/var.scm 23 */
									BgL_auxz00_6748 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_4133);
								}
							else
								{	/* Ast/var.scm 23 */
									BgL_auxz00_6748 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4132));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1062z00_3633)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_6748), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_6757;

					{	/* Ast/var.scm 23 */
						obj_t BgL_classz00_4134;

						BgL_classz00_4134 = BGl_valuez00zzast_varz00;
						{	/* Ast/var.scm 23 */
							obj_t BgL__ortest_1112z00_4135;

							BgL__ortest_1112z00_4135 = BGL_CLASS_NIL(BgL_classz00_4134);
							if (CBOOL(BgL__ortest_1112z00_4135))
								{	/* Ast/var.scm 23 */
									BgL_auxz00_6757 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_4135);
								}
							else
								{	/* Ast/var.scm 23 */
									BgL_auxz00_6757 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4134));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1062z00_3633)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_6757), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1062z00_3633)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1062z00_3633)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1062z00_3633)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1062z00_3633)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1062z00_3633)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1062z00_3633)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_6742 = ((BgL_variablez00_bglt) BgL_new1062z00_3633);
				return ((obj_t) BgL_auxz00_6742);
			}
		}

	}



/* &lambda1364 */
	BgL_variablez00_bglt BGl_z62lambda1364z62zzast_varz00(obj_t BgL_envz00_3634)
	{
		{	/* Ast/var.scm 23 */
			{	/* Ast/var.scm 23 */
				BgL_variablez00_bglt BgL_new1061z00_4136;

				BgL_new1061z00_4136 =
					((BgL_variablez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_variablez00_bgl))));
				{	/* Ast/var.scm 23 */
					long BgL_arg1366z00_4137;

					BgL_arg1366z00_4137 = BGL_CLASS_NUM(BGl_variablez00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1061z00_4136), BgL_arg1366z00_4137);
				}
				return BgL_new1061z00_4136;
			}
		}

	}



/* &lambda1362 */
	BgL_variablez00_bglt BGl_z62lambda1362z62zzast_varz00(obj_t BgL_envz00_3635,
		obj_t BgL_id1051z00_3636, obj_t BgL_name1052z00_3637,
		obj_t BgL_type1053z00_3638, obj_t BgL_value1054z00_3639,
		obj_t BgL_access1055z00_3640, obj_t BgL_fastzd2alpha1056zd2_3641,
		obj_t BgL_removable1057z00_3642, obj_t BgL_occurrence1058z00_3643,
		obj_t BgL_occurrencew1059z00_3644, obj_t BgL_userzf31060zf3_3645)
	{
		{	/* Ast/var.scm 23 */
			{	/* Ast/var.scm 23 */
				long BgL_occurrence1058z00_4141;
				long BgL_occurrencew1059z00_4142;
				bool_t BgL_userzf31060zf3_4143;

				BgL_occurrence1058z00_4141 = (long) CINT(BgL_occurrence1058z00_3643);
				BgL_occurrencew1059z00_4142 = (long) CINT(BgL_occurrencew1059z00_3644);
				BgL_userzf31060zf3_4143 = CBOOL(BgL_userzf31060zf3_3645);
				{	/* Ast/var.scm 23 */
					BgL_variablez00_bglt BgL_new1221z00_4144;

					{	/* Ast/var.scm 23 */
						BgL_variablez00_bglt BgL_new1220z00_4145;

						BgL_new1220z00_4145 =
							((BgL_variablez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_variablez00_bgl))));
						{	/* Ast/var.scm 23 */
							long BgL_arg1363z00_4146;

							BgL_arg1363z00_4146 = BGL_CLASS_NUM(BGl_variablez00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1220z00_4145),
								BgL_arg1363z00_4146);
						}
						BgL_new1221z00_4144 = BgL_new1220z00_4145;
					}
					((((BgL_variablez00_bglt) COBJECT(BgL_new1221z00_4144))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1051z00_3636)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1221z00_4144))->
							BgL_namez00) = ((obj_t) BgL_name1052z00_3637), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1221z00_4144))->
							BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1053z00_3638)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1221z00_4144))->
							BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1054z00_3639)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1221z00_4144))->
							BgL_accessz00) = ((obj_t) BgL_access1055z00_3640), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1221z00_4144))->
							BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1056zd2_3641), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1221z00_4144))->
							BgL_removablez00) = ((obj_t) BgL_removable1057z00_3642), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1221z00_4144))->
							BgL_occurrencez00) =
						((long) BgL_occurrence1058z00_4141), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1221z00_4144))->
							BgL_occurrencewz00) =
						((long) BgL_occurrencew1059z00_4142), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1221z00_4144))->
							BgL_userzf3zf3) = ((bool_t) BgL_userzf31060zf3_4143), BUNSPEC);
					return BgL_new1221z00_4144;
				}
			}
		}

	}



/* &<@anonymous:1585> */
	obj_t BGl_z62zc3z04anonymousza31585ze3ze5zzast_varz00(obj_t BgL_envz00_3646)
	{
		{	/* Ast/var.scm 23 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1584 */
	obj_t BGl_z62lambda1584z62zzast_varz00(obj_t BgL_envz00_3647,
		obj_t BgL_oz00_3648, obj_t BgL_vz00_3649)
	{
		{	/* Ast/var.scm 23 */
			{	/* Ast/var.scm 23 */
				bool_t BgL_vz00_4148;

				BgL_vz00_4148 = CBOOL(BgL_vz00_3649);
				return
					((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_oz00_3648)))->BgL_userzf3zf3) =
					((bool_t) BgL_vz00_4148), BUNSPEC);
			}
		}

	}



/* &lambda1583 */
	obj_t BGl_z62lambda1583z62zzast_varz00(obj_t BgL_envz00_3650,
		obj_t BgL_oz00_3651)
	{
		{	/* Ast/var.scm 23 */
			return
				BBOOL(
				(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3651)))->BgL_userzf3zf3));
		}

	}



/* &<@anonymous:1570> */
	obj_t BGl_z62zc3z04anonymousza31570ze3ze5zzast_varz00(obj_t BgL_envz00_3652)
	{
		{	/* Ast/var.scm 23 */
			return BINT(((long) 0));
		}

	}



/* &lambda1569 */
	obj_t BGl_z62lambda1569z62zzast_varz00(obj_t BgL_envz00_3653,
		obj_t BgL_oz00_3654, obj_t BgL_vz00_3655)
	{
		{	/* Ast/var.scm 23 */
			{	/* Ast/var.scm 23 */
				long BgL_vz00_4151;

				BgL_vz00_4151 = (long) CINT(BgL_vz00_3655);
				return
					((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_oz00_3654)))->BgL_occurrencewz00) =
					((long) BgL_vz00_4151), BUNSPEC);
		}}

	}



/* &lambda1568 */
	obj_t BGl_z62lambda1568z62zzast_varz00(obj_t BgL_envz00_3656,
		obj_t BgL_oz00_3657)
	{
		{	/* Ast/var.scm 23 */
			return
				BINT(
				(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3657)))->BgL_occurrencewz00));
		}

	}



/* &<@anonymous:1554> */
	obj_t BGl_z62zc3z04anonymousza31554ze3ze5zzast_varz00(obj_t BgL_envz00_3658)
	{
		{	/* Ast/var.scm 23 */
			return BINT(((long) 0));
		}

	}



/* &lambda1553 */
	obj_t BGl_z62lambda1553z62zzast_varz00(obj_t BgL_envz00_3659,
		obj_t BgL_oz00_3660, obj_t BgL_vz00_3661)
	{
		{	/* Ast/var.scm 23 */
			{	/* Ast/var.scm 23 */
				long BgL_vz00_4154;

				BgL_vz00_4154 = (long) CINT(BgL_vz00_3661);
				return
					((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_oz00_3660)))->BgL_occurrencez00) =
					((long) BgL_vz00_4154), BUNSPEC);
		}}

	}



/* &lambda1552 */
	obj_t BGl_z62lambda1552z62zzast_varz00(obj_t BgL_envz00_3662,
		obj_t BgL_oz00_3663)
	{
		{	/* Ast/var.scm 23 */
			return
				BINT(
				(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3663)))->BgL_occurrencez00));
		}

	}



/* &<@anonymous:1537> */
	obj_t BGl_z62zc3z04anonymousza31537ze3ze5zzast_varz00(obj_t BgL_envz00_3664)
	{
		{	/* Ast/var.scm 23 */
			return CNST_TABLE_REF(((long) 76));
		}

	}



/* &lambda1536 */
	obj_t BGl_z62lambda1536z62zzast_varz00(obj_t BgL_envz00_3665,
		obj_t BgL_oz00_3666, obj_t BgL_vz00_3667)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3666)))->BgL_removablez00) =
				((obj_t) BgL_vz00_3667), BUNSPEC);
		}

	}



/* &lambda1535 */
	obj_t BGl_z62lambda1535z62zzast_varz00(obj_t BgL_envz00_3668,
		obj_t BgL_oz00_3669)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3669)))->BgL_removablez00);
		}

	}



/* &<@anonymous:1499> */
	obj_t BGl_z62zc3z04anonymousza31499ze3ze5zzast_varz00(obj_t BgL_envz00_3670)
	{
		{	/* Ast/var.scm 23 */
			return BUNSPEC;
		}

	}



/* &lambda1498 */
	obj_t BGl_z62lambda1498z62zzast_varz00(obj_t BgL_envz00_3671,
		obj_t BgL_oz00_3672, obj_t BgL_vz00_3673)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3672)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_3673), BUNSPEC);
		}

	}



/* &lambda1497 */
	obj_t BGl_z62lambda1497z62zzast_varz00(obj_t BgL_envz00_3674,
		obj_t BgL_oz00_3675)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3675)))->BgL_fastzd2alphazd2);
		}

	}



/* &<@anonymous:1460> */
	obj_t BGl_z62zc3z04anonymousza31460ze3ze5zzast_varz00(obj_t BgL_envz00_3676)
	{
		{	/* Ast/var.scm 23 */
			return CNST_TABLE_REF(((long) 71));
		}

	}



/* &lambda1459 */
	obj_t BGl_z62lambda1459z62zzast_varz00(obj_t BgL_envz00_3677,
		obj_t BgL_oz00_3678, obj_t BgL_vz00_3679)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3678)))->BgL_accessz00) =
				((obj_t) BgL_vz00_3679), BUNSPEC);
		}

	}



/* &lambda1458 */
	obj_t BGl_z62lambda1458z62zzast_varz00(obj_t BgL_envz00_3680,
		obj_t BgL_oz00_3681)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3681)))->BgL_accessz00);
		}

	}



/* &lambda1420 */
	obj_t BGl_z62lambda1420z62zzast_varz00(obj_t BgL_envz00_3682,
		obj_t BgL_oz00_3683, obj_t BgL_vz00_3684)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3683)))->BgL_valuez00) =
				((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_vz00_3684)), BUNSPEC);
		}

	}



/* &lambda1419 */
	BgL_valuez00_bglt BGl_z62lambda1419z62zzast_varz00(obj_t BgL_envz00_3685,
		obj_t BgL_oz00_3686)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3686)))->BgL_valuez00);
		}

	}



/* &lambda1403 */
	obj_t BGl_z62lambda1403z62zzast_varz00(obj_t BgL_envz00_3687,
		obj_t BgL_oz00_3688, obj_t BgL_vz00_3689)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3688)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_3689)), BUNSPEC);
		}

	}



/* &lambda1402 */
	BgL_typez00_bglt BGl_z62lambda1402z62zzast_varz00(obj_t BgL_envz00_3690,
		obj_t BgL_oz00_3691)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3691)))->BgL_typez00);
		}

	}



/* &<@anonymous:1386> */
	obj_t BGl_z62zc3z04anonymousza31386ze3ze5zzast_varz00(obj_t BgL_envz00_3692)
	{
		{	/* Ast/var.scm 23 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1385 */
	obj_t BGl_z62lambda1385z62zzast_varz00(obj_t BgL_envz00_3693,
		obj_t BgL_oz00_3694, obj_t BgL_vz00_3695)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3694)))->BgL_namez00) =
				((obj_t) BgL_vz00_3695), BUNSPEC);
		}

	}



/* &lambda1384 */
	obj_t BGl_z62lambda1384z62zzast_varz00(obj_t BgL_envz00_3696,
		obj_t BgL_oz00_3697)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3697)))->BgL_namez00);
		}

	}



/* &lambda1373 */
	obj_t BGl_z62lambda1373z62zzast_varz00(obj_t BgL_envz00_3698,
		obj_t BgL_oz00_3699, obj_t BgL_vz00_3700)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3699)))->BgL_idz00) = ((obj_t)
					((obj_t) BgL_vz00_3700)), BUNSPEC);
		}

	}



/* &lambda1372 */
	obj_t BGl_z62lambda1372z62zzast_varz00(obj_t BgL_envz00_3701,
		obj_t BgL_oz00_3702)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3702)))->BgL_idz00);
		}

	}



/* &<@anonymous:1348> */
	obj_t BGl_z62zc3z04anonymousza31348ze3ze5zzast_varz00(obj_t BgL_envz00_3703,
		obj_t BgL_new1049z00_3704)
	{
		{	/* Ast/var.scm 21 */
			return ((obj_t) ((BgL_valuez00_bglt) BgL_new1049z00_3704));
		}

	}



/* &lambda1344 */
	BgL_valuez00_bglt BGl_z62lambda1344z62zzast_varz00(obj_t BgL_envz00_3705)
	{
		{	/* Ast/var.scm 21 */
			{	/* Ast/var.scm 21 */
				BgL_valuez00_bglt BgL_new1048z00_4174;

				BgL_new1048z00_4174 =
					((BgL_valuez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_valuez00_bgl))));
				{	/* Ast/var.scm 21 */
					long BgL_arg1347z00_4175;

					BgL_arg1347z00_4175 = BGL_CLASS_NUM(BGl_valuez00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1048z00_4174), BgL_arg1347z00_4175);
				}
				return BgL_new1048z00_4174;
			}
		}

	}



/* &lambda1341 */
	BgL_valuez00_bglt BGl_z62lambda1341z62zzast_varz00(obj_t BgL_envz00_3706)
	{
		{	/* Ast/var.scm 21 */
			{	/* Ast/var.scm 21 */
				BgL_valuez00_bglt BgL_new1219z00_4176;

				{	/* Ast/var.scm 21 */
					BgL_valuez00_bglt BgL_new1218z00_4177;

					BgL_new1218z00_4177 =
						((BgL_valuez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_valuez00_bgl))));
					{	/* Ast/var.scm 21 */
						long BgL_arg1343z00_4178;

						BgL_arg1343z00_4178 = BGL_CLASS_NUM(BGl_valuez00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1218z00_4177), BgL_arg1343z00_4178);
					}
					BgL_new1219z00_4176 = BgL_new1218z00_4177;
				}
				return BgL_new1219z00_4176;
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_varz00()
	{
		{	/* Ast/var.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_varz00()
	{
		{	/* Ast/var.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_varz00()
	{
		{	/* Ast/var.scm 14 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2383z00zzast_varz00));
			return
				BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2383z00zzast_varz00));
		}

	}

#ifdef __cplusplus
}
#endif
