/*===========================================================================*/
/*   (BackEnd/backend.scm)                                                   */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/backend.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typezd2checkzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2typedzd2eqz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2compilezd2func1118z62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2cnstzd2tablezd2n1124zb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62backendzd2callcczb0zzbackend_backendz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_backendz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2languagezd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t
		BGl_z62backendzd2initializa7ez121114z05zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31499ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62backendzd2namezb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2srfi0zb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2compilezd2functionsz00zzbackend_backendz00
		(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2functionszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62backendzd2compile1116zb0zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2callcczd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_backendz00_bglt
		BGl_backendzd2nilzd2zzbackend_backendz00();
	static obj_t BGl_z62backendzd2typedzd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2foreignzd2closurezd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62backendzd2subtypezf3z43zzbackend_backendz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2heapzd2suffixz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2cnstzd2tablezd2namezb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	static obj_t BGl_za2thezd2backendza2zd2zzbackend_backendz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzbackend_backendz00();
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2variableszd2zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2checkzd2inlinesz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2typezd2checkz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2foreignzd2closurez00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2variableszd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2languagezd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_backendz00();
	static obj_t BGl_z62backendzd2linkzd2objectsz62zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2typedzd2eqz62zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_backendzf3zf3zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31206ze3ze5zzbackend_backendz00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2callcczd2zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typedzd2eqzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_objectzd2initzd2zzbackend_backendz00();
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2qualifiedzd2typeszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62backendzd2linkzd2objects1126z62zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31215ze3ze5zzbackend_backendz00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t
		BGl_z62backendzd2removezd2emptyzd2letzb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2linkzd2objectsz00zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62backendzd2heapzd2compatiblez62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2debugzd2supportz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31240ze3ze5zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2typedzd2funcallz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2registerszb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2externzd2variablesz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2checkzd2inlinesz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2heapzd2compatiblezd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31403ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31225ze3ze5zzbackend_backendz00(obj_t);
	static obj_t
		BGl_z62backendzd2externzd2typeszd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2initializa7ez12z05zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_za2backendsza2z00zzbackend_backendz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2pregisterszd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31250ze3ze5zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2callcczd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		bool_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2foreignzd2clausezd2supportzb0zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2typedzd2eqzd2setz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static BgL_backendz00_bglt BGl_z62backendzd2nilzb0zzbackend_backendz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_backendz00();
	static obj_t
		BGl_z62backendzd2tvectorzd2descrzd2supportzb0zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2functionszd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2removezd2emptyzd2letzd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2pragmazd2supportz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2pregisterszd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31600ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31422ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62backendzd2debugzd2supportz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2functionszd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31317ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31309ze3ze5zzbackend_backendz00(obj_t);
	static obj_t
		BGl_z62backendzd2externzd2variableszd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2typedzd2funcallz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2boundzd2checkz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2typedzb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2typeszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62backendzd2linkzb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2requirezd2tailcz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2effectzb2z60zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31326ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62backendzd2typeszb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2effectzb2z02zzbackend_backendz00(obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2instrzd2resetzd21128zb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2srfi0zd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2srfi0zd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2instrzd2resetzd2registerszb0zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_backendz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2registerszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62backendzd2typeszd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1204z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1205z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31344ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31336ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62backendzd2qualifiedzd2typesz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2pragmazd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62zc3z04anonymousza31158ze3ze5zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2externzd2functionsz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2typezd2checkzd2setz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1213z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1214z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2foreignzd2clausezd2supportzd2zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2variableszb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typedzd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2initializa7ez12z67zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2foreignzd2closurezd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2checkzd2inline1130z62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1223z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1224z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2removezd2emptyzd2letzd2zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62lambda1307z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2requirezd2tailcz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31168ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1308z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62thezd2backendzb0zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2compilezd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2compilezb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62setzd2backendz12za2zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2tracezd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62backendzd2link1120zb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31460ze3ze5zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2namezd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda1315z62zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2variablesz00zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62lambda1316z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31177ze3ze5zzbackend_backendz00(obj_t);
	static BgL_backendz00_bglt BGl_z62lambda1156z62zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1238z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1239z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_backendz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62lambda1401z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1402z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00
		(BgL_backendz00_bglt, int);
	static obj_t BGl_z62lambda1324z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31607ze3ze5zzbackend_backendz00(obj_t);
	static obj_t
		BGl_z62backendzd2externzd2functionszd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31194ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1325z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31259ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1166z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2heapzd2suffixzd2setz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1167z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1248z62zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2namezd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62lambda1249z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2boundzd2checkzd2setz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2languagezd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2tracezd2supportzd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1334z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1335z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31357ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1175z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1176z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1257z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1258z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2boundzd2checkz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2qualifiedzd2typeszd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1420z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1421z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62backendzd2foreignzd2closurez62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1342z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1343z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzbackend_backendz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_backendz00();
	static obj_t BGl_z62backendzd2pragmazd2supportz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_backendz00();
	static obj_t BGl_gczd2rootszd2initz00zzbackend_backendz00();
	static obj_t BGl_z62zc3z04anonymousza31383ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31537ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1192z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31367ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1193z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31278ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1355z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1356z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1276z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1277z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2heapzd2compatiblezd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2debugzd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2tvectorzd2descrzd2supportzd2zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2typezd2checkz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_backendz00zzbackend_backendz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2removezd2emptyzd2letzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62zc3z04anonymousza31570ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31554ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1605z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1606z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62backendzd2functionszb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1365z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1366z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2pragmazd2supportzd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2heapzd2compatiblez00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2variableszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62backendzd2gczd2init1132z62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2registerszd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_backendz00
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1535z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1536z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1296z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1458z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1297z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1459z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2typedzd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62registerzd2backendz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2debugzd2supportzd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typeszd2zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2functionsz00zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2externzd2typesz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1381z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1382z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2instrzd2resetzd2registerszd2zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62backendzd2languagezb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2requirezd2tailczd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typedzd2funcallzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62lambda1552z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1553z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31298ze3ze5zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2variableszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2typesz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2tracezd2supportz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2srfi0zd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda1568z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2heapzd2suffixz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1569z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2pregisterszd2setz12z70zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62backendzd2pregisterszb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typeszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62backendzd2subtypezf31122z43zzbackend_backendz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2requirezd2tailczd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2typedzd2funcallzd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzf3z91zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2registerszd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62lambda1497z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1498z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2subtypezf3z21zzbackend_backendz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2effectzb2zd2setz12zc2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2heapzd2suffixzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2boundzd2checkzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62lambda1583z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1584z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2gczd2initz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2gczd2initz62zzbackend_backendz00(obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2compilezd2functionsz62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31585ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62backendzd2namezd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1598z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1599z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2linkzd2zzbackend_backendz00(BgL_backendz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2effectzb2zd2setz12za0zzbackend_backendz00(BgL_backendz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2functionszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2qualifiedzd2typesz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2tracezd2supportz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t __cnst[47];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typeszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1825z00,
		BGl_z62backendzd2typeszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2effectzb2zd2envzb2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2eff1826z00,
		BGl_z62backendzd2effectzb2z02zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_thezd2backendzd2envz00zzbackend_backendz00,
		BgL_bgl_za762theza7d2backend1827z00,
		BGl_z62thezd2backendzb0zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2instrzd2resetzd2registerszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ins1828z00,
		BGl_z62backendzd2instrzd2resetzd2registerszb0zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_backendzf3zd2envz21zzbackend_backendz00,
		BgL_bgl_za762backendza7f3za7911829za7,
		BGl_z62backendzf3z91zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2functionszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2fun1830z00,
		BGl_z62backendzd2functionszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2callcczd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2cal1831z00,
		BGl_z62backendzd2callcczb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_backendzd2nilzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2nil1832z00,
		BGl_z62backendzd2nilzb0zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2removezd2emptyzd2letzd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2rem1833z00,
		BGl_z62backendzd2removezd2emptyzd2letzd2setz12z70zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2functionszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2fun1834z00,
		BGl_z62backendzd2functionszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2variableszd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1835z00,
		BGl_z62backendzd2externzd2variableszd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1836z00,
		BGl_z62backendzd2typedzd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1837z00,
		BGl_z62backendzd2typedzb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2boundzd2checkzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2bou1838z00,
		BGl_z62backendzd2boundzd2checkzd2setz12za2zzbackend_backendz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2eqzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1839z00,
		BGl_z62backendzd2typedzd2eqzd2setz12za2zzbackend_backendz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2tvectorzd2descrzd2supportzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2tve1840z00,
		BGl_z62backendzd2tvectorzd2descrzd2supportzb0zzbackend_backendz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2srfi0zd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2srf1841z00,
		BGl_z62backendzd2srfi0zd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2pragmazd2supportzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2pra1842z00,
		BGl_z62backendzd2pragmazd2supportz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2pregisterszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2pre1843z00,
		BGl_z62backendzd2pregisterszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1704z00zzbackend_backendz00,
		BgL_bgl_string1704za700za7za7b1844za7, "backend", 7);
	      DEFINE_STRING(BGl_string1705z00zzbackend_backendz00,
		BgL_bgl_string1705za700za7za7b1845za7, "Unimplemented target language", 29);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2typeszd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1846z00,
		BGl_z62backendzd2externzd2typeszd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2foreignzd2closurezd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2for1847z00,
		BGl_z62backendzd2foreignzd2closurez62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1706z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1848za7,
		BGl_z62zc3z04anonymousza31168ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1707z00zzbackend_backendz00,
		BgL_bgl_za762lambda1167za7621849z00,
		BGl_z62lambda1167z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1708z00zzbackend_backendz00,
		BgL_bgl_za762lambda1166za7621850z00,
		BGl_z62lambda1166z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1709z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1851za7,
		BGl_z62zc3z04anonymousza31177ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2com1852z00,
		BGl_z62backendzd2compilezb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1710z00zzbackend_backendz00,
		BgL_bgl_za762lambda1176za7621853z00,
		BGl_z62lambda1176z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2registerszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2reg1854z00,
		BGl_z62backendzd2registerszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1711z00zzbackend_backendz00,
		BgL_bgl_za762lambda1175za7621855z00,
		BGl_z62lambda1175z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1712z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1856za7,
		BGl_z62zc3z04anonymousza31194ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1713z00zzbackend_backendz00,
		BgL_bgl_za762lambda1193za7621857z00,
		BGl_z62lambda1193z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1801z00zzbackend_backendz00,
		BgL_bgl_string1801za700za7za7b1858za7, "backend-compile1116", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1714z00zzbackend_backendz00,
		BgL_bgl_za762lambda1192za7621859z00,
		BGl_z62lambda1192z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1715z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1860za7,
		BGl_z62zc3z04anonymousza31206ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1803z00zzbackend_backendz00,
		BgL_bgl_string1803za700za7za7b1861za7, "backend-compile-func1118", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1716z00zzbackend_backendz00,
		BgL_bgl_za762lambda1205za7621862z00,
		BGl_z62lambda1205z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1717z00zzbackend_backendz00,
		BgL_bgl_za762lambda1204za7621863z00,
		BGl_z62lambda1204z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1805z00zzbackend_backendz00,
		BgL_bgl_string1805za700za7za7b1864za7, "backend-link1120", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1718z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1865za7,
		BGl_z62zc3z04anonymousza31215ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1719z00zzbackend_backendz00,
		BgL_bgl_za762lambda1214za7621866z00,
		BGl_z62lambda1214z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1807z00zzbackend_backendz00,
		BgL_bgl_string1807za700za7za7b1867za7, "backend-subtype?1122", 20);
	      DEFINE_STRING(BGl_string1809z00zzbackend_backendz00,
		BgL_bgl_string1809za700za7za7b1868za7, "backend-cnst-table-n1124", 24);
	     
		DEFINE_EXPORT_BGL_GENERIC(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lin1869z00,
		BGl_z62backendzd2linkzb0zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2com1870z00,
		BGl_z62backendzd2compile1116zb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1720z00zzbackend_backendz00,
		BgL_bgl_za762lambda1213za7621871z00,
		BGl_z62lambda1213z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1802z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2com1872z00,
		BGl_z62backendzd2compilezd2func1118z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1721z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1873za7,
		BGl_z62zc3z04anonymousza31225ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1722z00zzbackend_backendz00,
		BgL_bgl_za762lambda1224za7621874z00,
		BGl_z62lambda1224z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1804z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lin1875z00,
		BGl_z62backendzd2link1120zb0zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1723z00zzbackend_backendz00,
		BgL_bgl_za762lambda1223za7621876z00,
		BGl_z62lambda1223z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2functionszd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1877z00,
		BGl_z62backendzd2externzd2functionszd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2qualifiedzd2typeszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2qua1878z00,
		BGl_z62backendzd2qualifiedzd2typesz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1811z00zzbackend_backendz00,
		BgL_bgl_string1811za700za7za7b1879za7, "backend-link-objects1126", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1724z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1880za7,
		BGl_z62zc3z04anonymousza31240ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1806z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2sub1881z00,
		BGl_z62backendzd2subtypezf31122z43zzbackend_backendz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1725z00zzbackend_backendz00,
		BgL_bgl_za762lambda1239za7621882z00,
		BGl_z62lambda1239z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1813z00zzbackend_backendz00,
		BgL_bgl_string1813za700za7za7b1883za7, "backend-instr-reset-1128", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1726z00zzbackend_backendz00,
		BgL_bgl_za762lambda1238za7621884z00,
		BGl_z62lambda1238z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1808z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2cns1885z00,
		BGl_z62backendzd2cnstzd2tablezd2n1124zb0zzbackend_backendz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1727z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1886za7,
		BGl_z62zc3z04anonymousza31250ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1815z00zzbackend_backendz00,
		BgL_bgl_string1815za700za7za7b1887za7, "backend-check-inline1130", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1728z00zzbackend_backendz00,
		BgL_bgl_za762lambda1249za7621888z00,
		BGl_z62lambda1249z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1729z00zzbackend_backendz00,
		BgL_bgl_za762lambda1248za7621889z00,
		BGl_z62lambda1248z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1817z00zzbackend_backendz00,
		BgL_bgl_string1817za700za7za7b1890za7, "backend-gc-init1132", 19);
	      DEFINE_STRING(BGl_string1818z00zzbackend_backendz00,
		BgL_bgl_string1818za700za7za7b1891za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1819z00zzbackend_backendz00,
		BgL_bgl_string1819za700za7za7b1892za7, "backend_backend", 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_backendzd2namezd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2nam1893z00,
		BGl_z62backendzd2namezb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2backendz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762setza7d2backend1894z00,
		BGl_z62setzd2backendz12za2zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typeszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1895z00,
		BGl_z62backendzd2typeszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1810z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lin1896z00,
		BGl_z62backendzd2linkzd2objects1126z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1730z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1897za7,
		BGl_z62zc3z04anonymousza31259ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1812z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ins1898z00,
		BGl_z62backendzd2instrzd2resetzd21128zb0zzbackend_backendz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1731z00zzbackend_backendz00,
		BgL_bgl_za762lambda1258za7621899z00,
		BGl_z62lambda1258z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1732z00zzbackend_backendz00,
		BgL_bgl_za762lambda1257za7621900z00,
		BGl_z62lambda1257z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1820z00zzbackend_backendz00,
		BgL_bgl_string1820za700za7za7b1901za7,
		"backend-compile1116 backend-compile-func1118 backend-link1120 backend-subtype?1122 backend-cnst-table-n1124 backend-link-objects1126 none native (foreign extern) (c bdb module) _ backend_backend backend typed-funcall type-check bound-check pregisters registers require-tailc tvector-descr-support pragma-support debug-support pair-nil foreign-clause-support trace-support typed-eq foreign-closure remove-empty-let effect+ qualified-types callcc heap-compatible heap-suffix bool typed types functions variables extern-types extern-functions obj extern-variables bstring name srfi0 symbol language ",
		596);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1814z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2che1902z00,
		BGl_z62backendzd2checkzd2inline1130z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1733z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1903za7,
		BGl_z62zc3z04anonymousza31278ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1734z00zzbackend_backendz00,
		BgL_bgl_za762lambda1277za7621904z00,
		BGl_z62lambda1277z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1816z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2gcza71905za7,
		BGl_z62backendzd2gczd2init1132z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1735z00zzbackend_backendz00,
		BgL_bgl_za762lambda1276za7621906z00,
		BGl_z62lambda1276z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1736z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1907za7,
		BGl_z62zc3z04anonymousza31298ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1737z00zzbackend_backendz00,
		BgL_bgl_za762lambda1297za7621908z00,
		BGl_z62lambda1297z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1738z00zzbackend_backendz00,
		BgL_bgl_za762lambda1296za7621909z00,
		BGl_z62lambda1296z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1739z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1910za7,
		BGl_z62zc3z04anonymousza31309ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2che1911z00,
		BGl_z62backendzd2checkzd2inlinesz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typezd2checkzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1912z00,
		BGl_z62backendzd2typezd2checkz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1740z00zzbackend_backendz00,
		BgL_bgl_za762lambda1308za7621913z00,
		BGl_z62lambda1308z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1741z00zzbackend_backendz00,
		BgL_bgl_za762lambda1307za7621914z00,
		BGl_z62lambda1307z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1742z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1915za7,
		BGl_z62zc3z04anonymousza31317ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1743z00zzbackend_backendz00,
		BgL_bgl_za762lambda1316za7621916z00,
		BGl_z62lambda1316z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1744z00zzbackend_backendz00,
		BgL_bgl_za762lambda1315za7621917z00,
		BGl_z62lambda1315z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1745z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1918za7,
		BGl_z62zc3z04anonymousza31326ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1746z00zzbackend_backendz00,
		BgL_bgl_za762lambda1325za7621919z00,
		BGl_z62lambda1325z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1747z00zzbackend_backendz00,
		BgL_bgl_za762lambda1324za7621920z00,
		BGl_z62lambda1324z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1748z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1921za7,
		BGl_z62zc3z04anonymousza31336ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1749z00zzbackend_backendz00,
		BgL_bgl_za762lambda1335za7621922z00,
		BGl_z62lambda1335z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2languagezd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lan1923z00,
		BGl_z62backendzd2languagezd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1750z00zzbackend_backendz00,
		BgL_bgl_za762lambda1334za7621924z00,
		BGl_z62lambda1334z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1751z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1925za7,
		BGl_z62zc3z04anonymousza31344ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1752z00zzbackend_backendz00,
		BgL_bgl_za762lambda1343za7621926z00,
		BGl_z62lambda1343z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1753z00zzbackend_backendz00,
		BgL_bgl_za762lambda1342za7621927z00,
		BGl_z62lambda1342z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1754z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1928za7,
		BGl_z62zc3z04anonymousza31357ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1755z00zzbackend_backendz00,
		BgL_bgl_za762lambda1356za7621929z00,
		BGl_z62lambda1356z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1756z00zzbackend_backendz00,
		BgL_bgl_za762lambda1355za7621930z00,
		BGl_z62lambda1355z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2callcczd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2cal1931z00,
		BGl_z62backendzd2callcczd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1757z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1932za7,
		BGl_z62zc3z04anonymousza31367ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1758z00zzbackend_backendz00,
		BgL_bgl_za762lambda1366za7621933z00,
		BGl_z62lambda1366z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1759z00zzbackend_backendz00,
		BgL_bgl_za762lambda1365za7621934z00,
		BGl_z62lambda1365z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2foreignzd2closurezd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2for1935z00,
		BGl_z62backendzd2foreignzd2closurezd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1760z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1936za7,
		BGl_z62zc3z04anonymousza31383ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1761z00zzbackend_backendz00,
		BgL_bgl_za762lambda1382za7621937z00,
		BGl_z62lambda1382z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2typeszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1938z00,
		BGl_z62backendzd2externzd2typesz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1762z00zzbackend_backendz00,
		BgL_bgl_za762lambda1381za7621939z00,
		BGl_z62lambda1381z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1763z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1940za7,
		BGl_z62zc3z04anonymousza31403ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1764z00zzbackend_backendz00,
		BgL_bgl_za762lambda1402za7621941z00,
		BGl_z62lambda1402z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1765z00zzbackend_backendz00,
		BgL_bgl_za762lambda1401za7621942z00,
		BGl_z62lambda1401z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1766z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1943za7,
		BGl_z62zc3z04anonymousza31422ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1767z00zzbackend_backendz00,
		BgL_bgl_za762lambda1421za7621944z00,
		BGl_z62lambda1421z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1768z00zzbackend_backendz00,
		BgL_bgl_za762lambda1420za7621945z00,
		BGl_z62lambda1420z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1769z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1946za7,
		BGl_z62zc3z04anonymousza31460ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lin1947z00,
		BGl_z62backendzd2linkzd2objectsz62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typezd2checkzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1948z00,
		BGl_z62backendzd2typezd2checkzd2setz12za2zzbackend_backendz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1770z00zzbackend_backendz00,
		BgL_bgl_za762lambda1459za7621949z00,
		BGl_z62lambda1459z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2registerszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2reg1950z00,
		BGl_z62backendzd2registerszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1771z00zzbackend_backendz00,
		BgL_bgl_za762lambda1458za7621951z00,
		BGl_z62lambda1458z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1772z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1952za7,
		BGl_z62zc3z04anonymousza31499ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1773z00zzbackend_backendz00,
		BgL_bgl_za762lambda1498za7621953z00,
		BGl_z62lambda1498z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1774z00zzbackend_backendz00,
		BgL_bgl_za762lambda1497za7621954z00,
		BGl_z62lambda1497z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1775z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1955za7,
		BGl_z62zc3z04anonymousza31537ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1776z00zzbackend_backendz00,
		BgL_bgl_za762lambda1536za7621956z00,
		BGl_z62lambda1536z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1777z00zzbackend_backendz00,
		BgL_bgl_za762lambda1535za7621957z00,
		BGl_z62lambda1535z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1778z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1958za7,
		BGl_z62zc3z04anonymousza31554ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1779z00zzbackend_backendz00,
		BgL_bgl_za762lambda1553za7621959z00,
		BGl_z62lambda1553z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2heapzd2compatiblezd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2hea1960z00,
		BGl_z62backendzd2heapzd2compatiblezd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ini1961z00,
		BGl_z62backendzd2initializa7ez12z05zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1780z00zzbackend_backendz00,
		BgL_bgl_za762lambda1552za7621962z00,
		BGl_z62lambda1552z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1781z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1963za7,
		BGl_z62zc3z04anonymousza31570ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1782z00zzbackend_backendz00,
		BgL_bgl_za762lambda1569za7621964z00,
		BGl_z62lambda1569z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1783z00zzbackend_backendz00,
		BgL_bgl_za762lambda1568za7621965z00,
		BGl_z62lambda1568z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1784z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1966za7,
		BGl_z62zc3z04anonymousza31585ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1785z00zzbackend_backendz00,
		BgL_bgl_za762lambda1584za7621967z00,
		BGl_z62lambda1584z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1786z00zzbackend_backendz00,
		BgL_bgl_za762lambda1583za7621968z00,
		BGl_z62lambda1583z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1787z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1969za7,
		BGl_z62zc3z04anonymousza31600ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1788z00zzbackend_backendz00,
		BgL_bgl_za762lambda1599za7621970z00,
		BGl_z62lambda1599z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1795z00zzbackend_backendz00,
		BgL_bgl_string1795za700za7za7b1971za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zzbackend_backendz00,
		BgL_bgl_za762lambda1598za7621972z00,
		BGl_z62lambda1598z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1796z00zzbackend_backendz00,
		BgL_bgl_string1796za700za7za7b1973za7, "heap", 4);
	      DEFINE_STRING(BGl_string1797z00zzbackend_backendz00,
		BgL_bgl_string1797za700za7za7b1974za7, "dummy", 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2srfi0zd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2srf1975z00,
		BGl_z62backendzd2srfi0zb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1799z00zzbackend_backendz00,
		BgL_bgl_string1799za700za7za7b1976za7, "backend-initialize!1114", 23);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2compilezd2functionszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2com1977z00,
		BGl_z62backendzd2compilezd2functionsz62zzbackend_backendz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2requirezd2tailczd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2req1978z00,
		BGl_z62backendzd2requirezd2tailczd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2tracezd2supportzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2tra1979z00,
		BGl_z62backendzd2tracezd2supportzd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1790z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1980za7,
		BGl_z62zc3z04anonymousza31607ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1791z00zzbackend_backendz00,
		BgL_bgl_za762lambda1606za7621981z00,
		BGl_z62lambda1606z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2namezd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2nam1982z00,
		BGl_z62backendzd2namezd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1792z00zzbackend_backendz00,
		BgL_bgl_za762lambda1605za7621983z00,
		BGl_z62lambda1605z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1984za7,
		BGl_z62zc3z04anonymousza31158ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1794z00zzbackend_backendz00,
		BgL_bgl_za762lambda1156za7621985z00,
		BGl_z62lambda1156z62zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ini1986z00,
		BGl_z62backendzd2initializa7ez121114z05zzbackend_backendz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2tracezd2supportzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2tra1987z00,
		BGl_z62backendzd2tracezd2supportz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2cns1988z00,
		BGl_z62backendzd2cnstzd2tablezd2namezb0zzbackend_backendz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2pragmazd2supportzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2pra1989z00,
		BGl_z62backendzd2pragmazd2supportzd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2tvectorzd2descrzd2supportzd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2tve1990z00,
		BGl_z62backendzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_backendz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2foreignzd2clausezd2supportzd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2for1991z00,
		BGl_z62backendzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_backendz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2boundzd2checkzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2bou1992z00,
		BGl_z62backendzd2boundzd2checkz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2removezd2emptyzd2letzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2rem1993z00,
		BGl_z62backendzd2removezd2emptyzd2letzb0zzbackend_backendz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2funcallzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1994z00,
		BGl_z62backendzd2typedzd2funcallzd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2variableszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1995z00,
		BGl_z62backendzd2externzd2variablesz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2debugzd2supportzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2deb1996z00,
		BGl_z62backendzd2debugzd2supportzd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2heapzd2suffixzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2hea1997z00,
		BGl_z62backendzd2heapzd2suffixz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2languagezd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lan1998z00,
		BGl_z62backendzd2languagezb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2eqzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1999z00,
		BGl_z62backendzd2typedzd2eqz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2heapzd2compatiblezd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2hea2000z00,
		BGl_z62backendzd2heapzd2compatiblez62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_registerzd2backendz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762registerza7d2ba2001z00,
		BGl_z62registerzd2backendz12za2zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2heapzd2suffixzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2hea2002z00,
		BGl_z62backendzd2heapzd2suffixzd2setz12za2zzbackend_backendz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2qualifiedzd2typeszd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2qua2003z00,
		BGl_z62backendzd2qualifiedzd2typeszd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2effectzb2zd2setz12zd2envz72zzbackend_backendz00,
		BgL_bgl_za762backendza7d2eff2004z00,
		BGl_z62backendzd2effectzb2zd2setz12zc2zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2variableszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2var2005z00,
		BGl_z62backendzd2variableszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2funcallzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ2006z00,
		BGl_z62backendzd2typedzd2funcallz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2variableszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2var2007z00,
		BGl_z62backendzd2variableszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2foreignzd2clausezd2supportzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2for2008z00,
		BGl_z62backendzd2foreignzd2clausezd2supportzb0zzbackend_backendz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00,
		BgL_bgl_za762backendza7d2sub2009z00,
		BGl_z62backendzd2subtypezf3z43zzbackend_backendz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2requirezd2tailczd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2req2010z00,
		BGl_z62backendzd2requirezd2tailcz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2functionszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext2011z00,
		BGl_z62backendzd2externzd2functionsz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2pregisterszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2pre2012z00,
		BGl_z62backendzd2pregisterszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2gczd2initzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2gcza72013za7,
		BGl_z62backendzd2gczd2initz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2debugzd2supportzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2deb2014z00,
		BGl_z62backendzd2debugzd2supportz62zzbackend_backendz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzbackend_backendz00));
		     ADD_ROOT((void *) (&BGl_za2thezd2backendza2zd2zzbackend_backendz00));
		     ADD_ROOT((void *) (&BGl_za2backendsza2z00zzbackend_backendz00));
		     ADD_ROOT((void *) (&BGl_backendz00zzbackend_backendz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzbackend_backendz00(long
		BgL_checksumz00_1674, char *BgL_fromz00_1675)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_backendz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_backendz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_backendz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_backendz00();
					BGl_cnstzd2initzd2zzbackend_backendz00();
					BGl_importedzd2moduleszd2initz00zzbackend_backendz00();
					BGl_objectzd2initzd2zzbackend_backendz00();
					BGl_genericzd2initzd2zzbackend_backendz00();
					return BGl_toplevelzd2initzd2zzbackend_backendz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_backendz00()
	{
		{	/* BackEnd/backend.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "backend_backend");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_backend");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_backendz00()
	{
		{	/* BackEnd/backend.scm 15 */
			{	/* BackEnd/backend.scm 15 */
				obj_t BgL_cportz00_1549;

				{	/* BackEnd/backend.scm 15 */
					obj_t BgL_stringz00_1557;

					BgL_stringz00_1557 = BGl_string1820z00zzbackend_backendz00;
					{	/* BackEnd/backend.scm 15 */
						obj_t BgL_startz00_1558;

						BgL_startz00_1558 = BINT(((long) 0));
						{	/* BackEnd/backend.scm 15 */
							obj_t BgL_endz00_1559;

							BgL_endz00_1559 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1557)));
							{	/* BackEnd/backend.scm 15 */

								BgL_cportz00_1549 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1557, BgL_startz00_1558, BgL_endz00_1559);
				}}}}
				{
					long BgL_iz00_1550;

					BgL_iz00_1550 = ((long) 46);
				BgL_loopz00_1551:
					if ((BgL_iz00_1550 == ((long) -1)))
						{	/* BackEnd/backend.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/backend.scm 15 */
							{	/* BackEnd/backend.scm 15 */
								obj_t BgL_arg1824z00_1553;

								{	/* BackEnd/backend.scm 15 */

									{	/* BackEnd/backend.scm 15 */
										obj_t BgL_locationz00_1555;

										BgL_locationz00_1555 = BBOOL(((bool_t) 0));
										{	/* BackEnd/backend.scm 15 */

											BgL_arg1824z00_1553 =
												BGl_readz00zz__readerz00(BgL_cportz00_1549,
												BgL_locationz00_1555);
										}
									}
								}
								{	/* BackEnd/backend.scm 15 */
									int BgL_tmpz00_1706;

									BgL_tmpz00_1706 = (int) (BgL_iz00_1550);
									CNST_TABLE_SET(BgL_tmpz00_1706, BgL_arg1824z00_1553);
							}}
							{	/* BackEnd/backend.scm 15 */
								int BgL_auxz00_1556;

								BgL_auxz00_1556 = (int) ((BgL_iz00_1550 - ((long) 1)));
								{
									long BgL_iz00_1711;

									BgL_iz00_1711 = (long) (BgL_auxz00_1556);
									BgL_iz00_1550 = BgL_iz00_1711;
									goto BgL_loopz00_1551;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_backendz00()
	{
		{	/* BackEnd/backend.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_backendz00()
	{
		{	/* BackEnd/backend.scm 15 */
			BGl_za2thezd2backendza2zd2zzbackend_backendz00 = BUNSPEC;
			BGl_za2backendsza2z00zzbackend_backendz00 = BNIL;
			return BUNSPEC;
		}

	}



/* backend? */
	BGL_EXPORTED_DEF bool_t BGl_backendzf3zf3zzbackend_backendz00(obj_t
		BgL_objz00_3)
	{
		{	/* BackEnd/backend.sch 78 */
			{	/* BackEnd/backend.sch 78 */
				obj_t BgL_classz00_1561;

				BgL_classz00_1561 = BGl_backendz00zzbackend_backendz00;
				if (BGL_OBJECTP(BgL_objz00_3))
					{	/* BackEnd/backend.sch 78 */
						BgL_objectz00_bglt BgL_arg1825z00_1562;

						BgL_arg1825z00_1562 = (BgL_objectz00_bglt) (BgL_objz00_3);
						{	/* BackEnd/backend.sch 78 */
							bool_t BgL_arg1822z00_1563;
							bool_t BgL_arg1823z00_1564;

							{	/* BackEnd/backend.sch 78 */
								long BgL_idxz00_1565;

								BgL_idxz00_1565 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1562);
								BgL_arg1822z00_1563 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_1565 + ((long) 1))) == BgL_classz00_1561);
							}
							{	/* BackEnd/backend.sch 78 */
								bool_t BgL_res1653z00_1568;

								{	/* BackEnd/backend.sch 78 */
									obj_t BgL_oclassz00_1569;

									{	/* BackEnd/backend.sch 78 */
										long BgL_arg1833z00_1570;

										{	/* BackEnd/backend.sch 78 */
											long BgL_arg1834z00_1571;

											BgL_arg1834z00_1571 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1562);
											BgL_arg1833z00_1570 = (BgL_arg1834z00_1571 - OBJECT_TYPE);
										}
										BgL_oclassz00_1569 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_1570);
									}
									{	/* BackEnd/backend.sch 78 */
										bool_t BgL__ortest_1110z00_1572;

										BgL__ortest_1110z00_1572 =
											(BgL_classz00_1561 == BgL_oclassz00_1569);
										if (BgL__ortest_1110z00_1572)
											{	/* BackEnd/backend.sch 78 */
												BgL_res1653z00_1568 = BgL__ortest_1110z00_1572;
											}
										else
											{	/* BackEnd/backend.sch 78 */
												long BgL_odepthz00_1573;

												BgL_odepthz00_1573 =
													BGL_CLASS_DEPTH(BgL_oclassz00_1569);
												if ((((long) 1) < BgL_odepthz00_1573))
													{	/* BackEnd/backend.sch 78 */
														obj_t BgL_arg1821z00_1574;

														BgL_arg1821z00_1574 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1569,
															((long) 1));
														BgL_res1653z00_1568 =
															(BgL_arg1821z00_1574 == BgL_classz00_1561);
													}
												else
													{	/* BackEnd/backend.sch 78 */
														BgL_res1653z00_1568 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_1564 = BgL_res1653z00_1568;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_1563, BgL_arg1823z00_1564);
						}
					}
				else
					{	/* BackEnd/backend.sch 78 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &backend? */
	obj_t BGl_z62backendzf3z91zzbackend_backendz00(obj_t BgL_envz00_1067,
		obj_t BgL_objz00_1068)
	{
		{	/* BackEnd/backend.sch 78 */
			return BBOOL(BGl_backendzf3zf3zzbackend_backendz00(BgL_objz00_1068));
		}

	}



/* backend-nil */
	BGL_EXPORTED_DEF BgL_backendz00_bglt
		BGl_backendzd2nilzd2zzbackend_backendz00()
	{
		{	/* BackEnd/backend.sch 79 */
			{	/* BackEnd/backend.sch 79 */
				obj_t BgL_classz00_663;

				BgL_classz00_663 = BGl_backendz00zzbackend_backendz00;
				{	/* BackEnd/backend.sch 79 */
					obj_t BgL__ortest_1112z00_664;

					BgL__ortest_1112z00_664 = BGL_CLASS_NIL(BgL_classz00_663);
					if (CBOOL(BgL__ortest_1112z00_664))
						{	/* BackEnd/backend.sch 79 */
							return ((BgL_backendz00_bglt) BgL__ortest_1112z00_664);
						}
					else
						{	/* BackEnd/backend.sch 79 */
							return
								((BgL_backendz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_663));
						}
				}
			}
		}

	}



/* &backend-nil */
	BgL_backendz00_bglt BGl_z62backendzd2nilzb0zzbackend_backendz00(obj_t
		BgL_envz00_1069)
	{
		{	/* BackEnd/backend.sch 79 */
			return BGl_backendzd2nilzd2zzbackend_backendz00();
		}

	}



/* backend-typed-funcall */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2typedzd2funcallz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_4)
	{
		{	/* BackEnd/backend.sch 80 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_4))->BgL_typedzd2funcallzd2);
		}

	}



/* &backend-typed-funcall */
	obj_t BGl_z62backendzd2typedzd2funcallz62zzbackend_backendz00(obj_t
		BgL_envz00_1070, obj_t BgL_oz00_1071)
	{
		{	/* BackEnd/backend.sch 80 */
			return
				BBOOL(BGl_backendzd2typedzd2funcallz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1071)));
		}

	}



/* backend-typed-funcall-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typedzd2funcallzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_5, bool_t BgL_vz00_6)
	{
		{	/* BackEnd/backend.sch 81 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_5))->BgL_typedzd2funcallzd2) =
				((bool_t) BgL_vz00_6), BUNSPEC);
		}

	}



/* &backend-typed-funcall-set! */
	obj_t BGl_z62backendzd2typedzd2funcallzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1072, obj_t BgL_oz00_1073, obj_t BgL_vz00_1074)
	{
		{	/* BackEnd/backend.sch 81 */
			return
				BGl_backendzd2typedzd2funcallzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1073), CBOOL(BgL_vz00_1074));
		}

	}



/* backend-type-check */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2typezd2checkz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_7)
	{
		{	/* BackEnd/backend.sch 82 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_7))->BgL_typezd2checkzd2);
		}

	}



/* &backend-type-check */
	obj_t BGl_z62backendzd2typezd2checkz62zzbackend_backendz00(obj_t
		BgL_envz00_1075, obj_t BgL_oz00_1076)
	{
		{	/* BackEnd/backend.sch 82 */
			return
				BBOOL(BGl_backendzd2typezd2checkz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1076)));
		}

	}



/* backend-type-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typezd2checkzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_8, bool_t BgL_vz00_9)
	{
		{	/* BackEnd/backend.sch 83 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_8))->BgL_typezd2checkzd2) =
				((bool_t) BgL_vz00_9), BUNSPEC);
		}

	}



/* &backend-type-check-set! */
	obj_t BGl_z62backendzd2typezd2checkzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1077, obj_t BgL_oz00_1078, obj_t BgL_vz00_1079)
	{
		{	/* BackEnd/backend.sch 83 */
			return
				BGl_backendzd2typezd2checkzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1078), CBOOL(BgL_vz00_1079));
		}

	}



/* backend-bound-check */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2boundzd2checkz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_10)
	{
		{	/* BackEnd/backend.sch 84 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_10))->BgL_boundzd2checkzd2);
		}

	}



/* &backend-bound-check */
	obj_t BGl_z62backendzd2boundzd2checkz62zzbackend_backendz00(obj_t
		BgL_envz00_1080, obj_t BgL_oz00_1081)
	{
		{	/* BackEnd/backend.sch 84 */
			return
				BBOOL(BGl_backendzd2boundzd2checkz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1081)));
		}

	}



/* backend-bound-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2boundzd2checkzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_11, bool_t BgL_vz00_12)
	{
		{	/* BackEnd/backend.sch 85 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_11))->BgL_boundzd2checkzd2) =
				((bool_t) BgL_vz00_12), BUNSPEC);
		}

	}



/* &backend-bound-check-set! */
	obj_t BGl_z62backendzd2boundzd2checkzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1082, obj_t BgL_oz00_1083, obj_t BgL_vz00_1084)
	{
		{	/* BackEnd/backend.sch 85 */
			return
				BGl_backendzd2boundzd2checkzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1083), CBOOL(BgL_vz00_1084));
		}

	}



/* backend-pregisters */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2pregisterszd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_13)
	{
		{	/* BackEnd/backend.sch 86 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_13))->BgL_pregistersz00);
		}

	}



/* &backend-pregisters */
	obj_t BGl_z62backendzd2pregisterszb0zzbackend_backendz00(obj_t
		BgL_envz00_1085, obj_t BgL_oz00_1086)
	{
		{	/* BackEnd/backend.sch 86 */
			return
				BGl_backendzd2pregisterszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1086));
		}

	}



/* backend-pregisters-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2pregisterszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_14, obj_t BgL_vz00_15)
	{
		{	/* BackEnd/backend.sch 87 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_14))->BgL_pregistersz00) =
				((obj_t) BgL_vz00_15), BUNSPEC);
		}

	}



/* &backend-pregisters-set! */
	obj_t BGl_z62backendzd2pregisterszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1087, obj_t BgL_oz00_1088, obj_t BgL_vz00_1089)
	{
		{	/* BackEnd/backend.sch 87 */
			return
				BGl_backendzd2pregisterszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1088), BgL_vz00_1089);
		}

	}



/* backend-registers */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2registerszd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_16)
	{
		{	/* BackEnd/backend.sch 88 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_16))->BgL_registersz00);
		}

	}



/* &backend-registers */
	obj_t BGl_z62backendzd2registerszb0zzbackend_backendz00(obj_t BgL_envz00_1090,
		obj_t BgL_oz00_1091)
	{
		{	/* BackEnd/backend.sch 88 */
			return
				BGl_backendzd2registerszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1091));
		}

	}



/* backend-registers-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2registerszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* BackEnd/backend.sch 89 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_17))->BgL_registersz00) =
				((obj_t) BgL_vz00_18), BUNSPEC);
		}

	}



/* &backend-registers-set! */
	obj_t BGl_z62backendzd2registerszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1092, obj_t BgL_oz00_1093, obj_t BgL_vz00_1094)
	{
		{	/* BackEnd/backend.sch 89 */
			return
				BGl_backendzd2registerszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1093), BgL_vz00_1094);
		}

	}



/* backend-require-tailc */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2requirezd2tailcz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_19)
	{
		{	/* BackEnd/backend.sch 90 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_19))->BgL_requirezd2tailczd2);
		}

	}



/* &backend-require-tailc */
	obj_t BGl_z62backendzd2requirezd2tailcz62zzbackend_backendz00(obj_t
		BgL_envz00_1095, obj_t BgL_oz00_1096)
	{
		{	/* BackEnd/backend.sch 90 */
			return
				BBOOL(BGl_backendzd2requirezd2tailcz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1096)));
		}

	}



/* backend-require-tailc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2requirezd2tailczd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_20, bool_t BgL_vz00_21)
	{
		{	/* BackEnd/backend.sch 91 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_20))->
					BgL_requirezd2tailczd2) = ((bool_t) BgL_vz00_21), BUNSPEC);
		}

	}



/* &backend-require-tailc-set! */
	obj_t BGl_z62backendzd2requirezd2tailczd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1097, obj_t BgL_oz00_1098, obj_t BgL_vz00_1099)
	{
		{	/* BackEnd/backend.sch 91 */
			return
				BGl_backendzd2requirezd2tailczd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1098), CBOOL(BgL_vz00_1099));
		}

	}



/* backend-tvector-descr-support */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2tvectorzd2descrzd2supportzd2zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_22)
	{
		{	/* BackEnd/backend.sch 92 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_22))->
				BgL_tvectorzd2descrzd2supportz00);
		}

	}



/* &backend-tvector-descr-support */
	obj_t BGl_z62backendzd2tvectorzd2descrzd2supportzb0zzbackend_backendz00(obj_t
		BgL_envz00_1100, obj_t BgL_oz00_1101)
	{
		{	/* BackEnd/backend.sch 92 */
			return
				BBOOL(BGl_backendzd2tvectorzd2descrzd2supportzd2zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1101)));
		}

	}



/* backend-tvector-descr-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_23, bool_t BgL_vz00_24)
	{
		{	/* BackEnd/backend.sch 93 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_23))->
					BgL_tvectorzd2descrzd2supportz00) = ((bool_t) BgL_vz00_24), BUNSPEC);
		}

	}



/* &backend-tvector-descr-support-set! */
	obj_t
		BGl_z62backendzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_backendz00
		(obj_t BgL_envz00_1102, obj_t BgL_oz00_1103, obj_t BgL_vz00_1104)
	{
		{	/* BackEnd/backend.sch 93 */
			return
				BGl_backendzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1103), CBOOL(BgL_vz00_1104));
		}

	}



/* backend-pragma-support */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2pragmazd2supportz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_25)
	{
		{	/* BackEnd/backend.sch 94 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_25))->BgL_pragmazd2supportzd2);
		}

	}



/* &backend-pragma-support */
	obj_t BGl_z62backendzd2pragmazd2supportz62zzbackend_backendz00(obj_t
		BgL_envz00_1105, obj_t BgL_oz00_1106)
	{
		{	/* BackEnd/backend.sch 94 */
			return
				BBOOL(BGl_backendzd2pragmazd2supportz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1106)));
		}

	}



/* backend-pragma-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2pragmazd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_26, bool_t BgL_vz00_27)
	{
		{	/* BackEnd/backend.sch 95 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_26))->
					BgL_pragmazd2supportzd2) = ((bool_t) BgL_vz00_27), BUNSPEC);
		}

	}



/* &backend-pragma-support-set! */
	obj_t BGl_z62backendzd2pragmazd2supportzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1107, obj_t BgL_oz00_1108, obj_t BgL_vz00_1109)
	{
		{	/* BackEnd/backend.sch 95 */
			return
				BGl_backendzd2pragmazd2supportzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1108), CBOOL(BgL_vz00_1109));
		}

	}



/* backend-debug-support */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2debugzd2supportz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_28)
	{
		{	/* BackEnd/backend.sch 96 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_28))->BgL_debugzd2supportzd2);
		}

	}



/* &backend-debug-support */
	obj_t BGl_z62backendzd2debugzd2supportz62zzbackend_backendz00(obj_t
		BgL_envz00_1110, obj_t BgL_oz00_1111)
	{
		{	/* BackEnd/backend.sch 96 */
			return
				BGl_backendzd2debugzd2supportz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1111));
		}

	}



/* backend-debug-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2debugzd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* BackEnd/backend.sch 97 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_29))->
					BgL_debugzd2supportzd2) = ((obj_t) BgL_vz00_30), BUNSPEC);
		}

	}



/* &backend-debug-support-set! */
	obj_t BGl_z62backendzd2debugzd2supportzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1112, obj_t BgL_oz00_1113, obj_t BgL_vz00_1114)
	{
		{	/* BackEnd/backend.sch 97 */
			return
				BGl_backendzd2debugzd2supportzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1113), BgL_vz00_1114);
		}

	}



/* backend-foreign-clause-support */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2foreignzd2clausezd2supportzd2zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_31)
	{
		{	/* BackEnd/backend.sch 98 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_31))->
				BgL_foreignzd2clausezd2supportz00);
		}

	}



/* &backend-foreign-clause-support */
	obj_t BGl_z62backendzd2foreignzd2clausezd2supportzb0zzbackend_backendz00(obj_t
		BgL_envz00_1115, obj_t BgL_oz00_1116)
	{
		{	/* BackEnd/backend.sch 98 */
			return
				BGl_backendzd2foreignzd2clausezd2supportzd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1116));
		}

	}



/* backend-foreign-clause-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_32, obj_t BgL_vz00_33)
	{
		{	/* BackEnd/backend.sch 99 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_32))->
					BgL_foreignzd2clausezd2supportz00) = ((obj_t) BgL_vz00_33), BUNSPEC);
		}

	}



/* &backend-foreign-clause-support-set! */
	obj_t
		BGl_z62backendzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_backendz00
		(obj_t BgL_envz00_1117, obj_t BgL_oz00_1118, obj_t BgL_vz00_1119)
	{
		{	/* BackEnd/backend.sch 99 */
			return
				BGl_backendzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_backendz00
				(((BgL_backendz00_bglt) BgL_oz00_1118), BgL_vz00_1119);
		}

	}



/* backend-trace-support */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2tracezd2supportz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_34)
	{
		{	/* BackEnd/backend.sch 100 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_34))->BgL_tracezd2supportzd2);
		}

	}



/* &backend-trace-support */
	obj_t BGl_z62backendzd2tracezd2supportz62zzbackend_backendz00(obj_t
		BgL_envz00_1120, obj_t BgL_oz00_1121)
	{
		{	/* BackEnd/backend.sch 100 */
			return
				BBOOL(BGl_backendzd2tracezd2supportz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1121)));
		}

	}



/* backend-trace-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2tracezd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_35, bool_t BgL_vz00_36)
	{
		{	/* BackEnd/backend.sch 101 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_35))->
					BgL_tracezd2supportzd2) = ((bool_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &backend-trace-support-set! */
	obj_t BGl_z62backendzd2tracezd2supportzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1122, obj_t BgL_oz00_1123, obj_t BgL_vz00_1124)
	{
		{	/* BackEnd/backend.sch 101 */
			return
				BGl_backendzd2tracezd2supportzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1123), CBOOL(BgL_vz00_1124));
		}

	}



/* backend-typed-eq */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2typedzd2eqz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_37)
	{
		{	/* BackEnd/backend.sch 102 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_37))->BgL_typedzd2eqzd2);
		}

	}



/* &backend-typed-eq */
	obj_t BGl_z62backendzd2typedzd2eqz62zzbackend_backendz00(obj_t
		BgL_envz00_1125, obj_t BgL_oz00_1126)
	{
		{	/* BackEnd/backend.sch 102 */
			return
				BBOOL(BGl_backendzd2typedzd2eqz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1126)));
		}

	}



/* backend-typed-eq-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typedzd2eqzd2setz12zc0zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_38, bool_t BgL_vz00_39)
	{
		{	/* BackEnd/backend.sch 103 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_38))->BgL_typedzd2eqzd2) =
				((bool_t) BgL_vz00_39), BUNSPEC);
		}

	}



/* &backend-typed-eq-set! */
	obj_t BGl_z62backendzd2typedzd2eqzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1127, obj_t BgL_oz00_1128, obj_t BgL_vz00_1129)
	{
		{	/* BackEnd/backend.sch 103 */
			return
				BGl_backendzd2typedzd2eqzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1128), CBOOL(BgL_vz00_1129));
		}

	}



/* backend-foreign-closure */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2foreignzd2closurez00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_40)
	{
		{	/* BackEnd/backend.sch 104 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_40))->
				BgL_foreignzd2closurezd2);
		}

	}



/* &backend-foreign-closure */
	obj_t BGl_z62backendzd2foreignzd2closurez62zzbackend_backendz00(obj_t
		BgL_envz00_1130, obj_t BgL_oz00_1131)
	{
		{	/* BackEnd/backend.sch 104 */
			return
				BBOOL(BGl_backendzd2foreignzd2closurez00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1131)));
		}

	}



/* backend-foreign-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2foreignzd2closurezd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_41, bool_t BgL_vz00_42)
	{
		{	/* BackEnd/backend.sch 105 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_41))->
					BgL_foreignzd2closurezd2) = ((bool_t) BgL_vz00_42), BUNSPEC);
		}

	}



/* &backend-foreign-closure-set! */
	obj_t BGl_z62backendzd2foreignzd2closurezd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1132, obj_t BgL_oz00_1133, obj_t BgL_vz00_1134)
	{
		{	/* BackEnd/backend.sch 105 */
			return
				BGl_backendzd2foreignzd2closurezd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1133), CBOOL(BgL_vz00_1134));
		}

	}



/* backend-remove-empty-let */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2removezd2emptyzd2letzd2zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_43)
	{
		{	/* BackEnd/backend.sch 106 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_43))->
				BgL_removezd2emptyzd2letz00);
		}

	}



/* &backend-remove-empty-let */
	obj_t BGl_z62backendzd2removezd2emptyzd2letzb0zzbackend_backendz00(obj_t
		BgL_envz00_1135, obj_t BgL_oz00_1136)
	{
		{	/* BackEnd/backend.sch 106 */
			return
				BBOOL(BGl_backendzd2removezd2emptyzd2letzd2zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1136)));
		}

	}



/* backend-remove-empty-let-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2removezd2emptyzd2letzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_44, bool_t BgL_vz00_45)
	{
		{	/* BackEnd/backend.sch 107 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_44))->
					BgL_removezd2emptyzd2letz00) = ((bool_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &backend-remove-empty-let-set! */
	obj_t
		BGl_z62backendzd2removezd2emptyzd2letzd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1137, obj_t BgL_oz00_1138, obj_t BgL_vz00_1139)
	{
		{	/* BackEnd/backend.sch 107 */
			return
				BGl_backendzd2removezd2emptyzd2letzd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1138), CBOOL(BgL_vz00_1139));
		}

	}



/* backend-effect+ */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2effectzb2z60zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_46)
	{
		{	/* BackEnd/backend.sch 108 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_46))->BgL_effectzb2zb2);
		}

	}



/* &backend-effect+ */
	obj_t BGl_z62backendzd2effectzb2z02zzbackend_backendz00(obj_t BgL_envz00_1140,
		obj_t BgL_oz00_1141)
	{
		{	/* BackEnd/backend.sch 108 */
			return
				BBOOL(BGl_backendzd2effectzb2z60zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1141)));
		}

	}



/* backend-effect+-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2effectzb2zd2setz12za0zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_47, bool_t BgL_vz00_48)
	{
		{	/* BackEnd/backend.sch 109 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_47))->BgL_effectzb2zb2) =
				((bool_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &backend-effect+-set! */
	obj_t BGl_z62backendzd2effectzb2zd2setz12zc2zzbackend_backendz00(obj_t
		BgL_envz00_1142, obj_t BgL_oz00_1143, obj_t BgL_vz00_1144)
	{
		{	/* BackEnd/backend.sch 109 */
			return
				BGl_backendzd2effectzb2zd2setz12za0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1143), CBOOL(BgL_vz00_1144));
		}

	}



/* backend-qualified-types */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2qualifiedzd2typesz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_49)
	{
		{	/* BackEnd/backend.sch 110 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_49))->
				BgL_qualifiedzd2typeszd2);
		}

	}



/* &backend-qualified-types */
	obj_t BGl_z62backendzd2qualifiedzd2typesz62zzbackend_backendz00(obj_t
		BgL_envz00_1145, obj_t BgL_oz00_1146)
	{
		{	/* BackEnd/backend.sch 110 */
			return
				BBOOL(BGl_backendzd2qualifiedzd2typesz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1146)));
		}

	}



/* backend-qualified-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2qualifiedzd2typeszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_50, bool_t BgL_vz00_51)
	{
		{	/* BackEnd/backend.sch 111 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_50))->
					BgL_qualifiedzd2typeszd2) = ((bool_t) BgL_vz00_51), BUNSPEC);
		}

	}



/* &backend-qualified-types-set! */
	obj_t BGl_z62backendzd2qualifiedzd2typeszd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1147, obj_t BgL_oz00_1148, obj_t BgL_vz00_1149)
	{
		{	/* BackEnd/backend.sch 111 */
			return
				BGl_backendzd2qualifiedzd2typeszd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1148), CBOOL(BgL_vz00_1149));
		}

	}



/* backend-callcc */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2callcczd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_52)
	{
		{	/* BackEnd/backend.sch 112 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_52))->BgL_callccz00);
		}

	}



/* &backend-callcc */
	obj_t BGl_z62backendzd2callcczb0zzbackend_backendz00(obj_t BgL_envz00_1150,
		obj_t BgL_oz00_1151)
	{
		{	/* BackEnd/backend.sch 112 */
			return
				BBOOL(BGl_backendzd2callcczd2zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1151)));
		}

	}



/* backend-callcc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2callcczd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_53, bool_t BgL_vz00_54)
	{
		{	/* BackEnd/backend.sch 113 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_53))->BgL_callccz00) =
				((bool_t) BgL_vz00_54), BUNSPEC);
		}

	}



/* &backend-callcc-set! */
	obj_t BGl_z62backendzd2callcczd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1152, obj_t BgL_oz00_1153, obj_t BgL_vz00_1154)
	{
		{	/* BackEnd/backend.sch 113 */
			return
				BGl_backendzd2callcczd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1153), CBOOL(BgL_vz00_1154));
		}

	}



/* backend-heap-compatible */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2heapzd2compatiblez00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_55)
	{
		{	/* BackEnd/backend.sch 114 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_55))->
				BgL_heapzd2compatiblezd2);
		}

	}



/* &backend-heap-compatible */
	obj_t BGl_z62backendzd2heapzd2compatiblez62zzbackend_backendz00(obj_t
		BgL_envz00_1155, obj_t BgL_oz00_1156)
	{
		{	/* BackEnd/backend.sch 114 */
			return
				BGl_backendzd2heapzd2compatiblez00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1156));
		}

	}



/* backend-heap-compatible-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2heapzd2compatiblezd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_56, obj_t BgL_vz00_57)
	{
		{	/* BackEnd/backend.sch 115 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_56))->
					BgL_heapzd2compatiblezd2) = ((obj_t) BgL_vz00_57), BUNSPEC);
		}

	}



/* &backend-heap-compatible-set! */
	obj_t BGl_z62backendzd2heapzd2compatiblezd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1157, obj_t BgL_oz00_1158, obj_t BgL_vz00_1159)
	{
		{	/* BackEnd/backend.sch 115 */
			return
				BGl_backendzd2heapzd2compatiblezd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1158), BgL_vz00_1159);
		}

	}



/* backend-heap-suffix */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2heapzd2suffixz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_58)
	{
		{	/* BackEnd/backend.sch 116 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_58))->BgL_heapzd2suffixzd2);
		}

	}



/* &backend-heap-suffix */
	obj_t BGl_z62backendzd2heapzd2suffixz62zzbackend_backendz00(obj_t
		BgL_envz00_1160, obj_t BgL_oz00_1161)
	{
		{	/* BackEnd/backend.sch 116 */
			return
				BGl_backendzd2heapzd2suffixz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1161));
		}

	}



/* backend-heap-suffix-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2heapzd2suffixzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* BackEnd/backend.sch 117 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_59))->BgL_heapzd2suffixzd2) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &backend-heap-suffix-set! */
	obj_t BGl_z62backendzd2heapzd2suffixzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1162, obj_t BgL_oz00_1163, obj_t BgL_vz00_1164)
	{
		{	/* BackEnd/backend.sch 117 */
			return
				BGl_backendzd2heapzd2suffixzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1163), BgL_vz00_1164);
		}

	}



/* backend-typed */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2typedzd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_61)
	{
		{	/* BackEnd/backend.sch 118 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_61))->BgL_typedz00);
		}

	}



/* &backend-typed */
	obj_t BGl_z62backendzd2typedzb0zzbackend_backendz00(obj_t BgL_envz00_1165,
		obj_t BgL_oz00_1166)
	{
		{	/* BackEnd/backend.sch 118 */
			return
				BBOOL(BGl_backendzd2typedzd2zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1166)));
		}

	}



/* backend-typed-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typedzd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_62, bool_t BgL_vz00_63)
	{
		{	/* BackEnd/backend.sch 119 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_62))->BgL_typedz00) =
				((bool_t) BgL_vz00_63), BUNSPEC);
		}

	}



/* &backend-typed-set! */
	obj_t BGl_z62backendzd2typedzd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1167, obj_t BgL_oz00_1168, obj_t BgL_vz00_1169)
	{
		{	/* BackEnd/backend.sch 119 */
			return
				BGl_backendzd2typedzd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1168), CBOOL(BgL_vz00_1169));
		}

	}



/* backend-types */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typeszd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_64)
	{
		{	/* BackEnd/backend.sch 120 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_64))->BgL_typesz00);
		}

	}



/* &backend-types */
	obj_t BGl_z62backendzd2typeszb0zzbackend_backendz00(obj_t BgL_envz00_1170,
		obj_t BgL_oz00_1171)
	{
		{	/* BackEnd/backend.sch 120 */
			return
				BGl_backendzd2typeszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1171));
		}

	}



/* backend-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typeszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_65, obj_t BgL_vz00_66)
	{
		{	/* BackEnd/backend.sch 121 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_65))->BgL_typesz00) =
				((obj_t) BgL_vz00_66), BUNSPEC);
		}

	}



/* &backend-types-set! */
	obj_t BGl_z62backendzd2typeszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1172, obj_t BgL_oz00_1173, obj_t BgL_vz00_1174)
	{
		{	/* BackEnd/backend.sch 121 */
			return
				BGl_backendzd2typeszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1173), BgL_vz00_1174);
		}

	}



/* backend-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2functionszd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_67)
	{
		{	/* BackEnd/backend.sch 122 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_67))->BgL_functionsz00);
		}

	}



/* &backend-functions */
	obj_t BGl_z62backendzd2functionszb0zzbackend_backendz00(obj_t BgL_envz00_1175,
		obj_t BgL_oz00_1176)
	{
		{	/* BackEnd/backend.sch 122 */
			return
				BGl_backendzd2functionszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1176));
		}

	}



/* backend-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2functionszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_68, obj_t BgL_vz00_69)
	{
		{	/* BackEnd/backend.sch 123 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_68))->BgL_functionsz00) =
				((obj_t) BgL_vz00_69), BUNSPEC);
		}

	}



/* &backend-functions-set! */
	obj_t BGl_z62backendzd2functionszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1177, obj_t BgL_oz00_1178, obj_t BgL_vz00_1179)
	{
		{	/* BackEnd/backend.sch 123 */
			return
				BGl_backendzd2functionszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1178), BgL_vz00_1179);
		}

	}



/* backend-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2variableszd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_70)
	{
		{	/* BackEnd/backend.sch 124 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_70))->BgL_variablesz00);
		}

	}



/* &backend-variables */
	obj_t BGl_z62backendzd2variableszb0zzbackend_backendz00(obj_t BgL_envz00_1180,
		obj_t BgL_oz00_1181)
	{
		{	/* BackEnd/backend.sch 124 */
			return
				BGl_backendzd2variableszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1181));
		}

	}



/* backend-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2variableszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_71, obj_t BgL_vz00_72)
	{
		{	/* BackEnd/backend.sch 125 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_71))->BgL_variablesz00) =
				((obj_t) BgL_vz00_72), BUNSPEC);
		}

	}



/* &backend-variables-set! */
	obj_t BGl_z62backendzd2variableszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1182, obj_t BgL_oz00_1183, obj_t BgL_vz00_1184)
	{
		{	/* BackEnd/backend.sch 125 */
			return
				BGl_backendzd2variableszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1183), BgL_vz00_1184);
		}

	}



/* backend-extern-types */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2typesz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_73)
	{
		{	/* BackEnd/backend.sch 126 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_73))->BgL_externzd2typeszd2);
		}

	}



/* &backend-extern-types */
	obj_t BGl_z62backendzd2externzd2typesz62zzbackend_backendz00(obj_t
		BgL_envz00_1185, obj_t BgL_oz00_1186)
	{
		{	/* BackEnd/backend.sch 126 */
			return
				BGl_backendzd2externzd2typesz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1186));
		}

	}



/* backend-extern-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2typeszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_74, obj_t BgL_vz00_75)
	{
		{	/* BackEnd/backend.sch 127 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_74))->BgL_externzd2typeszd2) =
				((obj_t) BgL_vz00_75), BUNSPEC);
		}

	}



/* &backend-extern-types-set! */
	obj_t BGl_z62backendzd2externzd2typeszd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1187, obj_t BgL_oz00_1188, obj_t BgL_vz00_1189)
	{
		{	/* BackEnd/backend.sch 127 */
			return
				BGl_backendzd2externzd2typeszd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1188), BgL_vz00_1189);
		}

	}



/* backend-extern-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2functionsz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_76)
	{
		{	/* BackEnd/backend.sch 128 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_76))->
				BgL_externzd2functionszd2);
		}

	}



/* &backend-extern-functions */
	obj_t BGl_z62backendzd2externzd2functionsz62zzbackend_backendz00(obj_t
		BgL_envz00_1190, obj_t BgL_oz00_1191)
	{
		{	/* BackEnd/backend.sch 128 */
			return
				BGl_backendzd2externzd2functionsz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1191));
		}

	}



/* backend-extern-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2functionszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_77, obj_t BgL_vz00_78)
	{
		{	/* BackEnd/backend.sch 129 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_77))->
					BgL_externzd2functionszd2) = ((obj_t) BgL_vz00_78), BUNSPEC);
		}

	}



/* &backend-extern-functions-set! */
	obj_t
		BGl_z62backendzd2externzd2functionszd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1192, obj_t BgL_oz00_1193, obj_t BgL_vz00_1194)
	{
		{	/* BackEnd/backend.sch 129 */
			return
				BGl_backendzd2externzd2functionszd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1193), BgL_vz00_1194);
		}

	}



/* backend-extern-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2variablesz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_79)
	{
		{	/* BackEnd/backend.sch 130 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_79))->
				BgL_externzd2variableszd2);
		}

	}



/* &backend-extern-variables */
	obj_t BGl_z62backendzd2externzd2variablesz62zzbackend_backendz00(obj_t
		BgL_envz00_1195, obj_t BgL_oz00_1196)
	{
		{	/* BackEnd/backend.sch 130 */
			return
				BGl_backendzd2externzd2variablesz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1196));
		}

	}



/* backend-extern-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2variableszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_80, obj_t BgL_vz00_81)
	{
		{	/* BackEnd/backend.sch 131 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_80))->
					BgL_externzd2variableszd2) = ((obj_t) BgL_vz00_81), BUNSPEC);
		}

	}



/* &backend-extern-variables-set! */
	obj_t
		BGl_z62backendzd2externzd2variableszd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1197, obj_t BgL_oz00_1198, obj_t BgL_vz00_1199)
	{
		{	/* BackEnd/backend.sch 131 */
			return
				BGl_backendzd2externzd2variableszd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1198), BgL_vz00_1199);
		}

	}



/* backend-name */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2namezd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_82)
	{
		{	/* BackEnd/backend.sch 132 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_82))->BgL_namez00);
		}

	}



/* &backend-name */
	obj_t BGl_z62backendzd2namezb0zzbackend_backendz00(obj_t BgL_envz00_1200,
		obj_t BgL_oz00_1201)
	{
		{	/* BackEnd/backend.sch 132 */
			return
				BGl_backendzd2namezd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1201));
		}

	}



/* backend-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2namezd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_83, obj_t BgL_vz00_84)
	{
		{	/* BackEnd/backend.sch 133 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_83))->BgL_namez00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}

	}



/* &backend-name-set! */
	obj_t BGl_z62backendzd2namezd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1202, obj_t BgL_oz00_1203, obj_t BgL_vz00_1204)
	{
		{	/* BackEnd/backend.sch 133 */
			return
				BGl_backendzd2namezd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1203), BgL_vz00_1204);
		}

	}



/* backend-srfi0 */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2srfi0zd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_85)
	{
		{	/* BackEnd/backend.sch 134 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_85))->BgL_srfi0z00);
		}

	}



/* &backend-srfi0 */
	obj_t BGl_z62backendzd2srfi0zb0zzbackend_backendz00(obj_t BgL_envz00_1205,
		obj_t BgL_oz00_1206)
	{
		{	/* BackEnd/backend.sch 134 */
			return
				BGl_backendzd2srfi0zd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1206));
		}

	}



/* backend-srfi0-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2srfi0zd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_86, obj_t BgL_vz00_87)
	{
		{	/* BackEnd/backend.sch 135 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_86))->BgL_srfi0z00) =
				((obj_t) BgL_vz00_87), BUNSPEC);
		}

	}



/* &backend-srfi0-set! */
	obj_t BGl_z62backendzd2srfi0zd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1207, obj_t BgL_oz00_1208, obj_t BgL_vz00_1209)
	{
		{	/* BackEnd/backend.sch 135 */
			return
				BGl_backendzd2srfi0zd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1208), BgL_vz00_1209);
		}

	}



/* backend-language */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2languagezd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_88)
	{
		{	/* BackEnd/backend.sch 136 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_88))->BgL_languagez00);
		}

	}



/* &backend-language */
	obj_t BGl_z62backendzd2languagezb0zzbackend_backendz00(obj_t BgL_envz00_1210,
		obj_t BgL_oz00_1211)
	{
		{	/* BackEnd/backend.sch 136 */
			return
				BGl_backendzd2languagezd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1211));
		}

	}



/* backend-language-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2languagezd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_89, obj_t BgL_vz00_90)
	{
		{	/* BackEnd/backend.sch 137 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_89))->BgL_languagez00) =
				((obj_t) BgL_vz00_90), BUNSPEC);
		}

	}



/* &backend-language-set! */
	obj_t BGl_z62backendzd2languagezd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1212, obj_t BgL_oz00_1213, obj_t BgL_vz00_1214)
	{
		{	/* BackEnd/backend.sch 137 */
			return
				BGl_backendzd2languagezd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1213), BgL_vz00_1214);
		}

	}



/* set-backend! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t
		BgL_languagez00_91)
	{
		{	/* BackEnd/backend.scm 76 */
			{	/* BackEnd/backend.scm 77 */
				obj_t BgL_cz00_176;

				BgL_cz00_176 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_languagez00_91,
					BGl_za2backendsza2z00zzbackend_backendz00);
				if (PAIRP(BgL_cz00_176))
					{	/* BackEnd/backend.scm 80 */
						obj_t BgL_fun1138z00_178;

						BgL_fun1138z00_178 = CDR(BgL_cz00_176);
						return (BGl_za2thezd2backendza2zd2zzbackend_backendz00 =
							PROCEDURE_ENTRY(BgL_fun1138z00_178) (BgL_fun1138z00_178, BEOA),
							BUNSPEC);
					}
				else
					{	/* BackEnd/backend.scm 78 */
						return
							BGl_errorz00zz__errorz00(BGl_string1704z00zzbackend_backendz00,
							BGl_string1705z00zzbackend_backendz00, BgL_languagez00_91);
					}
			}
		}

	}



/* &set-backend! */
	obj_t BGl_z62setzd2backendz12za2zzbackend_backendz00(obj_t BgL_envz00_1215,
		obj_t BgL_languagez00_1216)
	{
		{	/* BackEnd/backend.scm 76 */
			return BGl_setzd2backendz12zc0zzbackend_backendz00(BgL_languagez00_1216);
		}

	}



/* the-backend */
	BGL_EXPORTED_DEF obj_t BGl_thezd2backendzd2zzbackend_backendz00()
	{
		{	/* BackEnd/backend.scm 85 */
			return BGl_za2thezd2backendza2zd2zzbackend_backendz00;
		}

	}



/* &the-backend */
	obj_t BGl_z62thezd2backendzb0zzbackend_backendz00(obj_t BgL_envz00_1217)
	{
		{	/* BackEnd/backend.scm 85 */
			return BGl_thezd2backendzd2zzbackend_backendz00();
		}

	}



/* register-backend! */
	BGL_EXPORTED_DEF obj_t BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t
		BgL_idz00_92, obj_t BgL_builderz00_93)
	{
		{	/* BackEnd/backend.scm 96 */
			{	/* BackEnd/backend.scm 97 */
				obj_t BgL_arg1141z00_724;

				BgL_arg1141z00_724 = MAKE_YOUNG_PAIR(BgL_idz00_92, BgL_builderz00_93);
				return (BGl_za2backendsza2z00zzbackend_backendz00 =
					MAKE_YOUNG_PAIR(BgL_arg1141z00_724,
						BGl_za2backendsza2z00zzbackend_backendz00), BUNSPEC);
			}
		}

	}



/* &register-backend! */
	obj_t BGl_z62registerzd2backendz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1218, obj_t BgL_idz00_1219, obj_t BgL_builderz00_1220)
	{
		{	/* BackEnd/backend.scm 96 */
			return
				BGl_registerzd2backendz12zc0zzbackend_backendz00(BgL_idz00_1219,
				BgL_builderz00_1220);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_backendz00()
	{
		{	/* BackEnd/backend.scm 15 */
			{	/* BackEnd/backend.scm 21 */
				obj_t BgL_arg1152z00_182;
				obj_t BgL_arg1155z00_183;

				{	/* BackEnd/backend.scm 21 */
					obj_t BgL_v1112z00_189;

					BgL_v1112z00_189 = create_vector(((long) 29));
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1160z00_190;

						BgL_arg1160z00_190 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc1708z00zzbackend_backendz00,
							BGl_proc1707z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1706z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 0), BgL_arg1160z00_190);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1169z00_203;

						BgL_arg1169z00_203 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc1711z00zzbackend_backendz00,
							BGl_proc1710z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1709z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 1), BgL_arg1169z00_203);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1178z00_216;

						BgL_arg1178z00_216 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									3)), BGl_proc1714z00zzbackend_backendz00,
							BGl_proc1713z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1712z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 4)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 2), BgL_arg1178z00_216);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1195z00_229;

						BgL_arg1195z00_229 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc1717z00zzbackend_backendz00,
							BGl_proc1716z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1715z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 3), BgL_arg1195z00_229);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1208z00_242;

						BgL_arg1208z00_242 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc1720z00zzbackend_backendz00,
							BGl_proc1719z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1718z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 4), BgL_arg1208z00_242);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1216z00_255;

						BgL_arg1216z00_255 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc1723z00zzbackend_backendz00,
							BGl_proc1722z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1721z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 5), BgL_arg1216z00_255);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1232z00_268;

						BgL_arg1232z00_268 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									9)), BGl_proc1726z00zzbackend_backendz00,
							BGl_proc1725z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1724z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 6), BgL_arg1232z00_268);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1243z00_281;

						BgL_arg1243z00_281 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc1729z00zzbackend_backendz00,
							BGl_proc1728z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1727z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 7), BgL_arg1243z00_281);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1253z00_294;

						BgL_arg1253z00_294 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc1732z00zzbackend_backendz00,
							BGl_proc1731z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1730z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 8), BgL_arg1253z00_294);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1260z00_307;

						BgL_arg1260z00_307 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									12)), BGl_proc1735z00zzbackend_backendz00,
							BGl_proc1734z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1733z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 9), BgL_arg1260z00_307);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1280z00_320;

						BgL_arg1280z00_320 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									14)), BGl_proc1738z00zzbackend_backendz00,
							BGl_proc1737z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1736z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 4)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 10), BgL_arg1280z00_320);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1299z00_333;

						BgL_arg1299z00_333 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									15)), BGl_proc1741z00zzbackend_backendz00,
							BGl_proc1740z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1739z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 11), BgL_arg1299z00_333);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1310z00_346;

						BgL_arg1310z00_346 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									16)), BGl_proc1744z00zzbackend_backendz00,
							BGl_proc1743z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1742z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 12), BgL_arg1310z00_346);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1320z00_359;

						BgL_arg1320z00_359 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc1747z00zzbackend_backendz00,
							BGl_proc1746z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1745z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 13), BgL_arg1320z00_359);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1328z00_372;

						BgL_arg1328z00_372 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									18)), BGl_proc1750z00zzbackend_backendz00,
							BGl_proc1749z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1748z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 14), BgL_arg1328z00_372);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1338z00_385;

						BgL_arg1338z00_385 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									19)), BGl_proc1753z00zzbackend_backendz00,
							BGl_proc1752z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1751z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 15), BgL_arg1338z00_385);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1347z00_398;

						BgL_arg1347z00_398 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									20)), BGl_proc1756z00zzbackend_backendz00,
							BGl_proc1755z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1754z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 16), BgL_arg1347z00_398);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1358z00_411;

						BgL_arg1358z00_411 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									21)), BGl_proc1759z00zzbackend_backendz00,
							BGl_proc1758z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1757z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 17), BgL_arg1358z00_411);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1369z00_424;

						BgL_arg1369z00_424 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc1762z00zzbackend_backendz00,
							BGl_proc1761z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1760z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 18), BgL_arg1369z00_424);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1385z00_437;

						BgL_arg1385z00_437 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									23)), BGl_proc1765z00zzbackend_backendz00,
							BGl_proc1764z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1763z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 24)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 19), BgL_arg1385z00_437);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1415z00_450;

						BgL_arg1415z00_450 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									25)), BGl_proc1768z00zzbackend_backendz00,
							BGl_proc1767z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1766z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 24)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 20), BgL_arg1415z00_450);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1430z00_463;

						BgL_arg1430z00_463 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									26)), BGl_proc1771z00zzbackend_backendz00,
							BGl_proc1770z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1769z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 21), BgL_arg1430z00_463);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1462z00_476;

						BgL_arg1462z00_476 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									27)), BGl_proc1774z00zzbackend_backendz00,
							BGl_proc1773z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1772z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 22), BgL_arg1462z00_476);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1500z00_489;

						BgL_arg1500z00_489 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									28)), BGl_proc1777z00zzbackend_backendz00,
							BGl_proc1776z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1775z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 23), BgL_arg1500z00_489);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1542z00_502;

						BgL_arg1542z00_502 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									29)), BGl_proc1780z00zzbackend_backendz00,
							BGl_proc1779z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1778z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 24)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 24), BgL_arg1542z00_502);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1555z00_515;

						BgL_arg1555z00_515 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									30)), BGl_proc1783z00zzbackend_backendz00,
							BGl_proc1782z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1781z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 24)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 25), BgL_arg1555z00_515);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1571z00_528;

						BgL_arg1571z00_528 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									31)), BGl_proc1786z00zzbackend_backendz00,
							BGl_proc1785z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1784z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 26), BgL_arg1571z00_528);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1586z00_541;

						BgL_arg1586z00_541 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									32)), BGl_proc1789z00zzbackend_backendz00,
							BGl_proc1788z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1787z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 27), BgL_arg1586z00_541);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1601z00_554;

						BgL_arg1601z00_554 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									33)), BGl_proc1792z00zzbackend_backendz00,
							BGl_proc1791z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1790z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1112z00_189, ((long) 28), BgL_arg1601z00_554);
					}
					BgL_arg1152z00_182 = BgL_v1112z00_189;
				}
				{	/* BackEnd/backend.scm 21 */
					obj_t BgL_v1113z00_567;

					BgL_v1113z00_567 = create_vector(((long) 0));
					BgL_arg1155z00_183 = BgL_v1113z00_567;
				}
				return (BGl_backendz00zzbackend_backendz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 34)),
						CNST_TABLE_REF(((long) 35)), BGl_objectz00zz__objectz00,
						((long) 39939), BFALSE, BGl_proc1794z00zzbackend_backendz00,
						BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
						BGl_proc1793z00zzbackend_backendz00, BFALSE, BgL_arg1152z00_182,
						BgL_arg1155z00_183), BUNSPEC);
		}}

	}



/* &<@anonymous:1158> */
	obj_t BGl_z62zc3z04anonymousza31158ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1310, obj_t BgL_new1048z00_1311)
	{
		{	/* BackEnd/backend.scm 21 */
			{
				BgL_backendz00_bglt BgL_auxz00_2077;

				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_new1048z00_1311)))->
						BgL_languagez00) = ((obj_t) CNST_TABLE_REF(((long) 36))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_srfi0z00) =
					((obj_t) CNST_TABLE_REF(((long) 36))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_namez00) =
					((obj_t) BGl_string1795z00zzbackend_backendz00), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_externzd2variableszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_externzd2functionszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_externzd2typeszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_variablesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_typesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_typedz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_heapzd2suffixzd2) =
					((obj_t) BGl_string1795z00zzbackend_backendz00), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_heapzd2compatiblezd2) =
					((obj_t) CNST_TABLE_REF(((long) 36))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_callccz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_qualifiedzd2typeszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_effectzb2zb2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_removezd2emptyzd2letz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_foreignzd2closurezd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_typedzd2eqzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_tracezd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_foreignzd2clausezd2supportz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_debugzd2supportzd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_pragmazd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_requirezd2tailczd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_registersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_pregistersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_boundzd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_typezd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1048z00_1311)))->BgL_typedzd2funcallzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_2077 = ((BgL_backendz00_bglt) BgL_new1048z00_1311);
				return ((obj_t) BgL_auxz00_2077);
			}
		}

	}



/* &lambda1156 */
	BgL_backendz00_bglt BGl_z62lambda1156z62zzbackend_backendz00(obj_t
		BgL_envz00_1312)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				BgL_backendz00_bglt BgL_new1047z00_1576;

				BgL_new1047z00_1576 =
					((BgL_backendz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_backendz00_bgl))));
				{	/* BackEnd/backend.scm 21 */
					long BgL_arg1157z00_1577;

					BgL_arg1157z00_1577 =
						BGL_CLASS_NUM(BGl_backendz00zzbackend_backendz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1047z00_1576), BgL_arg1157z00_1577);
				}
				return BgL_new1047z00_1576;
			}
		}

	}



/* &<@anonymous:1607> */
	obj_t BGl_z62zc3z04anonymousza31607ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1313)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1606 */
	obj_t BGl_z62lambda1606z62zzbackend_backendz00(obj_t BgL_envz00_1314,
		obj_t BgL_oz00_1315, obj_t BgL_vz00_1316)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1579;

				BgL_vz00_1579 = CBOOL(BgL_vz00_1316);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1315)))->
						BgL_typedzd2funcallzd2) = ((bool_t) BgL_vz00_1579), BUNSPEC);
			}
		}

	}



/* &lambda1605 */
	obj_t BGl_z62lambda1605z62zzbackend_backendz00(obj_t BgL_envz00_1317,
		obj_t BgL_oz00_1318)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1318)))->BgL_typedzd2funcallzd2));
		}

	}



/* &<@anonymous:1600> */
	obj_t BGl_z62zc3z04anonymousza31600ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1319)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1599 */
	obj_t BGl_z62lambda1599z62zzbackend_backendz00(obj_t BgL_envz00_1320,
		obj_t BgL_oz00_1321, obj_t BgL_vz00_1322)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1582;

				BgL_vz00_1582 = CBOOL(BgL_vz00_1322);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1321)))->BgL_typezd2checkzd2) =
					((bool_t) BgL_vz00_1582), BUNSPEC);
			}
		}

	}



/* &lambda1598 */
	obj_t BGl_z62lambda1598z62zzbackend_backendz00(obj_t BgL_envz00_1323,
		obj_t BgL_oz00_1324)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1324)))->BgL_typezd2checkzd2));
		}

	}



/* &<@anonymous:1585> */
	obj_t BGl_z62zc3z04anonymousza31585ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1325)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1584 */
	obj_t BGl_z62lambda1584z62zzbackend_backendz00(obj_t BgL_envz00_1326,
		obj_t BgL_oz00_1327, obj_t BgL_vz00_1328)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1585;

				BgL_vz00_1585 = CBOOL(BgL_vz00_1328);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1327)))->BgL_boundzd2checkzd2) =
					((bool_t) BgL_vz00_1585), BUNSPEC);
			}
		}

	}



/* &lambda1583 */
	obj_t BGl_z62lambda1583z62zzbackend_backendz00(obj_t BgL_envz00_1329,
		obj_t BgL_oz00_1330)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1330)))->BgL_boundzd2checkzd2));
		}

	}



/* &<@anonymous:1570> */
	obj_t BGl_z62zc3z04anonymousza31570ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1331)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1569 */
	obj_t BGl_z62lambda1569z62zzbackend_backendz00(obj_t BgL_envz00_1332,
		obj_t BgL_oz00_1333, obj_t BgL_vz00_1334)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1333)))->BgL_pregistersz00) =
				((obj_t) ((obj_t) BgL_vz00_1334)), BUNSPEC);
		}

	}



/* &lambda1568 */
	obj_t BGl_z62lambda1568z62zzbackend_backendz00(obj_t BgL_envz00_1335,
		obj_t BgL_oz00_1336)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1336)))->BgL_pregistersz00);
		}

	}



/* &<@anonymous:1554> */
	obj_t BGl_z62zc3z04anonymousza31554ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1337)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1553 */
	obj_t BGl_z62lambda1553z62zzbackend_backendz00(obj_t BgL_envz00_1338,
		obj_t BgL_oz00_1339, obj_t BgL_vz00_1340)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1339)))->BgL_registersz00) =
				((obj_t) ((obj_t) BgL_vz00_1340)), BUNSPEC);
		}

	}



/* &lambda1552 */
	obj_t BGl_z62lambda1552z62zzbackend_backendz00(obj_t BgL_envz00_1341,
		obj_t BgL_oz00_1342)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1342)))->BgL_registersz00);
		}

	}



/* &<@anonymous:1537> */
	obj_t BGl_z62zc3z04anonymousza31537ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1343)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1536 */
	obj_t BGl_z62lambda1536z62zzbackend_backendz00(obj_t BgL_envz00_1344,
		obj_t BgL_oz00_1345, obj_t BgL_vz00_1346)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1594;

				BgL_vz00_1594 = CBOOL(BgL_vz00_1346);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1345)))->
						BgL_requirezd2tailczd2) = ((bool_t) BgL_vz00_1594), BUNSPEC);
			}
		}

	}



/* &lambda1535 */
	obj_t BGl_z62lambda1535z62zzbackend_backendz00(obj_t BgL_envz00_1347,
		obj_t BgL_oz00_1348)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1348)))->BgL_requirezd2tailczd2));
		}

	}



/* &<@anonymous:1499> */
	obj_t BGl_z62zc3z04anonymousza31499ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1349)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1498 */
	obj_t BGl_z62lambda1498z62zzbackend_backendz00(obj_t BgL_envz00_1350,
		obj_t BgL_oz00_1351, obj_t BgL_vz00_1352)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1597;

				BgL_vz00_1597 = CBOOL(BgL_vz00_1352);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1351)))->
						BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) BgL_vz00_1597), BUNSPEC);
			}
		}

	}



/* &lambda1497 */
	obj_t BGl_z62lambda1497z62zzbackend_backendz00(obj_t BgL_envz00_1353,
		obj_t BgL_oz00_1354)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1354)))->
					BgL_tvectorzd2descrzd2supportz00));
		}

	}



/* &<@anonymous:1460> */
	obj_t BGl_z62zc3z04anonymousza31460ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1355)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1459 */
	obj_t BGl_z62lambda1459z62zzbackend_backendz00(obj_t BgL_envz00_1356,
		obj_t BgL_oz00_1357, obj_t BgL_vz00_1358)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1600;

				BgL_vz00_1600 = CBOOL(BgL_vz00_1358);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1357)))->
						BgL_pragmazd2supportzd2) = ((bool_t) BgL_vz00_1600), BUNSPEC);
			}
		}

	}



/* &lambda1458 */
	obj_t BGl_z62lambda1458z62zzbackend_backendz00(obj_t BgL_envz00_1359,
		obj_t BgL_oz00_1360)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1360)))->
					BgL_pragmazd2supportzd2));
		}

	}



/* &<@anonymous:1422> */
	obj_t BGl_z62zc3z04anonymousza31422ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1361)
	{
		{	/* BackEnd/backend.scm 21 */
			return CNST_TABLE_REF(((long) 37));
		}

	}



/* &lambda1421 */
	obj_t BGl_z62lambda1421z62zzbackend_backendz00(obj_t BgL_envz00_1362,
		obj_t BgL_oz00_1363, obj_t BgL_vz00_1364)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1363)))->BgL_debugzd2supportzd2) =
				((obj_t) ((obj_t) BgL_vz00_1364)), BUNSPEC);
		}

	}



/* &lambda1420 */
	obj_t BGl_z62lambda1420z62zzbackend_backendz00(obj_t BgL_envz00_1365,
		obj_t BgL_oz00_1366)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1366)))->BgL_debugzd2supportzd2);
		}

	}



/* &<@anonymous:1403> */
	obj_t BGl_z62zc3z04anonymousza31403ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1367)
	{
		{	/* BackEnd/backend.scm 21 */
			return CNST_TABLE_REF(((long) 38));
		}

	}



/* &lambda1402 */
	obj_t BGl_z62lambda1402z62zzbackend_backendz00(obj_t BgL_envz00_1368,
		obj_t BgL_oz00_1369, obj_t BgL_vz00_1370)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1369)))->
					BgL_foreignzd2clausezd2supportz00) =
				((obj_t) ((obj_t) BgL_vz00_1370)), BUNSPEC);
		}

	}



/* &lambda1401 */
	obj_t BGl_z62lambda1401z62zzbackend_backendz00(obj_t BgL_envz00_1371,
		obj_t BgL_oz00_1372)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1372)))->
				BgL_foreignzd2clausezd2supportz00);
		}

	}



/* &<@anonymous:1383> */
	obj_t BGl_z62zc3z04anonymousza31383ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1373)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1382 */
	obj_t BGl_z62lambda1382z62zzbackend_backendz00(obj_t BgL_envz00_1374,
		obj_t BgL_oz00_1375, obj_t BgL_vz00_1376)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1609;

				BgL_vz00_1609 = CBOOL(BgL_vz00_1376);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1375)))->
						BgL_tracezd2supportzd2) = ((bool_t) BgL_vz00_1609), BUNSPEC);
			}
		}

	}



/* &lambda1381 */
	obj_t BGl_z62lambda1381z62zzbackend_backendz00(obj_t BgL_envz00_1377,
		obj_t BgL_oz00_1378)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1378)))->BgL_tracezd2supportzd2));
		}

	}



/* &<@anonymous:1367> */
	obj_t BGl_z62zc3z04anonymousza31367ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1379)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1366 */
	obj_t BGl_z62lambda1366z62zzbackend_backendz00(obj_t BgL_envz00_1380,
		obj_t BgL_oz00_1381, obj_t BgL_vz00_1382)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1612;

				BgL_vz00_1612 = CBOOL(BgL_vz00_1382);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1381)))->BgL_typedzd2eqzd2) =
					((bool_t) BgL_vz00_1612), BUNSPEC);
			}
		}

	}



/* &lambda1365 */
	obj_t BGl_z62lambda1365z62zzbackend_backendz00(obj_t BgL_envz00_1383,
		obj_t BgL_oz00_1384)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1384)))->BgL_typedzd2eqzd2));
		}

	}



/* &<@anonymous:1357> */
	obj_t BGl_z62zc3z04anonymousza31357ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1385)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1356 */
	obj_t BGl_z62lambda1356z62zzbackend_backendz00(obj_t BgL_envz00_1386,
		obj_t BgL_oz00_1387, obj_t BgL_vz00_1388)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1615;

				BgL_vz00_1615 = CBOOL(BgL_vz00_1388);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1387)))->
						BgL_foreignzd2closurezd2) = ((bool_t) BgL_vz00_1615), BUNSPEC);
			}
		}

	}



/* &lambda1355 */
	obj_t BGl_z62lambda1355z62zzbackend_backendz00(obj_t BgL_envz00_1389,
		obj_t BgL_oz00_1390)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1390)))->
					BgL_foreignzd2closurezd2));
		}

	}



/* &<@anonymous:1344> */
	obj_t BGl_z62zc3z04anonymousza31344ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1391)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1343 */
	obj_t BGl_z62lambda1343z62zzbackend_backendz00(obj_t BgL_envz00_1392,
		obj_t BgL_oz00_1393, obj_t BgL_vz00_1394)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1618;

				BgL_vz00_1618 = CBOOL(BgL_vz00_1394);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1393)))->
						BgL_removezd2emptyzd2letz00) = ((bool_t) BgL_vz00_1618), BUNSPEC);
			}
		}

	}



/* &lambda1342 */
	obj_t BGl_z62lambda1342z62zzbackend_backendz00(obj_t BgL_envz00_1395,
		obj_t BgL_oz00_1396)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1396)))->
					BgL_removezd2emptyzd2letz00));
		}

	}



/* &<@anonymous:1336> */
	obj_t BGl_z62zc3z04anonymousza31336ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1397)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1335 */
	obj_t BGl_z62lambda1335z62zzbackend_backendz00(obj_t BgL_envz00_1398,
		obj_t BgL_oz00_1399, obj_t BgL_vz00_1400)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1621;

				BgL_vz00_1621 = CBOOL(BgL_vz00_1400);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1399)))->BgL_effectzb2zb2) =
					((bool_t) BgL_vz00_1621), BUNSPEC);
			}
		}

	}



/* &lambda1334 */
	obj_t BGl_z62lambda1334z62zzbackend_backendz00(obj_t BgL_envz00_1401,
		obj_t BgL_oz00_1402)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1402)))->BgL_effectzb2zb2));
		}

	}



/* &<@anonymous:1326> */
	obj_t BGl_z62zc3z04anonymousza31326ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1403)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1325 */
	obj_t BGl_z62lambda1325z62zzbackend_backendz00(obj_t BgL_envz00_1404,
		obj_t BgL_oz00_1405, obj_t BgL_vz00_1406)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1624;

				BgL_vz00_1624 = CBOOL(BgL_vz00_1406);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1405)))->
						BgL_qualifiedzd2typeszd2) = ((bool_t) BgL_vz00_1624), BUNSPEC);
			}
		}

	}



/* &lambda1324 */
	obj_t BGl_z62lambda1324z62zzbackend_backendz00(obj_t BgL_envz00_1407,
		obj_t BgL_oz00_1408)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1408)))->
					BgL_qualifiedzd2typeszd2));
		}

	}



/* &<@anonymous:1317> */
	obj_t BGl_z62zc3z04anonymousza31317ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1409)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1316 */
	obj_t BGl_z62lambda1316z62zzbackend_backendz00(obj_t BgL_envz00_1410,
		obj_t BgL_oz00_1411, obj_t BgL_vz00_1412)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1627;

				BgL_vz00_1627 = CBOOL(BgL_vz00_1412);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1411)))->BgL_callccz00) =
					((bool_t) BgL_vz00_1627), BUNSPEC);
			}
		}

	}



/* &lambda1315 */
	obj_t BGl_z62lambda1315z62zzbackend_backendz00(obj_t BgL_envz00_1413,
		obj_t BgL_oz00_1414)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1414)))->BgL_callccz00));
		}

	}



/* &<@anonymous:1309> */
	obj_t BGl_z62zc3z04anonymousza31309ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1415)
	{
		{	/* BackEnd/backend.scm 21 */
			return CNST_TABLE_REF(((long) 39));
		}

	}



/* &lambda1308 */
	obj_t BGl_z62lambda1308z62zzbackend_backendz00(obj_t BgL_envz00_1416,
		obj_t BgL_oz00_1417, obj_t BgL_vz00_1418)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1417)))->
					BgL_heapzd2compatiblezd2) =
				((obj_t) ((obj_t) BgL_vz00_1418)), BUNSPEC);
		}

	}



/* &lambda1307 */
	obj_t BGl_z62lambda1307z62zzbackend_backendz00(obj_t BgL_envz00_1419,
		obj_t BgL_oz00_1420)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1420)))->BgL_heapzd2compatiblezd2);
		}

	}



/* &<@anonymous:1298> */
	obj_t BGl_z62zc3z04anonymousza31298ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1421)
	{
		{	/* BackEnd/backend.scm 21 */
			return BGl_string1796z00zzbackend_backendz00;
		}

	}



/* &lambda1297 */
	obj_t BGl_z62lambda1297z62zzbackend_backendz00(obj_t BgL_envz00_1422,
		obj_t BgL_oz00_1423, obj_t BgL_vz00_1424)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1423)))->BgL_heapzd2suffixzd2) =
				((obj_t) ((obj_t) BgL_vz00_1424)), BUNSPEC);
		}

	}



/* &lambda1296 */
	obj_t BGl_z62lambda1296z62zzbackend_backendz00(obj_t BgL_envz00_1425,
		obj_t BgL_oz00_1426)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1426)))->BgL_heapzd2suffixzd2);
		}

	}



/* &<@anonymous:1278> */
	obj_t BGl_z62zc3z04anonymousza31278ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1427)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1277 */
	obj_t BGl_z62lambda1277z62zzbackend_backendz00(obj_t BgL_envz00_1428,
		obj_t BgL_oz00_1429, obj_t BgL_vz00_1430)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1636;

				BgL_vz00_1636 = CBOOL(BgL_vz00_1430);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1429)))->BgL_typedz00) =
					((bool_t) BgL_vz00_1636), BUNSPEC);
			}
		}

	}



/* &lambda1276 */
	obj_t BGl_z62lambda1276z62zzbackend_backendz00(obj_t BgL_envz00_1431,
		obj_t BgL_oz00_1432)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1432)))->BgL_typedz00));
		}

	}



/* &<@anonymous:1259> */
	obj_t BGl_z62zc3z04anonymousza31259ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1433)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1258 */
	obj_t BGl_z62lambda1258z62zzbackend_backendz00(obj_t BgL_envz00_1434,
		obj_t BgL_oz00_1435, obj_t BgL_vz00_1436)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1435)))->BgL_typesz00) =
				((obj_t) BgL_vz00_1436), BUNSPEC);
		}

	}



/* &lambda1257 */
	obj_t BGl_z62lambda1257z62zzbackend_backendz00(obj_t BgL_envz00_1437,
		obj_t BgL_oz00_1438)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1438)))->BgL_typesz00);
		}

	}



/* &<@anonymous:1250> */
	obj_t BGl_z62zc3z04anonymousza31250ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1439)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1249 */
	obj_t BGl_z62lambda1249z62zzbackend_backendz00(obj_t BgL_envz00_1440,
		obj_t BgL_oz00_1441, obj_t BgL_vz00_1442)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1441)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_1442), BUNSPEC);
		}

	}



/* &lambda1248 */
	obj_t BGl_z62lambda1248z62zzbackend_backendz00(obj_t BgL_envz00_1443,
		obj_t BgL_oz00_1444)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1444)))->BgL_functionsz00);
		}

	}



/* &<@anonymous:1240> */
	obj_t BGl_z62zc3z04anonymousza31240ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1445)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1239 */
	obj_t BGl_z62lambda1239z62zzbackend_backendz00(obj_t BgL_envz00_1446,
		obj_t BgL_oz00_1447, obj_t BgL_vz00_1448)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1447)))->BgL_variablesz00) =
				((obj_t) BgL_vz00_1448), BUNSPEC);
		}

	}



/* &lambda1238 */
	obj_t BGl_z62lambda1238z62zzbackend_backendz00(obj_t BgL_envz00_1449,
		obj_t BgL_oz00_1450)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1450)))->BgL_variablesz00);
		}

	}



/* &<@anonymous:1225> */
	obj_t BGl_z62zc3z04anonymousza31225ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1451)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1224 */
	obj_t BGl_z62lambda1224z62zzbackend_backendz00(obj_t BgL_envz00_1452,
		obj_t BgL_oz00_1453, obj_t BgL_vz00_1454)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1453)))->BgL_externzd2typeszd2) =
				((obj_t) BgL_vz00_1454), BUNSPEC);
		}

	}



/* &lambda1223 */
	obj_t BGl_z62lambda1223z62zzbackend_backendz00(obj_t BgL_envz00_1455,
		obj_t BgL_oz00_1456)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1456)))->BgL_externzd2typeszd2);
		}

	}



/* &<@anonymous:1215> */
	obj_t BGl_z62zc3z04anonymousza31215ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1457)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1214 */
	obj_t BGl_z62lambda1214z62zzbackend_backendz00(obj_t BgL_envz00_1458,
		obj_t BgL_oz00_1459, obj_t BgL_vz00_1460)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1459)))->
					BgL_externzd2functionszd2) = ((obj_t) BgL_vz00_1460), BUNSPEC);
		}

	}



/* &lambda1213 */
	obj_t BGl_z62lambda1213z62zzbackend_backendz00(obj_t BgL_envz00_1461,
		obj_t BgL_oz00_1462)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1462)))->BgL_externzd2functionszd2);
		}

	}



/* &<@anonymous:1206> */
	obj_t BGl_z62zc3z04anonymousza31206ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1463)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1205 */
	obj_t BGl_z62lambda1205z62zzbackend_backendz00(obj_t BgL_envz00_1464,
		obj_t BgL_oz00_1465, obj_t BgL_vz00_1466)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1465)))->
					BgL_externzd2variableszd2) = ((obj_t) BgL_vz00_1466), BUNSPEC);
		}

	}



/* &lambda1204 */
	obj_t BGl_z62lambda1204z62zzbackend_backendz00(obj_t BgL_envz00_1467,
		obj_t BgL_oz00_1468)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1468)))->BgL_externzd2variableszd2);
		}

	}



/* &<@anonymous:1194> */
	obj_t BGl_z62zc3z04anonymousza31194ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1469)
	{
		{	/* BackEnd/backend.scm 21 */
			return BGl_string1797z00zzbackend_backendz00;
		}

	}



/* &lambda1193 */
	obj_t BGl_z62lambda1193z62zzbackend_backendz00(obj_t BgL_envz00_1470,
		obj_t BgL_oz00_1471, obj_t BgL_vz00_1472)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1471)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_1472)), BUNSPEC);
		}

	}



/* &lambda1192 */
	obj_t BGl_z62lambda1192z62zzbackend_backendz00(obj_t BgL_envz00_1473,
		obj_t BgL_oz00_1474)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1474)))->BgL_namez00);
		}

	}



/* &<@anonymous:1177> */
	obj_t BGl_z62zc3z04anonymousza31177ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1475)
	{
		{	/* BackEnd/backend.scm 21 */
			return CNST_TABLE_REF(((long) 40));
		}

	}



/* &lambda1176 */
	obj_t BGl_z62lambda1176z62zzbackend_backendz00(obj_t BgL_envz00_1476,
		obj_t BgL_oz00_1477, obj_t BgL_vz00_1478)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1477)))->BgL_srfi0z00) = ((obj_t)
					((obj_t) BgL_vz00_1478)), BUNSPEC);
		}

	}



/* &lambda1175 */
	obj_t BGl_z62lambda1175z62zzbackend_backendz00(obj_t BgL_envz00_1479,
		obj_t BgL_oz00_1480)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1480)))->BgL_srfi0z00);
		}

	}



/* &<@anonymous:1168> */
	obj_t BGl_z62zc3z04anonymousza31168ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1481)
	{
		{	/* BackEnd/backend.scm 21 */
			return CNST_TABLE_REF(((long) 40));
		}

	}



/* &lambda1167 */
	obj_t BGl_z62lambda1167z62zzbackend_backendz00(obj_t BgL_envz00_1482,
		obj_t BgL_oz00_1483, obj_t BgL_vz00_1484)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1483)))->BgL_languagez00) =
				((obj_t) ((obj_t) BgL_vz00_1484)), BUNSPEC);
		}

	}



/* &lambda1166 */
	obj_t BGl_z62lambda1166z62zzbackend_backendz00(obj_t BgL_envz00_1485,
		obj_t BgL_oz00_1486)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1486)))->BgL_languagez00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_backendz00()
	{
		{	/* BackEnd/backend.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
				BGl_proc1798z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1799z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
				BGl_proc1800z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1801z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2compilezd2functionszd2envzd2zzbackend_backendz00,
				BGl_proc1802z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1803z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
				BGl_proc1804z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1805z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00,
				BGl_proc1806z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1807z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
				BGl_proc1808z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1809z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
				BGl_proc1810z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1811z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2instrzd2resetzd2registerszd2envz00zzbackend_backendz00,
				BGl_proc1812z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1813z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
				BGl_proc1814z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1815z00zzbackend_backendz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2gczd2initzd2envzd2zzbackend_backendz00,
				BGl_proc1816z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1817z00zzbackend_backendz00);
		}

	}



/* &backend-gc-init1132 */
	obj_t BGl_z62backendzd2gczd2init1132z62zzbackend_backendz00(obj_t
		BgL_envz00_1499, obj_t BgL_bz00_1500)
	{
		{	/* BackEnd/backend.scm 151 */
			return BUNSPEC;
		}

	}



/* &backend-check-inline1130 */
	obj_t BGl_z62backendzd2checkzd2inline1130z62zzbackend_backendz00(obj_t
		BgL_envz00_1501, obj_t BgL_bz00_1502)
	{
		{	/* BackEnd/backend.scm 145 */
			return BUNSPEC;
		}

	}



/* &backend-instr-reset-1128 */
	obj_t BGl_z62backendzd2instrzd2resetzd21128zb0zzbackend_backendz00(obj_t
		BgL_envz00_1503, obj_t BgL_bz00_1504, obj_t BgL_iz00_1505)
	{
		{	/* BackEnd/backend.scm 138 */
			{	/* BackEnd/backend.scm 140 */
				obj_t BgL_val1_1109z00_1662;
				obj_t BgL_val2_1110z00_1663;
				obj_t BgL_val3_1111z00_1664;

				BgL_val1_1109z00_1662 =
					(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_bz00_1504)))->BgL_registersz00);
				BgL_val2_1110z00_1663 =
					(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_bz00_1504)))->BgL_registersz00);
				BgL_val3_1111z00_1664 =
					(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_bz00_1504)))->BgL_registersz00);
				{	/* BackEnd/backend.scm 140 */
					int BgL_tmpz00_2333;

					BgL_tmpz00_2333 = (int) (((long) 4));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2333);
				}
				{	/* BackEnd/backend.scm 140 */
					int BgL_tmpz00_2336;

					BgL_tmpz00_2336 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_2336, BgL_val1_1109z00_1662);
				}
				{	/* BackEnd/backend.scm 140 */
					int BgL_tmpz00_2339;

					BgL_tmpz00_2339 = (int) (((long) 2));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_2339, BgL_val2_1110z00_1663);
				}
				{	/* BackEnd/backend.scm 140 */
					int BgL_tmpz00_2342;

					BgL_tmpz00_2342 = (int) (((long) 3));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_2342, BgL_val3_1111z00_1664);
				}
				return BNIL;
			}
		}

	}



/* &backend-link-objects1126 */
	obj_t BGl_z62backendzd2linkzd2objects1126z62zzbackend_backendz00(obj_t
		BgL_envz00_1506, obj_t BgL_bz00_1507, obj_t BgL_lz00_1508)
	{
		{	/* BackEnd/backend.scm 133 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 41)),
				BGl_string1818z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1507)));
		}

	}



/* &backend-cnst-table-n1124 */
	obj_t BGl_z62backendzd2cnstzd2tablezd2n1124zb0zzbackend_backendz00(obj_t
		BgL_envz00_1509, obj_t BgL_bz00_1510, obj_t BgL_oz00_1511)
	{
		{	/* BackEnd/backend.scm 128 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 42)),
				BGl_string1818z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1510)));
		}

	}



/* &backend-subtype?1122 */
	obj_t BGl_z62backendzd2subtypezf31122z43zzbackend_backendz00(obj_t
		BgL_envz00_1512, obj_t BgL_bz00_1513, obj_t BgL_t1z00_1514,
		obj_t BgL_t2z00_1515)
	{
		{	/* BackEnd/backend.scm 123 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 43)),
				BGl_string1818z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1513)));
		}

	}



/* &backend-link1120 */
	obj_t BGl_z62backendzd2link1120zb0zzbackend_backendz00(obj_t BgL_envz00_1516,
		obj_t BgL_bz00_1517, obj_t BgL_resultz00_1518)
	{
		{	/* BackEnd/backend.scm 118 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 44)),
				BGl_string1818z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1517)));
		}

	}



/* &backend-compile-func1118 */
	obj_t BGl_z62backendzd2compilezd2func1118z62zzbackend_backendz00(obj_t
		BgL_envz00_1519, obj_t BgL_bz00_1520)
	{
		{	/* BackEnd/backend.scm 113 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 45)),
				BGl_string1818z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1520)));
		}

	}



/* &backend-compile1116 */
	obj_t BGl_z62backendzd2compile1116zb0zzbackend_backendz00(obj_t
		BgL_envz00_1521, obj_t BgL_bz00_1522)
	{
		{	/* BackEnd/backend.scm 108 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 46)),
				BGl_string1818z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1522)));
		}

	}



/* &backend-initialize!1114 */
	obj_t BGl_z62backendzd2initializa7ez121114z05zzbackend_backendz00(obj_t
		BgL_envz00_1523, obj_t BgL_bz00_1524)
	{
		{	/* BackEnd/backend.scm 102 */
			return BUNSPEC;
		}

	}



/* backend-initialize! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2initializa7ez12z67zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_94)
	{
		{	/* BackEnd/backend.scm 102 */
			{	/* BackEnd/backend.scm 102 */
				obj_t BgL_method1115z00_621;

				{	/* BackEnd/backend.scm 102 */
					obj_t BgL_res1658z00_787;

					{	/* BackEnd/backend.scm 102 */
						long BgL_objzd2classzd2numz00_758;

						BgL_objzd2classzd2numz00_758 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_94));
						{	/* BackEnd/backend.scm 102 */
							obj_t BgL_arg1829z00_759;

							BgL_arg1829z00_759 =
								PROCEDURE_REF
								(BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 102 */
								int BgL_offsetz00_762;

								BgL_offsetz00_762 = (int) (BgL_objzd2classzd2numz00_758);
								{	/* BackEnd/backend.scm 102 */
									long BgL_offsetz00_763;

									BgL_offsetz00_763 =
										((long) (BgL_offsetz00_762) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 102 */
										long BgL_modz00_764;

										BgL_modz00_764 =
											(BgL_offsetz00_763 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 102 */
											long BgL_restz00_766;

											BgL_restz00_766 =
												(BgL_offsetz00_763 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 102 */

												{	/* BackEnd/backend.scm 102 */
													obj_t BgL_bucketz00_768;

													BgL_bucketz00_768 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_759), BgL_modz00_764);
													BgL_res1658z00_787 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_768), BgL_restz00_766);
					}}}}}}}}
					BgL_method1115z00_621 = BgL_res1658z00_787;
				}
				return
					PROCEDURE_ENTRY(BgL_method1115z00_621) (BgL_method1115z00_621,
					((obj_t) BgL_bz00_94), BEOA);
			}
		}

	}



/* &backend-initialize! */
	obj_t BGl_z62backendzd2initializa7ez12z05zzbackend_backendz00(obj_t
		BgL_envz00_1487, obj_t BgL_bz00_1488)
	{
		{	/* BackEnd/backend.scm 102 */
			return
				BGl_backendzd2initializa7ez12z67zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1488));
		}

	}



/* backend-compile */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2compilezd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_95)
	{
		{	/* BackEnd/backend.scm 108 */
			{	/* BackEnd/backend.scm 108 */
				obj_t BgL_method1117z00_622;

				{	/* BackEnd/backend.scm 108 */
					obj_t BgL_res1663z00_818;

					{	/* BackEnd/backend.scm 108 */
						long BgL_objzd2classzd2numz00_789;

						BgL_objzd2classzd2numz00_789 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_95));
						{	/* BackEnd/backend.scm 108 */
							obj_t BgL_arg1829z00_790;

							BgL_arg1829z00_790 =
								PROCEDURE_REF
								(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 108 */
								int BgL_offsetz00_793;

								BgL_offsetz00_793 = (int) (BgL_objzd2classzd2numz00_789);
								{	/* BackEnd/backend.scm 108 */
									long BgL_offsetz00_794;

									BgL_offsetz00_794 =
										((long) (BgL_offsetz00_793) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 108 */
										long BgL_modz00_795;

										BgL_modz00_795 =
											(BgL_offsetz00_794 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 108 */
											long BgL_restz00_797;

											BgL_restz00_797 =
												(BgL_offsetz00_794 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 108 */

												{	/* BackEnd/backend.scm 108 */
													obj_t BgL_bucketz00_799;

													BgL_bucketz00_799 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_790), BgL_modz00_795);
													BgL_res1663z00_818 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_799), BgL_restz00_797);
					}}}}}}}}
					BgL_method1117z00_622 = BgL_res1663z00_818;
				}
				return
					PROCEDURE_ENTRY(BgL_method1117z00_622) (BgL_method1117z00_622,
					((obj_t) BgL_bz00_95), BEOA);
			}
		}

	}



/* &backend-compile */
	obj_t BGl_z62backendzd2compilezb0zzbackend_backendz00(obj_t BgL_envz00_1525,
		obj_t BgL_bz00_1526)
	{
		{	/* BackEnd/backend.scm 108 */
			return
				BGl_backendzd2compilezd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1526));
		}

	}



/* backend-compile-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2compilezd2functionsz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_96)
	{
		{	/* BackEnd/backend.scm 113 */
			{	/* BackEnd/backend.scm 113 */
				obj_t BgL_method1119z00_623;

				{	/* BackEnd/backend.scm 113 */
					obj_t BgL_res1668z00_849;

					{	/* BackEnd/backend.scm 113 */
						long BgL_objzd2classzd2numz00_820;

						BgL_objzd2classzd2numz00_820 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_96));
						{	/* BackEnd/backend.scm 113 */
							obj_t BgL_arg1829z00_821;

							BgL_arg1829z00_821 =
								PROCEDURE_REF
								(BGl_backendzd2compilezd2functionszd2envzd2zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 113 */
								int BgL_offsetz00_824;

								BgL_offsetz00_824 = (int) (BgL_objzd2classzd2numz00_820);
								{	/* BackEnd/backend.scm 113 */
									long BgL_offsetz00_825;

									BgL_offsetz00_825 =
										((long) (BgL_offsetz00_824) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 113 */
										long BgL_modz00_826;

										BgL_modz00_826 =
											(BgL_offsetz00_825 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 113 */
											long BgL_restz00_828;

											BgL_restz00_828 =
												(BgL_offsetz00_825 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 113 */

												{	/* BackEnd/backend.scm 113 */
													obj_t BgL_bucketz00_830;

													BgL_bucketz00_830 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_821), BgL_modz00_826);
													BgL_res1668z00_849 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_830), BgL_restz00_828);
					}}}}}}}}
					BgL_method1119z00_623 = BgL_res1668z00_849;
				}
				return
					PROCEDURE_ENTRY(BgL_method1119z00_623) (BgL_method1119z00_623,
					((obj_t) BgL_bz00_96), BEOA);
			}
		}

	}



/* &backend-compile-functions */
	obj_t BGl_z62backendzd2compilezd2functionsz62zzbackend_backendz00(obj_t
		BgL_envz00_1527, obj_t BgL_bz00_1528)
	{
		{	/* BackEnd/backend.scm 113 */
			return
				BGl_backendzd2compilezd2functionsz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1528));
		}

	}



/* backend-link */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2linkzd2zzbackend_backendz00(BgL_backendz00_bglt BgL_bz00_97,
		obj_t BgL_resultz00_98)
	{
		{	/* BackEnd/backend.scm 118 */
			{	/* BackEnd/backend.scm 118 */
				obj_t BgL_method1121z00_624;

				{	/* BackEnd/backend.scm 118 */
					obj_t BgL_res1673z00_880;

					{	/* BackEnd/backend.scm 118 */
						long BgL_objzd2classzd2numz00_851;

						BgL_objzd2classzd2numz00_851 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_97));
						{	/* BackEnd/backend.scm 118 */
							obj_t BgL_arg1829z00_852;

							BgL_arg1829z00_852 =
								PROCEDURE_REF(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 118 */
								int BgL_offsetz00_855;

								BgL_offsetz00_855 = (int) (BgL_objzd2classzd2numz00_851);
								{	/* BackEnd/backend.scm 118 */
									long BgL_offsetz00_856;

									BgL_offsetz00_856 =
										((long) (BgL_offsetz00_855) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 118 */
										long BgL_modz00_857;

										BgL_modz00_857 =
											(BgL_offsetz00_856 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 118 */
											long BgL_restz00_859;

											BgL_restz00_859 =
												(BgL_offsetz00_856 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 118 */

												{	/* BackEnd/backend.scm 118 */
													obj_t BgL_bucketz00_861;

													BgL_bucketz00_861 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_852), BgL_modz00_857);
													BgL_res1673z00_880 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_861), BgL_restz00_859);
					}}}}}}}}
					BgL_method1121z00_624 = BgL_res1673z00_880;
				}
				return
					PROCEDURE_ENTRY(BgL_method1121z00_624) (BgL_method1121z00_624,
					((obj_t) BgL_bz00_97), BgL_resultz00_98, BEOA);
			}
		}

	}



/* &backend-link */
	obj_t BGl_z62backendzd2linkzb0zzbackend_backendz00(obj_t BgL_envz00_1529,
		obj_t BgL_bz00_1530, obj_t BgL_resultz00_1531)
	{
		{	/* BackEnd/backend.scm 118 */
			return
				BGl_backendzd2linkzd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1530), BgL_resultz00_1531);
		}

	}



/* backend-subtype? */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2subtypezf3z21zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_99, obj_t BgL_t1z00_100, obj_t BgL_t2z00_101)
	{
		{	/* BackEnd/backend.scm 123 */
			{	/* BackEnd/backend.scm 123 */
				obj_t BgL_method1123z00_625;

				{	/* BackEnd/backend.scm 123 */
					obj_t BgL_res1678z00_911;

					{	/* BackEnd/backend.scm 123 */
						long BgL_objzd2classzd2numz00_882;

						BgL_objzd2classzd2numz00_882 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_99));
						{	/* BackEnd/backend.scm 123 */
							obj_t BgL_arg1829z00_883;

							BgL_arg1829z00_883 =
								PROCEDURE_REF
								(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 123 */
								int BgL_offsetz00_886;

								BgL_offsetz00_886 = (int) (BgL_objzd2classzd2numz00_882);
								{	/* BackEnd/backend.scm 123 */
									long BgL_offsetz00_887;

									BgL_offsetz00_887 =
										((long) (BgL_offsetz00_886) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 123 */
										long BgL_modz00_888;

										BgL_modz00_888 =
											(BgL_offsetz00_887 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 123 */
											long BgL_restz00_890;

											BgL_restz00_890 =
												(BgL_offsetz00_887 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 123 */

												{	/* BackEnd/backend.scm 123 */
													obj_t BgL_bucketz00_892;

													BgL_bucketz00_892 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_883), BgL_modz00_888);
													BgL_res1678z00_911 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_892), BgL_restz00_890);
					}}}}}}}}
					BgL_method1123z00_625 = BgL_res1678z00_911;
				}
				return
					PROCEDURE_ENTRY(BgL_method1123z00_625) (BgL_method1123z00_625,
					((obj_t) BgL_bz00_99), BgL_t1z00_100, BgL_t2z00_101, BEOA);
			}
		}

	}



/* &backend-subtype? */
	obj_t BGl_z62backendzd2subtypezf3z43zzbackend_backendz00(obj_t
		BgL_envz00_1532, obj_t BgL_bz00_1533, obj_t BgL_t1z00_1534,
		obj_t BgL_t2z00_1535)
	{
		{	/* BackEnd/backend.scm 123 */
			return
				BGl_backendzd2subtypezf3z21zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1533), BgL_t1z00_1534, BgL_t2z00_1535);
		}

	}



/* backend-cnst-table-name */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_102, int BgL_oz00_103)
	{
		{	/* BackEnd/backend.scm 128 */
			{	/* BackEnd/backend.scm 128 */
				obj_t BgL_method1125z00_626;

				{	/* BackEnd/backend.scm 128 */
					obj_t BgL_res1683z00_942;

					{	/* BackEnd/backend.scm 128 */
						long BgL_objzd2classzd2numz00_913;

						BgL_objzd2classzd2numz00_913 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_102));
						{	/* BackEnd/backend.scm 128 */
							obj_t BgL_arg1829z00_914;

							BgL_arg1829z00_914 =
								PROCEDURE_REF
								(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 128 */
								int BgL_offsetz00_917;

								BgL_offsetz00_917 = (int) (BgL_objzd2classzd2numz00_913);
								{	/* BackEnd/backend.scm 128 */
									long BgL_offsetz00_918;

									BgL_offsetz00_918 =
										((long) (BgL_offsetz00_917) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 128 */
										long BgL_modz00_919;

										BgL_modz00_919 =
											(BgL_offsetz00_918 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 128 */
											long BgL_restz00_921;

											BgL_restz00_921 =
												(BgL_offsetz00_918 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 128 */

												{	/* BackEnd/backend.scm 128 */
													obj_t BgL_bucketz00_923;

													BgL_bucketz00_923 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_914), BgL_modz00_919);
													BgL_res1683z00_942 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_923), BgL_restz00_921);
					}}}}}}}}
					BgL_method1125z00_626 = BgL_res1683z00_942;
				}
				return
					PROCEDURE_ENTRY(BgL_method1125z00_626) (BgL_method1125z00_626,
					((obj_t) BgL_bz00_102), BINT(BgL_oz00_103), BEOA);
			}
		}

	}



/* &backend-cnst-table-name */
	obj_t BGl_z62backendzd2cnstzd2tablezd2namezb0zzbackend_backendz00(obj_t
		BgL_envz00_1536, obj_t BgL_bz00_1537, obj_t BgL_oz00_1538)
	{
		{	/* BackEnd/backend.scm 128 */
			return
				BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1537), CINT(BgL_oz00_1538));
		}

	}



/* backend-link-objects */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2linkzd2objectsz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_104, obj_t BgL_lz00_105)
	{
		{	/* BackEnd/backend.scm 133 */
			{	/* BackEnd/backend.scm 133 */
				obj_t BgL_method1127z00_627;

				{	/* BackEnd/backend.scm 133 */
					obj_t BgL_res1688z00_973;

					{	/* BackEnd/backend.scm 133 */
						long BgL_objzd2classzd2numz00_944;

						BgL_objzd2classzd2numz00_944 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_104));
						{	/* BackEnd/backend.scm 133 */
							obj_t BgL_arg1829z00_945;

							BgL_arg1829z00_945 =
								PROCEDURE_REF
								(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 133 */
								int BgL_offsetz00_948;

								BgL_offsetz00_948 = (int) (BgL_objzd2classzd2numz00_944);
								{	/* BackEnd/backend.scm 133 */
									long BgL_offsetz00_949;

									BgL_offsetz00_949 =
										((long) (BgL_offsetz00_948) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 133 */
										long BgL_modz00_950;

										BgL_modz00_950 =
											(BgL_offsetz00_949 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 133 */
											long BgL_restz00_952;

											BgL_restz00_952 =
												(BgL_offsetz00_949 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 133 */

												{	/* BackEnd/backend.scm 133 */
													obj_t BgL_bucketz00_954;

													BgL_bucketz00_954 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_945), BgL_modz00_950);
													BgL_res1688z00_973 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_954), BgL_restz00_952);
					}}}}}}}}
					BgL_method1127z00_627 = BgL_res1688z00_973;
				}
				return
					PROCEDURE_ENTRY(BgL_method1127z00_627) (BgL_method1127z00_627,
					((obj_t) BgL_bz00_104), BgL_lz00_105, BEOA);
			}
		}

	}



/* &backend-link-objects */
	obj_t BGl_z62backendzd2linkzd2objectsz62zzbackend_backendz00(obj_t
		BgL_envz00_1539, obj_t BgL_bz00_1540, obj_t BgL_lz00_1541)
	{
		{	/* BackEnd/backend.scm 133 */
			return
				BGl_backendzd2linkzd2objectsz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1540), BgL_lz00_1541);
		}

	}



/* backend-instr-reset-registers */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2instrzd2resetzd2registerszd2zzbackend_backendz00
		(BgL_backendz00_bglt BgL_bz00_106, obj_t BgL_iz00_107)
	{
		{	/* BackEnd/backend.scm 138 */
			{	/* BackEnd/backend.scm 138 */
				obj_t BgL_method1129z00_628;

				{	/* BackEnd/backend.scm 138 */
					obj_t BgL_res1693z00_1004;

					{	/* BackEnd/backend.scm 138 */
						long BgL_objzd2classzd2numz00_975;

						BgL_objzd2classzd2numz00_975 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_106));
						{	/* BackEnd/backend.scm 138 */
							obj_t BgL_arg1829z00_976;

							BgL_arg1829z00_976 =
								PROCEDURE_REF
								(BGl_backendzd2instrzd2resetzd2registerszd2envz00zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 138 */
								int BgL_offsetz00_979;

								BgL_offsetz00_979 = (int) (BgL_objzd2classzd2numz00_975);
								{	/* BackEnd/backend.scm 138 */
									long BgL_offsetz00_980;

									BgL_offsetz00_980 =
										((long) (BgL_offsetz00_979) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 138 */
										long BgL_modz00_981;

										BgL_modz00_981 =
											(BgL_offsetz00_980 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 138 */
											long BgL_restz00_983;

											BgL_restz00_983 =
												(BgL_offsetz00_980 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 138 */

												{	/* BackEnd/backend.scm 138 */
													obj_t BgL_bucketz00_985;

													BgL_bucketz00_985 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_976), BgL_modz00_981);
													BgL_res1693z00_1004 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_985), BgL_restz00_983);
					}}}}}}}}
					BgL_method1129z00_628 = BgL_res1693z00_1004;
				}
				return
					PROCEDURE_ENTRY(BgL_method1129z00_628) (BgL_method1129z00_628,
					((obj_t) BgL_bz00_106), BgL_iz00_107, BEOA);
			}
		}

	}



/* &backend-instr-reset-registers */
	obj_t BGl_z62backendzd2instrzd2resetzd2registerszb0zzbackend_backendz00(obj_t
		BgL_envz00_1542, obj_t BgL_bz00_1543, obj_t BgL_iz00_1544)
	{
		{	/* BackEnd/backend.scm 138 */
			return
				BGl_backendzd2instrzd2resetzd2registerszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1543), BgL_iz00_1544);
		}

	}



/* backend-check-inlines */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2checkzd2inlinesz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_108)
	{
		{	/* BackEnd/backend.scm 145 */
			{	/* BackEnd/backend.scm 145 */
				obj_t BgL_method1131z00_629;

				{	/* BackEnd/backend.scm 145 */
					obj_t BgL_res1698z00_1035;

					{	/* BackEnd/backend.scm 145 */
						long BgL_objzd2classzd2numz00_1006;

						BgL_objzd2classzd2numz00_1006 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_108));
						{	/* BackEnd/backend.scm 145 */
							obj_t BgL_arg1829z00_1007;

							BgL_arg1829z00_1007 =
								PROCEDURE_REF
								(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 145 */
								int BgL_offsetz00_1010;

								BgL_offsetz00_1010 = (int) (BgL_objzd2classzd2numz00_1006);
								{	/* BackEnd/backend.scm 145 */
									long BgL_offsetz00_1011;

									BgL_offsetz00_1011 =
										((long) (BgL_offsetz00_1010) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 145 */
										long BgL_modz00_1012;

										BgL_modz00_1012 =
											(BgL_offsetz00_1011 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 145 */
											long BgL_restz00_1014;

											BgL_restz00_1014 =
												(BgL_offsetz00_1011 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 145 */

												{	/* BackEnd/backend.scm 145 */
													obj_t BgL_bucketz00_1016;

													BgL_bucketz00_1016 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_1007), BgL_modz00_1012);
													BgL_res1698z00_1035 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1016), BgL_restz00_1014);
					}}}}}}}}
					BgL_method1131z00_629 = BgL_res1698z00_1035;
				}
				return
					PROCEDURE_ENTRY(BgL_method1131z00_629) (BgL_method1131z00_629,
					((obj_t) BgL_bz00_108), BEOA);
			}
		}

	}



/* &backend-check-inlines */
	obj_t BGl_z62backendzd2checkzd2inlinesz62zzbackend_backendz00(obj_t
		BgL_envz00_1545, obj_t BgL_bz00_1546)
	{
		{	/* BackEnd/backend.scm 145 */
			return
				BGl_backendzd2checkzd2inlinesz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1546));
		}

	}



/* backend-gc-init */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2gczd2initz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_109)
	{
		{	/* BackEnd/backend.scm 151 */
			{	/* BackEnd/backend.scm 151 */
				obj_t BgL_method1133z00_630;

				{	/* BackEnd/backend.scm 151 */
					obj_t BgL_res1703z00_1066;

					{	/* BackEnd/backend.scm 151 */
						long BgL_objzd2classzd2numz00_1037;

						BgL_objzd2classzd2numz00_1037 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_109));
						{	/* BackEnd/backend.scm 151 */
							obj_t BgL_arg1829z00_1038;

							BgL_arg1829z00_1038 =
								PROCEDURE_REF
								(BGl_backendzd2gczd2initzd2envzd2zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 151 */
								int BgL_offsetz00_1041;

								BgL_offsetz00_1041 = (int) (BgL_objzd2classzd2numz00_1037);
								{	/* BackEnd/backend.scm 151 */
									long BgL_offsetz00_1042;

									BgL_offsetz00_1042 =
										((long) (BgL_offsetz00_1041) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 151 */
										long BgL_modz00_1043;

										BgL_modz00_1043 =
											(BgL_offsetz00_1042 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 151 */
											long BgL_restz00_1045;

											BgL_restz00_1045 =
												(BgL_offsetz00_1042 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 151 */

												{	/* BackEnd/backend.scm 151 */
													obj_t BgL_bucketz00_1047;

													BgL_bucketz00_1047 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_1038), BgL_modz00_1043);
													BgL_res1703z00_1066 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1047), BgL_restz00_1045);
					}}}}}}}}
					BgL_method1133z00_630 = BgL_res1703z00_1066;
				}
				return
					PROCEDURE_ENTRY(BgL_method1133z00_630) (BgL_method1133z00_630,
					((obj_t) BgL_bz00_109), BEOA);
			}
		}

	}



/* &backend-gc-init */
	obj_t BGl_z62backendzd2gczd2initz62zzbackend_backendz00(obj_t BgL_envz00_1547,
		obj_t BgL_bz00_1548)
	{
		{	/* BackEnd/backend.scm 151 */
			return
				BGl_backendzd2gczd2initz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1548));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_backendz00()
	{
		{	/* BackEnd/backend.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_backendz00()
	{
		{	/* BackEnd/backend.scm 15 */
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1819z00zzbackend_backendz00));
		}

	}

#ifdef __cplusplus
}
#endif
