/*===========================================================================*/
/*   (BackEnd/c.scm)                                                         */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/c.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_cvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}             *BgL_cvmz00_bglt;

	typedef struct BgL_sawcz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}              *BgL_sawcz00_bglt;

	typedef struct BgL_cgenz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}              *BgL_cgenz00_bglt;


	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31773ze3ze5zzbackend_cz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31749ze3ze5zzbackend_cz00(obj_t);
	extern obj_t BGl_findzd2librarieszd2zzengine_linkz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_cz00 = BUNSPEC;
	extern obj_t BGl_za2autozd2linkzd2mainza2z00zzengine_paramz00;
	extern obj_t
		BGl_backendzd2compilezd2functionsz00zzbackend_backendz00
		(BgL_backendz00_bglt);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_indentz00zzcc_indentz00(obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_za2czd2portza2zd2zzbackend_c_emitz00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static bool_t BGl_z62zc3z04anonymousza31849ze3ze5zzbackend_cz00(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(obj_t);
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	extern obj_t BGl_za2czd2userzd2footza2z00zzengine_paramz00;
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	static obj_t BGl_toplevelzd2initzd2zzbackend_cz00();
	extern obj_t BGl_za2bigloozd2tmpza2zd2zzengine_paramz00;
	extern obj_t BGl_ldz00zzcc_ldz00(obj_t, bool_t);
	extern obj_t BGl_emitzd2unsafezd2activationz00zzbackend_c_emitz00();
	extern obj_t BGl_cgenz00zzbackend_cvmz00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_getenvz00zz__osz00(obj_t);
	extern obj_t BGl_za2restzd2argsza2zd2zzengine_paramz00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31778ze3ze5zzbackend_cz00(obj_t);
	extern obj_t BGl_stopzd2emissionz12zc0zzbackend_c_emitz00();
	static obj_t BGl_genericzd2initzd2zzbackend_cz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzbackend_cz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_gczd2rootszd2emitz00zzcc_rootsz00(obj_t);
	extern obj_t BGl_emitzd2includezd2zzbackend_c_emitz00();
	static obj_t BGl_z62backendzd2gczd2initzd2cvm1550zb0zzbackend_cz00(obj_t,
		obj_t);
	extern obj_t BGl_emitzd2classzd2typesz00zzbackend_c_prototypez00(obj_t,
		obj_t);
	static obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_cz00();
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31887ze3ze5zzbackend_cz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_startzd2emissionz12zc0zzbackend_c_emitz00(obj_t);
	extern obj_t BGl_emitzd2prototypeszd2zzbackend_c_prototypez00();
	extern obj_t BGl_makezd2tmpzd2mainz00zzengine_linkz00(obj_t, bool_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cczd2compilerzd2zzbackend_cz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2cnstzd2tablezd2n1544zb0zzbackend_cz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzbackend_cz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_cz00();
	extern obj_t
		BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(BgL_typez00_bglt);
	extern obj_t
		BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00();
	static obj_t BGl_z62backendzd2compilezd2cvm1540z62zzbackend_cz00(obj_t,
		obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t, obj_t);
	extern obj_t BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00();
	BGL_IMPORT obj_t bgl_close_input_port(obj_t);
	static obj_t BGl_z62backendzd2subtypezf3zd2cvm1548z91zzbackend_cz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_findzd2mainzd2zzengine_linkz00(obj_t);
	static obj_t BGl_czd2walkzd2zzbackend_cz00(BgL_cvmz00_bglt);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62buildzd2sawczd2backendz62zzbackend_cz00(obj_t);
	static obj_t BGl_z62backendzd2linkzd2cvm1542z62zzbackend_cz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62buildzd2cgenzd2backendz62zzbackend_cz00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
	static obj_t BGl_z62backendzd2linkzd2objects1546z62zzbackend_cz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31614ze3ze5zzbackend_cz00(obj_t);
	static obj_t BGl_z62cczd2compilerzb0zzbackend_cz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_compilerz00zzengine_compilerz00();
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbackend_cz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_c_compilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcgen_compilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_typezd2occurzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_rootsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_ldz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_ccz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_indentz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_initz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzprof_emitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbdb_settingz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbdb_emitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_compilerz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_configurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t
		BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(BgL_globalz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_expandz00zz__expandz00(obj_t);
	extern obj_t BGl_za2mcozd2suffixza2zd2zzengine_paramz00;
	BGL_IMPORT bool_t fexists(char *);
	extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_emitzd2mainzd2zzbackend_c_emitz00();
	extern obj_t BGl_za2czd2objectzd2filezd2extensionza2zd2zzengine_paramz00;
	extern obj_t BGl_getzd2modulezd2initz00zzbackend_initz00();
	extern obj_t BGl_bdbzd2settingz12zc0zzbdb_settingz00();
	BGL_IMPORT obj_t BGl_suffixz00zz__osz00(obj_t);
	extern obj_t BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_za2unsafezd2libraryza2zd2zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzbackend_cz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cz00();
	extern bool_t
		BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(BgL_globalz00_bglt);
	extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
	extern obj_t BGl_emitzd2headerzd2zzbackend_c_emitz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_cz00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	extern obj_t BGl_za2gczd2forcezd2registerzd2rootszf3za2z21zzengine_paramz00;
	static obj_t BGl_gczd2rootszd2initz00zzbackend_cz00();
	static obj_t BGl_z62zc3z04anonymousza31634ze3ze5zzbackend_cz00(obj_t, obj_t);
	extern obj_t BGl_za2srczd2suffixza2zd2zzengine_paramz00;
	extern obj_t BGl_za2ozd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_emitzd2cnstszd2zzbackend_c_prototypez00();
	BGL_IMPORT obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
	extern obj_t BGl_emitzd2tracezd2activationz00zzbackend_c_emitz00();
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t
		BGl_typezd2incrementzd2globalz12z12zzast_typezd2occurzd2
		(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31638ze3ze5zzbackend_cz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ccz00zzcc_ccz00(obj_t, obj_t, bool_t);
	extern obj_t BGl_sawcz00zzbackend_cvmz00;
	extern obj_t BGl_forzd2eachzd2typez12z12zztype_envz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_buildzd2sawczd2backendz00zzbackend_cz00();
	extern obj_t BGl_cvmz00zzbackend_cvmz00;
	extern obj_t BGl_emitzd2profzd2infoz00zzprof_emitz00(obj_t, obj_t);
	extern obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t);
	extern obj_t BGl_za2dlopenzd2initza2zd2zzengine_paramz00;
	extern obj_t BGl_za2czd2userzd2headerza2z00zzengine_paramz00;
	extern obj_t BGl_za2czd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_getzd2classzd2listz00zzobject_classz00();
	BGL_EXPORTED_DECL obj_t BGl_buildzd2cgenzd2backendz00zzbackend_cz00();
	extern obj_t BGl_usezd2libraryz12zc0zzmodule_alibraryz00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza31771ze3ze5zzbackend_cz00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	static obj_t __cnst[21];


	   
		 
		DEFINE_STRING(BGl_string2041z00zzbackend_cz00,
		BgL_bgl_string2041za700za7za7b2073za7, "USER", 4);
	      DEFINE_STRING(BGl_string2042z00zzbackend_cz00,
		BgL_bgl_string2042za700za7za7b2074za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2036z00zzbackend_cz00,
		BgL_bgl_za762za7c3za704anonymo2075za7,
		BGl_z62zc3z04anonymousza31634ze3ze5zzbackend_cz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2043z00zzbackend_cz00,
		BgL_bgl_string2043za700za7za7b2076za7, ".", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2037z00zzbackend_cz00,
		BgL_bgl_za762za7c3za704anonymo2077za7,
		BGl_z62zc3z04anonymousza31638ze3ze5zzbackend_cz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2044z00zzbackend_cz00,
		BgL_bgl_string2044za700za7za7b2078za7, "@", 1);
	      DEFINE_STRING(BGl_string2045z00zzbackend_cz00,
		BgL_bgl_string2045za700za7za7b2079za7, "main-tmp", 8);
	      DEFINE_STRING(BGl_string2047z00zzbackend_cz00,
		BgL_bgl_string2047za700za7za7b2080za7, "backend-compile", 15);
	      DEFINE_STRING(BGl_string2049z00zzbackend_cz00,
		BgL_bgl_string2049za700za7za7b2081za7, "backend-link", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2040z00zzbackend_cz00,
		BgL_bgl_za762za7c3za704anonymo2082za7,
		BGl_z62zc3z04anonymousza31749ze3ze5zzbackend_cz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2051z00zzbackend_cz00,
		BgL_bgl_string2051za700za7za7b2083za7, "backend-cnst-table-name", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2046z00zzbackend_cz00,
		BgL_bgl_za762backendza7d2com2084z00,
		BGl_z62backendzd2compilezd2cvm1540z62zzbackend_cz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2053z00zzbackend_cz00,
		BgL_bgl_string2053za700za7za7b2085za7, "backend-link-objects", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2048z00zzbackend_cz00,
		BgL_bgl_za762backendza7d2lin2086z00,
		BGl_z62backendzd2linkzd2cvm1542z62zzbackend_cz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2055z00zzbackend_cz00,
		BgL_bgl_string2055za700za7za7b2087za7, "backend-subtype?", 16);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cczd2compilerzd2envz00zzbackend_cz00,
		BgL_bgl_za762ccza7d2compiler2088z00, BGl_z62cczd2compilerzb0zzbackend_cz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2057z00zzbackend_cz00,
		BgL_bgl_string2057za700za7za7b2089za7, "backend-gc-init", 15);
	      DEFINE_STRING(BGl_string2058z00zzbackend_cz00,
		BgL_bgl_string2058za700za7za7b2090za7, " -- ", 4);
	      DEFINE_STRING(BGl_string2059z00zzbackend_cz00,
		BgL_bgl_string2059za700za7za7b2091za7, "No source file found", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2050z00zzbackend_cz00,
		BgL_bgl_za762backendza7d2cns2092z00,
		BGl_z62backendzd2cnstzd2tablezd2n1544zb0zzbackend_cz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2052z00zzbackend_cz00,
		BgL_bgl_za762backendza7d2lin2093z00,
		BGl_z62backendzd2linkzd2objects1546z62zzbackend_cz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2060z00zzbackend_cz00,
		BgL_bgl_string2060za700za7za7b2094za7, "link", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2054z00zzbackend_cz00,
		BgL_bgl_za762backendza7d2sub2095z00,
		BGl_z62backendzd2subtypezf3zd2cvm1548z91zzbackend_cz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2061z00zzbackend_cz00,
		BgL_bgl_string2061za700za7za7b2096za7, "\"", 1);
	      DEFINE_STRING(BGl_string2062z00zzbackend_cz00,
		BgL_bgl_string2062za700za7za7b2097za7, "Illegal file", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2056z00zzbackend_cz00,
		BgL_bgl_za762backendza7d2gcza72098za7,
		BGl_z62backendzd2gczd2initzd2cvm1550zb0zzbackend_cz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2063z00zzbackend_cz00,
		BgL_bgl_string2063za700za7za7b2099za7, "*__cnst", 7);
	      DEFINE_STRING(BGl_string2064z00zzbackend_cz00,
		BgL_bgl_string2064za700za7za7b2100za7, "__cnst[ ", 8);
	      DEFINE_STRING(BGl_string2065z00zzbackend_cz00,
		BgL_bgl_string2065za700za7za7b2101za7, " ] ", 3);
	      DEFINE_STRING(BGl_string2069z00zzbackend_cz00,
		BgL_bgl_string2069za700za7za7b2102za7, "backend_c", 9);
	      DEFINE_STRING(BGl_string2070z00zzbackend_cz00,
		BgL_bgl_string2070za700za7za7b2103za7,
		"cindent distrib cgen module eval library so (pragma \"BGL_GC_INIT()\") done cc have-dlopen imported (ld distrib) pass-started ((lambda () (start-emission! \".c\"))) native (c bdb module) (foreign extern) bigloo-c c-saw c ",
		217);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2066z00zzbackend_cz00,
		BgL_bgl_za762za7c3za704anonymo2104za7,
		BGl_z62zc3z04anonymousza31771ze3ze5zzbackend_cz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2067z00zzbackend_cz00,
		BgL_bgl_za762za7c3za704anonymo2105za7,
		BGl_z62zc3z04anonymousza31773ze3ze5zzbackend_cz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2068z00zzbackend_cz00,
		BgL_bgl_za762za7c3za704anonymo2106za7,
		BGl_z62zc3z04anonymousza31778ze3ze5zzbackend_cz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2compilezd2envz00zzbackend_backendz00;
	extern obj_t BGl_backendzd2linkzd2envz00zzbackend_backendz00;
	extern obj_t BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00;
	extern obj_t BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_buildzd2cgenzd2backendzd2envzd2zzbackend_cz00,
		BgL_bgl_za762buildza7d2cgenza72107za7,
		BGl_z62buildzd2cgenzd2backendz62zzbackend_cz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_buildzd2sawczd2backendzd2envzd2zzbackend_cz00,
		BgL_bgl_za762buildza7d2sawcza72108za7,
		BGl_z62buildzd2sawczd2backendz62zzbackend_cz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2gczd2initzd2envzd2zzbackend_backendz00;
	   
		 
		DEFINE_STRING(BGl_string2025z00zzbackend_cz00,
		BgL_bgl_string2025za700za7za7b2109za7, "dummy", 5);
	      DEFINE_STRING(BGl_string2026z00zzbackend_cz00,
		BgL_bgl_string2026za700za7za7b2110za7, "heap", 4);
	      DEFINE_STRING(BGl_string2027z00zzbackend_cz00,
		BgL_bgl_string2027za700za7za7b2111za7, "C generation (saw)", 18);
	      DEFINE_STRING(BGl_string2028z00zzbackend_cz00,
		BgL_bgl_string2028za700za7za7b2112za7, "C generation (cgen)", 19);
	      DEFINE_STRING(BGl_string2029z00zzbackend_cz00,
		BgL_bgl_string2029za700za7za7b2113za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2031z00zzbackend_cz00,
		BgL_bgl_string2031za700za7za7b2114za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2032z00zzbackend_cz00,
		BgL_bgl_string2032za700za7za7b2115za7, "/* User header */", 17);
	      DEFINE_STRING(BGl_string2033z00zzbackend_cz00,
		BgL_bgl_string2033za700za7za7b2116za7, "#ifdef __cplusplus", 18);
	      DEFINE_STRING(BGl_string2034z00zzbackend_cz00,
		BgL_bgl_string2034za700za7za7b2117za7, "extern \"C\" {", 12);
	      DEFINE_STRING(BGl_string2035z00zzbackend_cz00,
		BgL_bgl_string2035za700za7za7b2118za7, "#endif", 6);
	      DEFINE_STRING(BGl_string2038z00zzbackend_cz00,
		BgL_bgl_string2038za700za7za7b2119za7, "}", 1);
	      DEFINE_STRING(BGl_string2039z00zzbackend_cz00,
		BgL_bgl_string2039za700za7za7b2120za7, ".c", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2030z00zzbackend_cz00,
		BgL_bgl_za762za7c3za704anonymo2121za7,
		BGl_z62zc3z04anonymousza31614ze3ze5zzbackend_cz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzbackend_cz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_cz00(long
		BgL_checksumz00_3688, char *BgL_fromz00_3689)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_cz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_cz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_cz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_cz00();
					BGl_cnstzd2initzd2zzbackend_cz00();
					BGl_importedzd2moduleszd2initz00zzbackend_cz00();
					BGl_methodzd2initzd2zzbackend_cz00();
					return BGl_toplevelzd2initzd2zzbackend_cz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cz00()
	{
		{	/* BackEnd/c.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "backend_c");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "backend_c");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 0), "backend_c");
			BGl_modulezd2initializa7ationz75zz__configurez00(((long) 0), "backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "backend_c");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_cz00()
	{
		{	/* BackEnd/c.scm 15 */
			{	/* BackEnd/c.scm 15 */
				obj_t BgL_cportz00_3514;

				{	/* BackEnd/c.scm 15 */
					obj_t BgL_stringz00_3522;

					BgL_stringz00_3522 = BGl_string2070z00zzbackend_cz00;
					{	/* BackEnd/c.scm 15 */
						obj_t BgL_startz00_3523;

						BgL_startz00_3523 = BINT(((long) 0));
						{	/* BackEnd/c.scm 15 */
							obj_t BgL_endz00_3524;

							BgL_endz00_3524 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3522)));
							{	/* BackEnd/c.scm 15 */

								BgL_cportz00_3514 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3522, BgL_startz00_3523, BgL_endz00_3524);
				}}}}
				{
					long BgL_iz00_3515;

					BgL_iz00_3515 = ((long) 20);
				BgL_loopz00_3516:
					if ((BgL_iz00_3515 == ((long) -1)))
						{	/* BackEnd/c.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/c.scm 15 */
							{	/* BackEnd/c.scm 15 */
								obj_t BgL_arg2072z00_3518;

								{	/* BackEnd/c.scm 15 */

									{	/* BackEnd/c.scm 15 */
										obj_t BgL_locationz00_3520;

										BgL_locationz00_3520 = BBOOL(((bool_t) 0));
										{	/* BackEnd/c.scm 15 */

											BgL_arg2072z00_3518 =
												BGl_readz00zz__readerz00(BgL_cportz00_3514,
												BgL_locationz00_3520);
										}
									}
								}
								{	/* BackEnd/c.scm 15 */
									int BgL_tmpz00_3725;

									BgL_tmpz00_3725 = (int) (BgL_iz00_3515);
									CNST_TABLE_SET(BgL_tmpz00_3725, BgL_arg2072z00_3518);
							}}
							{	/* BackEnd/c.scm 15 */
								int BgL_auxz00_3521;

								BgL_auxz00_3521 = (int) ((BgL_iz00_3515 - ((long) 1)));
								{
									long BgL_iz00_3730;

									BgL_iz00_3730 = (long) (BgL_auxz00_3521);
									BgL_iz00_3515 = BgL_iz00_3730;
									goto BgL_loopz00_3516;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_cz00()
	{
		{	/* BackEnd/c.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_cz00()
	{
		{	/* BackEnd/c.scm 15 */
			BGl_registerzd2backendz12zc0zzbackend_backendz00(CNST_TABLE_REF(((long)
						0)), BGl_buildzd2cgenzd2backendzd2envzd2zzbackend_cz00);
			BGl_registerzd2backendz12zc0zzbackend_backendz00(CNST_TABLE_REF(((long)
						1)), BGl_buildzd2sawczd2backendzd2envzd2zzbackend_cz00);
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzbackend_cz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_2057;

				BgL_headz00_2057 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2058;
					obj_t BgL_tailz00_2059;

					BgL_prevz00_2058 = BgL_headz00_2057;
					BgL_tailz00_2059 = BgL_l1z00_1;
				BgL_loopz00_2060:
					if (PAIRP(BgL_tailz00_2059))
						{
							obj_t BgL_newzd2prevzd2_2062;

							BgL_newzd2prevzd2_2062 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2059), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2058, BgL_newzd2prevzd2_2062);
							{
								obj_t BgL_tailz00_3744;
								obj_t BgL_prevz00_3743;

								BgL_prevz00_3743 = BgL_newzd2prevzd2_2062;
								BgL_tailz00_3744 = CDR(BgL_tailz00_2059);
								BgL_tailz00_2059 = BgL_tailz00_3744;
								BgL_prevz00_2058 = BgL_prevz00_3743;
								goto BgL_loopz00_2060;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_2057);
				}
			}
		}

	}



/* build-sawc-backend */
	BGL_EXPORTED_DEF obj_t BGl_buildzd2sawczd2backendz00zzbackend_cz00()
	{
		{	/* BackEnd/c.scm 75 */
			{	/* BackEnd/c.scm 76 */
				BgL_sawcz00_bglt BgL_new1119z00_2079;

				{	/* BackEnd/c.scm 77 */
					BgL_sawcz00_bglt BgL_new1118z00_2081;

					BgL_new1118z00_2081 =
						((BgL_sawcz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sawcz00_bgl))));
					{	/* BackEnd/c.scm 77 */
						long BgL_arg1583z00_2082;

						BgL_arg1583z00_2082 = BGL_CLASS_NUM(BGl_sawcz00zzbackend_cvmz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1118z00_2081), BgL_arg1583z00_2082);
					}
					BgL_new1119z00_2079 = BgL_new1118z00_2081;
				}
				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_new1119z00_2079)))->
						BgL_languagez00) = ((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_srfi0z00) =
					((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_namez00) =
					((obj_t) BGl_string2025z00zzbackend_cz00), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_externzd2variableszd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_externzd2functionszd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_externzd2typeszd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_variablesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_functionsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_typesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_typedz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_heapzd2suffixzd2) =
					((obj_t) BGl_string2026z00zzbackend_cz00), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_heapzd2compatiblezd2) =
					((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_callccz00) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_qualifiedzd2typeszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_effectzb2zb2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_removezd2emptyzd2letz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_foreignzd2closurezd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_typedzd2eqzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_tracezd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_foreignzd2clausezd2supportz00) =
					((obj_t) CNST_TABLE_REF(((long) 3))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_debugzd2supportzd2) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_pragmazd2supportzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_requirezd2tailczd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_registersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_pregistersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_boundzd2checkzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_typezd2checkzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1119z00_2079)))->BgL_typedzd2funcallzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				{	/* BackEnd/c.scm 76 */
					obj_t BgL_fun1582z00_2080;

					BgL_fun1582z00_2080 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_sawcz00zzbackend_cvmz00);
					PROCEDURE_ENTRY(BgL_fun1582z00_2080) (BgL_fun1582z00_2080,
						((obj_t) BgL_new1119z00_2079), BEOA);
				}
				return ((obj_t) BgL_new1119z00_2079);
			}
		}

	}



/* &build-sawc-backend */
	obj_t BGl_z62buildzd2sawczd2backendz62zzbackend_cz00(obj_t BgL_envz00_3447)
	{
		{	/* BackEnd/c.scm 75 */
			return BGl_buildzd2sawczd2backendz00zzbackend_cz00();
		}

	}



/* build-cgen-backend */
	BGL_EXPORTED_DEF obj_t BGl_buildzd2cgenzd2backendz00zzbackend_cz00()
	{
		{	/* BackEnd/c.scm 86 */
			{	/* BackEnd/c.scm 87 */
				BgL_cgenz00_bglt BgL_new1121z00_2083;

				{	/* BackEnd/c.scm 88 */
					BgL_cgenz00_bglt BgL_new1120z00_2085;

					BgL_new1120z00_2085 =
						((BgL_cgenz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_cgenz00_bgl))));
					{	/* BackEnd/c.scm 88 */
						long BgL_arg1585z00_2086;

						BgL_arg1585z00_2086 = BGL_CLASS_NUM(BGl_cgenz00zzbackend_cvmz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1120z00_2085), BgL_arg1585z00_2086);
					}
					BgL_new1121z00_2083 = BgL_new1120z00_2085;
				}
				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_new1121z00_2083)))->
						BgL_languagez00) = ((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_srfi0z00) =
					((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_namez00) =
					((obj_t) BGl_string2025z00zzbackend_cz00), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_externzd2variableszd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_externzd2functionszd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_externzd2typeszd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_variablesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_functionsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_typesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_typedz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_heapzd2suffixzd2) =
					((obj_t) BGl_string2026z00zzbackend_cz00), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_heapzd2compatiblezd2) =
					((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_callccz00) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_qualifiedzd2typeszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_effectzb2zb2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_removezd2emptyzd2letz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_foreignzd2closurezd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_typedzd2eqzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_tracezd2supportzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_foreignzd2clausezd2supportz00) =
					((obj_t) CNST_TABLE_REF(((long) 3))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_debugzd2supportzd2) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_pragmazd2supportzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_requirezd2tailczd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_registersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_pregistersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_boundzd2checkzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_typezd2checkzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2083)))->BgL_typedzd2funcallzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				{	/* BackEnd/c.scm 87 */
					obj_t BgL_fun1584z00_2084;

					BgL_fun1584z00_2084 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_cgenz00zzbackend_cvmz00);
					PROCEDURE_ENTRY(BgL_fun1584z00_2084) (BgL_fun1584z00_2084,
						((obj_t) BgL_new1121z00_2083), BEOA);
				}
				return ((obj_t) BgL_new1121z00_2083);
			}
		}

	}



/* &build-cgen-backend */
	obj_t BGl_z62buildzd2cgenzd2backendz62zzbackend_cz00(obj_t BgL_envz00_3446)
	{
		{	/* BackEnd/c.scm 86 */
			return BGl_buildzd2cgenzd2backendz00zzbackend_cz00();
		}

	}



/* c-walk */
	obj_t BGl_czd2walkzd2zzbackend_cz00(BgL_cvmz00_bglt BgL_mez00_28)
	{
		{	/* BackEnd/c.scm 113 */
			{	/* BackEnd/c.scm 114 */
				obj_t BgL_arg1586z00_2087;

				{	/* BackEnd/c.scm 114 */
					bool_t BgL_test2125z00_3897;

					{	/* BackEnd/c.scm 114 */
						obj_t BgL_classz00_2902;

						BgL_classz00_2902 = BGl_sawcz00zzbackend_cvmz00;
						{	/* BackEnd/c.scm 114 */
							BgL_objectz00_bglt BgL_arg1825z00_2904;

							{	/* BackEnd/c.scm 114 */
								obj_t BgL_tmpz00_3898;

								BgL_tmpz00_3898 = ((obj_t) BgL_mez00_28);
								BgL_arg1825z00_2904 = (BgL_objectz00_bglt) (BgL_tmpz00_3898);
							}
							{	/* BackEnd/c.scm 114 */
								bool_t BgL_arg1822z00_2907;
								bool_t BgL_arg1823z00_2908;

								{	/* BackEnd/c.scm 114 */
									long BgL_idxz00_2911;

									BgL_idxz00_2911 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2904);
									BgL_arg1822z00_2907 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2911 + ((long) 3))) == BgL_classz00_2902);
								}
								{	/* BackEnd/c.scm 114 */
									bool_t BgL_res1997z00_2933;

									{	/* BackEnd/c.scm 114 */
										obj_t BgL_oclassz00_2919;

										{	/* BackEnd/c.scm 114 */
											long BgL_arg1833z00_2925;

											{	/* BackEnd/c.scm 114 */
												long BgL_arg1834z00_2926;

												BgL_arg1834z00_2926 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2904);
												BgL_arg1833z00_2925 =
													(BgL_arg1834z00_2926 - OBJECT_TYPE);
											}
											BgL_oclassz00_2919 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2925);
										}
										{	/* BackEnd/c.scm 114 */
											bool_t BgL__ortest_1110z00_2920;

											BgL__ortest_1110z00_2920 =
												(BgL_classz00_2902 == BgL_oclassz00_2919);
											if (BgL__ortest_1110z00_2920)
												{	/* BackEnd/c.scm 114 */
													BgL_res1997z00_2933 = BgL__ortest_1110z00_2920;
												}
											else
												{	/* BackEnd/c.scm 114 */
													long BgL_odepthz00_2921;

													BgL_odepthz00_2921 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2919);
													if ((((long) 3) < BgL_odepthz00_2921))
														{	/* BackEnd/c.scm 114 */
															obj_t BgL_arg1821z00_2923;

															BgL_arg1821z00_2923 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2919,
																((long) 3));
															BgL_res1997z00_2933 =
																(BgL_arg1821z00_2923 == BgL_classz00_2902);
														}
													else
														{	/* BackEnd/c.scm 114 */
															BgL_res1997z00_2933 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2908 = BgL_res1997z00_2933;
								}
								BgL_test2125z00_3897 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2907, BgL_arg1823z00_2908);
							}
						}
					}
					if (BgL_test2125z00_3897)
						{	/* BackEnd/c.scm 114 */
							BgL_arg1586z00_2087 = BGl_string2027z00zzbackend_cz00;
						}
					else
						{	/* BackEnd/c.scm 114 */
							BgL_arg1586z00_2087 = BGl_string2028z00zzbackend_cz00;
						}
				}
				{	/* BackEnd/c.scm 114 */
					obj_t BgL_list1587z00_2088;

					{	/* BackEnd/c.scm 114 */
						obj_t BgL_arg1588z00_2089;

						{	/* BackEnd/c.scm 114 */
							obj_t BgL_arg1595z00_2090;

							BgL_arg1595z00_2090 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1588z00_2089 =
								MAKE_YOUNG_PAIR(BgL_arg1586z00_2087, BgL_arg1595z00_2090);
						}
						BgL_list1587z00_2088 =
							MAKE_YOUNG_PAIR(BGl_string2029z00zzbackend_cz00,
							BgL_arg1588z00_2089);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
						BgL_list1587z00_2088);
			}}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			{	/* BackEnd/c.scm 114 */
				bool_t BgL_test2128z00_3923;

				{	/* BackEnd/c.scm 114 */
					obj_t BgL_classz00_2934;

					BgL_classz00_2934 = BGl_sawcz00zzbackend_cvmz00;
					{	/* BackEnd/c.scm 114 */
						BgL_objectz00_bglt BgL_arg1825z00_2936;

						{	/* BackEnd/c.scm 114 */
							obj_t BgL_tmpz00_3924;

							BgL_tmpz00_3924 = ((obj_t) BgL_mez00_28);
							BgL_arg1825z00_2936 = (BgL_objectz00_bglt) (BgL_tmpz00_3924);
						}
						{	/* BackEnd/c.scm 114 */
							bool_t BgL_arg1822z00_2939;
							bool_t BgL_arg1823z00_2940;

							{	/* BackEnd/c.scm 114 */
								long BgL_idxz00_2943;

								BgL_idxz00_2943 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2936);
								BgL_arg1822z00_2939 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2943 + ((long) 3))) == BgL_classz00_2934);
							}
							{	/* BackEnd/c.scm 114 */
								bool_t BgL_res1998z00_2965;

								{	/* BackEnd/c.scm 114 */
									obj_t BgL_oclassz00_2951;

									{	/* BackEnd/c.scm 114 */
										long BgL_arg1833z00_2957;

										{	/* BackEnd/c.scm 114 */
											long BgL_arg1834z00_2958;

											BgL_arg1834z00_2958 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2936);
											BgL_arg1833z00_2957 = (BgL_arg1834z00_2958 - OBJECT_TYPE);
										}
										BgL_oclassz00_2951 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_2957);
									}
									{	/* BackEnd/c.scm 114 */
										bool_t BgL__ortest_1110z00_2952;

										BgL__ortest_1110z00_2952 =
											(BgL_classz00_2934 == BgL_oclassz00_2951);
										if (BgL__ortest_1110z00_2952)
											{	/* BackEnd/c.scm 114 */
												BgL_res1998z00_2965 = BgL__ortest_1110z00_2952;
											}
										else
											{	/* BackEnd/c.scm 114 */
												long BgL_odepthz00_2953;

												BgL_odepthz00_2953 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2951);
												if ((((long) 3) < BgL_odepthz00_2953))
													{	/* BackEnd/c.scm 114 */
														obj_t BgL_arg1821z00_2955;

														BgL_arg1821z00_2955 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2951,
															((long) 3));
														BgL_res1998z00_2965 =
															(BgL_arg1821z00_2955 == BgL_classz00_2934);
													}
												else
													{	/* BackEnd/c.scm 114 */
														BgL_res1998z00_2965 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_2940 = BgL_res1998z00_2965;
							}
							BgL_test2128z00_3923 =
								BGL_ISA_C_BACKEND(BgL_arg1822z00_2939, BgL_arg1823z00_2940);
						}
					}
				}
				if (BgL_test2128z00_3923)
					{	/* BackEnd/c.scm 114 */
						BGl_za2currentzd2passza2zd2zzengine_passz00 =
							BGl_string2027z00zzbackend_cz00;
					}
				else
					{	/* BackEnd/c.scm 114 */
						BGl_za2currentzd2passza2zd2zzengine_passz00 =
							BGl_string2028z00zzbackend_cz00;
					}
			}
			{	/* BackEnd/c.scm 114 */
				obj_t BgL_g1124z00_2093;
				obj_t BgL_g1125z00_2094;

				{	/* BackEnd/c.scm 114 */
					obj_t BgL_list1613z00_2110;

					BgL_list1613z00_2110 =
						MAKE_YOUNG_PAIR(BGl_proc2030z00zzbackend_cz00, BNIL);
					BgL_g1124z00_2093 = BgL_list1613z00_2110;
				}
				BgL_g1125z00_2094 = CNST_TABLE_REF(((long) 6));
				{
					obj_t BgL_hooksz00_2096;
					obj_t BgL_hnamesz00_2097;

					BgL_hooksz00_2096 = BgL_g1124z00_2093;
					BgL_hnamesz00_2097 = BgL_g1125z00_2094;
				BgL_zc3z04anonymousza31597ze3z87_2098:
					if (NULLP(BgL_hooksz00_2096))
						{	/* BackEnd/c.scm 114 */
							CNST_TABLE_REF(((long) 7));
						}
					else
						{	/* BackEnd/c.scm 114 */
							bool_t BgL_test2132z00_3947;

							{	/* BackEnd/c.scm 114 */
								obj_t BgL_fun1607z00_2107;

								BgL_fun1607z00_2107 = CAR(((obj_t) BgL_hooksz00_2096));
								BgL_test2132z00_3947 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1607z00_2107)
									(BgL_fun1607z00_2107, BEOA));
							}
							if (BgL_test2132z00_3947)
								{	/* BackEnd/c.scm 114 */
									obj_t BgL_arg1602z00_2102;
									obj_t BgL_arg1603z00_2103;

									BgL_arg1602z00_2102 = CDR(((obj_t) BgL_hooksz00_2096));
									BgL_arg1603z00_2103 = CDR(((obj_t) BgL_hnamesz00_2097));
									{
										obj_t BgL_hnamesz00_3959;
										obj_t BgL_hooksz00_3958;

										BgL_hooksz00_3958 = BgL_arg1602z00_2102;
										BgL_hnamesz00_3959 = BgL_arg1603z00_2103;
										BgL_hnamesz00_2097 = BgL_hnamesz00_3959;
										BgL_hooksz00_2096 = BgL_hooksz00_3958;
										goto BgL_zc3z04anonymousza31597ze3z87_2098;
									}
								}
							else
								{	/* BackEnd/c.scm 114 */
									obj_t BgL_arg1604z00_2104;
									obj_t BgL_arg1606z00_2105;

									{	/* BackEnd/c.scm 114 */
										bool_t BgL_test2133z00_3960;

										{	/* BackEnd/c.scm 114 */
											obj_t BgL_classz00_2970;

											BgL_classz00_2970 = BGl_sawcz00zzbackend_cvmz00;
											{	/* BackEnd/c.scm 114 */
												BgL_objectz00_bglt BgL_arg1825z00_2972;

												{	/* BackEnd/c.scm 114 */
													obj_t BgL_tmpz00_3961;

													BgL_tmpz00_3961 = ((obj_t) BgL_mez00_28);
													BgL_arg1825z00_2972 =
														(BgL_objectz00_bglt) (BgL_tmpz00_3961);
												}
												{	/* BackEnd/c.scm 114 */
													bool_t BgL_arg1822z00_2975;
													bool_t BgL_arg1823z00_2976;

													{	/* BackEnd/c.scm 114 */
														long BgL_idxz00_2979;

														BgL_idxz00_2979 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2972);
														BgL_arg1822z00_2975 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2979 + ((long) 3))) ==
															BgL_classz00_2970);
													}
													{	/* BackEnd/c.scm 114 */
														bool_t BgL_res2000z00_3001;

														{	/* BackEnd/c.scm 114 */
															obj_t BgL_oclassz00_2987;

															{	/* BackEnd/c.scm 114 */
																long BgL_arg1833z00_2993;

																{	/* BackEnd/c.scm 114 */
																	long BgL_arg1834z00_2994;

																	BgL_arg1834z00_2994 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2972);
																	BgL_arg1833z00_2993 =
																		(BgL_arg1834z00_2994 - OBJECT_TYPE);
																}
																BgL_oclassz00_2987 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2993);
															}
															{	/* BackEnd/c.scm 114 */
																bool_t BgL__ortest_1110z00_2988;

																BgL__ortest_1110z00_2988 =
																	(BgL_classz00_2970 == BgL_oclassz00_2987);
																if (BgL__ortest_1110z00_2988)
																	{	/* BackEnd/c.scm 114 */
																		BgL_res2000z00_3001 =
																			BgL__ortest_1110z00_2988;
																	}
																else
																	{	/* BackEnd/c.scm 114 */
																		long BgL_odepthz00_2989;

																		BgL_odepthz00_2989 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2987);
																		if ((((long) 3) < BgL_odepthz00_2989))
																			{	/* BackEnd/c.scm 114 */
																				obj_t BgL_arg1821z00_2991;

																				BgL_arg1821z00_2991 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2987, ((long) 3));
																				BgL_res2000z00_3001 =
																					(BgL_arg1821z00_2991 ==
																					BgL_classz00_2970);
																			}
																		else
																			{	/* BackEnd/c.scm 114 */
																				BgL_res2000z00_3001 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2976 = BgL_res2000z00_3001;
													}
													BgL_test2133z00_3960 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2975,
														BgL_arg1823z00_2976);
												}
											}
										}
										if (BgL_test2133z00_3960)
											{	/* BackEnd/c.scm 114 */
												BgL_arg1604z00_2104 = BGl_string2027z00zzbackend_cz00;
											}
										else
											{	/* BackEnd/c.scm 114 */
												BgL_arg1604z00_2104 = BGl_string2028z00zzbackend_cz00;
											}
									}
									BgL_arg1606z00_2105 = CAR(((obj_t) BgL_hnamesz00_2097));
									BGl_internalzd2errorzd2zztools_errorz00(BgL_arg1604z00_2104,
										BGl_string2031z00zzbackend_cz00, BgL_arg1606z00_2105);
								}
						}
				}
			}
			BGl_emitzd2headerzd2zzbackend_c_emitz00();
			BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00();
			{	/* BackEnd/c.scm 124 */
				bool_t BgL_test2136z00_3984;

				if (
					((long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >
						((long) 0)))
					{	/* BackEnd/c.scm 124 */
						BgL_test2136z00_3984 = ((bool_t) 1);
					}
				else
					{	/* BackEnd/c.scm 124 */
						BgL_test2136z00_3984 =
							CBOOL(BGl_za2czd2debugza2zd2zzengine_paramz00);
					}
				if (BgL_test2136z00_3984)
					{	/* BackEnd/c.scm 124 */
						BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00();
					}
				else
					{	/* BackEnd/c.scm 124 */
						BFALSE;
					}
			}
			if (CBOOL(BGl_za2unsafezd2libraryza2zd2zzengine_paramz00))
				{	/* BackEnd/c.scm 128 */
					BGl_emitzd2unsafezd2activationz00zzbackend_c_emitz00();
				}
			else
				{	/* BackEnd/c.scm 128 */
					BFALSE;
				}
			BGl_emitzd2tracezd2activationz00zzbackend_c_emitz00();
			BGl_emitzd2includezd2zzbackend_c_emitz00();
			if (PAIRP(BGl_za2czd2userzd2headerza2z00zzengine_paramz00))
				{	/* BackEnd/c.scm 138 */
					{	/* BackEnd/c.scm 139 */
						obj_t BgL_port1497z00_2117;

						BgL_port1497z00_2117 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
						{	/* BackEnd/c.scm 139 */
							obj_t BgL_tmpz00_3997;

							BgL_tmpz00_3997 = ((obj_t) BgL_port1497z00_2117);
							bgl_display_string(BGl_string2032z00zzbackend_cz00,
								BgL_tmpz00_3997);
						}
						{	/* BackEnd/c.scm 139 */
							obj_t BgL_tmpz00_4000;

							BgL_tmpz00_4000 = ((obj_t) BgL_port1497z00_2117);
							bgl_display_char(((unsigned char) 10), BgL_tmpz00_4000);
					}}
					{
						obj_t BgL_l1499z00_2119;

						BgL_l1499z00_2119 = BGl_za2czd2userzd2headerza2z00zzengine_paramz00;
					BgL_zc3z04anonymousza31618ze3z87_2120:
						if (PAIRP(BgL_l1499z00_2119))
							{	/* BackEnd/c.scm 140 */
								{	/* BackEnd/c.scm 140 */
									obj_t BgL_hz00_2122;

									BgL_hz00_2122 = CAR(BgL_l1499z00_2119);
									{	/* BackEnd/c.scm 140 */
										obj_t BgL_port1498z00_2123;

										BgL_port1498z00_2123 =
											BGl_za2czd2portza2zd2zzbackend_c_emitz00;
										bgl_display_obj(BgL_hz00_2122, BgL_port1498z00_2123);
										{	/* BackEnd/c.scm 140 */
											obj_t BgL_tmpz00_4007;

											BgL_tmpz00_4007 = ((obj_t) BgL_port1498z00_2123);
											bgl_display_char(((unsigned char) 10), BgL_tmpz00_4007);
								}}}
								{
									obj_t BgL_l1499z00_4010;

									BgL_l1499z00_4010 = CDR(BgL_l1499z00_2119);
									BgL_l1499z00_2119 = BgL_l1499z00_4010;
									goto BgL_zc3z04anonymousza31618ze3z87_2120;
								}
							}
						else
							{	/* BackEnd/c.scm 140 */
								((bool_t) 1);
							}
					}
				}
			else
				{	/* BackEnd/c.scm 138 */
					((bool_t) 0);
				}
			{	/* BackEnd/c.scm 143 */
				obj_t BgL_port1501z00_2126;

				BgL_port1501z00_2126 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c.scm 143 */
					obj_t BgL_tmpz00_4012;

					BgL_tmpz00_4012 = ((obj_t) BgL_port1501z00_2126);
					bgl_display_string(BGl_string2033z00zzbackend_cz00, BgL_tmpz00_4012);
				}
				{	/* BackEnd/c.scm 143 */
					obj_t BgL_tmpz00_4015;

					BgL_tmpz00_4015 = ((obj_t) BgL_port1501z00_2126);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_4015);
			}}
			{	/* BackEnd/c.scm 144 */
				obj_t BgL_port1502z00_2127;

				BgL_port1502z00_2127 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c.scm 144 */
					obj_t BgL_tmpz00_4018;

					BgL_tmpz00_4018 = ((obj_t) BgL_port1502z00_2127);
					bgl_display_string(BGl_string2034z00zzbackend_cz00, BgL_tmpz00_4018);
				}
				{	/* BackEnd/c.scm 144 */
					obj_t BgL_tmpz00_4021;

					BgL_tmpz00_4021 = ((obj_t) BgL_port1502z00_2127);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_4021);
			}}
			{	/* BackEnd/c.scm 145 */
				obj_t BgL_port1503z00_2128;

				BgL_port1503z00_2128 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c.scm 145 */
					obj_t BgL_tmpz00_4024;

					BgL_tmpz00_4024 = ((obj_t) BgL_port1503z00_2128);
					bgl_display_string(BGl_string2035z00zzbackend_cz00, BgL_tmpz00_4024);
				}
				{	/* BackEnd/c.scm 145 */
					obj_t BgL_tmpz00_4027;

					BgL_tmpz00_4027 = ((obj_t) BgL_port1503z00_2128);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_4027);
			}}
			BGl_forzd2eachzd2typez12z12zztype_envz00(BGl_proc2036z00zzbackend_cz00);
			BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc2037z00zzbackend_cz00,
				BNIL);
			{	/* BackEnd/c.scm 167 */
				bool_t BgL_fixpointz00_2163;

				BgL_fixpointz00_2163 = ((bool_t) 0);
				{

					if (BgL_fixpointz00_2163)
						{	/* BackEnd/c.scm 169 */
							((bool_t) 0);
						}
					else
						{	/* BackEnd/c.scm 169 */
							BgL_fixpointz00_2163 = ((bool_t) 1);
							{	/* BackEnd/c.scm 171 */
								obj_t BgL_g1512z00_2166;

								BgL_g1512z00_2166 =
									BGl_getzd2classzd2listz00zzobject_classz00();
								{
									obj_t BgL_l1510z00_2168;

									BgL_l1510z00_2168 = BgL_g1512z00_2166;
								BgL_zc3z04anonymousza31684ze3z87_2169:
									if (PAIRP(BgL_l1510z00_2168))
										{	/* BackEnd/c.scm 180 */
											{	/* BackEnd/c.scm 172 */
												BgL_typez00_bglt BgL_tz00_2171;

												BgL_tz00_2171 =
													((BgL_typez00_bglt) CAR(BgL_l1510z00_2168));
												if (
													((long) (
															(((BgL_typez00_bglt) COBJECT(
																		((BgL_typez00_bglt) BgL_tz00_2171)))->
																BgL_occurrencez00)) > ((long) 0)))
													{	/* BackEnd/c.scm 174 */
														obj_t BgL_g1509z00_2175;

														{
															BgL_tclassz00_bglt BgL_auxz00_4043;

															{
																obj_t BgL_auxz00_4044;

																{	/* BackEnd/c.scm 174 */
																	BgL_objectz00_bglt BgL_tmpz00_4045;

																	BgL_tmpz00_4045 =
																		((BgL_objectz00_bglt) BgL_tz00_2171);
																	BgL_auxz00_4044 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4045);
																}
																BgL_auxz00_4043 =
																	((BgL_tclassz00_bglt) BgL_auxz00_4044);
															}
															BgL_g1509z00_2175 =
																(((BgL_tclassz00_bglt)
																	COBJECT(BgL_auxz00_4043))->BgL_slotsz00);
														}
														{
															obj_t BgL_l1507z00_2177;

															BgL_l1507z00_2177 = BgL_g1509z00_2175;
														BgL_zc3z04anonymousza31696ze3z87_2178:
															if (PAIRP(BgL_l1507z00_2177))
																{	/* BackEnd/c.scm 174 */
																	{	/* BackEnd/c.scm 175 */
																		BgL_slotz00_bglt BgL_tz00_2180;

																		BgL_tz00_2180 =
																			((BgL_slotz00_bglt)
																			CAR(BgL_l1507z00_2177));
																		if (
																			((long) (
																					(((BgL_typez00_bglt) COBJECT(
																								((BgL_typez00_bglt)
																									(((BgL_slotz00_bglt)
																											COBJECT(BgL_tz00_2180))->
																										BgL_typez00))))->
																						BgL_occurrencez00)) == ((long) 0)))
																			{	/* BackEnd/c.scm 176 */
																				{	/* BackEnd/c.scm 177 */
																					obj_t BgL_arg1706z00_2185;

																					BgL_arg1706z00_2185 =
																						(((BgL_slotz00_bglt)
																							COBJECT(BgL_tz00_2180))->
																						BgL_typez00);
																					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
																						(((BgL_typez00_bglt)
																							BgL_arg1706z00_2185));
																				}
																				BgL_fixpointz00_2163 = ((bool_t) 0);
																			}
																		else
																			{	/* BackEnd/c.scm 176 */
																				BFALSE;
																			}
																	}
																	{
																		obj_t BgL_l1507z00_4063;

																		BgL_l1507z00_4063 = CDR(BgL_l1507z00_2177);
																		BgL_l1507z00_2177 = BgL_l1507z00_4063;
																		goto BgL_zc3z04anonymousza31696ze3z87_2178;
																	}
																}
															else
																{	/* BackEnd/c.scm 174 */
																	((bool_t) 1);
																}
														}
													}
												else
													{	/* BackEnd/c.scm 172 */
														((bool_t) 0);
													}
											}
											{
												obj_t BgL_l1510z00_4065;

												BgL_l1510z00_4065 = CDR(BgL_l1510z00_2168);
												BgL_l1510z00_2168 = BgL_l1510z00_4065;
												goto BgL_zc3z04anonymousza31684ze3z87_2169;
											}
										}
									else
										{	/* BackEnd/c.scm 180 */
											((bool_t) 1);
										}
								}
							}
						}
				}
			}
			{	/* BackEnd/c.scm 181 */
				obj_t BgL_classesz00_2194;

				{	/* BackEnd/c.scm 181 */
					obj_t BgL_hook1517z00_2195;

					BgL_hook1517z00_2195 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
					{	/* BackEnd/c.scm 183 */
						obj_t BgL_g1518z00_2196;

						BgL_g1518z00_2196 = BGl_getzd2classzd2listz00zzobject_classz00();
						{
							obj_t BgL_l1514z00_2198;
							obj_t BgL_h1515z00_2199;

							BgL_l1514z00_2198 = BgL_g1518z00_2196;
							BgL_h1515z00_2199 = BgL_hook1517z00_2195;
						BgL_zc3z04anonymousza31716ze3z87_2200:
							if (NULLP(BgL_l1514z00_2198))
								{	/* BackEnd/c.scm 183 */
									BgL_classesz00_2194 = CDR(BgL_hook1517z00_2195);
								}
							else
								{	/* BackEnd/c.scm 183 */
									if (
										((long) (
												(((BgL_typez00_bglt) COBJECT(
															((BgL_typez00_bglt)
																CAR(
																	((obj_t) BgL_l1514z00_2198)))))->
													BgL_occurrencez00)) > ((long) 0)))
										{	/* BackEnd/c.scm 183 */
											obj_t BgL_nh1516z00_2205;

											{	/* BackEnd/c.scm 183 */
												obj_t BgL_arg1725z00_2207;

												BgL_arg1725z00_2207 = CAR(((obj_t) BgL_l1514z00_2198));
												BgL_nh1516z00_2205 =
													MAKE_YOUNG_PAIR(BgL_arg1725z00_2207, BNIL);
											}
											SET_CDR(BgL_h1515z00_2199, BgL_nh1516z00_2205);
											{	/* BackEnd/c.scm 183 */
												obj_t BgL_arg1723z00_2206;

												BgL_arg1723z00_2206 = CDR(((obj_t) BgL_l1514z00_2198));
												{
													obj_t BgL_h1515z00_4086;
													obj_t BgL_l1514z00_4085;

													BgL_l1514z00_4085 = BgL_arg1723z00_2206;
													BgL_h1515z00_4086 = BgL_nh1516z00_2205;
													BgL_h1515z00_2199 = BgL_h1515z00_4086;
													BgL_l1514z00_2198 = BgL_l1514z00_4085;
													goto BgL_zc3z04anonymousza31716ze3z87_2200;
												}
											}
										}
									else
										{	/* BackEnd/c.scm 183 */
											obj_t BgL_arg1726z00_2208;

											BgL_arg1726z00_2208 = CDR(((obj_t) BgL_l1514z00_2198));
											{
												obj_t BgL_l1514z00_4089;

												BgL_l1514z00_4089 = BgL_arg1726z00_2208;
												BgL_l1514z00_2198 = BgL_l1514z00_4089;
												goto BgL_zc3z04anonymousza31716ze3z87_2200;
											}
										}
								}
						}
					}
				}
				BGl_emitzd2classzd2typesz00zzbackend_c_prototypez00(BgL_classesz00_2194,
					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			}
			BGl_emitzd2prototypeszd2zzbackend_c_prototypez00();
			BGl_emitzd2cnstszd2zzbackend_c_prototypez00();
			if (CBOOL(BGl_za2gczd2forcezd2registerzd2rootszf3za2z21zzengine_paramz00))
				{	/* BackEnd/c.scm 193 */
					BGl_gczd2rootszd2emitz00zzcc_rootsz00
						(BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				}
			else
				{	/* BackEnd/c.scm 193 */
					BFALSE;
				}
			{	/* BackEnd/c.scm 196 */
				obj_t BgL_globalsz00_2212;

				BgL_globalsz00_2212 =
					(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_mez00_28)))->BgL_functionsz00);
				if (
					((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) > ((long) 0)))
					{	/* BackEnd/c.scm 200 */
						BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(BgL_globalsz00_2212,
							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					}
				else
					{	/* BackEnd/c.scm 200 */
						BFALSE;
					}
				if (
					((long) CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00) >
						((long) 0)))
					{	/* BackEnd/c.scm 204 */
						BGl_emitzd2profzd2infoz00zzprof_emitz00(BgL_globalsz00_2212,
							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					}
				else
					{	/* BackEnd/c.scm 204 */
						BFALSE;
					}
				{	/* BackEnd/c.scm 208 */
					bool_t BgL_test2151z00_4106;

					{	/* BackEnd/c.scm 208 */
						bool_t BgL_test2152z00_4107;

						if (CBOOL(BGl_za2mainza2z00zzmodule_modulez00))
							{	/* BackEnd/c.scm 208 */
								BgL_test2152z00_4107 = ((bool_t) 1);
							}
						else
							{	/* BackEnd/c.scm 208 */
								BgL_test2152z00_4107 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BGl_za2passza2z00zzengine_paramz00,
										CNST_TABLE_REF(((long) 8))));
							}
						if (BgL_test2152z00_4107)
							{	/* BackEnd/c.scm 208 */
								if (
									(BGl_za2mainza2z00zzmodule_modulez00 ==
										CNST_TABLE_REF(((long) 9))))
									{	/* BackEnd/c.scm 209 */
										BgL_test2151z00_4106 = ((bool_t) 0);
									}
								else
									{	/* BackEnd/c.scm 209 */
										BgL_test2151z00_4106 = ((bool_t) 1);
									}
							}
						else
							{	/* BackEnd/c.scm 208 */
								BgL_test2151z00_4106 = ((bool_t) 0);
							}
					}
					if (BgL_test2151z00_4106)
						{	/* BackEnd/c.scm 208 */
							BGl_emitzd2mainzd2zzbackend_c_emitz00();
						}
					else
						{	/* BackEnd/c.scm 208 */
							BFALSE;
						}
				}
				{	/* BackEnd/c.scm 213 */
					obj_t BgL_modzd2initzd2_2220;

					BgL_modzd2initzd2_2220 =
						BGl_getzd2modulezd2initz00zzbackend_initz00();
					{	/* BackEnd/c.scm 214 */
						bool_t BgL_test2155z00_4118;

						if (CBOOL(BGl_bigloozd2configzd2zz__configurez00(CNST_TABLE_REF((
											(long) 10)))))
							{	/* BackEnd/c.scm 215 */
								obj_t BgL_classz00_3148;

								BgL_classz00_3148 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_modzd2initzd2_2220))
									{	/* BackEnd/c.scm 215 */
										BgL_objectz00_bglt BgL_arg1825z00_3150;

										BgL_arg1825z00_3150 =
											(BgL_objectz00_bglt) (BgL_modzd2initzd2_2220);
										{	/* BackEnd/c.scm 215 */
											bool_t BgL_arg1822z00_3153;
											bool_t BgL_arg1823z00_3154;

											{	/* BackEnd/c.scm 215 */
												long BgL_idxz00_3157;

												BgL_idxz00_3157 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3150);
												BgL_arg1822z00_3153 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3157 + ((long) 2))) ==
													BgL_classz00_3148);
											}
											{	/* BackEnd/c.scm 215 */
												bool_t BgL_res2004z00_3179;

												{	/* BackEnd/c.scm 215 */
													obj_t BgL_oclassz00_3165;

													{	/* BackEnd/c.scm 215 */
														long BgL_arg1833z00_3171;

														{	/* BackEnd/c.scm 215 */
															long BgL_arg1834z00_3172;

															BgL_arg1834z00_3172 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3150);
															BgL_arg1833z00_3171 =
																(BgL_arg1834z00_3172 - OBJECT_TYPE);
														}
														BgL_oclassz00_3165 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_3171);
													}
													{	/* BackEnd/c.scm 215 */
														bool_t BgL__ortest_1110z00_3166;

														BgL__ortest_1110z00_3166 =
															(BgL_classz00_3148 == BgL_oclassz00_3165);
														if (BgL__ortest_1110z00_3166)
															{	/* BackEnd/c.scm 215 */
																BgL_res2004z00_3179 = BgL__ortest_1110z00_3166;
															}
														else
															{	/* BackEnd/c.scm 215 */
																long BgL_odepthz00_3167;

																BgL_odepthz00_3167 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3165);
																if ((((long) 2) < BgL_odepthz00_3167))
																	{	/* BackEnd/c.scm 215 */
																		obj_t BgL_arg1821z00_3169;

																		BgL_arg1821z00_3169 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3165, ((long) 2));
																		BgL_res2004z00_3179 =
																			(BgL_arg1821z00_3169 ==
																			BgL_classz00_3148);
																	}
																else
																	{	/* BackEnd/c.scm 215 */
																		BgL_res2004z00_3179 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_3154 = BgL_res2004z00_3179;
											}
											BgL_test2155z00_4118 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_3153,
												BgL_arg1823z00_3154);
										}
									}
								else
									{	/* BackEnd/c.scm 215 */
										BgL_test2155z00_4118 = ((bool_t) 0);
									}
							}
						else
							{	/* BackEnd/c.scm 214 */
								BgL_test2155z00_4118 = ((bool_t) 0);
							}
						if (BgL_test2155z00_4118)
							{	/* BackEnd/c.scm 214 */
								if (SYMBOLP(BGl_za2dlopenzd2initza2zd2zzengine_paramz00))
									{	/* BackEnd/c.scm 218 */
										obj_t BgL_arg1739z00_2224;

										{	/* BackEnd/c.scm 218 */
											obj_t BgL_symbolz00_3181;

											BgL_symbolz00_3181 =
												BGl_za2dlopenzd2initza2zd2zzengine_paramz00;
											{	/* BackEnd/c.scm 218 */
												obj_t BgL_arg1463z00_3182;

												BgL_arg1463z00_3182 =
													SYMBOL_TO_STRING(BgL_symbolz00_3181);
												BgL_arg1739z00_2224 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1463z00_3182);
											}
										}
										BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(
											((BgL_globalz00_bglt) BgL_modzd2initzd2_2220),
											BgL_arg1739z00_2224);
									}
								else
									{	/* BackEnd/c.scm 217 */
										if (STRINGP(BGl_za2dlopenzd2initza2zd2zzengine_paramz00))
											{	/* BackEnd/c.scm 219 */
												BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(
													((BgL_globalz00_bglt) BgL_modzd2initzd2_2220),
													BGl_za2dlopenzd2initza2zd2zzengine_paramz00);
											}
										else
											{	/* BackEnd/c.scm 219 */
												if (CBOOL(BGl_za2dlopenzd2initza2zd2zzengine_paramz00))
													{	/* BackEnd/c.scm 221 */
														BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(
															((BgL_globalz00_bglt) BgL_modzd2initzd2_2220),
															string_to_bstring(BGL_DYNAMIC_LOAD_INIT));
													}
												else
													{	/* BackEnd/c.scm 221 */
														BUNSPEC;
													}
											}
									}
							}
						else
							{	/* BackEnd/c.scm 214 */
								BFALSE;
							}
					}
				}
				BGl_backendzd2compilezd2functionsz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_mez00_28));
				{	/* BackEnd/c.scm 229 */
					obj_t BgL_port1519z00_2227;

					BgL_port1519z00_2227 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c.scm 229 */
						obj_t BgL_tmpz00_4158;

						BgL_tmpz00_4158 = ((obj_t) BgL_port1519z00_2227);
						bgl_display_string(BGl_string2033z00zzbackend_cz00,
							BgL_tmpz00_4158);
					}
					{	/* BackEnd/c.scm 229 */
						obj_t BgL_tmpz00_4161;

						BgL_tmpz00_4161 = ((obj_t) BgL_port1519z00_2227);
						bgl_display_char(((unsigned char) 10), BgL_tmpz00_4161);
				}}
				{	/* BackEnd/c.scm 230 */
					obj_t BgL_port1520z00_2228;

					BgL_port1520z00_2228 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c.scm 230 */
						obj_t BgL_tmpz00_4164;

						BgL_tmpz00_4164 = ((obj_t) BgL_port1520z00_2228);
						bgl_display_string(BGl_string2038z00zzbackend_cz00,
							BgL_tmpz00_4164);
					}
					{	/* BackEnd/c.scm 230 */
						obj_t BgL_tmpz00_4167;

						BgL_tmpz00_4167 = ((obj_t) BgL_port1520z00_2228);
						bgl_display_char(((unsigned char) 10), BgL_tmpz00_4167);
				}}
				{	/* BackEnd/c.scm 231 */
					obj_t BgL_port1521z00_2229;

					BgL_port1521z00_2229 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c.scm 231 */
						obj_t BgL_tmpz00_4170;

						BgL_tmpz00_4170 = ((obj_t) BgL_port1521z00_2229);
						bgl_display_string(BGl_string2035z00zzbackend_cz00,
							BgL_tmpz00_4170);
					}
					{	/* BackEnd/c.scm 231 */
						obj_t BgL_tmpz00_4173;

						BgL_tmpz00_4173 = ((obj_t) BgL_port1521z00_2229);
						bgl_display_char(((unsigned char) 10), BgL_tmpz00_4173);
				}}
				{
					obj_t BgL_l1523z00_2231;

					BgL_l1523z00_2231 = BGl_za2czd2userzd2footza2z00zzengine_paramz00;
				BgL_zc3z04anonymousza31741ze3z87_2232:
					if (PAIRP(BgL_l1523z00_2231))
						{	/* BackEnd/c.scm 234 */
							{	/* BackEnd/c.scm 234 */
								obj_t BgL_hz00_2234;

								BgL_hz00_2234 = CAR(BgL_l1523z00_2231);
								{	/* BackEnd/c.scm 234 */
									obj_t BgL_port1522z00_2235;

									BgL_port1522z00_2235 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									bgl_display_obj(BgL_hz00_2234, BgL_port1522z00_2235);
									{	/* BackEnd/c.scm 234 */
										obj_t BgL_tmpz00_4180;

										BgL_tmpz00_4180 = ((obj_t) BgL_port1522z00_2235);
										bgl_display_char(((unsigned char) 10), BgL_tmpz00_4180);
							}}}
							{
								obj_t BgL_l1523z00_4183;

								BgL_l1523z00_4183 = CDR(BgL_l1523z00_2231);
								BgL_l1523z00_2231 = BgL_l1523z00_4183;
								goto BgL_zc3z04anonymousza31741ze3z87_2232;
							}
						}
					else
						{	/* BackEnd/c.scm 234 */
							((bool_t) 1);
						}
				}
				return BGl_stopzd2emissionz12zc0zzbackend_c_emitz00();
			}
		}

	}



/* &<@anonymous:1638> */
	obj_t BGl_z62zc3z04anonymousza31638ze3ze5zzbackend_cz00(obj_t BgL_envz00_3451,
		obj_t BgL_globalz00_3452)
	{
		{	/* BackEnd/c.scm 151 */
			{	/* BackEnd/c.scm 153 */
				bool_t BgL_test2164z00_4186;

				{	/* BackEnd/c.scm 153 */
					bool_t BgL_test2165z00_4187;

					{	/* BackEnd/c.scm 153 */
						obj_t BgL_arg1682z00_3526;

						BgL_arg1682z00_3526 =
							(((BgL_globalz00_bglt) COBJECT(
									((BgL_globalz00_bglt) BgL_globalz00_3452)))->BgL_modulez00);
						BgL_test2165z00_4187 =
							(BgL_arg1682z00_3526 == BGl_za2moduleza2z00zzmodule_modulez00);
					}
					if (BgL_test2165z00_4187)
						{	/* BackEnd/c.scm 153 */
							BgL_test2164z00_4186 =
								(
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_3452))))->
									BgL_occurrencez00) > ((long) 0));
						}
					else
						{	/* BackEnd/c.scm 153 */
							BgL_test2164z00_4186 = ((bool_t) 0);
						}
				}
				if (BgL_test2164z00_4186)
					{	/* BackEnd/c.scm 153 */
						return
							BGl_typezd2incrementzd2globalz12z12zzast_typezd2occurzd2(
							((BgL_globalz00_bglt) BgL_globalz00_3452));
					}
				else
					{	/* BackEnd/c.scm 153 */
						if (BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(
								((BgL_globalz00_bglt) BgL_globalz00_3452)))
							{	/* BackEnd/c.scm 156 */
								BGl_typezd2incrementzd2globalz12z12zzast_typezd2occurzd2(
									((BgL_globalz00_bglt) BgL_globalz00_3452));
								{	/* BackEnd/c.scm 158 */
									BgL_typez00_bglt BgL_arg1660z00_3527;

									BgL_arg1660z00_3527 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_3452))))->
										BgL_typez00);
									BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
										(BgL_arg1660z00_3527);
								}
								{	/* BackEnd/c.scm 159 */
									bool_t BgL_test2167z00_4206;

									{	/* BackEnd/c.scm 159 */
										BgL_valuez00_bglt BgL_arg1679z00_3528;

										BgL_arg1679z00_3528 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_3452))))->
											BgL_valuez00);
										{	/* BackEnd/c.scm 159 */
											obj_t BgL_classz00_3529;

											BgL_classz00_3529 = BGl_sfunz00zzast_varz00;
											{	/* BackEnd/c.scm 159 */
												BgL_objectz00_bglt BgL_arg1825z00_3530;

												{	/* BackEnd/c.scm 159 */
													obj_t BgL_tmpz00_4210;

													BgL_tmpz00_4210 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1679z00_3528));
													BgL_arg1825z00_3530 =
														(BgL_objectz00_bglt) (BgL_tmpz00_4210);
												}
												{	/* BackEnd/c.scm 159 */
													bool_t BgL_arg1822z00_3531;
													bool_t BgL_arg1823z00_3532;

													{	/* BackEnd/c.scm 159 */
														long BgL_idxz00_3533;

														BgL_idxz00_3533 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3530);
														BgL_arg1822z00_3531 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3533 + ((long) 3))) ==
															BgL_classz00_3529);
													}
													{	/* BackEnd/c.scm 159 */
														bool_t BgL_res2001z00_3536;

														{	/* BackEnd/c.scm 159 */
															obj_t BgL_oclassz00_3537;

															{	/* BackEnd/c.scm 159 */
																long BgL_arg1833z00_3538;

																{	/* BackEnd/c.scm 159 */
																	long BgL_arg1834z00_3539;

																	BgL_arg1834z00_3539 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3530);
																	BgL_arg1833z00_3538 =
																		(BgL_arg1834z00_3539 - OBJECT_TYPE);
																}
																BgL_oclassz00_3537 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3538);
															}
															{	/* BackEnd/c.scm 159 */
																bool_t BgL__ortest_1110z00_3540;

																BgL__ortest_1110z00_3540 =
																	(BgL_classz00_3529 == BgL_oclassz00_3537);
																if (BgL__ortest_1110z00_3540)
																	{	/* BackEnd/c.scm 159 */
																		BgL_res2001z00_3536 =
																			BgL__ortest_1110z00_3540;
																	}
																else
																	{	/* BackEnd/c.scm 159 */
																		long BgL_odepthz00_3541;

																		BgL_odepthz00_3541 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3537);
																		if ((((long) 3) < BgL_odepthz00_3541))
																			{	/* BackEnd/c.scm 159 */
																				obj_t BgL_arg1821z00_3542;

																				BgL_arg1821z00_3542 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3537, ((long) 3));
																				BgL_res2001z00_3536 =
																					(BgL_arg1821z00_3542 ==
																					BgL_classz00_3529);
																			}
																		else
																			{	/* BackEnd/c.scm 159 */
																				BgL_res2001z00_3536 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3532 = BgL_res2001z00_3536;
													}
													BgL_test2167z00_4206 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3531,
														BgL_arg1823z00_3532);
												}
											}
										}
									}
									if (BgL_test2167z00_4206)
										{	/* BackEnd/c.scm 160 */
											obj_t BgL_g1506z00_3543;

											BgL_g1506z00_3543 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt)
																				BgL_globalz00_3452))))->
																BgL_valuez00))))->BgL_argsz00);
											{
												obj_t BgL_l1504z00_3545;

												{	/* BackEnd/c.scm 166 */
													bool_t BgL_tmpz00_4234;

													BgL_l1504z00_3545 = BgL_g1506z00_3543;
												BgL_zc3z04anonymousza31667ze3z87_3544:
													if (PAIRP(BgL_l1504z00_3545))
														{	/* BackEnd/c.scm 166 */
															{	/* BackEnd/c.scm 162 */
																obj_t BgL_az00_3546;

																BgL_az00_3546 = CAR(BgL_l1504z00_3545);
																{	/* BackEnd/c.scm 162 */
																	bool_t BgL_test2171z00_4238;

																	{	/* BackEnd/c.scm 162 */
																		obj_t BgL_classz00_3547;

																		BgL_classz00_3547 =
																			BGl_typez00zztype_typez00;
																		if (BGL_OBJECTP(BgL_az00_3546))
																			{	/* BackEnd/c.scm 162 */
																				BgL_objectz00_bglt BgL_arg1825z00_3548;

																				BgL_arg1825z00_3548 =
																					(BgL_objectz00_bglt) (BgL_az00_3546);
																				{	/* BackEnd/c.scm 162 */
																					bool_t BgL_arg1822z00_3549;
																					bool_t BgL_arg1823z00_3550;

																					{	/* BackEnd/c.scm 162 */
																						long BgL_idxz00_3551;

																						BgL_idxz00_3551 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1825z00_3548);
																						BgL_arg1822z00_3549 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_3551 +
																									((long) 1))) ==
																							BgL_classz00_3547);
																					}
																					{	/* BackEnd/c.scm 162 */
																						bool_t BgL_res2002z00_3554;

																						{	/* BackEnd/c.scm 162 */
																							obj_t BgL_oclassz00_3555;

																							{	/* BackEnd/c.scm 162 */
																								long BgL_arg1833z00_3556;

																								{	/* BackEnd/c.scm 162 */
																									long BgL_arg1834z00_3557;

																									BgL_arg1834z00_3557 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1825z00_3548);
																									BgL_arg1833z00_3556 =
																										(BgL_arg1834z00_3557 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_3555 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1833z00_3556);
																							}
																							{	/* BackEnd/c.scm 162 */
																								bool_t BgL__ortest_1110z00_3558;

																								BgL__ortest_1110z00_3558 =
																									(BgL_classz00_3547 ==
																									BgL_oclassz00_3555);
																								if (BgL__ortest_1110z00_3558)
																									{	/* BackEnd/c.scm 162 */
																										BgL_res2002z00_3554 =
																											BgL__ortest_1110z00_3558;
																									}
																								else
																									{	/* BackEnd/c.scm 162 */
																										long BgL_odepthz00_3559;

																										BgL_odepthz00_3559 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_3555);
																										if ((((long) 1) <
																												BgL_odepthz00_3559))
																											{	/* BackEnd/c.scm 162 */
																												obj_t
																													BgL_arg1821z00_3560;
																												BgL_arg1821z00_3560 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_3555,
																													((long) 1));
																												BgL_res2002z00_3554 =
																													(BgL_arg1821z00_3560
																													== BgL_classz00_3547);
																											}
																										else
																											{	/* BackEnd/c.scm 162 */
																												BgL_res2002z00_3554 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_arg1823z00_3550 =
																							BgL_res2002z00_3554;
																					}
																					BgL_test2171z00_4238 =
																						BGL_ISA_C_BACKEND
																						(BgL_arg1822z00_3549,
																						BgL_arg1823z00_3550);
																				}
																			}
																		else
																			{	/* BackEnd/c.scm 162 */
																				BgL_test2171z00_4238 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2171z00_4238)
																		{	/* BackEnd/c.scm 162 */
																			BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
																				(((BgL_typez00_bglt) BgL_az00_3546));
																		}
																	else
																		{	/* BackEnd/c.scm 164 */
																			bool_t BgL_test2175z00_4259;

																			{	/* BackEnd/c.scm 164 */
																				obj_t BgL_classz00_3561;

																				BgL_classz00_3561 =
																					BGl_localz00zzast_varz00;
																				if (BGL_OBJECTP(BgL_az00_3546))
																					{	/* BackEnd/c.scm 164 */
																						BgL_objectz00_bglt
																							BgL_arg1825z00_3562;
																						BgL_arg1825z00_3562 =
																							(BgL_objectz00_bglt)
																							(BgL_az00_3546);
																						{	/* BackEnd/c.scm 164 */
																							bool_t BgL_arg1822z00_3563;
																							bool_t BgL_arg1823z00_3564;

																							{	/* BackEnd/c.scm 164 */
																								long BgL_idxz00_3565;

																								BgL_idxz00_3565 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1825z00_3562);
																								BgL_arg1822z00_3563 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_3565 +
																											((long) 2))) ==
																									BgL_classz00_3561);
																							}
																							{	/* BackEnd/c.scm 164 */
																								bool_t BgL_res2003z00_3568;

																								{	/* BackEnd/c.scm 164 */
																									obj_t BgL_oclassz00_3569;

																									{	/* BackEnd/c.scm 164 */
																										long BgL_arg1833z00_3570;

																										{	/* BackEnd/c.scm 164 */
																											long BgL_arg1834z00_3571;

																											BgL_arg1834z00_3571 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1825z00_3562);
																											BgL_arg1833z00_3570 =
																												(BgL_arg1834z00_3571 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_3569 =
																											VECTOR_REF
																											(BGl_za2classesza2z00zz__objectz00,
																											BgL_arg1833z00_3570);
																									}
																									{	/* BackEnd/c.scm 164 */
																										bool_t
																											BgL__ortest_1110z00_3572;
																										BgL__ortest_1110z00_3572 =
																											(BgL_classz00_3561 ==
																											BgL_oclassz00_3569);
																										if (BgL__ortest_1110z00_3572)
																											{	/* BackEnd/c.scm 164 */
																												BgL_res2003z00_3568 =
																													BgL__ortest_1110z00_3572;
																											}
																										else
																											{	/* BackEnd/c.scm 164 */
																												long BgL_odepthz00_3573;

																												BgL_odepthz00_3573 =
																													BGL_CLASS_DEPTH
																													(BgL_oclassz00_3569);
																												if ((((long) 2) <
																														BgL_odepthz00_3573))
																													{	/* BackEnd/c.scm 164 */
																														obj_t
																															BgL_arg1821z00_3574;
																														BgL_arg1821z00_3574
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_oclassz00_3569,
																															((long) 2));
																														BgL_res2003z00_3568
																															=
																															(BgL_arg1821z00_3574
																															==
																															BgL_classz00_3561);
																													}
																												else
																													{	/* BackEnd/c.scm 164 */
																														BgL_res2003z00_3568
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_arg1823z00_3564 =
																									BgL_res2003z00_3568;
																							}
																							BgL_test2175z00_4259 =
																								BGL_ISA_C_BACKEND
																								(BgL_arg1822z00_3563,
																								BgL_arg1823z00_3564);
																						}
																					}
																				else
																					{	/* BackEnd/c.scm 164 */
																						BgL_test2175z00_4259 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test2175z00_4259)
																				{	/* BackEnd/c.scm 165 */
																					BgL_typez00_bglt BgL_arg1675z00_3575;

																					BgL_arg1675z00_3575 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										BgL_az00_3546))))->
																						BgL_typez00);
																					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
																						(BgL_arg1675z00_3575);
																				}
																			else
																				{	/* BackEnd/c.scm 164 */
																					BFALSE;
																				}
																		}
																}
															}
															{
																obj_t BgL_l1504z00_4282;

																BgL_l1504z00_4282 = CDR(BgL_l1504z00_3545);
																BgL_l1504z00_3545 = BgL_l1504z00_4282;
																goto BgL_zc3z04anonymousza31667ze3z87_3544;
															}
														}
													else
														{	/* BackEnd/c.scm 166 */
															BgL_tmpz00_4234 = ((bool_t) 1);
														}
													return BBOOL(BgL_tmpz00_4234);
												}
											}
										}
									else
										{	/* BackEnd/c.scm 159 */
											return BFALSE;
										}
								}
							}
						else
							{	/* BackEnd/c.scm 156 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &<@anonymous:1634> */
	obj_t BGl_z62zc3z04anonymousza31634ze3ze5zzbackend_cz00(obj_t BgL_envz00_3453,
		obj_t BgL_tz00_3454)
	{
		{	/* BackEnd/c.scm 149 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_tz00_3454)))->BgL_occurrencez00) = ((int)
					(int) (((long) 0))), BUNSPEC);
		}

	}



/* &<@anonymous:1614> */
	obj_t BGl_z62zc3z04anonymousza31614ze3ze5zzbackend_cz00(obj_t BgL_envz00_3455)
	{
		{	/* BackEnd/c.scm 115 */
			return
				BGl_startzd2emissionz12zc0zzbackend_c_emitz00
				(BGl_string2039z00zzbackend_cz00);
		}

	}



/* cc-compiler */
	BGL_EXPORTED_DEF obj_t BGl_cczd2compilerzd2zzbackend_cz00(obj_t
		BgL_czd2prefixzd2_29, obj_t BgL_ozd2prefixzd2_30)
	{
		{	/* BackEnd/c.scm 241 */
			BGl_setzd2backendz12zc0zzbackend_backendz00(CNST_TABLE_REF(((long) 0)));
			{	/* BackEnd/c.scm 245 */
				bool_t BgL_arg1746z00_2238;

				if ((BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 11))))
					{	/* BackEnd/c.scm 245 */
						BgL_arg1746z00_2238 = ((bool_t) 0);
					}
				else
					{	/* BackEnd/c.scm 245 */
						BgL_arg1746z00_2238 = ((bool_t) 1);
					}
				BGl_ccz00zzcc_ccz00(BgL_czd2prefixzd2_29, BgL_ozd2prefixzd2_30,
					BgL_arg1746z00_2238);
			}
			BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF(((long) 11)),
				BGl_proc2040z00zzbackend_cz00);
			{	/* BackEnd/c.scm 248 */
				obj_t BgL_arg1750z00_2243;

				if (STRINGP(BgL_ozd2prefixzd2_30))
					{	/* BackEnd/c.scm 248 */
						BgL_arg1750z00_2243 = BgL_ozd2prefixzd2_30;
					}
				else
					{	/* BackEnd/c.scm 248 */
						BgL_arg1750z00_2243 = BgL_czd2prefixzd2_29;
					}
				return BGl_ldz00zzcc_ldz00(BgL_arg1750z00_2243, ((bool_t) 0));
			}
		}

	}



/* &cc-compiler */
	obj_t BGl_z62cczd2compilerzb0zzbackend_cz00(obj_t BgL_envz00_3457,
		obj_t BgL_czd2prefixzd2_3458, obj_t BgL_ozd2prefixzd2_3459)
	{
		{	/* BackEnd/c.scm 241 */
			return
				BGl_cczd2compilerzd2zzbackend_cz00(BgL_czd2prefixzd2_3458,
				BgL_ozd2prefixzd2_3459);
		}

	}



/* &<@anonymous:1749> */
	obj_t BGl_z62zc3z04anonymousza31749ze3ze5zzbackend_cz00(obj_t BgL_envz00_3460)
	{
		{	/* BackEnd/c.scm 246 */
			return CNST_TABLE_REF(((long) 12));
		}

	}



/* make-tmp-file-name */
	obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_cz00()
	{
		{	/* BackEnd/c.scm 261 */
			{	/* BackEnd/c.scm 265 */
				obj_t BgL_arg1752z00_2245;

				{	/* BackEnd/c.scm 265 */
					obj_t BgL_arg1753z00_2246;
					obj_t BgL_arg1759z00_2247;

					{	/* BackEnd/c.scm 265 */
						obj_t BgL_userz00_2253;

						BgL_userz00_2253 =
							BGl_getenvz00zz__osz00(BGl_string2041z00zzbackend_cz00);
						if (STRINGP(BgL_userz00_2253))
							{	/* BackEnd/c.scm 266 */
								BgL_arg1753z00_2246 = BgL_userz00_2253;
							}
						else
							{	/* BackEnd/c.scm 266 */
								BgL_arg1753z00_2246 = BGl_string2042z00zzbackend_cz00;
							}
					}
					BgL_arg1759z00_2247 = CAR(BGl_za2srczd2suffixza2zd2zzengine_paramz00);
					{	/* BackEnd/c.scm 263 */
						obj_t BgL_list1760z00_2248;

						{	/* BackEnd/c.scm 263 */
							obj_t BgL_arg1761z00_2249;

							{	/* BackEnd/c.scm 263 */
								obj_t BgL_arg1762z00_2250;

								{	/* BackEnd/c.scm 263 */
									obj_t BgL_arg1763z00_2251;

									{	/* BackEnd/c.scm 263 */
										obj_t BgL_arg1766z00_2252;

										BgL_arg1766z00_2252 =
											MAKE_YOUNG_PAIR(BgL_arg1759z00_2247, BNIL);
										BgL_arg1763z00_2251 =
											MAKE_YOUNG_PAIR(BGl_string2043z00zzbackend_cz00,
											BgL_arg1766z00_2252);
									}
									BgL_arg1762z00_2250 =
										MAKE_YOUNG_PAIR(BgL_arg1753z00_2246, BgL_arg1763z00_2251);
								}
								BgL_arg1761z00_2249 =
									MAKE_YOUNG_PAIR(BGl_string2044z00zzbackend_cz00,
									BgL_arg1762z00_2250);
							}
							BgL_list1760z00_2248 =
								MAKE_YOUNG_PAIR(BGl_string2045z00zzbackend_cz00,
								BgL_arg1761z00_2249);
						}
						BgL_arg1752z00_2245 =
							BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1760z00_2248);
					}
				}
				return
					BGl_makezd2filezd2namez00zz__osz00
					(BGl_za2bigloozd2tmpza2zd2zzengine_paramz00, BgL_arg1752z00_2245);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_cz00()
	{
		{	/* BackEnd/c.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_cz00()
	{
		{	/* BackEnd/c.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_cz00()
	{
		{	/* BackEnd/c.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2046z00zzbackend_cz00,
				BGl_string2047z00zzbackend_cz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2048z00zzbackend_cz00,
				BGl_string2049z00zzbackend_cz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2050z00zzbackend_cz00,
				BGl_string2051z00zzbackend_cz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2052z00zzbackend_cz00,
				BGl_string2053z00zzbackend_cz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2054z00zzbackend_cz00,
				BGl_string2055z00zzbackend_cz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2gczd2initzd2envzd2zzbackend_backendz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2056z00zzbackend_cz00,
				BGl_string2057z00zzbackend_cz00);
		}

	}



/* &backend-gc-init-cvm1550 */
	obj_t BGl_z62backendzd2gczd2initzd2cvm1550zb0zzbackend_cz00(obj_t
		BgL_envz00_3472, obj_t BgL_bz00_3473)
	{
		{	/* BackEnd/c.scm 379 */
			return CNST_TABLE_REF(((long) 13));
		}

	}



/* &backend-subtype?-cvm1548 */
	obj_t BGl_z62backendzd2subtypezf3zd2cvm1548z91zzbackend_cz00(obj_t
		BgL_envz00_3474, obj_t BgL_bz00_3475, obj_t BgL_t1z00_3476,
		obj_t BgL_t2z00_3477)
	{
		{	/* BackEnd/c.scm 369 */
			{	/* BackEnd/c.scm 371 */
				bool_t BgL__ortest_1136z00_3578;

				BgL__ortest_1136z00_3578 = (BgL_t1z00_3476 == BgL_t2z00_3477);
				if (BgL__ortest_1136z00_3578)
					{	/* BackEnd/c.scm 371 */
						return BBOOL(BgL__ortest_1136z00_3578);
					}
				else
					{	/* BackEnd/c.scm 372 */
						bool_t BgL__ortest_1137z00_3579;

						BgL__ortest_1137z00_3579 =
							(
							(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_t1z00_3476)))->BgL_idz00) ==
							(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_t2z00_3477)))->BgL_idz00));
						if (BgL__ortest_1137z00_3579)
							{	/* BackEnd/c.scm 372 */
								return BBOOL(BgL__ortest_1137z00_3579);
							}
						else
							{	/* BackEnd/c.scm 373 */
								bool_t BgL__ortest_1138z00_3580;

								BgL__ortest_1138z00_3580 =
									(BgL_t2z00_3477 == BGl_za2_za2z00zztype_cachez00);
								if (BgL__ortest_1138z00_3580)
									{	/* BackEnd/c.scm 373 */
										return BBOOL(BgL__ortest_1138z00_3580);
									}
								else
									{	/* BackEnd/c.scm 374 */
										obj_t BgL_arg1924z00_3581;
										obj_t BgL_arg1925z00_3582;

										BgL_arg1924z00_3581 =
											(((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt) BgL_t1z00_3476)))->BgL_namez00);
										BgL_arg1925z00_3582 =
											(((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt) BgL_t2z00_3477)))->BgL_namez00);
										{	/* BackEnd/c.scm 374 */
											long BgL_l1z00_3583;

											BgL_l1z00_3583 =
												STRING_LENGTH(((obj_t) BgL_arg1924z00_3581));
											if (
												(BgL_l1z00_3583 ==
													STRING_LENGTH(((obj_t) BgL_arg1925z00_3582))))
												{	/* BackEnd/c.scm 374 */
													int BgL_arg1289z00_3584;

													{	/* BackEnd/c.scm 374 */
														char *BgL_auxz00_4346;
														char *BgL_tmpz00_4343;

														BgL_auxz00_4346 =
															BSTRING_TO_STRING(((obj_t) BgL_arg1925z00_3582));
														BgL_tmpz00_4343 =
															BSTRING_TO_STRING(((obj_t) BgL_arg1924z00_3581));
														BgL_arg1289z00_3584 =
															memcmp(BgL_tmpz00_4343, BgL_auxz00_4346,
															BgL_l1z00_3583);
													}
													return
														BBOOL(((long) (BgL_arg1289z00_3584) == ((long) 0)));
												}
											else
												{	/* BackEnd/c.scm 374 */
													return BFALSE;
												}
										}
									}
							}
					}
			}
		}

	}



/* &backend-link-objects1546 */
	obj_t BGl_z62backendzd2linkzd2objects1546z62zzbackend_cz00(obj_t
		BgL_envz00_3478, obj_t BgL_mez00_3479, obj_t BgL_sourcesz00_3480)
	{
		{	/* BackEnd/c.scm 275 */
			if (((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) > ((long) 0)))
				{	/* BackEnd/c.scm 276 */
					BGl_bdbzd2settingz12zc0zzbdb_settingz00();
				}
			else
				{	/* BackEnd/c.scm 276 */
					BFALSE;
				}
			if (NULLP(BgL_sourcesz00_3480))
				{	/* BackEnd/c.scm 279 */
					obj_t BgL_firstz00_3586;

					BgL_firstz00_3586 =
						BGl_prefixz00zz__osz00(CAR
						(BGl_za2ozd2filesza2zd2zzengine_paramz00));
					{	/* BackEnd/c.scm 280 */
						obj_t BgL_list1784z00_3587;

						{	/* BackEnd/c.scm 280 */
							obj_t BgL_arg1785z00_3588;

							{	/* BackEnd/c.scm 280 */
								obj_t BgL_arg1788z00_3589;

								{	/* BackEnd/c.scm 280 */
									obj_t BgL_arg1789z00_3590;

									BgL_arg1789z00_3590 =
										MAKE_YOUNG_PAIR(BGl_za2ozd2filesza2zd2zzengine_paramz00,
										BNIL);
									BgL_arg1788z00_3589 =
										MAKE_YOUNG_PAIR(BGl_string2058z00zzbackend_cz00,
										BgL_arg1789z00_3590);
								}
								BgL_arg1785z00_3588 =
									MAKE_YOUNG_PAIR(BGl_string2059z00zzbackend_cz00,
									BgL_arg1788z00_3589);
							}
							BgL_list1784z00_3587 =
								MAKE_YOUNG_PAIR(BGl_string2060z00zzbackend_cz00,
								BgL_arg1785z00_3588);
						}
						BGl_warningz00zz__errorz00(BgL_list1784z00_3587);
					}
					BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
					BGl_za2ozd2filesza2zd2zzengine_paramz00 =
						CDR(BGl_za2ozd2filesza2zd2zzengine_paramz00);
					return BGl_ldz00zzcc_ldz00(BgL_firstz00_3586, ((bool_t) 0));
				}
			else
				{
					obj_t BgL_sourcesz00_3592;
					obj_t BgL_clausesz00_3593;
					obj_t BgL_mainz00_3594;
					obj_t BgL_fmainz00_3595;
					obj_t BgL_librariesz00_3596;

					BgL_sourcesz00_3592 = BgL_sourcesz00_3480;
					BgL_clausesz00_3593 = BNIL;
					BgL_mainz00_3594 = BFALSE;
					BgL_fmainz00_3595 = BGl_string2042z00zzbackend_cz00;
					BgL_librariesz00_3596 = BNIL;
				BgL_loopz00_3591:
					if (NULLP(BgL_sourcesz00_3592))
						{	/* BackEnd/c.scm 291 */
							bool_t BgL_test2189z00_4371;

							if (CBOOL(BgL_mainz00_3594))
								{	/* BackEnd/c.scm 291 */
									BgL_test2189z00_4371 = ((bool_t) 1);
								}
							else
								{	/* BackEnd/c.scm 291 */
									if (CBOOL(BGl_za2autozd2linkzd2mainza2z00zzengine_paramz00))
										{	/* BackEnd/c.scm 291 */
											BgL_test2189z00_4371 =
												(BGl_za2passza2z00zzengine_paramz00 ==
												CNST_TABLE_REF(((long) 14)));
										}
									else
										{	/* BackEnd/c.scm 291 */
											BgL_test2189z00_4371 = ((bool_t) 1);
										}
								}
							if (BgL_test2189z00_4371)
								{	/* BackEnd/c.scm 292 */
									obj_t BgL_firstz00_3597;

									BgL_firstz00_3597 =
										BGl_prefixz00zz__osz00(CAR
										(BGl_za2ozd2filesza2zd2zzengine_paramz00));
									{
										obj_t BgL_l1534z00_3599;

										BgL_l1534z00_3599 = BgL_librariesz00_3596;
									BgL_zc3z04anonymousza31803ze3z87_3598:
										if (PAIRP(BgL_l1534z00_3599))
											{	/* BackEnd/c.scm 295 */
												{	/* BackEnd/c.scm 296 */
													obj_t BgL_libz00_3600;

													BgL_libz00_3600 = CAR(BgL_l1534z00_3599);
													{
														obj_t BgL_clausesz00_3606;
														obj_t BgL_libsz00_3603;

														if (PAIRP(BgL_libz00_3600))
															{	/* BackEnd/c.scm 296 */
																if (
																	(CAR(BgL_libz00_3600) ==
																		CNST_TABLE_REF(((long) 15))))
																	{	/* BackEnd/c.scm 296 */
																		BgL_libsz00_3603 = CDR(BgL_libz00_3600);
																		{
																			obj_t BgL_l1525z00_3605;

																			BgL_l1525z00_3605 = BgL_libsz00_3603;
																		BgL_zc3z04anonymousza31825ze3z87_3604:
																			if (PAIRP(BgL_l1525z00_3605))
																				{	/* BackEnd/c.scm 298 */
																					BGl_usezd2libraryz12zc0zzmodule_alibraryz00
																						(CAR(BgL_l1525z00_3605));
																					{
																						obj_t BgL_l1525z00_4393;

																						BgL_l1525z00_4393 =
																							CDR(BgL_l1525z00_3605);
																						BgL_l1525z00_3605 =
																							BgL_l1525z00_4393;
																						goto
																							BgL_zc3z04anonymousza31825ze3z87_3604;
																					}
																				}
																			else
																				{	/* BackEnd/c.scm 298 */
																					((bool_t) 1);
																				}
																		}
																	}
																else
																	{	/* BackEnd/c.scm 296 */
																		if (
																			(CAR(BgL_libz00_3600) ==
																				CNST_TABLE_REF(((long) 16))))
																			{	/* BackEnd/c.scm 296 */
																				BgL_clausesz00_3606 =
																					CDR(BgL_libz00_3600);
																				{	/* BackEnd/c.scm 300 */
																					obj_t BgL_fun1533z00_3607;

																					{	/* BackEnd/c.scm 300 */
																						obj_t
																							BgL_zc3z04anonymousza31849ze3z87_3608;
																						{	/* BackEnd/c.scm 296 */
																							int BgL_tmpz00_4400;

																							BgL_tmpz00_4400 =
																								(int) (((long) 0));
																							BgL_zc3z04anonymousza31849ze3z87_3608
																								=
																								MAKE_EL_PROCEDURE
																								(BgL_tmpz00_4400);
																						}
																						BgL_fun1533z00_3607 =
																							BgL_zc3z04anonymousza31849ze3z87_3608;
																					}
																					{
																						obj_t BgL_l1531z00_3610;

																						BgL_l1531z00_3610 =
																							BgL_clausesz00_3606;
																					BgL_zc3z04anonymousza31839ze3z87_3609:
																						if (PAIRP
																							(BgL_l1531z00_3610))
																							{	/* BackEnd/c.scm 300 */
																								{	/* BackEnd/c.scm 300 */
																									obj_t BgL_arg1842z00_3611;

																									BgL_arg1842z00_3611 =
																										CAR(BgL_l1531z00_3610);
																									BGl_z62zc3z04anonymousza31849ze3ze5zzbackend_cz00
																										(BgL_fun1533z00_3607,
																										BgL_arg1842z00_3611);
																								}
																								{
																									obj_t BgL_l1531z00_4410;

																									BgL_l1531z00_4410 =
																										CDR(BgL_l1531z00_3610);
																									BgL_l1531z00_3610 =
																										BgL_l1531z00_4410;
																									goto
																										BgL_zc3z04anonymousza31839ze3z87_3609;
																								}
																							}
																						else
																							{	/* BackEnd/c.scm 300 */
																								((bool_t) 1);
																							}
																					}
																				}
																			}
																		else
																			{	/* BackEnd/c.scm 296 */
																				((bool_t) 0);
																			}
																	}
															}
														else
															{	/* BackEnd/c.scm 296 */
																((bool_t) 0);
															}
													}
												}
												{
													obj_t BgL_l1534z00_4413;

													BgL_l1534z00_4413 = CDR(BgL_l1534z00_3599);
													BgL_l1534z00_3599 = BgL_l1534z00_4413;
													goto BgL_zc3z04anonymousza31803ze3z87_3598;
												}
											}
										else
											{	/* BackEnd/c.scm 295 */
												((bool_t) 1);
											}
									}
									BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
									{	/* BackEnd/c.scm 308 */
										obj_t BgL_list1870z00_3612;

										BgL_list1870z00_3612 =
											MAKE_YOUNG_PAIR(BgL_fmainz00_3595, BNIL);
										BGl_za2srczd2filesza2zd2zzengine_paramz00 =
											BgL_list1870z00_3612;
									}
									BGl_za2ozd2filesza2zd2zzengine_paramz00 =
										CDR(BGl_za2ozd2filesza2zd2zzengine_paramz00);
									return BGl_ldz00zzcc_ldz00(BgL_firstz00_3597, ((bool_t) 0));
								}
							else
								{	/* BackEnd/c.scm 312 */
									obj_t BgL_tmpz00_3613;

									BgL_tmpz00_3613 =
										BGl_makezd2tmpzd2filezd2namezd2zzbackend_cz00();
									BGl_makezd2tmpzd2mainz00zzengine_linkz00(BgL_tmpz00_3613,
										CBOOL(BgL_mainz00_3594),
										BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													17))), BgL_clausesz00_3593, BgL_librariesz00_3596);
									{	/* BackEnd/c.scm 314 */
										obj_t BgL_list1873z00_3614;

										BgL_list1873z00_3614 =
											MAKE_YOUNG_PAIR(BgL_tmpz00_3613, BNIL);
										BGl_za2srczd2filesza2zd2zzengine_paramz00 =
											BgL_list1873z00_3614;
									}
									{
										obj_t BgL_raz00_3616;
										obj_t BgL_resz00_3617;

										BgL_raz00_3616 = BGl_za2restzd2argsza2zd2zzengine_paramz00;
										BgL_resz00_3617 = BNIL;
									BgL_loopz00_3615:
										if (NULLP(BgL_raz00_3616))
											{	/* BackEnd/c.scm 320 */
												BGl_za2restzd2argsza2zd2zzengine_paramz00 =
													bgl_reverse_bang(BgL_resz00_3617);
											}
										else
											{	/* BackEnd/c.scm 322 */
												bool_t BgL_test2199z00_4428;

												{	/* BackEnd/c.scm 322 */
													obj_t BgL_arg1885z00_3618;

													{	/* BackEnd/c.scm 322 */
														obj_t BgL_arg1886z00_3619;

														BgL_arg1886z00_3619 = CAR(((obj_t) BgL_raz00_3616));
														BgL_arg1885z00_3618 =
															BGl_suffixz00zz__osz00(BgL_arg1886z00_3619);
													}
													BgL_test2199z00_4428 =
														CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1885z00_3618,
															BGl_za2mcozd2suffixza2zd2zzengine_paramz00));
												}
												if (BgL_test2199z00_4428)
													{	/* BackEnd/c.scm 323 */
														obj_t BgL_arg1880z00_3620;

														BgL_arg1880z00_3620 = CDR(((obj_t) BgL_raz00_3616));
														{
															obj_t BgL_raz00_4436;

															BgL_raz00_4436 = BgL_arg1880z00_3620;
															BgL_raz00_3616 = BgL_raz00_4436;
															goto BgL_loopz00_3615;
														}
													}
												else
													{	/* BackEnd/c.scm 325 */
														obj_t BgL_arg1882z00_3621;
														obj_t BgL_arg1883z00_3622;

														BgL_arg1882z00_3621 = CDR(((obj_t) BgL_raz00_3616));
														{	/* BackEnd/c.scm 325 */
															obj_t BgL_arg1884z00_3623;

															BgL_arg1884z00_3623 =
																CAR(((obj_t) BgL_raz00_3616));
															BgL_arg1883z00_3622 =
																MAKE_YOUNG_PAIR(BgL_arg1884z00_3623,
																BgL_resz00_3617);
														}
														{
															obj_t BgL_resz00_4443;
															obj_t BgL_raz00_4442;

															BgL_raz00_4442 = BgL_arg1882z00_3621;
															BgL_resz00_4443 = BgL_arg1883z00_3622;
															BgL_resz00_3617 = BgL_resz00_4443;
															BgL_raz00_3616 = BgL_raz00_4442;
															goto BgL_loopz00_3615;
														}
													}
											}
									}
									{	/* BackEnd/c.scm 326 */
										obj_t BgL_exitd1131z00_3624;

										BgL_exitd1131z00_3624 = BGL_EXITD_TOP_AS_OBJ();
										{	/* BackEnd/c.scm 330 */
											obj_t BgL_zc3z04anonymousza31887ze3z87_3625;

											BgL_zc3z04anonymousza31887ze3z87_3625 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31887ze3ze5zzbackend_cz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31887ze3z87_3625,
												(int) (((long) 0)), BgL_tmpz00_3613);
											{	/* BackEnd/c.scm 326 */
												obj_t BgL_arg1846z00_3626;

												{	/* BackEnd/c.scm 326 */
													obj_t BgL_arg1847z00_3627;

													BgL_arg1847z00_3627 =
														BGL_EXITD_PROTECT(BgL_exitd1131z00_3624);
													BgL_arg1846z00_3626 =
														MAKE_YOUNG_PAIR
														(BgL_zc3z04anonymousza31887ze3z87_3625,
														BgL_arg1847z00_3627);
												}
												BGL_EXITD_PROTECT_SET(BgL_exitd1131z00_3624,
													BgL_arg1846z00_3626);
												BUNSPEC;
											}
											{	/* BackEnd/c.scm 327 */
												obj_t BgL_tmp1133z00_3628;

												BgL_tmp1133z00_3628 =
													BGl_compilerz00zzengine_compilerz00();
												{	/* BackEnd/c.scm 326 */
													bool_t BgL_test2200z00_4454;

													{	/* BackEnd/c.scm 326 */
														obj_t BgL_arg1845z00_3629;

														BgL_arg1845z00_3629 =
															BGL_EXITD_PROTECT(BgL_exitd1131z00_3624);
														BgL_test2200z00_4454 = PAIRP(BgL_arg1845z00_3629);
													}
													if (BgL_test2200z00_4454)
														{	/* BackEnd/c.scm 326 */
															obj_t BgL_arg1843z00_3630;

															{	/* BackEnd/c.scm 326 */
																obj_t BgL_arg1844z00_3631;

																BgL_arg1844z00_3631 =
																	BGL_EXITD_PROTECT(BgL_exitd1131z00_3624);
																BgL_arg1843z00_3630 =
																	CDR(((obj_t) BgL_arg1844z00_3631));
															}
															BGL_EXITD_PROTECT_SET(BgL_exitd1131z00_3624,
																BgL_arg1843z00_3630);
															BUNSPEC;
														}
													else
														{	/* BackEnd/c.scm 326 */
															BFALSE;
														}
												}
												BGl_z62zc3z04anonymousza31887ze3ze5zzbackend_cz00
													(BgL_zc3z04anonymousza31887ze3z87_3625);
												BgL_tmp1133z00_3628;
											}
										}
									}
									return BINT(((long) 0));
						}}
					else
						{	/* BackEnd/c.scm 342 */
							obj_t BgL_portz00_3632;

							{	/* BackEnd/c.scm 342 */
								obj_t BgL_arg1923z00_3633;

								{	/* BackEnd/c.scm 342 */
									obj_t BgL_pairz00_3634;

									BgL_pairz00_3634 = CAR(((obj_t) BgL_sourcesz00_3592));
									BgL_arg1923z00_3633 = CAR(BgL_pairz00_3634);
								}
								{	/* BackEnd/c.scm 342 */

									BgL_portz00_3632 =
										BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
										(BgL_arg1923z00_3633, BTRUE, BINT(((long) 5000000)));
							}}
							if (INPUT_PORTP(BgL_portz00_3632))
								{	/* BackEnd/c.scm 345 */
									obj_t BgL_expz00_3635;

									{	/* BackEnd/c.scm 345 */
										obj_t BgL_arg1919z00_3636;

										{	/* BackEnd/c.scm 345 */
											obj_t BgL_list1920z00_3637;

											BgL_list1920z00_3637 =
												MAKE_YOUNG_PAIR(BgL_portz00_3632, BNIL);
											BgL_arg1919z00_3636 =
												BGl_compilerzd2readzd2zzread_readerz00
												(BgL_list1920z00_3637);
										}
										BgL_expz00_3635 =
											BGl_expandz00zz__expandz00(BgL_arg1919z00_3636);
									}
									bgl_close_input_port(BgL_portz00_3632);
									{
										obj_t BgL_namez00_3640;

										if (PAIRP(BgL_expz00_3635))
											{	/* BackEnd/c.scm 347 */
												obj_t BgL_cdrzd2422zd2_3660;

												BgL_cdrzd2422zd2_3660 = CDR(BgL_expz00_3635);
												if (
													(CAR(BgL_expz00_3635) == CNST_TABLE_REF(((long) 17))))
													{	/* BackEnd/c.scm 347 */
														if (PAIRP(BgL_cdrzd2422zd2_3660))
															{	/* BackEnd/c.scm 347 */
																BgL_namez00_3640 = CAR(BgL_cdrzd2422zd2_3660);
																{	/* BackEnd/c.scm 349 */
																	obj_t BgL_libsz00_3641;
																	obj_t BgL_nmainz00_3642;

																	{	/* BackEnd/c.scm 349 */
																		obj_t BgL_arg1916z00_3643;

																		{	/* BackEnd/c.scm 349 */
																			obj_t BgL_pairz00_3644;

																			BgL_pairz00_3644 =
																				CDR(((obj_t) BgL_expz00_3635));
																			BgL_arg1916z00_3643 =
																				CDR(BgL_pairz00_3644);
																		}
																		BgL_libsz00_3641 =
																			BGl_findzd2librarieszd2zzengine_linkz00
																			(BgL_arg1916z00_3643);
																	}
																	{	/* BackEnd/c.scm 350 */
																		obj_t BgL_arg1917z00_3645;

																		{	/* BackEnd/c.scm 350 */
																			obj_t BgL_pairz00_3646;

																			BgL_pairz00_3646 =
																				CDR(((obj_t) BgL_expz00_3635));
																			BgL_arg1917z00_3645 =
																				CDR(BgL_pairz00_3646);
																		}
																		BgL_nmainz00_3642 =
																			BGl_findzd2mainzd2zzengine_linkz00
																			(BgL_arg1917z00_3645);
																	}
																	{	/* BackEnd/c.scm 351 */
																		obj_t BgL_arg1905z00_3647;
																		obj_t BgL_arg1906z00_3648;
																		obj_t BgL_arg1907z00_3649;
																		obj_t BgL_arg1908z00_3650;
																		obj_t BgL_arg1909z00_3651;

																		BgL_arg1905z00_3647 =
																			CDR(((obj_t) BgL_sourcesz00_3592));
																		{	/* BackEnd/c.scm 354 */
																			obj_t BgL_arg1910z00_3652;

																			{	/* BackEnd/c.scm 354 */
																				obj_t BgL_arg1911z00_3653;

																				{	/* BackEnd/c.scm 354 */
																					obj_t BgL_arg1914z00_3654;

																					{	/* BackEnd/c.scm 354 */
																						obj_t BgL_pairz00_3655;

																						BgL_pairz00_3655 =
																							CAR(
																							((obj_t) BgL_sourcesz00_3592));
																						BgL_arg1914z00_3654 =
																							CAR(BgL_pairz00_3655);
																					}
																					BgL_arg1911z00_3653 =
																						string_append_3
																						(BGl_string2061z00zzbackend_cz00,
																						BgL_arg1914z00_3654,
																						BGl_string2061z00zzbackend_cz00);
																				}
																				{	/* BackEnd/c.scm 352 */
																					obj_t BgL_list1912z00_3656;

																					{	/* BackEnd/c.scm 352 */
																						obj_t BgL_arg1913z00_3657;

																						BgL_arg1913z00_3657 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1911z00_3653, BNIL);
																						BgL_list1912z00_3656 =
																							MAKE_YOUNG_PAIR(BgL_namez00_3640,
																							BgL_arg1913z00_3657);
																					}
																					BgL_arg1910z00_3652 =
																						BgL_list1912z00_3656;
																				}
																			}
																			BgL_arg1906z00_3648 =
																				MAKE_YOUNG_PAIR(BgL_arg1910z00_3652,
																				BgL_clausesz00_3593);
																		}
																		if (CBOOL(BgL_nmainz00_3642))
																			{	/* BackEnd/c.scm 356 */
																				BgL_arg1907z00_3649 = BgL_nmainz00_3642;
																			}
																		else
																			{	/* BackEnd/c.scm 356 */
																				BgL_arg1907z00_3649 = BgL_mainz00_3594;
																			}
																		if (CBOOL(BgL_nmainz00_3642))
																			{	/* BackEnd/c.scm 357 */
																				obj_t BgL_pairz00_3658;

																				BgL_pairz00_3658 =
																					CAR(((obj_t) BgL_sourcesz00_3592));
																				BgL_arg1908z00_3650 =
																					CAR(BgL_pairz00_3658);
																			}
																		else
																			{	/* BackEnd/c.scm 357 */
																				BgL_arg1908z00_3650 = BgL_fmainz00_3595;
																			}
																		BgL_arg1909z00_3651 =
																			BGl_appendzd221011zd2zzbackend_cz00
																			(BgL_libsz00_3641, BgL_librariesz00_3596);
																		{
																			obj_t BgL_librariesz00_4512;
																			obj_t BgL_fmainz00_4511;
																			obj_t BgL_mainz00_4510;
																			obj_t BgL_clausesz00_4509;
																			obj_t BgL_sourcesz00_4508;

																			BgL_sourcesz00_4508 = BgL_arg1905z00_3647;
																			BgL_clausesz00_4509 = BgL_arg1906z00_3648;
																			BgL_mainz00_4510 = BgL_arg1907z00_3649;
																			BgL_fmainz00_4511 = BgL_arg1908z00_3650;
																			BgL_librariesz00_4512 =
																				BgL_arg1909z00_3651;
																			BgL_librariesz00_3596 =
																				BgL_librariesz00_4512;
																			BgL_fmainz00_3595 = BgL_fmainz00_4511;
																			BgL_mainz00_3594 = BgL_mainz00_4510;
																			BgL_clausesz00_3593 = BgL_clausesz00_4509;
																			BgL_sourcesz00_3592 = BgL_sourcesz00_4508;
																			goto BgL_loopz00_3591;
																		}
																	}
																}
															}
														else
															{	/* BackEnd/c.scm 347 */
															BgL_tagzd2417zd2_3639:
																{	/* BackEnd/c.scm 360 */
																	obj_t BgL_arg1918z00_3659;

																	BgL_arg1918z00_3659 =
																		CDR(((obj_t) BgL_sourcesz00_3592));
																	{
																		obj_t BgL_sourcesz00_4516;

																		BgL_sourcesz00_4516 = BgL_arg1918z00_3659;
																		BgL_sourcesz00_3592 = BgL_sourcesz00_4516;
																		goto BgL_loopz00_3591;
																	}
																}
															}
													}
												else
													{	/* BackEnd/c.scm 347 */
														goto BgL_tagzd2417zd2_3639;
													}
											}
										else
											{	/* BackEnd/c.scm 347 */
												goto BgL_tagzd2417zd2_3639;
											}
									}
								}
							else
								{	/* BackEnd/c.scm 344 */
									obj_t BgL_arg1922z00_3661;

									{	/* BackEnd/c.scm 344 */
										obj_t BgL_pairz00_3662;

										BgL_pairz00_3662 = CAR(((obj_t) BgL_sourcesz00_3592));
										BgL_arg1922z00_3661 = CAR(BgL_pairz00_3662);
									}
									return
										BGl_errorz00zz__errorz00(BGl_string2042z00zzbackend_cz00,
										BGl_string2062z00zzbackend_cz00, BgL_arg1922z00_3661);
								}
						}
				}
		}

	}



/* &<@anonymous:1849> */
	bool_t BGl_z62zc3z04anonymousza31849ze3ze5zzbackend_cz00(obj_t
		BgL_envz00_3481, obj_t BgL_ezd2410zd2_3482)
	{
		{	/* BackEnd/c.scm 300 */
			{
				obj_t BgL_libsz00_3664;

				if (PAIRP(BgL_ezd2410zd2_3482))
					{	/* BackEnd/c.scm 300 */
						if ((CAR(BgL_ezd2410zd2_3482) == CNST_TABLE_REF(((long) 15))))
							{	/* BackEnd/c.scm 300 */
								BgL_libsz00_3664 = CDR(BgL_ezd2410zd2_3482);
								{
									obj_t BgL_l1527z00_3666;

									BgL_l1527z00_3666 = BgL_libsz00_3664;
								BgL_zc3z04anonymousza31856ze3z87_3665:
									if (PAIRP(BgL_l1527z00_3666))
										{	/* BackEnd/c.scm 302 */
											BGl_usezd2libraryz12zc0zzmodule_alibraryz00(CAR
												(BgL_l1527z00_3666));
											{
												obj_t BgL_l1527z00_4531;

												BgL_l1527z00_4531 = CDR(BgL_l1527z00_3666);
												BgL_l1527z00_3666 = BgL_l1527z00_4531;
												goto BgL_zc3z04anonymousza31856ze3z87_3665;
											}
										}
									else
										{	/* BackEnd/c.scm 302 */
											((bool_t) 1);
										}
								}
								{
									obj_t BgL_l1529z00_3668;

									BgL_l1529z00_3668 = BgL_libsz00_3664;
								BgL_zc3z04anonymousza31863ze3z87_3667:
									if (PAIRP(BgL_l1529z00_3668))
										{	/* BackEnd/c.scm 303 */
											BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(CAR
												(BgL_l1529z00_3668));
											{
												obj_t BgL_l1529z00_4537;

												BgL_l1529z00_4537 = CDR(BgL_l1529z00_3668);
												BgL_l1529z00_3668 = BgL_l1529z00_4537;
												goto BgL_zc3z04anonymousza31863ze3z87_3667;
											}
										}
									else
										{	/* BackEnd/c.scm 303 */
											return ((bool_t) 1);
										}
								}
							}
						else
							{	/* BackEnd/c.scm 300 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* BackEnd/c.scm 300 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &<@anonymous:1887> */
	obj_t BGl_z62zc3z04anonymousza31887ze3ze5zzbackend_cz00(obj_t BgL_envz00_3483)
	{
		{	/* BackEnd/c.scm 326 */
			{	/* BackEnd/c.scm 330 */
				obj_t BgL_tmpz00_3484;

				BgL_tmpz00_3484 =
					((obj_t) PROCEDURE_REF(BgL_envz00_3483, (int) (((long) 0))));
				{	/* BackEnd/c.scm 330 */
					bool_t BgL_tmpz00_4543;

					BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
					{	/* BackEnd/c.scm 331 */
						obj_t BgL_prez00_3669;

						BgL_prez00_3669 = BGl_prefixz00zz__osz00(BgL_tmpz00_3484);
						{	/* BackEnd/c.scm 331 */
							obj_t BgL_czd2filezd2_3670;

							BgL_czd2filezd2_3670 =
								string_append(BgL_prez00_3669, BGl_string2039z00zzbackend_cz00);
							{	/* BackEnd/c.scm 332 */
								obj_t BgL_ozd2filezd2_3671;

								BgL_ozd2filezd2_3671 =
									string_append_3(BgL_prez00_3669,
									BGl_string2043z00zzbackend_cz00,
									BGl_za2czd2objectzd2filezd2extensionza2zd2zzengine_paramz00);
								{	/* BackEnd/c.scm 333 */

									{	/* BackEnd/c.scm 337 */
										obj_t BgL_g1538z00_3672;

										{	/* BackEnd/c.scm 340 */
											obj_t BgL_list1892z00_3673;

											{	/* BackEnd/c.scm 340 */
												obj_t BgL_arg1894z00_3674;

												{	/* BackEnd/c.scm 340 */
													obj_t BgL_arg1895z00_3675;

													BgL_arg1895z00_3675 =
														MAKE_YOUNG_PAIR(BgL_ozd2filezd2_3671, BNIL);
													BgL_arg1894z00_3674 =
														MAKE_YOUNG_PAIR(BgL_czd2filezd2_3670,
														BgL_arg1895z00_3675);
												}
												BgL_list1892z00_3673 =
													MAKE_YOUNG_PAIR(BgL_tmpz00_3484, BgL_arg1894z00_3674);
											}
											BgL_g1538z00_3672 = BgL_list1892z00_3673;
										}
										{
											obj_t BgL_l1536z00_3677;

											BgL_l1536z00_3677 = BgL_g1538z00_3672;
										BgL_zc3z04anonymousza31888ze3z87_3676:
											if (PAIRP(BgL_l1536z00_3677))
												{	/* BackEnd/c.scm 340 */
													{	/* BackEnd/c.scm 338 */
														obj_t BgL_fz00_3678;

														BgL_fz00_3678 = CAR(BgL_l1536z00_3677);
														if (fexists(BSTRING_TO_STRING(BgL_fz00_3678)))
															{	/* BackEnd/c.scm 339 */
																char *BgL_stringz00_3679;

																BgL_stringz00_3679 =
																	BSTRING_TO_STRING(BgL_fz00_3678);
																if (unlink(BgL_stringz00_3679))
																	{	/* BackEnd/c.scm 339 */
																		((bool_t) 0);
																	}
																else
																	{	/* BackEnd/c.scm 339 */
																		((bool_t) 1);
																	}
															}
														else
															{	/* BackEnd/c.scm 338 */
																((bool_t) 0);
															}
													}
													{
														obj_t BgL_l1536z00_4560;

														BgL_l1536z00_4560 = CDR(BgL_l1536z00_3677);
														BgL_l1536z00_3677 = BgL_l1536z00_4560;
														goto BgL_zc3z04anonymousza31888ze3z87_3676;
													}
												}
											else
												{	/* BackEnd/c.scm 340 */
													BgL_tmpz00_4543 = ((bool_t) 1);
												}
										}
									}
								}
							}
						}
					}
					return BBOOL(BgL_tmpz00_4543);
				}
			}
		}

	}



/* &backend-cnst-table-n1544 */
	obj_t BGl_z62backendzd2cnstzd2tablezd2n1544zb0zzbackend_cz00(obj_t
		BgL_envz00_3485, obj_t BgL_mez00_3486, obj_t BgL_offsetz00_3487)
	{
		{	/* BackEnd/c.scm 253 */
			if (((long) CINT(BgL_offsetz00_3487) == ((long) 0)))
				{	/* BackEnd/c.scm 254 */
					return BGl_string2063z00zzbackend_cz00;
				}
			else
				{	/* BackEnd/c.scm 256 */
					obj_t BgL_arg1781z00_3681;

					{	/* BackEnd/c.scm 256 */

						BgL_arg1781z00_3681 =
							BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_offsetz00_3487,
							BINT(((long) 10)));
					}
					return
						string_append_3(BGl_string2064z00zzbackend_cz00,
						BgL_arg1781z00_3681, BGl_string2065z00zzbackend_cz00);
				}
		}

	}



/* &backend-link-cvm1542 */
	obj_t BGl_z62backendzd2linkzd2cvm1542z62zzbackend_cz00(obj_t BgL_envz00_3488,
		obj_t BgL_mez00_3489, obj_t BgL_resultz00_3490)
	{
		{	/* BackEnd/c.scm 106 */
			if (STRINGP(BgL_resultz00_3490))
				{	/* BackEnd/c.scm 107 */
					return BGl_cczd2compilerzd2zzbackend_cz00(BgL_resultz00_3490, BFALSE);
				}
			else
				{	/* BackEnd/c.scm 107 */
					return BFALSE;
				}
		}

	}



/* &backend-compile-cvm1540 */
	obj_t BGl_z62backendzd2compilezd2cvm1540z62zzbackend_cz00(obj_t
		BgL_envz00_3491, obj_t BgL_mez00_3492)
	{
		{	/* BackEnd/c.scm 94 */
			{	/* BackEnd/c.scm 95 */
				obj_t BgL_czd2prefixzd2_3684;

				BgL_czd2prefixzd2_3684 =
					BGl_czd2walkzd2zzbackend_cz00(((BgL_cvmz00_bglt) BgL_mez00_3492));
				BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF(((long) 18)),
					BGl_proc2066z00zzbackend_cz00);
				BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF(((long) 19)),
					BGl_proc2067z00zzbackend_cz00);
				if (STRINGP(BgL_czd2prefixzd2_3684))
					{	/* BackEnd/c.scm 98 */
						{	/* BackEnd/c.scm 99 */
							bool_t BgL_test2217z00_4580;

							if (
								(BGl_za2passza2z00zzengine_paramz00 ==
									CNST_TABLE_REF(((long) 20))))
								{	/* BackEnd/c.scm 99 */
									BgL_test2217z00_4580 = ((bool_t) 1);
								}
							else
								{	/* BackEnd/c.scm 99 */
									BgL_test2217z00_4580 =
										CBOOL(BGl_za2czd2debugza2zd2zzengine_paramz00);
								}
							if (BgL_test2217z00_4580)
								{	/* BackEnd/c.scm 99 */
									BGl_indentz00zzcc_indentz00(BgL_czd2prefixzd2_3684);
								}
							else
								{	/* BackEnd/c.scm 99 */
									BFALSE;
								}
						}
						BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF(((long) 20)),
							BGl_proc2068z00zzbackend_cz00);
					}
				else
					{	/* BackEnd/c.scm 98 */
						BFALSE;
					}
				return BgL_czd2prefixzd2_3684;
			}
		}

	}



/* &<@anonymous:1778> */
	obj_t BGl_z62zc3z04anonymousza31778ze3ze5zzbackend_cz00(obj_t BgL_envz00_3493)
	{
		{	/* BackEnd/c.scm 100 */
			return CNST_TABLE_REF(((long) 12));
		}

	}



/* &<@anonymous:1773> */
	obj_t BGl_z62zc3z04anonymousza31773ze3ze5zzbackend_cz00(obj_t BgL_envz00_3494)
	{
		{	/* BackEnd/c.scm 97 */
			return CNST_TABLE_REF(((long) 12));
		}

	}



/* &<@anonymous:1771> */
	obj_t BGl_z62zc3z04anonymousza31771ze3ze5zzbackend_cz00(obj_t BgL_envz00_3495)
	{
		{	/* BackEnd/c.scm 96 */
			return CNST_TABLE_REF(((long) 12));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_cz00()
	{
		{	/* BackEnd/c.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzengine_configurez00(((long) 272817175),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzengine_compilerz00(((long) 412406770),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzengine_linkz00(((long) 117219619),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzmodule_libraryz00(((long) 292140514),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(((long) 316727058),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzmodule_evalz00(((long) 428236825),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 282085879),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbdb_emitz00(((long) 182920176),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbdb_settingz00(((long) 444161932),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzprof_emitz00(((long) 522750846),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbackend_initz00(((long) 517592975),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbackend_cvmz00(((long) 18449009),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(((long) 14466025),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(((long)
					364917963), BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(((long) 65542503),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzcc_indentz00(((long) 287974509),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzcc_ccz00(((long) 527776065),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzcc_ldz00(((long) 335315213),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzcc_rootsz00(((long) 74776091),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzinit_setrcz00(((long) 32737986),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzread_readerz00(((long) 95801752),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzast_typezd2occurzd2(((long) 176519367),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzcgen_compilez00(((long) 281305322),
				BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
			return BGl_modulezd2initializa7ationz75zzsaw_c_compilez00(((long)
					361755791), BSTRING_TO_STRING(BGl_string2069z00zzbackend_cz00));
		}

	}

#ifdef __cplusplus
}
#endif
