/*===========================================================================*/
/*   (BackEnd/c_proto.scm)                                                   */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/c_proto.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;

	typedef struct BgL_copz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}             *BgL_copz00_bglt;

	typedef struct BgL_cpragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
		obj_t BgL_argsz00;
	}                 *BgL_cpragmaz00_bglt;


	static obj_t BGl_emitzd2cnstzd2stvectorz00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	static obj_t BGl_emitzd2cnstzd2sfunzf2sgfunzf2zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt, obj_t);
	extern obj_t
		BGl_makezd2typedzd2declarationz00zztype_toolsz00(BgL_typez00_bglt, obj_t);
	static obj_t
		BGl_z62emitzd2prototypezd2sfun1408z62zzbackend_c_prototypez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_c_prototypez00 =
		BUNSPEC;
	static obj_t
		BGl_emitzd2prototypezf2svarzf2scnstzd2zzbackend_c_prototypez00
		(BgL_valuez00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_za2czd2portza2zd2zzbackend_c_emitz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_stringzd2sanszd2z42z42zztype_toolsz00(obj_t);
	extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2czd2splitzd2stringza2z00zzengine_paramz00;
	static obj_t
		BGl_getzd2czd2scopez00zzbackend_c_prototypez00(BgL_variablez00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_emitzd2cnstzd2llongz00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzbackend_c_prototypez00();
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_emitzd2cnstzd2selfunz00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_c_prototypez00();
	static obj_t BGl_z62getzd2czd2scope1414z62zzbackend_c_prototypez00(obj_t,
		obj_t);
	extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00();
	static obj_t BGl_objectzd2initzd2zzbackend_c_prototypez00();
	extern obj_t BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00(BGL_LONGLONG_T);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_emitzd2prototypezd2formalsz00zzbackend_c_prototypez00(obj_t);
	static obj_t BGl_emitzd2cnstzd2elongz00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62requirezd2prototypezf3z43zzbackend_c_prototypez00(obj_t,
		obj_t);
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_emitzd2cnstzd2int32z00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_emitzd2classzd2typesz00zzbackend_c_prototypez00(obj_t, obj_t);
	static obj_t BGl_z62emitzd2prototypezb0zzbackend_c_prototypez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_cpragmaz00zzcgen_copz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62getzd2czd2scopezd2local1421zb0zzbackend_c_prototypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2prototypeszd2zzbackend_c_prototypez00();
	static obj_t BGl_z62emitzd2prototypeszb0zzbackend_c_prototypez00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_c_prototypez00();
	static obj_t BGl_crosszd2namezd2zzbackend_c_prototypez00(obj_t);
	static obj_t BGl_z62getzd2czd2scopez62zzbackend_c_prototypez00(obj_t, obj_t);
	static obj_t BGl_emitzd2slotze70z35zzbackend_c_prototypez00(obj_t, obj_t);
	static obj_t BGl_emitzd2cnstzd2int64z00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2maxzd2czd2tokenzd2lengthza2zd2zzengine_paramz00;
	static obj_t
		BGl_z62emitzd2prototypezd2svar1402z62zzbackend_c_prototypez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_emitzd2tvectorzd2typesz00zztvector_tvectorz00(obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t
		BGl_funzd2vazd2stackablezf3zf3zzbackend_c_prototypez00
		(BgL_variablez00_bglt);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_getzd2staticzd2pragmasz00zzast_pragmaz00();
	static obj_t
		BGl_emitzd2prototypezd2zzbackend_c_prototypez00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_idzd2ze3namez31zzast_identz00(obj_t);
	static obj_t BGl_z62emitzd2classzd2typesz62zzbackend_c_prototypez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_getzd2nodezd2atomzd2valuezd2zzcnst_nodez00(BgL_nodez00_bglt);
	extern obj_t BGl_svarz00zzast_varz00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t
		BGl_emitzd2prototypezd2formalzd2typeszd2zzbackend_c_prototypez00(obj_t);
	static obj_t
		BGl_z62emitzd2prototypezd2cfun1410z62zzbackend_c_prototypez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_elongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_untrigraphz00zzbackend_c_emitz00(obj_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	static obj_t BGl_emitzd2cnstzd2stringz00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	BGL_IMPORT obj_t string_for_read(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcgen_emitzd2copzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcgen_copz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_cnstz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern bool_t BGl_emitzd2copzd2zzcgen_emitzd2copzd2(BgL_copz00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t
		BGl_z62getzd2czd2scopezd2global1419zb0zzbackend_c_prototypez00(obj_t,
		obj_t);
	static obj_t
		BGl_z62emitzd2prototypezd2scnst1404z62zzbackend_c_prototypez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_emitzd2cnstzd2slfunz00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzbackend_c_prototypez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_c_prototypez00();
	BGL_EXPORTED_DECL bool_t
		BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(BgL_globalz00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_c_prototypez00();
	static obj_t BGl_z62emitzd2prototype1397zb0zzbackend_c_prototypez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_c_prototypez00();
	static obj_t
		BGl_z62zc3z04anonymousza31545ze3ze5zzbackend_c_prototypez00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_fixnum(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2cnstszd2zzbackend_c_prototypez00();
	extern obj_t BGl_typezd2classzd2namez00zzobject_classz00(BgL_typez00_bglt);
	extern obj_t BGl_typezd2namezd2sanszd2z42z90zztype_toolsz00(BgL_typez00_bglt);
	static obj_t BGl_z62emitzd2cnstszb0zzbackend_c_prototypez00(obj_t);
	extern obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_emitzd2cnstzd2zzbackend_c_prototypez00(BgL_scnstz00_bglt,
		BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_emitzd2cnstzd2realz00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_tvectorzd2ze3czd2vectorze3zztvector_cnstz00(obj_t);
	static obj_t BGl_emitzd2cnstzd2uint32z00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	static obj_t BGl_loopze70ze7zzbackend_c_prototypez00(long, obj_t);
	static obj_t BGl_loopze71ze7zzbackend_c_prototypez00(obj_t);
	static obj_t BGl_loopze72ze7zzbackend_c_prototypez00(obj_t);
	extern obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	static obj_t
		BGl_z62zc3z04anonymousza31583ze3ze5zzbackend_c_prototypez00(obj_t, obj_t);
	static obj_t
		BGl_z62emitzd2prototypezd2cvar1413z62zzbackend_c_prototypez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_emitzd2cnstzd2uint64z00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	extern obj_t BGl_cvarz00zzast_varz00;
	static obj_t __cnst[23];


	   
		 
		DEFINE_STRING(BGl_string2300z00zzbackend_c_prototypez00,
		BgL_bgl_string2300za700za7za7b2342za7, "DEFINE_BGL_L_PROCEDURE(", 23);
	      DEFINE_STRING(BGl_string2301z00zzbackend_c_prototypez00,
		BgL_bgl_string2301za700za7za7b2343za7, "DEFINE_TVECTOR_START( ", 22);
	      DEFINE_STRING(BGl_string2302z00zzbackend_c_prototypez00,
		BgL_bgl_string2302za700za7za7b2344za7, " ) ", 3);
	      DEFINE_STRING(BGl_string2303z00zzbackend_c_prototypez00,
		BgL_bgl_string2303za700za7za7b2345za7, " DEFINE_TVECTOR_STOP( ", 22);
	      DEFINE_STRING(BGl_string2304z00zzbackend_c_prototypez00,
		BgL_bgl_string2304za700za7za7b2346za7, "typedef ", 8);
	      DEFINE_STRING(BGl_string2305z00zzbackend_c_prototypez00,
		BgL_bgl_string2305za700za7za7b2347za7, " {", 2);
	      DEFINE_STRING(BGl_string2306z00zzbackend_c_prototypez00,
		BgL_bgl_string2306za700za7za7b2348za7, "   char dummy;", 14);
	      DEFINE_STRING(BGl_string2307z00zzbackend_c_prototypez00,
		BgL_bgl_string2307za700za7za7b2349za7, "} *", 3);
	      DEFINE_STRING(BGl_string2308z00zzbackend_c_prototypez00,
		BgL_bgl_string2308za700za7za7b2350za7, ";\n", 2);
	      DEFINE_STRING(BGl_string2309z00zzbackend_c_prototypez00,
		BgL_bgl_string2309za700za7za7b2351za7, "   header_t header;", 19);
	      DEFINE_STRING(BGl_string2310z00zzbackend_c_prototypez00,
		BgL_bgl_string2310za700za7za7b2352za7, "   obj_t widening;", 18);
	      DEFINE_STRING(BGl_string2311z00zzbackend_c_prototypez00,
		BgL_bgl_string2311za700za7za7b2353za7, "/* object type definitions */", 29);
	      DEFINE_STRING(BGl_string2312z00zzbackend_c_prototypez00,
		BgL_bgl_string2312za700za7za7b2354za7, "   ", 3);
	      DEFINE_STRING(BGl_string2313z00zzbackend_c_prototypez00,
		BgL_bgl_string2313za700za7za7b2355za7, " ", 1);
	      DEFINE_STRING(BGl_string2314z00zzbackend_c_prototypez00,
		BgL_bgl_string2314za700za7za7b2356za7, " *", 2);
	      DEFINE_STRING(BGl_string2316z00zzbackend_c_prototypez00,
		BgL_bgl_string2316za700za7za7b2357za7, "emit-prototype1397", 18);
	      DEFINE_STRING(BGl_string2318z00zzbackend_c_prototypez00,
		BgL_bgl_string2318za700za7za7b2358za7, "get-c-scope1414", 15);
	      DEFINE_STRING(BGl_string2319z00zzbackend_c_prototypez00,
		BgL_bgl_string2319za700za7za7b2359za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2321z00zzbackend_c_prototypez00,
		BgL_bgl_string2321za700za7za7b2360za7, "emit-prototype", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2315z00zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2protot2361z00,
		BGl_z62emitzd2prototype1397zb0zzbackend_c_prototypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2317z00zzbackend_c_prototypez00,
		BgL_bgl_za762getza7d2cza7d2sco2362za7,
		BGl_z62getzd2czd2scope1414z62zzbackend_c_prototypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2327z00zzbackend_c_prototypez00,
		BgL_bgl_string2327za700za7za7b2363za7, "get-c-scope", 11);
	      DEFINE_STRING(BGl_string2329z00zzbackend_c_prototypez00,
		BgL_bgl_string2329za700za7za7b2364za7, "BGL_IMPORT", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2320z00zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2protot2365z00,
		BGl_z62emitzd2prototypezd2svar1402z62zzbackend_c_prototypez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2322z00zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2protot2366z00,
		BGl_z62emitzd2prototypezd2scnst1404z62zzbackend_c_prototypez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2323z00zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2protot2367z00,
		BGl_z62emitzd2prototypezd2sfun1408z62zzbackend_c_prototypez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2330z00zzbackend_c_prototypez00,
		BgL_bgl_string2330za700za7za7b2368za7, "extern", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2324z00zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2protot2369z00,
		BGl_z62emitzd2prototypezd2cfun1410z62zzbackend_c_prototypez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2331z00zzbackend_c_prototypez00,
		BgL_bgl_string2331za700za7za7b2370za7, "BGL_EXPORTED_DECL", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2325z00zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2protot2371z00,
		BGl_z62emitzd2prototypezd2cvar1413z62zzbackend_c_prototypez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2332z00zzbackend_c_prototypez00,
		BgL_bgl_string2332za700za7za7b2372za7, "Unknown importation", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2326z00zzbackend_c_prototypez00,
		BgL_bgl_za762getza7d2cza7d2sco2373za7,
		BGl_z62getzd2czd2scopezd2global1419zb0zzbackend_c_prototypez00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2251z00zzbackend_c_prototypez00,
		BgL_bgl_string2251za700za7za7b2374za7, "static BGL_THREAD_DECL", 22);
	      DEFINE_STRING(BGl_string2333z00zzbackend_c_prototypez00,
		BgL_bgl_string2333za700za7za7b2375za7, " BGL_THREAD_DECL", 16);
	      DEFINE_STRING(BGl_string2252z00zzbackend_c_prototypez00,
		BgL_bgl_string2252za700za7za7b2376za7, "static", 6);
	      DEFINE_STRING(BGl_string2334z00zzbackend_c_prototypez00,
		BgL_bgl_string2334za700za7za7b2377za7, "BGL_IMPORT ", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2328z00zzbackend_c_prototypez00,
		BgL_bgl_za762getza7d2cza7d2sco2378za7,
		BGl_z62getzd2czd2scopezd2local1421zb0zzbackend_c_prototypez00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2253z00zzbackend_c_prototypez00,
		BgL_bgl_string2253za700za7za7b2379za7, " = BUNSPEC;", 11);
	      DEFINE_STRING(BGl_string2335z00zzbackend_c_prototypez00,
		BgL_bgl_string2335za700za7za7b2380za7, "extern ", 7);
	      DEFINE_STRING(BGl_string2254z00zzbackend_c_prototypez00,
		BgL_bgl_string2254za700za7za7b2381za7, "BGL_THREAD_DECL ", 16);
	      DEFINE_STRING(BGl_string2336z00zzbackend_c_prototypez00,
		BgL_bgl_string2336za700za7za7b2382za7, ", ...)", 6);
	      DEFINE_STRING(BGl_string2255z00zzbackend_c_prototypez00,
		BgL_bgl_string2255za700za7za7b2383za7, "BGL_EXPORTED_DEF ", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2249z00zzbackend_c_prototypez00,
		BgL_bgl_za762za7c3za704anonymo2384za7,
		BGl_z62zc3z04anonymousza31545ze3ze5zzbackend_c_prototypez00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2337z00zzbackend_c_prototypez00,
		BgL_bgl_string2337za700za7za7b2385za7, "...)", 4);
	      DEFINE_STRING(BGl_string2256z00zzbackend_c_prototypez00,
		BgL_bgl_string2256za700za7za7b2386za7, "(", 1);
	      DEFINE_STRING(BGl_string2338z00zzbackend_c_prototypez00,
		BgL_bgl_string2338za700za7za7b2387za7, "backend_c_prototype", 19);
	      DEFINE_STRING(BGl_string2257z00zzbackend_c_prototypez00,
		BgL_bgl_string2257za700za7za7b2388za7, ")", 1);
	      DEFINE_STRING(BGl_string2339z00zzbackend_c_prototypez00,
		BgL_bgl_string2339za700za7za7b2389za7,
		"emit-prototype1397 get-c-scope1414 * import stvector slfun selfun sgfun sfun suint64 sint64 suint32 sint32 sllong selong sreal sstring thread-local bigloo-initialized! __param never export static ",
		196);
	      DEFINE_STRING(BGl_string2258z00zzbackend_c_prototypez00,
		BgL_bgl_string2258za700za7za7b2390za7, ", ", 2);
	      DEFINE_STRING(BGl_string2259z00zzbackend_c_prototypez00,
		BgL_bgl_string2259za700za7za7b2391za7, "()", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2250z00zzbackend_c_prototypez00,
		BgL_bgl_za762za7c3za704anonymo2392za7,
		BGl_z62zc3z04anonymousza31583ze3ze5zzbackend_c_prototypez00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2260z00zzbackend_c_prototypez00,
		BgL_bgl_string2260za700za7za7b2393za7, "PROCEDURE", 9);
	      DEFINE_STRING(BGl_string2261z00zzbackend_c_prototypez00,
		BgL_bgl_string2261za700za7za7b2394za7, "GENERIC", 7);
	      DEFINE_STRING(BGl_string2262z00zzbackend_c_prototypez00,
		BgL_bgl_string2262za700za7za7b2395za7, "Unknown cnst class \"~a\"", 23);
	      DEFINE_STRING(BGl_string2263z00zzbackend_c_prototypez00,
		BgL_bgl_string2263za700za7za7b2396za7, "backend:emit-cnst", 17);
	      DEFINE_STRING(BGl_string2264z00zzbackend_c_prototypez00,
		BgL_bgl_string2264za700za7za7b2397za7, "DEFINE_STRING_START( ", 21);
	      DEFINE_STRING(BGl_string2265z00zzbackend_c_prototypez00,
		BgL_bgl_string2265za700za7za7b2398za7, "), ", 3);
	      DEFINE_STRING(BGl_string2266z00zzbackend_c_prototypez00,
		BgL_bgl_string2266za700za7za7b2399za7, "{", 1);
	      DEFINE_STRING(BGl_string2267z00zzbackend_c_prototypez00,
		BgL_bgl_string2267za700za7za7b2400za7, "0 } \n", 5);
	      DEFINE_STRING(BGl_string2268z00zzbackend_c_prototypez00,
		BgL_bgl_string2268za700za7za7b2401za7, "DEFINE_STRING_STOP( ", 20);
	      DEFINE_STRING(BGl_string2269z00zzbackend_c_prototypez00,
		BgL_bgl_string2269za700za7za7b2402za7, ");", 2);
	      DEFINE_STRING(BGl_string2270z00zzbackend_c_prototypez00,
		BgL_bgl_string2270za700za7za7b2403za7, ",", 1);
	      DEFINE_STRING(BGl_string2271z00zzbackend_c_prototypez00,
		BgL_bgl_string2271za700za7za7b2404za7, "DEFINE_STRING( ", 15);
	      DEFINE_STRING(BGl_string2272z00zzbackend_c_prototypez00,
		BgL_bgl_string2272za700za7za7b2405za7, ", \"", 3);
	      DEFINE_STRING(BGl_string2273z00zzbackend_c_prototypez00,
		BgL_bgl_string2273za700za7za7b2406za7, "\", ", 3);
	      DEFINE_STRING(BGl_string2274z00zzbackend_c_prototypez00,
		BgL_bgl_string2274za700za7za7b2407za7, " );", 3);
	      DEFINE_STRING(BGl_string2275z00zzbackend_c_prototypez00,
		BgL_bgl_string2275za700za7za7b2408za7, "emit-cnst-string", 16);
	      DEFINE_STRING(BGl_string2276z00zzbackend_c_prototypez00,
		BgL_bgl_string2276za700za7za7b2409za7, "Can't emit string", 17);
	      DEFINE_STRING(BGl_string2277z00zzbackend_c_prototypez00,
		BgL_bgl_string2277za700za7za7b2410za7, "\"\n\"", 3);
	      DEFINE_STRING(BGl_string2278z00zzbackend_c_prototypez00,
		BgL_bgl_string2278za700za7za7b2411za7, "#define ", 8);
	      DEFINE_STRING(BGl_string2279z00zzbackend_c_prototypez00,
		BgL_bgl_string2279za700za7za7b2412za7, " bigloo_nan", 11);
	      DEFINE_STRING(BGl_string2280z00zzbackend_c_prototypez00,
		BgL_bgl_string2280za700za7za7b2413za7, " bigloo_infinity", 16);
	      DEFINE_STRING(BGl_string2281z00zzbackend_c_prototypez00,
		BgL_bgl_string2281za700za7za7b2414za7, " bigloo_minfinity", 17);
	      DEFINE_STRING(BGl_string2282z00zzbackend_c_prototypez00,
		BgL_bgl_string2282za700za7za7b2415za7, "DEFINE_REAL( ", 13);
	      DEFINE_STRING(BGl_string2283z00zzbackend_c_prototypez00,
		BgL_bgl_string2283za700za7za7b2416za7, "DEFINE_ELONG( ", 14);
	      DEFINE_STRING(BGl_string2284z00zzbackend_c_prototypez00,
		BgL_bgl_string2284za700za7za7b2417za7, "DEFINE_LLONG( ", 14);
	      DEFINE_STRING(BGl_string2285z00zzbackend_c_prototypez00,
		BgL_bgl_string2285za700za7za7b2418za7, "DEFINE_INT32( ", 14);
	      DEFINE_STRING(BGl_string2286z00zzbackend_c_prototypez00,
		BgL_bgl_string2286za700za7za7b2419za7, "DEFINE_UINT32( ", 15);
	      DEFINE_STRING(BGl_string2287z00zzbackend_c_prototypez00,
		BgL_bgl_string2287za700za7za7b2420za7, "DEFINE_INT64( ", 14);
	      DEFINE_STRING(BGl_string2288z00zzbackend_c_prototypez00,
		BgL_bgl_string2288za700za7za7b2421za7, "DEFINE_UINT64( ", 15);
	      DEFINE_STRING(BGl_string2289z00zzbackend_c_prototypez00,
		BgL_bgl_string2289za700za7za7b2422za7, "DEFINE_STATIC_BGL_", 18);
	      DEFINE_STRING(BGl_string2290z00zzbackend_c_prototypez00,
		BgL_bgl_string2290za700za7za7b2423za7, "( ", 2);
	      DEFINE_STRING(BGl_string2291z00zzbackend_c_prototypez00,
		BgL_bgl_string2291za700za7za7b2424za7, "DEFINE_EXPORT_BGL_", 18);
	      DEFINE_STRING(BGl_string2292z00zzbackend_c_prototypez00,
		BgL_bgl_string2292za700za7za7b2425za7, ", opt_generic_entry", 19);
	      DEFINE_STRING(BGl_string2293z00zzbackend_c_prototypez00,
		BgL_bgl_string2293za700za7za7b2426za7, ", BFALSE, ", 10);
	      DEFINE_STRING(BGl_string2294z00zzbackend_c_prototypez00,
		BgL_bgl_string2294za700za7za7b2427za7, ", 0L, BUNSPEC, ", 15);
	      DEFINE_STRING(BGl_string2295z00zzbackend_c_prototypez00,
		BgL_bgl_string2295za700za7za7b2428za7, ", bgl_va_stack_entry", 20);
	      DEFINE_STRING(BGl_string2296z00zzbackend_c_prototypez00,
		BgL_bgl_string2296za700za7za7b2429za7, ", va_generic_entry", 18);
	      DEFINE_STRING(BGl_string2297z00zzbackend_c_prototypez00,
		BgL_bgl_string2297za700za7za7b2430za7, ", BUNSPEC, ", 11);
	      DEFINE_STRING(BGl_string2298z00zzbackend_c_prototypez00,
		BgL_bgl_string2298za700za7za7b2431za7, "static obj_t ", 13);
	      DEFINE_STRING(BGl_string2299z00zzbackend_c_prototypez00,
		BgL_bgl_string2299za700za7za7b2432za7, ";", 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_requirezd2prototypezf3zd2envzf3zzbackend_c_prototypez00,
		BgL_bgl_za762requireza7d2pro2433z00,
		BGl_z62requirezd2prototypezf3z43zzbackend_c_prototypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2cnstszd2envz00zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2cnstsza72434za7,
		BGl_z62emitzd2cnstszb0zzbackend_c_prototypez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_emitzd2prototypezd2envz00zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2protot2435z00,
		BGl_z62emitzd2prototypezb0zzbackend_c_prototypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2classzd2typeszd2envzd2zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2classza72436za7,
		BGl_z62emitzd2classzd2typesz62zzbackend_c_prototypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2prototypeszd2envz00zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2protot2437z00,
		BGl_z62emitzd2prototypeszb0zzbackend_c_prototypez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_getzd2czd2scopezd2envzd2zzbackend_c_prototypez00,
		BgL_bgl_za762getza7d2cza7d2sco2438za7,
		BGl_z62getzd2czd2scopez62zzbackend_c_prototypez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzbackend_c_prototypez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long
		BgL_checksumz00_4035, char *BgL_fromz00_4036)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_c_prototypez00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_c_prototypez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_c_prototypez00();
					BGl_libraryzd2moduleszd2initz00zzbackend_c_prototypez00();
					BGl_cnstzd2initzd2zzbackend_c_prototypez00();
					BGl_importedzd2moduleszd2initz00zzbackend_c_prototypez00();
					BGl_genericzd2initzd2zzbackend_c_prototypez00();
					BGl_methodzd2initzd2zzbackend_c_prototypez00();
					return BGl_toplevelzd2initzd2zzbackend_c_prototypez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_c_prototypez00()
	{
		{	/* BackEnd/c_proto.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0),
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long) 0),
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"backend_c_prototype");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_c_prototypez00()
	{
		{	/* BackEnd/c_proto.scm 15 */
			{	/* BackEnd/c_proto.scm 15 */
				obj_t BgL_cportz00_3940;

				{	/* BackEnd/c_proto.scm 15 */
					obj_t BgL_stringz00_3948;

					BgL_stringz00_3948 = BGl_string2339z00zzbackend_c_prototypez00;
					{	/* BackEnd/c_proto.scm 15 */
						obj_t BgL_startz00_3949;

						BgL_startz00_3949 = BINT(((long) 0));
						{	/* BackEnd/c_proto.scm 15 */
							obj_t BgL_endz00_3950;

							BgL_endz00_3950 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3948)));
							{	/* BackEnd/c_proto.scm 15 */

								BgL_cportz00_3940 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3948, BgL_startz00_3949, BgL_endz00_3950);
				}}}}
				{
					long BgL_iz00_3941;

					BgL_iz00_3941 = ((long) 22);
				BgL_loopz00_3942:
					if ((BgL_iz00_3941 == ((long) -1)))
						{	/* BackEnd/c_proto.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/c_proto.scm 15 */
							{	/* BackEnd/c_proto.scm 15 */
								obj_t BgL_arg2341z00_3944;

								{	/* BackEnd/c_proto.scm 15 */

									{	/* BackEnd/c_proto.scm 15 */
										obj_t BgL_locationz00_3946;

										BgL_locationz00_3946 = BBOOL(((bool_t) 0));
										{	/* BackEnd/c_proto.scm 15 */

											BgL_arg2341z00_3944 =
												BGl_readz00zz__readerz00(BgL_cportz00_3940,
												BgL_locationz00_3946);
										}
									}
								}
								{	/* BackEnd/c_proto.scm 15 */
									int BgL_tmpz00_4073;

									BgL_tmpz00_4073 = (int) (BgL_iz00_3941);
									CNST_TABLE_SET(BgL_tmpz00_4073, BgL_arg2341z00_3944);
							}}
							{	/* BackEnd/c_proto.scm 15 */
								int BgL_auxz00_3947;

								BgL_auxz00_3947 = (int) ((BgL_iz00_3941 - ((long) 1)));
								{
									long BgL_iz00_4078;

									BgL_iz00_4078 = (long) (BgL_auxz00_3947);
									BgL_iz00_3941 = BgL_iz00_4078;
									goto BgL_loopz00_3942;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_c_prototypez00()
	{
		{	/* BackEnd/c_proto.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_c_prototypez00()
	{
		{	/* BackEnd/c_proto.scm 15 */
			return BUNSPEC;
		}

	}



/* require-prototype? */
	BGL_EXPORTED_DEF bool_t
		BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(BgL_globalz00_bglt
		BgL_globalz00_13)
	{
		{	/* BackEnd/c_proto.scm 49 */
			{	/* BackEnd/c_proto.scm 50 */
				bool_t BgL_test2441z00_4081;

				{	/* BackEnd/c_proto.scm 50 */
					bool_t BgL__ortest_1138z00_2084;

					{	/* BackEnd/c_proto.scm 50 */
						obj_t BgL_arg1536z00_2088;

						BgL_arg1536z00_2088 =
							(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_13))->BgL_modulez00);
						BgL__ortest_1138z00_2084 =
							(BgL_arg1536z00_2088 == BGl_za2moduleza2z00zzmodule_modulez00);
					}
					if (BgL__ortest_1138z00_2084)
						{	/* BackEnd/c_proto.scm 50 */
							BgL_test2441z00_4081 = BgL__ortest_1138z00_2084;
						}
					else
						{	/* BackEnd/c_proto.scm 50 */
							if (
								((((BgL_globalz00_bglt) COBJECT(BgL_globalz00_13))->
										BgL_importz00) == CNST_TABLE_REF(((long) 0))))
								{	/* BackEnd/c_proto.scm 51 */
									BgL_test2441z00_4081 = ((bool_t) 0);
								}
							else
								{	/* BackEnd/c_proto.scm 51 */
									BgL_test2441z00_4081 = ((bool_t) 1);
								}
						}
				}
				if (BgL_test2441z00_4081)
					{	/* BackEnd/c_proto.scm 52 */
						bool_t BgL__ortest_1139z00_2077;

						{	/* BackEnd/c_proto.scm 52 */
							bool_t BgL_test2444z00_4089;

							{	/* BackEnd/c_proto.scm 52 */
								obj_t BgL_arg1520z00_2083;

								BgL_arg1520z00_2083 =
									(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_13))->
									BgL_modulez00);
								BgL_test2444z00_4089 =
									(BgL_arg1520z00_2083 ==
									BGl_za2moduleza2z00zzmodule_modulez00);
							}
							if (BgL_test2444z00_4089)
								{	/* BackEnd/c_proto.scm 52 */
									BgL__ortest_1139z00_2077 =
										(
										(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_13))->
											BgL_importz00) == CNST_TABLE_REF(((long) 1)));
								}
							else
								{	/* BackEnd/c_proto.scm 52 */
									BgL__ortest_1139z00_2077 = ((bool_t) 0);
								}
						}
						if (BgL__ortest_1139z00_2077)
							{	/* BackEnd/c_proto.scm 52 */
								return BgL__ortest_1139z00_2077;
							}
						else
							{	/* BackEnd/c_proto.scm 54 */
								bool_t BgL__ortest_1140z00_2078;

								BgL__ortest_1140z00_2078 =
									(
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_globalz00_13)))->
										BgL_occurrencez00) > ((long) 0));
								if (BgL__ortest_1140z00_2078)
									{	/* BackEnd/c_proto.scm 54 */
										return BgL__ortest_1140z00_2078;
									}
								else
									{	/* BackEnd/c_proto.scm 54 */
										return
											(
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_13)))->
												BgL_removablez00) == CNST_TABLE_REF(((long) 2)));
					}}}
				else
					{	/* BackEnd/c_proto.scm 50 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &require-prototype? */
	obj_t BGl_z62requirezd2prototypezf3z43zzbackend_c_prototypez00(obj_t
		BgL_envz00_3886, obj_t BgL_globalz00_3887)
	{
		{	/* BackEnd/c_proto.scm 49 */
			return
				BBOOL(BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(
					((BgL_globalz00_bglt) BgL_globalz00_3887)));
		}

	}



/* emit-prototypes */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2prototypeszd2zzbackend_c_prototypez00()
	{
		{	/* BackEnd/c_proto.scm 60 */
			{	/* BackEnd/c_proto.scm 63 */
				obj_t BgL_initz00_2089;

				{	/* BackEnd/c_proto.scm 63 */
					obj_t BgL_list1537z00_2090;

					BgL_list1537z00_2090 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
					BgL_initz00_2089 =
						BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 4)),
						BgL_list1537z00_2090);
				}
				if (CBOOL(BgL_initz00_2089))
					{	/* BackEnd/c_proto.scm 64 */
						BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
							((BgL_variablez00_bglt) BgL_initz00_2089));
					}
				else
					{	/* BackEnd/c_proto.scm 64 */
						BFALSE;
					}
			}
			BGl_forzd2eachzd2globalz12z12zzast_envz00
				(BGl_proc2249z00zzbackend_c_prototypez00, BNIL);
			{	/* BackEnd/c_proto.scm 74 */
				obj_t BgL_cnstzd2initzd2_2105;

				BgL_cnstzd2initzd2_2105 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
				{	/* BackEnd/c_proto.scm 75 */
					BgL_valuez00_bglt BgL_arg1563z00_2106;

					BgL_arg1563z00_2106 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_cnstzd2initzd2_2105))))->
						BgL_valuez00);
					BGl_emitzd2prototypezd2zzbackend_c_prototypez00(BgL_arg1563z00_2106,
						((BgL_variablez00_bglt) BgL_cnstzd2initzd2_2105));
				}
			}
			{	/* BackEnd/c_proto.scm 77 */
				obj_t BgL_pragmasz00_2107;

				BgL_pragmasz00_2107 = BGl_getzd2staticzd2pragmasz00zzast_pragmaz00();
				if (NULLP(BgL_pragmasz00_2107))
					{	/* BackEnd/c_proto.scm 78 */
						BFALSE;
					}
				else
					{	/* BackEnd/c_proto.scm 78 */
						{
							obj_t BgL_l1352z00_2110;

							BgL_l1352z00_2110 = BgL_pragmasz00_2107;
						BgL_zc3z04anonymousza31566ze3z87_2111:
							if (PAIRP(BgL_l1352z00_2110))
								{	/* BackEnd/c_proto.scm 79 */
									{	/* BackEnd/c_proto.scm 80 */
										BgL_pragmaz00_bglt BgL_pz00_2113;

										BgL_pz00_2113 =
											((BgL_pragmaz00_bglt) CAR(BgL_l1352z00_2110));
										{	/* BackEnd/c_proto.scm 80 */
											BgL_cpragmaz00_bglt BgL_arg1570z00_2114;

											{	/* BackEnd/c_proto.scm 80 */
												BgL_cpragmaz00_bglt BgL_new1143z00_2115;

												{	/* BackEnd/c_proto.scm 82 */
													BgL_cpragmaz00_bglt BgL_new1142z00_2116;

													BgL_new1142z00_2116 =
														((BgL_cpragmaz00_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_cpragmaz00_bgl))));
													{	/* BackEnd/c_proto.scm 82 */
														long BgL_arg1571z00_2117;

														BgL_arg1571z00_2117 =
															BGL_CLASS_NUM(BGl_cpragmaz00zzcgen_copz00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1142z00_2116),
															BgL_arg1571z00_2117);
													}
													BgL_new1143z00_2115 = BgL_new1142z00_2116;
												}
												((((BgL_copz00_bglt) COBJECT(
																((BgL_copz00_bglt) BgL_new1143z00_2115)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) BgL_pz00_2113)))->
															BgL_locz00)), BUNSPEC);
												((((BgL_cpragmaz00_bglt) COBJECT(BgL_new1143z00_2115))->
														BgL_formatz00) =
													((obj_t) (((BgL_pragmaz00_bglt)
																COBJECT(BgL_pz00_2113))->BgL_formatz00)),
													BUNSPEC);
												((((BgL_cpragmaz00_bglt) COBJECT(BgL_new1143z00_2115))->
														BgL_argsz00) =
													((obj_t) (((BgL_externz00_bglt)
																COBJECT(((BgL_externz00_bglt) BgL_pz00_2113)))->
															BgL_exprza2za2)), BUNSPEC);
												BgL_arg1570z00_2114 = BgL_new1143z00_2115;
											}
											BGl_emitzd2copzd2zzcgen_emitzd2copzd2(
												((BgL_copz00_bglt) BgL_arg1570z00_2114));
									}}
									{
										obj_t BgL_l1352z00_4144;

										BgL_l1352z00_4144 = CDR(BgL_l1352z00_2110);
										BgL_l1352z00_2110 = BgL_l1352z00_4144;
										goto BgL_zc3z04anonymousza31566ze3z87_2111;
									}
								}
							else
								{	/* BackEnd/c_proto.scm 79 */
									((bool_t) 1);
								}
						}
						bgl_display_char(((unsigned char) 10),
							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			}}
			BGl_emitzd2tvectorzd2typesz00zztvector_tvectorz00
				(BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			return bgl_display_char(((unsigned char) 10),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}

	}



/* &emit-prototypes */
	obj_t BGl_z62emitzd2prototypeszb0zzbackend_c_prototypez00(obj_t
		BgL_envz00_3889)
	{
		{	/* BackEnd/c_proto.scm 60 */
			return BGl_emitzd2prototypeszd2zzbackend_c_prototypez00();
		}

	}



/* &<@anonymous:1545> */
	obj_t BGl_z62zc3z04anonymousza31545ze3ze5zzbackend_c_prototypez00(obj_t
		BgL_envz00_3890, obj_t BgL_globalz00_3891)
	{
		{	/* BackEnd/c_proto.scm 67 */
			{	/* BackEnd/c_proto.scm 68 */
				bool_t BgL_test2450z00_4150;

				if (BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(
						((BgL_globalz00_bglt) BgL_globalz00_3891)))
					{	/* BackEnd/c_proto.scm 69 */
						bool_t BgL_test2452z00_4154;

						{	/* BackEnd/c_proto.scm 69 */
							BgL_valuez00_bglt BgL_arg1555z00_3952;

							BgL_arg1555z00_3952 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_3891))))->
								BgL_valuez00);
							{	/* BackEnd/c_proto.scm 69 */
								obj_t BgL_classz00_3953;

								BgL_classz00_3953 = BGl_scnstz00zzast_varz00;
								{	/* BackEnd/c_proto.scm 69 */
									BgL_objectz00_bglt BgL_arg1825z00_3954;

									{	/* BackEnd/c_proto.scm 69 */
										obj_t BgL_tmpz00_4158;

										BgL_tmpz00_4158 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1555z00_3952));
										BgL_arg1825z00_3954 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4158);
									}
									{	/* BackEnd/c_proto.scm 69 */
										bool_t BgL_arg1822z00_3955;
										bool_t BgL_arg1823z00_3956;

										{	/* BackEnd/c_proto.scm 69 */
											long BgL_idxz00_3957;

											BgL_idxz00_3957 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3954);
											BgL_arg1822z00_3955 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3957 + ((long) 2))) == BgL_classz00_3953);
										}
										{	/* BackEnd/c_proto.scm 69 */
											bool_t BgL_res2225z00_3960;

											{	/* BackEnd/c_proto.scm 69 */
												obj_t BgL_oclassz00_3961;

												{	/* BackEnd/c_proto.scm 69 */
													long BgL_arg1833z00_3962;

													{	/* BackEnd/c_proto.scm 69 */
														long BgL_arg1834z00_3963;

														BgL_arg1834z00_3963 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3954);
														BgL_arg1833z00_3962 =
															(BgL_arg1834z00_3963 - OBJECT_TYPE);
													}
													BgL_oclassz00_3961 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_3962);
												}
												{	/* BackEnd/c_proto.scm 69 */
													bool_t BgL__ortest_1110z00_3964;

													BgL__ortest_1110z00_3964 =
														(BgL_classz00_3953 == BgL_oclassz00_3961);
													if (BgL__ortest_1110z00_3964)
														{	/* BackEnd/c_proto.scm 69 */
															BgL_res2225z00_3960 = BgL__ortest_1110z00_3964;
														}
													else
														{	/* BackEnd/c_proto.scm 69 */
															long BgL_odepthz00_3965;

															BgL_odepthz00_3965 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3961);
															if ((((long) 2) < BgL_odepthz00_3965))
																{	/* BackEnd/c_proto.scm 69 */
																	obj_t BgL_arg1821z00_3966;

																	BgL_arg1821z00_3966 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3961,
																		((long) 2));
																	BgL_res2225z00_3960 =
																		(BgL_arg1821z00_3966 == BgL_classz00_3953);
																}
															else
																{	/* BackEnd/c_proto.scm 69 */
																	BgL_res2225z00_3960 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_3956 = BgL_res2225z00_3960;
										}
										BgL_test2452z00_4154 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_3955,
											BgL_arg1823z00_3956);
									}
								}
							}
						}
						if (BgL_test2452z00_4154)
							{	/* BackEnd/c_proto.scm 69 */
								BgL_test2450z00_4150 = ((bool_t) 0);
							}
						else
							{	/* BackEnd/c_proto.scm 69 */
								BgL_test2450z00_4150 = ((bool_t) 1);
							}
					}
				else
					{	/* BackEnd/c_proto.scm 68 */
						BgL_test2450z00_4150 = ((bool_t) 0);
					}
				if (BgL_test2450z00_4150)
					{	/* BackEnd/c_proto.scm 70 */
						BgL_valuez00_bglt BgL_arg1554z00_3967;

						BgL_arg1554z00_3967 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_globalz00_3891))))->BgL_valuez00);
						return
							BGl_emitzd2prototypezd2zzbackend_c_prototypez00
							(BgL_arg1554z00_3967,
							((BgL_variablez00_bglt) BgL_globalz00_3891));
					}
				else
					{	/* BackEnd/c_proto.scm 68 */
						return BFALSE;
					}
			}
		}

	}



/* emit-cnsts */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2cnstszd2zzbackend_c_prototypez00()
	{
		{	/* BackEnd/c_proto.scm 94 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00
				(BGl_proc2250z00zzbackend_c_prototypez00, BNIL);
			return bgl_display_char(((unsigned char) 10),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}

	}



/* &emit-cnsts */
	obj_t BGl_z62emitzd2cnstszb0zzbackend_c_prototypez00(obj_t BgL_envz00_3893)
	{
		{	/* BackEnd/c_proto.scm 94 */
			return BGl_emitzd2cnstszd2zzbackend_c_prototypez00();
		}

	}



/* &<@anonymous:1583> */
	obj_t BGl_z62zc3z04anonymousza31583ze3ze5zzbackend_c_prototypez00(obj_t
		BgL_envz00_3894, obj_t BgL_globalz00_3895)
	{
		{	/* BackEnd/c_proto.scm 96 */
			{	/* BackEnd/c_proto.scm 97 */
				bool_t BgL_test2455z00_4185;

				if (BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(
						((BgL_globalz00_bglt) BgL_globalz00_3895)))
					{	/* BackEnd/c_proto.scm 98 */
						BgL_valuez00_bglt BgL_arg1595z00_3968;

						BgL_arg1595z00_3968 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_globalz00_3895))))->BgL_valuez00);
						{	/* BackEnd/c_proto.scm 98 */
							obj_t BgL_classz00_3969;

							BgL_classz00_3969 = BGl_scnstz00zzast_varz00;
							{	/* BackEnd/c_proto.scm 98 */
								BgL_objectz00_bglt BgL_arg1825z00_3970;

								{	/* BackEnd/c_proto.scm 98 */
									obj_t BgL_tmpz00_4192;

									BgL_tmpz00_4192 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1595z00_3968));
									BgL_arg1825z00_3970 = (BgL_objectz00_bglt) (BgL_tmpz00_4192);
								}
								{	/* BackEnd/c_proto.scm 98 */
									bool_t BgL_arg1822z00_3971;
									bool_t BgL_arg1823z00_3972;

									{	/* BackEnd/c_proto.scm 98 */
										long BgL_idxz00_3973;

										BgL_idxz00_3973 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3970);
										BgL_arg1822z00_3971 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3973 + ((long) 2))) == BgL_classz00_3969);
									}
									{	/* BackEnd/c_proto.scm 98 */
										bool_t BgL_res2226z00_3976;

										{	/* BackEnd/c_proto.scm 98 */
											obj_t BgL_oclassz00_3977;

											{	/* BackEnd/c_proto.scm 98 */
												long BgL_arg1833z00_3978;

												{	/* BackEnd/c_proto.scm 98 */
													long BgL_arg1834z00_3979;

													BgL_arg1834z00_3979 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3970);
													BgL_arg1833z00_3978 =
														(BgL_arg1834z00_3979 - OBJECT_TYPE);
												}
												BgL_oclassz00_3977 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_3978);
											}
											{	/* BackEnd/c_proto.scm 98 */
												bool_t BgL__ortest_1110z00_3980;

												BgL__ortest_1110z00_3980 =
													(BgL_classz00_3969 == BgL_oclassz00_3977);
												if (BgL__ortest_1110z00_3980)
													{	/* BackEnd/c_proto.scm 98 */
														BgL_res2226z00_3976 = BgL__ortest_1110z00_3980;
													}
												else
													{	/* BackEnd/c_proto.scm 98 */
														long BgL_odepthz00_3981;

														BgL_odepthz00_3981 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3977);
														if ((((long) 2) < BgL_odepthz00_3981))
															{	/* BackEnd/c_proto.scm 98 */
																obj_t BgL_arg1821z00_3982;

																BgL_arg1821z00_3982 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3977,
																	((long) 2));
																BgL_res2226z00_3976 =
																	(BgL_arg1821z00_3982 == BgL_classz00_3969);
															}
														else
															{	/* BackEnd/c_proto.scm 98 */
																BgL_res2226z00_3976 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_3972 = BgL_res2226z00_3976;
									}
									BgL_test2455z00_4185 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_3971, BgL_arg1823z00_3972);
								}
							}
						}
					}
				else
					{	/* BackEnd/c_proto.scm 97 */
						BgL_test2455z00_4185 = ((bool_t) 0);
					}
				if (BgL_test2455z00_4185)
					{	/* BackEnd/c_proto.scm 99 */
						BgL_valuez00_bglt BgL_arg1588z00_3983;

						BgL_arg1588z00_3983 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_globalz00_3895))))->BgL_valuez00);
						return
							BGl_emitzd2cnstzd2zzbackend_c_prototypez00(
							((BgL_scnstz00_bglt) BgL_arg1588z00_3983),
							((BgL_globalz00_bglt) BgL_globalz00_3895));
					}
				else
					{	/* BackEnd/c_proto.scm 97 */
						return BFALSE;
					}
			}
		}

	}



/* emit-prototype/svar/scnst */
	obj_t
		BGl_emitzd2prototypezf2svarzf2scnstzd2zzbackend_c_prototypez00
		(BgL_valuez00_bglt BgL_valuez00_20, obj_t BgL_variablez00_21)
	{
		{	/* BackEnd/c_proto.scm 122 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_variablez00_21));
			if (
				((((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_variablez00_21)))->BgL_importz00) ==
					CNST_TABLE_REF(((long) 0))))
				{	/* BackEnd/c_proto.scm 127 */
					obj_t BgL_port1354z00_2134;

					BgL_port1354z00_2134 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c_proto.scm 128 */
						obj_t BgL_arg1601z00_2135;

						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF((
											(long) 5)),
									(((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
													BgL_variablez00_21)))->BgL_pragmaz00))))
							{	/* BackEnd/c_proto.scm 128 */
								BgL_arg1601z00_2135 = BGl_string2251z00zzbackend_c_prototypez00;
							}
						else
							{	/* BackEnd/c_proto.scm 128 */
								BgL_arg1601z00_2135 = BGl_string2252z00zzbackend_c_prototypez00;
							}
						bgl_display_obj(BgL_arg1601z00_2135, BgL_port1354z00_2134);
					}
					{	/* BackEnd/c_proto.scm 127 */
						obj_t BgL_tmpz00_4231;

						BgL_tmpz00_4231 = ((obj_t) BgL_port1354z00_2134);
						bgl_display_char(((unsigned char) ' '), BgL_tmpz00_4231);
					}
					{	/* BackEnd/c_proto.scm 132 */
						obj_t BgL_arg1606z00_2139;

						{	/* BackEnd/c_proto.scm 132 */
							BgL_typez00_bglt BgL_arg1612z00_2140;
							obj_t BgL_arg1613z00_2141;

							BgL_arg1612z00_2140 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_variablez00_21)))->BgL_typez00);
							BgL_arg1613z00_2141 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_variablez00_21)))->BgL_namez00);
							BgL_arg1606z00_2139 =
								BGl_makezd2typedzd2declarationz00zztype_toolsz00
								(BgL_arg1612z00_2140, BgL_arg1613z00_2141);
						}
						bgl_display_obj(BgL_arg1606z00_2139, BgL_port1354z00_2134);
					}
					{	/* BackEnd/c_proto.scm 133 */
						obj_t BgL_arg1619z00_2142;

						{	/* BackEnd/c_proto.scm 133 */
							bool_t BgL_test2461z00_4240;

							{	/* BackEnd/c_proto.scm 133 */
								BgL_typez00_bglt BgL_arg1632z00_2145;

								BgL_arg1632z00_2145 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_variablez00_21)))->
									BgL_typez00);
								BgL_test2461z00_4240 =
									BGl_subzd2typezf3z21zztype_envz00(BgL_arg1632z00_2145,
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
							}
							if (BgL_test2461z00_4240)
								{	/* BackEnd/c_proto.scm 133 */
									BgL_arg1619z00_2142 =
										BGl_string2253z00zzbackend_c_prototypez00;
								}
							else
								{	/* BackEnd/c_proto.scm 133 */
									BgL_arg1619z00_2142 = BCHAR(((unsigned char) ';'));
						}}
						bgl_display_obj(BgL_arg1619z00_2142, BgL_port1354z00_2134);
					}
					{	/* BackEnd/c_proto.scm 127 */
						obj_t BgL_tmpz00_4247;

						BgL_tmpz00_4247 = ((obj_t) BgL_port1354z00_2134);
						return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4247);
				}}
			else
				{	/* BackEnd/c_proto.scm 126 */
					if (
						((((BgL_globalz00_bglt) COBJECT(
										((BgL_globalz00_bglt) BgL_variablez00_21)))->
								BgL_importz00) == CNST_TABLE_REF(((long) 1))))
						{	/* BackEnd/c_proto.scm 135 */
							obj_t BgL_port1355z00_2148;

							BgL_port1355z00_2148 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
							{	/* BackEnd/c_proto.scm 136 */
								obj_t BgL_arg1636z00_2149;

								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
										(CNST_TABLE_REF(((long) 5)),
											(((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
															BgL_variablez00_21)))->BgL_pragmaz00))))
									{	/* BackEnd/c_proto.scm 136 */
										BgL_arg1636z00_2149 =
											BGl_string2254z00zzbackend_c_prototypez00;
									}
								else
									{	/* BackEnd/c_proto.scm 136 */
										BgL_arg1636z00_2149 =
											BGl_string2255z00zzbackend_c_prototypez00;
									}
								bgl_display_obj(BgL_arg1636z00_2149, BgL_port1355z00_2148);
							}
							{	/* BackEnd/c_proto.scm 139 */
								obj_t BgL_arg1656z00_2153;

								{	/* BackEnd/c_proto.scm 139 */
									BgL_typez00_bglt BgL_arg1657z00_2154;
									obj_t BgL_arg1660z00_2155;

									BgL_arg1657z00_2154 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_variablez00_21)))->
										BgL_typez00);
									BgL_arg1660z00_2155 =
										(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
													BgL_variablez00_21)))->BgL_namez00);
									BgL_arg1656z00_2153 =
										BGl_makezd2typedzd2declarationz00zztype_toolsz00
										(BgL_arg1657z00_2154, BgL_arg1660z00_2155);
								}
								bgl_display_obj(BgL_arg1656z00_2153, BgL_port1355z00_2148);
							}
							{	/* BackEnd/c_proto.scm 140 */
								obj_t BgL_arg1665z00_2156;

								{	/* BackEnd/c_proto.scm 140 */
									bool_t BgL_test2464z00_4268;

									{	/* BackEnd/c_proto.scm 140 */
										BgL_typez00_bglt BgL_arg1675z00_2159;

										BgL_arg1675z00_2159 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_variablez00_21)))->
											BgL_typez00);
										BgL_test2464z00_4268 =
											BGl_subzd2typezf3z21zztype_envz00(BgL_arg1675z00_2159,
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
									}
									if (BgL_test2464z00_4268)
										{	/* BackEnd/c_proto.scm 140 */
											BgL_arg1665z00_2156 =
												BGl_string2253z00zzbackend_c_prototypez00;
										}
									else
										{	/* BackEnd/c_proto.scm 140 */
											BgL_arg1665z00_2156 = BCHAR(((unsigned char) ';'));
								}}
								bgl_display_obj(BgL_arg1665z00_2156, BgL_port1355z00_2148);
							}
							{	/* BackEnd/c_proto.scm 135 */
								obj_t BgL_tmpz00_4275;

								BgL_tmpz00_4275 = ((obj_t) BgL_port1355z00_2148);
								return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4275);
						}}
					else
						{	/* BackEnd/c_proto.scm 142 */
							obj_t BgL_port1356z00_2160;

							BgL_port1356z00_2160 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
							{	/* BackEnd/c_proto.scm 143 */
								obj_t BgL_arg1676z00_2161;

								BgL_arg1676z00_2161 =
									BGl_getzd2czd2scopez00zzbackend_c_prototypez00(
									((BgL_variablez00_bglt) BgL_variablez00_21));
								bgl_display_obj(BgL_arg1676z00_2161, BgL_port1356z00_2160);
							}
							{	/* BackEnd/c_proto.scm 142 */
								obj_t BgL_tmpz00_4281;

								BgL_tmpz00_4281 = ((obj_t) BgL_port1356z00_2160);
								bgl_display_char(((unsigned char) ' '), BgL_tmpz00_4281);
							}
							{	/* BackEnd/c_proto.scm 145 */
								obj_t BgL_arg1678z00_2162;

								{	/* BackEnd/c_proto.scm 145 */
									BgL_typez00_bglt BgL_arg1679z00_2163;
									obj_t BgL_arg1681z00_2164;

									BgL_arg1679z00_2163 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_variablez00_21)))->
										BgL_typez00);
									BgL_arg1681z00_2164 =
										(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
													BgL_variablez00_21)))->BgL_namez00);
									BgL_arg1678z00_2162 =
										BGl_makezd2typedzd2declarationz00zztype_toolsz00
										(BgL_arg1679z00_2163, BgL_arg1681z00_2164);
								}
								bgl_display_obj(BgL_arg1678z00_2162, BgL_port1356z00_2160);
							}
							{	/* BackEnd/c_proto.scm 142 */
								obj_t BgL_tmpz00_4290;

								BgL_tmpz00_4290 = ((obj_t) BgL_port1356z00_2160);
								bgl_display_char(((unsigned char) ';'), BgL_tmpz00_4290);
							}
							{	/* BackEnd/c_proto.scm 142 */
								obj_t BgL_tmpz00_4293;

								BgL_tmpz00_4293 = ((obj_t) BgL_port1356z00_2160);
								return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4293);
		}}}}

	}



/* emit-prototype-formal-types */
	obj_t BGl_emitzd2prototypezd2formalzd2typeszd2zzbackend_c_prototypez00(obj_t
		BgL_typesz00_24)
	{
		{	/* BackEnd/c_proto.scm 170 */
			return
				string_append(BGl_string2256z00zzbackend_c_prototypez00,
				BGl_loopze72ze7zzbackend_c_prototypez00(BgL_typesz00_24));
		}

	}



/* loop~2 */
	obj_t BGl_loopze72ze7zzbackend_c_prototypez00(obj_t BgL_typesz00_2170)
	{
		{	/* BackEnd/c_proto.scm 175 */
			if (NULLP(CDR(((obj_t) BgL_typesz00_2170))))
				{	/* BackEnd/c_proto.scm 177 */
					obj_t BgL_arg1703z00_2174;

					{	/* BackEnd/c_proto.scm 177 */
						obj_t BgL_arg1706z00_2175;

						BgL_arg1706z00_2175 = CAR(((obj_t) BgL_typesz00_2170));
						BgL_arg1703z00_2174 =
							BGl_typezd2namezd2sanszd2z42z90zztype_toolsz00(
							((BgL_typez00_bglt) BgL_arg1706z00_2175));
					}
					return
						string_append(BgL_arg1703z00_2174,
						BGl_string2257z00zzbackend_c_prototypez00);
				}
			else
				{	/* BackEnd/c_proto.scm 179 */
					obj_t BgL_arg1711z00_2176;
					obj_t BgL_arg1712z00_2177;

					{	/* BackEnd/c_proto.scm 179 */
						obj_t BgL_arg1713z00_2178;

						BgL_arg1713z00_2178 = CAR(((obj_t) BgL_typesz00_2170));
						BgL_arg1711z00_2176 =
							BGl_typezd2namezd2sanszd2z42z90zztype_toolsz00(
							((BgL_typez00_bglt) BgL_arg1713z00_2178));
					}
					{	/* BackEnd/c_proto.scm 180 */
						obj_t BgL_arg1714z00_2179;

						BgL_arg1714z00_2179 = CDR(((obj_t) BgL_typesz00_2170));
						BgL_arg1712z00_2177 =
							BGl_loopze72ze7zzbackend_c_prototypez00(BgL_arg1714z00_2179);
					}
					return
						string_append_3(BgL_arg1711z00_2176,
						BGl_string2258z00zzbackend_c_prototypez00, BgL_arg1712z00_2177);
				}
		}

	}



/* emit-prototype-formals */
	obj_t BGl_emitzd2prototypezd2formalsz00zzbackend_c_prototypez00(obj_t
		BgL_argsz00_25)
	{
		{	/* BackEnd/c_proto.scm 185 */
			if (NULLP(BgL_argsz00_25))
				{	/* BackEnd/c_proto.scm 186 */
					return BGl_string2259z00zzbackend_c_prototypez00;
				}
			else
				{	/* BackEnd/c_proto.scm 186 */
					return
						string_append(BGl_string2256z00zzbackend_c_prototypez00,
						BGl_loopze71ze7zzbackend_c_prototypez00(BgL_argsz00_25));
				}
		}

	}



/* loop~1 */
	obj_t BGl_loopze71ze7zzbackend_c_prototypez00(obj_t BgL_argsz00_2185)
	{
		{	/* BackEnd/c_proto.scm 190 */
			if (NULLP(CDR(((obj_t) BgL_argsz00_2185))))
				{	/* BackEnd/c_proto.scm 192 */
					BgL_localz00_bglt BgL_i1146z00_2189;

					BgL_i1146z00_2189 =
						((BgL_localz00_bglt) CAR(((obj_t) BgL_argsz00_2185)));
					{	/* BackEnd/c_proto.scm 193 */
						obj_t BgL_arg1725z00_2190;

						{	/* BackEnd/c_proto.scm 193 */
							BgL_typez00_bglt BgL_arg1726z00_2191;

							BgL_arg1726z00_2191 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_i1146z00_2189)))->BgL_typez00);
							BgL_arg1725z00_2190 =
								BGl_typezd2namezd2sanszd2z42z90zztype_toolsz00
								(BgL_arg1726z00_2191);
						}
						return
							string_append(BgL_arg1725z00_2190,
							BGl_string2257z00zzbackend_c_prototypez00);
					}
				}
			else
				{	/* BackEnd/c_proto.scm 194 */
					BgL_localz00_bglt BgL_i1147z00_2192;

					BgL_i1147z00_2192 =
						((BgL_localz00_bglt) CAR(((obj_t) BgL_argsz00_2185)));
					{	/* BackEnd/c_proto.scm 195 */
						obj_t BgL_arg1728z00_2193;
						obj_t BgL_arg1729z00_2194;

						{	/* BackEnd/c_proto.scm 195 */
							BgL_typez00_bglt BgL_arg1731z00_2195;

							BgL_arg1731z00_2195 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_i1147z00_2192)))->BgL_typez00);
							BgL_arg1728z00_2193 =
								BGl_typezd2namezd2sanszd2z42z90zztype_toolsz00
								(BgL_arg1731z00_2195);
						}
						{	/* BackEnd/c_proto.scm 196 */
							obj_t BgL_arg1738z00_2196;

							BgL_arg1738z00_2196 = CDR(((obj_t) BgL_argsz00_2185));
							BgL_arg1729z00_2194 =
								BGl_loopze71ze7zzbackend_c_prototypez00(BgL_arg1738z00_2196);
						}
						return
							string_append_3(BgL_arg1728z00_2193,
							BGl_string2258z00zzbackend_c_prototypez00, BgL_arg1729z00_2194);
					}
				}
		}

	}



/* emit-cnst */
	obj_t BGl_emitzd2cnstzd2zzbackend_c_prototypez00(BgL_scnstz00_bglt
		BgL_valuez00_30, BgL_globalz00_bglt BgL_variablez00_31)
	{
		{	/* BackEnd/c_proto.scm 244 */
			{	/* BackEnd/c_proto.scm 246 */
				obj_t BgL_casezd2valuezd2_2200;

				BgL_casezd2valuezd2_2200 =
					(((BgL_scnstz00_bglt) COBJECT(BgL_valuez00_30))->BgL_classz00);
				if ((BgL_casezd2valuezd2_2200 == CNST_TABLE_REF(((long) 6))))
					{	/* BackEnd/c_proto.scm 246 */
						return
							BGl_emitzd2cnstzd2stringz00zzbackend_c_prototypez00(
							(((BgL_scnstz00_bglt) COBJECT(BgL_valuez00_30))->BgL_nodez00),
							BgL_variablez00_31);
					}
				else
					{	/* BackEnd/c_proto.scm 246 */
						if ((BgL_casezd2valuezd2_2200 == CNST_TABLE_REF(((long) 7))))
							{	/* BackEnd/c_proto.scm 246 */
								return
									BGl_emitzd2cnstzd2realz00zzbackend_c_prototypez00(
									(((BgL_scnstz00_bglt) COBJECT(BgL_valuez00_30))->BgL_nodez00),
									BgL_variablez00_31);
							}
						else
							{	/* BackEnd/c_proto.scm 246 */
								if ((BgL_casezd2valuezd2_2200 == CNST_TABLE_REF(((long) 8))))
									{	/* BackEnd/c_proto.scm 246 */
										return
											BGl_emitzd2cnstzd2elongz00zzbackend_c_prototypez00(
											(((BgL_scnstz00_bglt) COBJECT(BgL_valuez00_30))->
												BgL_nodez00), BgL_variablez00_31);
									}
								else
									{	/* BackEnd/c_proto.scm 246 */
										if (
											(BgL_casezd2valuezd2_2200 == CNST_TABLE_REF(((long) 9))))
											{	/* BackEnd/c_proto.scm 246 */
												return
													BGl_emitzd2cnstzd2llongz00zzbackend_c_prototypez00(
													(((BgL_scnstz00_bglt) COBJECT(BgL_valuez00_30))->
														BgL_nodez00), BgL_variablez00_31);
											}
										else
											{	/* BackEnd/c_proto.scm 246 */
												if (
													(BgL_casezd2valuezd2_2200 ==
														CNST_TABLE_REF(((long) 10))))
													{	/* BackEnd/c_proto.scm 246 */
														return
															BGl_emitzd2cnstzd2int32z00zzbackend_c_prototypez00
															((((BgL_scnstz00_bglt) COBJECT(BgL_valuez00_30))->
																BgL_nodez00), BgL_variablez00_31);
													}
												else
													{	/* BackEnd/c_proto.scm 246 */
														if (
															(BgL_casezd2valuezd2_2200 ==
																CNST_TABLE_REF(((long) 11))))
															{	/* BackEnd/c_proto.scm 246 */
																return
																	BGl_emitzd2cnstzd2uint32z00zzbackend_c_prototypez00
																	((((BgL_scnstz00_bglt)
																			COBJECT(BgL_valuez00_30))->BgL_nodez00),
																	BgL_variablez00_31);
															}
														else
															{	/* BackEnd/c_proto.scm 246 */
																if (
																	(BgL_casezd2valuezd2_2200 ==
																		CNST_TABLE_REF(((long) 12))))
																	{	/* BackEnd/c_proto.scm 246 */
																		return
																			BGl_emitzd2cnstzd2int64z00zzbackend_c_prototypez00
																			((((BgL_scnstz00_bglt)
																					COBJECT(BgL_valuez00_30))->
																				BgL_nodez00), BgL_variablez00_31);
																	}
																else
																	{	/* BackEnd/c_proto.scm 246 */
																		if (
																			(BgL_casezd2valuezd2_2200 ==
																				CNST_TABLE_REF(((long) 13))))
																			{	/* BackEnd/c_proto.scm 246 */
																				return
																					BGl_emitzd2cnstzd2uint64z00zzbackend_c_prototypez00
																					((((BgL_scnstz00_bglt)
																							COBJECT(BgL_valuez00_30))->
																						BgL_nodez00), BgL_variablez00_31);
																			}
																		else
																			{	/* BackEnd/c_proto.scm 246 */
																				if (
																					(BgL_casezd2valuezd2_2200 ==
																						CNST_TABLE_REF(((long) 14))))
																					{	/* BackEnd/c_proto.scm 246 */
																						return
																							BGl_emitzd2cnstzd2sfunzf2sgfunzf2zzbackend_c_prototypez00
																							((((BgL_scnstz00_bglt)
																									COBJECT(BgL_valuez00_30))->
																								BgL_nodez00),
																							BgL_variablez00_31,
																							BGl_string2260z00zzbackend_c_prototypez00);
																					}
																				else
																					{	/* BackEnd/c_proto.scm 246 */
																						if (
																							(BgL_casezd2valuezd2_2200 ==
																								CNST_TABLE_REF(((long) 15))))
																							{	/* BackEnd/c_proto.scm 246 */
																								return
																									BGl_emitzd2cnstzd2sfunzf2sgfunzf2zzbackend_c_prototypez00
																									((((BgL_scnstz00_bglt)
																											COBJECT
																											(BgL_valuez00_30))->
																										BgL_nodez00),
																									BgL_variablez00_31,
																									BGl_string2261z00zzbackend_c_prototypez00);
																							}
																						else
																							{	/* BackEnd/c_proto.scm 246 */
																								if (
																									(BgL_casezd2valuezd2_2200 ==
																										CNST_TABLE_REF(((long)
																												16))))
																									{	/* BackEnd/c_proto.scm 246 */
																										return
																											BGl_emitzd2cnstzd2selfunz00zzbackend_c_prototypez00
																											((((BgL_scnstz00_bglt)
																													COBJECT
																													(BgL_valuez00_30))->
																												BgL_nodez00),
																											BgL_variablez00_31);
																									}
																								else
																									{	/* BackEnd/c_proto.scm 246 */
																										if (
																											(BgL_casezd2valuezd2_2200
																												==
																												CNST_TABLE_REF(((long)
																														17))))
																											{	/* BackEnd/c_proto.scm 246 */
																												return
																													BGl_emitzd2cnstzd2slfunz00zzbackend_c_prototypez00
																													((((BgL_scnstz00_bglt)
																															COBJECT
																															(BgL_valuez00_30))->
																														BgL_nodez00),
																													BgL_variablez00_31);
																											}
																										else
																											{	/* BackEnd/c_proto.scm 246 */
																												if (
																													(BgL_casezd2valuezd2_2200
																														==
																														CNST_TABLE_REF((
																																(long) 18))))
																													{	/* BackEnd/c_proto.scm 246 */
																														return
																															BGl_emitzd2cnstzd2stvectorz00zzbackend_c_prototypez00
																															((((BgL_scnstz00_bglt) COBJECT(BgL_valuez00_30))->BgL_nodez00), BgL_variablez00_31);
																													}
																												else
																													{	/* BackEnd/c_proto.scm 275 */
																														obj_t
																															BgL_arg1788z00_2227;
																														obj_t
																															BgL_arg1789z00_2228;
																														{	/* BackEnd/c_proto.scm 275 */
																															obj_t
																																BgL_arg1799z00_2229;
																															BgL_arg1799z00_2229
																																=
																																(((BgL_scnstz00_bglt) COBJECT(BgL_valuez00_30))->BgL_classz00);
																															{	/* BackEnd/c_proto.scm 275 */
																																obj_t
																																	BgL_list1800z00_2230;
																																BgL_list1800z00_2230
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1799z00_2229,
																																	BNIL);
																																BgL_arg1788z00_2227
																																	=
																																	BGl_formatz00zz__r4_output_6_10_3z00
																																	(BGl_string2262z00zzbackend_c_prototypez00,
																																	BgL_list1800z00_2230);
																															}
																														}
																														BgL_arg1789z00_2228
																															=
																															BGl_shapez00zztools_shapez00
																															((((BgL_scnstz00_bglt) COBJECT(BgL_valuez00_30))->BgL_nodez00));
																														return
																															BGl_internalzd2errorzd2zztools_errorz00
																															(BGl_string2263z00zzbackend_c_prototypez00,
																															BgL_arg1788z00_2227,
																															BgL_arg1789z00_2228);
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* emit-cnst-string */
	obj_t BGl_emitzd2cnstzd2stringz00zzbackend_c_prototypez00(obj_t
		BgL_ostrz00_32, BgL_globalz00_bglt BgL_globalz00_33)
	{
		{	/* BackEnd/c_proto.scm 281 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_globalz00_33));
			{	/* BackEnd/c_proto.scm 283 */
				bool_t BgL_test2481z00_4414;

				{	/* BackEnd/c_proto.scm 283 */
					bool_t BgL_test2482z00_4415;

					{	/* BackEnd/c_proto.scm 283 */
						long BgL_arg1920z00_2326;

						BgL_arg1920z00_2326 = STRING_LENGTH(((obj_t) BgL_ostrz00_32));
						BgL_test2482z00_4415 =
							BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1920z00_2326),
							BGl_za2maxzd2czd2tokenzd2lengthza2zd2zzengine_paramz00);
					}
					if (BgL_test2482z00_4415)
						{	/* BackEnd/c_proto.scm 283 */
							BgL_test2481z00_4414 =
								CBOOL(BGl_za2czd2splitzd2stringza2z00zzengine_paramz00);
						}
					else
						{	/* BackEnd/c_proto.scm 283 */
							BgL_test2481z00_4414 = ((bool_t) 0);
						}
				}
				if (BgL_test2481z00_4414)
					{	/* BackEnd/c_proto.scm 286 */
						obj_t BgL_auxz00_2236;

						{	/* BackEnd/c_proto.scm 286 */
							obj_t BgL_arg1838z00_2251;

							{	/* BackEnd/c_proto.scm 286 */
								obj_t BgL_arg1839z00_2252;

								BgL_arg1839z00_2252 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_globalz00_33)))->BgL_namez00);
								BgL_arg1838z00_2251 =
									BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1839z00_2252);
							}
							BgL_auxz00_2236 =
								BGl_idzd2ze3namez31zzast_identz00(BgL_arg1838z00_2251);
						}
						{	/* BackEnd/c_proto.scm 287 */
							obj_t BgL_port1360z00_2237;

							BgL_port1360z00_2237 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
							{	/* BackEnd/c_proto.scm 287 */
								obj_t BgL_tmpz00_4425;

								BgL_tmpz00_4425 = ((obj_t) BgL_port1360z00_2237);
								bgl_display_string(BGl_string2264z00zzbackend_c_prototypez00,
									BgL_tmpz00_4425);
							}
							{	/* BackEnd/c_proto.scm 289 */
								obj_t BgL_arg1810z00_2238;

								BgL_arg1810z00_2238 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_globalz00_33)))->BgL_namez00);
								bgl_display_obj(BgL_arg1810z00_2238, BgL_port1360z00_2237);
							}
							{	/* BackEnd/c_proto.scm 287 */
								obj_t BgL_tmpz00_4431;

								BgL_tmpz00_4431 = ((obj_t) BgL_port1360z00_2237);
								bgl_display_string(BGl_string2258z00zzbackend_c_prototypez00,
									BgL_tmpz00_4431);
							}
							bgl_display_obj(BgL_auxz00_2236, BgL_port1360z00_2237);
							{	/* BackEnd/c_proto.scm 287 */
								obj_t BgL_tmpz00_4435;

								BgL_tmpz00_4435 = ((obj_t) BgL_port1360z00_2237);
								bgl_display_string(BGl_string2258z00zzbackend_c_prototypez00,
									BgL_tmpz00_4435);
							}
							{	/* BackEnd/c_proto.scm 293 */
								long BgL_arg1811z00_2239;

								BgL_arg1811z00_2239 = STRING_LENGTH(((obj_t) BgL_ostrz00_32));
								bgl_display_obj(BINT(BgL_arg1811z00_2239),
									BgL_port1360z00_2237);
							}
							{	/* BackEnd/c_proto.scm 287 */
								obj_t BgL_tmpz00_4442;

								BgL_tmpz00_4442 = ((obj_t) BgL_port1360z00_2237);
								bgl_display_string(BGl_string2265z00zzbackend_c_prototypez00,
									BgL_tmpz00_4442);
							}
							{	/* BackEnd/c_proto.scm 287 */
								obj_t BgL_tmpz00_4445;

								BgL_tmpz00_4445 = ((obj_t) BgL_port1360z00_2237);
								bgl_display_char(((unsigned char) 10), BgL_tmpz00_4445);
						}}
						bgl_display_string(BGl_string2266z00zzbackend_c_prototypez00,
							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
						{	/* BackEnd/c_proto.scm 296 */
							long BgL_rlenz00_2240;

							BgL_rlenz00_2240 = STRING_LENGTH(((obj_t) BgL_ostrz00_32));
							{
								long BgL_iz00_2242;

								BgL_iz00_2242 = ((long) 0);
							BgL_zc3z04anonymousza31812ze3z87_2243:
								if ((BgL_iz00_2242 == BgL_rlenz00_2240))
									{	/* BackEnd/c_proto.scm 299 */
										obj_t BgL_port1361z00_2245;

										BgL_port1361z00_2245 =
											BGl_za2czd2portza2zd2zzbackend_c_emitz00;
										{	/* BackEnd/c_proto.scm 299 */
											obj_t BgL_tmpz00_4453;

											BgL_tmpz00_4453 = ((obj_t) BgL_port1361z00_2245);
											bgl_display_string
												(BGl_string2267z00zzbackend_c_prototypez00,
												BgL_tmpz00_4453);
										}
										{	/* BackEnd/c_proto.scm 299 */
											obj_t BgL_tmpz00_4456;

											BgL_tmpz00_4456 = ((obj_t) BgL_port1361z00_2245);
											bgl_display_string
												(BGl_string2268z00zzbackend_c_prototypez00,
												BgL_tmpz00_4456);
										}
										{	/* BackEnd/c_proto.scm 302 */
											obj_t BgL_arg1817z00_2246;

											BgL_arg1817z00_2246 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_33)))->
												BgL_namez00);
											bgl_display_obj(BgL_arg1817z00_2246,
												BgL_port1361z00_2245);
										}
										{	/* BackEnd/c_proto.scm 299 */
											obj_t BgL_tmpz00_4462;

											BgL_tmpz00_4462 = ((obj_t) BgL_port1361z00_2245);
											bgl_display_string
												(BGl_string2258z00zzbackend_c_prototypez00,
												BgL_tmpz00_4462);
										}
										bgl_display_obj(BgL_auxz00_2236, BgL_port1361z00_2245);
										{	/* BackEnd/c_proto.scm 299 */
											obj_t BgL_tmpz00_4466;

											BgL_tmpz00_4466 = ((obj_t) BgL_port1361z00_2245);
											bgl_display_string
												(BGl_string2269z00zzbackend_c_prototypez00,
												BgL_tmpz00_4466);
										}
										{	/* BackEnd/c_proto.scm 299 */
											obj_t BgL_tmpz00_4469;

											BgL_tmpz00_4469 = ((obj_t) BgL_port1361z00_2245);
											return
												bgl_display_char(((unsigned char) 10), BgL_tmpz00_4469);
									}}
								else
									{	/* BackEnd/c_proto.scm 298 */
										{	/* BackEnd/c_proto.scm 307 */
											long BgL_arg1818z00_2247;

											BgL_arg1818z00_2247 =
												(STRING_REF(((obj_t) BgL_ostrz00_32), BgL_iz00_2242));
											bgl_display_obj(BINT(BgL_arg1818z00_2247),
												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
										}
										bgl_display_string
											(BGl_string2270z00zzbackend_c_prototypez00,
											BGl_za2czd2portza2zd2zzbackend_c_emitz00);
										{
											long BgL_iz00_4478;

											BgL_iz00_4478 = (BgL_iz00_2242 + ((long) 1));
											BgL_iz00_2242 = BgL_iz00_4478;
											goto BgL_zc3z04anonymousza31812ze3z87_2243;
										}
									}
							}
						}
					}
				else
					{	/* BackEnd/c_proto.scm 310 */
						obj_t BgL_strz00_2253;

						BgL_strz00_2253 = string_for_read(((obj_t) BgL_ostrz00_32));
						{	/* BackEnd/c_proto.scm 312 */
							obj_t BgL_port1151z00_2254;

							BgL_port1151z00_2254 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
							{	/* BackEnd/c_proto.scm 312 */
								obj_t BgL_tmpz00_4482;

								BgL_tmpz00_4482 = ((obj_t) BgL_port1151z00_2254);
								bgl_display_string(BGl_string2271z00zzbackend_c_prototypez00,
									BgL_tmpz00_4482);
							}
							{	/* BackEnd/c_proto.scm 314 */
								obj_t BgL_arg1842z00_2255;

								BgL_arg1842z00_2255 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_globalz00_33)))->BgL_namez00);
								bgl_display_obj(BgL_arg1842z00_2255, BgL_port1151z00_2254);
							}
							{	/* BackEnd/c_proto.scm 312 */
								obj_t BgL_tmpz00_4488;

								BgL_tmpz00_4488 = ((obj_t) BgL_port1151z00_2254);
								bgl_display_string(BGl_string2258z00zzbackend_c_prototypez00,
									BgL_tmpz00_4488);
							}
							{	/* BackEnd/c_proto.scm 316 */
								obj_t BgL_arg1848z00_2256;

								{	/* BackEnd/c_proto.scm 316 */
									obj_t BgL_arg1849z00_2257;

									{	/* BackEnd/c_proto.scm 316 */
										obj_t BgL_arg1850z00_2258;

										BgL_arg1850z00_2258 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_33)))->
											BgL_namez00);
										BgL_arg1849z00_2257 =
											BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1850z00_2258);
									}
									BgL_arg1848z00_2256 =
										BGl_idzd2ze3namez31zzast_identz00(BgL_arg1849z00_2257);
								}
								bgl_display_obj(BgL_arg1848z00_2256, BgL_port1151z00_2254);
							}
							{	/* BackEnd/c_proto.scm 312 */
								obj_t BgL_tmpz00_4496;

								BgL_tmpz00_4496 = ((obj_t) BgL_port1151z00_2254);
								bgl_display_string(BGl_string2272z00zzbackend_c_prototypez00,
									BgL_tmpz00_4496);
							}
						}
						{	/* BackEnd/c_proto.scm 318 */
							long BgL_g1154z00_2259;

							BgL_g1154z00_2259 = STRING_LENGTH(BgL_strz00_2253);
							{
								long BgL_readz00_2261;
								long BgL_rlenz00_2262;

								BgL_readz00_2261 = ((long) 0);
								BgL_rlenz00_2262 = BgL_g1154z00_2259;
							BgL_zc3z04anonymousza31851ze3z87_2263:
								if (
									(BgL_rlenz00_2262 <=
										(long)
										CINT
										(BGl_za2maxzd2czd2tokenzd2lengthza2zd2zzengine_paramz00)))
									{	/* BackEnd/c_proto.scm 321 */
										{	/* BackEnd/c_proto.scm 322 */
											obj_t BgL_arg1854z00_2265;

											BgL_arg1854z00_2265 =
												BGl_untrigraphz00zzbackend_c_emitz00(c_substring
												(BgL_strz00_2253, BgL_readz00_2261,
													(BgL_readz00_2261 + BgL_rlenz00_2262)));
											bgl_display_obj(BgL_arg1854z00_2265,
												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
										}
										{	/* BackEnd/c_proto.scm 324 */
											obj_t BgL_port1362z00_2268;

											BgL_port1362z00_2268 =
												BGl_za2czd2portza2zd2zzbackend_c_emitz00;
											{	/* BackEnd/c_proto.scm 324 */
												obj_t BgL_tmpz00_4507;

												BgL_tmpz00_4507 = ((obj_t) BgL_port1362z00_2268);
												bgl_display_string
													(BGl_string2273z00zzbackend_c_prototypez00,
													BgL_tmpz00_4507);
											}
											{	/* BackEnd/c_proto.scm 324 */
												long BgL_arg1857z00_2269;

												BgL_arg1857z00_2269 =
													STRING_LENGTH(((obj_t) BgL_ostrz00_32));
												bgl_display_obj(BINT(BgL_arg1857z00_2269),
													BgL_port1362z00_2268);
											}
											{	/* BackEnd/c_proto.scm 324 */
												obj_t BgL_tmpz00_4514;

												BgL_tmpz00_4514 = ((obj_t) BgL_port1362z00_2268);
												bgl_display_string
													(BGl_string2274z00zzbackend_c_prototypez00,
													BgL_tmpz00_4514);
											}
											{	/* BackEnd/c_proto.scm 324 */
												obj_t BgL_tmpz00_4517;

												BgL_tmpz00_4517 = ((obj_t) BgL_port1362z00_2268);
												return
													bgl_display_char(((unsigned char) 10),
													BgL_tmpz00_4517);
									}}}
								else
									{	/* BackEnd/c_proto.scm 326 */
										long BgL_g1155z00_2270;

										BgL_g1155z00_2270 =
											(BgL_readz00_2261 +
											(long)
											CINT
											(BGl_za2maxzd2czd2tokenzd2lengthza2zd2zzengine_paramz00));
										{
											long BgL_offsetz00_2272;

											BgL_offsetz00_2272 = BgL_g1155z00_2270;
										BgL_zc3z04anonymousza31858ze3z87_2273:
											if (
												((BgL_readz00_2261 + ((long) 3)) >= BgL_offsetz00_2272))
												{	/* BackEnd/c_proto.scm 328 */
													return
														BGl_internalzd2errorzd2zztools_errorz00
														(BGl_string2275z00zzbackend_c_prototypez00,
														BGl_string2276z00zzbackend_c_prototypez00,
														BgL_ostrz00_32);
												}
											else
												{	/* BackEnd/c_proto.scm 328 */
													if (
														(STRING_REF(BgL_strz00_2253,
																(BgL_offsetz00_2272 - ((long) 1))) ==
															((unsigned char) '\\')))
														{
															long BgL_offsetz00_4530;

															BgL_offsetz00_4530 =
																(BgL_offsetz00_2272 - ((long) 1));
															BgL_offsetz00_2272 = BgL_offsetz00_4530;
															goto BgL_zc3z04anonymousza31858ze3z87_2273;
														}
													else
														{	/* BackEnd/c_proto.scm 334 */
															bool_t BgL_test2487z00_4532;

															if (
																(STRING_REF(BgL_strz00_2253,
																		(BgL_offsetz00_2272 - ((long) 2))) ==
																	((unsigned char) '\\')))
																{	/* BackEnd/c_proto.scm 335 */
																	unsigned char BgL_tmpz00_4537;

																	BgL_tmpz00_4537 =
																		STRING_REF(BgL_strz00_2253,
																		(BgL_offsetz00_2272 - ((long) 1)));
																	BgL_test2487z00_4532 =
																		isdigit(BgL_tmpz00_4537);
																}
															else
																{	/* BackEnd/c_proto.scm 334 */
																	BgL_test2487z00_4532 = ((bool_t) 0);
																}
															if (BgL_test2487z00_4532)
																{
																	long BgL_offsetz00_4541;

																	BgL_offsetz00_4541 =
																		(BgL_offsetz00_2272 - ((long) 2));
																	BgL_offsetz00_2272 = BgL_offsetz00_4541;
																	goto BgL_zc3z04anonymousza31858ze3z87_2273;
																}
															else
																{	/* BackEnd/c_proto.scm 337 */
																	bool_t BgL_test2489z00_4543;

																	if (
																		(STRING_REF(BgL_strz00_2253,
																				(BgL_offsetz00_2272 - ((long) 3))) ==
																			((unsigned char) '\\')))
																		{	/* BackEnd/c_proto.scm 338 */
																			bool_t BgL_test2491z00_4548;

																			{	/* BackEnd/c_proto.scm 338 */
																				unsigned char BgL_tmpz00_4549;

																				BgL_tmpz00_4549 =
																					STRING_REF(BgL_strz00_2253,
																					(BgL_offsetz00_2272 - ((long) 2)));
																				BgL_test2491z00_4548 =
																					isdigit(BgL_tmpz00_4549);
																			}
																			if (BgL_test2491z00_4548)
																				{	/* BackEnd/c_proto.scm 339 */
																					unsigned char BgL_tmpz00_4553;

																					BgL_tmpz00_4553 =
																						STRING_REF(BgL_strz00_2253,
																						(BgL_offsetz00_2272 - ((long) 1)));
																					BgL_test2489z00_4543 =
																						isdigit(BgL_tmpz00_4553);
																				}
																			else
																				{	/* BackEnd/c_proto.scm 338 */
																					BgL_test2489z00_4543 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* BackEnd/c_proto.scm 337 */
																			BgL_test2489z00_4543 = ((bool_t) 0);
																		}
																	if (BgL_test2489z00_4543)
																		{
																			long BgL_offsetz00_4557;

																			BgL_offsetz00_4557 =
																				(BgL_offsetz00_2272 - ((long) 3));
																			BgL_offsetz00_2272 = BgL_offsetz00_4557;
																			goto
																				BgL_zc3z04anonymousza31858ze3z87_2273;
																		}
																	else
																		{	/* BackEnd/c_proto.scm 337 */
																			{	/* BackEnd/c_proto.scm 342 */
																				obj_t BgL_port1156z00_2303;

																				BgL_port1156z00_2303 =
																					BGl_za2czd2portza2zd2zzbackend_c_emitz00;
																				bgl_display_obj(c_substring
																					(BgL_strz00_2253, BgL_readz00_2261,
																						BgL_offsetz00_2272),
																					BgL_port1156z00_2303);
																				{	/* BackEnd/c_proto.scm 342 */
																					obj_t BgL_tmpz00_4561;

																					BgL_tmpz00_4561 =
																						((obj_t) BgL_port1156z00_2303);
																					bgl_display_string
																						(BGl_string2277z00zzbackend_c_prototypez00,
																						BgL_tmpz00_4561);
																				}
																			}
																			{
																				long BgL_rlenz00_4565;
																				long BgL_readz00_4564;

																				BgL_readz00_4564 = BgL_offsetz00_2272;
																				BgL_rlenz00_4565 =
																					(BgL_rlenz00_2262 -
																					(BgL_offsetz00_2272 -
																						BgL_readz00_2261));
																				BgL_rlenz00_2262 = BgL_rlenz00_4565;
																				BgL_readz00_2261 = BgL_readz00_4564;
																				goto
																					BgL_zc3z04anonymousza31851ze3z87_2263;
																			}
																		}
																}
														}
												}
										}
									}
							}
						}
					}
			}
		}

	}



/* emit-cnst-real */
	obj_t BGl_emitzd2cnstzd2realz00zzbackend_c_prototypez00(obj_t BgL_realz00_34,
		BgL_globalz00_bglt BgL_globalz00_35)
	{
		{	/* BackEnd/c_proto.scm 350 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_globalz00_35));
			if (BGL_IS_NAN(REAL_TO_DOUBLE(BgL_realz00_34)))
				{	/* BackEnd/c_proto.scm 354 */
					obj_t BgL_port1363z00_2328;

					BgL_port1363z00_2328 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c_proto.scm 354 */
						obj_t BgL_tmpz00_4573;

						BgL_tmpz00_4573 = ((obj_t) BgL_port1363z00_2328);
						bgl_display_string(BGl_string2278z00zzbackend_c_prototypez00,
							BgL_tmpz00_4573);
					}
					{	/* BackEnd/c_proto.scm 354 */
						obj_t BgL_arg1922z00_2329;

						BgL_arg1922z00_2329 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_globalz00_35)))->BgL_namez00);
						bgl_display_obj(BgL_arg1922z00_2329, BgL_port1363z00_2328);
					}
					{	/* BackEnd/c_proto.scm 354 */
						obj_t BgL_tmpz00_4579;

						BgL_tmpz00_4579 = ((obj_t) BgL_port1363z00_2328);
						bgl_display_string(BGl_string2279z00zzbackend_c_prototypez00,
							BgL_tmpz00_4579);
					}
					{	/* BackEnd/c_proto.scm 354 */
						obj_t BgL_tmpz00_4582;

						BgL_tmpz00_4582 = ((obj_t) BgL_port1363z00_2328);
						return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4582);
				}}
			else
				{	/* BackEnd/c_proto.scm 355 */
					bool_t BgL_test2493z00_4585;

					if (BGL_IS_INF(REAL_TO_DOUBLE(BgL_realz00_34)))
						{	/* BackEnd/c_proto.scm 355 */
							BgL_test2493z00_4585 =
								(REAL_TO_DOUBLE(BgL_realz00_34) > ((double) 0.0));
						}
					else
						{	/* BackEnd/c_proto.scm 355 */
							BgL_test2493z00_4585 = ((bool_t) 0);
						}
					if (BgL_test2493z00_4585)
						{	/* BackEnd/c_proto.scm 356 */
							obj_t BgL_port1364z00_2332;

							BgL_port1364z00_2332 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
							{	/* BackEnd/c_proto.scm 356 */
								obj_t BgL_tmpz00_4591;

								BgL_tmpz00_4591 = ((obj_t) BgL_port1364z00_2332);
								bgl_display_string(BGl_string2278z00zzbackend_c_prototypez00,
									BgL_tmpz00_4591);
							}
							{	/* BackEnd/c_proto.scm 356 */
								obj_t BgL_arg1925z00_2333;

								BgL_arg1925z00_2333 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_globalz00_35)))->BgL_namez00);
								bgl_display_obj(BgL_arg1925z00_2333, BgL_port1364z00_2332);
							}
							{	/* BackEnd/c_proto.scm 356 */
								obj_t BgL_tmpz00_4597;

								BgL_tmpz00_4597 = ((obj_t) BgL_port1364z00_2332);
								bgl_display_string(BGl_string2280z00zzbackend_c_prototypez00,
									BgL_tmpz00_4597);
							}
							{	/* BackEnd/c_proto.scm 356 */
								obj_t BgL_tmpz00_4600;

								BgL_tmpz00_4600 = ((obj_t) BgL_port1364z00_2332);
								return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4600);
						}}
					else
						{	/* BackEnd/c_proto.scm 355 */
							if (BGL_IS_INF(REAL_TO_DOUBLE(BgL_realz00_34)))
								{	/* BackEnd/c_proto.scm 358 */
									obj_t BgL_port1365z00_2335;

									BgL_port1365z00_2335 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									{	/* BackEnd/c_proto.scm 358 */
										obj_t BgL_tmpz00_4606;

										BgL_tmpz00_4606 = ((obj_t) BgL_port1365z00_2335);
										bgl_display_string
											(BGl_string2278z00zzbackend_c_prototypez00,
											BgL_tmpz00_4606);
									}
									{	/* BackEnd/c_proto.scm 358 */
										obj_t BgL_arg1927z00_2336;

										BgL_arg1927z00_2336 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_35)))->
											BgL_namez00);
										bgl_display_obj(BgL_arg1927z00_2336, BgL_port1365z00_2335);
									}
									{	/* BackEnd/c_proto.scm 358 */
										obj_t BgL_tmpz00_4612;

										BgL_tmpz00_4612 = ((obj_t) BgL_port1365z00_2335);
										bgl_display_string
											(BGl_string2281z00zzbackend_c_prototypez00,
											BgL_tmpz00_4612);
									}
									{	/* BackEnd/c_proto.scm 358 */
										obj_t BgL_tmpz00_4615;

										BgL_tmpz00_4615 = ((obj_t) BgL_port1365z00_2335);
										return
											bgl_display_char(((unsigned char) 10), BgL_tmpz00_4615);
								}}
							else
								{	/* BackEnd/c_proto.scm 360 */
									obj_t BgL_port1366z00_2337;

									BgL_port1366z00_2337 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									{	/* BackEnd/c_proto.scm 360 */
										obj_t BgL_tmpz00_4618;

										BgL_tmpz00_4618 = ((obj_t) BgL_port1366z00_2337);
										bgl_display_string
											(BGl_string2282z00zzbackend_c_prototypez00,
											BgL_tmpz00_4618);
									}
									{	/* BackEnd/c_proto.scm 361 */
										obj_t BgL_arg1929z00_2338;

										BgL_arg1929z00_2338 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_35)))->
											BgL_namez00);
										bgl_display_obj(BgL_arg1929z00_2338, BgL_port1366z00_2337);
									}
									{	/* BackEnd/c_proto.scm 360 */
										obj_t BgL_tmpz00_4624;

										BgL_tmpz00_4624 = ((obj_t) BgL_port1366z00_2337);
										bgl_display_string
											(BGl_string2258z00zzbackend_c_prototypez00,
											BgL_tmpz00_4624);
									}
									{	/* BackEnd/c_proto.scm 362 */
										obj_t BgL_arg1930z00_2339;

										{	/* BackEnd/c_proto.scm 362 */
											obj_t BgL_arg1931z00_2340;

											{	/* BackEnd/c_proto.scm 362 */
												obj_t BgL_arg1932z00_2341;

												BgL_arg1932z00_2341 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_globalz00_35)))->
													BgL_namez00);
												BgL_arg1931z00_2340 =
													BGl_gensymz00zz__r4_symbols_6_4z00
													(BgL_arg1932z00_2341);
											}
											BgL_arg1930z00_2339 =
												BGl_idzd2ze3namez31zzast_identz00(BgL_arg1931z00_2340);
										}
										bgl_display_obj(BgL_arg1930z00_2339, BgL_port1366z00_2337);
									}
									{	/* BackEnd/c_proto.scm 360 */
										obj_t BgL_tmpz00_4632;

										BgL_tmpz00_4632 = ((obj_t) BgL_port1366z00_2337);
										bgl_display_string
											(BGl_string2258z00zzbackend_c_prototypez00,
											BgL_tmpz00_4632);
									}
									bgl_display_obj(BgL_realz00_34, BgL_port1366z00_2337);
									{	/* BackEnd/c_proto.scm 360 */
										obj_t BgL_tmpz00_4636;

										BgL_tmpz00_4636 = ((obj_t) BgL_port1366z00_2337);
										bgl_display_string
											(BGl_string2274z00zzbackend_c_prototypez00,
											BgL_tmpz00_4636);
									}
									{	/* BackEnd/c_proto.scm 360 */
										obj_t BgL_tmpz00_4639;

										BgL_tmpz00_4639 = ((obj_t) BgL_port1366z00_2337);
										return
											bgl_display_char(((unsigned char) 10), BgL_tmpz00_4639);
		}}}}}

	}



/* emit-cnst-elong */
	obj_t BGl_emitzd2cnstzd2elongz00zzbackend_c_prototypez00(obj_t
		BgL_elongz00_36, BgL_globalz00_bglt BgL_globalz00_37)
	{
		{	/* BackEnd/c_proto.scm 368 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_globalz00_37));
			{	/* BackEnd/c_proto.scm 370 */
				obj_t BgL_port1367z00_2343;

				BgL_port1367z00_2343 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_proto.scm 370 */
					obj_t BgL_tmpz00_4644;

					BgL_tmpz00_4644 = ((obj_t) BgL_port1367z00_2343);
					bgl_display_string(BGl_string2283z00zzbackend_c_prototypez00,
						BgL_tmpz00_4644);
				}
				{	/* BackEnd/c_proto.scm 372 */
					obj_t BgL_arg1933z00_2344;

					BgL_arg1933z00_2344 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_37)))->BgL_namez00);
					bgl_display_obj(BgL_arg1933z00_2344, BgL_port1367z00_2343);
				}
				{	/* BackEnd/c_proto.scm 370 */
					obj_t BgL_tmpz00_4650;

					BgL_tmpz00_4650 = ((obj_t) BgL_port1367z00_2343);
					bgl_display_string(BGl_string2258z00zzbackend_c_prototypez00,
						BgL_tmpz00_4650);
				}
				{	/* BackEnd/c_proto.scm 374 */
					obj_t BgL_arg1935z00_2345;

					{	/* BackEnd/c_proto.scm 374 */
						obj_t BgL_arg1936z00_2346;

						{	/* BackEnd/c_proto.scm 374 */
							obj_t BgL_arg1937z00_2347;

							BgL_arg1937z00_2347 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_globalz00_37)))->BgL_namez00);
							BgL_arg1936z00_2346 =
								BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1937z00_2347);
						}
						BgL_arg1935z00_2345 =
							BGl_idzd2ze3namez31zzast_identz00(BgL_arg1936z00_2346);
					}
					bgl_display_obj(BgL_arg1935z00_2345, BgL_port1367z00_2343);
				}
				{	/* BackEnd/c_proto.scm 370 */
					obj_t BgL_tmpz00_4658;

					BgL_tmpz00_4658 = ((obj_t) BgL_port1367z00_2343);
					bgl_display_string(BGl_string2258z00zzbackend_c_prototypez00,
						BgL_tmpz00_4658);
				}
				{	/* BackEnd/c_proto.scm 376 */
					obj_t BgL_arg1938z00_2348;

					BgL_arg1938z00_2348 =
						BGl_elongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BELONG_TO_LONG
						(BgL_elongz00_36), BNIL);
					bgl_display_obj(BgL_arg1938z00_2348, BgL_port1367z00_2343);
				}
				{	/* BackEnd/c_proto.scm 370 */
					obj_t BgL_tmpz00_4664;

					BgL_tmpz00_4664 = ((obj_t) BgL_port1367z00_2343);
					bgl_display_string(BGl_string2274z00zzbackend_c_prototypez00,
						BgL_tmpz00_4664);
				}
				{	/* BackEnd/c_proto.scm 370 */
					obj_t BgL_tmpz00_4667;

					BgL_tmpz00_4667 = ((obj_t) BgL_port1367z00_2343);
					return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4667);
		}}}

	}



/* emit-cnst-llong */
	obj_t BGl_emitzd2cnstzd2llongz00zzbackend_c_prototypez00(obj_t
		BgL_llongz00_38, BgL_globalz00_bglt BgL_globalz00_39)
	{
		{	/* BackEnd/c_proto.scm 382 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_globalz00_39));
			{	/* BackEnd/c_proto.scm 384 */
				obj_t BgL_port1368z00_2350;

				BgL_port1368z00_2350 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_proto.scm 384 */
					obj_t BgL_tmpz00_4672;

					BgL_tmpz00_4672 = ((obj_t) BgL_port1368z00_2350);
					bgl_display_string(BGl_string2284z00zzbackend_c_prototypez00,
						BgL_tmpz00_4672);
				}
				{	/* BackEnd/c_proto.scm 386 */
					obj_t BgL_arg1940z00_2351;

					BgL_arg1940z00_2351 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_39)))->BgL_namez00);
					bgl_display_obj(BgL_arg1940z00_2351, BgL_port1368z00_2350);
				}
				{	/* BackEnd/c_proto.scm 384 */
					obj_t BgL_tmpz00_4678;

					BgL_tmpz00_4678 = ((obj_t) BgL_port1368z00_2350);
					bgl_display_string(BGl_string2258z00zzbackend_c_prototypez00,
						BgL_tmpz00_4678);
				}
				{	/* BackEnd/c_proto.scm 388 */
					obj_t BgL_arg1941z00_2352;

					{	/* BackEnd/c_proto.scm 388 */
						obj_t BgL_arg1942z00_2353;

						{	/* BackEnd/c_proto.scm 388 */
							obj_t BgL_arg1943z00_2354;

							BgL_arg1943z00_2354 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_globalz00_39)))->BgL_namez00);
							BgL_arg1942z00_2353 =
								BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1943z00_2354);
						}
						BgL_arg1941z00_2352 =
							BGl_idzd2ze3namez31zzast_identz00(BgL_arg1942z00_2353);
					}
					bgl_display_obj(BgL_arg1941z00_2352, BgL_port1368z00_2350);
				}
				{	/* BackEnd/c_proto.scm 384 */
					obj_t BgL_tmpz00_4686;

					BgL_tmpz00_4686 = ((obj_t) BgL_port1368z00_2350);
					bgl_display_string(BGl_string2258z00zzbackend_c_prototypez00,
						BgL_tmpz00_4686);
				}
				bgl_display_obj(BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00
					(BLLONG_TO_LLONG(BgL_llongz00_38)), BgL_port1368z00_2350);
				{	/* BackEnd/c_proto.scm 384 */
					obj_t BgL_tmpz00_4692;

					BgL_tmpz00_4692 = ((obj_t) BgL_port1368z00_2350);
					bgl_display_string(BGl_string2274z00zzbackend_c_prototypez00,
						BgL_tmpz00_4692);
				}
				{	/* BackEnd/c_proto.scm 384 */
					obj_t BgL_tmpz00_4695;

					BgL_tmpz00_4695 = ((obj_t) BgL_port1368z00_2350);
					return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4695);
		}}}

	}



/* emit-cnst-int32 */
	obj_t BGl_emitzd2cnstzd2int32z00zzbackend_c_prototypez00(obj_t
		BgL_int32z00_40, BgL_globalz00_bglt BgL_globalz00_41)
	{
		{	/* BackEnd/c_proto.scm 396 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_globalz00_41));
			{	/* BackEnd/c_proto.scm 398 */
				obj_t BgL_port1369z00_2356;

				BgL_port1369z00_2356 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_proto.scm 398 */
					obj_t BgL_tmpz00_4700;

					BgL_tmpz00_4700 = ((obj_t) BgL_port1369z00_2356);
					bgl_display_string(BGl_string2285z00zzbackend_c_prototypez00,
						BgL_tmpz00_4700);
				}
				{	/* BackEnd/c_proto.scm 400 */
					obj_t BgL_arg1945z00_2357;

					BgL_arg1945z00_2357 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_41)))->BgL_namez00);
					bgl_display_obj(BgL_arg1945z00_2357, BgL_port1369z00_2356);
				}
				{	/* BackEnd/c_proto.scm 398 */
					obj_t BgL_tmpz00_4706;

					BgL_tmpz00_4706 = ((obj_t) BgL_port1369z00_2356);
					bgl_display_string(BGl_string2258z00zzbackend_c_prototypez00,
						BgL_tmpz00_4706);
				}
				{	/* BackEnd/c_proto.scm 402 */
					obj_t BgL_arg1946z00_2358;

					{	/* BackEnd/c_proto.scm 402 */
						obj_t BgL_arg1947z00_2359;

						{	/* BackEnd/c_proto.scm 402 */
							obj_t BgL_arg1948z00_2360;

							BgL_arg1948z00_2360 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_globalz00_41)))->BgL_namez00);
							BgL_arg1947z00_2359 =
								BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1948z00_2360);
						}
						BgL_arg1946z00_2358 =
							BGl_idzd2ze3namez31zzast_identz00(BgL_arg1947z00_2359);
					}
					bgl_display_obj(BgL_arg1946z00_2358, BgL_port1369z00_2356);
				}
				{	/* BackEnd/c_proto.scm 398 */
					obj_t BgL_tmpz00_4714;

					BgL_tmpz00_4714 = ((obj_t) BgL_port1369z00_2356);
					bgl_display_string(BGl_string2258z00zzbackend_c_prototypez00,
						BgL_tmpz00_4714);
				}
				bgl_display_obj(BgL_int32z00_40, BgL_port1369z00_2356);
				{	/* BackEnd/c_proto.scm 398 */
					obj_t BgL_tmpz00_4718;

					BgL_tmpz00_4718 = ((obj_t) BgL_port1369z00_2356);
					bgl_display_string(BGl_string2274z00zzbackend_c_prototypez00,
						BgL_tmpz00_4718);
				}
				{	/* BackEnd/c_proto.scm 398 */
					obj_t BgL_tmpz00_4721;

					BgL_tmpz00_4721 = ((obj_t) BgL_port1369z00_2356);
					return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4721);
		}}}

	}



/* emit-cnst-uint32 */
	obj_t BGl_emitzd2cnstzd2uint32z00zzbackend_c_prototypez00(obj_t
		BgL_uint32z00_42, BgL_globalz00_bglt BgL_globalz00_43)
	{
		{	/* BackEnd/c_proto.scm 410 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_globalz00_43));
			{	/* BackEnd/c_proto.scm 412 */
				obj_t BgL_port1370z00_2361;

				BgL_port1370z00_2361 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_proto.scm 412 */
					obj_t BgL_tmpz00_4726;

					BgL_tmpz00_4726 = ((obj_t) BgL_port1370z00_2361);
					bgl_display_string(BGl_string2286z00zzbackend_c_prototypez00,
						BgL_tmpz00_4726);
				}
				{	/* BackEnd/c_proto.scm 414 */
					obj_t BgL_arg1949z00_2362;

					BgL_arg1949z00_2362 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_43)))->BgL_namez00);
					bgl_display_obj(BgL_arg1949z00_2362, BgL_port1370z00_2361);
				}
				{	/* BackEnd/c_proto.scm 412 */
					obj_t BgL_tmpz00_4732;

					BgL_tmpz00_4732 = ((obj_t) BgL_port1370z00_2361);
					bgl_display_string(BGl_string2258z00zzbackend_c_prototypez00,
						BgL_tmpz00_4732);
				}
				{	/* BackEnd/c_proto.scm 416 */
					obj_t BgL_arg1950z00_2363;

					{	/* BackEnd/c_proto.scm 416 */
						obj_t BgL_arg1951z00_2364;

						{	/* BackEnd/c_proto.scm 416 */
							obj_t BgL_arg1952z00_2365;

							BgL_arg1952z00_2365 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_globalz00_43)))->BgL_namez00);
							BgL_arg1951z00_2364 =
								BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1952z00_2365);
						}
						BgL_arg1950z00_2363 =
							BGl_idzd2ze3namez31zzast_identz00(BgL_arg1951z00_2364);
					}
					bgl_display_obj(BgL_arg1950z00_2363, BgL_port1370z00_2361);
				}
				{	/* BackEnd/c_proto.scm 412 */
					obj_t BgL_tmpz00_4740;

					BgL_tmpz00_4740 = ((obj_t) BgL_port1370z00_2361);
					bgl_display_string(BGl_string2258z00zzbackend_c_prototypez00,
						BgL_tmpz00_4740);
				}
				bgl_display_obj(BgL_uint32z00_42, BgL_port1370z00_2361);
				{	/* BackEnd/c_proto.scm 412 */
					obj_t BgL_tmpz00_4744;

					BgL_tmpz00_4744 = ((obj_t) BgL_port1370z00_2361);
					bgl_display_string(BGl_string2274z00zzbackend_c_prototypez00,
						BgL_tmpz00_4744);
				}
				{	/* BackEnd/c_proto.scm 412 */
					obj_t BgL_tmpz00_4747;

					BgL_tmpz00_4747 = ((obj_t) BgL_port1370z00_2361);
					return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4747);
		}}}

	}



/* emit-cnst-int64 */
	obj_t BGl_emitzd2cnstzd2int64z00zzbackend_c_prototypez00(obj_t
		BgL_int64z00_44, BgL_globalz00_bglt BgL_globalz00_45)
	{
		{	/* BackEnd/c_proto.scm 424 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_globalz00_45));
			{	/* BackEnd/c_proto.scm 426 */
				obj_t BgL_port1371z00_2366;

				BgL_port1371z00_2366 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_proto.scm 426 */
					obj_t BgL_tmpz00_4752;

					BgL_tmpz00_4752 = ((obj_t) BgL_port1371z00_2366);
					bgl_display_string(BGl_string2287z00zzbackend_c_prototypez00,
						BgL_tmpz00_4752);
				}
				{	/* BackEnd/c_proto.scm 428 */
					obj_t BgL_arg1953z00_2367;

					BgL_arg1953z00_2367 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_45)))->BgL_namez00);
					bgl_display_obj(BgL_arg1953z00_2367, BgL_port1371z00_2366);
				}
				{	/* BackEnd/c_proto.scm 426 */
					obj_t BgL_tmpz00_4758;

					BgL_tmpz00_4758 = ((obj_t) BgL_port1371z00_2366);
					bgl_display_string(BGl_string2258z00zzbackend_c_prototypez00,
						BgL_tmpz00_4758);
				}
				{	/* BackEnd/c_proto.scm 430 */
					obj_t BgL_arg1954z00_2368;

					{	/* BackEnd/c_proto.scm 430 */
						obj_t BgL_arg1955z00_2369;

						{	/* BackEnd/c_proto.scm 430 */
							obj_t BgL_arg1956z00_2370;

							BgL_arg1956z00_2370 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_globalz00_45)))->BgL_namez00);
							BgL_arg1955z00_2369 =
								BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1956z00_2370);
						}
						BgL_arg1954z00_2368 =
							BGl_idzd2ze3namez31zzast_identz00(BgL_arg1955z00_2369);
					}
					bgl_display_obj(BgL_arg1954z00_2368, BgL_port1371z00_2366);
				}
				{	/* BackEnd/c_proto.scm 426 */
					obj_t BgL_tmpz00_4766;

					BgL_tmpz00_4766 = ((obj_t) BgL_port1371z00_2366);
					bgl_display_string(BGl_string2258z00zzbackend_c_prototypez00,
						BgL_tmpz00_4766);
				}
				bgl_display_obj(BgL_int64z00_44, BgL_port1371z00_2366);
				{	/* BackEnd/c_proto.scm 426 */
					obj_t BgL_tmpz00_4770;

					BgL_tmpz00_4770 = ((obj_t) BgL_port1371z00_2366);
					bgl_display_string(BGl_string2274z00zzbackend_c_prototypez00,
						BgL_tmpz00_4770);
				}
				{	/* BackEnd/c_proto.scm 426 */
					obj_t BgL_tmpz00_4773;

					BgL_tmpz00_4773 = ((obj_t) BgL_port1371z00_2366);
					return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4773);
		}}}

	}



/* emit-cnst-uint64 */
	obj_t BGl_emitzd2cnstzd2uint64z00zzbackend_c_prototypez00(obj_t
		BgL_uint64z00_46, BgL_globalz00_bglt BgL_globalz00_47)
	{
		{	/* BackEnd/c_proto.scm 438 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_globalz00_47));
			{	/* BackEnd/c_proto.scm 440 */
				obj_t BgL_port1372z00_2371;

				BgL_port1372z00_2371 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_proto.scm 440 */
					obj_t BgL_tmpz00_4778;

					BgL_tmpz00_4778 = ((obj_t) BgL_port1372z00_2371);
					bgl_display_string(BGl_string2288z00zzbackend_c_prototypez00,
						BgL_tmpz00_4778);
				}
				{	/* BackEnd/c_proto.scm 442 */
					obj_t BgL_arg1957z00_2372;

					BgL_arg1957z00_2372 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_47)))->BgL_namez00);
					bgl_display_obj(BgL_arg1957z00_2372, BgL_port1372z00_2371);
				}
				{	/* BackEnd/c_proto.scm 440 */
					obj_t BgL_tmpz00_4784;

					BgL_tmpz00_4784 = ((obj_t) BgL_port1372z00_2371);
					bgl_display_string(BGl_string2258z00zzbackend_c_prototypez00,
						BgL_tmpz00_4784);
				}
				{	/* BackEnd/c_proto.scm 444 */
					obj_t BgL_arg1958z00_2373;

					{	/* BackEnd/c_proto.scm 444 */
						obj_t BgL_arg1959z00_2374;

						{	/* BackEnd/c_proto.scm 444 */
							obj_t BgL_arg1960z00_2375;

							BgL_arg1960z00_2375 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_globalz00_47)))->BgL_namez00);
							BgL_arg1959z00_2374 =
								BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1960z00_2375);
						}
						BgL_arg1958z00_2373 =
							BGl_idzd2ze3namez31zzast_identz00(BgL_arg1959z00_2374);
					}
					bgl_display_obj(BgL_arg1958z00_2373, BgL_port1372z00_2371);
				}
				{	/* BackEnd/c_proto.scm 440 */
					obj_t BgL_tmpz00_4792;

					BgL_tmpz00_4792 = ((obj_t) BgL_port1372z00_2371);
					bgl_display_string(BGl_string2258z00zzbackend_c_prototypez00,
						BgL_tmpz00_4792);
				}
				bgl_display_obj(BgL_uint64z00_46, BgL_port1372z00_2371);
				{	/* BackEnd/c_proto.scm 440 */
					obj_t BgL_tmpz00_4796;

					BgL_tmpz00_4796 = ((obj_t) BgL_port1372z00_2371);
					bgl_display_string(BGl_string2274z00zzbackend_c_prototypez00,
						BgL_tmpz00_4796);
				}
				{	/* BackEnd/c_proto.scm 440 */
					obj_t BgL_tmpz00_4799;

					BgL_tmpz00_4799 = ((obj_t) BgL_port1372z00_2371);
					return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4799);
		}}}

	}



/* emit-cnst-sfun/sgfun */
	obj_t BGl_emitzd2cnstzd2sfunzf2sgfunzf2zzbackend_c_prototypez00(obj_t
		BgL_funz00_52, BgL_globalz00_bglt BgL_globalz00_53, obj_t BgL_kindz00_54)
	{
		{	/* BackEnd/c_proto.scm 464 */
			if (
				((((BgL_globalz00_bglt) COBJECT(BgL_globalz00_53))->BgL_importz00) ==
					CNST_TABLE_REF(((long) 19))))
				{	/* BackEnd/c_proto.scm 466 */
					BgL_valuez00_bglt BgL_arg1964z00_2378;

					BgL_arg1964z00_2378 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_53)))->BgL_valuez00);
					return
						BGl_emitzd2prototypezd2zzbackend_c_prototypez00(BgL_arg1964z00_2378,
						((BgL_variablez00_bglt) BgL_globalz00_53));
				}
			else
				{	/* BackEnd/c_proto.scm 467 */
					obj_t BgL_actualsz00_2379;

					BgL_actualsz00_2379 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_funz00_52)))->BgL_argsz00);
					{	/* BackEnd/c_proto.scm 467 */
						obj_t BgL_entryz00_2380;

						BgL_entryz00_2380 = CAR(((obj_t) BgL_actualsz00_2379));
						{	/* BackEnd/c_proto.scm 468 */
							obj_t BgL_arityz00_2381;

							{	/* BackEnd/c_proto.scm 469 */
								obj_t BgL_arg2010z00_2435;

								{	/* BackEnd/c_proto.scm 469 */
									obj_t BgL_pairz00_3256;

									BgL_pairz00_3256 = CDR(((obj_t) BgL_actualsz00_2379));
									BgL_arg2010z00_2435 = CAR(BgL_pairz00_3256);
								}
								BgL_arityz00_2381 =
									BGl_getzd2nodezd2atomzd2valuezd2zzcnst_nodez00(
									((BgL_nodez00_bglt) BgL_arg2010z00_2435));
							}
							{	/* BackEnd/c_proto.scm 469 */
								obj_t BgL_vnamez00_2382;

								BgL_vnamez00_2382 =
									BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
									((BgL_variablez00_bglt) BgL_globalz00_53));
								{	/* BackEnd/c_proto.scm 470 */
									obj_t BgL_namez00_2383;

									{	/* BackEnd/c_proto.scm 471 */
										BgL_variablez00_bglt BgL_arg2009z00_2434;

										BgL_arg2009z00_2434 =
											(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_entryz00_2380)))->
											BgL_variablez00);
										BgL_namez00_2383 =
											BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
											(BgL_arg2009z00_2434);
									}
									{	/* BackEnd/c_proto.scm 471 */

										{	/* BackEnd/c_proto.scm 473 */
											bool_t BgL_test2497z00_4824;

											{	/* BackEnd/c_proto.scm 473 */
												bool_t BgL_test2498z00_4825;

												{	/* BackEnd/c_proto.scm 473 */
													obj_t BgL_classz00_3258;

													BgL_classz00_3258 = BGl_varz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_entryz00_2380))
														{	/* BackEnd/c_proto.scm 473 */
															BgL_objectz00_bglt BgL_arg1825z00_3260;

															BgL_arg1825z00_3260 =
																(BgL_objectz00_bglt) (BgL_entryz00_2380);
															{	/* BackEnd/c_proto.scm 473 */
																bool_t BgL_arg1822z00_3263;
																bool_t BgL_arg1823z00_3264;

																{	/* BackEnd/c_proto.scm 473 */
																	long BgL_idxz00_3267;

																	BgL_idxz00_3267 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_3260);
																	BgL_arg1822z00_3263 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3267 + ((long) 2))) ==
																		BgL_classz00_3258);
																}
																{	/* BackEnd/c_proto.scm 473 */
																	bool_t BgL_res2227z00_3289;

																	{	/* BackEnd/c_proto.scm 473 */
																		obj_t BgL_oclassz00_3275;

																		{	/* BackEnd/c_proto.scm 473 */
																			long BgL_arg1833z00_3281;

																			{	/* BackEnd/c_proto.scm 473 */
																				long BgL_arg1834z00_3282;

																				BgL_arg1834z00_3282 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_3260);
																				BgL_arg1833z00_3281 =
																					(BgL_arg1834z00_3282 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3275 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_3281);
																		}
																		{	/* BackEnd/c_proto.scm 473 */
																			bool_t BgL__ortest_1110z00_3276;

																			BgL__ortest_1110z00_3276 =
																				(BgL_classz00_3258 ==
																				BgL_oclassz00_3275);
																			if (BgL__ortest_1110z00_3276)
																				{	/* BackEnd/c_proto.scm 473 */
																					BgL_res2227z00_3289 =
																						BgL__ortest_1110z00_3276;
																				}
																			else
																				{	/* BackEnd/c_proto.scm 473 */
																					long BgL_odepthz00_3277;

																					BgL_odepthz00_3277 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_3275);
																					if ((((long) 2) < BgL_odepthz00_3277))
																						{	/* BackEnd/c_proto.scm 473 */
																							obj_t BgL_arg1821z00_3279;

																							BgL_arg1821z00_3279 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_3275,
																								((long) 2));
																							BgL_res2227z00_3289 =
																								(BgL_arg1821z00_3279 ==
																								BgL_classz00_3258);
																						}
																					else
																						{	/* BackEnd/c_proto.scm 473 */
																							BgL_res2227z00_3289 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_3264 = BgL_res2227z00_3289;
																}
																BgL_test2498z00_4825 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_3263,
																	BgL_arg1823z00_3264);
															}
														}
													else
														{	/* BackEnd/c_proto.scm 473 */
															BgL_test2498z00_4825 = ((bool_t) 0);
														}
												}
												if (BgL_test2498z00_4825)
													{	/* BackEnd/c_proto.scm 474 */
														bool_t BgL_test2502z00_4844;

														{	/* BackEnd/c_proto.scm 474 */
															BgL_variablez00_bglt BgL_arg2008z00_2433;

															BgL_arg2008z00_2433 =
																(((BgL_varz00_bglt) COBJECT(
																		((BgL_varz00_bglt) BgL_entryz00_2380)))->
																BgL_variablez00);
															{	/* BackEnd/c_proto.scm 474 */
																obj_t BgL_classz00_3291;

																BgL_classz00_3291 = BGl_globalz00zzast_varz00;
																{	/* BackEnd/c_proto.scm 474 */
																	BgL_objectz00_bglt BgL_arg1825z00_3293;

																	{	/* BackEnd/c_proto.scm 474 */
																		obj_t BgL_tmpz00_4847;

																		BgL_tmpz00_4847 =
																			((obj_t)
																			((BgL_objectz00_bglt)
																				BgL_arg2008z00_2433));
																		BgL_arg1825z00_3293 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_4847);
																	}
																	{	/* BackEnd/c_proto.scm 474 */
																		bool_t BgL_arg1822z00_3296;
																		bool_t BgL_arg1823z00_3297;

																		{	/* BackEnd/c_proto.scm 474 */
																			long BgL_idxz00_3300;

																			BgL_idxz00_3300 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_3293);
																			BgL_arg1822z00_3296 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3300 + ((long) 2))) ==
																				BgL_classz00_3291);
																		}
																		{	/* BackEnd/c_proto.scm 474 */
																			bool_t BgL_res2228z00_3322;

																			{	/* BackEnd/c_proto.scm 474 */
																				obj_t BgL_oclassz00_3308;

																				{	/* BackEnd/c_proto.scm 474 */
																					long BgL_arg1833z00_3314;

																					{	/* BackEnd/c_proto.scm 474 */
																						long BgL_arg1834z00_3315;

																						BgL_arg1834z00_3315 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_3293);
																						BgL_arg1833z00_3314 =
																							(BgL_arg1834z00_3315 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3308 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_3314);
																				}
																				{	/* BackEnd/c_proto.scm 474 */
																					bool_t BgL__ortest_1110z00_3309;

																					BgL__ortest_1110z00_3309 =
																						(BgL_classz00_3291 ==
																						BgL_oclassz00_3308);
																					if (BgL__ortest_1110z00_3309)
																						{	/* BackEnd/c_proto.scm 474 */
																							BgL_res2228z00_3322 =
																								BgL__ortest_1110z00_3309;
																						}
																					else
																						{	/* BackEnd/c_proto.scm 474 */
																							long BgL_odepthz00_3310;

																							BgL_odepthz00_3310 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_3308);
																							if ((((long) 2) <
																									BgL_odepthz00_3310))
																								{	/* BackEnd/c_proto.scm 474 */
																									obj_t BgL_arg1821z00_3312;

																									BgL_arg1821z00_3312 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_3308,
																										((long) 2));
																									BgL_res2228z00_3322 =
																										(BgL_arg1821z00_3312 ==
																										BgL_classz00_3291);
																								}
																							else
																								{	/* BackEnd/c_proto.scm 474 */
																									BgL_res2228z00_3322 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_3297 = BgL_res2228z00_3322;
																		}
																		BgL_test2502z00_4844 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_3296,
																			BgL_arg1823z00_3297);
																	}
																}
															}
														}
														if (BgL_test2502z00_4844)
															{	/* BackEnd/c_proto.scm 476 */
																bool_t BgL__ortest_1157z00_2426;

																{	/* BackEnd/c_proto.scm 476 */
																	obj_t BgL_arg2005z00_2430;

																	BgL_arg2005z00_2430 =
																		(((BgL_sfunz00_bglt) COBJECT(
																				((BgL_sfunz00_bglt)
																					(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										(((BgL_varz00_bglt) COBJECT(
																													((BgL_varz00_bglt)
																														BgL_entryz00_2380)))->
																											BgL_variablez00)))))->
																						BgL_valuez00))))->
																		BgL_thezd2closurezd2globalz00);
																	BgL__ortest_1157z00_2426 =
																		BGl_globalzd2optionalzf3z21zzast_varz00
																		(BgL_arg2005z00_2430);
																}
																if (BgL__ortest_1157z00_2426)
																	{	/* BackEnd/c_proto.scm 476 */
																		BgL_test2497z00_4824 =
																			BgL__ortest_1157z00_2426;
																	}
																else
																	{	/* BackEnd/c_proto.scm 477 */
																		obj_t BgL_arg2002z00_2427;

																		BgL_arg2002z00_2427 =
																			(((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						(((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										((BgL_globalz00_bglt)
																											(((BgL_varz00_bglt)
																													COBJECT((
																															(BgL_varz00_bglt)
																															BgL_entryz00_2380)))->
																												BgL_variablez00)))))->
																							BgL_valuez00))))->
																			BgL_thezd2closurezd2globalz00);
																		BgL_test2497z00_4824 =
																			BGl_globalzd2keyzf3z21zzast_varz00
																			(BgL_arg2002z00_2427);
																	}
															}
														else
															{	/* BackEnd/c_proto.scm 474 */
																BgL_test2497z00_4824 = ((bool_t) 0);
															}
													}
												else
													{	/* BackEnd/c_proto.scm 473 */
														BgL_test2497z00_4824 = ((bool_t) 0);
													}
											}
											if (BgL_test2497z00_4824)
												{	/* BackEnd/c_proto.scm 478 */
													obj_t BgL_port1373z00_2396;

													BgL_port1373z00_2396 =
														BGl_za2czd2portza2zd2zzbackend_c_emitz00;
													{	/* BackEnd/c_proto.scm 479 */
														obj_t BgL_arg1976z00_2397;

														if (
															((((BgL_globalz00_bglt)
																		COBJECT(BgL_globalz00_53))->
																	BgL_importz00) == CNST_TABLE_REF(((long) 0))))
															{	/* BackEnd/c_proto.scm 479 */
																BgL_arg1976z00_2397 =
																	string_append_3
																	(BGl_string2289z00zzbackend_c_prototypez00,
																	BgL_kindz00_54,
																	BGl_string2290z00zzbackend_c_prototypez00);
															}
														else
															{	/* BackEnd/c_proto.scm 479 */
																BgL_arg1976z00_2397 =
																	string_append_3
																	(BGl_string2291z00zzbackend_c_prototypez00,
																	BgL_kindz00_54,
																	BGl_string2290z00zzbackend_c_prototypez00);
															}
														bgl_display_obj(BgL_arg1976z00_2397,
															BgL_port1373z00_2396);
													}
													bgl_display_obj(BgL_vnamez00_2382,
														BgL_port1373z00_2396);
													{	/* BackEnd/c_proto.scm 478 */
														obj_t BgL_tmpz00_4891;

														BgL_tmpz00_4891 = ((obj_t) BgL_port1373z00_2396);
														bgl_display_string
															(BGl_string2258z00zzbackend_c_prototypez00,
															BgL_tmpz00_4891);
													}
													bgl_display_obj(BGl_idzd2ze3namez31zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00
															(BgL_namez00_2383)), BgL_port1373z00_2396);
													{	/* BackEnd/c_proto.scm 478 */
														obj_t BgL_tmpz00_4897;

														BgL_tmpz00_4897 = ((obj_t) BgL_port1373z00_2396);
														bgl_display_string
															(BGl_string2292z00zzbackend_c_prototypez00,
															BgL_tmpz00_4897);
													}
													{	/* BackEnd/c_proto.scm 478 */
														obj_t BgL_tmpz00_4900;

														BgL_tmpz00_4900 = ((obj_t) BgL_port1373z00_2396);
														bgl_display_string
															(BGl_string2258z00zzbackend_c_prototypez00,
															BgL_tmpz00_4900);
													}
													bgl_display_obj(BgL_namez00_2383,
														BgL_port1373z00_2396);
													{	/* BackEnd/c_proto.scm 478 */
														obj_t BgL_tmpz00_4904;

														BgL_tmpz00_4904 = ((obj_t) BgL_port1373z00_2396);
														bgl_display_string
															(BGl_string2293z00zzbackend_c_prototypez00,
															BgL_tmpz00_4904);
													}
													bgl_display_fixnum(BINT(((long) -1)),
														((obj_t) BgL_port1373z00_2396));
													{	/* BackEnd/c_proto.scm 478 */
														obj_t BgL_tmpz00_4910;

														BgL_tmpz00_4910 = ((obj_t) BgL_port1373z00_2396);
														bgl_display_string
															(BGl_string2274z00zzbackend_c_prototypez00,
															BgL_tmpz00_4910);
													}
													{	/* BackEnd/c_proto.scm 478 */
														obj_t BgL_tmpz00_4913;

														BgL_tmpz00_4913 = ((obj_t) BgL_port1373z00_2396);
														return
															bgl_display_char(((unsigned char) 10),
															BgL_tmpz00_4913);
												}}
											else
												{	/* BackEnd/c_proto.scm 473 */
													if (((long) CINT(BgL_arityz00_2381) >= ((long) 0)))
														{	/* BackEnd/c_proto.scm 493 */
															obj_t BgL_port1374z00_2404;

															BgL_port1374z00_2404 =
																BGl_za2czd2portza2zd2zzbackend_c_emitz00;
															{	/* BackEnd/c_proto.scm 494 */
																obj_t BgL_arg1983z00_2405;

																if (
																	((((BgL_globalz00_bglt)
																				COBJECT(BgL_globalz00_53))->
																			BgL_importz00) ==
																		CNST_TABLE_REF(((long) 0))))
																	{	/* BackEnd/c_proto.scm 494 */
																		BgL_arg1983z00_2405 =
																			string_append_3
																			(BGl_string2289z00zzbackend_c_prototypez00,
																			BgL_kindz00_54,
																			BGl_string2290z00zzbackend_c_prototypez00);
																	}
																else
																	{	/* BackEnd/c_proto.scm 494 */
																		BgL_arg1983z00_2405 =
																			string_append_3
																			(BGl_string2291z00zzbackend_c_prototypez00,
																			BgL_kindz00_54,
																			BGl_string2290z00zzbackend_c_prototypez00);
																	}
																bgl_display_obj(BgL_arg1983z00_2405,
																	BgL_port1374z00_2404);
															}
															bgl_display_obj(BgL_vnamez00_2382,
																BgL_port1374z00_2404);
															{	/* BackEnd/c_proto.scm 493 */
																obj_t BgL_tmpz00_4927;

																BgL_tmpz00_4927 =
																	((obj_t) BgL_port1374z00_2404);
																bgl_display_string
																	(BGl_string2258z00zzbackend_c_prototypez00,
																	BgL_tmpz00_4927);
															}
															bgl_display_obj(BGl_idzd2ze3namez31zzast_identz00
																(BGl_gensymz00zz__r4_symbols_6_4z00
																	(BgL_namez00_2383)), BgL_port1374z00_2404);
															{	/* BackEnd/c_proto.scm 493 */
																obj_t BgL_tmpz00_4933;

																BgL_tmpz00_4933 =
																	((obj_t) BgL_port1374z00_2404);
																bgl_display_string
																	(BGl_string2258z00zzbackend_c_prototypez00,
																	BgL_tmpz00_4933);
															}
															bgl_display_obj(BgL_namez00_2383,
																BgL_port1374z00_2404);
															{	/* BackEnd/c_proto.scm 493 */
																obj_t BgL_tmpz00_4937;

																BgL_tmpz00_4937 =
																	((obj_t) BgL_port1374z00_2404);
																bgl_display_string
																	(BGl_string2294z00zzbackend_c_prototypez00,
																	BgL_tmpz00_4937);
															}
															bgl_display_obj(BgL_arityz00_2381,
																BgL_port1374z00_2404);
															{	/* BackEnd/c_proto.scm 493 */
																obj_t BgL_tmpz00_4941;

																BgL_tmpz00_4941 =
																	((obj_t) BgL_port1374z00_2404);
																bgl_display_string
																	(BGl_string2274z00zzbackend_c_prototypez00,
																	BgL_tmpz00_4941);
															}
															{	/* BackEnd/c_proto.scm 493 */
																obj_t BgL_tmpz00_4944;

																BgL_tmpz00_4944 =
																	((obj_t) BgL_port1374z00_2404);
																return
																	bgl_display_char(((unsigned char) 10),
																	BgL_tmpz00_4944);
														}}
													else
														{	/* BackEnd/c_proto.scm 506 */
															obj_t BgL_port1375z00_2411;

															BgL_port1375z00_2411 =
																BGl_za2czd2portza2zd2zzbackend_c_emitz00;
															{	/* BackEnd/c_proto.scm 507 */
																obj_t BgL_arg1989z00_2412;

																if (
																	((((BgL_globalz00_bglt)
																				COBJECT(BgL_globalz00_53))->
																			BgL_importz00) ==
																		CNST_TABLE_REF(((long) 0))))
																	{	/* BackEnd/c_proto.scm 507 */
																		BgL_arg1989z00_2412 =
																			string_append_3
																			(BGl_string2289z00zzbackend_c_prototypez00,
																			BgL_kindz00_54,
																			BGl_string2290z00zzbackend_c_prototypez00);
																	}
																else
																	{	/* BackEnd/c_proto.scm 507 */
																		BgL_arg1989z00_2412 =
																			string_append_3
																			(BGl_string2291z00zzbackend_c_prototypez00,
																			BgL_kindz00_54,
																			BGl_string2290z00zzbackend_c_prototypez00);
																	}
																bgl_display_obj(BgL_arg1989z00_2412,
																	BgL_port1375z00_2411);
															}
															bgl_display_obj(BgL_vnamez00_2382,
																BgL_port1375z00_2411);
															{	/* BackEnd/c_proto.scm 506 */
																obj_t BgL_tmpz00_4955;

																BgL_tmpz00_4955 =
																	((obj_t) BgL_port1375z00_2411);
																bgl_display_string
																	(BGl_string2258z00zzbackend_c_prototypez00,
																	BgL_tmpz00_4955);
															}
															bgl_display_obj(BGl_idzd2ze3namez31zzast_identz00
																(BGl_gensymz00zz__r4_symbols_6_4z00
																	(BgL_namez00_2383)), BgL_port1375z00_2411);
															{	/* BackEnd/c_proto.scm 513 */
																obj_t BgL_arg1996z00_2418;

																{	/* BackEnd/c_proto.scm 513 */
																	bool_t BgL_test2510z00_4961;

																	{	/* BackEnd/c_proto.scm 513 */
																		bool_t BgL_test2511z00_4962;

																		{	/* BackEnd/c_proto.scm 513 */
																			obj_t BgL_classz00_3357;

																			BgL_classz00_3357 =
																				BGl_varz00zzast_nodez00;
																			if (BGL_OBJECTP(BgL_entryz00_2380))
																				{	/* BackEnd/c_proto.scm 513 */
																					BgL_objectz00_bglt
																						BgL_arg1825z00_3359;
																					BgL_arg1825z00_3359 =
																						(BgL_objectz00_bglt)
																						(BgL_entryz00_2380);
																					{	/* BackEnd/c_proto.scm 513 */
																						bool_t BgL_arg1822z00_3362;
																						bool_t BgL_arg1823z00_3363;

																						{	/* BackEnd/c_proto.scm 513 */
																							long BgL_idxz00_3366;

																							BgL_idxz00_3366 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1825z00_3359);
																							BgL_arg1822z00_3362 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_3366 +
																										((long) 2))) ==
																								BgL_classz00_3357);
																						}
																						{	/* BackEnd/c_proto.scm 513 */
																							bool_t BgL_res2229z00_3388;

																							{	/* BackEnd/c_proto.scm 513 */
																								obj_t BgL_oclassz00_3374;

																								{	/* BackEnd/c_proto.scm 513 */
																									long BgL_arg1833z00_3380;

																									{	/* BackEnd/c_proto.scm 513 */
																										long BgL_arg1834z00_3381;

																										BgL_arg1834z00_3381 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1825z00_3359);
																										BgL_arg1833z00_3380 =
																											(BgL_arg1834z00_3381 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_3374 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1833z00_3380);
																								}
																								{	/* BackEnd/c_proto.scm 513 */
																									bool_t
																										BgL__ortest_1110z00_3375;
																									BgL__ortest_1110z00_3375 =
																										(BgL_classz00_3357 ==
																										BgL_oclassz00_3374);
																									if (BgL__ortest_1110z00_3375)
																										{	/* BackEnd/c_proto.scm 513 */
																											BgL_res2229z00_3388 =
																												BgL__ortest_1110z00_3375;
																										}
																									else
																										{	/* BackEnd/c_proto.scm 513 */
																											long BgL_odepthz00_3376;

																											BgL_odepthz00_3376 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_3374);
																											if ((((long) 2) <
																													BgL_odepthz00_3376))
																												{	/* BackEnd/c_proto.scm 513 */
																													obj_t
																														BgL_arg1821z00_3378;
																													BgL_arg1821z00_3378 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_3374,
																														((long) 2));
																													BgL_res2229z00_3388 =
																														(BgL_arg1821z00_3378
																														==
																														BgL_classz00_3357);
																												}
																											else
																												{	/* BackEnd/c_proto.scm 513 */
																													BgL_res2229z00_3388 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_arg1823z00_3363 =
																								BgL_res2229z00_3388;
																						}
																						BgL_test2511z00_4962 =
																							BGL_ISA_C_BACKEND
																							(BgL_arg1822z00_3362,
																							BgL_arg1823z00_3363);
																					}
																				}
																			else
																				{	/* BackEnd/c_proto.scm 513 */
																					BgL_test2511z00_4962 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test2511z00_4962)
																			{	/* BackEnd/c_proto.scm 514 */
																				BgL_variablez00_bglt
																					BgL_arg2001z00_2423;
																				BgL_arg2001z00_2423 =
																					(((BgL_varz00_bglt)
																						COBJECT(((BgL_varz00_bglt)
																								BgL_entryz00_2380)))->
																					BgL_variablez00);
																				BgL_test2510z00_4961 =
																					CBOOL
																					(BGl_funzd2vazd2stackablezf3zf3zzbackend_c_prototypez00
																					(BgL_arg2001z00_2423));
																			}
																		else
																			{	/* BackEnd/c_proto.scm 513 */
																				BgL_test2510z00_4961 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2510z00_4961)
																		{	/* BackEnd/c_proto.scm 513 */
																			BgL_arg1996z00_2418 =
																				BGl_string2295z00zzbackend_c_prototypez00;
																		}
																	else
																		{	/* BackEnd/c_proto.scm 513 */
																			BgL_arg1996z00_2418 =
																				BGl_string2296z00zzbackend_c_prototypez00;
																		}
																}
																bgl_display_obj(BgL_arg1996z00_2418,
																	BgL_port1375z00_2411);
															}
															{	/* BackEnd/c_proto.scm 506 */
																obj_t BgL_tmpz00_4986;

																BgL_tmpz00_4986 =
																	((obj_t) BgL_port1375z00_2411);
																bgl_display_string
																	(BGl_string2258z00zzbackend_c_prototypez00,
																	BgL_tmpz00_4986);
															}
															bgl_display_obj(BgL_namez00_2383,
																BgL_port1375z00_2411);
															{	/* BackEnd/c_proto.scm 506 */
																obj_t BgL_tmpz00_4990;

																BgL_tmpz00_4990 =
																	((obj_t) BgL_port1375z00_2411);
																bgl_display_string
																	(BGl_string2297z00zzbackend_c_prototypez00,
																	BgL_tmpz00_4990);
															}
															bgl_display_obj(BgL_arityz00_2381,
																BgL_port1375z00_2411);
															{	/* BackEnd/c_proto.scm 506 */
																obj_t BgL_tmpz00_4994;

																BgL_tmpz00_4994 =
																	((obj_t) BgL_port1375z00_2411);
																bgl_display_string
																	(BGl_string2274z00zzbackend_c_prototypez00,
																	BgL_tmpz00_4994);
															}
															{	/* BackEnd/c_proto.scm 506 */
																obj_t BgL_tmpz00_4997;

																BgL_tmpz00_4997 =
																	((obj_t) BgL_port1375z00_2411);
																return
																	bgl_display_char(((unsigned char) 10),
																	BgL_tmpz00_4997);
		}}}}}}}}}}}

	}



/* fun-va-stackable? */
	obj_t
		BGl_funzd2vazd2stackablezf3zf3zzbackend_c_prototypez00(BgL_variablez00_bglt
		BgL_varz00_55)
	{
		{	/* BackEnd/c_proto.scm 526 */
			{	/* BackEnd/c_proto.scm 527 */
				BgL_valuez00_bglt BgL_funz00_2437;

				BgL_funz00_2437 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_55))->BgL_valuez00);
				{	/* BackEnd/c_proto.scm 528 */
					bool_t BgL_test2515z00_5001;

					{	/* BackEnd/c_proto.scm 528 */
						obj_t BgL_classz00_3398;

						BgL_classz00_3398 = BGl_sfunz00zzast_varz00;
						{	/* BackEnd/c_proto.scm 528 */
							BgL_objectz00_bglt BgL_arg1825z00_3400;

							{	/* BackEnd/c_proto.scm 528 */
								obj_t BgL_tmpz00_5002;

								BgL_tmpz00_5002 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2437));
								BgL_arg1825z00_3400 = (BgL_objectz00_bglt) (BgL_tmpz00_5002);
							}
							{	/* BackEnd/c_proto.scm 528 */
								bool_t BgL_arg1822z00_3403;
								bool_t BgL_arg1823z00_3404;

								{	/* BackEnd/c_proto.scm 528 */
									long BgL_idxz00_3407;

									BgL_idxz00_3407 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3400);
									BgL_arg1822z00_3403 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3407 + ((long) 3))) == BgL_classz00_3398);
								}
								{	/* BackEnd/c_proto.scm 528 */
									bool_t BgL_res2230z00_3429;

									{	/* BackEnd/c_proto.scm 528 */
										obj_t BgL_oclassz00_3415;

										{	/* BackEnd/c_proto.scm 528 */
											long BgL_arg1833z00_3421;

											{	/* BackEnd/c_proto.scm 528 */
												long BgL_arg1834z00_3422;

												BgL_arg1834z00_3422 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3400);
												BgL_arg1833z00_3421 =
													(BgL_arg1834z00_3422 - OBJECT_TYPE);
											}
											BgL_oclassz00_3415 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3421);
										}
										{	/* BackEnd/c_proto.scm 528 */
											bool_t BgL__ortest_1110z00_3416;

											BgL__ortest_1110z00_3416 =
												(BgL_classz00_3398 == BgL_oclassz00_3415);
											if (BgL__ortest_1110z00_3416)
												{	/* BackEnd/c_proto.scm 528 */
													BgL_res2230z00_3429 = BgL__ortest_1110z00_3416;
												}
											else
												{	/* BackEnd/c_proto.scm 528 */
													long BgL_odepthz00_3417;

													BgL_odepthz00_3417 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3415);
													if ((((long) 3) < BgL_odepthz00_3417))
														{	/* BackEnd/c_proto.scm 528 */
															obj_t BgL_arg1821z00_3419;

															BgL_arg1821z00_3419 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3415,
																((long) 3));
															BgL_res2230z00_3429 =
																(BgL_arg1821z00_3419 == BgL_classz00_3398);
														}
													else
														{	/* BackEnd/c_proto.scm 528 */
															BgL_res2230z00_3429 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3404 = BgL_res2230z00_3429;
								}
								BgL_test2515z00_5001 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3403, BgL_arg1823z00_3404);
							}
						}
					}
					if (BgL_test2515z00_5001)
						{	/* BackEnd/c_proto.scm 530 */
							bool_t BgL__ortest_1159z00_2440;

							BgL__ortest_1159z00_2440 =
								(
								(((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_2437))))->
									BgL_argszd2noescapezd2) == CNST_TABLE_REF(((long) 20)));
							if (BgL__ortest_1159z00_2440)
								{	/* BackEnd/c_proto.scm 530 */
									return BBOOL(BgL__ortest_1159z00_2440);
								}
							else
								{	/* BackEnd/c_proto.scm 531 */
									bool_t BgL_test2519z00_5028;

									{	/* BackEnd/c_proto.scm 531 */
										obj_t BgL_tmpz00_5029;

										BgL_tmpz00_5029 =
											(((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2437))))->
											BgL_argszd2noescapezd2);
										BgL_test2519z00_5028 = PAIRP(BgL_tmpz00_5029);
									}
									if (BgL_test2519z00_5028)
										{	/* BackEnd/c_proto.scm 531 */
											return
												BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BINT(
													(bgl_list_length(
															(((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt) BgL_funz00_2437)))->
																BgL_argszd2namezd2)) - ((long) 2))),
												(((BgL_funz00_bglt)
														COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																	BgL_funz00_2437))))->BgL_argszd2noescapezd2));
										}
									else
										{	/* BackEnd/c_proto.scm 531 */
											return BFALSE;
										}
								}
						}
					else
						{	/* BackEnd/c_proto.scm 528 */
							return BFALSE;
						}
				}
			}
		}

	}



/* emit-cnst-selfun */
	obj_t BGl_emitzd2cnstzd2selfunz00zzbackend_c_prototypez00(obj_t BgL_funz00_56,
		BgL_globalz00_bglt BgL_globalz00_57)
	{
		{	/* BackEnd/c_proto.scm 539 */
			{	/* BackEnd/c_proto.scm 540 */
				obj_t BgL_vnamez00_2448;

				BgL_vnamez00_2448 =
					BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
					((BgL_variablez00_bglt) BgL_globalz00_57));
				{	/* BackEnd/c_proto.scm 541 */
					obj_t BgL_port1376z00_2449;

					BgL_port1376z00_2449 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c_proto.scm 541 */
						obj_t BgL_tmpz00_5045;

						BgL_tmpz00_5045 = ((obj_t) BgL_port1376z00_2449);
						bgl_display_string(BGl_string2298z00zzbackend_c_prototypez00,
							BgL_tmpz00_5045);
					}
					bgl_display_obj(BgL_vnamez00_2448, BgL_port1376z00_2449);
					{	/* BackEnd/c_proto.scm 541 */
						obj_t BgL_tmpz00_5049;

						BgL_tmpz00_5049 = ((obj_t) BgL_port1376z00_2449);
						bgl_display_string(BGl_string2299z00zzbackend_c_prototypez00,
							BgL_tmpz00_5049);
					}
					{	/* BackEnd/c_proto.scm 541 */
						obj_t BgL_tmpz00_5052;

						BgL_tmpz00_5052 = ((obj_t) BgL_port1376z00_2449);
						return bgl_display_char(((unsigned char) 10), BgL_tmpz00_5052);
		}}}}

	}



/* emit-cnst-slfun */
	obj_t BGl_emitzd2cnstzd2slfunz00zzbackend_c_prototypez00(obj_t BgL_funz00_58,
		BgL_globalz00_bglt BgL_globalz00_59)
	{
		{	/* BackEnd/c_proto.scm 546 */
			{	/* BackEnd/c_proto.scm 547 */
				obj_t BgL_actualsz00_2450;

				BgL_actualsz00_2450 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_funz00_58)))->BgL_argsz00);
				{	/* BackEnd/c_proto.scm 547 */
					obj_t BgL_entryz00_2451;

					BgL_entryz00_2451 = CAR(((obj_t) BgL_actualsz00_2450));
					{	/* BackEnd/c_proto.scm 548 */
						obj_t BgL_vnamez00_2452;

						BgL_vnamez00_2452 =
							BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
							((BgL_variablez00_bglt) BgL_globalz00_59));
						{	/* BackEnd/c_proto.scm 549 */
							obj_t BgL_namez00_2453;

							{	/* BackEnd/c_proto.scm 550 */
								BgL_variablez00_bglt BgL_arg2022z00_2457;

								BgL_arg2022z00_2457 =
									(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_entryz00_2451)))->BgL_variablez00);
								BgL_namez00_2453 =
									BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
									(BgL_arg2022z00_2457);
							}
							{	/* BackEnd/c_proto.scm 550 */

								{	/* BackEnd/c_proto.scm 551 */
									obj_t BgL_port1377z00_2454;

									BgL_port1377z00_2454 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									{	/* BackEnd/c_proto.scm 551 */
										obj_t BgL_tmpz00_5064;

										BgL_tmpz00_5064 = ((obj_t) BgL_port1377z00_2454);
										bgl_display_string
											(BGl_string2300z00zzbackend_c_prototypez00,
											BgL_tmpz00_5064);
									}
									bgl_display_obj(BgL_vnamez00_2452, BgL_port1377z00_2454);
									{	/* BackEnd/c_proto.scm 551 */
										obj_t BgL_tmpz00_5068;

										BgL_tmpz00_5068 = ((obj_t) BgL_port1377z00_2454);
										bgl_display_string
											(BGl_string2258z00zzbackend_c_prototypez00,
											BgL_tmpz00_5068);
									}
									bgl_display_obj(BGl_idzd2ze3namez31zzast_identz00
										(BGl_gensymz00zz__r4_symbols_6_4z00(BgL_namez00_2453)),
										BgL_port1377z00_2454);
									{	/* BackEnd/c_proto.scm 551 */
										obj_t BgL_tmpz00_5074;

										BgL_tmpz00_5074 = ((obj_t) BgL_port1377z00_2454);
										bgl_display_string
											(BGl_string2258z00zzbackend_c_prototypez00,
											BgL_tmpz00_5074);
									}
									bgl_display_obj(BgL_namez00_2453, BgL_port1377z00_2454);
									{	/* BackEnd/c_proto.scm 551 */
										obj_t BgL_tmpz00_5078;

										BgL_tmpz00_5078 = ((obj_t) BgL_port1377z00_2454);
										bgl_display_string
											(BGl_string2274z00zzbackend_c_prototypez00,
											BgL_tmpz00_5078);
									}
									{	/* BackEnd/c_proto.scm 551 */
										obj_t BgL_tmpz00_5081;

										BgL_tmpz00_5081 = ((obj_t) BgL_port1377z00_2454);
										return
											bgl_display_char(((unsigned char) 10), BgL_tmpz00_5081);
		}}}}}}}}

	}



/* emit-cnst-stvector */
	obj_t BGl_emitzd2cnstzd2stvectorz00zzbackend_c_prototypez00(obj_t
		BgL_tvecz00_60, BgL_globalz00_bglt BgL_globalz00_61)
	{
		{	/* BackEnd/c_proto.scm 563 */
			{	/* BackEnd/c_proto.scm 564 */
				obj_t BgL_vecz00_2458;

				BgL_vecz00_2458 =
					STRUCT_REF(((obj_t) BgL_tvecz00_60), (int) (((long) 1)));
				{	/* BackEnd/c_proto.scm 564 */
					BgL_typez00_bglt BgL_itypez00_2459;

					{	/* BackEnd/c_proto.scm 565 */
						BgL_typez00_bglt BgL_oz00_3450;

						BgL_oz00_3450 =
							((BgL_typez00_bglt)
							STRUCT_REF(((obj_t) BgL_tvecz00_60), (int) (((long) 0))));
						{
							BgL_tvecz00_bglt BgL_auxz00_5091;

							{
								obj_t BgL_auxz00_5092;

								{	/* BackEnd/c_proto.scm 565 */
									BgL_objectz00_bglt BgL_tmpz00_5093;

									BgL_tmpz00_5093 = ((BgL_objectz00_bglt) BgL_oz00_3450);
									BgL_auxz00_5092 = BGL_OBJECT_WIDENING(BgL_tmpz00_5093);
								}
								BgL_auxz00_5091 = ((BgL_tvecz00_bglt) BgL_auxz00_5092);
							}
							BgL_itypez00_2459 =
								(((BgL_tvecz00_bglt) COBJECT(BgL_auxz00_5091))->
								BgL_itemzd2typezd2);
					}}
					{	/* BackEnd/c_proto.scm 565 */
						obj_t BgL_czd2veczd2_2460;

						BgL_czd2veczd2_2460 =
							BGl_tvectorzd2ze3czd2vectorze3zztvector_cnstz00(BgL_tvecz00_60);
						{	/* BackEnd/c_proto.scm 566 */

							BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
								((BgL_variablez00_bglt) BgL_globalz00_61));
							{	/* BackEnd/c_proto.scm 568 */
								obj_t BgL_auxz00_2461;

								{	/* BackEnd/c_proto.scm 568 */
									obj_t BgL_arg2029z00_2467;

									{	/* BackEnd/c_proto.scm 568 */
										obj_t BgL_arg2030z00_2468;

										BgL_arg2030z00_2468 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_61)))->
											BgL_namez00);
										BgL_arg2029z00_2467 =
											BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg2030z00_2468);
									}
									BgL_auxz00_2461 =
										BGl_idzd2ze3namez31zzast_identz00(BgL_arg2029z00_2467);
								}
								{	/* BackEnd/c_proto.scm 569 */
									obj_t BgL_port1378z00_2462;

									BgL_port1378z00_2462 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									{	/* BackEnd/c_proto.scm 569 */
										obj_t BgL_tmpz00_5105;

										BgL_tmpz00_5105 = ((obj_t) BgL_port1378z00_2462);
										bgl_display_string
											(BGl_string2301z00zzbackend_c_prototypez00,
											BgL_tmpz00_5105);
									}
									bgl_display_obj(BgL_auxz00_2461, BgL_port1378z00_2462);
									{	/* BackEnd/c_proto.scm 569 */
										obj_t BgL_tmpz00_5109;

										BgL_tmpz00_5109 = ((obj_t) BgL_port1378z00_2462);
										bgl_display_string
											(BGl_string2258z00zzbackend_c_prototypez00,
											BgL_tmpz00_5109);
									}
									bgl_display_obj(BINT(VECTOR_LENGTH(
												((obj_t) BgL_vecz00_2458))), BgL_port1378z00_2462);
									{	/* BackEnd/c_proto.scm 569 */
										obj_t BgL_tmpz00_5116;

										BgL_tmpz00_5116 = ((obj_t) BgL_port1378z00_2462);
										bgl_display_string
											(BGl_string2258z00zzbackend_c_prototypez00,
											BgL_tmpz00_5116);
									}
									bgl_display_obj(BGl_stringzd2sanszd2z42z42zztype_toolsz00(
											(((BgL_typez00_bglt) COBJECT(BgL_itypez00_2459))->
												BgL_namez00)), BgL_port1378z00_2462);
									{	/* BackEnd/c_proto.scm 569 */
										obj_t BgL_tmpz00_5122;

										BgL_tmpz00_5122 = ((obj_t) BgL_port1378z00_2462);
										bgl_display_string
											(BGl_string2302z00zzbackend_c_prototypez00,
											BgL_tmpz00_5122);
									}
									bgl_display_obj(BgL_czd2veczd2_2460, BgL_port1378z00_2462);
									{	/* BackEnd/c_proto.scm 569 */
										obj_t BgL_tmpz00_5126;

										BgL_tmpz00_5126 = ((obj_t) BgL_port1378z00_2462);
										bgl_display_string
											(BGl_string2303z00zzbackend_c_prototypez00,
											BgL_tmpz00_5126);
									}
									{	/* BackEnd/c_proto.scm 579 */
										obj_t BgL_arg2026z00_2466;

										BgL_arg2026z00_2466 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_61)))->
											BgL_namez00);
										bgl_display_obj(BgL_arg2026z00_2466, BgL_port1378z00_2462);
									}
									{	/* BackEnd/c_proto.scm 569 */
										obj_t BgL_tmpz00_5132;

										BgL_tmpz00_5132 = ((obj_t) BgL_port1378z00_2462);
										bgl_display_string
											(BGl_string2258z00zzbackend_c_prototypez00,
											BgL_tmpz00_5132);
									}
									bgl_display_obj(BgL_auxz00_2461, BgL_port1378z00_2462);
									{	/* BackEnd/c_proto.scm 569 */
										obj_t BgL_tmpz00_5136;

										BgL_tmpz00_5136 = ((obj_t) BgL_port1378z00_2462);
										bgl_display_string
											(BGl_string2274z00zzbackend_c_prototypez00,
											BgL_tmpz00_5136);
									}
									{	/* BackEnd/c_proto.scm 569 */
										obj_t BgL_tmpz00_5139;

										BgL_tmpz00_5139 = ((obj_t) BgL_port1378z00_2462);
										return
											bgl_display_char(((unsigned char) 10), BgL_tmpz00_5139);
		}}}}}}}}

	}



/* emit-class-types */
	BGL_EXPORTED_DEF obj_t
		BGl_emitzd2classzd2typesz00zzbackend_c_prototypez00(obj_t
		BgL_classzd2listzd2_65, obj_t BgL_oportz00_66)
	{
		{	/* BackEnd/c_proto.scm 613 */
			{
				obj_t BgL_classz00_2497;
				obj_t BgL_classz00_2513;

				if (NULLP(BgL_classzd2listzd2_65))
					{	/* BackEnd/c_proto.scm 648 */
						return BFALSE;
					}
				else
					{	/* BackEnd/c_proto.scm 648 */
						bgl_display_char(((unsigned char) 10), BgL_oportz00_66);
						bgl_display_string(BGl_string2311z00zzbackend_c_prototypez00,
							BgL_oportz00_66);
						bgl_display_char(((unsigned char) 10), BgL_oportz00_66);
						{	/* BackEnd/c_proto.scm 650 */
							obj_t BgL_g1396z00_2475;

							BgL_g1396z00_2475 = bgl_reverse_bang(BgL_classzd2listzd2_65);
							{
								obj_t BgL_l1394z00_2477;

								BgL_l1394z00_2477 = BgL_g1396z00_2475;
							BgL_zc3z04anonymousza32033ze3z87_2478:
								if (PAIRP(BgL_l1394z00_2477))
									{	/* BackEnd/c_proto.scm 655 */
										{	/* BackEnd/c_proto.scm 651 */
											obj_t BgL_classz00_2480;

											BgL_classz00_2480 = CAR(BgL_l1394z00_2477);
											if (
												(BgL_classz00_2480 ==
													BGl_getzd2objectzd2typez00zztype_cachez00()))
												{	/* BackEnd/c_proto.scm 651 */
													BFALSE;
												}
											else
												{	/* BackEnd/c_proto.scm 651 */
													if (BGl_widezd2classzf3z21zzobject_classz00
														(BgL_classz00_2480))
														{	/* BackEnd/c_proto.scm 652 */
															BgL_classz00_2513 = BgL_classz00_2480;
															bgl_display_string
																(BGl_string2304z00zzbackend_c_prototypez00,
																BgL_oportz00_66);
															{	/* BackEnd/c_proto.scm 632 */
																obj_t BgL_arg2056z00_2516;

																{	/* BackEnd/c_proto.scm 632 */
																	obj_t BgL_arg2058z00_2517;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_5157;

																		{
																			obj_t BgL_auxz00_5158;

																			{	/* BackEnd/c_proto.scm 632 */
																				BgL_objectz00_bglt BgL_tmpz00_5159;

																				BgL_tmpz00_5159 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt)
																						BgL_classz00_2513));
																				BgL_auxz00_5158 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5159);
																			}
																			BgL_auxz00_5157 =
																				((BgL_tclassz00_bglt) BgL_auxz00_5158);
																		}
																		BgL_arg2058z00_2517 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_5157))->
																			BgL_widezd2typezd2);
																	}
																	BgL_arg2056z00_2516 =
																		(((BgL_typez00_bglt) COBJECT(
																				((BgL_typez00_bglt)
																					BgL_arg2058z00_2517)))->
																		BgL_siza7eza7);
																}
																bgl_display_obj(BgL_arg2056z00_2516,
																	BgL_oportz00_66);
															}
															bgl_display_string
																(BGl_string2305z00zzbackend_c_prototypez00,
																BgL_oportz00_66);
															bgl_display_char(((unsigned char) 10),
																BgL_oportz00_66);
															{	/* BackEnd/c_proto.scm 633 */
																bool_t BgL_test2524z00_5170;

																{	/* BackEnd/c_proto.scm 633 */
																	obj_t BgL_arg2061z00_2521;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_5171;

																		{
																			obj_t BgL_auxz00_5172;

																			{	/* BackEnd/c_proto.scm 633 */
																				BgL_objectz00_bglt BgL_tmpz00_5173;

																				BgL_tmpz00_5173 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt)
																						BgL_classz00_2513));
																				BgL_auxz00_5172 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5173);
																			}
																			BgL_auxz00_5171 =
																				((BgL_tclassz00_bglt) BgL_auxz00_5172);
																		}
																		BgL_arg2061z00_2521 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_5171))->
																			BgL_slotsz00);
																	}
																	BgL_test2524z00_5170 =
																		NULLP(BgL_arg2061z00_2521);
																}
																if (BgL_test2524z00_5170)
																	{	/* BackEnd/c_proto.scm 633 */
																		bgl_display_string
																			(BGl_string2306z00zzbackend_c_prototypez00,
																			BgL_oportz00_66);
																		bgl_display_char(((unsigned char) 10),
																			BgL_oportz00_66);
																	}
																else
																	{	/* BackEnd/c_proto.scm 633 */
																		BFALSE;
																	}
															}
															{	/* BackEnd/c_proto.scm 640 */
																obj_t BgL_g1391z00_2522;

																{
																	BgL_tclassz00_bglt BgL_auxz00_5182;

																	{
																		obj_t BgL_auxz00_5183;

																		{	/* BackEnd/c_proto.scm 643 */
																			BgL_objectz00_bglt BgL_tmpz00_5184;

																			BgL_tmpz00_5184 =
																				((BgL_objectz00_bglt)
																				((BgL_typez00_bglt) BgL_classz00_2513));
																			BgL_auxz00_5183 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_5184);
																		}
																		BgL_auxz00_5182 =
																			((BgL_tclassz00_bglt) BgL_auxz00_5183);
																	}
																	BgL_g1391z00_2522 =
																		(((BgL_tclassz00_bglt)
																			COBJECT(BgL_auxz00_5182))->BgL_slotsz00);
																}
																{
																	obj_t BgL_l1389z00_2524;

																	BgL_l1389z00_2524 = BgL_g1391z00_2522;
																BgL_zc3z04anonymousza32062ze3z87_2525:
																	if (PAIRP(BgL_l1389z00_2524))
																		{	/* BackEnd/c_proto.scm 643 */
																			{	/* BackEnd/c_proto.scm 641 */
																				obj_t BgL_sz00_2527;

																				BgL_sz00_2527 = CAR(BgL_l1389z00_2524);
																				if (
																					((((BgL_slotz00_bglt) COBJECT(
																									((BgL_slotz00_bglt)
																										BgL_sz00_2527)))->
																							BgL_classzd2ownerzd2) ==
																						BgL_classz00_2513))
																					{	/* BackEnd/c_proto.scm 641 */
																						BGl_emitzd2slotze70z35zzbackend_c_prototypez00
																							(BgL_oportz00_66, BgL_sz00_2527);
																					}
																				else
																					{	/* BackEnd/c_proto.scm 641 */
																						BFALSE;
																					}
																			}
																			{
																				obj_t BgL_l1389z00_5198;

																				BgL_l1389z00_5198 =
																					CDR(BgL_l1389z00_2524);
																				BgL_l1389z00_2524 = BgL_l1389z00_5198;
																				goto
																					BgL_zc3z04anonymousza32062ze3z87_2525;
																			}
																		}
																	else
																		{	/* BackEnd/c_proto.scm 643 */
																			((bool_t) 1);
																		}
																}
															}
															bgl_display_string
																(BGl_string2307z00zzbackend_c_prototypez00,
																BgL_oportz00_66);
															{	/* BackEnd/c_proto.scm 645 */
																obj_t BgL_arg2069z00_2534;

																{	/* BackEnd/c_proto.scm 645 */
																	obj_t BgL_arg2071z00_2535;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_5201;

																		{
																			obj_t BgL_auxz00_5202;

																			{	/* BackEnd/c_proto.scm 645 */
																				BgL_objectz00_bglt BgL_tmpz00_5203;

																				BgL_tmpz00_5203 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt)
																						BgL_classz00_2513));
																				BgL_auxz00_5202 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5203);
																			}
																			BgL_auxz00_5201 =
																				((BgL_tclassz00_bglt) BgL_auxz00_5202);
																		}
																		BgL_arg2071z00_2535 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_5201))->
																			BgL_widezd2typezd2);
																	}
																	BgL_arg2069z00_2534 =
																		(((BgL_typez00_bglt) COBJECT(
																				((BgL_typez00_bglt)
																					BgL_arg2071z00_2535)))->BgL_namez00);
																}
																bgl_display_obj(BgL_arg2069z00_2534,
																	BgL_oportz00_66);
															}
															bgl_display_string
																(BGl_string2308z00zzbackend_c_prototypez00,
																BgL_oportz00_66);
															bgl_display_char(((unsigned char) 10),
																BgL_oportz00_66);
														}
													else
														{	/* BackEnd/c_proto.scm 652 */
															BgL_classz00_2497 = BgL_classz00_2480;
															bgl_display_string
																(BGl_string2304z00zzbackend_c_prototypez00,
																BgL_oportz00_66);
															{	/* BackEnd/c_proto.scm 625 */
																obj_t BgL_arg2049z00_2500;

																BgL_arg2049z00_2500 =
																	(((BgL_typez00_bglt) COBJECT(
																			((BgL_typez00_bglt) BgL_classz00_2497)))->
																	BgL_siza7eza7);
																bgl_display_obj(BgL_arg2049z00_2500,
																	BgL_oportz00_66);
															}
															bgl_display_string
																(BGl_string2305z00zzbackend_c_prototypez00,
																BgL_oportz00_66);
															bgl_display_char(((unsigned char) 10),
																BgL_oportz00_66);
															bgl_display_string
																(BGl_string2309z00zzbackend_c_prototypez00,
																BgL_oportz00_66);
															bgl_display_char(((unsigned char) 10),
																BgL_oportz00_66);
															bgl_display_string
																(BGl_string2310z00zzbackend_c_prototypez00,
																BgL_oportz00_66);
															bgl_display_char(((unsigned char) 10),
																BgL_oportz00_66);
															{	/* BackEnd/c_proto.scm 628 */
																obj_t BgL_g1385z00_2503;

																{
																	BgL_tclassz00_bglt BgL_auxz00_5224;

																	{
																		obj_t BgL_auxz00_5225;

																		{	/* BackEnd/c_proto.scm 628 */
																			BgL_objectz00_bglt BgL_tmpz00_5226;

																			BgL_tmpz00_5226 =
																				((BgL_objectz00_bglt)
																				((BgL_typez00_bglt) BgL_classz00_2497));
																			BgL_auxz00_5225 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_5226);
																		}
																		BgL_auxz00_5224 =
																			((BgL_tclassz00_bglt) BgL_auxz00_5225);
																	}
																	BgL_g1385z00_2503 =
																		(((BgL_tclassz00_bglt)
																			COBJECT(BgL_auxz00_5224))->BgL_slotsz00);
																}
																{
																	obj_t BgL_l1383z00_2505;

																	BgL_l1383z00_2505 = BgL_g1385z00_2503;
																BgL_zc3z04anonymousza32050ze3z87_2506:
																	if (PAIRP(BgL_l1383z00_2505))
																		{	/* BackEnd/c_proto.scm 628 */
																			BGl_emitzd2slotze70z35zzbackend_c_prototypez00
																				(BgL_oportz00_66,
																				CAR(BgL_l1383z00_2505));
																			{
																				obj_t BgL_l1383z00_5236;

																				BgL_l1383z00_5236 =
																					CDR(BgL_l1383z00_2505);
																				BgL_l1383z00_2505 = BgL_l1383z00_5236;
																				goto
																					BgL_zc3z04anonymousza32050ze3z87_2506;
																			}
																		}
																	else
																		{	/* BackEnd/c_proto.scm 628 */
																			((bool_t) 1);
																		}
																}
															}
															bgl_display_string
																(BGl_string2307z00zzbackend_c_prototypez00,
																BgL_oportz00_66);
															{	/* BackEnd/c_proto.scm 629 */
																obj_t BgL_arg2054z00_2512;

																BgL_arg2054z00_2512 =
																	BGl_typezd2classzd2namez00zzobject_classz00(
																	((BgL_typez00_bglt) BgL_classz00_2497));
																bgl_display_obj(BgL_arg2054z00_2512,
																	BgL_oportz00_66);
															}
															bgl_display_string
																(BGl_string2308z00zzbackend_c_prototypez00,
																BgL_oportz00_66);
															bgl_display_char(((unsigned char) 10),
																BgL_oportz00_66);
										}}}
										{
											obj_t BgL_l1394z00_5244;

											BgL_l1394z00_5244 = CDR(BgL_l1394z00_2477);
											BgL_l1394z00_2477 = BgL_l1394z00_5244;
											goto BgL_zc3z04anonymousza32033ze3z87_2478;
										}
									}
								else
									{	/* BackEnd/c_proto.scm 655 */
										((bool_t) 1);
									}
							}
						}
						return bgl_display_char(((unsigned char) 10), BgL_oportz00_66);
		}}}

	}



/* emit-slot~0 */
	obj_t BGl_emitzd2slotze70z35zzbackend_c_prototypez00(obj_t BgL_oportz00_3938,
		obj_t BgL_slotz00_2487)
	{
		{	/* BackEnd/c_proto.scm 622 */
			{	/* BackEnd/c_proto.scm 617 */
				obj_t BgL_cnamez00_2490;

				{	/* BackEnd/c_proto.scm 617 */
					obj_t BgL_arg2046z00_2496;

					BgL_arg2046z00_2496 =
						(((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_slotz00_2487)))->BgL_typez00);
					BgL_cnamez00_2490 =
						BGl_crosszd2namezd2zzbackend_c_prototypez00(BgL_arg2046z00_2496);
				}
				if (
					((long) CINT(
							(((BgL_slotz00_bglt) COBJECT(
										((BgL_slotz00_bglt) BgL_slotz00_2487)))->
								BgL_virtualzd2numzd2)) >= ((long) 0)))
					{	/* BackEnd/c_proto.scm 619 */
						return BUNSPEC;
					}
				else
					{	/* BackEnd/c_proto.scm 619 */
						bgl_display_string(BGl_string2312z00zzbackend_c_prototypez00,
							BgL_oportz00_3938);
						bgl_display_obj(BgL_cnamez00_2490, BgL_oportz00_3938);
						bgl_display_string(BGl_string2313z00zzbackend_c_prototypez00,
							BgL_oportz00_3938);
						{	/* BackEnd/c_proto.scm 622 */
							obj_t BgL_arg2044z00_2494;

							BgL_arg2044z00_2494 =
								(((BgL_slotz00_bglt) COBJECT(
										((BgL_slotz00_bglt) BgL_slotz00_2487)))->BgL_namez00);
							bgl_display_obj(BgL_arg2044z00_2494, BgL_oportz00_3938);
						}
						bgl_display_string(BGl_string2299z00zzbackend_c_prototypez00,
							BgL_oportz00_3938);
						return bgl_display_char(((unsigned char) 10), BgL_oportz00_3938);
		}}}

	}



/* &emit-class-types */
	obj_t BGl_z62emitzd2classzd2typesz62zzbackend_c_prototypez00(obj_t
		BgL_envz00_3896, obj_t BgL_classzd2listzd2_3897, obj_t BgL_oportz00_3898)
	{
		{	/* BackEnd/c_proto.scm 613 */
			return
				BGl_emitzd2classzd2typesz00zzbackend_c_prototypez00
				(BgL_classzd2listzd2_3897, BgL_oportz00_3898);
		}

	}



/* cross-name */
	obj_t BGl_crosszd2namezd2zzbackend_c_prototypez00(obj_t BgL_typez00_67)
	{
		{	/* BackEnd/c_proto.scm 665 */
			{	/* BackEnd/c_proto.scm 666 */
				bool_t BgL_test2529z00_5264;

				{	/* BackEnd/c_proto.scm 666 */
					obj_t BgL_classz00_3535;

					BgL_classz00_3535 = BGl_tclassz00zzobject_classz00;
					if (BGL_OBJECTP(BgL_typez00_67))
						{	/* BackEnd/c_proto.scm 666 */
							BgL_objectz00_bglt BgL_arg1825z00_3537;

							BgL_arg1825z00_3537 = (BgL_objectz00_bglt) (BgL_typez00_67);
							{	/* BackEnd/c_proto.scm 666 */
								bool_t BgL_arg1822z00_3540;
								bool_t BgL_arg1823z00_3541;

								{	/* BackEnd/c_proto.scm 666 */
									long BgL_idxz00_3544;

									BgL_idxz00_3544 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3537);
									BgL_arg1822z00_3540 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3544 + ((long) 2))) == BgL_classz00_3535);
								}
								{	/* BackEnd/c_proto.scm 666 */
									bool_t BgL_res2231z00_3566;

									{	/* BackEnd/c_proto.scm 666 */
										obj_t BgL_oclassz00_3552;

										{	/* BackEnd/c_proto.scm 666 */
											long BgL_arg1833z00_3558;

											{	/* BackEnd/c_proto.scm 666 */
												long BgL_arg1834z00_3559;

												BgL_arg1834z00_3559 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3537);
												BgL_arg1833z00_3558 =
													(BgL_arg1834z00_3559 - OBJECT_TYPE);
											}
											BgL_oclassz00_3552 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3558);
										}
										{	/* BackEnd/c_proto.scm 666 */
											bool_t BgL__ortest_1110z00_3553;

											BgL__ortest_1110z00_3553 =
												(BgL_classz00_3535 == BgL_oclassz00_3552);
											if (BgL__ortest_1110z00_3553)
												{	/* BackEnd/c_proto.scm 666 */
													BgL_res2231z00_3566 = BgL__ortest_1110z00_3553;
												}
											else
												{	/* BackEnd/c_proto.scm 666 */
													long BgL_odepthz00_3554;

													BgL_odepthz00_3554 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3552);
													if ((((long) 2) < BgL_odepthz00_3554))
														{	/* BackEnd/c_proto.scm 666 */
															obj_t BgL_arg1821z00_3556;

															BgL_arg1821z00_3556 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3552,
																((long) 2));
															BgL_res2231z00_3566 =
																(BgL_arg1821z00_3556 == BgL_classz00_3535);
														}
													else
														{	/* BackEnd/c_proto.scm 666 */
															BgL_res2231z00_3566 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3541 = BgL_res2231z00_3566;
								}
								BgL_test2529z00_5264 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3540, BgL_arg1823z00_3541);
							}
						}
					else
						{	/* BackEnd/c_proto.scm 666 */
							BgL_test2529z00_5264 = ((bool_t) 0);
						}
				}
				if (BgL_test2529z00_5264)
					{	/* BackEnd/c_proto.scm 667 */
						obj_t BgL_arg2073z00_2540;

						BgL_arg2073z00_2540 =
							(((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt) BgL_typez00_67)))->BgL_siza7eza7);
						return
							string_append(BgL_arg2073z00_2540,
							BGl_string2314z00zzbackend_c_prototypez00);
					}
				else
					{	/* BackEnd/c_proto.scm 666 */
						return
							(((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt) BgL_typez00_67)))->BgL_namez00);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_c_prototypez00()
	{
		{	/* BackEnd/c_proto.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_c_prototypez00()
	{
		{	/* BackEnd/c_proto.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_emitzd2prototypezd2envz00zzbackend_c_prototypez00,
				BGl_proc2315z00zzbackend_c_prototypez00, BGl_valuez00zzast_varz00,
				BGl_string2316z00zzbackend_c_prototypez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2czd2scopezd2envzd2zzbackend_c_prototypez00,
				BGl_proc2317z00zzbackend_c_prototypez00, BGl_variablez00zzast_varz00,
				BGl_string2318z00zzbackend_c_prototypez00);
		}

	}



/* &get-c-scope1414 */
	obj_t BGl_z62getzd2czd2scope1414z62zzbackend_c_prototypez00(obj_t
		BgL_envz00_3901, obj_t BgL_variablez00_3902)
	{
		{	/* BackEnd/c_proto.scm 587 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 21)),
				BGl_string2319z00zzbackend_c_prototypez00,
				((obj_t) ((BgL_variablez00_bglt) BgL_variablez00_3902)));
		}

	}



/* &emit-prototype1397 */
	obj_t BGl_z62emitzd2prototype1397zb0zzbackend_c_prototypez00(obj_t
		BgL_envz00_3903, obj_t BgL_valuez00_3904, obj_t BgL_variablez00_3905)
	{
		{	/* BackEnd/c_proto.scm 105 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 22)),
				BGl_string2319z00zzbackend_c_prototypez00,
				((obj_t) ((BgL_valuez00_bglt) BgL_valuez00_3904)));
		}

	}



/* emit-prototype */
	obj_t BGl_emitzd2prototypezd2zzbackend_c_prototypez00(BgL_valuez00_bglt
		BgL_valuez00_14, BgL_variablez00_bglt BgL_variablez00_15)
	{
		{	/* BackEnd/c_proto.scm 105 */
			{	/* BackEnd/c_proto.scm 105 */
				obj_t BgL_method1400z00_2550;

				{	/* BackEnd/c_proto.scm 105 */
					obj_t BgL_res2236z00_3599;

					{	/* BackEnd/c_proto.scm 105 */
						long BgL_objzd2classzd2numz00_3570;

						BgL_objzd2classzd2numz00_3570 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_14));
						{	/* BackEnd/c_proto.scm 105 */
							obj_t BgL_arg1829z00_3571;

							BgL_arg1829z00_3571 =
								PROCEDURE_REF
								(BGl_emitzd2prototypezd2envz00zzbackend_c_prototypez00,
								(int) (((long) 1)));
							{	/* BackEnd/c_proto.scm 105 */
								int BgL_offsetz00_3574;

								BgL_offsetz00_3574 = (int) (BgL_objzd2classzd2numz00_3570);
								{	/* BackEnd/c_proto.scm 105 */
									long BgL_offsetz00_3575;

									BgL_offsetz00_3575 =
										((long) (BgL_offsetz00_3574) - OBJECT_TYPE);
									{	/* BackEnd/c_proto.scm 105 */
										long BgL_modz00_3576;

										BgL_modz00_3576 =
											(BgL_offsetz00_3575 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/c_proto.scm 105 */
											long BgL_restz00_3578;

											BgL_restz00_3578 =
												(BgL_offsetz00_3575 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/c_proto.scm 105 */

												{	/* BackEnd/c_proto.scm 105 */
													obj_t BgL_bucketz00_3580;

													BgL_bucketz00_3580 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3571), BgL_modz00_3576);
													BgL_res2236z00_3599 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3580), BgL_restz00_3578);
					}}}}}}}}
					BgL_method1400z00_2550 = BgL_res2236z00_3599;
				}
				return
					PROCEDURE_ENTRY(BgL_method1400z00_2550) (BgL_method1400z00_2550,
					((obj_t) BgL_valuez00_14), ((obj_t) BgL_variablez00_15), BEOA);
			}
		}

	}



/* &emit-prototype */
	obj_t BGl_z62emitzd2prototypezb0zzbackend_c_prototypez00(obj_t
		BgL_envz00_3906, obj_t BgL_valuez00_3907, obj_t BgL_variablez00_3908)
	{
		{	/* BackEnd/c_proto.scm 105 */
			return
				BGl_emitzd2prototypezd2zzbackend_c_prototypez00(
				((BgL_valuez00_bglt) BgL_valuez00_3907),
				((BgL_variablez00_bglt) BgL_variablez00_3908));
		}

	}



/* get-c-scope */
	obj_t BGl_getzd2czd2scopez00zzbackend_c_prototypez00(BgL_variablez00_bglt
		BgL_variablez00_62)
	{
		{	/* BackEnd/c_proto.scm 587 */
			{	/* BackEnd/c_proto.scm 587 */
				obj_t BgL_method1417z00_2551;

				{	/* BackEnd/c_proto.scm 587 */
					obj_t BgL_res2241z00_3630;

					{	/* BackEnd/c_proto.scm 587 */
						long BgL_objzd2classzd2numz00_3601;

						BgL_objzd2classzd2numz00_3601 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_variablez00_62));
						{	/* BackEnd/c_proto.scm 587 */
							obj_t BgL_arg1829z00_3602;

							BgL_arg1829z00_3602 =
								PROCEDURE_REF
								(BGl_getzd2czd2scopezd2envzd2zzbackend_c_prototypez00,
								(int) (((long) 1)));
							{	/* BackEnd/c_proto.scm 587 */
								int BgL_offsetz00_3605;

								BgL_offsetz00_3605 = (int) (BgL_objzd2classzd2numz00_3601);
								{	/* BackEnd/c_proto.scm 587 */
									long BgL_offsetz00_3606;

									BgL_offsetz00_3606 =
										((long) (BgL_offsetz00_3605) - OBJECT_TYPE);
									{	/* BackEnd/c_proto.scm 587 */
										long BgL_modz00_3607;

										BgL_modz00_3607 =
											(BgL_offsetz00_3606 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/c_proto.scm 587 */
											long BgL_restz00_3609;

											BgL_restz00_3609 =
												(BgL_offsetz00_3606 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/c_proto.scm 587 */

												{	/* BackEnd/c_proto.scm 587 */
													obj_t BgL_bucketz00_3611;

													BgL_bucketz00_3611 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3602), BgL_modz00_3607);
													BgL_res2241z00_3630 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3611), BgL_restz00_3609);
					}}}}}}}}
					BgL_method1417z00_2551 = BgL_res2241z00_3630;
				}
				return
					PROCEDURE_ENTRY(BgL_method1417z00_2551) (BgL_method1417z00_2551,
					((obj_t) BgL_variablez00_62), BEOA);
			}
		}

	}



/* &get-c-scope */
	obj_t BGl_z62getzd2czd2scopez62zzbackend_c_prototypez00(obj_t BgL_envz00_3909,
		obj_t BgL_variablez00_3910)
	{
		{	/* BackEnd/c_proto.scm 587 */
			return
				BGl_getzd2czd2scopez00zzbackend_c_prototypez00(
				((BgL_variablez00_bglt) BgL_variablez00_3910));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_c_prototypez00()
	{
		{	/* BackEnd/c_proto.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_emitzd2prototypezd2envz00zzbackend_c_prototypez00,
				BGl_svarz00zzast_varz00, BGl_proc2320z00zzbackend_c_prototypez00,
				BGl_string2321z00zzbackend_c_prototypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_emitzd2prototypezd2envz00zzbackend_c_prototypez00,
				BGl_scnstz00zzast_varz00, BGl_proc2322z00zzbackend_c_prototypez00,
				BGl_string2321z00zzbackend_c_prototypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_emitzd2prototypezd2envz00zzbackend_c_prototypez00,
				BGl_sfunz00zzast_varz00, BGl_proc2323z00zzbackend_c_prototypez00,
				BGl_string2321z00zzbackend_c_prototypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_emitzd2prototypezd2envz00zzbackend_c_prototypez00,
				BGl_cfunz00zzast_varz00, BGl_proc2324z00zzbackend_c_prototypez00,
				BGl_string2321z00zzbackend_c_prototypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_emitzd2prototypezd2envz00zzbackend_c_prototypez00,
				BGl_cvarz00zzast_varz00, BGl_proc2325z00zzbackend_c_prototypez00,
				BGl_string2321z00zzbackend_c_prototypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2czd2scopezd2envzd2zzbackend_c_prototypez00,
				BGl_globalz00zzast_varz00, BGl_proc2326z00zzbackend_c_prototypez00,
				BGl_string2327z00zzbackend_c_prototypez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2czd2scopezd2envzd2zzbackend_c_prototypez00,
				BGl_localz00zzast_varz00, BGl_proc2328z00zzbackend_c_prototypez00,
				BGl_string2327z00zzbackend_c_prototypez00);
		}

	}



/* &get-c-scope-local1421 */
	obj_t BGl_z62getzd2czd2scopezd2local1421zb0zzbackend_c_prototypez00(obj_t
		BgL_envz00_3918, obj_t BgL_variablez00_3919)
	{
		{	/* BackEnd/c_proto.scm 607 */
			return BGl_string2252z00zzbackend_c_prototypez00;
		}

	}



/* &get-c-scope-global1419 */
	obj_t BGl_z62getzd2czd2scopezd2global1419zb0zzbackend_c_prototypez00(obj_t
		BgL_envz00_3920, obj_t BgL_variablez00_3921)
	{
		{	/* BackEnd/c_proto.scm 592 */
			{	/* BackEnd/c_proto.scm 594 */
				obj_t BgL_scopez00_3989;

				{	/* BackEnd/c_proto.scm 594 */
					obj_t BgL_casezd2valuezd2_3990;

					BgL_casezd2valuezd2_3990 =
						(((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_variablez00_3921)))->BgL_importz00);
					if ((BgL_casezd2valuezd2_3990 == CNST_TABLE_REF(((long) 0))))
						{	/* BackEnd/c_proto.scm 594 */
							BgL_scopez00_3989 = BGl_string2252z00zzbackend_c_prototypez00;
						}
					else
						{	/* BackEnd/c_proto.scm 594 */
							if ((BgL_casezd2valuezd2_3990 == CNST_TABLE_REF(((long) 19))))
								{	/* BackEnd/c_proto.scm 594 */
									if (CBOOL(
											(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt) BgL_variablez00_3921)))->
												BgL_libraryz00)))
										{	/* BackEnd/c_proto.scm 596 */
											BgL_scopez00_3989 =
												BGl_string2329z00zzbackend_c_prototypez00;
										}
									else
										{	/* BackEnd/c_proto.scm 596 */
											BgL_scopez00_3989 =
												BGl_string2330z00zzbackend_c_prototypez00;
										}
								}
							else
								{	/* BackEnd/c_proto.scm 594 */
									if ((BgL_casezd2valuezd2_3990 == CNST_TABLE_REF(((long) 1))))
										{	/* BackEnd/c_proto.scm 594 */
											BgL_scopez00_3989 =
												BGl_string2331z00zzbackend_c_prototypez00;
										}
									else
										{	/* BackEnd/c_proto.scm 594 */
											BgL_scopez00_3989 =
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string2327z00zzbackend_c_prototypez00,
												BGl_string2332z00zzbackend_c_prototypez00,
												(((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
																BgL_variablez00_3921)))->BgL_importz00));
										}
								}
						}
				}
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF((
									(long) 5)),
							(((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
											BgL_variablez00_3921)))->BgL_pragmaz00))))
					{	/* BackEnd/c_proto.scm 600 */
						return
							string_append(BgL_scopez00_3989,
							BGl_string2333z00zzbackend_c_prototypez00);
					}
				else
					{	/* BackEnd/c_proto.scm 600 */
						return BgL_scopez00_3989;
					}
			}
		}

	}



/* &emit-prototype-cvar1413 */
	obj_t BGl_z62emitzd2prototypezd2cvar1413z62zzbackend_c_prototypez00(obj_t
		BgL_envz00_3922, obj_t BgL_valuez00_3923, obj_t BgL_variablez00_3924)
	{
		{	/* BackEnd/c_proto.scm 234 */
			if (
				(((BgL_cvarz00_bglt) COBJECT(
							((BgL_cvarz00_bglt) BgL_valuez00_3923)))->BgL_macrozf3zf3))
				{	/* BackEnd/c_proto.scm 235 */
					return BFALSE;
				}
			else
				{	/* BackEnd/c_proto.scm 237 */
					obj_t BgL_port1359z00_3992;

					BgL_port1359z00_3992 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c_proto.scm 238 */
						obj_t BgL_arg2115z00_3993;

						if (CBOOL(
								(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_variablez00_3924)))->
									BgL_libraryz00)))
							{	/* BackEnd/c_proto.scm 238 */
								BgL_arg2115z00_3993 = BGl_string2334z00zzbackend_c_prototypez00;
							}
						else
							{	/* BackEnd/c_proto.scm 238 */
								BgL_arg2115z00_3993 = BGl_string2335z00zzbackend_c_prototypez00;
							}
						bgl_display_obj(BgL_arg2115z00_3993, BgL_port1359z00_3992);
					}
					{	/* BackEnd/c_proto.scm 239 */
						obj_t BgL_arg2117z00_3994;

						{	/* BackEnd/c_proto.scm 239 */
							BgL_typez00_bglt BgL_arg2118z00_3995;
							obj_t BgL_arg2119z00_3996;

							BgL_arg2118z00_3995 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_variablez00_3924))))->
								BgL_typez00);
							BgL_arg2119z00_3996 =
								(((BgL_variablez00_bglt)
									COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
												BgL_variablez00_3924))))->BgL_namez00);
							BgL_arg2117z00_3994 =
								BGl_makezd2typedzd2declarationz00zztype_toolsz00
								(BgL_arg2118z00_3995, BgL_arg2119z00_3996);
						}
						bgl_display_obj(BgL_arg2117z00_3994, BgL_port1359z00_3992);
					}
					{	/* BackEnd/c_proto.scm 237 */
						obj_t BgL_tmpz00_5413;

						BgL_tmpz00_5413 = ((obj_t) BgL_port1359z00_3992);
						bgl_display_char(((unsigned char) ';'), BgL_tmpz00_5413);
					}
					{	/* BackEnd/c_proto.scm 237 */
						obj_t BgL_tmpz00_5416;

						BgL_tmpz00_5416 = ((obj_t) BgL_port1359z00_3992);
						return bgl_display_char(((unsigned char) 10), BgL_tmpz00_5416);
		}}}

	}



/* &emit-prototype-cfun1410 */
	obj_t BGl_z62emitzd2prototypezd2cfun1410z62zzbackend_c_prototypez00(obj_t
		BgL_envz00_3925, obj_t BgL_valuez00_3926, obj_t BgL_variablez00_3927)
	{
		{	/* BackEnd/c_proto.scm 201 */
			if (
				(((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_valuez00_3926)))->BgL_macrozf3zf3))
				{	/* BackEnd/c_proto.scm 202 */
					return BFALSE;
				}
			else
				{	/* BackEnd/c_proto.scm 204 */
					long BgL_arityz00_3998;

					BgL_arityz00_3998 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_cfunz00_bglt) BgL_valuez00_3926))))->BgL_arityz00);
					{	/* BackEnd/c_proto.scm 204 */
						obj_t BgL_targsz00_3999;

						BgL_targsz00_3999 =
							(((BgL_cfunz00_bglt) COBJECT(
									((BgL_cfunz00_bglt) BgL_valuez00_3926)))->BgL_argszd2typezd2);
						{	/* BackEnd/c_proto.scm 205 */

							{	/* BackEnd/c_proto.scm 206 */
								obj_t BgL_port1358z00_4000;

								BgL_port1358z00_4000 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
								{	/* BackEnd/c_proto.scm 207 */
									obj_t BgL_arg2089z00_4001;

									if (CBOOL(
											(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt) BgL_variablez00_3927)))->
												BgL_libraryz00)))
										{	/* BackEnd/c_proto.scm 207 */
											BgL_arg2089z00_4001 =
												BGl_string2334z00zzbackend_c_prototypez00;
										}
									else
										{	/* BackEnd/c_proto.scm 207 */
											BgL_arg2089z00_4001 =
												BGl_string2335z00zzbackend_c_prototypez00;
										}
									bgl_display_obj(BgL_arg2089z00_4001, BgL_port1358z00_4000);
								}
								{	/* BackEnd/c_proto.scm 208 */
									obj_t BgL_arg2091z00_4002;

									{	/* BackEnd/c_proto.scm 208 */
										BgL_typez00_bglt BgL_arg2092z00_4003;
										obj_t BgL_arg2093z00_4004;

										BgL_arg2092z00_4003 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_variablez00_3927))))->
											BgL_typez00);
										{	/* BackEnd/c_proto.scm 210 */
											obj_t BgL_arg2094z00_4005;
											obj_t BgL_arg2095z00_4006;

											BgL_arg2094z00_4005 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_variablez00_3927))))->
												BgL_namez00);
											if (NULLP(BgL_targsz00_3999))
												{	/* BackEnd/c_proto.scm 214 */
													BgL_arg2095z00_4006 =
														BGl_string2257z00zzbackend_c_prototypez00;
												}
											else
												{	/* BackEnd/c_proto.scm 214 */
													if ((BgL_arityz00_3998 <= ((long) -1)))
														{	/* BackEnd/c_proto.scm 216 */
															obj_t BgL_arg2100z00_4007;

															{	/* BackEnd/c_proto.scm 216 */
																obj_t BgL_arg2101z00_4008;

																BgL_arg2101z00_4008 =
																	CAR(((obj_t) BgL_targsz00_3999));
																BgL_arg2100z00_4007 =
																	BGl_typezd2namezd2sanszd2z42z90zztype_toolsz00
																	(((BgL_typez00_bglt) BgL_arg2101z00_4008));
															}
															BgL_arg2095z00_4006 =
																string_append(BgL_arg2100z00_4007,
																BGl_string2336z00zzbackend_c_prototypez00);
														}
													else
														{	/* BackEnd/c_proto.scm 215 */
															BgL_arg2095z00_4006 =
																BGl_loopze70ze7zzbackend_c_prototypez00
																(BgL_arityz00_3998, BgL_targsz00_3999);
														}
												}
											BgL_arg2093z00_4004 =
												string_append_3(BgL_arg2094z00_4005,
												BGl_string2256z00zzbackend_c_prototypez00,
												BgL_arg2095z00_4006);
										}
										BgL_arg2091z00_4002 =
											BGl_makezd2typedzd2declarationz00zztype_toolsz00
											(BgL_arg2092z00_4003, BgL_arg2093z00_4004);
									}
									bgl_display_obj(BgL_arg2091z00_4002, BgL_port1358z00_4000);
								}
								{	/* BackEnd/c_proto.scm 206 */
									obj_t BgL_tmpz00_5451;

									BgL_tmpz00_5451 = ((obj_t) BgL_port1358z00_4000);
									bgl_display_string(BGl_string2299z00zzbackend_c_prototypez00,
										BgL_tmpz00_5451);
								}
								{	/* BackEnd/c_proto.scm 206 */
									obj_t BgL_tmpz00_5454;

									BgL_tmpz00_5454 = ((obj_t) BgL_port1358z00_4000);
									return
										bgl_display_char(((unsigned char) 10), BgL_tmpz00_5454);
		}}}}}}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzbackend_c_prototypez00(long BgL_arityz00_3937,
		obj_t BgL_targsz00_2602)
	{
		{	/* BackEnd/c_proto.scm 219 */
			if (NULLP(CDR(((obj_t) BgL_targsz00_2602))))
				{	/* BackEnd/c_proto.scm 220 */
					if ((BgL_arityz00_3937 < ((long) 0)))
						{	/* BackEnd/c_proto.scm 221 */
							return BGl_string2337z00zzbackend_c_prototypez00;
						}
					else
						{	/* BackEnd/c_proto.scm 224 */
							obj_t BgL_arg2106z00_2607;

							{	/* BackEnd/c_proto.scm 224 */
								obj_t BgL_arg2107z00_2608;

								BgL_arg2107z00_2608 = CAR(((obj_t) BgL_targsz00_2602));
								BgL_arg2106z00_2607 =
									BGl_typezd2namezd2sanszd2z42z90zztype_toolsz00(
									((BgL_typez00_bglt) BgL_arg2107z00_2608));
							}
							return
								string_append(BgL_arg2106z00_2607,
								BGl_string2257z00zzbackend_c_prototypez00);
						}
				}
			else
				{	/* BackEnd/c_proto.scm 227 */
					obj_t BgL_arg2108z00_2609;
					obj_t BgL_arg2109z00_2610;

					{	/* BackEnd/c_proto.scm 227 */
						obj_t BgL_arg2111z00_2611;

						BgL_arg2111z00_2611 = CAR(((obj_t) BgL_targsz00_2602));
						BgL_arg2108z00_2609 =
							BGl_typezd2namezd2sanszd2z42z90zztype_toolsz00(
							((BgL_typez00_bglt) BgL_arg2111z00_2611));
					}
					{	/* BackEnd/c_proto.scm 228 */
						obj_t BgL_arg2112z00_2612;

						BgL_arg2112z00_2612 = CDR(((obj_t) BgL_targsz00_2602));
						BgL_arg2109z00_2610 =
							BGl_loopze70ze7zzbackend_c_prototypez00(BgL_arityz00_3937,
							BgL_arg2112z00_2612);
					}
					return
						string_append_3(BgL_arg2108z00_2609,
						BGl_string2258z00zzbackend_c_prototypez00, BgL_arg2109z00_2610);
				}
		}

	}



/* &emit-prototype-sfun1408 */
	obj_t BGl_z62emitzd2prototypezd2sfun1408z62zzbackend_c_prototypez00(obj_t
		BgL_envz00_3928, obj_t BgL_valuez00_3929, obj_t BgL_variablez00_3930)
	{
		{	/* BackEnd/c_proto.scm 151 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_variablez00_3930));
			{	/* BackEnd/c_proto.scm 154 */
				obj_t BgL_port1357z00_4010;

				BgL_port1357z00_4010 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_proto.scm 155 */
					obj_t BgL_arg2076z00_4011;

					BgL_arg2076z00_4011 =
						BGl_getzd2czd2scopez00zzbackend_c_prototypez00(
						((BgL_variablez00_bglt) BgL_variablez00_3930));
					bgl_display_obj(BgL_arg2076z00_4011, BgL_port1357z00_4010);
				}
				{	/* BackEnd/c_proto.scm 154 */
					obj_t BgL_tmpz00_5481;

					BgL_tmpz00_5481 = ((obj_t) BgL_port1357z00_4010);
					bgl_display_char(((unsigned char) ' '), BgL_tmpz00_5481);
				}
				{	/* BackEnd/c_proto.scm 157 */
					obj_t BgL_arg2077z00_4012;

					{	/* BackEnd/c_proto.scm 157 */
						BgL_typez00_bglt BgL_arg2078z00_4013;
						obj_t BgL_arg2081z00_4014;

						BgL_arg2078z00_4013 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_variablez00_3930)))->BgL_typez00);
						{	/* BackEnd/c_proto.scm 159 */
							obj_t BgL_arg2082z00_4015;
							obj_t BgL_arg2083z00_4016;

							BgL_arg2082z00_4015 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_variablez00_3930)))->
								BgL_namez00);
							{	/* BackEnd/c_proto.scm 161 */
								obj_t BgL_argsz00_4017;

								BgL_argsz00_4017 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_valuez00_3929)))->BgL_argsz00);
								{	/* BackEnd/c_proto.scm 162 */
									bool_t BgL_test2546z00_5490;

									if (PAIRP(BgL_argsz00_4017))
										{	/* BackEnd/c_proto.scm 162 */
											obj_t BgL_arg2087z00_4018;

											BgL_arg2087z00_4018 = CAR(BgL_argsz00_4017);
											{	/* BackEnd/c_proto.scm 162 */
												obj_t BgL_classz00_4019;

												BgL_classz00_4019 = BGl_typez00zztype_typez00;
												if (BGL_OBJECTP(BgL_arg2087z00_4018))
													{	/* BackEnd/c_proto.scm 162 */
														BgL_objectz00_bglt BgL_arg1825z00_4020;

														BgL_arg1825z00_4020 =
															(BgL_objectz00_bglt) (BgL_arg2087z00_4018);
														{	/* BackEnd/c_proto.scm 162 */
															bool_t BgL_arg1822z00_4021;
															bool_t BgL_arg1823z00_4022;

															{	/* BackEnd/c_proto.scm 162 */
																long BgL_idxz00_4023;

																BgL_idxz00_4023 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_4020);
																BgL_arg1822z00_4021 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4023 + ((long) 1))) ==
																	BgL_classz00_4019);
															}
															{	/* BackEnd/c_proto.scm 162 */
																bool_t BgL_res2242z00_4026;

																{	/* BackEnd/c_proto.scm 162 */
																	obj_t BgL_oclassz00_4027;

																	{	/* BackEnd/c_proto.scm 162 */
																		long BgL_arg1833z00_4028;

																		{	/* BackEnd/c_proto.scm 162 */
																			long BgL_arg1834z00_4029;

																			BgL_arg1834z00_4029 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_4020);
																			BgL_arg1833z00_4028 =
																				(BgL_arg1834z00_4029 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4027 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_4028);
																	}
																	{	/* BackEnd/c_proto.scm 162 */
																		bool_t BgL__ortest_1110z00_4030;

																		BgL__ortest_1110z00_4030 =
																			(BgL_classz00_4019 == BgL_oclassz00_4027);
																		if (BgL__ortest_1110z00_4030)
																			{	/* BackEnd/c_proto.scm 162 */
																				BgL_res2242z00_4026 =
																					BgL__ortest_1110z00_4030;
																			}
																		else
																			{	/* BackEnd/c_proto.scm 162 */
																				long BgL_odepthz00_4031;

																				BgL_odepthz00_4031 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_4027);
																				if ((((long) 1) < BgL_odepthz00_4031))
																					{	/* BackEnd/c_proto.scm 162 */
																						obj_t BgL_arg1821z00_4032;

																						BgL_arg1821z00_4032 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_4027, ((long) 1));
																						BgL_res2242z00_4026 =
																							(BgL_arg1821z00_4032 ==
																							BgL_classz00_4019);
																					}
																				else
																					{	/* BackEnd/c_proto.scm 162 */
																						BgL_res2242z00_4026 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_4022 = BgL_res2242z00_4026;
															}
															BgL_test2546z00_5490 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_4021,
																BgL_arg1823z00_4022);
														}
													}
												else
													{	/* BackEnd/c_proto.scm 162 */
														BgL_test2546z00_5490 = ((bool_t) 0);
													}
											}
										}
									else
										{	/* BackEnd/c_proto.scm 162 */
											BgL_test2546z00_5490 = ((bool_t) 0);
										}
									if (BgL_test2546z00_5490)
										{	/* BackEnd/c_proto.scm 162 */
											BgL_arg2083z00_4016 =
												BGl_emitzd2prototypezd2formalzd2typeszd2zzbackend_c_prototypez00
												(BgL_argsz00_4017);
										}
									else
										{	/* BackEnd/c_proto.scm 162 */
											BgL_arg2083z00_4016 =
												BGl_emitzd2prototypezd2formalsz00zzbackend_c_prototypez00
												(BgL_argsz00_4017);
										}
								}
							}
							BgL_arg2081z00_4014 =
								string_append(BgL_arg2082z00_4015, BgL_arg2083z00_4016);
						}
						BgL_arg2077z00_4012 =
							BGl_makezd2typedzd2declarationz00zztype_toolsz00
							(BgL_arg2078z00_4013, BgL_arg2081z00_4014);
					}
					bgl_display_obj(BgL_arg2077z00_4012, BgL_port1357z00_4010);
				}
				{	/* BackEnd/c_proto.scm 154 */
					obj_t BgL_tmpz00_5517;

					BgL_tmpz00_5517 = ((obj_t) BgL_port1357z00_4010);
					bgl_display_string(BGl_string2299z00zzbackend_c_prototypez00,
						BgL_tmpz00_5517);
				}
				{	/* BackEnd/c_proto.scm 154 */
					obj_t BgL_tmpz00_5520;

					BgL_tmpz00_5520 = ((obj_t) BgL_port1357z00_4010);
					return bgl_display_char(((unsigned char) 10), BgL_tmpz00_5520);
		}}}

	}



/* &emit-prototype-scnst1404 */
	obj_t BGl_z62emitzd2prototypezd2scnst1404z62zzbackend_c_prototypez00(obj_t
		BgL_envz00_3931, obj_t BgL_valuez00_3932, obj_t BgL_variablez00_3933)
	{
		{	/* BackEnd/c_proto.scm 116 */
			return
				BGl_emitzd2prototypezf2svarzf2scnstzd2zzbackend_c_prototypez00(
				((BgL_valuez00_bglt)
					((BgL_scnstz00_bglt) BgL_valuez00_3932)), BgL_variablez00_3933);
		}

	}



/* &emit-prototype-svar1402 */
	obj_t BGl_z62emitzd2prototypezd2svar1402z62zzbackend_c_prototypez00(obj_t
		BgL_envz00_3934, obj_t BgL_valuez00_3935, obj_t BgL_variablez00_3936)
	{
		{	/* BackEnd/c_proto.scm 110 */
			return
				BGl_emitzd2prototypezf2svarzf2scnstzd2zzbackend_c_prototypez00(
				((BgL_valuez00_bglt)
					((BgL_svarz00_bglt) BgL_valuez00_3935)), BgL_variablez00_3936);
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_c_prototypez00()
	{
		{	/* BackEnd/c_proto.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzast_pragmaz00(((long) 156774043),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zztvector_cnstz00(((long) 263487728),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long) 192699986),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzcgen_copz00(((long) 470780691),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(((long) 14466025),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzcgen_emitzd2copzd2(((long) 371489745),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
			return
				BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long) 89013043),
				BSTRING_TO_STRING(BGl_string2338z00zzbackend_c_prototypez00));
		}

	}

#ifdef __cplusplus
}
#endif
