/*===========================================================================*/
/*   (BackEnd/cvm.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/cvm.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_cvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}             *BgL_cvmz00_bglt;

	typedef struct BgL_sawcz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}              *BgL_sawcz00_bglt;

	typedef struct BgL_cgenz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}              *BgL_cgenz00_bglt;


	static obj_t BGl_z62sawczd2removezd2emptyzd2letzb0zzbackend_cvmz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62cgenzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2debugzd2supportz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2functionszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2externzd2variableszd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		obj_t);
	static obj_t BGl_z62sawczd2requirezd2tailczd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sawczd2typedzd2funcallzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_cgenz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2typedzd2funcallz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2typedzd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, bool_t);
	BGL_EXPORTED_DECL BgL_cvmz00_bglt BGl_cvmzd2nilzd2zzbackend_cvmz00();
	static obj_t
		BGl_z62cgenzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sawcz00_bglt BGl_makezd2sawczd2zzbackend_cvmz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t,
		obj_t, bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, obj_t, obj_t,
		bool_t, bool_t, bool_t, obj_t, obj_t, bool_t, bool_t, bool_t);
	static obj_t BGl_z62cvmzd2callcczb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62sawczd2externzd2variablesz62zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2boundzd2checkz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2requirezd2tailcz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2typedzd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62cgenzd2foreignzd2closurez62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2debugzd2supportzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2pragmazd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2foreignzd2clausezd2supportzd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62cgenzd2tracezd2supportz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2heapzd2suffixzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt, obj_t);
	static obj_t
		BGl_z62sawczd2foreignzd2closurezd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sawczd2tvectorzd2descrzd2supportzb0zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sawczd2typeszd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2boundzd2checkzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		bool_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_cvmz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2effectzb2z60zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62sawczd2qualifiedzd2typesz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t
		BGl_z62sawczd2removezd2emptyzd2letzd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2srfi0zd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, obj_t);
	static obj_t BGl_z62sawczd2pragmazd2supportzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sawczd2srfi0zd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2typedzd2eqz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62sawczd2pragmazd2supportz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_sawcz00_bglt, bool_t);
	static obj_t BGl_z62sawczd2languagezb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62sawczd2typezd2checkzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62sawczd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2typeszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, obj_t);
	static obj_t BGl_z62sawczd2typeszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2registerszb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2boundzd2checkz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t
		BGl_z62sawczd2externzd2variableszd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2boundzd2checkz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2foreignzd2closurez00zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2effectzb2z60zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62cgenzd2functionszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2qualifiedzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2variableszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, obj_t);
	static obj_t BGl_z62sawczd2typedzb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2effectzb2z60zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62cvmzd2foreignzd2closurez62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2requirezd2tailcz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2qualifiedzd2typesz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62sawczd2typeszb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2externzd2functionsz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62cgenzd2debugzd2supportzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cvmzd2srfi0zb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2variableszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2typezd2checkzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2variableszd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2removezd2emptyzd2letzd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62cvmzd2requirezd2tailczd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cvmzd2typedzd2funcallzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzbackend_cvmz00();
	BGL_EXPORTED_DECL BgL_cgenz00_bglt BGl_cgenzd2nilzd2zzbackend_cvmz00();
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2namezd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2typedzd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62cgenzd2boundzd2checkz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62sawczd2registerszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2variableszd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2heapzd2compatiblezd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_cgenz00zzbackend_cvmz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_cgenzd2typeszd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2externzd2variablesz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62cgenzd2functionszb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2foreignzd2closurezd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2qualifiedzd2typesz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2typedzd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2tracezd2supportz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62cgenzd2typedzd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62sawczd2qualifiedzd2typeszd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2requirezd2tailcz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62cvmzd2srfi0zd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sawczd2functionszb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62sawczd2tracezd2supportz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2namezb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2typezd2checkzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt, bool_t);
	static obj_t BGl_z62cvmzd2pragmazd2supportz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t
		BGl_z62cgenzd2foreignzd2closurezd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_cvmz00();
	static obj_t
		BGl_z62cvmzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cgenzd2externzd2typesz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2typeszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static BgL_cgenz00_bglt BGl_z62makezd2cgenzb0zzbackend_cvmz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62cgenzd2namezb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2typedzb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzbackend_cvmz00();
	static obj_t
		BGl_z62sawczd2foreignzd2clausezd2supportzb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2requirezd2tailczd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cgenzd2typedzd2funcallzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sawczd2boundzd2checkz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2typeszb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t
		BGl_z62sawczd2heapzd2compatiblezd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2externzd2typesz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2callcczd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62cgenzd2languagezd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2externzd2functionszd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62cgenzd2pregisterszd2setz12z70zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sawczd2externzd2typeszd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sawczd2foreignzd2closurez62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2heapzd2suffixzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2languagezd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_cvmzd2srfi0zd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2boundzd2checkzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		bool_t);
	static obj_t BGl_z62sawczd2externzd2functionsz62zzbackend_cvmz00(obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2registerszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzf3z91zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2removezd2emptyzd2letzb0zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2tracezd2supportzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2foreignzd2clausezd2supportzd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_cgenzf3zf3zzbackend_cvmz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2qualifiedzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		bool_t);
	static obj_t BGl_z62cgenzd2externzd2variablesz62zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2pregisterszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, obj_t);
	static obj_t
		BGl_z62cgenzd2foreignzd2clausezd2supportzb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2foreignzd2closurez00zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t
		BGl_z62sawczd2externzd2functionszd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2foreignzd2closurezd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		bool_t);
	static obj_t BGl_z62cvmzd2pregisterszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2pragmazd2supportz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t
		BGl_z62cgenzd2qualifiedzd2typeszd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cgenzd2effectzb2zd2setz12zc2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cvmzf3zf3zzbackend_cvmz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2functionszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_cgenz00_bglt BGl_makezd2cgenzd2zzbackend_cvmz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t,
		obj_t, bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, obj_t, obj_t,
		bool_t, bool_t, bool_t, obj_t, obj_t, bool_t, bool_t, bool_t);
	BGL_EXPORTED_DECL obj_t BGl_cgenzd2namezd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62cvmzd2variableszb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2typedzd2eqz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cvmzd2foreignzd2clausezd2supportzb0zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2functionszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2heapzd2compatiblezd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_cvmz00();
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2functionszd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2effectzb2zd2setz12za0zzbackend_cvmz00(BgL_cvmz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2foreignzd2closurez00zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2typezd2checkz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62sawczd2typezd2checkz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2effectzb2z02zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2languagezd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2srfi0zd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2functionszd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t
		BGl_z62cgenzd2heapzd2compatiblezd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2pragmazd2supportzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		bool_t);
	static obj_t BGl_z62sawczd2heapzd2suffixzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_cvmz00_bglt, bool_t);
	static obj_t BGl_z62sawczd2boundzd2checkzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sawczd2languagezd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2typeszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2externzd2functionsz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62cgenzd2namezd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2registerszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, obj_t);
	static obj_t BGl_z62cgenzd2pragmazd2supportz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2typedzd2eqzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2foreignzd2clausezd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_sawcz00_bglt, obj_t);
	static obj_t BGl_z62sawczd2namezd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cgenzf3z91zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2debugzd2supportzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		obj_t);
	static obj_t BGl_z62cvmzd2tvectorzd2descrzd2supportzb0zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2heapzd2suffixz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31431ze3ze5zzbackend_cvmz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62cvmzd2removezd2emptyzd2letzd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2pragmazd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		bool_t);
	static obj_t BGl_z62cvmzd2externzd2typesz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2externzd2typesz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2qualifiedzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2languagezd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62cgenzd2debugzd2supportz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62sawczd2pregisterszd2setz12z70zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cgenzd2typedzd2funcallz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62sawczd2typedzd2eqz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_cvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2registerszd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t
		BGl_z62cvmzd2externzd2variableszd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62cvmzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2tracezd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		bool_t);
	static obj_t BGl_z62cvmzd2typedzb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2registerszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2tracezd2supportz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2externzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		obj_t);
	static obj_t BGl_z62cvmzd2typezd2checkz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2typeszb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2heapzd2compatiblezd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		obj_t);
	static obj_t BGl_z62cgenzd2callcczb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cvmzd2namezd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62sawczd2effectzb2z02zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2heapzd2suffixz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2pregisterszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2pregisterszd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2heapzd2suffixzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2boundzd2checkzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2srfi0zd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, obj_t);
	static obj_t BGl_z62sawczd2pregisterszb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2externzd2functionsz62zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2requirezd2tailczd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2typedzd2funcallzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL bool_t BGl_sawczf3zf3zzbackend_cvmz00(obj_t);
	static obj_t BGl_z62cgenzd2srfi0zd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2typedzd2eqzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2typeszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, obj_t);
	static BgL_cvmz00_bglt BGl_z62cvmzd2nilzb0zzbackend_cvmz00(obj_t);
	static obj_t BGl_z62cgenzd2typeszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2tvectorzd2descrzd2supportzd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62sawczd2typedzd2eqzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cgenzd2effectzb2z02zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2removezd2emptyzd2letzd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt,
		bool_t);
	BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
	static obj_t BGl_z62cvmzd2effectzb2zd2setz12zc2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2effectzb2zd2setz12za0zzbackend_cvmz00(BgL_sawcz00_bglt, bool_t);
	static obj_t BGl_z62cvmzd2functionszb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2tracezd2supportz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2heapzd2suffixz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62sawczd2variableszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2pregisterszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, obj_t);
	static obj_t BGl_z62cvmzd2heapzd2suffixz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62sawczd2namezb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2debugzd2supportz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2namezd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2tracezd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2externzd2variableszd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2typedzd2funcallz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62sawczd2debugzd2supportz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2languagezb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2namezd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, obj_t);
	static obj_t
		BGl_z62sawczd2foreignzd2clausezd2supportzd2setz12z70zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sawczd2typedzd2funcallz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2tvectorzd2descrzd2supportzd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_cvmzd2typedzd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbackend_cvmz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2removezd2emptyzd2letzd2setz12z12zzbackend_cvmz00
		(BgL_cgenz00_bglt, bool_t);
	static obj_t BGl_z62cgenzd2requirezd2tailcz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cvmzd2typeszd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62cvmzd2externzd2typeszd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cgenzd2heapzd2suffixz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2tracezd2supportz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62cvmzd2removezd2emptyzd2letzb0zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2debugzd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2pragmazd2supportz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62cgenzd2heapzd2compatiblez62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2typedzd2eqz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2externzd2variableszd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		obj_t);
	static obj_t BGl_z62cvmzd2pregisterszb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2callcczd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, bool_t);
	static obj_t BGl_z62cgenzd2heapzd2suffixzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2pragmazd2supportz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62cgenzd2boundzd2checkzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sawczf3z91zzbackend_cvmz00(obj_t, obj_t);
	static BgL_sawcz00_bglt BGl_z62lambda1417z62zzbackend_cvmz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62cvmzd2externzd2variablesz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2externzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2callcczd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62cgenzd2tvectorzd2descrzd2supportzb0zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2typezd2checkz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	static BgL_sawcz00_bglt BGl_z62sawczd2nilzb0zzbackend_cvmz00(obj_t);
	static obj_t
		BGl_z62cgenzd2removezd2emptyzd2letzd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2foreignzd2closurezd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2languagezd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, obj_t);
	static obj_t BGl_z62cvmzd2variableszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static BgL_sawcz00_bglt BGl_z62lambda1420z62zzbackend_cvmz00(obj_t);
	static obj_t
		BGl_z62cvmzd2externzd2functionszd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2removezd2emptyzd2letzd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2heapzd2compatiblez00zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzbackend_cvmz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cvmz00();
	BGL_EXPORTED_DECL obj_t BGl_sawczd2namezd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62cvmzd2languagezb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sawczd2srfi0zd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62sawczd2heapzd2suffixz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2heapzd2compatiblez62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2registerszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, obj_t);
	static obj_t
		BGl_z62cgenzd2externzd2variableszd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cgenzd2registerszb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_cvmz00();
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2variableszd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2externzd2variablesz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_cvmz00();
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2callcczd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, bool_t);
	static obj_t BGl_z62sawczd2registerszb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2requirezd2tailczd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2typedzd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2registerszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2typedzd2funcallzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2debugzd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		obj_t);
	static obj_t BGl_z62sawczd2typedzd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_backendz00zzbackend_backendz00;
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2requirezd2tailcz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62cgenzd2pragmazd2supportzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cvmzd2languagezd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sawczd2requirezd2tailcz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62sawczd2srfi0zb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2callcczd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, bool_t);
	static obj_t BGl_z62sawczd2functionszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sawczd2tracezd2supportzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cvmzd2namezd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2callcczd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2qualifiedzd2typeszd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2externzd2functionszd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cgenzd2srfi0zd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2variableszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31386ze3ze5zzbackend_cvmz00(obj_t,
		obj_t);
	static BgL_cvmz00_bglt BGl_z62lambda1384z62zzbackend_cvmz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2typezd2checkz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62sawczd2externzd2typesz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2languagezd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2pregisterszd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62cgenzd2typezd2checkz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2externzd2typesz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_cgenz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2typedzd2eqz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2requirezd2tailczd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2typedzd2funcallzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		bool_t);
	static obj_t BGl_z62cgenzd2callcczd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sawczd2heapzd2compatiblez62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2typedzd2eqzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt, bool_t);
	static BgL_cgenz00_bglt BGl_z62cgenzd2nilzb0zzbackend_cvmz00(obj_t);
	static obj_t BGl_z62cvmzd2typedzd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static BgL_cgenz00_bglt BGl_z62lambda1478z62zzbackend_cvmz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62cvmzd2heapzd2compatiblezd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2externzd2functionszd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		obj_t);
	static obj_t BGl_z62cgenzd2qualifiedzd2typesz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sawcz00zzbackend_cvmz00 = BUNSPEC;
	static obj_t BGl_z62cgenzd2srfi0zb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2externzd2functionsz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2typezd2checkzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2removezd2emptyzd2letzd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2debugzd2supportz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2registerszd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2typedzd2funcallz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62cgenzd2variableszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2heapzd2compatiblez00zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62cvmzd2functionszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2tracezd2supportzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2registerszd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2externzd2variablesz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	static BgL_cgenz00_bglt BGl_z62lambda1495z62zzbackend_cvmz00(obj_t);
	static obj_t BGl_z62cvmzd2typedzd2eqzd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sawczd2callcczd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static BgL_sawcz00_bglt BGl_z62makezd2sawczb0zzbackend_cvmz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2qualifiedzd2typesz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62sawczd2callcczb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t
		BGl_z62cgenzd2externzd2functionszd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_cvmz00zzbackend_cvmz00 = BUNSPEC;
	static obj_t BGl_z62sawczd2debugzd2supportzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2functionszd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2externzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		obj_t);
	static obj_t BGl_z62cvmzd2qualifiedzd2typesz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2externzd2functionsz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2typezd2checkzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		bool_t);
	static obj_t BGl_z62sawczd2effectzb2zd2setz12zc2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2pragmazd2supportzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2effectzb2zd2setz12za0zzbackend_cvmz00(BgL_cgenz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2heapzd2compatiblez00zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62cvmzd2typezd2checkzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cgenzd2variableszb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2debugzd2supportz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2boundzd2checkz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2languagezd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62cvmzd2typedzd2funcallz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2pregisterszd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_cvmzd2callcczd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62cgenzd2pregisterszb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2typedzd2eqz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2foreignzd2clausezd2supportzd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62sawczd2variableszb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2typedzd2eqzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt, bool_t);
	BGL_EXPORTED_DECL BgL_sawcz00_bglt BGl_sawczd2nilzd2zzbackend_cvmz00();
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2foreignzd2closurezd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		bool_t);
	static obj_t BGl_z62cgenzd2externzd2typeszd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cgenzd2tracezd2supportzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2tvectorzd2descrzd2supportzd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2removezd2emptyzd2letzd2setz12z12zzbackend_cvmz00
		(BgL_sawcz00_bglt, bool_t);
	static obj_t BGl_z62cvmzd2heapzd2suffixzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cvmzd2boundzd2checkzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31497ze3ze5zzbackend_cvmz00(obj_t,
		obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2foreignzd2clausezd2supportzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2foreig1521z00,
		BGl_z62cgenzd2foreignzd2clausezd2supportzb0zzbackend_cvmz00, 0L, BUNSPEC,
		1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2typeszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typesza71522za7,
		BGl_z62sawczd2typeszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2boundzd2checkzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2boundza7d1523za7,
		BGl_z62cvmzd2boundzd2checkzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2typezd2checkzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typeza7d1524za7,
		BGl_z62cgenzd2typezd2checkzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2externzd2typeszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2extern1525z00,
		BGl_z62cgenzd2externzd2typesz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2foreignzd2clausezd2supportzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2foreig1526z00,
		BGl_z62cgenzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_cvmz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2debugzd2supportzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2debugza7d1527za7,
		BGl_z62cvmzd2debugzd2supportz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2functionszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2functio1528z00,
		BGl_z62cvmzd2functionszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2foreignzd2clausezd2supportzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2foreig1529z00,
		BGl_z62sawczd2foreignzd2clausezd2supportzb0zzbackend_cvmz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2requirezd2tailczd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2requir1530z00,
		BGl_z62cgenzd2requirezd2tailczd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2typedzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typedza71531za7,
		BGl_z62sawczd2typedzd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2tracezd2supportzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2traceza71532za7,
		BGl_z62cgenzd2tracezd2supportzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2foreignzd2closurezd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2foreign1533z00,
		BGl_z62cvmzd2foreignzd2closurezd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2externzd2typeszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2externza71534za7,
		BGl_z62cvmzd2externzd2typeszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2removezd2emptyzd2letzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2remove1535z00,
		BGl_z62sawczd2removezd2emptyzd2letzd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2tracezd2supportzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2traceza71536za7,
		BGl_z62sawczd2tracezd2supportz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2languagezd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2languag1537z00,
		BGl_z62cvmzd2languagezb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2srfi0zd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2srfi0za7b1538za7,
		BGl_z62cvmzd2srfi0zb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2typedzd2eqzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typedza7d1539za7,
		BGl_z62cvmzd2typedzd2eqz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2pregisterszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2pregis1540z00,
		BGl_z62sawczd2pregisterszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2registerszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2regist1541z00,
		BGl_z62cgenzd2registerszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2typedzd2funcallzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typedza71542za7,
		BGl_z62cgenzd2typedzd2funcallz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2externzd2functionszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2extern1543z00,
		BGl_z62cgenzd2externzd2functionsz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2pragmazd2supportzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2pragma1544z00,
		BGl_z62cgenzd2pragmazd2supportz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2typedzd2funcallzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typedza71545za7,
		BGl_z62sawczd2typedzd2funcallzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczf3zd2envz21zzbackend_cvmz00,
		BgL_bgl_za762sawcza7f3za791za7za7b1546za7,
		BGl_z62sawczf3z91zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2typedzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typedza71547za7,
		BGl_z62cgenzd2typedzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2externzd2variableszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2extern1548z00,
		BGl_z62sawczd2externzd2variableszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2heapzd2compatiblezd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2heapza7d21549za7,
		BGl_z62cvmzd2heapzd2compatiblezd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2sawczd2envz00zzbackend_cvmz00,
		BgL_bgl_za762makeza7d2sawcza7b1550za7,
		BGl_z62makezd2sawczb0zzbackend_cvmz00, 0L, BUNSPEC, 29);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2externzd2typeszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2extern1551z00,
		BGl_z62cgenzd2externzd2typeszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2requirezd2tailczd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2requir1552z00,
		BGl_z62cgenzd2requirezd2tailcz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2typedzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typedza71553za7,
		BGl_z62sawczd2typedzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2debugzd2supportzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2debugza71554za7,
		BGl_z62sawczd2debugzd2supportzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1505z00zzbackend_cvmz00,
		BgL_bgl_za762za7c3za704anonymo1555za7,
		BGl_z62zc3z04anonymousza31386ze3ze5zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1506z00zzbackend_cvmz00,
		BgL_bgl_za762lambda1384za7621556z00, BGl_z62lambda1384z62zzbackend_cvmz00,
		0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1513z00zzbackend_cvmz00,
		BgL_bgl_string1513za700za7za7b1557za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1507z00zzbackend_cvmz00,
		BgL_bgl_za762za7c3za704anonymo1558za7,
		BGl_z62zc3z04anonymousza31431ze3ze5zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1514z00zzbackend_cvmz00,
		BgL_bgl_string1514za700za7za7b1559za7, "backend_cvm", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1508z00zzbackend_cvmz00,
		BgL_bgl_za762lambda1420za7621560z00, BGl_z62lambda1420z62zzbackend_cvmz00,
		0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1515z00zzbackend_cvmz00,
		BgL_bgl_string1515za700za7za7b1561za7, "_ cgen sawc backend_cvm cvm ", 28);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1509z00zzbackend_cvmz00,
		BgL_bgl_za762lambda1417za7621562z00, BGl_z62lambda1417z62zzbackend_cvmz00,
		0L, BUNSPEC, 29);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2effectzb2zd2setz12zd2envz72zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2effect1563z00,
		BGl_z62sawczd2effectzb2zd2setz12zc2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2foreignzd2closurezd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2foreig1564z00,
		BGl_z62sawczd2foreignzd2closurez62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2pregisterszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2pregist1565z00,
		BGl_z62cvmzd2pregisterszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2srfi0zd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2srfi0za71566za7,
		BGl_z62sawczd2srfi0zd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2pregisterszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2pregist1567z00,
		BGl_z62cvmzd2pregisterszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2namezd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2nameza7b1568za7,
		BGl_z62sawczd2namezb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1510z00zzbackend_cvmz00,
		BgL_bgl_za762za7c3za704anonymo1569za7,
		BGl_z62zc3z04anonymousza31497ze3ze5zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2namezd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2nameza7d1570za7,
		BGl_z62cgenzd2namezd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1511z00zzbackend_cvmz00,
		BgL_bgl_za762lambda1495za7621571z00, BGl_z62lambda1495z62zzbackend_cvmz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1512z00zzbackend_cvmz00,
		BgL_bgl_za762lambda1478za7621572z00, BGl_z62lambda1478z62zzbackend_cvmz00,
		0L, BUNSPEC, 29);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2variableszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2variabl1573z00,
		BGl_z62cvmzd2variableszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2pregisterszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2pregis1574z00,
		BGl_z62cgenzd2pregisterszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2registerszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2regist1575z00,
		BGl_z62cgenzd2registerszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2typedzd2funcallzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typedza71576za7,
		BGl_z62cgenzd2typedzd2funcallzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2foreignzd2closurezd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2foreign1577z00,
		BGl_z62cvmzd2foreignzd2closurez62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2tvectorzd2descrzd2supportzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2tvecto1578z00,
		BGl_z62sawczd2tvectorzd2descrzd2supportzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2qualifiedzd2typeszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2qualif1579z00,
		BGl_z62sawczd2qualifiedzd2typesz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2debugzd2supportzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2debugza71580za7,
		BGl_z62cgenzd2debugzd2supportzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2pragmazd2supportzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2pragmaza71581za7,
		BGl_z62cvmzd2pragmazd2supportz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2pragmazd2supportzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2pragma1582z00,
		BGl_z62sawczd2pragmazd2supportzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2boundzd2checkzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2boundza71583za7,
		BGl_z62sawczd2boundzd2checkzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2debugzd2supportzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2debugza71584za7,
		BGl_z62cgenzd2debugzd2supportz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2registerszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2regist1585z00,
		BGl_z62sawczd2registerszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2typedzd2eqzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typedza7d1586za7,
		BGl_z62cvmzd2typedzd2eqzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2callcczd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2callcc1587z00,
		BGl_z62sawczd2callcczb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2foreignzd2closurezd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2foreig1588z00,
		BGl_z62sawczd2foreignzd2closurezd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2qualifiedzd2typeszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2qualifi1589z00,
		BGl_z62cvmzd2qualifiedzd2typesz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2pragmazd2supportzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2pragmaza71590za7,
		BGl_z62cvmzd2pragmazd2supportzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2heapzd2compatiblezd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2heapza7d1591za7,
		BGl_z62cgenzd2heapzd2compatiblez62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2foreignzd2closurezd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2foreig1592z00,
		BGl_z62cgenzd2foreignzd2closurezd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2languagezd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2langua1593z00,
		BGl_z62sawczd2languagezb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2typedzd2eqzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typedza71594za7,
		BGl_z62sawczd2typedzd2eqz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2requirezd2tailczd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2require1595z00,
		BGl_z62cvmzd2requirezd2tailczd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2registerszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2registe1596z00,
		BGl_z62cvmzd2registerszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2tracezd2supportzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2traceza7d1597za7,
		BGl_z62cvmzd2tracezd2supportzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2cgenzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762makeza7d2cgenza7b1598za7,
		BGl_z62makezd2cgenzb0zzbackend_cvmz00, 0L, BUNSPEC, 29);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2typeszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typesza71599za7,
		BGl_z62sawczd2typeszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2namezd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2nameza7d1600za7,
		BGl_z62sawczd2namezd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2heapzd2compatiblezd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2heapza7d1601za7,
		BGl_z62sawczd2heapzd2compatiblezd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2effectzb2zd2envzb2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2effect1602z00,
		BGl_z62cgenzd2effectzb2z02zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2typezd2checkzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typeza7d1603za7,
		BGl_z62sawczd2typezd2checkz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2heapzd2compatiblezd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2heapza7d1604za7,
		BGl_z62cgenzd2heapzd2compatiblezd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2externzd2functionszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2extern1605z00,
		BGl_z62sawczd2externzd2functionszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2typezd2checkzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typeza7d1606za7,
		BGl_z62sawczd2typezd2checkzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2callcczd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2callcc1607z00,
		BGl_z62cgenzd2callcczd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2boundzd2checkzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2boundza71608za7,
		BGl_z62cgenzd2boundzd2checkzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2foreignzd2clausezd2supportzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2foreign1609z00,
		BGl_z62cvmzd2foreignzd2clausezd2supportzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2tvectorzd2descrzd2supportzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2tvecto1610z00,
		BGl_z62cgenzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_cvmz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2typedzd2funcallzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typedza71611za7,
		BGl_z62sawczd2typedzd2funcallz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2typedzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typedza7d1612za7,
		BGl_z62cvmzd2typedzd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2typedzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typedza71613za7,
		BGl_z62cgenzd2typedzd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2functionszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2functio1614z00,
		BGl_z62cvmzd2functionszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2requirezd2tailczd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2requir1615z00,
		BGl_z62sawczd2requirezd2tailcz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2effectzb2zd2envzb2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2effect1616z00,
		BGl_z62sawczd2effectzb2z02zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2typezd2checkzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typeza7d21617za7,
		BGl_z62cvmzd2typezd2checkzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2effectzb2zd2setz12zd2envz72zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2effect1618z00,
		BGl_z62cgenzd2effectzb2zd2setz12zc2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2typedzd2funcallzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typedza7d1619za7,
		BGl_z62cvmzd2typedzd2funcallzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2typedzd2eqzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typedza71620za7,
		BGl_z62cgenzd2typedzd2eqzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2debugzd2supportzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2debugza7d1621za7,
		BGl_z62cvmzd2debugzd2supportzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2qualifiedzd2typeszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2qualifi1622z00,
		BGl_z62cvmzd2qualifiedzd2typeszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2effectzb2zd2envzb2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2effectza71623za7,
		BGl_z62cvmzd2effectzb2z02zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2languagezd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2languag1624z00,
		BGl_z62cvmzd2languagezd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2srfi0zd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2srfi0za7d1625za7,
		BGl_z62cvmzd2srfi0zd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2variableszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2variab1626z00,
		BGl_z62cgenzd2variableszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2srfi0zd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2srfi0za71627za7,
		BGl_z62cgenzd2srfi0zd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2debugzd2supportzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2debugza71628za7,
		BGl_z62sawczd2debugzd2supportz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2externzd2typeszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2extern1629z00,
		BGl_z62sawczd2externzd2typeszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2srfi0zd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2srfi0za71630za7,
		BGl_z62cgenzd2srfi0zb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2variableszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2variab1631z00,
		BGl_z62sawczd2variableszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2removezd2emptyzd2letzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2removeza71632za7,
		BGl_z62cvmzd2removezd2emptyzd2letzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2srfi0zd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2srfi0za71633za7,
		BGl_z62sawczd2srfi0zb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2tvectorzd2descrzd2supportzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2tvecto1634z00,
		BGl_z62sawczd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_cvmz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2boundzd2checkzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2boundza71635za7,
		BGl_z62cgenzd2boundzd2checkz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2externzd2variableszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2externza71636za7,
		BGl_z62cvmzd2externzd2variablesz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2callcczd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2callccza71637za7,
		BGl_z62cvmzd2callcczb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2callcczd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2callcc1638z00,
		BGl_z62sawczd2callcczd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2removezd2emptyzd2letzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2remove1639z00,
		BGl_z62cgenzd2removezd2emptyzd2letzd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2typeszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typesza7b1640za7,
		BGl_z62cvmzd2typeszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2externzd2typeszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2externza71641za7,
		BGl_z62cvmzd2externzd2typesz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2externzd2variableszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2extern1642z00,
		BGl_z62cgenzd2externzd2variableszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2typeszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typesza7d1643za7,
		BGl_z62cvmzd2typeszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2heapzd2compatiblezd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2heapza7d1644za7,
		BGl_z62sawczd2heapzd2compatiblez62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2callcczd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2callccza71645za7,
		BGl_z62cvmzd2callcczd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2variableszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2variab1646z00,
		BGl_z62sawczd2variableszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2typeszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typesza71647za7,
		BGl_z62cgenzd2typeszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2typezd2checkzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typeza7d21648za7,
		BGl_z62cvmzd2typezd2checkz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2languagezd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2langua1649z00,
		BGl_z62cgenzd2languagezd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2removezd2emptyzd2letzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2removeza71650za7,
		BGl_z62cvmzd2removezd2emptyzd2letzd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2heapzd2suffixzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2heapza7d1651za7,
		BGl_z62cgenzd2heapzd2suffixz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2qualifiedzd2typeszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2qualif1652z00,
		BGl_z62sawczd2qualifiedzd2typeszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2tracezd2supportzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2traceza7d1653za7,
		BGl_z62cvmzd2tracezd2supportz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2heapzd2suffixzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2heapza7d21654za7,
		BGl_z62cvmzd2heapzd2suffixzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2typezd2checkzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typeza7d1655za7,
		BGl_z62cgenzd2typezd2checkz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2qualifiedzd2typeszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2qualif1656z00,
		BGl_z62cgenzd2qualifiedzd2typeszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2heapzd2compatiblezd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2heapza7d21657za7,
		BGl_z62cvmzd2heapzd2compatiblez62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2externzd2variableszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2externza71658za7,
		BGl_z62cvmzd2externzd2variableszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2namezd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2nameza7b1659za7,
		BGl_z62cgenzd2namezb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2languagezd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2langua1660z00,
		BGl_z62cgenzd2languagezb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2typedzd2eqzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typedza71661za7,
		BGl_z62cgenzd2typedzd2eqz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2tvectorzd2descrzd2supportzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2tvecto1662z00,
		BGl_z62cgenzd2tvectorzd2descrzd2supportzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2typedzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typedza7b1663za7,
		BGl_z62cvmzd2typedzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2typedzd2eqzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typedza71664za7,
		BGl_z62sawczd2typedzd2eqzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2nilzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2nilza7b01665za7, BGl_z62sawczd2nilzb0zzbackend_cvmz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2functionszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2functi1666z00,
		BGl_z62cgenzd2functionszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2callcczd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2callcc1667z00,
		BGl_z62cgenzd2callcczb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2removezd2emptyzd2letzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2remove1668z00,
		BGl_z62sawczd2removezd2emptyzd2letzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2variableszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2variab1669z00,
		BGl_z62cgenzd2variableszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2nilzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2nilza7b01670za7, BGl_z62cgenzd2nilzb0zzbackend_cvmz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2functionszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2functi1671z00,
		BGl_z62sawczd2functionszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2foreignzd2clausezd2supportzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2foreig1672z00,
		BGl_z62sawczd2foreignzd2clausezd2supportzd2setz12z70zzbackend_cvmz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2nilzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2nilza7b0za71673z00,
		BGl_z62cvmzd2nilzb0zzbackend_cvmz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2externzd2variableszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2extern1674z00,
		BGl_z62sawczd2externzd2variablesz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzf3zd2envz21zzbackend_cvmz00,
		BgL_bgl_za762cgenza7f3za791za7za7b1675za7,
		BGl_z62cgenzf3z91zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2boundzd2checkzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2boundza71676za7,
		BGl_z62sawczd2boundzd2checkz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2tvectorzd2descrzd2supportzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2tvector1677z00,
		BGl_z62cvmzd2tvectorzd2descrzd2supportzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2pragmazd2supportzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2pragma1678z00,
		BGl_z62cgenzd2pragmazd2supportzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2pregisterszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2pregis1679z00,
		BGl_z62cgenzd2pregisterszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2externzd2functionszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2externza71680za7,
		BGl_z62cvmzd2externzd2functionsz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2externzd2typeszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2extern1681z00,
		BGl_z62sawczd2externzd2typesz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2foreignzd2clausezd2supportzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2foreign1682z00,
		BGl_z62cvmzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_cvmz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2registerszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2registe1683z00,
		BGl_z62cvmzd2registerszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2boundzd2checkzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2boundza7d1684za7,
		BGl_z62cvmzd2boundzd2checkz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2foreignzd2closurezd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2foreig1685z00,
		BGl_z62cgenzd2foreignzd2closurez62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2externzd2functionszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2extern1686z00,
		BGl_z62cgenzd2externzd2functionszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2tracezd2supportzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2traceza71687za7,
		BGl_z62cgenzd2tracezd2supportz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2variableszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2variabl1688z00,
		BGl_z62cvmzd2variableszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2functionszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2functi1689z00,
		BGl_z62sawczd2functionszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2heapzd2suffixzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2heapza7d1690za7,
		BGl_z62sawczd2heapzd2suffixzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2heapzd2suffixzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2heapza7d1691za7,
		BGl_z62sawczd2heapzd2suffixz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2tvectorzd2descrzd2supportzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2tvector1692z00,
		BGl_z62cvmzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_cvmz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2pregisterszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2pregis1693z00,
		BGl_z62sawczd2pregisterszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2removezd2emptyzd2letzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2remove1694z00,
		BGl_z62cgenzd2removezd2emptyzd2letzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2namezd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2nameza7d21695za7,
		BGl_z62cvmzd2namezd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2qualifiedzd2typeszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2qualif1696z00,
		BGl_z62cgenzd2qualifiedzd2typesz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2externzd2variableszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2extern1697z00,
		BGl_z62cgenzd2externzd2variablesz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2externzd2functionszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2externza71698za7,
		BGl_z62cvmzd2externzd2functionszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2heapzd2suffixzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2heapza7d21699za7,
		BGl_z62cvmzd2heapzd2suffixz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2languagezd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2langua1700z00,
		BGl_z62sawczd2languagezd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2pragmazd2supportzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2pragma1701z00,
		BGl_z62sawczd2pragmazd2supportz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzf3zd2envz21zzbackend_cvmz00,
		BgL_bgl_za762cvmza7f3za791za7za7ba1702za7, BGl_z62cvmzf3z91zzbackend_cvmz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2typedzd2funcallzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typedza7d1703za7,
		BGl_z62cvmzd2typedzd2funcallz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2functionszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2functi1704z00,
		BGl_z62cgenzd2functionszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2effectzb2zd2setz12zd2envz72zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2effectza71705za7,
		BGl_z62cvmzd2effectzb2zd2setz12zc2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2requirezd2tailczd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2require1706z00,
		BGl_z62cvmzd2requirezd2tailcz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2namezd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2nameza7b01707za7, BGl_z62cvmzd2namezb0zzbackend_cvmz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2externzd2functionszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2extern1708z00,
		BGl_z62sawczd2externzd2functionsz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2heapzd2suffixzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2heapza7d1709za7,
		BGl_z62cgenzd2heapzd2suffixzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2requirezd2tailczd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2requir1710z00,
		BGl_z62sawczd2requirezd2tailczd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2registerszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2regist1711z00,
		BGl_z62sawczd2registerszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2tracezd2supportzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2traceza71712za7,
		BGl_z62sawczd2tracezd2supportzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2typeszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typesza71713za7,
		BGl_z62cgenzd2typeszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzbackend_cvmz00));
		     ADD_ROOT((void *) (&BGl_cgenz00zzbackend_cvmz00));
		     ADD_ROOT((void *) (&BGl_sawcz00zzbackend_cvmz00));
		     ADD_ROOT((void *) (&BGl_cvmz00zzbackend_cvmz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_cvmz00(long
		BgL_checksumz00_1855, char *BgL_fromz00_1856)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_cvmz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_cvmz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_cvmz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_cvmz00();
					BGl_cnstzd2initzd2zzbackend_cvmz00();
					BGl_importedzd2moduleszd2initz00zzbackend_cvmz00();
					BGl_objectzd2initzd2zzbackend_cvmz00();
					return BGl_toplevelzd2initzd2zzbackend_cvmz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cvmz00()
	{
		{	/* BackEnd/cvm.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "backend_cvm");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "backend_cvm");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_cvm");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_cvm");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"backend_cvm");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"backend_cvm");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_cvm");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_cvmz00()
	{
		{	/* BackEnd/cvm.scm 15 */
			{	/* BackEnd/cvm.scm 15 */
				obj_t BgL_cportz00_1730;

				{	/* BackEnd/cvm.scm 15 */
					obj_t BgL_stringz00_1738;

					BgL_stringz00_1738 = BGl_string1515z00zzbackend_cvmz00;
					{	/* BackEnd/cvm.scm 15 */
						obj_t BgL_startz00_1739;

						BgL_startz00_1739 = BINT(((long) 0));
						{	/* BackEnd/cvm.scm 15 */
							obj_t BgL_endz00_1740;

							BgL_endz00_1740 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1738)));
							{	/* BackEnd/cvm.scm 15 */

								BgL_cportz00_1730 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1738, BgL_startz00_1739, BgL_endz00_1740);
				}}}}
				{
					long BgL_iz00_1731;

					BgL_iz00_1731 = ((long) 4);
				BgL_loopz00_1732:
					if ((BgL_iz00_1731 == ((long) -1)))
						{	/* BackEnd/cvm.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/cvm.scm 15 */
							{	/* BackEnd/cvm.scm 15 */
								obj_t BgL_arg1520z00_1734;

								{	/* BackEnd/cvm.scm 15 */

									{	/* BackEnd/cvm.scm 15 */
										obj_t BgL_locationz00_1736;

										BgL_locationz00_1736 = BBOOL(((bool_t) 0));
										{	/* BackEnd/cvm.scm 15 */

											BgL_arg1520z00_1734 =
												BGl_readz00zz__readerz00(BgL_cportz00_1730,
												BgL_locationz00_1736);
										}
									}
								}
								{	/* BackEnd/cvm.scm 15 */
									int BgL_tmpz00_1882;

									BgL_tmpz00_1882 = (int) (BgL_iz00_1731);
									CNST_TABLE_SET(BgL_tmpz00_1882, BgL_arg1520z00_1734);
							}}
							{	/* BackEnd/cvm.scm 15 */
								int BgL_auxz00_1737;

								BgL_auxz00_1737 = (int) ((BgL_iz00_1731 - ((long) 1)));
								{
									long BgL_iz00_1887;

									BgL_iz00_1887 = (long) (BgL_auxz00_1737);
									BgL_iz00_1731 = BgL_iz00_1887;
									goto BgL_loopz00_1732;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_cvmz00()
	{
		{	/* BackEnd/cvm.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_cvmz00()
	{
		{	/* BackEnd/cvm.scm 15 */
			return BUNSPEC;
		}

	}



/* cvm? */
	BGL_EXPORTED_DEF bool_t BGl_cvmzf3zf3zzbackend_cvmz00(obj_t BgL_objz00_3)
	{
		{	/* BackEnd/cvm.sch 208 */
			{	/* BackEnd/cvm.sch 208 */
				obj_t BgL_classz00_1742;

				BgL_classz00_1742 = BGl_cvmz00zzbackend_cvmz00;
				if (BGL_OBJECTP(BgL_objz00_3))
					{	/* BackEnd/cvm.sch 208 */
						BgL_objectz00_bglt BgL_arg1825z00_1743;

						BgL_arg1825z00_1743 = (BgL_objectz00_bglt) (BgL_objz00_3);
						{	/* BackEnd/cvm.sch 208 */
							bool_t BgL_arg1822z00_1744;
							bool_t BgL_arg1823z00_1745;

							{	/* BackEnd/cvm.sch 208 */
								long BgL_idxz00_1746;

								BgL_idxz00_1746 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1743);
								BgL_arg1822z00_1744 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_1746 + ((long) 2))) == BgL_classz00_1742);
							}
							{	/* BackEnd/cvm.sch 208 */
								bool_t BgL_res1501z00_1749;

								{	/* BackEnd/cvm.sch 208 */
									obj_t BgL_oclassz00_1750;

									{	/* BackEnd/cvm.sch 208 */
										long BgL_arg1833z00_1751;

										{	/* BackEnd/cvm.sch 208 */
											long BgL_arg1834z00_1752;

											BgL_arg1834z00_1752 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1743);
											BgL_arg1833z00_1751 = (BgL_arg1834z00_1752 - OBJECT_TYPE);
										}
										BgL_oclassz00_1750 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_1751);
									}
									{	/* BackEnd/cvm.sch 208 */
										bool_t BgL__ortest_1110z00_1753;

										BgL__ortest_1110z00_1753 =
											(BgL_classz00_1742 == BgL_oclassz00_1750);
										if (BgL__ortest_1110z00_1753)
											{	/* BackEnd/cvm.sch 208 */
												BgL_res1501z00_1749 = BgL__ortest_1110z00_1753;
											}
										else
											{	/* BackEnd/cvm.sch 208 */
												long BgL_odepthz00_1754;

												BgL_odepthz00_1754 =
													BGL_CLASS_DEPTH(BgL_oclassz00_1750);
												if ((((long) 2) < BgL_odepthz00_1754))
													{	/* BackEnd/cvm.sch 208 */
														obj_t BgL_arg1821z00_1755;

														BgL_arg1821z00_1755 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1750,
															((long) 2));
														BgL_res1501z00_1749 =
															(BgL_arg1821z00_1755 == BgL_classz00_1742);
													}
												else
													{	/* BackEnd/cvm.sch 208 */
														BgL_res1501z00_1749 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_1745 = BgL_res1501z00_1749;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_1744, BgL_arg1823z00_1745);
						}
					}
				else
					{	/* BackEnd/cvm.sch 208 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cvm? */
	obj_t BGl_z62cvmzf3z91zzbackend_cvmz00(obj_t BgL_envz00_1147,
		obj_t BgL_objz00_1148)
	{
		{	/* BackEnd/cvm.sch 208 */
			return BBOOL(BGl_cvmzf3zf3zzbackend_cvmz00(BgL_objz00_1148));
		}

	}



/* cvm-nil */
	BGL_EXPORTED_DEF BgL_cvmz00_bglt BGl_cvmzd2nilzd2zzbackend_cvmz00()
	{
		{	/* BackEnd/cvm.sch 209 */
			{	/* BackEnd/cvm.sch 209 */
				obj_t BgL_classz00_866;

				BgL_classz00_866 = BGl_cvmz00zzbackend_cvmz00;
				{	/* BackEnd/cvm.sch 209 */
					obj_t BgL__ortest_1112z00_867;

					BgL__ortest_1112z00_867 = BGL_CLASS_NIL(BgL_classz00_866);
					if (CBOOL(BgL__ortest_1112z00_867))
						{	/* BackEnd/cvm.sch 209 */
							return ((BgL_cvmz00_bglt) BgL__ortest_1112z00_867);
						}
					else
						{	/* BackEnd/cvm.sch 209 */
							return
								((BgL_cvmz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_866));
						}
				}
			}
		}

	}



/* &cvm-nil */
	BgL_cvmz00_bglt BGl_z62cvmzd2nilzb0zzbackend_cvmz00(obj_t BgL_envz00_1149)
	{
		{	/* BackEnd/cvm.sch 209 */
			return BGl_cvmzd2nilzd2zzbackend_cvmz00();
		}

	}



/* cvm-typed-funcall */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2typedzd2funcallz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_4)
	{
		{	/* BackEnd/cvm.sch 210 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_4)))->BgL_typedzd2funcallzd2);
		}

	}



/* &cvm-typed-funcall */
	obj_t BGl_z62cvmzd2typedzd2funcallz62zzbackend_cvmz00(obj_t BgL_envz00_1150,
		obj_t BgL_oz00_1151)
	{
		{	/* BackEnd/cvm.sch 210 */
			return
				BBOOL(BGl_cvmzd2typedzd2funcallz00zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1151)));
		}

	}



/* cvm-typed-funcall-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2typedzd2funcallzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_5, bool_t BgL_vz00_6)
	{
		{	/* BackEnd/cvm.sch 211 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_5)))->BgL_typedzd2funcallzd2) =
				((bool_t) BgL_vz00_6), BUNSPEC);
		}

	}



/* &cvm-typed-funcall-set! */
	obj_t BGl_z62cvmzd2typedzd2funcallzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1152, obj_t BgL_oz00_1153, obj_t BgL_vz00_1154)
	{
		{	/* BackEnd/cvm.sch 211 */
			return
				BGl_cvmzd2typedzd2funcallzd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1153), CBOOL(BgL_vz00_1154));
		}

	}



/* cvm-type-check */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2typezd2checkz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_7)
	{
		{	/* BackEnd/cvm.sch 212 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_7)))->BgL_typezd2checkzd2);
		}

	}



/* &cvm-type-check */
	obj_t BGl_z62cvmzd2typezd2checkz62zzbackend_cvmz00(obj_t BgL_envz00_1155,
		obj_t BgL_oz00_1156)
	{
		{	/* BackEnd/cvm.sch 212 */
			return
				BBOOL(BGl_cvmzd2typezd2checkz00zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1156)));
		}

	}



/* cvm-type-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2typezd2checkzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_8, bool_t BgL_vz00_9)
	{
		{	/* BackEnd/cvm.sch 213 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_8)))->BgL_typezd2checkzd2) =
				((bool_t) BgL_vz00_9), BUNSPEC);
		}

	}



/* &cvm-type-check-set! */
	obj_t BGl_z62cvmzd2typezd2checkzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1157, obj_t BgL_oz00_1158, obj_t BgL_vz00_1159)
	{
		{	/* BackEnd/cvm.sch 213 */
			return
				BGl_cvmzd2typezd2checkzd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1158), CBOOL(BgL_vz00_1159));
		}

	}



/* cvm-bound-check */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2boundzd2checkz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_10)
	{
		{	/* BackEnd/cvm.sch 214 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_10)))->BgL_boundzd2checkzd2);
		}

	}



/* &cvm-bound-check */
	obj_t BGl_z62cvmzd2boundzd2checkz62zzbackend_cvmz00(obj_t BgL_envz00_1160,
		obj_t BgL_oz00_1161)
	{
		{	/* BackEnd/cvm.sch 214 */
			return
				BBOOL(BGl_cvmzd2boundzd2checkz00zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1161)));
		}

	}



/* cvm-bound-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2boundzd2checkzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_11, bool_t BgL_vz00_12)
	{
		{	/* BackEnd/cvm.sch 215 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_11)))->BgL_boundzd2checkzd2) =
				((bool_t) BgL_vz00_12), BUNSPEC);
		}

	}



/* &cvm-bound-check-set! */
	obj_t BGl_z62cvmzd2boundzd2checkzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1162, obj_t BgL_oz00_1163, obj_t BgL_vz00_1164)
	{
		{	/* BackEnd/cvm.sch 215 */
			return
				BGl_cvmzd2boundzd2checkzd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1163), CBOOL(BgL_vz00_1164));
		}

	}



/* cvm-pregisters */
	BGL_EXPORTED_DEF obj_t BGl_cvmzd2pregisterszd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_13)
	{
		{	/* BackEnd/cvm.sch 216 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_13)))->BgL_pregistersz00);
		}

	}



/* &cvm-pregisters */
	obj_t BGl_z62cvmzd2pregisterszb0zzbackend_cvmz00(obj_t BgL_envz00_1165,
		obj_t BgL_oz00_1166)
	{
		{	/* BackEnd/cvm.sch 216 */
			return
				BGl_cvmzd2pregisterszd2zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1166));
		}

	}



/* cvm-pregisters-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2pregisterszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_14, obj_t BgL_vz00_15)
	{
		{	/* BackEnd/cvm.sch 217 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_14)))->BgL_pregistersz00) =
				((obj_t) BgL_vz00_15), BUNSPEC);
		}

	}



/* &cvm-pregisters-set! */
	obj_t BGl_z62cvmzd2pregisterszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1167, obj_t BgL_oz00_1168, obj_t BgL_vz00_1169)
	{
		{	/* BackEnd/cvm.sch 217 */
			return
				BGl_cvmzd2pregisterszd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1168), BgL_vz00_1169);
		}

	}



/* cvm-registers */
	BGL_EXPORTED_DEF obj_t BGl_cvmzd2registerszd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_16)
	{
		{	/* BackEnd/cvm.sch 218 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_16)))->BgL_registersz00);
		}

	}



/* &cvm-registers */
	obj_t BGl_z62cvmzd2registerszb0zzbackend_cvmz00(obj_t BgL_envz00_1170,
		obj_t BgL_oz00_1171)
	{
		{	/* BackEnd/cvm.sch 218 */
			return
				BGl_cvmzd2registerszd2zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1171));
		}

	}



/* cvm-registers-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2registerszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_17,
		obj_t BgL_vz00_18)
	{
		{	/* BackEnd/cvm.sch 219 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_17)))->BgL_registersz00) =
				((obj_t) BgL_vz00_18), BUNSPEC);
		}

	}



/* &cvm-registers-set! */
	obj_t BGl_z62cvmzd2registerszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1172, obj_t BgL_oz00_1173, obj_t BgL_vz00_1174)
	{
		{	/* BackEnd/cvm.sch 219 */
			return
				BGl_cvmzd2registerszd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1173), BgL_vz00_1174);
		}

	}



/* cvm-require-tailc */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2requirezd2tailcz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_19)
	{
		{	/* BackEnd/cvm.sch 220 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_19)))->BgL_requirezd2tailczd2);
		}

	}



/* &cvm-require-tailc */
	obj_t BGl_z62cvmzd2requirezd2tailcz62zzbackend_cvmz00(obj_t BgL_envz00_1175,
		obj_t BgL_oz00_1176)
	{
		{	/* BackEnd/cvm.sch 220 */
			return
				BBOOL(BGl_cvmzd2requirezd2tailcz00zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1176)));
		}

	}



/* cvm-require-tailc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2requirezd2tailczd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_20, bool_t BgL_vz00_21)
	{
		{	/* BackEnd/cvm.sch 221 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_20)))->BgL_requirezd2tailczd2) =
				((bool_t) BgL_vz00_21), BUNSPEC);
		}

	}



/* &cvm-require-tailc-set! */
	obj_t BGl_z62cvmzd2requirezd2tailczd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1177, obj_t BgL_oz00_1178, obj_t BgL_vz00_1179)
	{
		{	/* BackEnd/cvm.sch 221 */
			return
				BGl_cvmzd2requirezd2tailczd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1178), CBOOL(BgL_vz00_1179));
		}

	}



/* cvm-tvector-descr-support */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2tvectorzd2descrzd2supportzd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_22)
	{
		{	/* BackEnd/cvm.sch 222 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_22)))->
				BgL_tvectorzd2descrzd2supportz00);
		}

	}



/* &cvm-tvector-descr-support */
	obj_t BGl_z62cvmzd2tvectorzd2descrzd2supportzb0zzbackend_cvmz00(obj_t
		BgL_envz00_1180, obj_t BgL_oz00_1181)
	{
		{	/* BackEnd/cvm.sch 222 */
			return
				BBOOL(BGl_cvmzd2tvectorzd2descrzd2supportzd2zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1181)));
		}

	}



/* cvm-tvector-descr-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_cvmz00_bglt BgL_oz00_23, bool_t BgL_vz00_24)
	{
		{	/* BackEnd/cvm.sch 223 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_23)))->
					BgL_tvectorzd2descrzd2supportz00) = ((bool_t) BgL_vz00_24), BUNSPEC);
		}

	}



/* &cvm-tvector-descr-support-set! */
	obj_t BGl_z62cvmzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1182, obj_t BgL_oz00_1183, obj_t BgL_vz00_1184)
	{
		{	/* BackEnd/cvm.sch 223 */
			return
				BGl_cvmzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1183), CBOOL(BgL_vz00_1184));
		}

	}



/* cvm-pragma-support */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2pragmazd2supportz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_25)
	{
		{	/* BackEnd/cvm.sch 224 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_25)))->BgL_pragmazd2supportzd2);
		}

	}



/* &cvm-pragma-support */
	obj_t BGl_z62cvmzd2pragmazd2supportz62zzbackend_cvmz00(obj_t BgL_envz00_1185,
		obj_t BgL_oz00_1186)
	{
		{	/* BackEnd/cvm.sch 224 */
			return
				BBOOL(BGl_cvmzd2pragmazd2supportz00zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1186)));
		}

	}



/* cvm-pragma-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2pragmazd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_26, bool_t BgL_vz00_27)
	{
		{	/* BackEnd/cvm.sch 225 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_26)))->BgL_pragmazd2supportzd2) =
				((bool_t) BgL_vz00_27), BUNSPEC);
		}

	}



/* &cvm-pragma-support-set! */
	obj_t BGl_z62cvmzd2pragmazd2supportzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1187, obj_t BgL_oz00_1188, obj_t BgL_vz00_1189)
	{
		{	/* BackEnd/cvm.sch 225 */
			return
				BGl_cvmzd2pragmazd2supportzd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1188), CBOOL(BgL_vz00_1189));
		}

	}



/* cvm-debug-support */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2debugzd2supportz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_28)
	{
		{	/* BackEnd/cvm.sch 226 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_28)))->BgL_debugzd2supportzd2);
		}

	}



/* &cvm-debug-support */
	obj_t BGl_z62cvmzd2debugzd2supportz62zzbackend_cvmz00(obj_t BgL_envz00_1190,
		obj_t BgL_oz00_1191)
	{
		{	/* BackEnd/cvm.sch 226 */
			return
				BGl_cvmzd2debugzd2supportz00zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1191));
		}

	}



/* cvm-debug-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2debugzd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* BackEnd/cvm.sch 227 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_29)))->BgL_debugzd2supportzd2) =
				((obj_t) BgL_vz00_30), BUNSPEC);
		}

	}



/* &cvm-debug-support-set! */
	obj_t BGl_z62cvmzd2debugzd2supportzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1192, obj_t BgL_oz00_1193, obj_t BgL_vz00_1194)
	{
		{	/* BackEnd/cvm.sch 227 */
			return
				BGl_cvmzd2debugzd2supportzd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1193), BgL_vz00_1194);
		}

	}



/* cvm-foreign-clause-support */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2foreignzd2clausezd2supportzd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_31)
	{
		{	/* BackEnd/cvm.sch 228 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_31)))->
				BgL_foreignzd2clausezd2supportz00);
		}

	}



/* &cvm-foreign-clause-support */
	obj_t BGl_z62cvmzd2foreignzd2clausezd2supportzb0zzbackend_cvmz00(obj_t
		BgL_envz00_1195, obj_t BgL_oz00_1196)
	{
		{	/* BackEnd/cvm.sch 228 */
			return
				BGl_cvmzd2foreignzd2clausezd2supportzd2zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1196));
		}

	}



/* cvm-foreign-clause-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_cvmz00_bglt BgL_oz00_32, obj_t BgL_vz00_33)
	{
		{	/* BackEnd/cvm.sch 229 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_32)))->
					BgL_foreignzd2clausezd2supportz00) = ((obj_t) BgL_vz00_33), BUNSPEC);
		}

	}



/* &cvm-foreign-clause-support-set! */
	obj_t
		BGl_z62cvmzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1197, obj_t BgL_oz00_1198, obj_t BgL_vz00_1199)
	{
		{	/* BackEnd/cvm.sch 229 */
			return
				BGl_cvmzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1198), BgL_vz00_1199);
		}

	}



/* cvm-trace-support */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2tracezd2supportz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_34)
	{
		{	/* BackEnd/cvm.sch 230 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_34)))->BgL_tracezd2supportzd2);
		}

	}



/* &cvm-trace-support */
	obj_t BGl_z62cvmzd2tracezd2supportz62zzbackend_cvmz00(obj_t BgL_envz00_1200,
		obj_t BgL_oz00_1201)
	{
		{	/* BackEnd/cvm.sch 230 */
			return
				BBOOL(BGl_cvmzd2tracezd2supportz00zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1201)));
		}

	}



/* cvm-trace-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2tracezd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_35, bool_t BgL_vz00_36)
	{
		{	/* BackEnd/cvm.sch 231 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_35)))->BgL_tracezd2supportzd2) =
				((bool_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &cvm-trace-support-set! */
	obj_t BGl_z62cvmzd2tracezd2supportzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1202, obj_t BgL_oz00_1203, obj_t BgL_vz00_1204)
	{
		{	/* BackEnd/cvm.sch 231 */
			return
				BGl_cvmzd2tracezd2supportzd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1203), CBOOL(BgL_vz00_1204));
		}

	}



/* cvm-typed-eq */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2typedzd2eqz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_37)
	{
		{	/* BackEnd/cvm.sch 232 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_37)))->BgL_typedzd2eqzd2);
		}

	}



/* &cvm-typed-eq */
	obj_t BGl_z62cvmzd2typedzd2eqz62zzbackend_cvmz00(obj_t BgL_envz00_1205,
		obj_t BgL_oz00_1206)
	{
		{	/* BackEnd/cvm.sch 232 */
			return
				BBOOL(BGl_cvmzd2typedzd2eqz00zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1206)));
		}

	}



/* cvm-typed-eq-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2typedzd2eqzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_38, bool_t BgL_vz00_39)
	{
		{	/* BackEnd/cvm.sch 233 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_38)))->BgL_typedzd2eqzd2) =
				((bool_t) BgL_vz00_39), BUNSPEC);
		}

	}



/* &cvm-typed-eq-set! */
	obj_t BGl_z62cvmzd2typedzd2eqzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1207, obj_t BgL_oz00_1208, obj_t BgL_vz00_1209)
	{
		{	/* BackEnd/cvm.sch 233 */
			return
				BGl_cvmzd2typedzd2eqzd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1208), CBOOL(BgL_vz00_1209));
		}

	}



/* cvm-foreign-closure */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2foreignzd2closurez00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_40)
	{
		{	/* BackEnd/cvm.sch 234 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_40)))->BgL_foreignzd2closurezd2);
		}

	}



/* &cvm-foreign-closure */
	obj_t BGl_z62cvmzd2foreignzd2closurez62zzbackend_cvmz00(obj_t BgL_envz00_1210,
		obj_t BgL_oz00_1211)
	{
		{	/* BackEnd/cvm.sch 234 */
			return
				BBOOL(BGl_cvmzd2foreignzd2closurez00zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1211)));
		}

	}



/* cvm-foreign-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2foreignzd2closurezd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_41, bool_t BgL_vz00_42)
	{
		{	/* BackEnd/cvm.sch 235 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_41)))->BgL_foreignzd2closurezd2) =
				((bool_t) BgL_vz00_42), BUNSPEC);
		}

	}



/* &cvm-foreign-closure-set! */
	obj_t BGl_z62cvmzd2foreignzd2closurezd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1212, obj_t BgL_oz00_1213, obj_t BgL_vz00_1214)
	{
		{	/* BackEnd/cvm.sch 235 */
			return
				BGl_cvmzd2foreignzd2closurezd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1213), CBOOL(BgL_vz00_1214));
		}

	}



/* cvm-remove-empty-let */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2removezd2emptyzd2letzd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_43)
	{
		{	/* BackEnd/cvm.sch 236 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_43)))->BgL_removezd2emptyzd2letz00);
		}

	}



/* &cvm-remove-empty-let */
	obj_t BGl_z62cvmzd2removezd2emptyzd2letzb0zzbackend_cvmz00(obj_t
		BgL_envz00_1215, obj_t BgL_oz00_1216)
	{
		{	/* BackEnd/cvm.sch 236 */
			return
				BBOOL(BGl_cvmzd2removezd2emptyzd2letzd2zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1216)));
		}

	}



/* cvm-remove-empty-let-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2removezd2emptyzd2letzd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_44, bool_t BgL_vz00_45)
	{
		{	/* BackEnd/cvm.sch 237 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_44)))->
					BgL_removezd2emptyzd2letz00) = ((bool_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &cvm-remove-empty-let-set! */
	obj_t BGl_z62cvmzd2removezd2emptyzd2letzd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1217, obj_t BgL_oz00_1218, obj_t BgL_vz00_1219)
	{
		{	/* BackEnd/cvm.sch 237 */
			return
				BGl_cvmzd2removezd2emptyzd2letzd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1218), CBOOL(BgL_vz00_1219));
		}

	}



/* cvm-effect+ */
	BGL_EXPORTED_DEF bool_t BGl_cvmzd2effectzb2z60zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_46)
	{
		{	/* BackEnd/cvm.sch 238 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_46)))->BgL_effectzb2zb2);
		}

	}



/* &cvm-effect+ */
	obj_t BGl_z62cvmzd2effectzb2z02zzbackend_cvmz00(obj_t BgL_envz00_1220,
		obj_t BgL_oz00_1221)
	{
		{	/* BackEnd/cvm.sch 238 */
			return
				BBOOL(BGl_cvmzd2effectzb2z60zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1221)));
		}

	}



/* cvm-effect+-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2effectzb2zd2setz12za0zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_47,
		bool_t BgL_vz00_48)
	{
		{	/* BackEnd/cvm.sch 239 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_47)))->BgL_effectzb2zb2) =
				((bool_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &cvm-effect+-set! */
	obj_t BGl_z62cvmzd2effectzb2zd2setz12zc2zzbackend_cvmz00(obj_t
		BgL_envz00_1222, obj_t BgL_oz00_1223, obj_t BgL_vz00_1224)
	{
		{	/* BackEnd/cvm.sch 239 */
			return
				BGl_cvmzd2effectzb2zd2setz12za0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1223), CBOOL(BgL_vz00_1224));
		}

	}



/* cvm-qualified-types */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2qualifiedzd2typesz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_49)
	{
		{	/* BackEnd/cvm.sch 240 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_49)))->BgL_qualifiedzd2typeszd2);
		}

	}



/* &cvm-qualified-types */
	obj_t BGl_z62cvmzd2qualifiedzd2typesz62zzbackend_cvmz00(obj_t BgL_envz00_1225,
		obj_t BgL_oz00_1226)
	{
		{	/* BackEnd/cvm.sch 240 */
			return
				BBOOL(BGl_cvmzd2qualifiedzd2typesz00zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1226)));
		}

	}



/* cvm-qualified-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2qualifiedzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_50, bool_t BgL_vz00_51)
	{
		{	/* BackEnd/cvm.sch 241 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_50)))->BgL_qualifiedzd2typeszd2) =
				((bool_t) BgL_vz00_51), BUNSPEC);
		}

	}



/* &cvm-qualified-types-set! */
	obj_t BGl_z62cvmzd2qualifiedzd2typeszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1227, obj_t BgL_oz00_1228, obj_t BgL_vz00_1229)
	{
		{	/* BackEnd/cvm.sch 241 */
			return
				BGl_cvmzd2qualifiedzd2typeszd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1228), CBOOL(BgL_vz00_1229));
		}

	}



/* cvm-callcc */
	BGL_EXPORTED_DEF bool_t BGl_cvmzd2callcczd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_52)
	{
		{	/* BackEnd/cvm.sch 242 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_52)))->BgL_callccz00);
		}

	}



/* &cvm-callcc */
	obj_t BGl_z62cvmzd2callcczb0zzbackend_cvmz00(obj_t BgL_envz00_1230,
		obj_t BgL_oz00_1231)
	{
		{	/* BackEnd/cvm.sch 242 */
			return
				BBOOL(BGl_cvmzd2callcczd2zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1231)));
		}

	}



/* cvm-callcc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2callcczd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_53,
		bool_t BgL_vz00_54)
	{
		{	/* BackEnd/cvm.sch 243 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_53)))->BgL_callccz00) =
				((bool_t) BgL_vz00_54), BUNSPEC);
		}

	}



/* &cvm-callcc-set! */
	obj_t BGl_z62cvmzd2callcczd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1232,
		obj_t BgL_oz00_1233, obj_t BgL_vz00_1234)
	{
		{	/* BackEnd/cvm.sch 243 */
			return
				BGl_cvmzd2callcczd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1233), CBOOL(BgL_vz00_1234));
		}

	}



/* cvm-heap-compatible */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2heapzd2compatiblez00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_55)
	{
		{	/* BackEnd/cvm.sch 244 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_55)))->BgL_heapzd2compatiblezd2);
		}

	}



/* &cvm-heap-compatible */
	obj_t BGl_z62cvmzd2heapzd2compatiblez62zzbackend_cvmz00(obj_t BgL_envz00_1235,
		obj_t BgL_oz00_1236)
	{
		{	/* BackEnd/cvm.sch 244 */
			return
				BGl_cvmzd2heapzd2compatiblez00zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1236));
		}

	}



/* cvm-heap-compatible-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2heapzd2compatiblezd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_56, obj_t BgL_vz00_57)
	{
		{	/* BackEnd/cvm.sch 245 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_56)))->BgL_heapzd2compatiblezd2) =
				((obj_t) BgL_vz00_57), BUNSPEC);
		}

	}



/* &cvm-heap-compatible-set! */
	obj_t BGl_z62cvmzd2heapzd2compatiblezd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1237, obj_t BgL_oz00_1238, obj_t BgL_vz00_1239)
	{
		{	/* BackEnd/cvm.sch 245 */
			return
				BGl_cvmzd2heapzd2compatiblezd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1238), BgL_vz00_1239);
		}

	}



/* cvm-heap-suffix */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2heapzd2suffixz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_58)
	{
		{	/* BackEnd/cvm.sch 246 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_58)))->BgL_heapzd2suffixzd2);
		}

	}



/* &cvm-heap-suffix */
	obj_t BGl_z62cvmzd2heapzd2suffixz62zzbackend_cvmz00(obj_t BgL_envz00_1240,
		obj_t BgL_oz00_1241)
	{
		{	/* BackEnd/cvm.sch 246 */
			return
				BGl_cvmzd2heapzd2suffixz00zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1241));
		}

	}



/* cvm-heap-suffix-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2heapzd2suffixzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* BackEnd/cvm.sch 247 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_59)))->BgL_heapzd2suffixzd2) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &cvm-heap-suffix-set! */
	obj_t BGl_z62cvmzd2heapzd2suffixzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1242, obj_t BgL_oz00_1243, obj_t BgL_vz00_1244)
	{
		{	/* BackEnd/cvm.sch 247 */
			return
				BGl_cvmzd2heapzd2suffixzd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1243), BgL_vz00_1244);
		}

	}



/* cvm-typed */
	BGL_EXPORTED_DEF bool_t BGl_cvmzd2typedzd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_61)
	{
		{	/* BackEnd/cvm.sch 248 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_61)))->BgL_typedz00);
		}

	}



/* &cvm-typed */
	obj_t BGl_z62cvmzd2typedzb0zzbackend_cvmz00(obj_t BgL_envz00_1245,
		obj_t BgL_oz00_1246)
	{
		{	/* BackEnd/cvm.sch 248 */
			return
				BBOOL(BGl_cvmzd2typedzd2zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1246)));
		}

	}



/* cvm-typed-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2typedzd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_62,
		bool_t BgL_vz00_63)
	{
		{	/* BackEnd/cvm.sch 249 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_62)))->BgL_typedz00) =
				((bool_t) BgL_vz00_63), BUNSPEC);
		}

	}



/* &cvm-typed-set! */
	obj_t BGl_z62cvmzd2typedzd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1247,
		obj_t BgL_oz00_1248, obj_t BgL_vz00_1249)
	{
		{	/* BackEnd/cvm.sch 249 */
			return
				BGl_cvmzd2typedzd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1248), CBOOL(BgL_vz00_1249));
		}

	}



/* cvm-types */
	BGL_EXPORTED_DEF obj_t BGl_cvmzd2typeszd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_64)
	{
		{	/* BackEnd/cvm.sch 250 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_64)))->BgL_typesz00);
		}

	}



/* &cvm-types */
	obj_t BGl_z62cvmzd2typeszb0zzbackend_cvmz00(obj_t BgL_envz00_1250,
		obj_t BgL_oz00_1251)
	{
		{	/* BackEnd/cvm.sch 250 */
			return
				BGl_cvmzd2typeszd2zzbackend_cvmz00(((BgL_cvmz00_bglt) BgL_oz00_1251));
		}

	}



/* cvm-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2typeszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_65,
		obj_t BgL_vz00_66)
	{
		{	/* BackEnd/cvm.sch 251 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_65)))->BgL_typesz00) =
				((obj_t) BgL_vz00_66), BUNSPEC);
		}

	}



/* &cvm-types-set! */
	obj_t BGl_z62cvmzd2typeszd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1252,
		obj_t BgL_oz00_1253, obj_t BgL_vz00_1254)
	{
		{	/* BackEnd/cvm.sch 251 */
			return
				BGl_cvmzd2typeszd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1253), BgL_vz00_1254);
		}

	}



/* cvm-functions */
	BGL_EXPORTED_DEF obj_t BGl_cvmzd2functionszd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_67)
	{
		{	/* BackEnd/cvm.sch 252 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_67)))->BgL_functionsz00);
		}

	}



/* &cvm-functions */
	obj_t BGl_z62cvmzd2functionszb0zzbackend_cvmz00(obj_t BgL_envz00_1255,
		obj_t BgL_oz00_1256)
	{
		{	/* BackEnd/cvm.sch 252 */
			return
				BGl_cvmzd2functionszd2zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1256));
		}

	}



/* cvm-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2functionszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_68,
		obj_t BgL_vz00_69)
	{
		{	/* BackEnd/cvm.sch 253 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_68)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_69), BUNSPEC);
		}

	}



/* &cvm-functions-set! */
	obj_t BGl_z62cvmzd2functionszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1257, obj_t BgL_oz00_1258, obj_t BgL_vz00_1259)
	{
		{	/* BackEnd/cvm.sch 253 */
			return
				BGl_cvmzd2functionszd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1258), BgL_vz00_1259);
		}

	}



/* cvm-variables */
	BGL_EXPORTED_DEF obj_t BGl_cvmzd2variableszd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_70)
	{
		{	/* BackEnd/cvm.sch 254 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_70)))->BgL_variablesz00);
		}

	}



/* &cvm-variables */
	obj_t BGl_z62cvmzd2variableszb0zzbackend_cvmz00(obj_t BgL_envz00_1260,
		obj_t BgL_oz00_1261)
	{
		{	/* BackEnd/cvm.sch 254 */
			return
				BGl_cvmzd2variableszd2zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1261));
		}

	}



/* cvm-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2variableszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_71,
		obj_t BgL_vz00_72)
	{
		{	/* BackEnd/cvm.sch 255 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_71)))->BgL_variablesz00) =
				((obj_t) BgL_vz00_72), BUNSPEC);
		}

	}



/* &cvm-variables-set! */
	obj_t BGl_z62cvmzd2variableszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1262, obj_t BgL_oz00_1263, obj_t BgL_vz00_1264)
	{
		{	/* BackEnd/cvm.sch 255 */
			return
				BGl_cvmzd2variableszd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1263), BgL_vz00_1264);
		}

	}



/* cvm-extern-types */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2externzd2typesz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_73)
	{
		{	/* BackEnd/cvm.sch 256 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_73)))->BgL_externzd2typeszd2);
		}

	}



/* &cvm-extern-types */
	obj_t BGl_z62cvmzd2externzd2typesz62zzbackend_cvmz00(obj_t BgL_envz00_1265,
		obj_t BgL_oz00_1266)
	{
		{	/* BackEnd/cvm.sch 256 */
			return
				BGl_cvmzd2externzd2typesz00zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1266));
		}

	}



/* cvm-extern-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2externzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_74, obj_t BgL_vz00_75)
	{
		{	/* BackEnd/cvm.sch 257 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_74)))->BgL_externzd2typeszd2) =
				((obj_t) BgL_vz00_75), BUNSPEC);
		}

	}



/* &cvm-extern-types-set! */
	obj_t BGl_z62cvmzd2externzd2typeszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1267, obj_t BgL_oz00_1268, obj_t BgL_vz00_1269)
	{
		{	/* BackEnd/cvm.sch 257 */
			return
				BGl_cvmzd2externzd2typeszd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1268), BgL_vz00_1269);
		}

	}



/* cvm-extern-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2externzd2functionsz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_76)
	{
		{	/* BackEnd/cvm.sch 258 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_76)))->BgL_externzd2functionszd2);
		}

	}



/* &cvm-extern-functions */
	obj_t BGl_z62cvmzd2externzd2functionsz62zzbackend_cvmz00(obj_t
		BgL_envz00_1270, obj_t BgL_oz00_1271)
	{
		{	/* BackEnd/cvm.sch 258 */
			return
				BGl_cvmzd2externzd2functionsz00zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1271));
		}

	}



/* cvm-extern-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2externzd2functionszd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_77, obj_t BgL_vz00_78)
	{
		{	/* BackEnd/cvm.sch 259 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_77)))->
					BgL_externzd2functionszd2) = ((obj_t) BgL_vz00_78), BUNSPEC);
		}

	}



/* &cvm-extern-functions-set! */
	obj_t BGl_z62cvmzd2externzd2functionszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1272, obj_t BgL_oz00_1273, obj_t BgL_vz00_1274)
	{
		{	/* BackEnd/cvm.sch 259 */
			return
				BGl_cvmzd2externzd2functionszd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1273), BgL_vz00_1274);
		}

	}



/* cvm-extern-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2externzd2variablesz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_79)
	{
		{	/* BackEnd/cvm.sch 260 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_79)))->BgL_externzd2variableszd2);
		}

	}



/* &cvm-extern-variables */
	obj_t BGl_z62cvmzd2externzd2variablesz62zzbackend_cvmz00(obj_t
		BgL_envz00_1275, obj_t BgL_oz00_1276)
	{
		{	/* BackEnd/cvm.sch 260 */
			return
				BGl_cvmzd2externzd2variablesz00zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1276));
		}

	}



/* cvm-extern-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2externzd2variableszd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_80, obj_t BgL_vz00_81)
	{
		{	/* BackEnd/cvm.sch 261 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_80)))->
					BgL_externzd2variableszd2) = ((obj_t) BgL_vz00_81), BUNSPEC);
		}

	}



/* &cvm-extern-variables-set! */
	obj_t BGl_z62cvmzd2externzd2variableszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1277, obj_t BgL_oz00_1278, obj_t BgL_vz00_1279)
	{
		{	/* BackEnd/cvm.sch 261 */
			return
				BGl_cvmzd2externzd2variableszd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1278), BgL_vz00_1279);
		}

	}



/* cvm-name */
	BGL_EXPORTED_DEF obj_t BGl_cvmzd2namezd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_82)
	{
		{	/* BackEnd/cvm.sch 262 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_82)))->BgL_namez00);
		}

	}



/* &cvm-name */
	obj_t BGl_z62cvmzd2namezb0zzbackend_cvmz00(obj_t BgL_envz00_1280,
		obj_t BgL_oz00_1281)
	{
		{	/* BackEnd/cvm.sch 262 */
			return
				BGl_cvmzd2namezd2zzbackend_cvmz00(((BgL_cvmz00_bglt) BgL_oz00_1281));
		}

	}



/* cvm-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2namezd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_83,
		obj_t BgL_vz00_84)
	{
		{	/* BackEnd/cvm.sch 263 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_83)))->BgL_namez00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}

	}



/* &cvm-name-set! */
	obj_t BGl_z62cvmzd2namezd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1282,
		obj_t BgL_oz00_1283, obj_t BgL_vz00_1284)
	{
		{	/* BackEnd/cvm.sch 263 */
			return
				BGl_cvmzd2namezd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1283), BgL_vz00_1284);
		}

	}



/* cvm-srfi0 */
	BGL_EXPORTED_DEF obj_t BGl_cvmzd2srfi0zd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_85)
	{
		{	/* BackEnd/cvm.sch 264 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_85)))->BgL_srfi0z00);
		}

	}



/* &cvm-srfi0 */
	obj_t BGl_z62cvmzd2srfi0zb0zzbackend_cvmz00(obj_t BgL_envz00_1285,
		obj_t BgL_oz00_1286)
	{
		{	/* BackEnd/cvm.sch 264 */
			return
				BGl_cvmzd2srfi0zd2zzbackend_cvmz00(((BgL_cvmz00_bglt) BgL_oz00_1286));
		}

	}



/* cvm-srfi0-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2srfi0zd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_86,
		obj_t BgL_vz00_87)
	{
		{	/* BackEnd/cvm.sch 265 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_86)))->BgL_srfi0z00) =
				((obj_t) BgL_vz00_87), BUNSPEC);
		}

	}



/* &cvm-srfi0-set! */
	obj_t BGl_z62cvmzd2srfi0zd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1287,
		obj_t BgL_oz00_1288, obj_t BgL_vz00_1289)
	{
		{	/* BackEnd/cvm.sch 265 */
			return
				BGl_cvmzd2srfi0zd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1288), BgL_vz00_1289);
		}

	}



/* cvm-language */
	BGL_EXPORTED_DEF obj_t BGl_cvmzd2languagezd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_88)
	{
		{	/* BackEnd/cvm.sch 266 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_88)))->BgL_languagez00);
		}

	}



/* &cvm-language */
	obj_t BGl_z62cvmzd2languagezb0zzbackend_cvmz00(obj_t BgL_envz00_1290,
		obj_t BgL_oz00_1291)
	{
		{	/* BackEnd/cvm.sch 266 */
			return
				BGl_cvmzd2languagezd2zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1291));
		}

	}



/* cvm-language-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2languagezd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_89,
		obj_t BgL_vz00_90)
	{
		{	/* BackEnd/cvm.sch 267 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_89)))->BgL_languagez00) =
				((obj_t) BgL_vz00_90), BUNSPEC);
		}

	}



/* &cvm-language-set! */
	obj_t BGl_z62cvmzd2languagezd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1292,
		obj_t BgL_oz00_1293, obj_t BgL_vz00_1294)
	{
		{	/* BackEnd/cvm.sch 267 */
			return
				BGl_cvmzd2languagezd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1293), BgL_vz00_1294);
		}

	}



/* make-sawc */
	BGL_EXPORTED_DEF BgL_sawcz00_bglt BGl_makezd2sawczd2zzbackend_cvmz00(obj_t
		BgL_language1194z00_91, obj_t BgL_srfi01195z00_92, obj_t BgL_name1196z00_93,
		obj_t BgL_externzd2variables1197zd2_94,
		obj_t BgL_externzd2functions1198zd2_95, obj_t BgL_externzd2types1199zd2_96,
		obj_t BgL_variables1200z00_97, obj_t BgL_functions1201z00_98,
		obj_t BgL_types1202z00_99, bool_t BgL_typed1203z00_100,
		obj_t BgL_heapzd2suffix1204zd2_101, obj_t BgL_heapzd2compatible1205zd2_102,
		bool_t BgL_callcc1206z00_103, bool_t BgL_qualifiedzd2types1207zd2_104,
		bool_t BgL_effectzb21208zb2_105, bool_t BgL_removezd2emptyzd2let1209z00_106,
		bool_t BgL_foreignzd2closure1210zd2_107, bool_t BgL_typedzd2eq1211zd2_108,
		bool_t BgL_tracezd2support1212zd2_109,
		obj_t BgL_foreignzd2clausezd2suppo1213z00_110,
		obj_t BgL_debugzd2support1214zd2_111,
		bool_t BgL_pragmazd2support1215zd2_112,
		bool_t BgL_tvectorzd2descrzd2suppor1216z00_113,
		bool_t BgL_requirezd2tailc1217zd2_114, obj_t BgL_registers1218z00_115,
		obj_t BgL_pregisters1219z00_116, bool_t BgL_boundzd2check1220zd2_117,
		bool_t BgL_typezd2check1221zd2_118, bool_t BgL_typedzd2funcall1222zd2_119)
	{
		{	/* BackEnd/cvm.sch 270 */
			{	/* BackEnd/cvm.sch 270 */
				BgL_sawcz00_bglt BgL_new1174z00_1756;

				{	/* BackEnd/cvm.sch 270 */
					BgL_sawcz00_bglt BgL_new1173z00_1757;

					BgL_new1173z00_1757 =
						((BgL_sawcz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sawcz00_bgl))));
					{	/* BackEnd/cvm.sch 270 */
						long BgL_arg1369z00_1758;

						BgL_arg1369z00_1758 = BGL_CLASS_NUM(BGl_sawcz00zzbackend_cvmz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1173z00_1757), BgL_arg1369z00_1758);
					}
					BgL_new1174z00_1756 = BgL_new1173z00_1757;
				}
				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_new1174z00_1756)))->
						BgL_languagez00) = ((obj_t) BgL_language1194z00_91), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_srfi0z00) =
					((obj_t) BgL_srfi01195z00_92), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_namez00) =
					((obj_t) BgL_name1196z00_93), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_externzd2variableszd2) =
					((obj_t) BgL_externzd2variables1197zd2_94), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_externzd2functionszd2) =
					((obj_t) BgL_externzd2functions1198zd2_95), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_externzd2typeszd2) =
					((obj_t) BgL_externzd2types1199zd2_96), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_variablesz00) =
					((obj_t) BgL_variables1200z00_97), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_functionsz00) =
					((obj_t) BgL_functions1201z00_98), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_typesz00) =
					((obj_t) BgL_types1202z00_99), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_typedz00) =
					((bool_t) BgL_typed1203z00_100), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_heapzd2suffixzd2) =
					((obj_t) BgL_heapzd2suffix1204zd2_101), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_heapzd2compatiblezd2) =
					((obj_t) BgL_heapzd2compatible1205zd2_102), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_callccz00) =
					((bool_t) BgL_callcc1206z00_103), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_qualifiedzd2typeszd2) =
					((bool_t) BgL_qualifiedzd2types1207zd2_104), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_effectzb2zb2) =
					((bool_t) BgL_effectzb21208zb2_105), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_removezd2emptyzd2letz00) =
					((bool_t) BgL_removezd2emptyzd2let1209z00_106), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_foreignzd2closurezd2) =
					((bool_t) BgL_foreignzd2closure1210zd2_107), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_typedzd2eqzd2) =
					((bool_t) BgL_typedzd2eq1211zd2_108), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_tracezd2supportzd2) =
					((bool_t) BgL_tracezd2support1212zd2_109), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_foreignzd2clausezd2supportz00) =
					((obj_t) BgL_foreignzd2clausezd2suppo1213z00_110), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_debugzd2supportzd2) =
					((obj_t) BgL_debugzd2support1214zd2_111), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_pragmazd2supportzd2) =
					((bool_t) BgL_pragmazd2support1215zd2_112), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) BgL_tvectorzd2descrzd2suppor1216z00_113), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_requirezd2tailczd2) =
					((bool_t) BgL_requirezd2tailc1217zd2_114), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_registersz00) =
					((obj_t) BgL_registers1218z00_115), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_pregistersz00) =
					((obj_t) BgL_pregisters1219z00_116), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_boundzd2checkzd2) =
					((bool_t) BgL_boundzd2check1220zd2_117), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_typezd2checkzd2) =
					((bool_t) BgL_typezd2check1221zd2_118), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1174z00_1756)))->BgL_typedzd2funcallzd2) =
					((bool_t) BgL_typedzd2funcall1222zd2_119), BUNSPEC);
				{	/* BackEnd/cvm.sch 270 */
					obj_t BgL_fun1368z00_1759;

					BgL_fun1368z00_1759 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_sawcz00zzbackend_cvmz00);
					PROCEDURE_ENTRY(BgL_fun1368z00_1759) (BgL_fun1368z00_1759,
						((obj_t) BgL_new1174z00_1756), BEOA);
				}
				return BgL_new1174z00_1756;
			}
		}

	}



/* &make-sawc */
	BgL_sawcz00_bglt BGl_z62makezd2sawczb0zzbackend_cvmz00(obj_t BgL_envz00_1295,
		obj_t BgL_language1194z00_1296, obj_t BgL_srfi01195z00_1297,
		obj_t BgL_name1196z00_1298, obj_t BgL_externzd2variables1197zd2_1299,
		obj_t BgL_externzd2functions1198zd2_1300,
		obj_t BgL_externzd2types1199zd2_1301, obj_t BgL_variables1200z00_1302,
		obj_t BgL_functions1201z00_1303, obj_t BgL_types1202z00_1304,
		obj_t BgL_typed1203z00_1305, obj_t BgL_heapzd2suffix1204zd2_1306,
		obj_t BgL_heapzd2compatible1205zd2_1307, obj_t BgL_callcc1206z00_1308,
		obj_t BgL_qualifiedzd2types1207zd2_1309, obj_t BgL_effectzb21208zb2_1310,
		obj_t BgL_removezd2emptyzd2let1209z00_1311,
		obj_t BgL_foreignzd2closure1210zd2_1312, obj_t BgL_typedzd2eq1211zd2_1313,
		obj_t BgL_tracezd2support1212zd2_1314,
		obj_t BgL_foreignzd2clausezd2suppo1213z00_1315,
		obj_t BgL_debugzd2support1214zd2_1316,
		obj_t BgL_pragmazd2support1215zd2_1317,
		obj_t BgL_tvectorzd2descrzd2suppor1216z00_1318,
		obj_t BgL_requirezd2tailc1217zd2_1319, obj_t BgL_registers1218z00_1320,
		obj_t BgL_pregisters1219z00_1321, obj_t BgL_boundzd2check1220zd2_1322,
		obj_t BgL_typezd2check1221zd2_1323, obj_t BgL_typedzd2funcall1222zd2_1324)
	{
		{	/* BackEnd/cvm.sch 270 */
			return
				BGl_makezd2sawczd2zzbackend_cvmz00(BgL_language1194z00_1296,
				BgL_srfi01195z00_1297, BgL_name1196z00_1298,
				BgL_externzd2variables1197zd2_1299, BgL_externzd2functions1198zd2_1300,
				BgL_externzd2types1199zd2_1301, BgL_variables1200z00_1302,
				BgL_functions1201z00_1303, BgL_types1202z00_1304,
				CBOOL(BgL_typed1203z00_1305), BgL_heapzd2suffix1204zd2_1306,
				BgL_heapzd2compatible1205zd2_1307, CBOOL(BgL_callcc1206z00_1308),
				CBOOL(BgL_qualifiedzd2types1207zd2_1309),
				CBOOL(BgL_effectzb21208zb2_1310),
				CBOOL(BgL_removezd2emptyzd2let1209z00_1311),
				CBOOL(BgL_foreignzd2closure1210zd2_1312),
				CBOOL(BgL_typedzd2eq1211zd2_1313),
				CBOOL(BgL_tracezd2support1212zd2_1314),
				BgL_foreignzd2clausezd2suppo1213z00_1315,
				BgL_debugzd2support1214zd2_1316,
				CBOOL(BgL_pragmazd2support1215zd2_1317),
				CBOOL(BgL_tvectorzd2descrzd2suppor1216z00_1318),
				CBOOL(BgL_requirezd2tailc1217zd2_1319), BgL_registers1218z00_1320,
				BgL_pregisters1219z00_1321, CBOOL(BgL_boundzd2check1220zd2_1322),
				CBOOL(BgL_typezd2check1221zd2_1323),
				CBOOL(BgL_typedzd2funcall1222zd2_1324));
		}

	}



/* sawc? */
	BGL_EXPORTED_DEF bool_t BGl_sawczf3zf3zzbackend_cvmz00(obj_t BgL_objz00_120)
	{
		{	/* BackEnd/cvm.sch 271 */
			{	/* BackEnd/cvm.sch 271 */
				obj_t BgL_classz00_1760;

				BgL_classz00_1760 = BGl_sawcz00zzbackend_cvmz00;
				if (BGL_OBJECTP(BgL_objz00_120))
					{	/* BackEnd/cvm.sch 271 */
						BgL_objectz00_bglt BgL_arg1825z00_1761;

						BgL_arg1825z00_1761 = (BgL_objectz00_bglt) (BgL_objz00_120);
						{	/* BackEnd/cvm.sch 271 */
							bool_t BgL_arg1822z00_1762;
							bool_t BgL_arg1823z00_1763;

							{	/* BackEnd/cvm.sch 271 */
								long BgL_idxz00_1764;

								BgL_idxz00_1764 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1761);
								BgL_arg1822z00_1762 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_1764 + ((long) 3))) == BgL_classz00_1760);
							}
							{	/* BackEnd/cvm.sch 271 */
								bool_t BgL_res1502z00_1767;

								{	/* BackEnd/cvm.sch 271 */
									obj_t BgL_oclassz00_1768;

									{	/* BackEnd/cvm.sch 271 */
										long BgL_arg1833z00_1769;

										{	/* BackEnd/cvm.sch 271 */
											long BgL_arg1834z00_1770;

											BgL_arg1834z00_1770 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1761);
											BgL_arg1833z00_1769 = (BgL_arg1834z00_1770 - OBJECT_TYPE);
										}
										BgL_oclassz00_1768 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_1769);
									}
									{	/* BackEnd/cvm.sch 271 */
										bool_t BgL__ortest_1110z00_1771;

										BgL__ortest_1110z00_1771 =
											(BgL_classz00_1760 == BgL_oclassz00_1768);
										if (BgL__ortest_1110z00_1771)
											{	/* BackEnd/cvm.sch 271 */
												BgL_res1502z00_1767 = BgL__ortest_1110z00_1771;
											}
										else
											{	/* BackEnd/cvm.sch 271 */
												long BgL_odepthz00_1772;

												BgL_odepthz00_1772 =
													BGL_CLASS_DEPTH(BgL_oclassz00_1768);
												if ((((long) 3) < BgL_odepthz00_1772))
													{	/* BackEnd/cvm.sch 271 */
														obj_t BgL_arg1821z00_1773;

														BgL_arg1821z00_1773 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1768,
															((long) 3));
														BgL_res1502z00_1767 =
															(BgL_arg1821z00_1773 == BgL_classz00_1760);
													}
												else
													{	/* BackEnd/cvm.sch 271 */
														BgL_res1502z00_1767 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_1763 = BgL_res1502z00_1767;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_1762, BgL_arg1823z00_1763);
						}
					}
				else
					{	/* BackEnd/cvm.sch 271 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sawc? */
	obj_t BGl_z62sawczf3z91zzbackend_cvmz00(obj_t BgL_envz00_1325,
		obj_t BgL_objz00_1326)
	{
		{	/* BackEnd/cvm.sch 271 */
			return BBOOL(BGl_sawczf3zf3zzbackend_cvmz00(BgL_objz00_1326));
		}

	}



/* sawc-nil */
	BGL_EXPORTED_DEF BgL_sawcz00_bglt BGl_sawczd2nilzd2zzbackend_cvmz00()
	{
		{	/* BackEnd/cvm.sch 272 */
			{	/* BackEnd/cvm.sch 272 */
				obj_t BgL_classz00_965;

				BgL_classz00_965 = BGl_sawcz00zzbackend_cvmz00;
				{	/* BackEnd/cvm.sch 272 */
					obj_t BgL__ortest_1112z00_966;

					BgL__ortest_1112z00_966 = BGL_CLASS_NIL(BgL_classz00_965);
					if (CBOOL(BgL__ortest_1112z00_966))
						{	/* BackEnd/cvm.sch 272 */
							return ((BgL_sawcz00_bglt) BgL__ortest_1112z00_966);
						}
					else
						{	/* BackEnd/cvm.sch 272 */
							return
								((BgL_sawcz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_965));
						}
				}
			}
		}

	}



/* &sawc-nil */
	BgL_sawcz00_bglt BGl_z62sawczd2nilzb0zzbackend_cvmz00(obj_t BgL_envz00_1327)
	{
		{	/* BackEnd/cvm.sch 272 */
			return BGl_sawczd2nilzd2zzbackend_cvmz00();
		}

	}



/* sawc-typed-funcall */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2typedzd2funcallz00zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_121)
	{
		{	/* BackEnd/cvm.sch 273 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_121)))->BgL_typedzd2funcallzd2);
		}

	}



/* &sawc-typed-funcall */
	obj_t BGl_z62sawczd2typedzd2funcallz62zzbackend_cvmz00(obj_t BgL_envz00_1328,
		obj_t BgL_oz00_1329)
	{
		{	/* BackEnd/cvm.sch 273 */
			return
				BBOOL(BGl_sawczd2typedzd2funcallz00zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1329)));
		}

	}



/* sawc-typed-funcall-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2typedzd2funcallzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_122, bool_t BgL_vz00_123)
	{
		{	/* BackEnd/cvm.sch 274 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_122)))->BgL_typedzd2funcallzd2) =
				((bool_t) BgL_vz00_123), BUNSPEC);
		}

	}



/* &sawc-typed-funcall-set! */
	obj_t BGl_z62sawczd2typedzd2funcallzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1330, obj_t BgL_oz00_1331, obj_t BgL_vz00_1332)
	{
		{	/* BackEnd/cvm.sch 274 */
			return
				BGl_sawczd2typedzd2funcallzd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1331), CBOOL(BgL_vz00_1332));
		}

	}



/* sawc-type-check */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2typezd2checkz00zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_124)
	{
		{	/* BackEnd/cvm.sch 275 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_124)))->BgL_typezd2checkzd2);
		}

	}



/* &sawc-type-check */
	obj_t BGl_z62sawczd2typezd2checkz62zzbackend_cvmz00(obj_t BgL_envz00_1333,
		obj_t BgL_oz00_1334)
	{
		{	/* BackEnd/cvm.sch 275 */
			return
				BBOOL(BGl_sawczd2typezd2checkz00zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1334)));
		}

	}



/* sawc-type-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2typezd2checkzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_125, bool_t BgL_vz00_126)
	{
		{	/* BackEnd/cvm.sch 276 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_125)))->BgL_typezd2checkzd2) =
				((bool_t) BgL_vz00_126), BUNSPEC);
		}

	}



/* &sawc-type-check-set! */
	obj_t BGl_z62sawczd2typezd2checkzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1335, obj_t BgL_oz00_1336, obj_t BgL_vz00_1337)
	{
		{	/* BackEnd/cvm.sch 276 */
			return
				BGl_sawczd2typezd2checkzd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1336), CBOOL(BgL_vz00_1337));
		}

	}



/* sawc-bound-check */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2boundzd2checkz00zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_127)
	{
		{	/* BackEnd/cvm.sch 277 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_127)))->BgL_boundzd2checkzd2);
		}

	}



/* &sawc-bound-check */
	obj_t BGl_z62sawczd2boundzd2checkz62zzbackend_cvmz00(obj_t BgL_envz00_1338,
		obj_t BgL_oz00_1339)
	{
		{	/* BackEnd/cvm.sch 277 */
			return
				BBOOL(BGl_sawczd2boundzd2checkz00zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1339)));
		}

	}



/* sawc-bound-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2boundzd2checkzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_128, bool_t BgL_vz00_129)
	{
		{	/* BackEnd/cvm.sch 278 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_128)))->BgL_boundzd2checkzd2) =
				((bool_t) BgL_vz00_129), BUNSPEC);
		}

	}



/* &sawc-bound-check-set! */
	obj_t BGl_z62sawczd2boundzd2checkzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1340, obj_t BgL_oz00_1341, obj_t BgL_vz00_1342)
	{
		{	/* BackEnd/cvm.sch 278 */
			return
				BGl_sawczd2boundzd2checkzd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1341), CBOOL(BgL_vz00_1342));
		}

	}



/* sawc-pregisters */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2pregisterszd2zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_130)
	{
		{	/* BackEnd/cvm.sch 279 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_130)))->BgL_pregistersz00);
		}

	}



/* &sawc-pregisters */
	obj_t BGl_z62sawczd2pregisterszb0zzbackend_cvmz00(obj_t BgL_envz00_1343,
		obj_t BgL_oz00_1344)
	{
		{	/* BackEnd/cvm.sch 279 */
			return
				BGl_sawczd2pregisterszd2zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1344));
		}

	}



/* sawc-pregisters-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2pregisterszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_131, obj_t BgL_vz00_132)
	{
		{	/* BackEnd/cvm.sch 280 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_131)))->BgL_pregistersz00) =
				((obj_t) BgL_vz00_132), BUNSPEC);
		}

	}



/* &sawc-pregisters-set! */
	obj_t BGl_z62sawczd2pregisterszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1345, obj_t BgL_oz00_1346, obj_t BgL_vz00_1347)
	{
		{	/* BackEnd/cvm.sch 280 */
			return
				BGl_sawczd2pregisterszd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1346), BgL_vz00_1347);
		}

	}



/* sawc-registers */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2registerszd2zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_133)
	{
		{	/* BackEnd/cvm.sch 281 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_133)))->BgL_registersz00);
		}

	}



/* &sawc-registers */
	obj_t BGl_z62sawczd2registerszb0zzbackend_cvmz00(obj_t BgL_envz00_1348,
		obj_t BgL_oz00_1349)
	{
		{	/* BackEnd/cvm.sch 281 */
			return
				BGl_sawczd2registerszd2zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1349));
		}

	}



/* sawc-registers-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2registerszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_134, obj_t BgL_vz00_135)
	{
		{	/* BackEnd/cvm.sch 282 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_134)))->BgL_registersz00) =
				((obj_t) BgL_vz00_135), BUNSPEC);
		}

	}



/* &sawc-registers-set! */
	obj_t BGl_z62sawczd2registerszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1350, obj_t BgL_oz00_1351, obj_t BgL_vz00_1352)
	{
		{	/* BackEnd/cvm.sch 282 */
			return
				BGl_sawczd2registerszd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1351), BgL_vz00_1352);
		}

	}



/* sawc-require-tailc */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2requirezd2tailcz00zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_136)
	{
		{	/* BackEnd/cvm.sch 283 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_136)))->BgL_requirezd2tailczd2);
		}

	}



/* &sawc-require-tailc */
	obj_t BGl_z62sawczd2requirezd2tailcz62zzbackend_cvmz00(obj_t BgL_envz00_1353,
		obj_t BgL_oz00_1354)
	{
		{	/* BackEnd/cvm.sch 283 */
			return
				BBOOL(BGl_sawczd2requirezd2tailcz00zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1354)));
		}

	}



/* sawc-require-tailc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2requirezd2tailczd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_137, bool_t BgL_vz00_138)
	{
		{	/* BackEnd/cvm.sch 284 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_137)))->BgL_requirezd2tailczd2) =
				((bool_t) BgL_vz00_138), BUNSPEC);
		}

	}



/* &sawc-require-tailc-set! */
	obj_t BGl_z62sawczd2requirezd2tailczd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1355, obj_t BgL_oz00_1356, obj_t BgL_vz00_1357)
	{
		{	/* BackEnd/cvm.sch 284 */
			return
				BGl_sawczd2requirezd2tailczd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1356), CBOOL(BgL_vz00_1357));
		}

	}



/* sawc-tvector-descr-support */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2tvectorzd2descrzd2supportzd2zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_139)
	{
		{	/* BackEnd/cvm.sch 285 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_139)))->
				BgL_tvectorzd2descrzd2supportz00);
		}

	}



/* &sawc-tvector-descr-support */
	obj_t BGl_z62sawczd2tvectorzd2descrzd2supportzb0zzbackend_cvmz00(obj_t
		BgL_envz00_1358, obj_t BgL_oz00_1359)
	{
		{	/* BackEnd/cvm.sch 285 */
			return
				BBOOL(BGl_sawczd2tvectorzd2descrzd2supportzd2zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1359)));
		}

	}



/* sawc-tvector-descr-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_sawcz00_bglt BgL_oz00_140, bool_t BgL_vz00_141)
	{
		{	/* BackEnd/cvm.sch 286 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_140)))->
					BgL_tvectorzd2descrzd2supportz00) = ((bool_t) BgL_vz00_141), BUNSPEC);
		}

	}



/* &sawc-tvector-descr-support-set! */
	obj_t
		BGl_z62sawczd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1360, obj_t BgL_oz00_1361, obj_t BgL_vz00_1362)
	{
		{	/* BackEnd/cvm.sch 286 */
			return
				BGl_sawczd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1361), CBOOL(BgL_vz00_1362));
		}

	}



/* sawc-pragma-support */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2pragmazd2supportz00zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_142)
	{
		{	/* BackEnd/cvm.sch 287 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_142)))->BgL_pragmazd2supportzd2);
		}

	}



/* &sawc-pragma-support */
	obj_t BGl_z62sawczd2pragmazd2supportz62zzbackend_cvmz00(obj_t BgL_envz00_1363,
		obj_t BgL_oz00_1364)
	{
		{	/* BackEnd/cvm.sch 287 */
			return
				BBOOL(BGl_sawczd2pragmazd2supportz00zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1364)));
		}

	}



/* sawc-pragma-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2pragmazd2supportzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_143, bool_t BgL_vz00_144)
	{
		{	/* BackEnd/cvm.sch 288 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_143)))->BgL_pragmazd2supportzd2) =
				((bool_t) BgL_vz00_144), BUNSPEC);
		}

	}



/* &sawc-pragma-support-set! */
	obj_t BGl_z62sawczd2pragmazd2supportzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1365, obj_t BgL_oz00_1366, obj_t BgL_vz00_1367)
	{
		{	/* BackEnd/cvm.sch 288 */
			return
				BGl_sawczd2pragmazd2supportzd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1366), CBOOL(BgL_vz00_1367));
		}

	}



/* sawc-debug-support */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2debugzd2supportz00zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_145)
	{
		{	/* BackEnd/cvm.sch 289 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_145)))->BgL_debugzd2supportzd2);
		}

	}



/* &sawc-debug-support */
	obj_t BGl_z62sawczd2debugzd2supportz62zzbackend_cvmz00(obj_t BgL_envz00_1368,
		obj_t BgL_oz00_1369)
	{
		{	/* BackEnd/cvm.sch 289 */
			return
				BGl_sawczd2debugzd2supportz00zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1369));
		}

	}



/* sawc-debug-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2debugzd2supportzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_146, obj_t BgL_vz00_147)
	{
		{	/* BackEnd/cvm.sch 290 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_146)))->BgL_debugzd2supportzd2) =
				((obj_t) BgL_vz00_147), BUNSPEC);
		}

	}



/* &sawc-debug-support-set! */
	obj_t BGl_z62sawczd2debugzd2supportzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1370, obj_t BgL_oz00_1371, obj_t BgL_vz00_1372)
	{
		{	/* BackEnd/cvm.sch 290 */
			return
				BGl_sawczd2debugzd2supportzd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1371), BgL_vz00_1372);
		}

	}



/* sawc-foreign-clause-support */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2foreignzd2clausezd2supportzd2zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_148)
	{
		{	/* BackEnd/cvm.sch 291 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_148)))->
				BgL_foreignzd2clausezd2supportz00);
		}

	}



/* &sawc-foreign-clause-support */
	obj_t BGl_z62sawczd2foreignzd2clausezd2supportzb0zzbackend_cvmz00(obj_t
		BgL_envz00_1373, obj_t BgL_oz00_1374)
	{
		{	/* BackEnd/cvm.sch 291 */
			return
				BGl_sawczd2foreignzd2clausezd2supportzd2zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1374));
		}

	}



/* sawc-foreign-clause-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2foreignzd2clausezd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_sawcz00_bglt BgL_oz00_149, obj_t BgL_vz00_150)
	{
		{	/* BackEnd/cvm.sch 292 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_149)))->
					BgL_foreignzd2clausezd2supportz00) = ((obj_t) BgL_vz00_150), BUNSPEC);
		}

	}



/* &sawc-foreign-clause-support-set! */
	obj_t
		BGl_z62sawczd2foreignzd2clausezd2supportzd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1375, obj_t BgL_oz00_1376, obj_t BgL_vz00_1377)
	{
		{	/* BackEnd/cvm.sch 292 */
			return
				BGl_sawczd2foreignzd2clausezd2supportzd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1376), BgL_vz00_1377);
		}

	}



/* sawc-trace-support */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2tracezd2supportz00zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_151)
	{
		{	/* BackEnd/cvm.sch 293 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_151)))->BgL_tracezd2supportzd2);
		}

	}



/* &sawc-trace-support */
	obj_t BGl_z62sawczd2tracezd2supportz62zzbackend_cvmz00(obj_t BgL_envz00_1378,
		obj_t BgL_oz00_1379)
	{
		{	/* BackEnd/cvm.sch 293 */
			return
				BBOOL(BGl_sawczd2tracezd2supportz00zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1379)));
		}

	}



/* sawc-trace-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2tracezd2supportzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_152, bool_t BgL_vz00_153)
	{
		{	/* BackEnd/cvm.sch 294 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_152)))->BgL_tracezd2supportzd2) =
				((bool_t) BgL_vz00_153), BUNSPEC);
		}

	}



/* &sawc-trace-support-set! */
	obj_t BGl_z62sawczd2tracezd2supportzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1380, obj_t BgL_oz00_1381, obj_t BgL_vz00_1382)
	{
		{	/* BackEnd/cvm.sch 294 */
			return
				BGl_sawczd2tracezd2supportzd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1381), CBOOL(BgL_vz00_1382));
		}

	}



/* sawc-typed-eq */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2typedzd2eqz00zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_154)
	{
		{	/* BackEnd/cvm.sch 295 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_154)))->BgL_typedzd2eqzd2);
		}

	}



/* &sawc-typed-eq */
	obj_t BGl_z62sawczd2typedzd2eqz62zzbackend_cvmz00(obj_t BgL_envz00_1383,
		obj_t BgL_oz00_1384)
	{
		{	/* BackEnd/cvm.sch 295 */
			return
				BBOOL(BGl_sawczd2typedzd2eqz00zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1384)));
		}

	}



/* sawc-typed-eq-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2typedzd2eqzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_155, bool_t BgL_vz00_156)
	{
		{	/* BackEnd/cvm.sch 296 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_155)))->BgL_typedzd2eqzd2) =
				((bool_t) BgL_vz00_156), BUNSPEC);
		}

	}



/* &sawc-typed-eq-set! */
	obj_t BGl_z62sawczd2typedzd2eqzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1385, obj_t BgL_oz00_1386, obj_t BgL_vz00_1387)
	{
		{	/* BackEnd/cvm.sch 296 */
			return
				BGl_sawczd2typedzd2eqzd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1386), CBOOL(BgL_vz00_1387));
		}

	}



/* sawc-foreign-closure */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2foreignzd2closurez00zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_157)
	{
		{	/* BackEnd/cvm.sch 297 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_157)))->BgL_foreignzd2closurezd2);
		}

	}



/* &sawc-foreign-closure */
	obj_t BGl_z62sawczd2foreignzd2closurez62zzbackend_cvmz00(obj_t
		BgL_envz00_1388, obj_t BgL_oz00_1389)
	{
		{	/* BackEnd/cvm.sch 297 */
			return
				BBOOL(BGl_sawczd2foreignzd2closurez00zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1389)));
		}

	}



/* sawc-foreign-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2foreignzd2closurezd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_158, bool_t BgL_vz00_159)
	{
		{	/* BackEnd/cvm.sch 298 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_158)))->
					BgL_foreignzd2closurezd2) = ((bool_t) BgL_vz00_159), BUNSPEC);
		}

	}



/* &sawc-foreign-closure-set! */
	obj_t BGl_z62sawczd2foreignzd2closurezd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1390, obj_t BgL_oz00_1391, obj_t BgL_vz00_1392)
	{
		{	/* BackEnd/cvm.sch 298 */
			return
				BGl_sawczd2foreignzd2closurezd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1391), CBOOL(BgL_vz00_1392));
		}

	}



/* sawc-remove-empty-let */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2removezd2emptyzd2letzd2zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_160)
	{
		{	/* BackEnd/cvm.sch 299 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_160)))->
				BgL_removezd2emptyzd2letz00);
		}

	}



/* &sawc-remove-empty-let */
	obj_t BGl_z62sawczd2removezd2emptyzd2letzb0zzbackend_cvmz00(obj_t
		BgL_envz00_1393, obj_t BgL_oz00_1394)
	{
		{	/* BackEnd/cvm.sch 299 */
			return
				BBOOL(BGl_sawczd2removezd2emptyzd2letzd2zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1394)));
		}

	}



/* sawc-remove-empty-let-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2removezd2emptyzd2letzd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_161, bool_t BgL_vz00_162)
	{
		{	/* BackEnd/cvm.sch 300 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_161)))->
					BgL_removezd2emptyzd2letz00) = ((bool_t) BgL_vz00_162), BUNSPEC);
		}

	}



/* &sawc-remove-empty-let-set! */
	obj_t BGl_z62sawczd2removezd2emptyzd2letzd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1395, obj_t BgL_oz00_1396, obj_t BgL_vz00_1397)
	{
		{	/* BackEnd/cvm.sch 300 */
			return
				BGl_sawczd2removezd2emptyzd2letzd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1396), CBOOL(BgL_vz00_1397));
		}

	}



/* sawc-effect+ */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2effectzb2z60zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_163)
	{
		{	/* BackEnd/cvm.sch 301 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_163)))->BgL_effectzb2zb2);
		}

	}



/* &sawc-effect+ */
	obj_t BGl_z62sawczd2effectzb2z02zzbackend_cvmz00(obj_t BgL_envz00_1398,
		obj_t BgL_oz00_1399)
	{
		{	/* BackEnd/cvm.sch 301 */
			return
				BBOOL(BGl_sawczd2effectzb2z60zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1399)));
		}

	}



/* sawc-effect+-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2effectzb2zd2setz12za0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_164, bool_t BgL_vz00_165)
	{
		{	/* BackEnd/cvm.sch 302 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_164)))->BgL_effectzb2zb2) =
				((bool_t) BgL_vz00_165), BUNSPEC);
		}

	}



/* &sawc-effect+-set! */
	obj_t BGl_z62sawczd2effectzb2zd2setz12zc2zzbackend_cvmz00(obj_t
		BgL_envz00_1400, obj_t BgL_oz00_1401, obj_t BgL_vz00_1402)
	{
		{	/* BackEnd/cvm.sch 302 */
			return
				BGl_sawczd2effectzb2zd2setz12za0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1401), CBOOL(BgL_vz00_1402));
		}

	}



/* sawc-qualified-types */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2qualifiedzd2typesz00zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_166)
	{
		{	/* BackEnd/cvm.sch 303 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_166)))->BgL_qualifiedzd2typeszd2);
		}

	}



/* &sawc-qualified-types */
	obj_t BGl_z62sawczd2qualifiedzd2typesz62zzbackend_cvmz00(obj_t
		BgL_envz00_1403, obj_t BgL_oz00_1404)
	{
		{	/* BackEnd/cvm.sch 303 */
			return
				BBOOL(BGl_sawczd2qualifiedzd2typesz00zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1404)));
		}

	}



/* sawc-qualified-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2qualifiedzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_167, bool_t BgL_vz00_168)
	{
		{	/* BackEnd/cvm.sch 304 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_167)))->
					BgL_qualifiedzd2typeszd2) = ((bool_t) BgL_vz00_168), BUNSPEC);
		}

	}



/* &sawc-qualified-types-set! */
	obj_t BGl_z62sawczd2qualifiedzd2typeszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1405, obj_t BgL_oz00_1406, obj_t BgL_vz00_1407)
	{
		{	/* BackEnd/cvm.sch 304 */
			return
				BGl_sawczd2qualifiedzd2typeszd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1406), CBOOL(BgL_vz00_1407));
		}

	}



/* sawc-callcc */
	BGL_EXPORTED_DEF bool_t BGl_sawczd2callcczd2zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_169)
	{
		{	/* BackEnd/cvm.sch 305 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_169)))->BgL_callccz00);
		}

	}



/* &sawc-callcc */
	obj_t BGl_z62sawczd2callcczb0zzbackend_cvmz00(obj_t BgL_envz00_1408,
		obj_t BgL_oz00_1409)
	{
		{	/* BackEnd/cvm.sch 305 */
			return
				BBOOL(BGl_sawczd2callcczd2zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1409)));
		}

	}



/* sawc-callcc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2callcczd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_170,
		bool_t BgL_vz00_171)
	{
		{	/* BackEnd/cvm.sch 306 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_170)))->BgL_callccz00) =
				((bool_t) BgL_vz00_171), BUNSPEC);
		}

	}



/* &sawc-callcc-set! */
	obj_t BGl_z62sawczd2callcczd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1410,
		obj_t BgL_oz00_1411, obj_t BgL_vz00_1412)
	{
		{	/* BackEnd/cvm.sch 306 */
			return
				BGl_sawczd2callcczd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1411), CBOOL(BgL_vz00_1412));
		}

	}



/* sawc-heap-compatible */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2heapzd2compatiblez00zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_172)
	{
		{	/* BackEnd/cvm.sch 307 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_172)))->BgL_heapzd2compatiblezd2);
		}

	}



/* &sawc-heap-compatible */
	obj_t BGl_z62sawczd2heapzd2compatiblez62zzbackend_cvmz00(obj_t
		BgL_envz00_1413, obj_t BgL_oz00_1414)
	{
		{	/* BackEnd/cvm.sch 307 */
			return
				BGl_sawczd2heapzd2compatiblez00zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1414));
		}

	}



/* sawc-heap-compatible-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2heapzd2compatiblezd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_173, obj_t BgL_vz00_174)
	{
		{	/* BackEnd/cvm.sch 308 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_173)))->
					BgL_heapzd2compatiblezd2) = ((obj_t) BgL_vz00_174), BUNSPEC);
		}

	}



/* &sawc-heap-compatible-set! */
	obj_t BGl_z62sawczd2heapzd2compatiblezd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1415, obj_t BgL_oz00_1416, obj_t BgL_vz00_1417)
	{
		{	/* BackEnd/cvm.sch 308 */
			return
				BGl_sawczd2heapzd2compatiblezd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1416), BgL_vz00_1417);
		}

	}



/* sawc-heap-suffix */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2heapzd2suffixz00zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_175)
	{
		{	/* BackEnd/cvm.sch 309 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_175)))->BgL_heapzd2suffixzd2);
		}

	}



/* &sawc-heap-suffix */
	obj_t BGl_z62sawczd2heapzd2suffixz62zzbackend_cvmz00(obj_t BgL_envz00_1418,
		obj_t BgL_oz00_1419)
	{
		{	/* BackEnd/cvm.sch 309 */
			return
				BGl_sawczd2heapzd2suffixz00zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1419));
		}

	}



/* sawc-heap-suffix-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2heapzd2suffixzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_176, obj_t BgL_vz00_177)
	{
		{	/* BackEnd/cvm.sch 310 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_176)))->BgL_heapzd2suffixzd2) =
				((obj_t) BgL_vz00_177), BUNSPEC);
		}

	}



/* &sawc-heap-suffix-set! */
	obj_t BGl_z62sawczd2heapzd2suffixzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1420, obj_t BgL_oz00_1421, obj_t BgL_vz00_1422)
	{
		{	/* BackEnd/cvm.sch 310 */
			return
				BGl_sawczd2heapzd2suffixzd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1421), BgL_vz00_1422);
		}

	}



/* sawc-typed */
	BGL_EXPORTED_DEF bool_t BGl_sawczd2typedzd2zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_178)
	{
		{	/* BackEnd/cvm.sch 311 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_178)))->BgL_typedz00);
		}

	}



/* &sawc-typed */
	obj_t BGl_z62sawczd2typedzb0zzbackend_cvmz00(obj_t BgL_envz00_1423,
		obj_t BgL_oz00_1424)
	{
		{	/* BackEnd/cvm.sch 311 */
			return
				BBOOL(BGl_sawczd2typedzd2zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1424)));
		}

	}



/* sawc-typed-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2typedzd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_179,
		bool_t BgL_vz00_180)
	{
		{	/* BackEnd/cvm.sch 312 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_179)))->BgL_typedz00) =
				((bool_t) BgL_vz00_180), BUNSPEC);
		}

	}



/* &sawc-typed-set! */
	obj_t BGl_z62sawczd2typedzd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1425,
		obj_t BgL_oz00_1426, obj_t BgL_vz00_1427)
	{
		{	/* BackEnd/cvm.sch 312 */
			return
				BGl_sawczd2typedzd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1426), CBOOL(BgL_vz00_1427));
		}

	}



/* sawc-types */
	BGL_EXPORTED_DEF obj_t BGl_sawczd2typeszd2zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_181)
	{
		{	/* BackEnd/cvm.sch 313 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_181)))->BgL_typesz00);
		}

	}



/* &sawc-types */
	obj_t BGl_z62sawczd2typeszb0zzbackend_cvmz00(obj_t BgL_envz00_1428,
		obj_t BgL_oz00_1429)
	{
		{	/* BackEnd/cvm.sch 313 */
			return
				BGl_sawczd2typeszd2zzbackend_cvmz00(((BgL_sawcz00_bglt) BgL_oz00_1429));
		}

	}



/* sawc-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2typeszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_182,
		obj_t BgL_vz00_183)
	{
		{	/* BackEnd/cvm.sch 314 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_182)))->BgL_typesz00) =
				((obj_t) BgL_vz00_183), BUNSPEC);
		}

	}



/* &sawc-types-set! */
	obj_t BGl_z62sawczd2typeszd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1430,
		obj_t BgL_oz00_1431, obj_t BgL_vz00_1432)
	{
		{	/* BackEnd/cvm.sch 314 */
			return
				BGl_sawczd2typeszd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1431), BgL_vz00_1432);
		}

	}



/* sawc-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2functionszd2zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_184)
	{
		{	/* BackEnd/cvm.sch 315 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_184)))->BgL_functionsz00);
		}

	}



/* &sawc-functions */
	obj_t BGl_z62sawczd2functionszb0zzbackend_cvmz00(obj_t BgL_envz00_1433,
		obj_t BgL_oz00_1434)
	{
		{	/* BackEnd/cvm.sch 315 */
			return
				BGl_sawczd2functionszd2zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1434));
		}

	}



/* sawc-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2functionszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_185, obj_t BgL_vz00_186)
	{
		{	/* BackEnd/cvm.sch 316 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_185)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_186), BUNSPEC);
		}

	}



/* &sawc-functions-set! */
	obj_t BGl_z62sawczd2functionszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1435, obj_t BgL_oz00_1436, obj_t BgL_vz00_1437)
	{
		{	/* BackEnd/cvm.sch 316 */
			return
				BGl_sawczd2functionszd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1436), BgL_vz00_1437);
		}

	}



/* sawc-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2variableszd2zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_187)
	{
		{	/* BackEnd/cvm.sch 317 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_187)))->BgL_variablesz00);
		}

	}



/* &sawc-variables */
	obj_t BGl_z62sawczd2variableszb0zzbackend_cvmz00(obj_t BgL_envz00_1438,
		obj_t BgL_oz00_1439)
	{
		{	/* BackEnd/cvm.sch 317 */
			return
				BGl_sawczd2variableszd2zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1439));
		}

	}



/* sawc-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2variableszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_188, obj_t BgL_vz00_189)
	{
		{	/* BackEnd/cvm.sch 318 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_188)))->BgL_variablesz00) =
				((obj_t) BgL_vz00_189), BUNSPEC);
		}

	}



/* &sawc-variables-set! */
	obj_t BGl_z62sawczd2variableszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1440, obj_t BgL_oz00_1441, obj_t BgL_vz00_1442)
	{
		{	/* BackEnd/cvm.sch 318 */
			return
				BGl_sawczd2variableszd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1441), BgL_vz00_1442);
		}

	}



/* sawc-extern-types */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2externzd2typesz00zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_190)
	{
		{	/* BackEnd/cvm.sch 319 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_190)))->BgL_externzd2typeszd2);
		}

	}



/* &sawc-extern-types */
	obj_t BGl_z62sawczd2externzd2typesz62zzbackend_cvmz00(obj_t BgL_envz00_1443,
		obj_t BgL_oz00_1444)
	{
		{	/* BackEnd/cvm.sch 319 */
			return
				BGl_sawczd2externzd2typesz00zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1444));
		}

	}



/* sawc-extern-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2externzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_191, obj_t BgL_vz00_192)
	{
		{	/* BackEnd/cvm.sch 320 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_191)))->BgL_externzd2typeszd2) =
				((obj_t) BgL_vz00_192), BUNSPEC);
		}

	}



/* &sawc-extern-types-set! */
	obj_t BGl_z62sawczd2externzd2typeszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1445, obj_t BgL_oz00_1446, obj_t BgL_vz00_1447)
	{
		{	/* BackEnd/cvm.sch 320 */
			return
				BGl_sawczd2externzd2typeszd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1446), BgL_vz00_1447);
		}

	}



/* sawc-extern-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2externzd2functionsz00zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_193)
	{
		{	/* BackEnd/cvm.sch 321 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_193)))->BgL_externzd2functionszd2);
		}

	}



/* &sawc-extern-functions */
	obj_t BGl_z62sawczd2externzd2functionsz62zzbackend_cvmz00(obj_t
		BgL_envz00_1448, obj_t BgL_oz00_1449)
	{
		{	/* BackEnd/cvm.sch 321 */
			return
				BGl_sawczd2externzd2functionsz00zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1449));
		}

	}



/* sawc-extern-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2externzd2functionszd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_194, obj_t BgL_vz00_195)
	{
		{	/* BackEnd/cvm.sch 322 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_194)))->
					BgL_externzd2functionszd2) = ((obj_t) BgL_vz00_195), BUNSPEC);
		}

	}



/* &sawc-extern-functions-set! */
	obj_t BGl_z62sawczd2externzd2functionszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1450, obj_t BgL_oz00_1451, obj_t BgL_vz00_1452)
	{
		{	/* BackEnd/cvm.sch 322 */
			return
				BGl_sawczd2externzd2functionszd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1451), BgL_vz00_1452);
		}

	}



/* sawc-extern-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2externzd2variablesz00zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_196)
	{
		{	/* BackEnd/cvm.sch 323 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_196)))->BgL_externzd2variableszd2);
		}

	}



/* &sawc-extern-variables */
	obj_t BGl_z62sawczd2externzd2variablesz62zzbackend_cvmz00(obj_t
		BgL_envz00_1453, obj_t BgL_oz00_1454)
	{
		{	/* BackEnd/cvm.sch 323 */
			return
				BGl_sawczd2externzd2variablesz00zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1454));
		}

	}



/* sawc-extern-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2externzd2variableszd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_197, obj_t BgL_vz00_198)
	{
		{	/* BackEnd/cvm.sch 324 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_197)))->
					BgL_externzd2variableszd2) = ((obj_t) BgL_vz00_198), BUNSPEC);
		}

	}



/* &sawc-extern-variables-set! */
	obj_t BGl_z62sawczd2externzd2variableszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1455, obj_t BgL_oz00_1456, obj_t BgL_vz00_1457)
	{
		{	/* BackEnd/cvm.sch 324 */
			return
				BGl_sawczd2externzd2variableszd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1456), BgL_vz00_1457);
		}

	}



/* sawc-name */
	BGL_EXPORTED_DEF obj_t BGl_sawczd2namezd2zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_199)
	{
		{	/* BackEnd/cvm.sch 325 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_199)))->BgL_namez00);
		}

	}



/* &sawc-name */
	obj_t BGl_z62sawczd2namezb0zzbackend_cvmz00(obj_t BgL_envz00_1458,
		obj_t BgL_oz00_1459)
	{
		{	/* BackEnd/cvm.sch 325 */
			return
				BGl_sawczd2namezd2zzbackend_cvmz00(((BgL_sawcz00_bglt) BgL_oz00_1459));
		}

	}



/* sawc-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2namezd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_200,
		obj_t BgL_vz00_201)
	{
		{	/* BackEnd/cvm.sch 326 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_200)))->BgL_namez00) =
				((obj_t) BgL_vz00_201), BUNSPEC);
		}

	}



/* &sawc-name-set! */
	obj_t BGl_z62sawczd2namezd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1460,
		obj_t BgL_oz00_1461, obj_t BgL_vz00_1462)
	{
		{	/* BackEnd/cvm.sch 326 */
			return
				BGl_sawczd2namezd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1461), BgL_vz00_1462);
		}

	}



/* sawc-srfi0 */
	BGL_EXPORTED_DEF obj_t BGl_sawczd2srfi0zd2zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_202)
	{
		{	/* BackEnd/cvm.sch 327 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_202)))->BgL_srfi0z00);
		}

	}



/* &sawc-srfi0 */
	obj_t BGl_z62sawczd2srfi0zb0zzbackend_cvmz00(obj_t BgL_envz00_1463,
		obj_t BgL_oz00_1464)
	{
		{	/* BackEnd/cvm.sch 327 */
			return
				BGl_sawczd2srfi0zd2zzbackend_cvmz00(((BgL_sawcz00_bglt) BgL_oz00_1464));
		}

	}



/* sawc-srfi0-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2srfi0zd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_203,
		obj_t BgL_vz00_204)
	{
		{	/* BackEnd/cvm.sch 328 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_203)))->BgL_srfi0z00) =
				((obj_t) BgL_vz00_204), BUNSPEC);
		}

	}



/* &sawc-srfi0-set! */
	obj_t BGl_z62sawczd2srfi0zd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1465,
		obj_t BgL_oz00_1466, obj_t BgL_vz00_1467)
	{
		{	/* BackEnd/cvm.sch 328 */
			return
				BGl_sawczd2srfi0zd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1466), BgL_vz00_1467);
		}

	}



/* sawc-language */
	BGL_EXPORTED_DEF obj_t BGl_sawczd2languagezd2zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_205)
	{
		{	/* BackEnd/cvm.sch 329 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_205)))->BgL_languagez00);
		}

	}



/* &sawc-language */
	obj_t BGl_z62sawczd2languagezb0zzbackend_cvmz00(obj_t BgL_envz00_1468,
		obj_t BgL_oz00_1469)
	{
		{	/* BackEnd/cvm.sch 329 */
			return
				BGl_sawczd2languagezd2zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1469));
		}

	}



/* sawc-language-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2languagezd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_206, obj_t BgL_vz00_207)
	{
		{	/* BackEnd/cvm.sch 330 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_206)))->BgL_languagez00) =
				((obj_t) BgL_vz00_207), BUNSPEC);
		}

	}



/* &sawc-language-set! */
	obj_t BGl_z62sawczd2languagezd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1470, obj_t BgL_oz00_1471, obj_t BgL_vz00_1472)
	{
		{	/* BackEnd/cvm.sch 330 */
			return
				BGl_sawczd2languagezd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1471), BgL_vz00_1472);
		}

	}



/* make-cgen */
	BGL_EXPORTED_DEF BgL_cgenz00_bglt BGl_makezd2cgenzd2zzbackend_cvmz00(obj_t
		BgL_language1164z00_208, obj_t BgL_srfi01165z00_209,
		obj_t BgL_name1166z00_210, obj_t BgL_externzd2variables1167zd2_211,
		obj_t BgL_externzd2functions1168zd2_212,
		obj_t BgL_externzd2types1169zd2_213, obj_t BgL_variables1170z00_214,
		obj_t BgL_functions1171z00_215, obj_t BgL_types1172z00_216,
		bool_t BgL_typed1173z00_217, obj_t BgL_heapzd2suffix1174zd2_218,
		obj_t BgL_heapzd2compatible1175zd2_219, bool_t BgL_callcc1176z00_220,
		bool_t BgL_qualifiedzd2types1177zd2_221, bool_t BgL_effectzb21178zb2_222,
		bool_t BgL_removezd2emptyzd2let1179z00_223,
		bool_t BgL_foreignzd2closure1180zd2_224, bool_t BgL_typedzd2eq1181zd2_225,
		bool_t BgL_tracezd2support1182zd2_226,
		obj_t BgL_foreignzd2clausezd2suppo1183z00_227,
		obj_t BgL_debugzd2support1184zd2_228,
		bool_t BgL_pragmazd2support1185zd2_229,
		bool_t BgL_tvectorzd2descrzd2suppor1186z00_230,
		bool_t BgL_requirezd2tailc1187zd2_231, obj_t BgL_registers1188z00_232,
		obj_t BgL_pregisters1189z00_233, bool_t BgL_boundzd2check1190zd2_234,
		bool_t BgL_typezd2check1191zd2_235, bool_t BgL_typedzd2funcall1192zd2_236)
	{
		{	/* BackEnd/cvm.sch 333 */
			{	/* BackEnd/cvm.sch 333 */
				BgL_cgenz00_bglt BgL_new1234z00_1774;

				{	/* BackEnd/cvm.sch 333 */
					BgL_cgenz00_bglt BgL_new1233z00_1775;

					BgL_new1233z00_1775 =
						((BgL_cgenz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_cgenz00_bgl))));
					{	/* BackEnd/cvm.sch 333 */
						long BgL_arg1371z00_1776;

						BgL_arg1371z00_1776 = BGL_CLASS_NUM(BGl_cgenz00zzbackend_cvmz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1233z00_1775), BgL_arg1371z00_1776);
					}
					BgL_new1234z00_1774 = BgL_new1233z00_1775;
				}
				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_new1234z00_1774)))->
						BgL_languagez00) = ((obj_t) BgL_language1164z00_208), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_srfi0z00) =
					((obj_t) BgL_srfi01165z00_209), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_namez00) =
					((obj_t) BgL_name1166z00_210), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_externzd2variableszd2) =
					((obj_t) BgL_externzd2variables1167zd2_211), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_externzd2functionszd2) =
					((obj_t) BgL_externzd2functions1168zd2_212), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_externzd2typeszd2) =
					((obj_t) BgL_externzd2types1169zd2_213), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_variablesz00) =
					((obj_t) BgL_variables1170z00_214), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_functionsz00) =
					((obj_t) BgL_functions1171z00_215), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_typesz00) =
					((obj_t) BgL_types1172z00_216), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_typedz00) =
					((bool_t) BgL_typed1173z00_217), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_heapzd2suffixzd2) =
					((obj_t) BgL_heapzd2suffix1174zd2_218), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_heapzd2compatiblezd2) =
					((obj_t) BgL_heapzd2compatible1175zd2_219), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_callccz00) =
					((bool_t) BgL_callcc1176z00_220), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_qualifiedzd2typeszd2) =
					((bool_t) BgL_qualifiedzd2types1177zd2_221), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_effectzb2zb2) =
					((bool_t) BgL_effectzb21178zb2_222), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_removezd2emptyzd2letz00) =
					((bool_t) BgL_removezd2emptyzd2let1179z00_223), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_foreignzd2closurezd2) =
					((bool_t) BgL_foreignzd2closure1180zd2_224), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_typedzd2eqzd2) =
					((bool_t) BgL_typedzd2eq1181zd2_225), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_tracezd2supportzd2) =
					((bool_t) BgL_tracezd2support1182zd2_226), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_foreignzd2clausezd2supportz00) =
					((obj_t) BgL_foreignzd2clausezd2suppo1183z00_227), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_debugzd2supportzd2) =
					((obj_t) BgL_debugzd2support1184zd2_228), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_pragmazd2supportzd2) =
					((bool_t) BgL_pragmazd2support1185zd2_229), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) BgL_tvectorzd2descrzd2suppor1186z00_230), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_requirezd2tailczd2) =
					((bool_t) BgL_requirezd2tailc1187zd2_231), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_registersz00) =
					((obj_t) BgL_registers1188z00_232), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_pregistersz00) =
					((obj_t) BgL_pregisters1189z00_233), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_boundzd2checkzd2) =
					((bool_t) BgL_boundzd2check1190zd2_234), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_typezd2checkzd2) =
					((bool_t) BgL_typezd2check1191zd2_235), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1234z00_1774)))->BgL_typedzd2funcallzd2) =
					((bool_t) BgL_typedzd2funcall1192zd2_236), BUNSPEC);
				{	/* BackEnd/cvm.sch 333 */
					obj_t BgL_fun1370z00_1777;

					BgL_fun1370z00_1777 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_cgenz00zzbackend_cvmz00);
					PROCEDURE_ENTRY(BgL_fun1370z00_1777) (BgL_fun1370z00_1777,
						((obj_t) BgL_new1234z00_1774), BEOA);
				}
				return BgL_new1234z00_1774;
			}
		}

	}



/* &make-cgen */
	BgL_cgenz00_bglt BGl_z62makezd2cgenzb0zzbackend_cvmz00(obj_t BgL_envz00_1473,
		obj_t BgL_language1164z00_1474, obj_t BgL_srfi01165z00_1475,
		obj_t BgL_name1166z00_1476, obj_t BgL_externzd2variables1167zd2_1477,
		obj_t BgL_externzd2functions1168zd2_1478,
		obj_t BgL_externzd2types1169zd2_1479, obj_t BgL_variables1170z00_1480,
		obj_t BgL_functions1171z00_1481, obj_t BgL_types1172z00_1482,
		obj_t BgL_typed1173z00_1483, obj_t BgL_heapzd2suffix1174zd2_1484,
		obj_t BgL_heapzd2compatible1175zd2_1485, obj_t BgL_callcc1176z00_1486,
		obj_t BgL_qualifiedzd2types1177zd2_1487, obj_t BgL_effectzb21178zb2_1488,
		obj_t BgL_removezd2emptyzd2let1179z00_1489,
		obj_t BgL_foreignzd2closure1180zd2_1490, obj_t BgL_typedzd2eq1181zd2_1491,
		obj_t BgL_tracezd2support1182zd2_1492,
		obj_t BgL_foreignzd2clausezd2suppo1183z00_1493,
		obj_t BgL_debugzd2support1184zd2_1494,
		obj_t BgL_pragmazd2support1185zd2_1495,
		obj_t BgL_tvectorzd2descrzd2suppor1186z00_1496,
		obj_t BgL_requirezd2tailc1187zd2_1497, obj_t BgL_registers1188z00_1498,
		obj_t BgL_pregisters1189z00_1499, obj_t BgL_boundzd2check1190zd2_1500,
		obj_t BgL_typezd2check1191zd2_1501, obj_t BgL_typedzd2funcall1192zd2_1502)
	{
		{	/* BackEnd/cvm.sch 333 */
			return
				BGl_makezd2cgenzd2zzbackend_cvmz00(BgL_language1164z00_1474,
				BgL_srfi01165z00_1475, BgL_name1166z00_1476,
				BgL_externzd2variables1167zd2_1477, BgL_externzd2functions1168zd2_1478,
				BgL_externzd2types1169zd2_1479, BgL_variables1170z00_1480,
				BgL_functions1171z00_1481, BgL_types1172z00_1482,
				CBOOL(BgL_typed1173z00_1483), BgL_heapzd2suffix1174zd2_1484,
				BgL_heapzd2compatible1175zd2_1485, CBOOL(BgL_callcc1176z00_1486),
				CBOOL(BgL_qualifiedzd2types1177zd2_1487),
				CBOOL(BgL_effectzb21178zb2_1488),
				CBOOL(BgL_removezd2emptyzd2let1179z00_1489),
				CBOOL(BgL_foreignzd2closure1180zd2_1490),
				CBOOL(BgL_typedzd2eq1181zd2_1491),
				CBOOL(BgL_tracezd2support1182zd2_1492),
				BgL_foreignzd2clausezd2suppo1183z00_1493,
				BgL_debugzd2support1184zd2_1494,
				CBOOL(BgL_pragmazd2support1185zd2_1495),
				CBOOL(BgL_tvectorzd2descrzd2suppor1186z00_1496),
				CBOOL(BgL_requirezd2tailc1187zd2_1497), BgL_registers1188z00_1498,
				BgL_pregisters1189z00_1499, CBOOL(BgL_boundzd2check1190zd2_1500),
				CBOOL(BgL_typezd2check1191zd2_1501),
				CBOOL(BgL_typedzd2funcall1192zd2_1502));
		}

	}



/* cgen? */
	BGL_EXPORTED_DEF bool_t BGl_cgenzf3zf3zzbackend_cvmz00(obj_t BgL_objz00_237)
	{
		{	/* BackEnd/cvm.sch 334 */
			{	/* BackEnd/cvm.sch 334 */
				obj_t BgL_classz00_1778;

				BgL_classz00_1778 = BGl_cgenz00zzbackend_cvmz00;
				if (BGL_OBJECTP(BgL_objz00_237))
					{	/* BackEnd/cvm.sch 334 */
						BgL_objectz00_bglt BgL_arg1825z00_1779;

						BgL_arg1825z00_1779 = (BgL_objectz00_bglt) (BgL_objz00_237);
						{	/* BackEnd/cvm.sch 334 */
							bool_t BgL_arg1822z00_1780;
							bool_t BgL_arg1823z00_1781;

							{	/* BackEnd/cvm.sch 334 */
								long BgL_idxz00_1782;

								BgL_idxz00_1782 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1779);
								BgL_arg1822z00_1780 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_1782 + ((long) 3))) == BgL_classz00_1778);
							}
							{	/* BackEnd/cvm.sch 334 */
								bool_t BgL_res1503z00_1785;

								{	/* BackEnd/cvm.sch 334 */
									obj_t BgL_oclassz00_1786;

									{	/* BackEnd/cvm.sch 334 */
										long BgL_arg1833z00_1787;

										{	/* BackEnd/cvm.sch 334 */
											long BgL_arg1834z00_1788;

											BgL_arg1834z00_1788 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1779);
											BgL_arg1833z00_1787 = (BgL_arg1834z00_1788 - OBJECT_TYPE);
										}
										BgL_oclassz00_1786 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_1787);
									}
									{	/* BackEnd/cvm.sch 334 */
										bool_t BgL__ortest_1110z00_1789;

										BgL__ortest_1110z00_1789 =
											(BgL_classz00_1778 == BgL_oclassz00_1786);
										if (BgL__ortest_1110z00_1789)
											{	/* BackEnd/cvm.sch 334 */
												BgL_res1503z00_1785 = BgL__ortest_1110z00_1789;
											}
										else
											{	/* BackEnd/cvm.sch 334 */
												long BgL_odepthz00_1790;

												BgL_odepthz00_1790 =
													BGL_CLASS_DEPTH(BgL_oclassz00_1786);
												if ((((long) 3) < BgL_odepthz00_1790))
													{	/* BackEnd/cvm.sch 334 */
														obj_t BgL_arg1821z00_1791;

														BgL_arg1821z00_1791 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1786,
															((long) 3));
														BgL_res1503z00_1785 =
															(BgL_arg1821z00_1791 == BgL_classz00_1778);
													}
												else
													{	/* BackEnd/cvm.sch 334 */
														BgL_res1503z00_1785 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_1781 = BgL_res1503z00_1785;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_1780, BgL_arg1823z00_1781);
						}
					}
				else
					{	/* BackEnd/cvm.sch 334 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cgen? */
	obj_t BGl_z62cgenzf3z91zzbackend_cvmz00(obj_t BgL_envz00_1503,
		obj_t BgL_objz00_1504)
	{
		{	/* BackEnd/cvm.sch 334 */
			return BBOOL(BGl_cgenzf3zf3zzbackend_cvmz00(BgL_objz00_1504));
		}

	}



/* cgen-nil */
	BGL_EXPORTED_DEF BgL_cgenz00_bglt BGl_cgenzd2nilzd2zzbackend_cvmz00()
	{
		{	/* BackEnd/cvm.sch 335 */
			{	/* BackEnd/cvm.sch 335 */
				obj_t BgL_classz00_1064;

				BgL_classz00_1064 = BGl_cgenz00zzbackend_cvmz00;
				{	/* BackEnd/cvm.sch 335 */
					obj_t BgL__ortest_1112z00_1065;

					BgL__ortest_1112z00_1065 = BGL_CLASS_NIL(BgL_classz00_1064);
					if (CBOOL(BgL__ortest_1112z00_1065))
						{	/* BackEnd/cvm.sch 335 */
							return ((BgL_cgenz00_bglt) BgL__ortest_1112z00_1065);
						}
					else
						{	/* BackEnd/cvm.sch 335 */
							return
								((BgL_cgenz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1064));
						}
				}
			}
		}

	}



/* &cgen-nil */
	BgL_cgenz00_bglt BGl_z62cgenzd2nilzb0zzbackend_cvmz00(obj_t BgL_envz00_1505)
	{
		{	/* BackEnd/cvm.sch 335 */
			return BGl_cgenzd2nilzd2zzbackend_cvmz00();
		}

	}



/* cgen-typed-funcall */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2typedzd2funcallz00zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_238)
	{
		{	/* BackEnd/cvm.sch 336 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_238)))->BgL_typedzd2funcallzd2);
		}

	}



/* &cgen-typed-funcall */
	obj_t BGl_z62cgenzd2typedzd2funcallz62zzbackend_cvmz00(obj_t BgL_envz00_1506,
		obj_t BgL_oz00_1507)
	{
		{	/* BackEnd/cvm.sch 336 */
			return
				BBOOL(BGl_cgenzd2typedzd2funcallz00zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1507)));
		}

	}



/* cgen-typed-funcall-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2typedzd2funcallzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_239, bool_t BgL_vz00_240)
	{
		{	/* BackEnd/cvm.sch 337 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_239)))->BgL_typedzd2funcallzd2) =
				((bool_t) BgL_vz00_240), BUNSPEC);
		}

	}



/* &cgen-typed-funcall-set! */
	obj_t BGl_z62cgenzd2typedzd2funcallzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1508, obj_t BgL_oz00_1509, obj_t BgL_vz00_1510)
	{
		{	/* BackEnd/cvm.sch 337 */
			return
				BGl_cgenzd2typedzd2funcallzd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1509), CBOOL(BgL_vz00_1510));
		}

	}



/* cgen-type-check */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2typezd2checkz00zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_241)
	{
		{	/* BackEnd/cvm.sch 338 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_241)))->BgL_typezd2checkzd2);
		}

	}



/* &cgen-type-check */
	obj_t BGl_z62cgenzd2typezd2checkz62zzbackend_cvmz00(obj_t BgL_envz00_1511,
		obj_t BgL_oz00_1512)
	{
		{	/* BackEnd/cvm.sch 338 */
			return
				BBOOL(BGl_cgenzd2typezd2checkz00zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1512)));
		}

	}



/* cgen-type-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2typezd2checkzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_242, bool_t BgL_vz00_243)
	{
		{	/* BackEnd/cvm.sch 339 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_242)))->BgL_typezd2checkzd2) =
				((bool_t) BgL_vz00_243), BUNSPEC);
		}

	}



/* &cgen-type-check-set! */
	obj_t BGl_z62cgenzd2typezd2checkzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1513, obj_t BgL_oz00_1514, obj_t BgL_vz00_1515)
	{
		{	/* BackEnd/cvm.sch 339 */
			return
				BGl_cgenzd2typezd2checkzd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1514), CBOOL(BgL_vz00_1515));
		}

	}



/* cgen-bound-check */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2boundzd2checkz00zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_244)
	{
		{	/* BackEnd/cvm.sch 340 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_244)))->BgL_boundzd2checkzd2);
		}

	}



/* &cgen-bound-check */
	obj_t BGl_z62cgenzd2boundzd2checkz62zzbackend_cvmz00(obj_t BgL_envz00_1516,
		obj_t BgL_oz00_1517)
	{
		{	/* BackEnd/cvm.sch 340 */
			return
				BBOOL(BGl_cgenzd2boundzd2checkz00zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1517)));
		}

	}



/* cgen-bound-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2boundzd2checkzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_245, bool_t BgL_vz00_246)
	{
		{	/* BackEnd/cvm.sch 341 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_245)))->BgL_boundzd2checkzd2) =
				((bool_t) BgL_vz00_246), BUNSPEC);
		}

	}



/* &cgen-bound-check-set! */
	obj_t BGl_z62cgenzd2boundzd2checkzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1518, obj_t BgL_oz00_1519, obj_t BgL_vz00_1520)
	{
		{	/* BackEnd/cvm.sch 341 */
			return
				BGl_cgenzd2boundzd2checkzd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1519), CBOOL(BgL_vz00_1520));
		}

	}



/* cgen-pregisters */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2pregisterszd2zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_247)
	{
		{	/* BackEnd/cvm.sch 342 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_247)))->BgL_pregistersz00);
		}

	}



/* &cgen-pregisters */
	obj_t BGl_z62cgenzd2pregisterszb0zzbackend_cvmz00(obj_t BgL_envz00_1521,
		obj_t BgL_oz00_1522)
	{
		{	/* BackEnd/cvm.sch 342 */
			return
				BGl_cgenzd2pregisterszd2zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1522));
		}

	}



/* cgen-pregisters-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2pregisterszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_248, obj_t BgL_vz00_249)
	{
		{	/* BackEnd/cvm.sch 343 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_248)))->BgL_pregistersz00) =
				((obj_t) BgL_vz00_249), BUNSPEC);
		}

	}



/* &cgen-pregisters-set! */
	obj_t BGl_z62cgenzd2pregisterszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1523, obj_t BgL_oz00_1524, obj_t BgL_vz00_1525)
	{
		{	/* BackEnd/cvm.sch 343 */
			return
				BGl_cgenzd2pregisterszd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1524), BgL_vz00_1525);
		}

	}



/* cgen-registers */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2registerszd2zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_250)
	{
		{	/* BackEnd/cvm.sch 344 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_250)))->BgL_registersz00);
		}

	}



/* &cgen-registers */
	obj_t BGl_z62cgenzd2registerszb0zzbackend_cvmz00(obj_t BgL_envz00_1526,
		obj_t BgL_oz00_1527)
	{
		{	/* BackEnd/cvm.sch 344 */
			return
				BGl_cgenzd2registerszd2zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1527));
		}

	}



/* cgen-registers-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2registerszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_251, obj_t BgL_vz00_252)
	{
		{	/* BackEnd/cvm.sch 345 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_251)))->BgL_registersz00) =
				((obj_t) BgL_vz00_252), BUNSPEC);
		}

	}



/* &cgen-registers-set! */
	obj_t BGl_z62cgenzd2registerszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1528, obj_t BgL_oz00_1529, obj_t BgL_vz00_1530)
	{
		{	/* BackEnd/cvm.sch 345 */
			return
				BGl_cgenzd2registerszd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1529), BgL_vz00_1530);
		}

	}



/* cgen-require-tailc */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2requirezd2tailcz00zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_253)
	{
		{	/* BackEnd/cvm.sch 346 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_253)))->BgL_requirezd2tailczd2);
		}

	}



/* &cgen-require-tailc */
	obj_t BGl_z62cgenzd2requirezd2tailcz62zzbackend_cvmz00(obj_t BgL_envz00_1531,
		obj_t BgL_oz00_1532)
	{
		{	/* BackEnd/cvm.sch 346 */
			return
				BBOOL(BGl_cgenzd2requirezd2tailcz00zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1532)));
		}

	}



/* cgen-require-tailc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2requirezd2tailczd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_254, bool_t BgL_vz00_255)
	{
		{	/* BackEnd/cvm.sch 347 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_254)))->BgL_requirezd2tailczd2) =
				((bool_t) BgL_vz00_255), BUNSPEC);
		}

	}



/* &cgen-require-tailc-set! */
	obj_t BGl_z62cgenzd2requirezd2tailczd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1533, obj_t BgL_oz00_1534, obj_t BgL_vz00_1535)
	{
		{	/* BackEnd/cvm.sch 347 */
			return
				BGl_cgenzd2requirezd2tailczd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1534), CBOOL(BgL_vz00_1535));
		}

	}



/* cgen-tvector-descr-support */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2tvectorzd2descrzd2supportzd2zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_256)
	{
		{	/* BackEnd/cvm.sch 348 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_256)))->
				BgL_tvectorzd2descrzd2supportz00);
		}

	}



/* &cgen-tvector-descr-support */
	obj_t BGl_z62cgenzd2tvectorzd2descrzd2supportzb0zzbackend_cvmz00(obj_t
		BgL_envz00_1536, obj_t BgL_oz00_1537)
	{
		{	/* BackEnd/cvm.sch 348 */
			return
				BBOOL(BGl_cgenzd2tvectorzd2descrzd2supportzd2zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1537)));
		}

	}



/* cgen-tvector-descr-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_cgenz00_bglt BgL_oz00_257, bool_t BgL_vz00_258)
	{
		{	/* BackEnd/cvm.sch 349 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_257)))->
					BgL_tvectorzd2descrzd2supportz00) = ((bool_t) BgL_vz00_258), BUNSPEC);
		}

	}



/* &cgen-tvector-descr-support-set! */
	obj_t
		BGl_z62cgenzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1538, obj_t BgL_oz00_1539, obj_t BgL_vz00_1540)
	{
		{	/* BackEnd/cvm.sch 349 */
			return
				BGl_cgenzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1539), CBOOL(BgL_vz00_1540));
		}

	}



/* cgen-pragma-support */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2pragmazd2supportz00zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_259)
	{
		{	/* BackEnd/cvm.sch 350 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_259)))->BgL_pragmazd2supportzd2);
		}

	}



/* &cgen-pragma-support */
	obj_t BGl_z62cgenzd2pragmazd2supportz62zzbackend_cvmz00(obj_t BgL_envz00_1541,
		obj_t BgL_oz00_1542)
	{
		{	/* BackEnd/cvm.sch 350 */
			return
				BBOOL(BGl_cgenzd2pragmazd2supportz00zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1542)));
		}

	}



/* cgen-pragma-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2pragmazd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_260, bool_t BgL_vz00_261)
	{
		{	/* BackEnd/cvm.sch 351 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_260)))->BgL_pragmazd2supportzd2) =
				((bool_t) BgL_vz00_261), BUNSPEC);
		}

	}



/* &cgen-pragma-support-set! */
	obj_t BGl_z62cgenzd2pragmazd2supportzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1543, obj_t BgL_oz00_1544, obj_t BgL_vz00_1545)
	{
		{	/* BackEnd/cvm.sch 351 */
			return
				BGl_cgenzd2pragmazd2supportzd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1544), CBOOL(BgL_vz00_1545));
		}

	}



/* cgen-debug-support */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2debugzd2supportz00zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_262)
	{
		{	/* BackEnd/cvm.sch 352 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_262)))->BgL_debugzd2supportzd2);
		}

	}



/* &cgen-debug-support */
	obj_t BGl_z62cgenzd2debugzd2supportz62zzbackend_cvmz00(obj_t BgL_envz00_1546,
		obj_t BgL_oz00_1547)
	{
		{	/* BackEnd/cvm.sch 352 */
			return
				BGl_cgenzd2debugzd2supportz00zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1547));
		}

	}



/* cgen-debug-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2debugzd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_263, obj_t BgL_vz00_264)
	{
		{	/* BackEnd/cvm.sch 353 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_263)))->BgL_debugzd2supportzd2) =
				((obj_t) BgL_vz00_264), BUNSPEC);
		}

	}



/* &cgen-debug-support-set! */
	obj_t BGl_z62cgenzd2debugzd2supportzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1548, obj_t BgL_oz00_1549, obj_t BgL_vz00_1550)
	{
		{	/* BackEnd/cvm.sch 353 */
			return
				BGl_cgenzd2debugzd2supportzd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1549), BgL_vz00_1550);
		}

	}



/* cgen-foreign-clause-support */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2foreignzd2clausezd2supportzd2zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_265)
	{
		{	/* BackEnd/cvm.sch 354 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_265)))->
				BgL_foreignzd2clausezd2supportz00);
		}

	}



/* &cgen-foreign-clause-support */
	obj_t BGl_z62cgenzd2foreignzd2clausezd2supportzb0zzbackend_cvmz00(obj_t
		BgL_envz00_1551, obj_t BgL_oz00_1552)
	{
		{	/* BackEnd/cvm.sch 354 */
			return
				BGl_cgenzd2foreignzd2clausezd2supportzd2zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1552));
		}

	}



/* cgen-foreign-clause-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_cgenz00_bglt BgL_oz00_266, obj_t BgL_vz00_267)
	{
		{	/* BackEnd/cvm.sch 355 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_266)))->
					BgL_foreignzd2clausezd2supportz00) = ((obj_t) BgL_vz00_267), BUNSPEC);
		}

	}



/* &cgen-foreign-clause-support-set! */
	obj_t
		BGl_z62cgenzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1553, obj_t BgL_oz00_1554, obj_t BgL_vz00_1555)
	{
		{	/* BackEnd/cvm.sch 355 */
			return
				BGl_cgenzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1554), BgL_vz00_1555);
		}

	}



/* cgen-trace-support */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2tracezd2supportz00zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_268)
	{
		{	/* BackEnd/cvm.sch 356 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_268)))->BgL_tracezd2supportzd2);
		}

	}



/* &cgen-trace-support */
	obj_t BGl_z62cgenzd2tracezd2supportz62zzbackend_cvmz00(obj_t BgL_envz00_1556,
		obj_t BgL_oz00_1557)
	{
		{	/* BackEnd/cvm.sch 356 */
			return
				BBOOL(BGl_cgenzd2tracezd2supportz00zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1557)));
		}

	}



/* cgen-trace-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2tracezd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_269, bool_t BgL_vz00_270)
	{
		{	/* BackEnd/cvm.sch 357 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_269)))->BgL_tracezd2supportzd2) =
				((bool_t) BgL_vz00_270), BUNSPEC);
		}

	}



/* &cgen-trace-support-set! */
	obj_t BGl_z62cgenzd2tracezd2supportzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1558, obj_t BgL_oz00_1559, obj_t BgL_vz00_1560)
	{
		{	/* BackEnd/cvm.sch 357 */
			return
				BGl_cgenzd2tracezd2supportzd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1559), CBOOL(BgL_vz00_1560));
		}

	}



/* cgen-typed-eq */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2typedzd2eqz00zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_271)
	{
		{	/* BackEnd/cvm.sch 358 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_271)))->BgL_typedzd2eqzd2);
		}

	}



/* &cgen-typed-eq */
	obj_t BGl_z62cgenzd2typedzd2eqz62zzbackend_cvmz00(obj_t BgL_envz00_1561,
		obj_t BgL_oz00_1562)
	{
		{	/* BackEnd/cvm.sch 358 */
			return
				BBOOL(BGl_cgenzd2typedzd2eqz00zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1562)));
		}

	}



/* cgen-typed-eq-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2typedzd2eqzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_272, bool_t BgL_vz00_273)
	{
		{	/* BackEnd/cvm.sch 359 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_272)))->BgL_typedzd2eqzd2) =
				((bool_t) BgL_vz00_273), BUNSPEC);
		}

	}



/* &cgen-typed-eq-set! */
	obj_t BGl_z62cgenzd2typedzd2eqzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1563, obj_t BgL_oz00_1564, obj_t BgL_vz00_1565)
	{
		{	/* BackEnd/cvm.sch 359 */
			return
				BGl_cgenzd2typedzd2eqzd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1564), CBOOL(BgL_vz00_1565));
		}

	}



/* cgen-foreign-closure */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2foreignzd2closurez00zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_274)
	{
		{	/* BackEnd/cvm.sch 360 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_274)))->BgL_foreignzd2closurezd2);
		}

	}



/* &cgen-foreign-closure */
	obj_t BGl_z62cgenzd2foreignzd2closurez62zzbackend_cvmz00(obj_t
		BgL_envz00_1566, obj_t BgL_oz00_1567)
	{
		{	/* BackEnd/cvm.sch 360 */
			return
				BBOOL(BGl_cgenzd2foreignzd2closurez00zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1567)));
		}

	}



/* cgen-foreign-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2foreignzd2closurezd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_275, bool_t BgL_vz00_276)
	{
		{	/* BackEnd/cvm.sch 361 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_275)))->
					BgL_foreignzd2closurezd2) = ((bool_t) BgL_vz00_276), BUNSPEC);
		}

	}



/* &cgen-foreign-closure-set! */
	obj_t BGl_z62cgenzd2foreignzd2closurezd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1568, obj_t BgL_oz00_1569, obj_t BgL_vz00_1570)
	{
		{	/* BackEnd/cvm.sch 361 */
			return
				BGl_cgenzd2foreignzd2closurezd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1569), CBOOL(BgL_vz00_1570));
		}

	}



/* cgen-remove-empty-let */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2removezd2emptyzd2letzd2zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_277)
	{
		{	/* BackEnd/cvm.sch 362 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_277)))->
				BgL_removezd2emptyzd2letz00);
		}

	}



/* &cgen-remove-empty-let */
	obj_t BGl_z62cgenzd2removezd2emptyzd2letzb0zzbackend_cvmz00(obj_t
		BgL_envz00_1571, obj_t BgL_oz00_1572)
	{
		{	/* BackEnd/cvm.sch 362 */
			return
				BBOOL(BGl_cgenzd2removezd2emptyzd2letzd2zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1572)));
		}

	}



/* cgen-remove-empty-let-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2removezd2emptyzd2letzd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_278, bool_t BgL_vz00_279)
	{
		{	/* BackEnd/cvm.sch 363 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_278)))->
					BgL_removezd2emptyzd2letz00) = ((bool_t) BgL_vz00_279), BUNSPEC);
		}

	}



/* &cgen-remove-empty-let-set! */
	obj_t BGl_z62cgenzd2removezd2emptyzd2letzd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1573, obj_t BgL_oz00_1574, obj_t BgL_vz00_1575)
	{
		{	/* BackEnd/cvm.sch 363 */
			return
				BGl_cgenzd2removezd2emptyzd2letzd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1574), CBOOL(BgL_vz00_1575));
		}

	}



/* cgen-effect+ */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2effectzb2z60zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_280)
	{
		{	/* BackEnd/cvm.sch 364 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_280)))->BgL_effectzb2zb2);
		}

	}



/* &cgen-effect+ */
	obj_t BGl_z62cgenzd2effectzb2z02zzbackend_cvmz00(obj_t BgL_envz00_1576,
		obj_t BgL_oz00_1577)
	{
		{	/* BackEnd/cvm.sch 364 */
			return
				BBOOL(BGl_cgenzd2effectzb2z60zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1577)));
		}

	}



/* cgen-effect+-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2effectzb2zd2setz12za0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_281, bool_t BgL_vz00_282)
	{
		{	/* BackEnd/cvm.sch 365 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_281)))->BgL_effectzb2zb2) =
				((bool_t) BgL_vz00_282), BUNSPEC);
		}

	}



/* &cgen-effect+-set! */
	obj_t BGl_z62cgenzd2effectzb2zd2setz12zc2zzbackend_cvmz00(obj_t
		BgL_envz00_1578, obj_t BgL_oz00_1579, obj_t BgL_vz00_1580)
	{
		{	/* BackEnd/cvm.sch 365 */
			return
				BGl_cgenzd2effectzb2zd2setz12za0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1579), CBOOL(BgL_vz00_1580));
		}

	}



/* cgen-qualified-types */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2qualifiedzd2typesz00zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_283)
	{
		{	/* BackEnd/cvm.sch 366 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_283)))->BgL_qualifiedzd2typeszd2);
		}

	}



/* &cgen-qualified-types */
	obj_t BGl_z62cgenzd2qualifiedzd2typesz62zzbackend_cvmz00(obj_t
		BgL_envz00_1581, obj_t BgL_oz00_1582)
	{
		{	/* BackEnd/cvm.sch 366 */
			return
				BBOOL(BGl_cgenzd2qualifiedzd2typesz00zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1582)));
		}

	}



/* cgen-qualified-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2qualifiedzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_284, bool_t BgL_vz00_285)
	{
		{	/* BackEnd/cvm.sch 367 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_284)))->
					BgL_qualifiedzd2typeszd2) = ((bool_t) BgL_vz00_285), BUNSPEC);
		}

	}



/* &cgen-qualified-types-set! */
	obj_t BGl_z62cgenzd2qualifiedzd2typeszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1583, obj_t BgL_oz00_1584, obj_t BgL_vz00_1585)
	{
		{	/* BackEnd/cvm.sch 367 */
			return
				BGl_cgenzd2qualifiedzd2typeszd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1584), CBOOL(BgL_vz00_1585));
		}

	}



/* cgen-callcc */
	BGL_EXPORTED_DEF bool_t BGl_cgenzd2callcczd2zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_286)
	{
		{	/* BackEnd/cvm.sch 368 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_286)))->BgL_callccz00);
		}

	}



/* &cgen-callcc */
	obj_t BGl_z62cgenzd2callcczb0zzbackend_cvmz00(obj_t BgL_envz00_1586,
		obj_t BgL_oz00_1587)
	{
		{	/* BackEnd/cvm.sch 368 */
			return
				BBOOL(BGl_cgenzd2callcczd2zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1587)));
		}

	}



/* cgen-callcc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2callcczd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_287,
		bool_t BgL_vz00_288)
	{
		{	/* BackEnd/cvm.sch 369 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_287)))->BgL_callccz00) =
				((bool_t) BgL_vz00_288), BUNSPEC);
		}

	}



/* &cgen-callcc-set! */
	obj_t BGl_z62cgenzd2callcczd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1588,
		obj_t BgL_oz00_1589, obj_t BgL_vz00_1590)
	{
		{	/* BackEnd/cvm.sch 369 */
			return
				BGl_cgenzd2callcczd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1589), CBOOL(BgL_vz00_1590));
		}

	}



/* cgen-heap-compatible */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2heapzd2compatiblez00zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_289)
	{
		{	/* BackEnd/cvm.sch 370 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_289)))->BgL_heapzd2compatiblezd2);
		}

	}



/* &cgen-heap-compatible */
	obj_t BGl_z62cgenzd2heapzd2compatiblez62zzbackend_cvmz00(obj_t
		BgL_envz00_1591, obj_t BgL_oz00_1592)
	{
		{	/* BackEnd/cvm.sch 370 */
			return
				BGl_cgenzd2heapzd2compatiblez00zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1592));
		}

	}



/* cgen-heap-compatible-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2heapzd2compatiblezd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_290, obj_t BgL_vz00_291)
	{
		{	/* BackEnd/cvm.sch 371 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_290)))->
					BgL_heapzd2compatiblezd2) = ((obj_t) BgL_vz00_291), BUNSPEC);
		}

	}



/* &cgen-heap-compatible-set! */
	obj_t BGl_z62cgenzd2heapzd2compatiblezd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1593, obj_t BgL_oz00_1594, obj_t BgL_vz00_1595)
	{
		{	/* BackEnd/cvm.sch 371 */
			return
				BGl_cgenzd2heapzd2compatiblezd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1594), BgL_vz00_1595);
		}

	}



/* cgen-heap-suffix */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2heapzd2suffixz00zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_292)
	{
		{	/* BackEnd/cvm.sch 372 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_292)))->BgL_heapzd2suffixzd2);
		}

	}



/* &cgen-heap-suffix */
	obj_t BGl_z62cgenzd2heapzd2suffixz62zzbackend_cvmz00(obj_t BgL_envz00_1596,
		obj_t BgL_oz00_1597)
	{
		{	/* BackEnd/cvm.sch 372 */
			return
				BGl_cgenzd2heapzd2suffixz00zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1597));
		}

	}



/* cgen-heap-suffix-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2heapzd2suffixzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_293, obj_t BgL_vz00_294)
	{
		{	/* BackEnd/cvm.sch 373 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_293)))->BgL_heapzd2suffixzd2) =
				((obj_t) BgL_vz00_294), BUNSPEC);
		}

	}



/* &cgen-heap-suffix-set! */
	obj_t BGl_z62cgenzd2heapzd2suffixzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1598, obj_t BgL_oz00_1599, obj_t BgL_vz00_1600)
	{
		{	/* BackEnd/cvm.sch 373 */
			return
				BGl_cgenzd2heapzd2suffixzd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1599), BgL_vz00_1600);
		}

	}



/* cgen-typed */
	BGL_EXPORTED_DEF bool_t BGl_cgenzd2typedzd2zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_295)
	{
		{	/* BackEnd/cvm.sch 374 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_295)))->BgL_typedz00);
		}

	}



/* &cgen-typed */
	obj_t BGl_z62cgenzd2typedzb0zzbackend_cvmz00(obj_t BgL_envz00_1601,
		obj_t BgL_oz00_1602)
	{
		{	/* BackEnd/cvm.sch 374 */
			return
				BBOOL(BGl_cgenzd2typedzd2zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1602)));
		}

	}



/* cgen-typed-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2typedzd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_296,
		bool_t BgL_vz00_297)
	{
		{	/* BackEnd/cvm.sch 375 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_296)))->BgL_typedz00) =
				((bool_t) BgL_vz00_297), BUNSPEC);
		}

	}



/* &cgen-typed-set! */
	obj_t BGl_z62cgenzd2typedzd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1603,
		obj_t BgL_oz00_1604, obj_t BgL_vz00_1605)
	{
		{	/* BackEnd/cvm.sch 375 */
			return
				BGl_cgenzd2typedzd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1604), CBOOL(BgL_vz00_1605));
		}

	}



/* cgen-types */
	BGL_EXPORTED_DEF obj_t BGl_cgenzd2typeszd2zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_298)
	{
		{	/* BackEnd/cvm.sch 376 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_298)))->BgL_typesz00);
		}

	}



/* &cgen-types */
	obj_t BGl_z62cgenzd2typeszb0zzbackend_cvmz00(obj_t BgL_envz00_1606,
		obj_t BgL_oz00_1607)
	{
		{	/* BackEnd/cvm.sch 376 */
			return
				BGl_cgenzd2typeszd2zzbackend_cvmz00(((BgL_cgenz00_bglt) BgL_oz00_1607));
		}

	}



/* cgen-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2typeszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_299,
		obj_t BgL_vz00_300)
	{
		{	/* BackEnd/cvm.sch 377 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_299)))->BgL_typesz00) =
				((obj_t) BgL_vz00_300), BUNSPEC);
		}

	}



/* &cgen-types-set! */
	obj_t BGl_z62cgenzd2typeszd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1608,
		obj_t BgL_oz00_1609, obj_t BgL_vz00_1610)
	{
		{	/* BackEnd/cvm.sch 377 */
			return
				BGl_cgenzd2typeszd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1609), BgL_vz00_1610);
		}

	}



/* cgen-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2functionszd2zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_301)
	{
		{	/* BackEnd/cvm.sch 378 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_301)))->BgL_functionsz00);
		}

	}



/* &cgen-functions */
	obj_t BGl_z62cgenzd2functionszb0zzbackend_cvmz00(obj_t BgL_envz00_1611,
		obj_t BgL_oz00_1612)
	{
		{	/* BackEnd/cvm.sch 378 */
			return
				BGl_cgenzd2functionszd2zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1612));
		}

	}



/* cgen-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2functionszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_302, obj_t BgL_vz00_303)
	{
		{	/* BackEnd/cvm.sch 379 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_302)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_303), BUNSPEC);
		}

	}



/* &cgen-functions-set! */
	obj_t BGl_z62cgenzd2functionszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1613, obj_t BgL_oz00_1614, obj_t BgL_vz00_1615)
	{
		{	/* BackEnd/cvm.sch 379 */
			return
				BGl_cgenzd2functionszd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1614), BgL_vz00_1615);
		}

	}



/* cgen-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2variableszd2zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_304)
	{
		{	/* BackEnd/cvm.sch 380 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_304)))->BgL_variablesz00);
		}

	}



/* &cgen-variables */
	obj_t BGl_z62cgenzd2variableszb0zzbackend_cvmz00(obj_t BgL_envz00_1616,
		obj_t BgL_oz00_1617)
	{
		{	/* BackEnd/cvm.sch 380 */
			return
				BGl_cgenzd2variableszd2zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1617));
		}

	}



/* cgen-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2variableszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_305, obj_t BgL_vz00_306)
	{
		{	/* BackEnd/cvm.sch 381 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_305)))->BgL_variablesz00) =
				((obj_t) BgL_vz00_306), BUNSPEC);
		}

	}



/* &cgen-variables-set! */
	obj_t BGl_z62cgenzd2variableszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1618, obj_t BgL_oz00_1619, obj_t BgL_vz00_1620)
	{
		{	/* BackEnd/cvm.sch 381 */
			return
				BGl_cgenzd2variableszd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1619), BgL_vz00_1620);
		}

	}



/* cgen-extern-types */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2externzd2typesz00zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_307)
	{
		{	/* BackEnd/cvm.sch 382 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_307)))->BgL_externzd2typeszd2);
		}

	}



/* &cgen-extern-types */
	obj_t BGl_z62cgenzd2externzd2typesz62zzbackend_cvmz00(obj_t BgL_envz00_1621,
		obj_t BgL_oz00_1622)
	{
		{	/* BackEnd/cvm.sch 382 */
			return
				BGl_cgenzd2externzd2typesz00zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1622));
		}

	}



/* cgen-extern-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2externzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_308, obj_t BgL_vz00_309)
	{
		{	/* BackEnd/cvm.sch 383 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_308)))->BgL_externzd2typeszd2) =
				((obj_t) BgL_vz00_309), BUNSPEC);
		}

	}



/* &cgen-extern-types-set! */
	obj_t BGl_z62cgenzd2externzd2typeszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1623, obj_t BgL_oz00_1624, obj_t BgL_vz00_1625)
	{
		{	/* BackEnd/cvm.sch 383 */
			return
				BGl_cgenzd2externzd2typeszd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1624), BgL_vz00_1625);
		}

	}



/* cgen-extern-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2externzd2functionsz00zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_310)
	{
		{	/* BackEnd/cvm.sch 384 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_310)))->BgL_externzd2functionszd2);
		}

	}



/* &cgen-extern-functions */
	obj_t BGl_z62cgenzd2externzd2functionsz62zzbackend_cvmz00(obj_t
		BgL_envz00_1626, obj_t BgL_oz00_1627)
	{
		{	/* BackEnd/cvm.sch 384 */
			return
				BGl_cgenzd2externzd2functionsz00zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1627));
		}

	}



/* cgen-extern-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2externzd2functionszd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_311, obj_t BgL_vz00_312)
	{
		{	/* BackEnd/cvm.sch 385 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_311)))->
					BgL_externzd2functionszd2) = ((obj_t) BgL_vz00_312), BUNSPEC);
		}

	}



/* &cgen-extern-functions-set! */
	obj_t BGl_z62cgenzd2externzd2functionszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1628, obj_t BgL_oz00_1629, obj_t BgL_vz00_1630)
	{
		{	/* BackEnd/cvm.sch 385 */
			return
				BGl_cgenzd2externzd2functionszd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1629), BgL_vz00_1630);
		}

	}



/* cgen-extern-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2externzd2variablesz00zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_313)
	{
		{	/* BackEnd/cvm.sch 386 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_313)))->BgL_externzd2variableszd2);
		}

	}



/* &cgen-extern-variables */
	obj_t BGl_z62cgenzd2externzd2variablesz62zzbackend_cvmz00(obj_t
		BgL_envz00_1631, obj_t BgL_oz00_1632)
	{
		{	/* BackEnd/cvm.sch 386 */
			return
				BGl_cgenzd2externzd2variablesz00zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1632));
		}

	}



/* cgen-extern-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2externzd2variableszd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_314, obj_t BgL_vz00_315)
	{
		{	/* BackEnd/cvm.sch 387 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_314)))->
					BgL_externzd2variableszd2) = ((obj_t) BgL_vz00_315), BUNSPEC);
		}

	}



/* &cgen-extern-variables-set! */
	obj_t BGl_z62cgenzd2externzd2variableszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1633, obj_t BgL_oz00_1634, obj_t BgL_vz00_1635)
	{
		{	/* BackEnd/cvm.sch 387 */
			return
				BGl_cgenzd2externzd2variableszd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1634), BgL_vz00_1635);
		}

	}



/* cgen-name */
	BGL_EXPORTED_DEF obj_t BGl_cgenzd2namezd2zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_316)
	{
		{	/* BackEnd/cvm.sch 388 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_316)))->BgL_namez00);
		}

	}



/* &cgen-name */
	obj_t BGl_z62cgenzd2namezb0zzbackend_cvmz00(obj_t BgL_envz00_1636,
		obj_t BgL_oz00_1637)
	{
		{	/* BackEnd/cvm.sch 388 */
			return
				BGl_cgenzd2namezd2zzbackend_cvmz00(((BgL_cgenz00_bglt) BgL_oz00_1637));
		}

	}



/* cgen-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2namezd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_317,
		obj_t BgL_vz00_318)
	{
		{	/* BackEnd/cvm.sch 389 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_317)))->BgL_namez00) =
				((obj_t) BgL_vz00_318), BUNSPEC);
		}

	}



/* &cgen-name-set! */
	obj_t BGl_z62cgenzd2namezd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1638,
		obj_t BgL_oz00_1639, obj_t BgL_vz00_1640)
	{
		{	/* BackEnd/cvm.sch 389 */
			return
				BGl_cgenzd2namezd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1639), BgL_vz00_1640);
		}

	}



/* cgen-srfi0 */
	BGL_EXPORTED_DEF obj_t BGl_cgenzd2srfi0zd2zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_319)
	{
		{	/* BackEnd/cvm.sch 390 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_319)))->BgL_srfi0z00);
		}

	}



/* &cgen-srfi0 */
	obj_t BGl_z62cgenzd2srfi0zb0zzbackend_cvmz00(obj_t BgL_envz00_1641,
		obj_t BgL_oz00_1642)
	{
		{	/* BackEnd/cvm.sch 390 */
			return
				BGl_cgenzd2srfi0zd2zzbackend_cvmz00(((BgL_cgenz00_bglt) BgL_oz00_1642));
		}

	}



/* cgen-srfi0-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2srfi0zd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_320,
		obj_t BgL_vz00_321)
	{
		{	/* BackEnd/cvm.sch 391 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_320)))->BgL_srfi0z00) =
				((obj_t) BgL_vz00_321), BUNSPEC);
		}

	}



/* &cgen-srfi0-set! */
	obj_t BGl_z62cgenzd2srfi0zd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1643,
		obj_t BgL_oz00_1644, obj_t BgL_vz00_1645)
	{
		{	/* BackEnd/cvm.sch 391 */
			return
				BGl_cgenzd2srfi0zd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1644), BgL_vz00_1645);
		}

	}



/* cgen-language */
	BGL_EXPORTED_DEF obj_t BGl_cgenzd2languagezd2zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_322)
	{
		{	/* BackEnd/cvm.sch 392 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_322)))->BgL_languagez00);
		}

	}



/* &cgen-language */
	obj_t BGl_z62cgenzd2languagezb0zzbackend_cvmz00(obj_t BgL_envz00_1646,
		obj_t BgL_oz00_1647)
	{
		{	/* BackEnd/cvm.sch 392 */
			return
				BGl_cgenzd2languagezd2zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1647));
		}

	}



/* cgen-language-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2languagezd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_323, obj_t BgL_vz00_324)
	{
		{	/* BackEnd/cvm.sch 393 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_323)))->BgL_languagez00) =
				((obj_t) BgL_vz00_324), BUNSPEC);
		}

	}



/* &cgen-language-set! */
	obj_t BGl_z62cgenzd2languagezd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1648, obj_t BgL_oz00_1649, obj_t BgL_vz00_1650)
	{
		{	/* BackEnd/cvm.sch 393 */
			return
				BGl_cgenzd2languagezd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1649), BgL_vz00_1650);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_cvmz00()
	{
		{	/* BackEnd/cvm.scm 15 */
			{	/* BackEnd/cvm.scm 19 */
				obj_t BgL_arg1382z00_664;
				obj_t BgL_arg1383z00_665;

				{	/* BackEnd/cvm.scm 19 */
					obj_t BgL_v1357z00_671;

					BgL_v1357z00_671 = create_vector(((long) 0));
					BgL_arg1382z00_664 = BgL_v1357z00_671;
				}
				{	/* BackEnd/cvm.scm 19 */
					obj_t BgL_v1358z00_672;

					BgL_v1358z00_672 = create_vector(((long) 0));
					BgL_arg1383z00_665 = BgL_v1358z00_672;
				}
				BGl_cvmz00zzbackend_cvmz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 0)),
					CNST_TABLE_REF(((long) 1)), BGl_backendz00zzbackend_backendz00,
					((long) 50908), BFALSE, BGl_proc1506z00zzbackend_cvmz00,
					BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
					BGl_proc1505z00zzbackend_cvmz00, BFALSE, BgL_arg1382z00_664,
					BgL_arg1383z00_665);
			}
			{	/* BackEnd/cvm.scm 20 */
				obj_t BgL_arg1415z00_678;
				obj_t BgL_arg1416z00_679;

				{	/* BackEnd/cvm.scm 20 */
					obj_t BgL_v1359z00_719;

					BgL_v1359z00_719 = create_vector(((long) 0));
					BgL_arg1415z00_678 = BgL_v1359z00_719;
				}
				{	/* BackEnd/cvm.scm 20 */
					obj_t BgL_v1360z00_720;

					BgL_v1360z00_720 = create_vector(((long) 0));
					BgL_arg1416z00_679 = BgL_v1360z00_720;
				}
				BGl_sawcz00zzbackend_cvmz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 2)),
					CNST_TABLE_REF(((long) 1)), BGl_cvmz00zzbackend_cvmz00,
					((long) 41787), BGl_proc1509z00zzbackend_cvmz00,
					BGl_proc1508z00zzbackend_cvmz00,
					BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
					BGl_proc1507z00zzbackend_cvmz00, BFALSE, BgL_arg1415z00_678,
					BgL_arg1416z00_679);
			}
			{	/* BackEnd/cvm.scm 21 */
				obj_t BgL_arg1462z00_727;
				obj_t BgL_arg1477z00_728;

				{	/* BackEnd/cvm.scm 21 */
					obj_t BgL_v1361z00_768;

					BgL_v1361z00_768 = create_vector(((long) 0));
					BgL_arg1462z00_727 = BgL_v1361z00_768;
				}
				{	/* BackEnd/cvm.scm 21 */
					obj_t BgL_v1362z00_769;

					BgL_v1362z00_769 = create_vector(((long) 0));
					BgL_arg1477z00_728 = BgL_v1362z00_769;
				}
				return (BGl_cgenz00zzbackend_cvmz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
						CNST_TABLE_REF(((long) 1)), BGl_cvmz00zzbackend_cvmz00,
						((long) 14760), BGl_proc1512z00zzbackend_cvmz00,
						BGl_proc1511z00zzbackend_cvmz00,
						BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
						BGl_proc1510z00zzbackend_cvmz00, BFALSE, BgL_arg1462z00_727,
						BgL_arg1477z00_728), BUNSPEC);
		}}

	}



/* &<@anonymous:1497> */
	obj_t BGl_z62zc3z04anonymousza31497ze3ze5zzbackend_cvmz00(obj_t
		BgL_envz00_1659, obj_t BgL_new1114z00_1660)
	{
		{	/* BackEnd/cvm.scm 21 */
			{
				BgL_cgenz00_bglt BgL_auxz00_2932;

				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt)
									((BgL_cgenz00_bglt) BgL_new1114z00_1660))))->
						BgL_languagez00) = ((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_srfi0z00) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_namez00) =
					((obj_t) BGl_string1513z00zzbackend_cvmz00), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_externzd2variableszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_externzd2functionszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_externzd2typeszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_variablesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_typesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_typedz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_heapzd2suffixzd2) =
					((obj_t) BGl_string1513z00zzbackend_cvmz00), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_heapzd2compatiblezd2) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_callccz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_qualifiedzd2typeszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_effectzb2zb2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_removezd2emptyzd2letz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_foreignzd2closurezd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_typedzd2eqzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_tracezd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->
						BgL_foreignzd2clausezd2supportz00) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_debugzd2supportzd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_pragmazd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_requirezd2tailczd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_registersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_pregistersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_boundzd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_typezd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1114z00_1660))))->BgL_typedzd2funcallzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_2932 = ((BgL_cgenz00_bglt) BgL_new1114z00_1660);
				return ((obj_t) BgL_auxz00_2932);
			}
		}

	}



/* &lambda1495 */
	BgL_cgenz00_bglt BGl_z62lambda1495z62zzbackend_cvmz00(obj_t BgL_envz00_1661)
	{
		{	/* BackEnd/cvm.scm 21 */
			{	/* BackEnd/cvm.scm 21 */
				BgL_cgenz00_bglt BgL_new1113z00_1793;

				BgL_new1113z00_1793 =
					((BgL_cgenz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_cgenz00_bgl))));
				{	/* BackEnd/cvm.scm 21 */
					long BgL_arg1496z00_1794;

					BgL_arg1496z00_1794 = BGL_CLASS_NUM(BGl_cgenz00zzbackend_cvmz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1113z00_1793), BgL_arg1496z00_1794);
				}
				return BgL_new1113z00_1793;
			}
		}

	}



/* &lambda1478 */
	BgL_cgenz00_bglt BGl_z62lambda1478z62zzbackend_cvmz00(obj_t BgL_envz00_1662,
		obj_t BgL_language1084z00_1663, obj_t BgL_srfi01085z00_1664,
		obj_t BgL_name1086z00_1665, obj_t BgL_externzd2variables1087zd2_1666,
		obj_t BgL_externzd2functions1088zd2_1667,
		obj_t BgL_externzd2types1089zd2_1668, obj_t BgL_variables1090z00_1669,
		obj_t BgL_functions1091z00_1670, obj_t BgL_types1092z00_1671,
		obj_t BgL_typed1093z00_1672, obj_t BgL_heapzd2suffix1094zd2_1673,
		obj_t BgL_heapzd2compatible1095zd2_1674, obj_t BgL_callcc1096z00_1675,
		obj_t BgL_qualifiedzd2types1097zd2_1676, obj_t BgL_effectzb21098zb2_1677,
		obj_t BgL_removezd2emptyzd2let1099z00_1678,
		obj_t BgL_foreignzd2closure1100zd2_1679, obj_t BgL_typedzd2eq1101zd2_1680,
		obj_t BgL_tracezd2support1102zd2_1681,
		obj_t BgL_foreignzd2clausezd2suppo1103z00_1682,
		obj_t BgL_debugzd2support1104zd2_1683,
		obj_t BgL_pragmazd2support1105zd2_1684,
		obj_t BgL_tvectorzd2descrzd2suppor1106z00_1685,
		obj_t BgL_requirezd2tailc1107zd2_1686, obj_t BgL_registers1108z00_1687,
		obj_t BgL_pregisters1109z00_1688, obj_t BgL_boundzd2check1110zd2_1689,
		obj_t BgL_typezd2check1111zd2_1690, obj_t BgL_typedzd2funcall1112zd2_1691)
	{
		{	/* BackEnd/cvm.scm 21 */
			{	/* BackEnd/cvm.scm 21 */
				bool_t BgL_typed1093z00_1798;
				bool_t BgL_callcc1096z00_1801;
				bool_t BgL_qualifiedzd2types1097zd2_1802;
				bool_t BgL_effectzb21098zb2_1803;
				bool_t BgL_removezd2emptyzd2let1099z00_1804;
				bool_t BgL_foreignzd2closure1100zd2_1805;
				bool_t BgL_typedzd2eq1101zd2_1806;
				bool_t BgL_tracezd2support1102zd2_1807;
				bool_t BgL_pragmazd2support1105zd2_1810;
				bool_t BgL_tvectorzd2descrzd2suppor1106z00_1811;
				bool_t BgL_requirezd2tailc1107zd2_1812;
				bool_t BgL_boundzd2check1110zd2_1815;
				bool_t BgL_typezd2check1111zd2_1816;
				bool_t BgL_typedzd2funcall1112zd2_1817;

				BgL_typed1093z00_1798 = CBOOL(BgL_typed1093z00_1672);
				BgL_callcc1096z00_1801 = CBOOL(BgL_callcc1096z00_1675);
				BgL_qualifiedzd2types1097zd2_1802 =
					CBOOL(BgL_qualifiedzd2types1097zd2_1676);
				BgL_effectzb21098zb2_1803 = CBOOL(BgL_effectzb21098zb2_1677);
				BgL_removezd2emptyzd2let1099z00_1804 =
					CBOOL(BgL_removezd2emptyzd2let1099z00_1678);
				BgL_foreignzd2closure1100zd2_1805 =
					CBOOL(BgL_foreignzd2closure1100zd2_1679);
				BgL_typedzd2eq1101zd2_1806 = CBOOL(BgL_typedzd2eq1101zd2_1680);
				BgL_tracezd2support1102zd2_1807 =
					CBOOL(BgL_tracezd2support1102zd2_1681);
				BgL_pragmazd2support1105zd2_1810 =
					CBOOL(BgL_pragmazd2support1105zd2_1684);
				BgL_tvectorzd2descrzd2suppor1106z00_1811 =
					CBOOL(BgL_tvectorzd2descrzd2suppor1106z00_1685);
				BgL_requirezd2tailc1107zd2_1812 =
					CBOOL(BgL_requirezd2tailc1107zd2_1686);
				BgL_boundzd2check1110zd2_1815 = CBOOL(BgL_boundzd2check1110zd2_1689);
				BgL_typezd2check1111zd2_1816 = CBOOL(BgL_typezd2check1111zd2_1690);
				BgL_typedzd2funcall1112zd2_1817 =
					CBOOL(BgL_typedzd2funcall1112zd2_1691);
				{	/* BackEnd/cvm.scm 21 */
					BgL_cgenz00_bglt BgL_new1296z00_1818;

					{	/* BackEnd/cvm.scm 21 */
						BgL_cgenz00_bglt BgL_new1295z00_1819;

						BgL_new1295z00_1819 =
							((BgL_cgenz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_cgenz00_bgl))));
						{	/* BackEnd/cvm.scm 21 */
							long BgL_arg1494z00_1820;

							BgL_arg1494z00_1820 = BGL_CLASS_NUM(BGl_cgenz00zzbackend_cvmz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1295z00_1819),
								BgL_arg1494z00_1820);
						}
						BgL_new1296z00_1818 = BgL_new1295z00_1819;
					}
					((((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_new1296z00_1818)))->
							BgL_languagez00) =
						((obj_t) ((obj_t) BgL_language1084z00_1663)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_srfi0z00) =
						((obj_t) ((obj_t) BgL_srfi01085z00_1664)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_namez00) =
						((obj_t) ((obj_t) BgL_name1086z00_1665)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_externzd2variableszd2) =
						((obj_t) BgL_externzd2variables1087zd2_1666), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_externzd2functionszd2) =
						((obj_t) BgL_externzd2functions1088zd2_1667), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_externzd2typeszd2) =
						((obj_t) BgL_externzd2types1089zd2_1668), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_variablesz00) =
						((obj_t) BgL_variables1090z00_1669), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_functionsz00) =
						((obj_t) BgL_functions1091z00_1670), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_typesz00) =
						((obj_t) BgL_types1092z00_1671), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_typedz00) =
						((bool_t) BgL_typed1093z00_1798), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_heapzd2suffixzd2) =
						((obj_t) ((obj_t) BgL_heapzd2suffix1094zd2_1673)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_heapzd2compatiblezd2) =
						((obj_t) ((obj_t) BgL_heapzd2compatible1095zd2_1674)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_callccz00) =
						((bool_t) BgL_callcc1096z00_1801), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_qualifiedzd2typeszd2) =
						((bool_t) BgL_qualifiedzd2types1097zd2_1802), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_effectzb2zb2) =
						((bool_t) BgL_effectzb21098zb2_1803), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_removezd2emptyzd2letz00) =
						((bool_t) BgL_removezd2emptyzd2let1099z00_1804), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_foreignzd2closurezd2) =
						((bool_t) BgL_foreignzd2closure1100zd2_1805), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_typedzd2eqzd2) =
						((bool_t) BgL_typedzd2eq1101zd2_1806), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_tracezd2supportzd2) =
						((bool_t) BgL_tracezd2support1102zd2_1807), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_foreignzd2clausezd2supportz00) =
						((obj_t) ((obj_t) BgL_foreignzd2clausezd2suppo1103z00_1682)),
						BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_debugzd2supportzd2) =
						((obj_t) ((obj_t) BgL_debugzd2support1104zd2_1683)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_pragmazd2supportzd2) =
						((bool_t) BgL_pragmazd2support1105zd2_1810), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_tvectorzd2descrzd2supportz00) =
						((bool_t) BgL_tvectorzd2descrzd2suppor1106z00_1811), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_requirezd2tailczd2) =
						((bool_t) BgL_requirezd2tailc1107zd2_1812), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_registersz00) =
						((obj_t) ((obj_t) BgL_registers1108z00_1687)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_pregistersz00) =
						((obj_t) ((obj_t) BgL_pregisters1109z00_1688)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_boundzd2checkzd2) =
						((bool_t) BgL_boundzd2check1110zd2_1815), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_typezd2checkzd2) =
						((bool_t) BgL_typezd2check1111zd2_1816), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1818)))->BgL_typedzd2funcallzd2) =
						((bool_t) BgL_typedzd2funcall1112zd2_1817), BUNSPEC);
					{	/* BackEnd/cvm.scm 21 */
						obj_t BgL_fun1479z00_1821;

						BgL_fun1479z00_1821 =
							BGl_classzd2constructorzd2zz__objectz00
							(BGl_cgenz00zzbackend_cvmz00);
						PROCEDURE_ENTRY(BgL_fun1479z00_1821) (BgL_fun1479z00_1821,
							((obj_t) BgL_new1296z00_1818), BEOA);
					}
					return BgL_new1296z00_1818;
				}
			}
		}

	}



/* &<@anonymous:1431> */
	obj_t BGl_z62zc3z04anonymousza31431ze3ze5zzbackend_cvmz00(obj_t
		BgL_envz00_1692, obj_t BgL_new1082z00_1693)
	{
		{	/* BackEnd/cvm.scm 20 */
			{
				BgL_sawcz00_bglt BgL_auxz00_3120;

				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt)
									((BgL_sawcz00_bglt) BgL_new1082z00_1693))))->
						BgL_languagez00) = ((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_srfi0z00) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_namez00) =
					((obj_t) BGl_string1513z00zzbackend_cvmz00), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_externzd2variableszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_externzd2functionszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_externzd2typeszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_variablesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_typesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_typedz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_heapzd2suffixzd2) =
					((obj_t) BGl_string1513z00zzbackend_cvmz00), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_heapzd2compatiblezd2) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_callccz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_qualifiedzd2typeszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_effectzb2zb2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_removezd2emptyzd2letz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_foreignzd2closurezd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_typedzd2eqzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_tracezd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->
						BgL_foreignzd2clausezd2supportz00) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_debugzd2supportzd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_pragmazd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_requirezd2tailczd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_registersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_pregistersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_boundzd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_typezd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1082z00_1693))))->BgL_typedzd2funcallzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_3120 = ((BgL_sawcz00_bglt) BgL_new1082z00_1693);
				return ((obj_t) BgL_auxz00_3120);
			}
		}

	}



/* &lambda1420 */
	BgL_sawcz00_bglt BGl_z62lambda1420z62zzbackend_cvmz00(obj_t BgL_envz00_1694)
	{
		{	/* BackEnd/cvm.scm 20 */
			{	/* BackEnd/cvm.scm 20 */
				BgL_sawcz00_bglt BgL_new1081z00_1823;

				BgL_new1081z00_1823 =
					((BgL_sawcz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sawcz00_bgl))));
				{	/* BackEnd/cvm.scm 20 */
					long BgL_arg1430z00_1824;

					BgL_arg1430z00_1824 = BGL_CLASS_NUM(BGl_sawcz00zzbackend_cvmz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1081z00_1823), BgL_arg1430z00_1824);
				}
				return BgL_new1081z00_1823;
			}
		}

	}



/* &lambda1417 */
	BgL_sawcz00_bglt BGl_z62lambda1417z62zzbackend_cvmz00(obj_t BgL_envz00_1695,
		obj_t BgL_language1052z00_1696, obj_t BgL_srfi01053z00_1697,
		obj_t BgL_name1054z00_1698, obj_t BgL_externzd2variables1055zd2_1699,
		obj_t BgL_externzd2functions1056zd2_1700,
		obj_t BgL_externzd2types1057zd2_1701, obj_t BgL_variables1058z00_1702,
		obj_t BgL_functions1059z00_1703, obj_t BgL_types1060z00_1704,
		obj_t BgL_typed1061z00_1705, obj_t BgL_heapzd2suffix1062zd2_1706,
		obj_t BgL_heapzd2compatible1063zd2_1707, obj_t BgL_callcc1064z00_1708,
		obj_t BgL_qualifiedzd2types1065zd2_1709, obj_t BgL_effectzb21066zb2_1710,
		obj_t BgL_removezd2emptyzd2let1067z00_1711,
		obj_t BgL_foreignzd2closure1068zd2_1712, obj_t BgL_typedzd2eq1069zd2_1713,
		obj_t BgL_tracezd2support1070zd2_1714,
		obj_t BgL_foreignzd2clausezd2suppo1071z00_1715,
		obj_t BgL_debugzd2support1072zd2_1716,
		obj_t BgL_pragmazd2support1073zd2_1717,
		obj_t BgL_tvectorzd2descrzd2suppor1074z00_1718,
		obj_t BgL_requirezd2tailc1075zd2_1719, obj_t BgL_registers1076z00_1720,
		obj_t BgL_pregisters1077z00_1721, obj_t BgL_boundzd2check1078zd2_1722,
		obj_t BgL_typezd2check1079zd2_1723, obj_t BgL_typedzd2funcall1080zd2_1724)
	{
		{	/* BackEnd/cvm.scm 20 */
			{	/* BackEnd/cvm.scm 20 */
				bool_t BgL_typed1061z00_1828;
				bool_t BgL_callcc1064z00_1831;
				bool_t BgL_qualifiedzd2types1065zd2_1832;
				bool_t BgL_effectzb21066zb2_1833;
				bool_t BgL_removezd2emptyzd2let1067z00_1834;
				bool_t BgL_foreignzd2closure1068zd2_1835;
				bool_t BgL_typedzd2eq1069zd2_1836;
				bool_t BgL_tracezd2support1070zd2_1837;
				bool_t BgL_pragmazd2support1073zd2_1840;
				bool_t BgL_tvectorzd2descrzd2suppor1074z00_1841;
				bool_t BgL_requirezd2tailc1075zd2_1842;
				bool_t BgL_boundzd2check1078zd2_1845;
				bool_t BgL_typezd2check1079zd2_1846;
				bool_t BgL_typedzd2funcall1080zd2_1847;

				BgL_typed1061z00_1828 = CBOOL(BgL_typed1061z00_1705);
				BgL_callcc1064z00_1831 = CBOOL(BgL_callcc1064z00_1708);
				BgL_qualifiedzd2types1065zd2_1832 =
					CBOOL(BgL_qualifiedzd2types1065zd2_1709);
				BgL_effectzb21066zb2_1833 = CBOOL(BgL_effectzb21066zb2_1710);
				BgL_removezd2emptyzd2let1067z00_1834 =
					CBOOL(BgL_removezd2emptyzd2let1067z00_1711);
				BgL_foreignzd2closure1068zd2_1835 =
					CBOOL(BgL_foreignzd2closure1068zd2_1712);
				BgL_typedzd2eq1069zd2_1836 = CBOOL(BgL_typedzd2eq1069zd2_1713);
				BgL_tracezd2support1070zd2_1837 =
					CBOOL(BgL_tracezd2support1070zd2_1714);
				BgL_pragmazd2support1073zd2_1840 =
					CBOOL(BgL_pragmazd2support1073zd2_1717);
				BgL_tvectorzd2descrzd2suppor1074z00_1841 =
					CBOOL(BgL_tvectorzd2descrzd2suppor1074z00_1718);
				BgL_requirezd2tailc1075zd2_1842 =
					CBOOL(BgL_requirezd2tailc1075zd2_1719);
				BgL_boundzd2check1078zd2_1845 = CBOOL(BgL_boundzd2check1078zd2_1722);
				BgL_typezd2check1079zd2_1846 = CBOOL(BgL_typezd2check1079zd2_1723);
				BgL_typedzd2funcall1080zd2_1847 =
					CBOOL(BgL_typedzd2funcall1080zd2_1724);
				{	/* BackEnd/cvm.scm 20 */
					BgL_sawcz00_bglt BgL_new1294z00_1848;

					{	/* BackEnd/cvm.scm 20 */
						BgL_sawcz00_bglt BgL_new1293z00_1849;

						BgL_new1293z00_1849 =
							((BgL_sawcz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sawcz00_bgl))));
						{	/* BackEnd/cvm.scm 20 */
							long BgL_arg1419z00_1850;

							BgL_arg1419z00_1850 = BGL_CLASS_NUM(BGl_sawcz00zzbackend_cvmz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1293z00_1849),
								BgL_arg1419z00_1850);
						}
						BgL_new1294z00_1848 = BgL_new1293z00_1849;
					}
					((((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_new1294z00_1848)))->
							BgL_languagez00) =
						((obj_t) ((obj_t) BgL_language1052z00_1696)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_srfi0z00) =
						((obj_t) ((obj_t) BgL_srfi01053z00_1697)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_namez00) =
						((obj_t) ((obj_t) BgL_name1054z00_1698)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_externzd2variableszd2) =
						((obj_t) BgL_externzd2variables1055zd2_1699), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_externzd2functionszd2) =
						((obj_t) BgL_externzd2functions1056zd2_1700), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_externzd2typeszd2) =
						((obj_t) BgL_externzd2types1057zd2_1701), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_variablesz00) =
						((obj_t) BgL_variables1058z00_1702), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_functionsz00) =
						((obj_t) BgL_functions1059z00_1703), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_typesz00) =
						((obj_t) BgL_types1060z00_1704), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_typedz00) =
						((bool_t) BgL_typed1061z00_1828), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_heapzd2suffixzd2) =
						((obj_t) ((obj_t) BgL_heapzd2suffix1062zd2_1706)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_heapzd2compatiblezd2) =
						((obj_t) ((obj_t) BgL_heapzd2compatible1063zd2_1707)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_callccz00) =
						((bool_t) BgL_callcc1064z00_1831), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_qualifiedzd2typeszd2) =
						((bool_t) BgL_qualifiedzd2types1065zd2_1832), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_effectzb2zb2) =
						((bool_t) BgL_effectzb21066zb2_1833), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_removezd2emptyzd2letz00) =
						((bool_t) BgL_removezd2emptyzd2let1067z00_1834), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_foreignzd2closurezd2) =
						((bool_t) BgL_foreignzd2closure1068zd2_1835), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_typedzd2eqzd2) =
						((bool_t) BgL_typedzd2eq1069zd2_1836), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_tracezd2supportzd2) =
						((bool_t) BgL_tracezd2support1070zd2_1837), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_foreignzd2clausezd2supportz00) =
						((obj_t) ((obj_t) BgL_foreignzd2clausezd2suppo1071z00_1715)),
						BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_debugzd2supportzd2) =
						((obj_t) ((obj_t) BgL_debugzd2support1072zd2_1716)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_pragmazd2supportzd2) =
						((bool_t) BgL_pragmazd2support1073zd2_1840), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_tvectorzd2descrzd2supportz00) =
						((bool_t) BgL_tvectorzd2descrzd2suppor1074z00_1841), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_requirezd2tailczd2) =
						((bool_t) BgL_requirezd2tailc1075zd2_1842), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_registersz00) =
						((obj_t) ((obj_t) BgL_registers1076z00_1720)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_pregistersz00) =
						((obj_t) ((obj_t) BgL_pregisters1077z00_1721)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_boundzd2checkzd2) =
						((bool_t) BgL_boundzd2check1078zd2_1845), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_typezd2checkzd2) =
						((bool_t) BgL_typezd2check1079zd2_1846), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1294z00_1848)))->BgL_typedzd2funcallzd2) =
						((bool_t) BgL_typedzd2funcall1080zd2_1847), BUNSPEC);
					{	/* BackEnd/cvm.scm 20 */
						obj_t BgL_fun1418z00_1851;

						BgL_fun1418z00_1851 =
							BGl_classzd2constructorzd2zz__objectz00
							(BGl_sawcz00zzbackend_cvmz00);
						PROCEDURE_ENTRY(BgL_fun1418z00_1851) (BgL_fun1418z00_1851,
							((obj_t) BgL_new1294z00_1848), BEOA);
					}
					return BgL_new1294z00_1848;
				}
			}
		}

	}



/* &<@anonymous:1386> */
	obj_t BGl_z62zc3z04anonymousza31386ze3ze5zzbackend_cvmz00(obj_t
		BgL_envz00_1725, obj_t BgL_new1050z00_1726)
	{
		{	/* BackEnd/cvm.scm 19 */
			{
				BgL_cvmz00_bglt BgL_auxz00_3308;

				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt)
									((BgL_cvmz00_bglt) BgL_new1050z00_1726))))->BgL_languagez00) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_srfi0z00) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_namez00) =
					((obj_t) BGl_string1513z00zzbackend_cvmz00), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_externzd2variableszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_externzd2functionszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_externzd2typeszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_variablesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_typesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_typedz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_heapzd2suffixzd2) =
					((obj_t) BGl_string1513z00zzbackend_cvmz00), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_heapzd2compatiblezd2) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_callccz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_qualifiedzd2typeszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_effectzb2zb2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_removezd2emptyzd2letz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_foreignzd2closurezd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_typedzd2eqzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_tracezd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->
						BgL_foreignzd2clausezd2supportz00) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_debugzd2supportzd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_pragmazd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_requirezd2tailczd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_registersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_pregistersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_boundzd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_typezd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1050z00_1726))))->BgL_typedzd2funcallzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_3308 = ((BgL_cvmz00_bglt) BgL_new1050z00_1726);
				return ((obj_t) BgL_auxz00_3308);
			}
		}

	}



/* &lambda1384 */
	BgL_cvmz00_bglt BGl_z62lambda1384z62zzbackend_cvmz00(obj_t BgL_envz00_1727)
	{
		{	/* BackEnd/cvm.scm 19 */
			{	/* BackEnd/cvm.scm 19 */
				BgL_cvmz00_bglt BgL_new1049z00_1853;

				BgL_new1049z00_1853 =
					((BgL_cvmz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_cvmz00_bgl))));
				{	/* BackEnd/cvm.scm 19 */
					long BgL_arg1385z00_1854;

					BgL_arg1385z00_1854 = BGL_CLASS_NUM(BGl_cvmz00zzbackend_cvmz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1049z00_1853), BgL_arg1385z00_1854);
				}
				return BgL_new1049z00_1853;
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_cvmz00()
	{
		{	/* BackEnd/cvm.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_cvmz00()
	{
		{	/* BackEnd/cvm.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_cvmz00()
	{
		{	/* BackEnd/cvm.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1514z00zzbackend_cvmz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1514z00zzbackend_cvmz00));
		}

	}

#ifdef __cplusplus
}
#endif
