/*===========================================================================*/
/*   (BackEnd/jvm_class.scm)                                                 */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/jvm_class.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2srfi0zd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t
		BGl_z62jvmzd2currentzd2classzd2setz12za2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62jvmzd2callcczb0zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2foreignzd2closurezd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2methodszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62jvmzd2codezd2setz12z70zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62jvmzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_jvm_classz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2namezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62jvmzd2externzd2functionsz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2typedzd2eqzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		bool_t);
	static obj_t BGl_z62jvmzd2srfi0zd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2typedzd2eqz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2functionszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_z62jvmzd2typeszd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2externzd2functionszd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_jvm_classz00 =
		BUNSPEC;
	static obj_t BGl_z62jvmzd2foreignzd2closurez62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t BGl_z62jvmzd2tracezd2supportz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31499ze3ze5zzbackend_jvm_classz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2debugzd2supportz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2currentzd2methodz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2registerszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2typedzd2funcallz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2declarationszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2externzd2functionsz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62jvmzd2languagezb0zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2qualifiedzd2typesz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2lightzd2funcallszd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62jvmzd2qnamezb0zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2inlinezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62jvmzd2inlinezd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2typezd2checkzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		bool_t);
	static obj_t BGl_z62jvmzd2classeszd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2qualifiedzd2typeszd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, bool_t);
	static obj_t BGl_toplevelzd2initzd2zzbackend_jvm_classz00();
	static obj_t
		BGl_z62jvmzd2heapzd2suffixzd2setz12za2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62jvmzd2boundzd2checkzd2setz12za2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2boundzd2checkz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2currentzd2classz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62jvmzd2boundzd2checkz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2classeszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2tracezd2supportzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL BgL_jvmz00_bglt
		BGl_makezd2jvmzd2zzbackend_jvm_classz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, bool_t, bool_t, bool_t,
		bool_t, bool_t, bool_t, bool_t, obj_t, obj_t, bool_t, bool_t, bool_t, obj_t,
		obj_t, bool_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62jvmzd2functionszb0zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_jvm_classz00();
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2heapzd2compatiblezd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2heapzd2suffixzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2boundzd2checkzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2srfi0zd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_objectzd2initzd2zzbackend_jvm_classz00();
	static obj_t BGl_z62jvmzd2typedzb0zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2typeszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2qnamezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2requirezd2tailcz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62jvmzd2typeszb0zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2pragmazd2supportzd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, bool_t);
	static obj_t BGl_z62jvmzd2languagezd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jvmzd2pregisterszd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jvmzd2methodszb0zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62jvmzd2declarationszb0zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62jvmzd2codezb0zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31403ze3ze5zzbackend_jvm_classz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31314ze3ze5zzbackend_jvm_classz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2foreignzd2closurez00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2effectzb2z60zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2debugzd2supportzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2currentzd2methodzd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62jvmzd2typezd2checkz62zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2variableszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2pragmazd2supportz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL BgL_jvmz00_bglt BGl_jvmzd2nilzd2zzbackend_jvm_classz00();
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2typedzd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_methodzd2initzd2zzbackend_jvm_classz00();
	static obj_t BGl_z62zc3z04anonymousza31324ze3ze5zzbackend_jvm_classz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_jvmz00zzbackend_jvm_classz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2typeszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31422ze3ze5zzbackend_jvm_classz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2codezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62jvmzd2variableszd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jvmzd2namezd2setz12z70zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62jvmzd2typedzd2eqzd2setz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2requirezd2tailczd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2registerszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2typedzd2funcallzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		bool_t);
	static obj_t BGl_z62zc3z04anonymousza31334ze3ze5zzbackend_jvm_classz00(obj_t);
	static obj_t BGl_z62jvmzd2classeszb0zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62jvmzd2qnamezd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jvmzd2debugzd2supportz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t BGl_z62jvmzd2typedzd2funcallz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t BGl_z62jvmzd2pregisterszb0zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62jvmzd2typedzd2eqz62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31344ze3ze5zzbackend_jvm_classz00(obj_t);
	static obj_t
		BGl_z62jvmzd2tracezd2supportzd2setz12za2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2pregisterszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2typezd2checkz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2externzd2typesz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62jvmzd2currentzd2classz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62jvmzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_jvm_classz00
		(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
	static BgL_jvmz00_bglt BGl_z62lambda1308z62zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2functionszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62jvmzd2effectzb2z02zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62jvmzd2lightzd2funcallsz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2declarationszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31460ze3ze5zzbackend_jvm_classz00(obj_t);
	static BgL_jvmz00_bglt BGl_z62lambda1312z62zzbackend_jvm_classz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2codezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_z62lambda1401z62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1402z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1322z62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1323z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62jvmzd2functionszd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jvmzd2requirezd2tailcz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62jvmzd2lightzd2funcallszd2setz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2heapzd2suffixz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62jvmzd2heapzd2suffixz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2qnamezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62jvmzd2heapzd2compatiblez62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62jvmzd2debugzd2supportzd2setz12za2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2effectzb2zd2setz12za0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		bool_t);
	static obj_t BGl_z62lambda1332z62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1333z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62jvmzd2currentzd2methodz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31357ze3ze5zzbackend_jvm_classz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2languagezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2pregisterszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62lambda1420z62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1421z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62jvmzd2tvectorzd2descrzd2supportzb0zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1342z62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1343z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2tracezd2supportz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t
		BGl_z62jvmzd2removezd2emptyzd2letzd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzbackend_jvm_classz00();
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2inlinezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2currentzd2classzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_jvm_classz00();
	static obj_t BGl_z62jvmzd2typedzd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_jvm_classz00();
	static obj_t
		BGl_z62jvmzd2foreignzd2closurezd2setz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_jvm_classz00();
	static obj_t BGl_z62zc3z04anonymousza31383ze3ze5zzbackend_jvm_classz00(obj_t);
	static obj_t
		BGl_z62jvmzd2declarationszd2setz12z70zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31367ze3ze5zzbackend_jvm_classz00(obj_t);
	static obj_t BGl_z62lambda1355z62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1356z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62jvmzd2externzd2variableszd2setz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jvmzd2externzd2typesz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t BGl_z62jvmzd2registerszb0zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62jvmzd2namezb0zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2methodszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t);
	static obj_t
		BGl_z62jvmzd2requirezd2tailczd2setz12za2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62jvmzd2typedzd2funcallzd2setz12za2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1365z62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1366z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2foreignzd2clausezd2supportzd2zzbackend_jvm_classz00
		(BgL_jvmz00_bglt);
	static obj_t
		BGl_z62jvmzd2pragmazd2supportzd2setz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jvmzd2inlinezb0zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2namezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62lambda1458z62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1459z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62jvmzd2removezd2emptyzd2letzb0zzbackend_jvm_classz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2tvectorzd2descrzd2supportzd2zzbackend_jvm_classz00
		(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2removezd2emptyzd2letzd2setz12z12zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2fieldszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62lambda1381z62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1382z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62jvmzd2externzd2variablesz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62jvmzd2foreignzd2clausezd2supportzb0zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62jvmzd2currentzd2methodzd2setz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2variableszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	static obj_t
		BGl_z62jvmzd2qualifiedzd2typeszd2setz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2externzd2variableszd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62jvmzd2effectzb2zd2setz12zc2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2callcczd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2removezd2emptyzd2letzd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62jvmzd2callcczd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static BgL_jvmz00_bglt BGl_z62jvmzd2nilzb0zzbackend_jvm_classz00(obj_t);
	extern obj_t BGl_bvmz00zzbackend_bvmz00;
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2externzd2typeszd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_z62jvmzd2qualifiedzd2typesz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2externzd2variablesz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62jvmzd2fieldszb0zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2languagezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2typedzd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, bool_t);
	static BgL_jvmz00_bglt BGl_z62makezd2jvmzb0zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62jvmzd2srfi0zb0zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t
		BGl_z62jvmzd2heapzd2compatiblezd2setz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2heapzd2compatiblez00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t
		BGl_z62jvmzd2typezd2checkzd2setz12za2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1497z62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1498z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62jvmzd2pragmazd2supportz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t BGl_z62jvmzd2methodszd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jvmzf3z91zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t
		BGl_z62jvmzd2externzd2functionszd2setz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2callcczd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2classeszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62jvmzd2variableszb0zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2fieldszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_jvmzf3zf3zzbackend_jvm_classz00(obj_t);
	static obj_t BGl_z62jvmzd2fieldszd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62jvmzd2externzd2typeszd2setz12za2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62jvmzd2registerszd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2lightzd2funcallsz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t __cnst[15];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2foreignzd2closurezd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2foreign1543z00,
		BGl_z62jvmzd2foreignzd2closurez62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2externzd2functionszd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2externza71544za7,
		BGl_z62jvmzd2externzd2functionszd2setz12za2zzbackend_jvm_classz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2tracezd2supportzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2traceza7d1545za7,
		BGl_z62jvmzd2tracezd2supportz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2heapzd2compatiblezd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2heapza7d21546za7,
		BGl_z62jvmzd2heapzd2compatiblezd2setz12za2zzbackend_jvm_classz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2boundzd2checkzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2boundza7d1547za7,
		BGl_z62jvmzd2boundzd2checkzd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2tvectorzd2descrzd2supportzd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2tvector1548z00,
		BGl_z62jvmzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_jvm_classz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2qualifiedzd2typeszd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2qualifi1549z00,
		BGl_z62jvmzd2qualifiedzd2typesz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2typedzd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typedza7d1550za7,
		BGl_z62jvmzd2typedzd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2effectzb2zd2setz12zd2envz72zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2effectza71551za7,
		BGl_z62jvmzd2effectzb2zd2setz12zc2zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2currentzd2classzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2current1552z00,
		BGl_z62jvmzd2currentzd2classz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1503z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1553za7,
		BGl_z62zc3z04anonymousza31324ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1504z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1323za7621554z00,
		BGl_z62lambda1323z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2classeszd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2classes1555z00,
		BGl_z62jvmzd2classeszb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1505z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1322za7621556z00,
		BGl_z62lambda1322z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1506z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1557za7,
		BGl_z62zc3z04anonymousza31334ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1507z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1333za7621558z00,
		BGl_z62lambda1333z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1508z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1332za7621559z00,
		BGl_z62lambda1332z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1509z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1560za7,
		BGl_z62zc3z04anonymousza31344ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2jvmzd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762makeza7d2jvmza7b01561za7,
		BGl_z62makezd2jvmzb0zzbackend_jvm_classz00, 0L, BUNSPEC, 39);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2classeszd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2classes1562z00,
		BGl_z62jvmzd2classeszd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1510z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1343za7621563z00,
		BGl_z62lambda1343z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1511z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1342za7621564z00,
		BGl_z62lambda1342z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1512z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1565za7,
		BGl_z62zc3z04anonymousza31357ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1513z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1356za7621566z00,
		BGl_z62lambda1356z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1514z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1355za7621567z00,
		BGl_z62lambda1355z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1515z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1568za7,
		BGl_z62zc3z04anonymousza31367ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1516z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1366za7621569z00,
		BGl_z62lambda1366z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1517z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1365za7621570z00,
		BGl_z62lambda1365z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1518z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1571za7,
		BGl_z62zc3z04anonymousza31383ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2declarationszd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2declara1572z00,
		BGl_z62jvmzd2declarationszd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1519z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1382za7621573z00,
		BGl_z62lambda1382z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2codezd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2codeza7b01574za7,
		BGl_z62jvmzd2codezb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2srfi0zd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2srfi0za7d1575za7,
		BGl_z62jvmzd2srfi0zd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1520z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1381za7621576z00,
		BGl_z62lambda1381z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1521z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1577za7,
		BGl_z62zc3z04anonymousza31403ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1522z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1402za7621578z00,
		BGl_z62lambda1402z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1523z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1401za7621579z00,
		BGl_z62lambda1401z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1524z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1580za7,
		BGl_z62zc3z04anonymousza31422ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1525z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1421za7621581z00,
		BGl_z62lambda1421z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1526z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1420za7621582z00,
		BGl_z62lambda1420z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1527z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1583za7,
		BGl_z62zc3z04anonymousza31460ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1528z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1459za7621584z00,
		BGl_z62lambda1459z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1529z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1458za7621585z00,
		BGl_z62lambda1458z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2typeszd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typesza7b1586za7,
		BGl_z62jvmzd2typeszb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1536z00zzbackend_jvm_classz00,
		BgL_bgl_string1536za700za7za7b1587za7, "", 0);
	      DEFINE_STRING(BGl_string1537z00zzbackend_jvm_classz00,
		BgL_bgl_string1537za700za7za7b1588za7, "backend_jvm_class", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2lightzd2funcallszd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2lightza7d1589za7,
		BGl_z62jvmzd2lightzd2funcallszd2setz12za2zzbackend_jvm_classz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1538z00zzbackend_jvm_classz00,
		BgL_bgl_string1538za700za7za7b1590za7,
		"unamed _ backend_jvm_class jvm inline light-funcalls code current-method methods fields declarations current-class classes obj qname ",
		133);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2typezd2checkzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typeza7d21591za7,
		BGl_z62jvmzd2typezd2checkzd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1530z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1592za7,
		BGl_z62zc3z04anonymousza31499ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1531z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1498za7621593z00,
		BGl_z62lambda1498z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1532z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1497za7621594z00,
		BGl_z62lambda1497z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1533z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1595za7,
		BGl_z62zc3z04anonymousza31314ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1534z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1312za7621596z00,
		BGl_z62lambda1312z62zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1535z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1308za7621597z00,
		BGl_z62lambda1308z62zzbackend_jvm_classz00, 0L, BUNSPEC, 39);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2codezd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2codeza7d21598za7,
		BGl_z62jvmzd2codezd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2foreignzd2clausezd2supportzd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2foreign1599z00,
		BGl_z62jvmzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_jvm_classz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2registerszd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2registe1600z00,
		BGl_z62jvmzd2registerszb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2typedzd2funcallzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typedza7d1601za7,
		BGl_z62jvmzd2typedzd2funcallz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2typedzd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typedza7b1602za7,
		BGl_z62jvmzd2typedzb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2typeszd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typesza7d1603za7,
		BGl_z62jvmzd2typeszd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2fieldszd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2fieldsza71604za7,
		BGl_z62jvmzd2fieldszd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2externzd2typeszd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2externza71605za7,
		BGl_z62jvmzd2externzd2typeszd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2requirezd2tailczd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2require1606z00,
		BGl_z62jvmzd2requirezd2tailcz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2qnamezd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2qnameza7d1607za7,
		BGl_z62jvmzd2qnamezd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2typezd2checkzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typeza7d21608za7,
		BGl_z62jvmzd2typezd2checkz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2qualifiedzd2typeszd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2qualifi1609z00,
		BGl_z62jvmzd2qualifiedzd2typeszd2setz12za2zzbackend_jvm_classz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2namezd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2nameza7d21610za7,
		BGl_z62jvmzd2namezd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2namezd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2nameza7b01611za7,
		BGl_z62jvmzd2namezb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2languagezd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2languag1612z00,
		BGl_z62jvmzd2languagezb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2typedzd2eqzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typedza7d1613za7,
		BGl_z62jvmzd2typedzd2eqz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2callcczd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2callccza71614za7,
		BGl_z62jvmzd2callcczb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2debugzd2supportzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2debugza7d1615za7,
		BGl_z62jvmzd2debugzd2supportz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2currentzd2methodzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2current1616z00,
		BGl_z62jvmzd2currentzd2methodz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2variableszd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2variabl1617z00,
		BGl_z62jvmzd2variableszd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2declarationszd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2declara1618z00,
		BGl_z62jvmzd2declarationszb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzf3zd2envz21zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7f3za791za7za7ba1619za7,
		BGl_z62jvmzf3z91zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2inlinezd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2inlineza71620za7,
		BGl_z62jvmzd2inlinezd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2heapzd2compatiblezd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2heapza7d21621za7,
		BGl_z62jvmzd2heapzd2compatiblez62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2effectzb2zd2envzb2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2effectza71622za7,
		BGl_z62jvmzd2effectzb2z02zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2callcczd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2callccza71623za7,
		BGl_z62jvmzd2callcczd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2removezd2emptyzd2letzd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2removeza71624za7,
		BGl_z62jvmzd2removezd2emptyzd2letzb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2externzd2variableszd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2externza71625za7,
		BGl_z62jvmzd2externzd2variablesz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2typedzd2eqzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typedza7d1626za7,
		BGl_z62jvmzd2typedzd2eqzd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2functionszd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2functio1627z00,
		BGl_z62jvmzd2functionszd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2variableszd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2variabl1628z00,
		BGl_z62jvmzd2variableszb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2heapzd2suffixzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2heapza7d21629za7,
		BGl_z62jvmzd2heapzd2suffixzd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2methodszd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2methods1630z00,
		BGl_z62jvmzd2methodszd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2qnamezd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2qnameza7b1631za7,
		BGl_z62jvmzd2qnamezb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2foreignzd2clausezd2supportzd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2foreign1632z00,
		BGl_z62jvmzd2foreignzd2clausezd2supportzb0zzbackend_jvm_classz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2srfi0zd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2srfi0za7b1633za7,
		BGl_z62jvmzd2srfi0zb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2methodszd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2methods1634z00,
		BGl_z62jvmzd2methodszb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2externzd2typeszd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2externza71635za7,
		BGl_z62jvmzd2externzd2typesz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2boundzd2checkzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2boundza7d1636za7,
		BGl_z62jvmzd2boundzd2checkz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2requirezd2tailczd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2require1637z00,
		BGl_z62jvmzd2requirezd2tailczd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2tracezd2supportzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2traceza7d1638za7,
		BGl_z62jvmzd2tracezd2supportzd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2removezd2emptyzd2letzd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2removeza71639za7,
		BGl_z62jvmzd2removezd2emptyzd2letzd2setz12z70zzbackend_jvm_classz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2inlinezd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2inlineza71640za7,
		BGl_z62jvmzd2inlinezb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2externzd2variableszd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2externza71641za7,
		BGl_z62jvmzd2externzd2variableszd2setz12za2zzbackend_jvm_classz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2externzd2functionszd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2externza71642za7,
		BGl_z62jvmzd2externzd2functionsz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2pragmazd2supportzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2pragmaza71643za7,
		BGl_z62jvmzd2pragmazd2supportz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2lightzd2funcallszd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2lightza7d1644za7,
		BGl_z62jvmzd2lightzd2funcallsz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2languagezd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2languag1645z00,
		BGl_z62jvmzd2languagezd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2heapzd2suffixzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2heapza7d21646za7,
		BGl_z62jvmzd2heapzd2suffixz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2pregisterszd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2pregist1647z00,
		BGl_z62jvmzd2pregisterszb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2tvectorzd2descrzd2supportzd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2tvector1648z00,
		BGl_z62jvmzd2tvectorzd2descrzd2supportzb0zzbackend_jvm_classz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2registerszd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2registe1649z00,
		BGl_z62jvmzd2registerszd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2typedzd2funcallzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typedza7d1650za7,
		BGl_z62jvmzd2typedzd2funcallzd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2fieldszd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2fieldsza71651za7,
		BGl_z62jvmzd2fieldszb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2functionszd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2functio1652z00,
		BGl_z62jvmzd2functionszb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2currentzd2classzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2current1653z00,
		BGl_z62jvmzd2currentzd2classzd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2debugzd2supportzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2debugza7d1654za7,
		BGl_z62jvmzd2debugzd2supportzd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2currentzd2methodzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2current1655z00,
		BGl_z62jvmzd2currentzd2methodzd2setz12za2zzbackend_jvm_classz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2nilzd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2nilza7b0za71656z00,
		BGl_z62jvmzd2nilzb0zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2pragmazd2supportzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2pragmaza71657za7,
		BGl_z62jvmzd2pragmazd2supportzd2setz12za2zzbackend_jvm_classz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2pregisterszd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2pregist1658z00,
		BGl_z62jvmzd2pregisterszd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2foreignzd2closurezd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2foreign1659z00,
		BGl_z62jvmzd2foreignzd2closurezd2setz12za2zzbackend_jvm_classz00, 0L,
		BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzbackend_jvm_classz00));
		     ADD_ROOT((void *) (&BGl_jvmz00zzbackend_jvm_classz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long
		BgL_checksumz00_1388, char *BgL_fromz00_1389)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_jvm_classz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_jvm_classz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_jvm_classz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_jvm_classz00();
					BGl_cnstzd2initzd2zzbackend_jvm_classz00();
					BGl_importedzd2moduleszd2initz00zzbackend_jvm_classz00();
					BGl_objectzd2initzd2zzbackend_jvm_classz00();
					return BGl_toplevelzd2initzd2zzbackend_jvm_classz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_jvm_classz00()
	{
		{	/* BackEnd/jvm_class.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"backend_jvm_class");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"backend_jvm_class");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_jvm_class");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_jvm_class");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"backend_jvm_class");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"backend_jvm_class");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_jvm_class");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_jvm_classz00()
	{
		{	/* BackEnd/jvm_class.scm 15 */
			{	/* BackEnd/jvm_class.scm 15 */
				obj_t BgL_cportz00_1308;

				{	/* BackEnd/jvm_class.scm 15 */
					obj_t BgL_stringz00_1316;

					BgL_stringz00_1316 = BGl_string1538z00zzbackend_jvm_classz00;
					{	/* BackEnd/jvm_class.scm 15 */
						obj_t BgL_startz00_1317;

						BgL_startz00_1317 = BINT(((long) 0));
						{	/* BackEnd/jvm_class.scm 15 */
							obj_t BgL_endz00_1318;

							BgL_endz00_1318 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1316)));
							{	/* BackEnd/jvm_class.scm 15 */

								BgL_cportz00_1308 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1316, BgL_startz00_1317, BgL_endz00_1318);
				}}}}
				{
					long BgL_iz00_1309;

					BgL_iz00_1309 = ((long) 14);
				BgL_loopz00_1310:
					if ((BgL_iz00_1309 == ((long) -1)))
						{	/* BackEnd/jvm_class.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/jvm_class.scm 15 */
							{	/* BackEnd/jvm_class.scm 15 */
								obj_t BgL_arg1542z00_1312;

								{	/* BackEnd/jvm_class.scm 15 */

									{	/* BackEnd/jvm_class.scm 15 */
										obj_t BgL_locationz00_1314;

										BgL_locationz00_1314 = BBOOL(((bool_t) 0));
										{	/* BackEnd/jvm_class.scm 15 */

											BgL_arg1542z00_1312 =
												BGl_readz00zz__readerz00(BgL_cportz00_1308,
												BgL_locationz00_1314);
										}
									}
								}
								{	/* BackEnd/jvm_class.scm 15 */
									int BgL_tmpz00_1415;

									BgL_tmpz00_1415 = (int) (BgL_iz00_1309);
									CNST_TABLE_SET(BgL_tmpz00_1415, BgL_arg1542z00_1312);
							}}
							{	/* BackEnd/jvm_class.scm 15 */
								int BgL_auxz00_1315;

								BgL_auxz00_1315 = (int) ((BgL_iz00_1309 - ((long) 1)));
								{
									long BgL_iz00_1420;

									BgL_iz00_1420 = (long) (BgL_auxz00_1315);
									BgL_iz00_1309 = BgL_iz00_1420;
									goto BgL_loopz00_1310;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_jvm_classz00()
	{
		{	/* BackEnd/jvm_class.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_jvm_classz00()
	{
		{	/* BackEnd/jvm_class.scm 15 */
			return BUNSPEC;
		}

	}



/* make-jvm */
	BGL_EXPORTED_DEF BgL_jvmz00_bglt BGl_makezd2jvmzd2zzbackend_jvm_classz00(obj_t
		BgL_language1142z00_3, obj_t BgL_srfi01143z00_4, obj_t BgL_name1144z00_5,
		obj_t BgL_externzd2variables1145zd2_6,
		obj_t BgL_externzd2functions1146zd2_7, obj_t BgL_externzd2types1147zd2_8,
		obj_t BgL_variables1148z00_9, obj_t BgL_functions1149z00_10,
		obj_t BgL_types1150z00_11, bool_t BgL_typed1151z00_12,
		obj_t BgL_heapzd2suffix1152zd2_13, obj_t BgL_heapzd2compatible1153zd2_14,
		bool_t BgL_callcc1154z00_15, bool_t BgL_qualifiedzd2types1155zd2_16,
		bool_t BgL_effectzb21156zb2_17, bool_t BgL_removezd2emptyzd2let1157z00_18,
		bool_t BgL_foreignzd2closure1158zd2_19, bool_t BgL_typedzd2eq1159zd2_20,
		bool_t BgL_tracezd2support1160zd2_21,
		obj_t BgL_foreignzd2clausezd2suppo1161z00_22,
		obj_t BgL_debugzd2support1162zd2_23, bool_t BgL_pragmazd2support1163zd2_24,
		bool_t BgL_tvectorzd2descrzd2suppor1164z00_25,
		bool_t BgL_requirezd2tailc1165zd2_26, obj_t BgL_registers1166z00_27,
		obj_t BgL_pregisters1167z00_28, bool_t BgL_boundzd2check1168zd2_29,
		bool_t BgL_typezd2check1169zd2_30, bool_t BgL_typedzd2funcall1170zd2_31,
		obj_t BgL_qname1171z00_32, obj_t BgL_classes1172z00_33,
		obj_t BgL_currentzd2class1173zd2_34, obj_t BgL_declarations1174z00_35,
		obj_t BgL_fields1175z00_36, obj_t BgL_methods1176z00_37,
		obj_t BgL_currentzd2method1177zd2_38, obj_t BgL_code1178z00_39,
		obj_t BgL_lightzd2funcalls1179zd2_40, obj_t BgL_inline1180z00_41)
	{
		{	/* BackEnd/jvm_class.sch 99 */
			{	/* BackEnd/jvm_class.sch 99 */
				BgL_jvmz00_bglt BgL_new1092z00_1320;

				{	/* BackEnd/jvm_class.sch 99 */
					BgL_jvmz00_bglt BgL_new1091z00_1321;

					BgL_new1091z00_1321 =
						((BgL_jvmz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jvmz00_bgl))));
					{	/* BackEnd/jvm_class.sch 99 */
						long BgL_arg1298z00_1322;

						BgL_arg1298z00_1322 =
							BGL_CLASS_NUM(BGl_jvmz00zzbackend_jvm_classz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1091z00_1321), BgL_arg1298z00_1322);
					}
					BgL_new1092z00_1320 = BgL_new1091z00_1321;
				}
				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_new1092z00_1320)))->
						BgL_languagez00) = ((obj_t) BgL_language1142z00_3), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_srfi0z00) =
					((obj_t) BgL_srfi01143z00_4), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_namez00) =
					((obj_t) BgL_name1144z00_5), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_externzd2variableszd2) =
					((obj_t) BgL_externzd2variables1145zd2_6), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_externzd2functionszd2) =
					((obj_t) BgL_externzd2functions1146zd2_7), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_externzd2typeszd2) =
					((obj_t) BgL_externzd2types1147zd2_8), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_variablesz00) =
					((obj_t) BgL_variables1148z00_9), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_functionsz00) =
					((obj_t) BgL_functions1149z00_10), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_typesz00) =
					((obj_t) BgL_types1150z00_11), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_typedz00) =
					((bool_t) BgL_typed1151z00_12), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_heapzd2suffixzd2) =
					((obj_t) BgL_heapzd2suffix1152zd2_13), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_heapzd2compatiblezd2) =
					((obj_t) BgL_heapzd2compatible1153zd2_14), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_callccz00) =
					((bool_t) BgL_callcc1154z00_15), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_qualifiedzd2typeszd2) =
					((bool_t) BgL_qualifiedzd2types1155zd2_16), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_effectzb2zb2) =
					((bool_t) BgL_effectzb21156zb2_17), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_removezd2emptyzd2letz00) =
					((bool_t) BgL_removezd2emptyzd2let1157z00_18), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_foreignzd2closurezd2) =
					((bool_t) BgL_foreignzd2closure1158zd2_19), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_typedzd2eqzd2) =
					((bool_t) BgL_typedzd2eq1159zd2_20), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_tracezd2supportzd2) =
					((bool_t) BgL_tracezd2support1160zd2_21), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_foreignzd2clausezd2supportz00) =
					((obj_t) BgL_foreignzd2clausezd2suppo1161z00_22), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_debugzd2supportzd2) =
					((obj_t) BgL_debugzd2support1162zd2_23), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_pragmazd2supportzd2) =
					((bool_t) BgL_pragmazd2support1163zd2_24), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) BgL_tvectorzd2descrzd2suppor1164z00_25), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_requirezd2tailczd2) =
					((bool_t) BgL_requirezd2tailc1165zd2_26), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_registersz00) =
					((obj_t) BgL_registers1166z00_27), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_pregistersz00) =
					((obj_t) BgL_pregisters1167z00_28), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_boundzd2checkzd2) =
					((bool_t) BgL_boundzd2check1168zd2_29), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_typezd2checkzd2) =
					((bool_t) BgL_typezd2check1169zd2_30), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1092z00_1320)))->BgL_typedzd2funcallzd2) =
					((bool_t) BgL_typedzd2funcall1170zd2_31), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1092z00_1320))->BgL_qnamez00) =
					((obj_t) BgL_qname1171z00_32), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1092z00_1320))->BgL_classesz00) =
					((obj_t) BgL_classes1172z00_33), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1092z00_1320))->
						BgL_currentzd2classzd2) =
					((obj_t) BgL_currentzd2class1173zd2_34), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1092z00_1320))->
						BgL_declarationsz00) =
					((obj_t) BgL_declarations1174z00_35), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1092z00_1320))->BgL_fieldsz00) =
					((obj_t) BgL_fields1175z00_36), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1092z00_1320))->BgL_methodsz00) =
					((obj_t) BgL_methods1176z00_37), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1092z00_1320))->
						BgL_currentzd2methodzd2) =
					((obj_t) BgL_currentzd2method1177zd2_38), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1092z00_1320))->BgL_codez00) =
					((obj_t) BgL_code1178z00_39), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1092z00_1320))->
						BgL_lightzd2funcallszd2) =
					((obj_t) BgL_lightzd2funcalls1179zd2_40), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1092z00_1320))->BgL_inlinez00) =
					((obj_t) BgL_inline1180z00_41), BUNSPEC);
				{	/* BackEnd/jvm_class.sch 99 */
					obj_t BgL_fun1297z00_1323;

					BgL_fun1297z00_1323 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_jvmz00zzbackend_jvm_classz00);
					PROCEDURE_ENTRY(BgL_fun1297z00_1323) (BgL_fun1297z00_1323,
						((obj_t) BgL_new1092z00_1320), BEOA);
				}
				return BgL_new1092z00_1320;
			}
		}

	}



/* &make-jvm */
	BgL_jvmz00_bglt BGl_z62makezd2jvmzb0zzbackend_jvm_classz00(obj_t
		BgL_envz00_932, obj_t BgL_language1142z00_933, obj_t BgL_srfi01143z00_934,
		obj_t BgL_name1144z00_935, obj_t BgL_externzd2variables1145zd2_936,
		obj_t BgL_externzd2functions1146zd2_937,
		obj_t BgL_externzd2types1147zd2_938, obj_t BgL_variables1148z00_939,
		obj_t BgL_functions1149z00_940, obj_t BgL_types1150z00_941,
		obj_t BgL_typed1151z00_942, obj_t BgL_heapzd2suffix1152zd2_943,
		obj_t BgL_heapzd2compatible1153zd2_944, obj_t BgL_callcc1154z00_945,
		obj_t BgL_qualifiedzd2types1155zd2_946, obj_t BgL_effectzb21156zb2_947,
		obj_t BgL_removezd2emptyzd2let1157z00_948,
		obj_t BgL_foreignzd2closure1158zd2_949, obj_t BgL_typedzd2eq1159zd2_950,
		obj_t BgL_tracezd2support1160zd2_951,
		obj_t BgL_foreignzd2clausezd2suppo1161z00_952,
		obj_t BgL_debugzd2support1162zd2_953, obj_t BgL_pragmazd2support1163zd2_954,
		obj_t BgL_tvectorzd2descrzd2suppor1164z00_955,
		obj_t BgL_requirezd2tailc1165zd2_956, obj_t BgL_registers1166z00_957,
		obj_t BgL_pregisters1167z00_958, obj_t BgL_boundzd2check1168zd2_959,
		obj_t BgL_typezd2check1169zd2_960, obj_t BgL_typedzd2funcall1170zd2_961,
		obj_t BgL_qname1171z00_962, obj_t BgL_classes1172z00_963,
		obj_t BgL_currentzd2class1173zd2_964, obj_t BgL_declarations1174z00_965,
		obj_t BgL_fields1175z00_966, obj_t BgL_methods1176z00_967,
		obj_t BgL_currentzd2method1177zd2_968, obj_t BgL_code1178z00_969,
		obj_t BgL_lightzd2funcalls1179zd2_970, obj_t BgL_inline1180z00_971)
	{
		{	/* BackEnd/jvm_class.sch 99 */
			return
				BGl_makezd2jvmzd2zzbackend_jvm_classz00(BgL_language1142z00_933,
				BgL_srfi01143z00_934, BgL_name1144z00_935,
				BgL_externzd2variables1145zd2_936, BgL_externzd2functions1146zd2_937,
				BgL_externzd2types1147zd2_938, BgL_variables1148z00_939,
				BgL_functions1149z00_940, BgL_types1150z00_941,
				CBOOL(BgL_typed1151z00_942), BgL_heapzd2suffix1152zd2_943,
				BgL_heapzd2compatible1153zd2_944, CBOOL(BgL_callcc1154z00_945),
				CBOOL(BgL_qualifiedzd2types1155zd2_946),
				CBOOL(BgL_effectzb21156zb2_947),
				CBOOL(BgL_removezd2emptyzd2let1157z00_948),
				CBOOL(BgL_foreignzd2closure1158zd2_949),
				CBOOL(BgL_typedzd2eq1159zd2_950), CBOOL(BgL_tracezd2support1160zd2_951),
				BgL_foreignzd2clausezd2suppo1161z00_952, BgL_debugzd2support1162zd2_953,
				CBOOL(BgL_pragmazd2support1163zd2_954),
				CBOOL(BgL_tvectorzd2descrzd2suppor1164z00_955),
				CBOOL(BgL_requirezd2tailc1165zd2_956), BgL_registers1166z00_957,
				BgL_pregisters1167z00_958, CBOOL(BgL_boundzd2check1168zd2_959),
				CBOOL(BgL_typezd2check1169zd2_960),
				CBOOL(BgL_typedzd2funcall1170zd2_961), BgL_qname1171z00_962,
				BgL_classes1172z00_963, BgL_currentzd2class1173zd2_964,
				BgL_declarations1174z00_965, BgL_fields1175z00_966,
				BgL_methods1176z00_967, BgL_currentzd2method1177zd2_968,
				BgL_code1178z00_969, BgL_lightzd2funcalls1179zd2_970,
				BgL_inline1180z00_971);
		}

	}



/* jvm? */
	BGL_EXPORTED_DEF bool_t BGl_jvmzf3zf3zzbackend_jvm_classz00(obj_t
		BgL_objz00_42)
	{
		{	/* BackEnd/jvm_class.sch 100 */
			{	/* BackEnd/jvm_class.sch 100 */
				obj_t BgL_classz00_1324;

				BgL_classz00_1324 = BGl_jvmz00zzbackend_jvm_classz00;
				if (BGL_OBJECTP(BgL_objz00_42))
					{	/* BackEnd/jvm_class.sch 100 */
						BgL_objectz00_bglt BgL_arg1825z00_1325;

						BgL_arg1825z00_1325 = (BgL_objectz00_bglt) (BgL_objz00_42);
						{	/* BackEnd/jvm_class.sch 100 */
							bool_t BgL_arg1822z00_1326;
							bool_t BgL_arg1823z00_1327;

							{	/* BackEnd/jvm_class.sch 100 */
								long BgL_idxz00_1328;

								BgL_idxz00_1328 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1325);
								BgL_arg1822z00_1326 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_1328 + ((long) 3))) == BgL_classz00_1324);
							}
							{	/* BackEnd/jvm_class.sch 100 */
								bool_t BgL_res1501z00_1331;

								{	/* BackEnd/jvm_class.sch 100 */
									obj_t BgL_oclassz00_1332;

									{	/* BackEnd/jvm_class.sch 100 */
										long BgL_arg1833z00_1333;

										{	/* BackEnd/jvm_class.sch 100 */
											long BgL_arg1834z00_1334;

											BgL_arg1834z00_1334 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1325);
											BgL_arg1833z00_1333 = (BgL_arg1834z00_1334 - OBJECT_TYPE);
										}
										BgL_oclassz00_1332 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_1333);
									}
									{	/* BackEnd/jvm_class.sch 100 */
										bool_t BgL__ortest_1110z00_1335;

										BgL__ortest_1110z00_1335 =
											(BgL_classz00_1324 == BgL_oclassz00_1332);
										if (BgL__ortest_1110z00_1335)
											{	/* BackEnd/jvm_class.sch 100 */
												BgL_res1501z00_1331 = BgL__ortest_1110z00_1335;
											}
										else
											{	/* BackEnd/jvm_class.sch 100 */
												long BgL_odepthz00_1336;

												BgL_odepthz00_1336 =
													BGL_CLASS_DEPTH(BgL_oclassz00_1332);
												if ((((long) 3) < BgL_odepthz00_1336))
													{	/* BackEnd/jvm_class.sch 100 */
														obj_t BgL_arg1821z00_1337;

														BgL_arg1821z00_1337 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1332,
															((long) 3));
														BgL_res1501z00_1331 =
															(BgL_arg1821z00_1337 == BgL_classz00_1324);
													}
												else
													{	/* BackEnd/jvm_class.sch 100 */
														BgL_res1501z00_1331 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_1327 = BgL_res1501z00_1331;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_1326, BgL_arg1823z00_1327);
						}
					}
				else
					{	/* BackEnd/jvm_class.sch 100 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &jvm? */
	obj_t BGl_z62jvmzf3z91zzbackend_jvm_classz00(obj_t BgL_envz00_972,
		obj_t BgL_objz00_973)
	{
		{	/* BackEnd/jvm_class.sch 100 */
			return BBOOL(BGl_jvmzf3zf3zzbackend_jvm_classz00(BgL_objz00_973));
		}

	}



/* jvm-nil */
	BGL_EXPORTED_DEF BgL_jvmz00_bglt BGl_jvmzd2nilzd2zzbackend_jvm_classz00()
	{
		{	/* BackEnd/jvm_class.sch 101 */
			{	/* BackEnd/jvm_class.sch 101 */
				obj_t BgL_classz00_832;

				BgL_classz00_832 = BGl_jvmz00zzbackend_jvm_classz00;
				{	/* BackEnd/jvm_class.sch 101 */
					obj_t BgL__ortest_1112z00_833;

					BgL__ortest_1112z00_833 = BGL_CLASS_NIL(BgL_classz00_832);
					if (CBOOL(BgL__ortest_1112z00_833))
						{	/* BackEnd/jvm_class.sch 101 */
							return ((BgL_jvmz00_bglt) BgL__ortest_1112z00_833);
						}
					else
						{	/* BackEnd/jvm_class.sch 101 */
							return
								((BgL_jvmz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_832));
						}
				}
			}
		}

	}



/* &jvm-nil */
	BgL_jvmz00_bglt BGl_z62jvmzd2nilzb0zzbackend_jvm_classz00(obj_t
		BgL_envz00_974)
	{
		{	/* BackEnd/jvm_class.sch 101 */
			return BGl_jvmzd2nilzd2zzbackend_jvm_classz00();
		}

	}



/* jvm-inline */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2inlinezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_43)
	{
		{	/* BackEnd/jvm_class.sch 102 */
			return (((BgL_jvmz00_bglt) COBJECT(BgL_oz00_43))->BgL_inlinez00);
		}

	}



/* &jvm-inline */
	obj_t BGl_z62jvmzd2inlinezb0zzbackend_jvm_classz00(obj_t BgL_envz00_975,
		obj_t BgL_oz00_976)
	{
		{	/* BackEnd/jvm_class.sch 102 */
			return
				BGl_jvmzd2inlinezd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_976));
		}

	}



/* jvm-inline-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2inlinezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* BackEnd/jvm_class.sch 103 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_44))->BgL_inlinez00) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &jvm-inline-set! */
	obj_t BGl_z62jvmzd2inlinezd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_977, obj_t BgL_oz00_978, obj_t BgL_vz00_979)
	{
		{	/* BackEnd/jvm_class.sch 103 */
			return
				BGl_jvmzd2inlinezd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_978), BgL_vz00_979);
		}

	}



/* jvm-light-funcalls */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2lightzd2funcallsz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_46)
	{
		{	/* BackEnd/jvm_class.sch 104 */
			return
				(((BgL_jvmz00_bglt) COBJECT(BgL_oz00_46))->BgL_lightzd2funcallszd2);
		}

	}



/* &jvm-light-funcalls */
	obj_t BGl_z62jvmzd2lightzd2funcallsz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_980, obj_t BgL_oz00_981)
	{
		{	/* BackEnd/jvm_class.sch 104 */
			return
				BGl_jvmzd2lightzd2funcallsz00zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_981));
		}

	}



/* jvm-light-funcalls-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2lightzd2funcallszd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* BackEnd/jvm_class.sch 105 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_47))->BgL_lightzd2funcallszd2) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &jvm-light-funcalls-set! */
	obj_t BGl_z62jvmzd2lightzd2funcallszd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_982, obj_t BgL_oz00_983, obj_t BgL_vz00_984)
	{
		{	/* BackEnd/jvm_class.sch 105 */
			return
				BGl_jvmzd2lightzd2funcallszd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_983), BgL_vz00_984);
		}

	}



/* jvm-code */
	BGL_EXPORTED_DEF obj_t BGl_jvmzd2codezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_49)
	{
		{	/* BackEnd/jvm_class.sch 106 */
			return (((BgL_jvmz00_bglt) COBJECT(BgL_oz00_49))->BgL_codez00);
		}

	}



/* &jvm-code */
	obj_t BGl_z62jvmzd2codezb0zzbackend_jvm_classz00(obj_t BgL_envz00_985,
		obj_t BgL_oz00_986)
	{
		{	/* BackEnd/jvm_class.sch 106 */
			return
				BGl_jvmzd2codezd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_986));
		}

	}



/* jvm-code-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2codezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_50, obj_t BgL_vz00_51)
	{
		{	/* BackEnd/jvm_class.sch 107 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_50))->BgL_codez00) =
				((obj_t) BgL_vz00_51), BUNSPEC);
		}

	}



/* &jvm-code-set! */
	obj_t BGl_z62jvmzd2codezd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_987, obj_t BgL_oz00_988, obj_t BgL_vz00_989)
	{
		{	/* BackEnd/jvm_class.sch 107 */
			return
				BGl_jvmzd2codezd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_988), BgL_vz00_989);
		}

	}



/* jvm-current-method */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2currentzd2methodz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_52)
	{
		{	/* BackEnd/jvm_class.sch 108 */
			return
				(((BgL_jvmz00_bglt) COBJECT(BgL_oz00_52))->BgL_currentzd2methodzd2);
		}

	}



/* &jvm-current-method */
	obj_t BGl_z62jvmzd2currentzd2methodz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_990, obj_t BgL_oz00_991)
	{
		{	/* BackEnd/jvm_class.sch 108 */
			return
				BGl_jvmzd2currentzd2methodz00zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_991));
		}

	}



/* jvm-current-method-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2currentzd2methodzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_53, obj_t BgL_vz00_54)
	{
		{	/* BackEnd/jvm_class.sch 109 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_53))->BgL_currentzd2methodzd2) =
				((obj_t) BgL_vz00_54), BUNSPEC);
		}

	}



/* &jvm-current-method-set! */
	obj_t BGl_z62jvmzd2currentzd2methodzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_992, obj_t BgL_oz00_993, obj_t BgL_vz00_994)
	{
		{	/* BackEnd/jvm_class.sch 109 */
			return
				BGl_jvmzd2currentzd2methodzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_993), BgL_vz00_994);
		}

	}



/* jvm-methods */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2methodszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_55)
	{
		{	/* BackEnd/jvm_class.sch 110 */
			return (((BgL_jvmz00_bglt) COBJECT(BgL_oz00_55))->BgL_methodsz00);
		}

	}



/* &jvm-methods */
	obj_t BGl_z62jvmzd2methodszb0zzbackend_jvm_classz00(obj_t BgL_envz00_995,
		obj_t BgL_oz00_996)
	{
		{	/* BackEnd/jvm_class.sch 110 */
			return
				BGl_jvmzd2methodszd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_996));
		}

	}



/* jvm-methods-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2methodszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_56, obj_t BgL_vz00_57)
	{
		{	/* BackEnd/jvm_class.sch 111 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_56))->BgL_methodsz00) =
				((obj_t) BgL_vz00_57), BUNSPEC);
		}

	}



/* &jvm-methods-set! */
	obj_t BGl_z62jvmzd2methodszd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_997, obj_t BgL_oz00_998, obj_t BgL_vz00_999)
	{
		{	/* BackEnd/jvm_class.sch 111 */
			return
				BGl_jvmzd2methodszd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_998), BgL_vz00_999);
		}

	}



/* jvm-fields */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2fieldszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_58)
	{
		{	/* BackEnd/jvm_class.sch 112 */
			return (((BgL_jvmz00_bglt) COBJECT(BgL_oz00_58))->BgL_fieldsz00);
		}

	}



/* &jvm-fields */
	obj_t BGl_z62jvmzd2fieldszb0zzbackend_jvm_classz00(obj_t BgL_envz00_1000,
		obj_t BgL_oz00_1001)
	{
		{	/* BackEnd/jvm_class.sch 112 */
			return
				BGl_jvmzd2fieldszd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1001));
		}

	}



/* jvm-fields-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2fieldszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* BackEnd/jvm_class.sch 113 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_59))->BgL_fieldsz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &jvm-fields-set! */
	obj_t BGl_z62jvmzd2fieldszd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1002, obj_t BgL_oz00_1003, obj_t BgL_vz00_1004)
	{
		{	/* BackEnd/jvm_class.sch 113 */
			return
				BGl_jvmzd2fieldszd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1003), BgL_vz00_1004);
		}

	}



/* jvm-declarations */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2declarationszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_61)
	{
		{	/* BackEnd/jvm_class.sch 114 */
			return (((BgL_jvmz00_bglt) COBJECT(BgL_oz00_61))->BgL_declarationsz00);
		}

	}



/* &jvm-declarations */
	obj_t BGl_z62jvmzd2declarationszb0zzbackend_jvm_classz00(obj_t
		BgL_envz00_1005, obj_t BgL_oz00_1006)
	{
		{	/* BackEnd/jvm_class.sch 114 */
			return
				BGl_jvmzd2declarationszd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1006));
		}

	}



/* jvm-declarations-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2declarationszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_62, obj_t BgL_vz00_63)
	{
		{	/* BackEnd/jvm_class.sch 115 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_62))->BgL_declarationsz00) =
				((obj_t) BgL_vz00_63), BUNSPEC);
		}

	}



/* &jvm-declarations-set! */
	obj_t BGl_z62jvmzd2declarationszd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1007, obj_t BgL_oz00_1008, obj_t BgL_vz00_1009)
	{
		{	/* BackEnd/jvm_class.sch 115 */
			return
				BGl_jvmzd2declarationszd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1008), BgL_vz00_1009);
		}

	}



/* jvm-current-class */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2currentzd2classz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_64)
	{
		{	/* BackEnd/jvm_class.sch 116 */
			return (((BgL_jvmz00_bglt) COBJECT(BgL_oz00_64))->BgL_currentzd2classzd2);
		}

	}



/* &jvm-current-class */
	obj_t BGl_z62jvmzd2currentzd2classz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1010, obj_t BgL_oz00_1011)
	{
		{	/* BackEnd/jvm_class.sch 116 */
			return
				BGl_jvmzd2currentzd2classz00zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1011));
		}

	}



/* jvm-current-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2currentzd2classzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_65, obj_t BgL_vz00_66)
	{
		{	/* BackEnd/jvm_class.sch 117 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_65))->BgL_currentzd2classzd2) =
				((obj_t) BgL_vz00_66), BUNSPEC);
		}

	}



/* &jvm-current-class-set! */
	obj_t BGl_z62jvmzd2currentzd2classzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1012, obj_t BgL_oz00_1013, obj_t BgL_vz00_1014)
	{
		{	/* BackEnd/jvm_class.sch 117 */
			return
				BGl_jvmzd2currentzd2classzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1013), BgL_vz00_1014);
		}

	}



/* jvm-classes */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2classeszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_67)
	{
		{	/* BackEnd/jvm_class.sch 118 */
			return (((BgL_jvmz00_bglt) COBJECT(BgL_oz00_67))->BgL_classesz00);
		}

	}



/* &jvm-classes */
	obj_t BGl_z62jvmzd2classeszb0zzbackend_jvm_classz00(obj_t BgL_envz00_1015,
		obj_t BgL_oz00_1016)
	{
		{	/* BackEnd/jvm_class.sch 118 */
			return
				BGl_jvmzd2classeszd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1016));
		}

	}



/* jvm-classes-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2classeszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_68, obj_t BgL_vz00_69)
	{
		{	/* BackEnd/jvm_class.sch 119 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_68))->BgL_classesz00) =
				((obj_t) BgL_vz00_69), BUNSPEC);
		}

	}



/* &jvm-classes-set! */
	obj_t BGl_z62jvmzd2classeszd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1017, obj_t BgL_oz00_1018, obj_t BgL_vz00_1019)
	{
		{	/* BackEnd/jvm_class.sch 119 */
			return
				BGl_jvmzd2classeszd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1018), BgL_vz00_1019);
		}

	}



/* jvm-qname */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2qnamezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_70)
	{
		{	/* BackEnd/jvm_class.sch 120 */
			return (((BgL_jvmz00_bglt) COBJECT(BgL_oz00_70))->BgL_qnamez00);
		}

	}



/* &jvm-qname */
	obj_t BGl_z62jvmzd2qnamezb0zzbackend_jvm_classz00(obj_t BgL_envz00_1020,
		obj_t BgL_oz00_1021)
	{
		{	/* BackEnd/jvm_class.sch 120 */
			return
				BGl_jvmzd2qnamezd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1021));
		}

	}



/* jvm-qname-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2qnamezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_71, obj_t BgL_vz00_72)
	{
		{	/* BackEnd/jvm_class.sch 121 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_71))->BgL_qnamez00) =
				((obj_t) BgL_vz00_72), BUNSPEC);
		}

	}



/* &jvm-qname-set! */
	obj_t BGl_z62jvmzd2qnamezd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1022, obj_t BgL_oz00_1023, obj_t BgL_vz00_1024)
	{
		{	/* BackEnd/jvm_class.sch 121 */
			return
				BGl_jvmzd2qnamezd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1023), BgL_vz00_1024);
		}

	}



/* jvm-typed-funcall */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2typedzd2funcallz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_73)
	{
		{	/* BackEnd/jvm_class.sch 122 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_73)))->BgL_typedzd2funcallzd2);
		}

	}



/* &jvm-typed-funcall */
	obj_t BGl_z62jvmzd2typedzd2funcallz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1025, obj_t BgL_oz00_1026)
	{
		{	/* BackEnd/jvm_class.sch 122 */
			return
				BBOOL(BGl_jvmzd2typedzd2funcallz00zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1026)));
		}

	}



/* jvm-typed-funcall-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2typedzd2funcallzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_74, bool_t BgL_vz00_75)
	{
		{	/* BackEnd/jvm_class.sch 123 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_74)))->BgL_typedzd2funcallzd2) =
				((bool_t) BgL_vz00_75), BUNSPEC);
		}

	}



/* &jvm-typed-funcall-set! */
	obj_t BGl_z62jvmzd2typedzd2funcallzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1027, obj_t BgL_oz00_1028, obj_t BgL_vz00_1029)
	{
		{	/* BackEnd/jvm_class.sch 123 */
			return
				BGl_jvmzd2typedzd2funcallzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1028), CBOOL(BgL_vz00_1029));
		}

	}



/* jvm-type-check */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2typezd2checkz00zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_76)
	{
		{	/* BackEnd/jvm_class.sch 124 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_76)))->BgL_typezd2checkzd2);
		}

	}



/* &jvm-type-check */
	obj_t BGl_z62jvmzd2typezd2checkz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1030, obj_t BgL_oz00_1031)
	{
		{	/* BackEnd/jvm_class.sch 124 */
			return
				BBOOL(BGl_jvmzd2typezd2checkz00zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1031)));
		}

	}



/* jvm-type-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2typezd2checkzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_77, bool_t BgL_vz00_78)
	{
		{	/* BackEnd/jvm_class.sch 125 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_77)))->BgL_typezd2checkzd2) =
				((bool_t) BgL_vz00_78), BUNSPEC);
		}

	}



/* &jvm-type-check-set! */
	obj_t BGl_z62jvmzd2typezd2checkzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1032, obj_t BgL_oz00_1033, obj_t BgL_vz00_1034)
	{
		{	/* BackEnd/jvm_class.sch 125 */
			return
				BGl_jvmzd2typezd2checkzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1033), CBOOL(BgL_vz00_1034));
		}

	}



/* jvm-bound-check */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2boundzd2checkz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_79)
	{
		{	/* BackEnd/jvm_class.sch 126 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_79)))->BgL_boundzd2checkzd2);
		}

	}



/* &jvm-bound-check */
	obj_t BGl_z62jvmzd2boundzd2checkz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1035, obj_t BgL_oz00_1036)
	{
		{	/* BackEnd/jvm_class.sch 126 */
			return
				BBOOL(BGl_jvmzd2boundzd2checkz00zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1036)));
		}

	}



/* jvm-bound-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2boundzd2checkzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_80, bool_t BgL_vz00_81)
	{
		{	/* BackEnd/jvm_class.sch 127 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_80)))->BgL_boundzd2checkzd2) =
				((bool_t) BgL_vz00_81), BUNSPEC);
		}

	}



/* &jvm-bound-check-set! */
	obj_t BGl_z62jvmzd2boundzd2checkzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1037, obj_t BgL_oz00_1038, obj_t BgL_vz00_1039)
	{
		{	/* BackEnd/jvm_class.sch 127 */
			return
				BGl_jvmzd2boundzd2checkzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1038), CBOOL(BgL_vz00_1039));
		}

	}



/* jvm-pregisters */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2pregisterszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_82)
	{
		{	/* BackEnd/jvm_class.sch 128 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_82)))->BgL_pregistersz00);
		}

	}



/* &jvm-pregisters */
	obj_t BGl_z62jvmzd2pregisterszb0zzbackend_jvm_classz00(obj_t BgL_envz00_1040,
		obj_t BgL_oz00_1041)
	{
		{	/* BackEnd/jvm_class.sch 128 */
			return
				BGl_jvmzd2pregisterszd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1041));
		}

	}



/* jvm-pregisters-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2pregisterszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_83, obj_t BgL_vz00_84)
	{
		{	/* BackEnd/jvm_class.sch 129 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_83)))->BgL_pregistersz00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}

	}



/* &jvm-pregisters-set! */
	obj_t BGl_z62jvmzd2pregisterszd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1042, obj_t BgL_oz00_1043, obj_t BgL_vz00_1044)
	{
		{	/* BackEnd/jvm_class.sch 129 */
			return
				BGl_jvmzd2pregisterszd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1043), BgL_vz00_1044);
		}

	}



/* jvm-registers */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2registerszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_85)
	{
		{	/* BackEnd/jvm_class.sch 130 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_85)))->BgL_registersz00);
		}

	}



/* &jvm-registers */
	obj_t BGl_z62jvmzd2registerszb0zzbackend_jvm_classz00(obj_t BgL_envz00_1045,
		obj_t BgL_oz00_1046)
	{
		{	/* BackEnd/jvm_class.sch 130 */
			return
				BGl_jvmzd2registerszd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1046));
		}

	}



/* jvm-registers-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2registerszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_86, obj_t BgL_vz00_87)
	{
		{	/* BackEnd/jvm_class.sch 131 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_86)))->BgL_registersz00) =
				((obj_t) BgL_vz00_87), BUNSPEC);
		}

	}



/* &jvm-registers-set! */
	obj_t BGl_z62jvmzd2registerszd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1047, obj_t BgL_oz00_1048, obj_t BgL_vz00_1049)
	{
		{	/* BackEnd/jvm_class.sch 131 */
			return
				BGl_jvmzd2registerszd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1048), BgL_vz00_1049);
		}

	}



/* jvm-require-tailc */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2requirezd2tailcz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_88)
	{
		{	/* BackEnd/jvm_class.sch 132 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_88)))->BgL_requirezd2tailczd2);
		}

	}



/* &jvm-require-tailc */
	obj_t BGl_z62jvmzd2requirezd2tailcz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1050, obj_t BgL_oz00_1051)
	{
		{	/* BackEnd/jvm_class.sch 132 */
			return
				BBOOL(BGl_jvmzd2requirezd2tailcz00zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1051)));
		}

	}



/* jvm-require-tailc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2requirezd2tailczd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_89, bool_t BgL_vz00_90)
	{
		{	/* BackEnd/jvm_class.sch 133 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_89)))->BgL_requirezd2tailczd2) =
				((bool_t) BgL_vz00_90), BUNSPEC);
		}

	}



/* &jvm-require-tailc-set! */
	obj_t BGl_z62jvmzd2requirezd2tailczd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1052, obj_t BgL_oz00_1053, obj_t BgL_vz00_1054)
	{
		{	/* BackEnd/jvm_class.sch 133 */
			return
				BGl_jvmzd2requirezd2tailczd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1053), CBOOL(BgL_vz00_1054));
		}

	}



/* jvm-tvector-descr-support */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2tvectorzd2descrzd2supportzd2zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_91)
	{
		{	/* BackEnd/jvm_class.sch 134 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_91)))->
				BgL_tvectorzd2descrzd2supportz00);
		}

	}



/* &jvm-tvector-descr-support */
	obj_t BGl_z62jvmzd2tvectorzd2descrzd2supportzb0zzbackend_jvm_classz00(obj_t
		BgL_envz00_1055, obj_t BgL_oz00_1056)
	{
		{	/* BackEnd/jvm_class.sch 134 */
			return
				BBOOL(BGl_jvmzd2tvectorzd2descrzd2supportzd2zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1056)));
		}

	}



/* jvm-tvector-descr-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_jvm_classz00
		(BgL_jvmz00_bglt BgL_oz00_92, bool_t BgL_vz00_93)
	{
		{	/* BackEnd/jvm_class.sch 135 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_92)))->
					BgL_tvectorzd2descrzd2supportz00) = ((bool_t) BgL_vz00_93), BUNSPEC);
		}

	}



/* &jvm-tvector-descr-support-set! */
	obj_t
		BGl_z62jvmzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_jvm_classz00
		(obj_t BgL_envz00_1057, obj_t BgL_oz00_1058, obj_t BgL_vz00_1059)
	{
		{	/* BackEnd/jvm_class.sch 135 */
			return
				BGl_jvmzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1058), CBOOL(BgL_vz00_1059));
		}

	}



/* jvm-pragma-support */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2pragmazd2supportz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_94)
	{
		{	/* BackEnd/jvm_class.sch 136 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_94)))->BgL_pragmazd2supportzd2);
		}

	}



/* &jvm-pragma-support */
	obj_t BGl_z62jvmzd2pragmazd2supportz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1060, obj_t BgL_oz00_1061)
	{
		{	/* BackEnd/jvm_class.sch 136 */
			return
				BBOOL(BGl_jvmzd2pragmazd2supportz00zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1061)));
		}

	}



/* jvm-pragma-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2pragmazd2supportzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_95, bool_t BgL_vz00_96)
	{
		{	/* BackEnd/jvm_class.sch 137 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_95)))->BgL_pragmazd2supportzd2) =
				((bool_t) BgL_vz00_96), BUNSPEC);
		}

	}



/* &jvm-pragma-support-set! */
	obj_t BGl_z62jvmzd2pragmazd2supportzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1062, obj_t BgL_oz00_1063, obj_t BgL_vz00_1064)
	{
		{	/* BackEnd/jvm_class.sch 137 */
			return
				BGl_jvmzd2pragmazd2supportzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1063), CBOOL(BgL_vz00_1064));
		}

	}



/* jvm-debug-support */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2debugzd2supportz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_97)
	{
		{	/* BackEnd/jvm_class.sch 138 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_97)))->BgL_debugzd2supportzd2);
		}

	}



/* &jvm-debug-support */
	obj_t BGl_z62jvmzd2debugzd2supportz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1065, obj_t BgL_oz00_1066)
	{
		{	/* BackEnd/jvm_class.sch 138 */
			return
				BGl_jvmzd2debugzd2supportz00zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1066));
		}

	}



/* jvm-debug-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2debugzd2supportzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_98, obj_t BgL_vz00_99)
	{
		{	/* BackEnd/jvm_class.sch 139 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_98)))->BgL_debugzd2supportzd2) =
				((obj_t) BgL_vz00_99), BUNSPEC);
		}

	}



/* &jvm-debug-support-set! */
	obj_t BGl_z62jvmzd2debugzd2supportzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1067, obj_t BgL_oz00_1068, obj_t BgL_vz00_1069)
	{
		{	/* BackEnd/jvm_class.sch 139 */
			return
				BGl_jvmzd2debugzd2supportzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1068), BgL_vz00_1069);
		}

	}



/* jvm-foreign-clause-support */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2foreignzd2clausezd2supportzd2zzbackend_jvm_classz00
		(BgL_jvmz00_bglt BgL_oz00_100)
	{
		{	/* BackEnd/jvm_class.sch 140 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_100)))->
				BgL_foreignzd2clausezd2supportz00);
		}

	}



/* &jvm-foreign-clause-support */
	obj_t BGl_z62jvmzd2foreignzd2clausezd2supportzb0zzbackend_jvm_classz00(obj_t
		BgL_envz00_1070, obj_t BgL_oz00_1071)
	{
		{	/* BackEnd/jvm_class.sch 140 */
			return
				BGl_jvmzd2foreignzd2clausezd2supportzd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1071));
		}

	}



/* jvm-foreign-clause-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_jvm_classz00
		(BgL_jvmz00_bglt BgL_oz00_101, obj_t BgL_vz00_102)
	{
		{	/* BackEnd/jvm_class.sch 141 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_101)))->
					BgL_foreignzd2clausezd2supportz00) = ((obj_t) BgL_vz00_102), BUNSPEC);
		}

	}



/* &jvm-foreign-clause-support-set! */
	obj_t
		BGl_z62jvmzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_jvm_classz00
		(obj_t BgL_envz00_1072, obj_t BgL_oz00_1073, obj_t BgL_vz00_1074)
	{
		{	/* BackEnd/jvm_class.sch 141 */
			return
				BGl_jvmzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1073), BgL_vz00_1074);
		}

	}



/* jvm-trace-support */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2tracezd2supportz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_103)
	{
		{	/* BackEnd/jvm_class.sch 142 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_103)))->BgL_tracezd2supportzd2);
		}

	}



/* &jvm-trace-support */
	obj_t BGl_z62jvmzd2tracezd2supportz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1075, obj_t BgL_oz00_1076)
	{
		{	/* BackEnd/jvm_class.sch 142 */
			return
				BBOOL(BGl_jvmzd2tracezd2supportz00zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1076)));
		}

	}



/* jvm-trace-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2tracezd2supportzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_104, bool_t BgL_vz00_105)
	{
		{	/* BackEnd/jvm_class.sch 143 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_104)))->BgL_tracezd2supportzd2) =
				((bool_t) BgL_vz00_105), BUNSPEC);
		}

	}



/* &jvm-trace-support-set! */
	obj_t BGl_z62jvmzd2tracezd2supportzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1077, obj_t BgL_oz00_1078, obj_t BgL_vz00_1079)
	{
		{	/* BackEnd/jvm_class.sch 143 */
			return
				BGl_jvmzd2tracezd2supportzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1078), CBOOL(BgL_vz00_1079));
		}

	}



/* jvm-typed-eq */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2typedzd2eqz00zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_106)
	{
		{	/* BackEnd/jvm_class.sch 144 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_106)))->BgL_typedzd2eqzd2);
		}

	}



/* &jvm-typed-eq */
	obj_t BGl_z62jvmzd2typedzd2eqz62zzbackend_jvm_classz00(obj_t BgL_envz00_1080,
		obj_t BgL_oz00_1081)
	{
		{	/* BackEnd/jvm_class.sch 144 */
			return
				BBOOL(BGl_jvmzd2typedzd2eqz00zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1081)));
		}

	}



/* jvm-typed-eq-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2typedzd2eqzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_107, bool_t BgL_vz00_108)
	{
		{	/* BackEnd/jvm_class.sch 145 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_107)))->BgL_typedzd2eqzd2) =
				((bool_t) BgL_vz00_108), BUNSPEC);
		}

	}



/* &jvm-typed-eq-set! */
	obj_t BGl_z62jvmzd2typedzd2eqzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1082, obj_t BgL_oz00_1083, obj_t BgL_vz00_1084)
	{
		{	/* BackEnd/jvm_class.sch 145 */
			return
				BGl_jvmzd2typedzd2eqzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1083), CBOOL(BgL_vz00_1084));
		}

	}



/* jvm-foreign-closure */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2foreignzd2closurez00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_109)
	{
		{	/* BackEnd/jvm_class.sch 146 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_109)))->BgL_foreignzd2closurezd2);
		}

	}



/* &jvm-foreign-closure */
	obj_t BGl_z62jvmzd2foreignzd2closurez62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1085, obj_t BgL_oz00_1086)
	{
		{	/* BackEnd/jvm_class.sch 146 */
			return
				BBOOL(BGl_jvmzd2foreignzd2closurez00zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1086)));
		}

	}



/* jvm-foreign-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2foreignzd2closurezd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt BgL_oz00_110, bool_t BgL_vz00_111)
	{
		{	/* BackEnd/jvm_class.sch 147 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_110)))->
					BgL_foreignzd2closurezd2) = ((bool_t) BgL_vz00_111), BUNSPEC);
		}

	}



/* &jvm-foreign-closure-set! */
	obj_t BGl_z62jvmzd2foreignzd2closurezd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1087, obj_t BgL_oz00_1088, obj_t BgL_vz00_1089)
	{
		{	/* BackEnd/jvm_class.sch 147 */
			return
				BGl_jvmzd2foreignzd2closurezd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1088), CBOOL(BgL_vz00_1089));
		}

	}



/* jvm-remove-empty-let */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2removezd2emptyzd2letzd2zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_112)
	{
		{	/* BackEnd/jvm_class.sch 148 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_112)))->
				BgL_removezd2emptyzd2letz00);
		}

	}



/* &jvm-remove-empty-let */
	obj_t BGl_z62jvmzd2removezd2emptyzd2letzb0zzbackend_jvm_classz00(obj_t
		BgL_envz00_1090, obj_t BgL_oz00_1091)
	{
		{	/* BackEnd/jvm_class.sch 148 */
			return
				BBOOL(BGl_jvmzd2removezd2emptyzd2letzd2zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1091)));
		}

	}



/* jvm-remove-empty-let-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2removezd2emptyzd2letzd2setz12z12zzbackend_jvm_classz00
		(BgL_jvmz00_bglt BgL_oz00_113, bool_t BgL_vz00_114)
	{
		{	/* BackEnd/jvm_class.sch 149 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_113)))->
					BgL_removezd2emptyzd2letz00) = ((bool_t) BgL_vz00_114), BUNSPEC);
		}

	}



/* &jvm-remove-empty-let-set! */
	obj_t
		BGl_z62jvmzd2removezd2emptyzd2letzd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1092, obj_t BgL_oz00_1093, obj_t BgL_vz00_1094)
	{
		{	/* BackEnd/jvm_class.sch 149 */
			return
				BGl_jvmzd2removezd2emptyzd2letzd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1093), CBOOL(BgL_vz00_1094));
		}

	}



/* jvm-effect+ */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2effectzb2z60zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_115)
	{
		{	/* BackEnd/jvm_class.sch 150 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_115)))->BgL_effectzb2zb2);
		}

	}



/* &jvm-effect+ */
	obj_t BGl_z62jvmzd2effectzb2z02zzbackend_jvm_classz00(obj_t BgL_envz00_1095,
		obj_t BgL_oz00_1096)
	{
		{	/* BackEnd/jvm_class.sch 150 */
			return
				BBOOL(BGl_jvmzd2effectzb2z60zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1096)));
		}

	}



/* jvm-effect+-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2effectzb2zd2setz12za0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_116, bool_t BgL_vz00_117)
	{
		{	/* BackEnd/jvm_class.sch 151 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_116)))->BgL_effectzb2zb2) =
				((bool_t) BgL_vz00_117), BUNSPEC);
		}

	}



/* &jvm-effect+-set! */
	obj_t BGl_z62jvmzd2effectzb2zd2setz12zc2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1097, obj_t BgL_oz00_1098, obj_t BgL_vz00_1099)
	{
		{	/* BackEnd/jvm_class.sch 151 */
			return
				BGl_jvmzd2effectzb2zd2setz12za0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1098), CBOOL(BgL_vz00_1099));
		}

	}



/* jvm-qualified-types */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2qualifiedzd2typesz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_118)
	{
		{	/* BackEnd/jvm_class.sch 152 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_118)))->BgL_qualifiedzd2typeszd2);
		}

	}



/* &jvm-qualified-types */
	obj_t BGl_z62jvmzd2qualifiedzd2typesz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1100, obj_t BgL_oz00_1101)
	{
		{	/* BackEnd/jvm_class.sch 152 */
			return
				BBOOL(BGl_jvmzd2qualifiedzd2typesz00zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1101)));
		}

	}



/* jvm-qualified-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2qualifiedzd2typeszd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt BgL_oz00_119, bool_t BgL_vz00_120)
	{
		{	/* BackEnd/jvm_class.sch 153 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_119)))->
					BgL_qualifiedzd2typeszd2) = ((bool_t) BgL_vz00_120), BUNSPEC);
		}

	}



/* &jvm-qualified-types-set! */
	obj_t BGl_z62jvmzd2qualifiedzd2typeszd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1102, obj_t BgL_oz00_1103, obj_t BgL_vz00_1104)
	{
		{	/* BackEnd/jvm_class.sch 153 */
			return
				BGl_jvmzd2qualifiedzd2typeszd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1103), CBOOL(BgL_vz00_1104));
		}

	}



/* jvm-callcc */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2callcczd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_121)
	{
		{	/* BackEnd/jvm_class.sch 154 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_121)))->BgL_callccz00);
		}

	}



/* &jvm-callcc */
	obj_t BGl_z62jvmzd2callcczb0zzbackend_jvm_classz00(obj_t BgL_envz00_1105,
		obj_t BgL_oz00_1106)
	{
		{	/* BackEnd/jvm_class.sch 154 */
			return
				BBOOL(BGl_jvmzd2callcczd2zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1106)));
		}

	}



/* jvm-callcc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2callcczd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_122, bool_t BgL_vz00_123)
	{
		{	/* BackEnd/jvm_class.sch 155 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_122)))->BgL_callccz00) =
				((bool_t) BgL_vz00_123), BUNSPEC);
		}

	}



/* &jvm-callcc-set! */
	obj_t BGl_z62jvmzd2callcczd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1107, obj_t BgL_oz00_1108, obj_t BgL_vz00_1109)
	{
		{	/* BackEnd/jvm_class.sch 155 */
			return
				BGl_jvmzd2callcczd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1108), CBOOL(BgL_vz00_1109));
		}

	}



/* jvm-heap-compatible */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2heapzd2compatiblez00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_124)
	{
		{	/* BackEnd/jvm_class.sch 156 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_124)))->BgL_heapzd2compatiblezd2);
		}

	}



/* &jvm-heap-compatible */
	obj_t BGl_z62jvmzd2heapzd2compatiblez62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1110, obj_t BgL_oz00_1111)
	{
		{	/* BackEnd/jvm_class.sch 156 */
			return
				BGl_jvmzd2heapzd2compatiblez00zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1111));
		}

	}



/* jvm-heap-compatible-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2heapzd2compatiblezd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt BgL_oz00_125, obj_t BgL_vz00_126)
	{
		{	/* BackEnd/jvm_class.sch 157 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_125)))->
					BgL_heapzd2compatiblezd2) = ((obj_t) BgL_vz00_126), BUNSPEC);
		}

	}



/* &jvm-heap-compatible-set! */
	obj_t BGl_z62jvmzd2heapzd2compatiblezd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1112, obj_t BgL_oz00_1113, obj_t BgL_vz00_1114)
	{
		{	/* BackEnd/jvm_class.sch 157 */
			return
				BGl_jvmzd2heapzd2compatiblezd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1113), BgL_vz00_1114);
		}

	}



/* jvm-heap-suffix */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2heapzd2suffixz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_127)
	{
		{	/* BackEnd/jvm_class.sch 158 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_127)))->BgL_heapzd2suffixzd2);
		}

	}



/* &jvm-heap-suffix */
	obj_t BGl_z62jvmzd2heapzd2suffixz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1115, obj_t BgL_oz00_1116)
	{
		{	/* BackEnd/jvm_class.sch 158 */
			return
				BGl_jvmzd2heapzd2suffixz00zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1116));
		}

	}



/* jvm-heap-suffix-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2heapzd2suffixzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_128, obj_t BgL_vz00_129)
	{
		{	/* BackEnd/jvm_class.sch 159 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_128)))->BgL_heapzd2suffixzd2) =
				((obj_t) BgL_vz00_129), BUNSPEC);
		}

	}



/* &jvm-heap-suffix-set! */
	obj_t BGl_z62jvmzd2heapzd2suffixzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1117, obj_t BgL_oz00_1118, obj_t BgL_vz00_1119)
	{
		{	/* BackEnd/jvm_class.sch 159 */
			return
				BGl_jvmzd2heapzd2suffixzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1118), BgL_vz00_1119);
		}

	}



/* jvm-typed */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2typedzd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_130)
	{
		{	/* BackEnd/jvm_class.sch 160 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_130)))->BgL_typedz00);
		}

	}



/* &jvm-typed */
	obj_t BGl_z62jvmzd2typedzb0zzbackend_jvm_classz00(obj_t BgL_envz00_1120,
		obj_t BgL_oz00_1121)
	{
		{	/* BackEnd/jvm_class.sch 160 */
			return
				BBOOL(BGl_jvmzd2typedzd2zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1121)));
		}

	}



/* jvm-typed-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2typedzd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_131, bool_t BgL_vz00_132)
	{
		{	/* BackEnd/jvm_class.sch 161 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_131)))->BgL_typedz00) =
				((bool_t) BgL_vz00_132), BUNSPEC);
		}

	}



/* &jvm-typed-set! */
	obj_t BGl_z62jvmzd2typedzd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1122, obj_t BgL_oz00_1123, obj_t BgL_vz00_1124)
	{
		{	/* BackEnd/jvm_class.sch 161 */
			return
				BGl_jvmzd2typedzd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1123), CBOOL(BgL_vz00_1124));
		}

	}



/* jvm-types */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2typeszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_133)
	{
		{	/* BackEnd/jvm_class.sch 162 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_133)))->BgL_typesz00);
		}

	}



/* &jvm-types */
	obj_t BGl_z62jvmzd2typeszb0zzbackend_jvm_classz00(obj_t BgL_envz00_1125,
		obj_t BgL_oz00_1126)
	{
		{	/* BackEnd/jvm_class.sch 162 */
			return
				BGl_jvmzd2typeszd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1126));
		}

	}



/* jvm-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2typeszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_134, obj_t BgL_vz00_135)
	{
		{	/* BackEnd/jvm_class.sch 163 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_134)))->BgL_typesz00) =
				((obj_t) BgL_vz00_135), BUNSPEC);
		}

	}



/* &jvm-types-set! */
	obj_t BGl_z62jvmzd2typeszd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1127, obj_t BgL_oz00_1128, obj_t BgL_vz00_1129)
	{
		{	/* BackEnd/jvm_class.sch 163 */
			return
				BGl_jvmzd2typeszd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1128), BgL_vz00_1129);
		}

	}



/* jvm-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2functionszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_136)
	{
		{	/* BackEnd/jvm_class.sch 164 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_136)))->BgL_functionsz00);
		}

	}



/* &jvm-functions */
	obj_t BGl_z62jvmzd2functionszb0zzbackend_jvm_classz00(obj_t BgL_envz00_1130,
		obj_t BgL_oz00_1131)
	{
		{	/* BackEnd/jvm_class.sch 164 */
			return
				BGl_jvmzd2functionszd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1131));
		}

	}



/* jvm-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2functionszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_137, obj_t BgL_vz00_138)
	{
		{	/* BackEnd/jvm_class.sch 165 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_137)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_138), BUNSPEC);
		}

	}



/* &jvm-functions-set! */
	obj_t BGl_z62jvmzd2functionszd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1132, obj_t BgL_oz00_1133, obj_t BgL_vz00_1134)
	{
		{	/* BackEnd/jvm_class.sch 165 */
			return
				BGl_jvmzd2functionszd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1133), BgL_vz00_1134);
		}

	}



/* jvm-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2variableszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_139)
	{
		{	/* BackEnd/jvm_class.sch 166 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_139)))->BgL_variablesz00);
		}

	}



/* &jvm-variables */
	obj_t BGl_z62jvmzd2variableszb0zzbackend_jvm_classz00(obj_t BgL_envz00_1135,
		obj_t BgL_oz00_1136)
	{
		{	/* BackEnd/jvm_class.sch 166 */
			return
				BGl_jvmzd2variableszd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1136));
		}

	}



/* jvm-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2variableszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_140, obj_t BgL_vz00_141)
	{
		{	/* BackEnd/jvm_class.sch 167 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_140)))->BgL_variablesz00) =
				((obj_t) BgL_vz00_141), BUNSPEC);
		}

	}



/* &jvm-variables-set! */
	obj_t BGl_z62jvmzd2variableszd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1137, obj_t BgL_oz00_1138, obj_t BgL_vz00_1139)
	{
		{	/* BackEnd/jvm_class.sch 167 */
			return
				BGl_jvmzd2variableszd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1138), BgL_vz00_1139);
		}

	}



/* jvm-extern-types */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2externzd2typesz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_142)
	{
		{	/* BackEnd/jvm_class.sch 168 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_142)))->BgL_externzd2typeszd2);
		}

	}



/* &jvm-extern-types */
	obj_t BGl_z62jvmzd2externzd2typesz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1140, obj_t BgL_oz00_1141)
	{
		{	/* BackEnd/jvm_class.sch 168 */
			return
				BGl_jvmzd2externzd2typesz00zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1141));
		}

	}



/* jvm-extern-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2externzd2typeszd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_143, obj_t BgL_vz00_144)
	{
		{	/* BackEnd/jvm_class.sch 169 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_143)))->BgL_externzd2typeszd2) =
				((obj_t) BgL_vz00_144), BUNSPEC);
		}

	}



/* &jvm-extern-types-set! */
	obj_t BGl_z62jvmzd2externzd2typeszd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1142, obj_t BgL_oz00_1143, obj_t BgL_vz00_1144)
	{
		{	/* BackEnd/jvm_class.sch 169 */
			return
				BGl_jvmzd2externzd2typeszd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1143), BgL_vz00_1144);
		}

	}



/* jvm-extern-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2externzd2functionsz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_145)
	{
		{	/* BackEnd/jvm_class.sch 170 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_145)))->BgL_externzd2functionszd2);
		}

	}



/* &jvm-extern-functions */
	obj_t BGl_z62jvmzd2externzd2functionsz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1145, obj_t BgL_oz00_1146)
	{
		{	/* BackEnd/jvm_class.sch 170 */
			return
				BGl_jvmzd2externzd2functionsz00zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1146));
		}

	}



/* jvm-extern-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2externzd2functionszd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt BgL_oz00_146, obj_t BgL_vz00_147)
	{
		{	/* BackEnd/jvm_class.sch 171 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_146)))->
					BgL_externzd2functionszd2) = ((obj_t) BgL_vz00_147), BUNSPEC);
		}

	}



/* &jvm-extern-functions-set! */
	obj_t BGl_z62jvmzd2externzd2functionszd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1147, obj_t BgL_oz00_1148, obj_t BgL_vz00_1149)
	{
		{	/* BackEnd/jvm_class.sch 171 */
			return
				BGl_jvmzd2externzd2functionszd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1148), BgL_vz00_1149);
		}

	}



/* jvm-extern-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2externzd2variablesz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_148)
	{
		{	/* BackEnd/jvm_class.sch 172 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_148)))->BgL_externzd2variableszd2);
		}

	}



/* &jvm-extern-variables */
	obj_t BGl_z62jvmzd2externzd2variablesz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1150, obj_t BgL_oz00_1151)
	{
		{	/* BackEnd/jvm_class.sch 172 */
			return
				BGl_jvmzd2externzd2variablesz00zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1151));
		}

	}



/* jvm-extern-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2externzd2variableszd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt BgL_oz00_149, obj_t BgL_vz00_150)
	{
		{	/* BackEnd/jvm_class.sch 173 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_149)))->
					BgL_externzd2variableszd2) = ((obj_t) BgL_vz00_150), BUNSPEC);
		}

	}



/* &jvm-extern-variables-set! */
	obj_t BGl_z62jvmzd2externzd2variableszd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1152, obj_t BgL_oz00_1153, obj_t BgL_vz00_1154)
	{
		{	/* BackEnd/jvm_class.sch 173 */
			return
				BGl_jvmzd2externzd2variableszd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1153), BgL_vz00_1154);
		}

	}



/* jvm-name */
	BGL_EXPORTED_DEF obj_t BGl_jvmzd2namezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_151)
	{
		{	/* BackEnd/jvm_class.sch 174 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_151)))->BgL_namez00);
		}

	}



/* &jvm-name */
	obj_t BGl_z62jvmzd2namezb0zzbackend_jvm_classz00(obj_t BgL_envz00_1155,
		obj_t BgL_oz00_1156)
	{
		{	/* BackEnd/jvm_class.sch 174 */
			return
				BGl_jvmzd2namezd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1156));
		}

	}



/* jvm-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2namezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_152, obj_t BgL_vz00_153)
	{
		{	/* BackEnd/jvm_class.sch 175 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_152)))->BgL_namez00) =
				((obj_t) BgL_vz00_153), BUNSPEC);
		}

	}



/* &jvm-name-set! */
	obj_t BGl_z62jvmzd2namezd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1157, obj_t BgL_oz00_1158, obj_t BgL_vz00_1159)
	{
		{	/* BackEnd/jvm_class.sch 175 */
			return
				BGl_jvmzd2namezd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1158), BgL_vz00_1159);
		}

	}



/* jvm-srfi0 */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2srfi0zd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_154)
	{
		{	/* BackEnd/jvm_class.sch 176 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_154)))->BgL_srfi0z00);
		}

	}



/* &jvm-srfi0 */
	obj_t BGl_z62jvmzd2srfi0zb0zzbackend_jvm_classz00(obj_t BgL_envz00_1160,
		obj_t BgL_oz00_1161)
	{
		{	/* BackEnd/jvm_class.sch 176 */
			return
				BGl_jvmzd2srfi0zd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1161));
		}

	}



/* jvm-srfi0-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2srfi0zd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_155, obj_t BgL_vz00_156)
	{
		{	/* BackEnd/jvm_class.sch 177 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_155)))->BgL_srfi0z00) =
				((obj_t) BgL_vz00_156), BUNSPEC);
		}

	}



/* &jvm-srfi0-set! */
	obj_t BGl_z62jvmzd2srfi0zd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1162, obj_t BgL_oz00_1163, obj_t BgL_vz00_1164)
	{
		{	/* BackEnd/jvm_class.sch 177 */
			return
				BGl_jvmzd2srfi0zd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1163), BgL_vz00_1164);
		}

	}



/* jvm-language */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2languagezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_157)
	{
		{	/* BackEnd/jvm_class.sch 178 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_157)))->BgL_languagez00);
		}

	}



/* &jvm-language */
	obj_t BGl_z62jvmzd2languagezb0zzbackend_jvm_classz00(obj_t BgL_envz00_1165,
		obj_t BgL_oz00_1166)
	{
		{	/* BackEnd/jvm_class.sch 178 */
			return
				BGl_jvmzd2languagezd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1166));
		}

	}



/* jvm-language-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2languagezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_158, obj_t BgL_vz00_159)
	{
		{	/* BackEnd/jvm_class.sch 179 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_158)))->BgL_languagez00) =
				((obj_t) BgL_vz00_159), BUNSPEC);
		}

	}



/* &jvm-language-set! */
	obj_t BGl_z62jvmzd2languagezd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1167, obj_t BgL_oz00_1168, obj_t BgL_vz00_1169)
	{
		{	/* BackEnd/jvm_class.sch 179 */
			return
				BGl_jvmzd2languagezd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1168), BgL_vz00_1169);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_jvm_classz00()
	{
		{	/* BackEnd/jvm_class.scm 15 */
			{	/* BackEnd/jvm_class.scm 20 */
				obj_t BgL_arg1306z00_488;
				obj_t BgL_arg1307z00_489;

				{	/* BackEnd/jvm_class.scm 20 */
					obj_t BgL_v1291z00_539;

					BgL_v1291z00_539 = create_vector(((long) 10));
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1316z00_540;

						BgL_arg1316z00_540 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc1505z00zzbackend_jvm_classz00,
							BGl_proc1504z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1503z00zzbackend_jvm_classz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1291z00_539, ((long) 0), BgL_arg1316z00_540);
					}
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1325z00_553;

						BgL_arg1325z00_553 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc1508z00zzbackend_jvm_classz00,
							BGl_proc1507z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1506z00zzbackend_jvm_classz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1291z00_539, ((long) 1), BgL_arg1325z00_553);
					}
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1338z00_566;

						BgL_arg1338z00_566 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									3)), BGl_proc1511z00zzbackend_jvm_classz00,
							BGl_proc1510z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1509z00zzbackend_jvm_classz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1291z00_539, ((long) 2), BgL_arg1338z00_566);
					}
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1347z00_579;

						BgL_arg1347z00_579 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc1514z00zzbackend_jvm_classz00,
							BGl_proc1513z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1512z00zzbackend_jvm_classz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1291z00_539, ((long) 3), BgL_arg1347z00_579);
					}
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1358z00_592;

						BgL_arg1358z00_592 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc1517z00zzbackend_jvm_classz00,
							BGl_proc1516z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1515z00zzbackend_jvm_classz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1291z00_539, ((long) 4), BgL_arg1358z00_592);
					}
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1369z00_605;

						BgL_arg1369z00_605 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc1520z00zzbackend_jvm_classz00,
							BGl_proc1519z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1518z00zzbackend_jvm_classz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1291z00_539, ((long) 5), BgL_arg1369z00_605);
					}
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1385z00_618;

						BgL_arg1385z00_618 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc1523z00zzbackend_jvm_classz00,
							BGl_proc1522z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1521z00zzbackend_jvm_classz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1291z00_539, ((long) 6), BgL_arg1385z00_618);
					}
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1415z00_631;

						BgL_arg1415z00_631 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc1526z00zzbackend_jvm_classz00,
							BGl_proc1525z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1524z00zzbackend_jvm_classz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1291z00_539, ((long) 7), BgL_arg1415z00_631);
					}
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1430z00_644;

						BgL_arg1430z00_644 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									9)), BGl_proc1529z00zzbackend_jvm_classz00,
							BGl_proc1528z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1527z00zzbackend_jvm_classz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1291z00_539, ((long) 8), BgL_arg1430z00_644);
					}
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1462z00_657;

						BgL_arg1462z00_657 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc1532z00zzbackend_jvm_classz00,
							BGl_proc1531z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1530z00zzbackend_jvm_classz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1291z00_539, ((long) 9), BgL_arg1462z00_657);
					}
					BgL_arg1306z00_488 = BgL_v1291z00_539;
				}
				{	/* BackEnd/jvm_class.scm 20 */
					obj_t BgL_v1292z00_670;

					BgL_v1292z00_670 = create_vector(((long) 0));
					BgL_arg1307z00_489 = BgL_v1292z00_670;
				}
				return (BGl_jvmz00zzbackend_jvm_classz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 11)),
						CNST_TABLE_REF(((long) 12)), BGl_bvmz00zzbackend_bvmz00,
						((long) 26729), BGl_proc1535z00zzbackend_jvm_classz00,
						BGl_proc1534z00zzbackend_jvm_classz00,
						BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
						BGl_proc1533z00zzbackend_jvm_classz00, BFALSE, BgL_arg1306z00_488,
						BgL_arg1307z00_489), BUNSPEC);
		}}

	}



/* &<@anonymous:1314> */
	obj_t BGl_z62zc3z04anonymousza31314ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1203, obj_t BgL_new1090z00_1204)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			{
				BgL_jvmz00_bglt BgL_auxz00_1908;

				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt)
									((BgL_jvmz00_bglt) BgL_new1090z00_1204))))->BgL_languagez00) =
					((obj_t) CNST_TABLE_REF(((long) 13))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_srfi0z00) =
					((obj_t) CNST_TABLE_REF(((long) 13))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_namez00) =
					((obj_t) BGl_string1536z00zzbackend_jvm_classz00), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_externzd2variableszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_externzd2functionszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_externzd2typeszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_variablesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_typesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_typedz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_heapzd2suffixzd2) =
					((obj_t) BGl_string1536z00zzbackend_jvm_classz00), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_heapzd2compatiblezd2) =
					((obj_t) CNST_TABLE_REF(((long) 13))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_callccz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_qualifiedzd2typeszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_effectzb2zb2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_removezd2emptyzd2letz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_foreignzd2closurezd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_typedzd2eqzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_tracezd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->
						BgL_foreignzd2clausezd2supportz00) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_debugzd2supportzd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_pragmazd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_requirezd2tailczd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_registersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_pregistersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_boundzd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_typezd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1090z00_1204))))->BgL_typedzd2funcallzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1090z00_1204)))->
						BgL_qnamez00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1090z00_1204)))->
						BgL_classesz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1090z00_1204)))->
						BgL_currentzd2classzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1090z00_1204)))->
						BgL_declarationsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1090z00_1204)))->
						BgL_fieldsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1090z00_1204)))->
						BgL_methodsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1090z00_1204)))->
						BgL_currentzd2methodzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1090z00_1204)))->
						BgL_codez00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1090z00_1204)))->
						BgL_lightzd2funcallszd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1090z00_1204)))->
						BgL_inlinez00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_1908 = ((BgL_jvmz00_bglt) BgL_new1090z00_1204);
				return ((obj_t) BgL_auxz00_1908);
			}
		}

	}



/* &lambda1312 */
	BgL_jvmz00_bglt BGl_z62lambda1312z62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1205)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			{	/* BackEnd/jvm_class.scm 20 */
				BgL_jvmz00_bglt BgL_new1089z00_1339;

				BgL_new1089z00_1339 =
					((BgL_jvmz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_jvmz00_bgl))));
				{	/* BackEnd/jvm_class.scm 20 */
					long BgL_arg1313z00_1340;

					BgL_arg1313z00_1340 = BGL_CLASS_NUM(BGl_jvmz00zzbackend_jvm_classz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1089z00_1339), BgL_arg1313z00_1340);
				}
				return BgL_new1089z00_1339;
			}
		}

	}



/* &lambda1308 */
	BgL_jvmz00_bglt BGl_z62lambda1308z62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1206, obj_t BgL_language1050z00_1207,
		obj_t BgL_srfi01051z00_1208, obj_t BgL_name1052z00_1209,
		obj_t BgL_externzd2variables1053zd2_1210,
		obj_t BgL_externzd2functions1054zd2_1211,
		obj_t BgL_externzd2types1055zd2_1212, obj_t BgL_variables1056z00_1213,
		obj_t BgL_functions1057z00_1214, obj_t BgL_types1058z00_1215,
		obj_t BgL_typed1059z00_1216, obj_t BgL_heapzd2suffix1060zd2_1217,
		obj_t BgL_heapzd2compatible1061zd2_1218, obj_t BgL_callcc1062z00_1219,
		obj_t BgL_qualifiedzd2types1063zd2_1220, obj_t BgL_effectzb21064zb2_1221,
		obj_t BgL_removezd2emptyzd2let1065z00_1222,
		obj_t BgL_foreignzd2closure1066zd2_1223, obj_t BgL_typedzd2eq1067zd2_1224,
		obj_t BgL_tracezd2support1068zd2_1225,
		obj_t BgL_foreignzd2clausezd2suppo1069z00_1226,
		obj_t BgL_debugzd2support1070zd2_1227,
		obj_t BgL_pragmazd2support1071zd2_1228,
		obj_t BgL_tvectorzd2descrzd2suppor1072z00_1229,
		obj_t BgL_requirezd2tailc1073zd2_1230, obj_t BgL_registers1074z00_1231,
		obj_t BgL_pregisters1075z00_1232, obj_t BgL_boundzd2check1076zd2_1233,
		obj_t BgL_typezd2check1077zd2_1234, obj_t BgL_typedzd2funcall1078zd2_1235,
		obj_t BgL_qname1079z00_1236, obj_t BgL_classes1080z00_1237,
		obj_t BgL_currentzd2class1081zd2_1238, obj_t BgL_declarations1082z00_1239,
		obj_t BgL_fields1083z00_1240, obj_t BgL_methods1084z00_1241,
		obj_t BgL_currentzd2method1085zd2_1242, obj_t BgL_code1086z00_1243,
		obj_t BgL_lightzd2funcalls1087zd2_1244, obj_t BgL_inline1088z00_1245)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			{	/* BackEnd/jvm_class.scm 20 */
				bool_t BgL_typed1059z00_1344;
				bool_t BgL_callcc1062z00_1347;
				bool_t BgL_qualifiedzd2types1063zd2_1348;
				bool_t BgL_effectzb21064zb2_1349;
				bool_t BgL_removezd2emptyzd2let1065z00_1350;
				bool_t BgL_foreignzd2closure1066zd2_1351;
				bool_t BgL_typedzd2eq1067zd2_1352;
				bool_t BgL_tracezd2support1068zd2_1353;
				bool_t BgL_pragmazd2support1071zd2_1356;
				bool_t BgL_tvectorzd2descrzd2suppor1072z00_1357;
				bool_t BgL_requirezd2tailc1073zd2_1358;
				bool_t BgL_boundzd2check1076zd2_1361;
				bool_t BgL_typezd2check1077zd2_1362;
				bool_t BgL_typedzd2funcall1078zd2_1363;

				BgL_typed1059z00_1344 = CBOOL(BgL_typed1059z00_1216);
				BgL_callcc1062z00_1347 = CBOOL(BgL_callcc1062z00_1219);
				BgL_qualifiedzd2types1063zd2_1348 =
					CBOOL(BgL_qualifiedzd2types1063zd2_1220);
				BgL_effectzb21064zb2_1349 = CBOOL(BgL_effectzb21064zb2_1221);
				BgL_removezd2emptyzd2let1065z00_1350 =
					CBOOL(BgL_removezd2emptyzd2let1065z00_1222);
				BgL_foreignzd2closure1066zd2_1351 =
					CBOOL(BgL_foreignzd2closure1066zd2_1223);
				BgL_typedzd2eq1067zd2_1352 = CBOOL(BgL_typedzd2eq1067zd2_1224);
				BgL_tracezd2support1068zd2_1353 =
					CBOOL(BgL_tracezd2support1068zd2_1225);
				BgL_pragmazd2support1071zd2_1356 =
					CBOOL(BgL_pragmazd2support1071zd2_1228);
				BgL_tvectorzd2descrzd2suppor1072z00_1357 =
					CBOOL(BgL_tvectorzd2descrzd2suppor1072z00_1229);
				BgL_requirezd2tailc1073zd2_1358 =
					CBOOL(BgL_requirezd2tailc1073zd2_1230);
				BgL_boundzd2check1076zd2_1361 = CBOOL(BgL_boundzd2check1076zd2_1233);
				BgL_typezd2check1077zd2_1362 = CBOOL(BgL_typezd2check1077zd2_1234);
				BgL_typedzd2funcall1078zd2_1363 =
					CBOOL(BgL_typedzd2funcall1078zd2_1235);
				{	/* BackEnd/jvm_class.scm 20 */
					BgL_jvmz00_bglt BgL_new1172z00_1364;

					{	/* BackEnd/jvm_class.scm 20 */
						BgL_jvmz00_bglt BgL_new1171z00_1365;

						BgL_new1171z00_1365 =
							((BgL_jvmz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_jvmz00_bgl))));
						{	/* BackEnd/jvm_class.scm 20 */
							long BgL_arg1311z00_1366;

							BgL_arg1311z00_1366 =
								BGL_CLASS_NUM(BGl_jvmz00zzbackend_jvm_classz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1171z00_1365),
								BgL_arg1311z00_1366);
						}
						BgL_new1172z00_1364 = BgL_new1171z00_1365;
					}
					((((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_new1172z00_1364)))->
							BgL_languagez00) =
						((obj_t) ((obj_t) BgL_language1050z00_1207)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_srfi0z00) =
						((obj_t) ((obj_t) BgL_srfi01051z00_1208)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_namez00) =
						((obj_t) ((obj_t) BgL_name1052z00_1209)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_externzd2variableszd2) =
						((obj_t) BgL_externzd2variables1053zd2_1210), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_externzd2functionszd2) =
						((obj_t) BgL_externzd2functions1054zd2_1211), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_externzd2typeszd2) =
						((obj_t) BgL_externzd2types1055zd2_1212), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_variablesz00) =
						((obj_t) BgL_variables1056z00_1213), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_functionsz00) =
						((obj_t) BgL_functions1057z00_1214), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_typesz00) =
						((obj_t) BgL_types1058z00_1215), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_typedz00) =
						((bool_t) BgL_typed1059z00_1344), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_heapzd2suffixzd2) =
						((obj_t) ((obj_t) BgL_heapzd2suffix1060zd2_1217)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_heapzd2compatiblezd2) =
						((obj_t) ((obj_t) BgL_heapzd2compatible1061zd2_1218)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_callccz00) =
						((bool_t) BgL_callcc1062z00_1347), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_qualifiedzd2typeszd2) =
						((bool_t) BgL_qualifiedzd2types1063zd2_1348), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_effectzb2zb2) =
						((bool_t) BgL_effectzb21064zb2_1349), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_removezd2emptyzd2letz00) =
						((bool_t) BgL_removezd2emptyzd2let1065z00_1350), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_foreignzd2closurezd2) =
						((bool_t) BgL_foreignzd2closure1066zd2_1351), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_typedzd2eqzd2) =
						((bool_t) BgL_typedzd2eq1067zd2_1352), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_tracezd2supportzd2) =
						((bool_t) BgL_tracezd2support1068zd2_1353), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_foreignzd2clausezd2supportz00) =
						((obj_t) ((obj_t) BgL_foreignzd2clausezd2suppo1069z00_1226)),
						BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_debugzd2supportzd2) =
						((obj_t) ((obj_t) BgL_debugzd2support1070zd2_1227)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_pragmazd2supportzd2) =
						((bool_t) BgL_pragmazd2support1071zd2_1356), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_tvectorzd2descrzd2supportz00) =
						((bool_t) BgL_tvectorzd2descrzd2suppor1072z00_1357), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_requirezd2tailczd2) =
						((bool_t) BgL_requirezd2tailc1073zd2_1358), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_registersz00) =
						((obj_t) ((obj_t) BgL_registers1074z00_1231)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_pregistersz00) =
						((obj_t) ((obj_t) BgL_pregisters1075z00_1232)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_boundzd2checkzd2) =
						((bool_t) BgL_boundzd2check1076zd2_1361), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_typezd2checkzd2) =
						((bool_t) BgL_typezd2check1077zd2_1362), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1172z00_1364)))->BgL_typedzd2funcallzd2) =
						((bool_t) BgL_typedzd2funcall1078zd2_1363), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1172z00_1364))->BgL_qnamez00) =
						((obj_t) BgL_qname1079z00_1236), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1172z00_1364))->BgL_classesz00) =
						((obj_t) BgL_classes1080z00_1237), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1172z00_1364))->
							BgL_currentzd2classzd2) =
						((obj_t) BgL_currentzd2class1081zd2_1238), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1172z00_1364))->
							BgL_declarationsz00) =
						((obj_t) BgL_declarations1082z00_1239), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1172z00_1364))->BgL_fieldsz00) =
						((obj_t) BgL_fields1083z00_1240), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1172z00_1364))->BgL_methodsz00) =
						((obj_t) BgL_methods1084z00_1241), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1172z00_1364))->
							BgL_currentzd2methodzd2) =
						((obj_t) BgL_currentzd2method1085zd2_1242), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1172z00_1364))->BgL_codez00) =
						((obj_t) BgL_code1086z00_1243), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1172z00_1364))->
							BgL_lightzd2funcallszd2) =
						((obj_t) BgL_lightzd2funcalls1087zd2_1244), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1172z00_1364))->BgL_inlinez00) =
						((obj_t) BgL_inline1088z00_1245), BUNSPEC);
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_fun1310z00_1367;

						BgL_fun1310z00_1367 =
							BGl_classzd2constructorzd2zz__objectz00
							(BGl_jvmz00zzbackend_jvm_classz00);
						PROCEDURE_ENTRY(BgL_fun1310z00_1367) (BgL_fun1310z00_1367,
							((obj_t) BgL_new1172z00_1364), BEOA);
					}
					return BgL_new1172z00_1364;
				}
			}
		}

	}



/* &<@anonymous:1499> */
	obj_t BGl_z62zc3z04anonymousza31499ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1246)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1498 */
	obj_t BGl_z62lambda1498z62zzbackend_jvm_classz00(obj_t BgL_envz00_1247,
		obj_t BgL_oz00_1248, obj_t BgL_vz00_1249)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1248)))->BgL_inlinez00) =
				((obj_t) BgL_vz00_1249), BUNSPEC);
		}

	}



/* &lambda1497 */
	obj_t BGl_z62lambda1497z62zzbackend_jvm_classz00(obj_t BgL_envz00_1250,
		obj_t BgL_oz00_1251)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1251)))->BgL_inlinez00);
		}

	}



/* &<@anonymous:1460> */
	obj_t BGl_z62zc3z04anonymousza31460ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1252)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return BNIL;
		}

	}



/* &lambda1459 */
	obj_t BGl_z62lambda1459z62zzbackend_jvm_classz00(obj_t BgL_envz00_1253,
		obj_t BgL_oz00_1254, obj_t BgL_vz00_1255)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1254)))->BgL_lightzd2funcallszd2) =
				((obj_t) BgL_vz00_1255), BUNSPEC);
		}

	}



/* &lambda1458 */
	obj_t BGl_z62lambda1458z62zzbackend_jvm_classz00(obj_t BgL_envz00_1256,
		obj_t BgL_oz00_1257)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1257)))->BgL_lightzd2funcallszd2);
		}

	}



/* &<@anonymous:1422> */
	obj_t BGl_z62zc3z04anonymousza31422ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1258)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return BNIL;
		}

	}



/* &lambda1421 */
	obj_t BGl_z62lambda1421z62zzbackend_jvm_classz00(obj_t BgL_envz00_1259,
		obj_t BgL_oz00_1260, obj_t BgL_vz00_1261)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1260)))->BgL_codez00) =
				((obj_t) BgL_vz00_1261), BUNSPEC);
		}

	}



/* &lambda1420 */
	obj_t BGl_z62lambda1420z62zzbackend_jvm_classz00(obj_t BgL_envz00_1262,
		obj_t BgL_oz00_1263)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1263)))->BgL_codez00);
		}

	}



/* &<@anonymous:1403> */
	obj_t BGl_z62zc3z04anonymousza31403ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1264)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1402 */
	obj_t BGl_z62lambda1402z62zzbackend_jvm_classz00(obj_t BgL_envz00_1265,
		obj_t BgL_oz00_1266, obj_t BgL_vz00_1267)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1266)))->BgL_currentzd2methodzd2) =
				((obj_t) BgL_vz00_1267), BUNSPEC);
		}

	}



/* &lambda1401 */
	obj_t BGl_z62lambda1401z62zzbackend_jvm_classz00(obj_t BgL_envz00_1268,
		obj_t BgL_oz00_1269)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1269)))->BgL_currentzd2methodzd2);
		}

	}



/* &<@anonymous:1383> */
	obj_t BGl_z62zc3z04anonymousza31383ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1270)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return BNIL;
		}

	}



/* &lambda1382 */
	obj_t BGl_z62lambda1382z62zzbackend_jvm_classz00(obj_t BgL_envz00_1271,
		obj_t BgL_oz00_1272, obj_t BgL_vz00_1273)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1272)))->BgL_methodsz00) =
				((obj_t) BgL_vz00_1273), BUNSPEC);
		}

	}



/* &lambda1381 */
	obj_t BGl_z62lambda1381z62zzbackend_jvm_classz00(obj_t BgL_envz00_1274,
		obj_t BgL_oz00_1275)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1275)))->BgL_methodsz00);
		}

	}



/* &<@anonymous:1367> */
	obj_t BGl_z62zc3z04anonymousza31367ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1276)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return BNIL;
		}

	}



/* &lambda1366 */
	obj_t BGl_z62lambda1366z62zzbackend_jvm_classz00(obj_t BgL_envz00_1277,
		obj_t BgL_oz00_1278, obj_t BgL_vz00_1279)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1278)))->BgL_fieldsz00) =
				((obj_t) BgL_vz00_1279), BUNSPEC);
		}

	}



/* &lambda1365 */
	obj_t BGl_z62lambda1365z62zzbackend_jvm_classz00(obj_t BgL_envz00_1280,
		obj_t BgL_oz00_1281)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1281)))->BgL_fieldsz00);
		}

	}



/* &<@anonymous:1357> */
	obj_t BGl_z62zc3z04anonymousza31357ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1282)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return BNIL;
		}

	}



/* &lambda1356 */
	obj_t BGl_z62lambda1356z62zzbackend_jvm_classz00(obj_t BgL_envz00_1283,
		obj_t BgL_oz00_1284, obj_t BgL_vz00_1285)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1284)))->BgL_declarationsz00) =
				((obj_t) BgL_vz00_1285), BUNSPEC);
		}

	}



/* &lambda1355 */
	obj_t BGl_z62lambda1355z62zzbackend_jvm_classz00(obj_t BgL_envz00_1286,
		obj_t BgL_oz00_1287)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1287)))->BgL_declarationsz00);
		}

	}



/* &<@anonymous:1344> */
	obj_t BGl_z62zc3z04anonymousza31344ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1288)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1343 */
	obj_t BGl_z62lambda1343z62zzbackend_jvm_classz00(obj_t BgL_envz00_1289,
		obj_t BgL_oz00_1290, obj_t BgL_vz00_1291)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1290)))->BgL_currentzd2classzd2) =
				((obj_t) BgL_vz00_1291), BUNSPEC);
		}

	}



/* &lambda1342 */
	obj_t BGl_z62lambda1342z62zzbackend_jvm_classz00(obj_t BgL_envz00_1292,
		obj_t BgL_oz00_1293)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1293)))->BgL_currentzd2classzd2);
		}

	}



/* &<@anonymous:1334> */
	obj_t BGl_z62zc3z04anonymousza31334ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1294)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return BNIL;
		}

	}



/* &lambda1333 */
	obj_t BGl_z62lambda1333z62zzbackend_jvm_classz00(obj_t BgL_envz00_1295,
		obj_t BgL_oz00_1296, obj_t BgL_vz00_1297)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1296)))->BgL_classesz00) =
				((obj_t) BgL_vz00_1297), BUNSPEC);
		}

	}



/* &lambda1332 */
	obj_t BGl_z62lambda1332z62zzbackend_jvm_classz00(obj_t BgL_envz00_1298,
		obj_t BgL_oz00_1299)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1299)))->BgL_classesz00);
		}

	}



/* &<@anonymous:1324> */
	obj_t BGl_z62zc3z04anonymousza31324ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1300)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return CNST_TABLE_REF(((long) 14));
		}

	}



/* &lambda1323 */
	obj_t BGl_z62lambda1323z62zzbackend_jvm_classz00(obj_t BgL_envz00_1301,
		obj_t BgL_oz00_1302, obj_t BgL_vz00_1303)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1302)))->BgL_qnamez00) =
				((obj_t) BgL_vz00_1303), BUNSPEC);
		}

	}



/* &lambda1322 */
	obj_t BGl_z62lambda1322z62zzbackend_jvm_classz00(obj_t BgL_envz00_1304,
		obj_t BgL_oz00_1305)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1305)))->BgL_qnamez00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_jvm_classz00()
	{
		{	/* BackEnd/jvm_class.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_jvm_classz00()
	{
		{	/* BackEnd/jvm_class.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_jvm_classz00()
	{
		{	/* BackEnd/jvm_class.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1537z00zzbackend_jvm_classz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1537z00zzbackend_jvm_classz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 336068337),
				BSTRING_TO_STRING(BGl_string1537z00zzbackend_jvm_classz00));
		}

	}

#ifdef __cplusplus
}
#endif
