/*===========================================================================*/
/*   (Callcc/walk.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Callcc/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2cellzf2_bgl
	{
	}                      *BgL_localzf2cellzf2_bglt;


	static BgL_nodez00_bglt
		BGl_z62callccz12zd2sequence1322za2zzcallcc_walkz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62callccz12zd2app1326za2zzcallcc_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcallcc_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_nodez00_bglt BGl_z62callccz12z70zzcallcc_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcallcc_walkz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_callccza2z12zb0zzcallcc_walkz00(obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzcallcc_walkz00();
	static BgL_nodez00_bglt BGl_z62callccz12zd2atom1316za2zzcallcc_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	static obj_t BGl_objectzd2initzd2zzcallcc_walkz00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62callccz12zd2conditional1338za2zzcallcc_walkz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_callcczd2walkz12zc0zzcallcc_walkz00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62callccz12zd2letzd2fun1344z70zzcallcc_walkz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcallcc_walkz00();
	static obj_t BGl_z62callccz121313z70zzcallcc_walkz00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62callccz12zd2appzd2ly1328z70zzcallcc_walkz00(obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static bool_t BGl_celledzf3zf3zzcallcc_walkz00(BgL_variablez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_localzf2cellzf2zzcallcc_walkz00 = BUNSPEC;
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_cellzd2formalszd2zzcallcc_walkz00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62callccz12zd2extern1332za2zzcallcc_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62callccz12zd2switch1342za2zzcallcc_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62callccz12zd2kwote1318za2zzcallcc_walkz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcallcc_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_callccz12z12zzcallcc_walkz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62callccz12zd2setzd2exzd2it1348za2zzcallcc_walkz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62callccz12zd2cast1334za2zzcallcc_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62callccz12zd2funcall1330za2zzcallcc_walkz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcallcc_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcallcc_walkz00();
	static BgL_nodez00_bglt
		BGl_z62callccz12zd2letzd2var1346z70zzcallcc_walkz00(obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62callccz12zd2setq1336za2zzcallcc_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62callcczd2walkz12za2zzcallcc_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcallcc_walkz00();
	static obj_t BGl_gczd2rootszd2initz00zzcallcc_walkz00();
	static BgL_nodez00_bglt BGl_z62callccz12zd2sync1324za2zzcallcc_walkz00(obj_t,
		obj_t);
	static obj_t BGl_celledzd2bindingszd2zzcallcc_walkz00(obj_t);
	static BgL_nodez00_bglt BGl_z62callccz12zd2fail1340za2zzcallcc_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62callccz12zd2boxzd2ref1354z70zzcallcc_walkz00(obj_t, obj_t);
	static bool_t BGl_callcczd2funz12zc0zzcallcc_walkz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62callccz12zd2boxzd2setz121356z62zzcallcc_walkz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31661ze3ze5zzcallcc_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62callccz12zd2makezd2box1352z70zzcallcc_walkz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzcallcc_walkz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_localz00_bglt BGl_z62lambda1648z62zzcallcc_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62callccz12zd2var1320za2zzcallcc_walkz00(obj_t,
		obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62callccz12zd2jumpzd2exzd2it1350za2zzcallcc_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_localz00_bglt BGl_z62lambda1657z62zzcallcc_walkz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1662z62zzcallcc_walkz00(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00(BgL_typez00_bglt);
	static obj_t __cnst[9];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_callcczd2walkz12zd2envz12zzcallcc_walkz00,
		BgL_bgl_za762callccza7d2walk1973z00,
		BGl_z62callcczd2walkz12za2zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1932z00zzcallcc_walkz00,
		BgL_bgl_string1932za700za7za7c1974za7, "Callcc", 6);
	      DEFINE_STRING(BGl_string1933z00zzcallcc_walkz00,
		BgL_bgl_string1933za700za7za7c1975za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1934z00zzcallcc_walkz00,
		BgL_bgl_string1934za700za7za7c1976za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1935z00zzcallcc_walkz00,
		BgL_bgl_string1935za700za7za7c1977za7, " error", 6);
	      DEFINE_STRING(BGl_string1936z00zzcallcc_walkz00,
		BgL_bgl_string1936za700za7za7c1978za7, "s", 1);
	      DEFINE_STRING(BGl_string1937z00zzcallcc_walkz00,
		BgL_bgl_string1937za700za7za7c1979za7, "", 0);
	      DEFINE_STRING(BGl_string1938z00zzcallcc_walkz00,
		BgL_bgl_string1938za700za7za7c1980za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1939z00zzcallcc_walkz00,
		BgL_bgl_string1939za700za7za7c1981za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1945z00zzcallcc_walkz00,
		BgL_bgl_string1945za700za7za7c1982za7, "callcc!1313", 11);
	      DEFINE_STRING(BGl_string1946z00zzcallcc_walkz00,
		BgL_bgl_string1946za700za7za7c1983za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1948z00zzcallcc_walkz00,
		BgL_bgl_string1948za700za7za7c1984za7, "callcc!", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1940z00zzcallcc_walkz00,
		BgL_bgl_za762lambda1662za7621985z00, BGl_z62lambda1662z62zzcallcc_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zzcallcc_walkz00,
		BgL_bgl_za762za7c3za704anonymo1986za7,
		BGl_z62zc3z04anonymousza31661ze3ze5zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1942z00zzcallcc_walkz00,
		BgL_bgl_za762lambda1657za7621987z00, BGl_z62lambda1657z62zzcallcc_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1943z00zzcallcc_walkz00,
		BgL_bgl_za762lambda1648za7621988z00, BGl_z62lambda1648z62zzcallcc_walkz00,
		0L, BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1944z00zzcallcc_walkz00,
		BgL_bgl_za762callccza71213131989z00,
		BGl_z62callccz121313z70zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1947z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2a1990za7,
		BGl_z62callccz12zd2atom1316za2zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1949z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2k1991za7,
		BGl_z62callccz12zd2kwote1318za2zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1950z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2v1992za7,
		BGl_z62callccz12zd2var1320za2zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1951z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2s1993za7,
		BGl_z62callccz12zd2sequence1322za2zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1952z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2s1994za7,
		BGl_z62callccz12zd2sync1324za2zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1953z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2a1995za7,
		BGl_z62callccz12zd2app1326za2zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1954z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2a1996za7,
		BGl_z62callccz12zd2appzd2ly1328z70zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1955z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2f1997za7,
		BGl_z62callccz12zd2funcall1330za2zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1956z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2e1998za7,
		BGl_z62callccz12zd2extern1332za2zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1957z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2c1999za7,
		BGl_z62callccz12zd2cast1334za2zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1958z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2s2000za7,
		BGl_z62callccz12zd2setq1336za2zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1959z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2c2001za7,
		BGl_z62callccz12zd2conditional1338za2zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1969z00zzcallcc_walkz00,
		BgL_bgl_string1969za700za7za7c2002za7, "callcc_walk", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1960z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2f2003za7,
		BGl_z62callccz12zd2fail1340za2zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1961z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2s2004za7,
		BGl_z62callccz12zd2switch1342za2zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1962z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2l2005za7,
		BGl_z62callccz12zd2letzd2fun1344z70zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1963z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2l2006za7,
		BGl_z62callccz12zd2letzd2var1346z70zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1970z00zzcallcc_walkz00,
		BgL_bgl_string1970za700za7za7c2007za7,
		"aux callcc!1313 _ callcc_walk local/cell done write cell-callcc pass-started ",
		77);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1964z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2s2008za7,
		BGl_z62callccz12zd2setzd2exzd2it1348za2zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1965z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2j2009za7,
		BGl_z62callccz12zd2jumpzd2exzd2it1350za2zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1966z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2m2010za7,
		BGl_z62callccz12zd2makezd2box1352z70zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1967z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2b2011za7,
		BGl_z62callccz12zd2boxzd2ref1354z70zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1968z00zzcallcc_walkz00,
		BgL_bgl_za762callccza712za7d2b2012za7,
		BGl_z62callccz12zd2boxzd2setz121356z62zzcallcc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_callccz12zd2envzc0zzcallcc_walkz00,
		BgL_bgl_za762callccza712za770za72013z00,
		BGl_z62callccz12z70zzcallcc_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcallcc_walkz00));
		     ADD_ROOT((void *) (&BGl_localzf2cellzf2zzcallcc_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcallcc_walkz00(long
		BgL_checksumz00_2763, char *BgL_fromz00_2764)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcallcc_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzcallcc_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcallcc_walkz00();
					BGl_libraryzd2moduleszd2initz00zzcallcc_walkz00();
					BGl_cnstzd2initzd2zzcallcc_walkz00();
					BGl_importedzd2moduleszd2initz00zzcallcc_walkz00();
					BGl_objectzd2initzd2zzcallcc_walkz00();
					BGl_genericzd2initzd2zzcallcc_walkz00();
					BGl_methodzd2initzd2zzcallcc_walkz00();
					return BGl_toplevelzd2initzd2zzcallcc_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcallcc_walkz00()
	{
		{	/* Callcc/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "callcc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"callcc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"callcc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"callcc_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "callcc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"callcc_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "callcc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"callcc_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "callcc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"callcc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"callcc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"callcc_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcallcc_walkz00()
	{
		{	/* Callcc/walk.scm 16 */
			{	/* Callcc/walk.scm 16 */
				obj_t BgL_cportz00_2557;

				{	/* Callcc/walk.scm 16 */
					obj_t BgL_stringz00_2565;

					BgL_stringz00_2565 = BGl_string1970z00zzcallcc_walkz00;
					{	/* Callcc/walk.scm 16 */
						obj_t BgL_startz00_2566;

						BgL_startz00_2566 = BINT(((long) 0));
						{	/* Callcc/walk.scm 16 */
							obj_t BgL_endz00_2567;

							BgL_endz00_2567 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2565)));
							{	/* Callcc/walk.scm 16 */

								BgL_cportz00_2557 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2565, BgL_startz00_2566, BgL_endz00_2567);
				}}}}
				{
					long BgL_iz00_2558;

					BgL_iz00_2558 = ((long) 8);
				BgL_loopz00_2559:
					if ((BgL_iz00_2558 == ((long) -1)))
						{	/* Callcc/walk.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Callcc/walk.scm 16 */
							{	/* Callcc/walk.scm 16 */
								obj_t BgL_arg1972z00_2561;

								{	/* Callcc/walk.scm 16 */

									{	/* Callcc/walk.scm 16 */
										obj_t BgL_locationz00_2563;

										BgL_locationz00_2563 = BBOOL(((bool_t) 0));
										{	/* Callcc/walk.scm 16 */

											BgL_arg1972z00_2561 =
												BGl_readz00zz__readerz00(BgL_cportz00_2557,
												BgL_locationz00_2563);
										}
									}
								}
								{	/* Callcc/walk.scm 16 */
									int BgL_tmpz00_2797;

									BgL_tmpz00_2797 = (int) (BgL_iz00_2558);
									CNST_TABLE_SET(BgL_tmpz00_2797, BgL_arg1972z00_2561);
							}}
							{	/* Callcc/walk.scm 16 */
								int BgL_auxz00_2564;

								BgL_auxz00_2564 = (int) ((BgL_iz00_2558 - ((long) 1)));
								{
									long BgL_iz00_2802;

									BgL_iz00_2802 = (long) (BgL_auxz00_2564);
									BgL_iz00_2558 = BgL_iz00_2802;
									goto BgL_loopz00_2559;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcallcc_walkz00()
	{
		{	/* Callcc/walk.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcallcc_walkz00()
	{
		{	/* Callcc/walk.scm 16 */
			return BUNSPEC;
		}

	}



/* callcc-walk! */
	BGL_EXPORTED_DEF obj_t BGl_callcczd2walkz12zc0zzcallcc_walkz00(obj_t
		BgL_globalsz00_48)
	{
		{	/* Callcc/walk.scm 31 */
			{	/* Callcc/walk.scm 32 */
				obj_t BgL_list1365z00_1434;

				{	/* Callcc/walk.scm 32 */
					obj_t BgL_arg1366z00_1435;

					{	/* Callcc/walk.scm 32 */
						obj_t BgL_arg1367z00_1436;

						BgL_arg1367z00_1436 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1366z00_1435 =
							MAKE_YOUNG_PAIR(BGl_string1932z00zzcallcc_walkz00,
							BgL_arg1367z00_1436);
					}
					BgL_list1365z00_1434 =
						MAKE_YOUNG_PAIR(BGl_string1933z00zzcallcc_walkz00,
						BgL_arg1366z00_1435);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1365z00_1434);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1932z00zzcallcc_walkz00;
			{	/* Callcc/walk.scm 32 */
				obj_t BgL_g1133z00_1437;

				BgL_g1133z00_1437 = BNIL;
				{
					obj_t BgL_hooksz00_1440;
					obj_t BgL_hnamesz00_1441;

					BgL_hooksz00_1440 = BgL_g1133z00_1437;
					BgL_hnamesz00_1441 = BNIL;
				BgL_zc3z04anonymousza31368ze3z87_1442:
					if (NULLP(BgL_hooksz00_1440))
						{	/* Callcc/walk.scm 32 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Callcc/walk.scm 32 */
							bool_t BgL_test2017z00_2815;

							{	/* Callcc/walk.scm 32 */
								obj_t BgL_fun1383z00_1449;

								BgL_fun1383z00_1449 = CAR(((obj_t) BgL_hooksz00_1440));
								BgL_test2017z00_2815 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1383z00_1449)
									(BgL_fun1383z00_1449, BEOA));
							}
							if (BgL_test2017z00_2815)
								{	/* Callcc/walk.scm 32 */
									obj_t BgL_arg1380z00_1446;
									obj_t BgL_arg1381z00_1447;

									BgL_arg1380z00_1446 = CDR(((obj_t) BgL_hooksz00_1440));
									BgL_arg1381z00_1447 = CDR(((obj_t) BgL_hnamesz00_1441));
									{
										obj_t BgL_hnamesz00_2827;
										obj_t BgL_hooksz00_2826;

										BgL_hooksz00_2826 = BgL_arg1380z00_1446;
										BgL_hnamesz00_2827 = BgL_arg1381z00_1447;
										BgL_hnamesz00_1441 = BgL_hnamesz00_2827;
										BgL_hooksz00_1440 = BgL_hooksz00_2826;
										goto BgL_zc3z04anonymousza31368ze3z87_1442;
									}
								}
							else
								{	/* Callcc/walk.scm 32 */
									obj_t BgL_arg1382z00_1448;

									BgL_arg1382z00_1448 = CAR(((obj_t) BgL_hnamesz00_1441));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1932z00zzcallcc_walkz00,
										BGl_string1934z00zzcallcc_walkz00, BgL_arg1382z00_1448);
								}
						}
				}
			}
			if (
				((long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >=
					((long) 2)))
				{	/* Callcc/walk.scm 34 */
					BGl_za2compilerzd2debugza2zd2zzengine_paramz00 = BINT(((long) 1));
				}
			else
				{	/* Callcc/walk.scm 34 */
					BFALSE;
				}
			{
				obj_t BgL_l1290z00_1454;

				BgL_l1290z00_1454 = BgL_globalsz00_48;
			BgL_zc3z04anonymousza31389ze3z87_1455:
				if (PAIRP(BgL_l1290z00_1454))
					{	/* Callcc/walk.scm 36 */
						BGl_callcczd2funz12zc0zzcallcc_walkz00(CAR(BgL_l1290z00_1454));
						{
							obj_t BgL_l1290z00_2839;

							BgL_l1290z00_2839 = CDR(BgL_l1290z00_1454);
							BgL_l1290z00_1454 = BgL_l1290z00_2839;
							goto BgL_zc3z04anonymousza31389ze3z87_1455;
						}
					}
				else
					{	/* Callcc/walk.scm 36 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Callcc/walk.scm 37 */
					{	/* Callcc/walk.scm 37 */
						obj_t BgL_port1292z00_1462;

						{	/* Callcc/walk.scm 37 */
							obj_t BgL_tmpz00_2844;

							BgL_tmpz00_2844 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1292z00_1462 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2844);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1292z00_1462);
						bgl_display_string(BGl_string1935z00zzcallcc_walkz00,
							BgL_port1292z00_1462);
						{	/* Callcc/walk.scm 37 */
							obj_t BgL_arg1415z00_1463;

							{	/* Callcc/walk.scm 37 */
								bool_t BgL_test2021z00_2849;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Callcc/walk.scm 37 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Callcc/walk.scm 37 */
												BgL_test2021z00_2849 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Callcc/walk.scm 37 */
												BgL_test2021z00_2849 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Callcc/walk.scm 37 */
										BgL_test2021z00_2849 = ((bool_t) 0);
									}
								if (BgL_test2021z00_2849)
									{	/* Callcc/walk.scm 37 */
										BgL_arg1415z00_1463 = BGl_string1936z00zzcallcc_walkz00;
									}
								else
									{	/* Callcc/walk.scm 37 */
										BgL_arg1415z00_1463 = BGl_string1937z00zzcallcc_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1415z00_1463, BgL_port1292z00_1462);
						}
						bgl_display_string(BGl_string1938z00zzcallcc_walkz00,
							BgL_port1292z00_1462);
						bgl_display_char(((unsigned char) 10), BgL_port1292z00_1462);
					}
					{	/* Callcc/walk.scm 37 */
						obj_t BgL_list1421z00_1469;

						BgL_list1421z00_1469 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1421z00_1469);
					}
				}
			else
				{	/* Callcc/walk.scm 37 */
					obj_t BgL_g1135z00_1470;

					BgL_g1135z00_1470 = BNIL;
					{
						obj_t BgL_hooksz00_1473;
						obj_t BgL_hnamesz00_1474;

						BgL_hooksz00_1473 = BgL_g1135z00_1470;
						BgL_hnamesz00_1474 = BNIL;
					BgL_zc3z04anonymousza31422ze3z87_1475:
						if (NULLP(BgL_hooksz00_1473))
							{	/* Callcc/walk.scm 37 */
								return BgL_globalsz00_48;
							}
						else
							{	/* Callcc/walk.scm 37 */
								bool_t BgL_test2025z00_2866;

								{	/* Callcc/walk.scm 37 */
									obj_t BgL_fun1459z00_1482;

									BgL_fun1459z00_1482 = CAR(((obj_t) BgL_hooksz00_1473));
									BgL_test2025z00_2866 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1459z00_1482)
										(BgL_fun1459z00_1482, BEOA));
								}
								if (BgL_test2025z00_2866)
									{	/* Callcc/walk.scm 37 */
										obj_t BgL_arg1430z00_1479;
										obj_t BgL_arg1454z00_1480;

										BgL_arg1430z00_1479 = CDR(((obj_t) BgL_hooksz00_1473));
										BgL_arg1454z00_1480 = CDR(((obj_t) BgL_hnamesz00_1474));
										{
											obj_t BgL_hnamesz00_2878;
											obj_t BgL_hooksz00_2877;

											BgL_hooksz00_2877 = BgL_arg1430z00_1479;
											BgL_hnamesz00_2878 = BgL_arg1454z00_1480;
											BgL_hnamesz00_1474 = BgL_hnamesz00_2878;
											BgL_hooksz00_1473 = BgL_hooksz00_2877;
											goto BgL_zc3z04anonymousza31422ze3z87_1475;
										}
									}
								else
									{	/* Callcc/walk.scm 37 */
										obj_t BgL_arg1456z00_1481;

										BgL_arg1456z00_1481 = CAR(((obj_t) BgL_hnamesz00_1474));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1939z00zzcallcc_walkz00, BgL_arg1456z00_1481);
									}
							}
					}
				}
		}

	}



/* &callcc-walk! */
	obj_t BGl_z62callcczd2walkz12za2zzcallcc_walkz00(obj_t BgL_envz00_2463,
		obj_t BgL_globalsz00_2464)
	{
		{	/* Callcc/walk.scm 31 */
			return BGl_callcczd2walkz12zc0zzcallcc_walkz00(BgL_globalsz00_2464);
		}

	}



/* callcc-fun! */
	bool_t BGl_callcczd2funz12zc0zzcallcc_walkz00(obj_t BgL_varz00_49)
	{
		{	/* Callcc/walk.scm 42 */
			{	/* Callcc/walk.scm 43 */
				BgL_valuez00_bglt BgL_funz00_1485;

				BgL_funz00_1485 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_49)))->BgL_valuez00);
				{	/* Callcc/walk.scm 43 */
					obj_t BgL_bodyz00_1486;

					BgL_bodyz00_1486 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1485)))->BgL_bodyz00);
					{	/* Callcc/walk.scm 44 */
						obj_t BgL_celledz00_1487;

						{	/* Callcc/walk.scm 45 */
							obj_t BgL_arg1534z00_1507;

							BgL_arg1534z00_1507 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt) BgL_funz00_1485)))->BgL_argsz00);
							BgL_celledz00_1487 =
								BGl_celledzd2bindingszd2zzcallcc_walkz00(BgL_arg1534z00_1507);
						}
						{	/* Callcc/walk.scm 45 */

							{
								obj_t BgL_l1293z00_1489;

								BgL_l1293z00_1489 = BgL_celledz00_1487;
							BgL_zc3z04anonymousza31461ze3z87_1490:
								if (PAIRP(BgL_l1293z00_1489))
									{	/* Callcc/walk.scm 47 */
										{	/* Callcc/walk.scm 48 */
											obj_t BgL_wzd2bzd2_1492;

											BgL_wzd2bzd2_1492 = CAR(BgL_l1293z00_1489);
											{	/* Callcc/walk.scm 48 */
												obj_t BgL_arg1477z00_1493;
												obj_t BgL_arg1494z00_1494;

												BgL_arg1477z00_1493 = CAR(((obj_t) BgL_wzd2bzd2_1492));
												BgL_arg1494z00_1494 = CDR(((obj_t) BgL_wzd2bzd2_1492));
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_arg1477z00_1493))))->
														BgL_fastzd2alphazd2) =
													((obj_t) BgL_arg1494z00_1494), BUNSPEC);
											}
										}
										{
											obj_t BgL_l1293z00_2900;

											BgL_l1293z00_2900 = CDR(BgL_l1293z00_1489);
											BgL_l1293z00_1489 = BgL_l1293z00_2900;
											goto BgL_zc3z04anonymousza31461ze3z87_1490;
										}
									}
								else
									{	/* Callcc/walk.scm 47 */
										((bool_t) 1);
									}
							}
							{	/* Callcc/walk.scm 50 */
								BgL_nodez00_bglt BgL_arg1497z00_1497;

								{	/* Callcc/walk.scm 50 */
									BgL_nodez00_bglt BgL_arg1500z00_1498;

									BgL_arg1500z00_1498 =
										BGl_callccz12z12zzcallcc_walkz00(
										((BgL_nodez00_bglt) BgL_bodyz00_1486));
									BgL_arg1497z00_1497 =
										BGl_cellzd2formalszd2zzcallcc_walkz00(BgL_celledz00_1487,
										BgL_arg1500z00_1498);
								}
								((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1485)))->BgL_bodyz00) =
									((obj_t) ((obj_t) BgL_arg1497z00_1497)), BUNSPEC);
							}
							{
								obj_t BgL_l1295z00_1500;

								BgL_l1295z00_1500 = BgL_celledz00_1487;
							BgL_zc3z04anonymousza31501ze3z87_1501:
								if (PAIRP(BgL_l1295z00_1500))
									{	/* Callcc/walk.scm 52 */
										{	/* Callcc/walk.scm 53 */
											obj_t BgL_wzd2bzd2_1503;

											BgL_wzd2bzd2_1503 = CAR(BgL_l1295z00_1500);
											{	/* Callcc/walk.scm 53 */
												obj_t BgL_arg1520z00_1504;

												BgL_arg1520z00_1504 = CAR(((obj_t) BgL_wzd2bzd2_1503));
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_arg1520z00_1504))))->
														BgL_fastzd2alphazd2) = ((obj_t) BUNSPEC), BUNSPEC);
											}
										}
										{
											obj_t BgL_l1295z00_2916;

											BgL_l1295z00_2916 = CDR(BgL_l1295z00_1500);
											BgL_l1295z00_1500 = BgL_l1295z00_2916;
											goto BgL_zc3z04anonymousza31501ze3z87_1501;
										}
									}
								else
									{	/* Callcc/walk.scm 52 */
										return ((bool_t) 1);
									}
							}
						}
					}
				}
			}
		}

	}



/* celled-bindings */
	obj_t BGl_celledzd2bindingszd2zzcallcc_walkz00(obj_t BgL_formalsz00_50)
	{
		{	/* Callcc/walk.scm 59 */
			{
				obj_t BgL_celledz00_1510;
				obj_t BgL_formalsz00_1511;

				BgL_celledz00_1510 = BNIL;
				BgL_formalsz00_1511 = BgL_formalsz00_50;
			BgL_zc3z04anonymousza31535ze3z87_1512:
				if (NULLP(BgL_formalsz00_1511))
					{	/* Callcc/walk.scm 63 */
						return BgL_celledz00_1510;
					}
				else
					{	/* Callcc/walk.scm 65 */
						bool_t BgL_test2029z00_2920;

						{	/* Callcc/walk.scm 65 */
							obj_t BgL_arg1571z00_1534;

							BgL_arg1571z00_1534 = CAR(((obj_t) BgL_formalsz00_1511));
							BgL_test2029z00_2920 =
								BGl_celledzf3zf3zzcallcc_walkz00(
								((BgL_variablez00_bglt) BgL_arg1571z00_1534));
						}
						if (BgL_test2029z00_2920)
							{	/* Callcc/walk.scm 68 */
								BgL_typez00_bglt BgL_vtypez00_1516;

								BgL_vtypez00_1516 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt)
													CAR(((obj_t) BgL_formalsz00_1511))))))->BgL_typez00);
								{	/* Callcc/walk.scm 68 */
									obj_t BgL_ntypez00_1517;

									if (
										(((obj_t) BgL_vtypez00_1516) ==
											BGl_za2_za2z00zztype_cachez00))
										{	/* Callcc/walk.scm 70 */
											BgL_ntypez00_1517 = BGl_za2objza2z00zztype_cachez00;
										}
									else
										{	/* Callcc/walk.scm 70 */
											if (BGl_bigloozd2typezf3z21zztype_typez00
												(BgL_vtypez00_1516))
												{	/* Callcc/walk.scm 71 */
													BgL_ntypez00_1517 = ((obj_t) BgL_vtypez00_1516);
												}
											else
												{	/* Callcc/walk.scm 71 */
													BgL_ntypez00_1517 =
														((obj_t)
														BGl_getzd2bigloozd2typez00zztype_cachez00
														(BgL_vtypez00_1516));
												}
										}
									{	/* Callcc/walk.scm 69 */
										BgL_localz00_bglt BgL_varz00_1518;

										{	/* Callcc/walk.scm 73 */
											obj_t BgL_arg1555z00_1528;

											BgL_arg1555z00_1528 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_formalsz00_1511))))))->
												BgL_idz00);
											BgL_varz00_1518 =
												BGl_makezd2localzd2svarz00zzast_localz00
												(BgL_arg1555z00_1528,
												((BgL_typez00_bglt) BGl_za2cellza2z00zztype_cachez00));
										}
										{	/* Callcc/walk.scm 73 */
											obj_t BgL_ozd2nzd2_1519;

											{	/* Callcc/walk.scm 74 */
												obj_t BgL_arg1554z00_1527;

												BgL_arg1554z00_1527 =
													CAR(((obj_t) BgL_formalsz00_1511));
												BgL_ozd2nzd2_1519 =
													MAKE_YOUNG_PAIR(BgL_arg1554z00_1527,
													((obj_t) BgL_varz00_1518));
											}
											{	/* Callcc/walk.scm 74 */

												{	/* Callcc/walk.scm 75 */
													BgL_localzf2cellzf2_bglt BgL_wide1140z00_1522;

													BgL_wide1140z00_1522 =
														((BgL_localzf2cellzf2_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_localzf2cellzf2_bgl))));
													{	/* Callcc/walk.scm 75 */
														obj_t BgL_auxz00_2953;
														BgL_objectz00_bglt BgL_tmpz00_2950;

														BgL_auxz00_2953 = ((obj_t) BgL_wide1140z00_1522);
														BgL_tmpz00_2950 =
															((BgL_objectz00_bglt)
															((BgL_localz00_bglt) BgL_varz00_1518));
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2950,
															BgL_auxz00_2953);
													}
													((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_varz00_1518));
													{	/* Callcc/walk.scm 75 */
														long BgL_arg1548z00_1523;

														BgL_arg1548z00_1523 =
															BGL_CLASS_NUM
															(BGl_localzf2cellzf2zzcallcc_walkz00);
														BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																	(BgL_localz00_bglt) BgL_varz00_1518)),
															BgL_arg1548z00_1523);
													}
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_varz00_1518));
												}
												((BgL_localz00_bglt) BgL_varz00_1518);
												{	/* Callcc/walk.scm 76 */
													obj_t BgL_arg1551z00_1525;
													obj_t BgL_arg1552z00_1526;

													BgL_arg1551z00_1525 =
														MAKE_YOUNG_PAIR(BgL_ozd2nzd2_1519,
														BgL_celledz00_1510);
													BgL_arg1552z00_1526 =
														CDR(((obj_t) BgL_formalsz00_1511));
													{
														obj_t BgL_formalsz00_2969;
														obj_t BgL_celledz00_2968;

														BgL_celledz00_2968 = BgL_arg1551z00_1525;
														BgL_formalsz00_2969 = BgL_arg1552z00_1526;
														BgL_formalsz00_1511 = BgL_formalsz00_2969;
														BgL_celledz00_1510 = BgL_celledz00_2968;
														goto BgL_zc3z04anonymousza31535ze3z87_1512;
													}
												}
											}
										}
									}
								}
							}
						else
							{	/* Callcc/walk.scm 66 */
								obj_t BgL_arg1570z00_1533;

								BgL_arg1570z00_1533 = CDR(((obj_t) BgL_formalsz00_1511));
								{
									obj_t BgL_formalsz00_2972;

									BgL_formalsz00_2972 = BgL_arg1570z00_1533;
									BgL_formalsz00_1511 = BgL_formalsz00_2972;
									goto BgL_zc3z04anonymousza31535ze3z87_1512;
								}
							}
					}
			}
		}

	}



/* cell-formals */
	BgL_nodez00_bglt BGl_cellzd2formalszd2zzcallcc_walkz00(obj_t BgL_celledz00_51,
		BgL_nodez00_bglt BgL_bodyz00_52)
	{
		{	/* Callcc/walk.scm 81 */
			if (NULLP(BgL_celledz00_51))
				{	/* Callcc/walk.scm 82 */
					return BgL_bodyz00_52;
				}
			else
				{	/* Callcc/walk.scm 84 */
					obj_t BgL_locz00_1537;

					BgL_locz00_1537 =
						(((BgL_nodez00_bglt) COBJECT(BgL_bodyz00_52))->BgL_locz00);
					{	/* Callcc/walk.scm 85 */
						BgL_letzd2varzd2_bglt BgL_new1143z00_1538;

						{	/* Callcc/walk.scm 86 */
							BgL_letzd2varzd2_bglt BgL_new1142z00_1560;

							BgL_new1142z00_1560 =
								((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2varzd2_bgl))));
							{	/* Callcc/walk.scm 86 */
								long BgL_arg1595z00_1561;

								BgL_arg1595z00_1561 =
									BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1142z00_1560),
									BgL_arg1595z00_1561);
							}
							{	/* Callcc/walk.scm 86 */
								BgL_objectz00_bglt BgL_tmpz00_2980;

								BgL_tmpz00_2980 = ((BgL_objectz00_bglt) BgL_new1142z00_1560);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2980, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1142z00_1560);
							BgL_new1143z00_1538 = BgL_new1142z00_1560;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1143z00_1538)))->BgL_locz00) =
							((obj_t) BgL_locz00_1537), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1143z00_1538)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT(BgL_bodyz00_52))->BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1143z00_1538)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1143z00_1538)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							obj_t BgL_auxz00_2994;

							{	/* Callcc/walk.scm 89 */
								obj_t BgL_l1297z00_1539;

								BgL_l1297z00_1539 = BgL_celledz00_51;
								if (NULLP(BgL_l1297z00_1539))
									{	/* Callcc/walk.scm 89 */
										BgL_auxz00_2994 = BNIL;
									}
								else
									{	/* Callcc/walk.scm 89 */
										obj_t BgL_head1299z00_1541;

										BgL_head1299z00_1541 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1297z00_1543;
											obj_t BgL_tail1300z00_1544;

											BgL_l1297z00_1543 = BgL_l1297z00_1539;
											BgL_tail1300z00_1544 = BgL_head1299z00_1541;
										BgL_zc3z04anonymousza31574ze3z87_1545:
											if (NULLP(BgL_l1297z00_1543))
												{	/* Callcc/walk.scm 89 */
													BgL_auxz00_2994 = CDR(BgL_head1299z00_1541);
												}
											else
												{	/* Callcc/walk.scm 89 */
													obj_t BgL_newtail1301z00_1547;

													{	/* Callcc/walk.scm 89 */
														obj_t BgL_arg1581z00_1549;

														{	/* Callcc/walk.scm 89 */
															obj_t BgL_ozd2nzd2_1550;

															BgL_ozd2nzd2_1550 =
																CAR(((obj_t) BgL_l1297z00_1543));
															{	/* Callcc/walk.scm 90 */
																obj_t BgL_arg1582z00_1551;
																BgL_makezd2boxzd2_bglt BgL_arg1583z00_1552;

																BgL_arg1582z00_1551 =
																	CDR(((obj_t) BgL_ozd2nzd2_1550));
																{	/* Callcc/walk.scm 92 */
																	BgL_refz00_bglt BgL_arg1584z00_1553;
																	obj_t BgL_arg1585z00_1554;

																	{	/* Callcc/walk.scm 92 */
																		BgL_refz00_bglt BgL_new1145z00_1555;

																		{	/* Callcc/walk.scm 95 */
																			BgL_refz00_bglt BgL_new1144z00_1557;

																			BgL_new1144z00_1557 =
																				((BgL_refz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_refz00_bgl))));
																			{	/* Callcc/walk.scm 95 */
																				long BgL_arg1588z00_1558;

																				{	/* Callcc/walk.scm 95 */
																					obj_t BgL_classz00_2063;

																					BgL_classz00_2063 =
																						BGl_refz00zzast_nodez00;
																					BgL_arg1588z00_1558 =
																						BGL_CLASS_NUM(BgL_classz00_2063);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1144z00_1557),
																					BgL_arg1588z00_1558);
																			}
																			{	/* Callcc/walk.scm 95 */
																				BgL_objectz00_bglt BgL_tmpz00_3009;

																				BgL_tmpz00_3009 =
																					((BgL_objectz00_bglt)
																					BgL_new1144z00_1557);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3009,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1144z00_1557);
																			BgL_new1145z00_1555 = BgL_new1144z00_1557;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1145z00_1555)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_1537), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1145z00_1555)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((
																						(BgL_variablez00_bglt)
																						COBJECT(((BgL_variablez00_bglt)
																								CAR(((obj_t)
																										BgL_ozd2nzd2_1550)))))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_varz00_bglt)
																					COBJECT(((BgL_varz00_bglt)
																							BgL_new1145z00_1555)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt) CAR(((obj_t)
																							BgL_ozd2nzd2_1550)))), BUNSPEC);
																		BgL_arg1584z00_1553 = BgL_new1145z00_1555;
																	}
																	BgL_arg1585z00_1554 =
																		CAR(((obj_t) BgL_ozd2nzd2_1550));
																	BgL_arg1583z00_1552 =
																		BGl_azd2makezd2cellz00zzcallcc_walkz00(
																		((BgL_nodez00_bglt) BgL_arg1584z00_1553),
																		((BgL_variablez00_bglt)
																			BgL_arg1585z00_1554));
																}
																BgL_arg1581z00_1549 =
																	MAKE_YOUNG_PAIR(BgL_arg1582z00_1551,
																	((obj_t) BgL_arg1583z00_1552));
														}}
														BgL_newtail1301z00_1547 =
															MAKE_YOUNG_PAIR(BgL_arg1581z00_1549, BNIL);
													}
													SET_CDR(BgL_tail1300z00_1544,
														BgL_newtail1301z00_1547);
													{	/* Callcc/walk.scm 89 */
														obj_t BgL_arg1578z00_1548;

														BgL_arg1578z00_1548 =
															CDR(((obj_t) BgL_l1297z00_1543));
														{
															obj_t BgL_tail1300z00_3038;
															obj_t BgL_l1297z00_3037;

															BgL_l1297z00_3037 = BgL_arg1578z00_1548;
															BgL_tail1300z00_3038 = BgL_newtail1301z00_1547;
															BgL_tail1300z00_1544 = BgL_tail1300z00_3038;
															BgL_l1297z00_1543 = BgL_l1297z00_3037;
															goto BgL_zc3z04anonymousza31574ze3z87_1545;
														}
													}
												}
										}
									}
							}
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1143z00_1538))->
									BgL_bindingsz00) = ((obj_t) BgL_auxz00_2994), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1143z00_1538))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_bodyz00_52), BUNSPEC);
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1143z00_1538))->
								BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1143z00_1538);
					}
				}
		}

	}



/* a-make-cell */
	BgL_makezd2boxzd2_bglt BGl_azd2makezd2cellz00zzcallcc_walkz00(BgL_nodez00_bglt
		BgL_nodez00_53, BgL_variablez00_bglt BgL_variablez00_54)
	{
		{	/* Callcc/walk.scm 102 */
			{	/* Callcc/walk.scm 104 */
				obj_t BgL_vz00_2074;

				BgL_vz00_2074 = CNST_TABLE_REF(((long) 1));
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_variablez00_54))))->BgL_accessz00) =
					((obj_t) BgL_vz00_2074), BUNSPEC);
			}
			{	/* Callcc/walk.scm 105 */
				BgL_localzf2cellzf2_bglt BgL_wide1149z00_1565;

				BgL_wide1149z00_1565 =
					((BgL_localzf2cellzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2cellzf2_bgl))));
				{	/* Callcc/walk.scm 105 */
					obj_t BgL_auxz00_3052;
					BgL_objectz00_bglt BgL_tmpz00_3048;

					BgL_auxz00_3052 = ((obj_t) BgL_wide1149z00_1565);
					BgL_tmpz00_3048 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_variablez00_54)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3048, BgL_auxz00_3052);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_variablez00_54)));
				{	/* Callcc/walk.scm 105 */
					long BgL_arg1597z00_1566;

					BgL_arg1597z00_1566 =
						BGL_CLASS_NUM(BGl_localzf2cellzf2zzcallcc_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_variablez00_54))),
						BgL_arg1597z00_1566);
				}
				((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_variablez00_54)));
			}
			((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_variablez00_54));
			{	/* Callcc/walk.scm 106 */
				BgL_makezd2boxzd2_bglt BgL_new1152z00_1568;

				{	/* Callcc/walk.scm 109 */
					BgL_makezd2boxzd2_bglt BgL_new1151z00_1570;

					BgL_new1151z00_1570 =
						((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Callcc/walk.scm 109 */
						long BgL_arg1602z00_1571;

						BgL_arg1602z00_1571 = BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1151z00_1570), BgL_arg1602z00_1571);
					}
					{	/* Callcc/walk.scm 109 */
						BgL_objectz00_bglt BgL_tmpz00_3072;

						BgL_tmpz00_3072 = ((BgL_objectz00_bglt) BgL_new1151z00_1570);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3072, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1151z00_1570);
					BgL_new1152z00_1568 = BgL_new1151z00_1570;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1152z00_1568)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_53))->BgL_locz00)),
					BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1152z00_1568)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt)
							BGl_za2cellza2z00zztype_cachez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1152z00_1568)))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1152z00_1568)))->BgL_keyz00) =
					((obj_t) BINT(((long) -1))), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1152z00_1568))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_nodez00_53), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3088;

					{	/* Callcc/walk.scm 108 */
						BgL_typez00_bglt BgL_arg1601z00_1569;

						BgL_arg1601z00_1569 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_54))->
							BgL_typez00);
						BgL_auxz00_3088 =
							BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
							(BgL_arg1601z00_1569);
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1152z00_1568))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_3088), BUNSPEC);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1152z00_1568))->
						BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
				return BgL_new1152z00_1568;
			}
		}

	}



/* celled? */
	bool_t BGl_celledzf3zf3zzcallcc_walkz00(BgL_variablez00_bglt BgL_varz00_55)
	{
		{	/* Callcc/walk.scm 115 */
			{	/* Callcc/walk.scm 116 */
				bool_t BgL__ortest_1153z00_1572;

				{	/* Callcc/walk.scm 116 */
					obj_t BgL_classz00_2084;

					BgL_classz00_2084 = BGl_localzf2cellzf2zzcallcc_walkz00;
					{	/* Callcc/walk.scm 116 */
						obj_t BgL_oclassz00_2086;

						{	/* Callcc/walk.scm 116 */
							long BgL_arg1833z00_2088;

							{	/* Callcc/walk.scm 116 */
								long BgL_arg1834z00_2089;

								BgL_arg1834z00_2089 =
									BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_varz00_55));
								BgL_arg1833z00_2088 = (BgL_arg1834z00_2089 - OBJECT_TYPE);
							}
							BgL_oclassz00_2086 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_2088);
						}
						BgL__ortest_1153z00_1572 =
							(BgL_oclassz00_2086 == BgL_classz00_2084);
				}}
				if (BgL__ortest_1153z00_1572)
					{	/* Callcc/walk.scm 116 */
						return BgL__ortest_1153z00_1572;
					}
				else
					{	/* Callcc/walk.scm 116 */
						if (
							((((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_varz00_55))))->
									BgL_accessz00) == CNST_TABLE_REF(((long) 2))))
							{	/* Callcc/walk.scm 118 */
								bool_t BgL__ortest_1155z00_1574;

								{	/* Callcc/walk.scm 118 */
									BgL_typez00_bglt BgL_arg1604z00_1576;

									BgL_arg1604z00_1576 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_varz00_55))))->BgL_typez00);
									BgL__ortest_1155z00_1574 =
										(
										((obj_t) BgL_arg1604z00_1576) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL__ortest_1155z00_1574)
									{	/* Callcc/walk.scm 118 */
										return BgL__ortest_1155z00_1574;
									}
								else
									{	/* Callcc/walk.scm 119 */
										BgL_typez00_bglt BgL_arg1603z00_1575;

										BgL_arg1603z00_1575 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_varz00_55))))->
											BgL_typez00);
										return
											BGl_bigloozd2typezf3z21zztype_typez00
											(BgL_arg1603z00_1575);
									}
							}
						else
							{	/* Callcc/walk.scm 117 */
								return ((bool_t) 0);
							}
					}
			}
		}

	}



/* callcc*! */
	obj_t BGl_callccza2z12zb0zzcallcc_walkz00(obj_t BgL_nodeza2za2_78)
	{
		{	/* Callcc/walk.scm 359 */
		BGl_callccza2z12zb0zzcallcc_walkz00:
			if (NULLP(BgL_nodeza2za2_78))
				{	/* Callcc/walk.scm 360 */
					return CNST_TABLE_REF(((long) 3));
				}
			else
				{	/* Callcc/walk.scm 360 */
					{	/* Callcc/walk.scm 363 */
						BgL_nodez00_bglt BgL_arg1612z00_1579;

						{	/* Callcc/walk.scm 363 */
							obj_t BgL_arg1613z00_1580;

							BgL_arg1613z00_1580 = CAR(((obj_t) BgL_nodeza2za2_78));
							BgL_arg1612z00_1579 =
								BGl_callccz12z12zzcallcc_walkz00(
								((BgL_nodez00_bglt) BgL_arg1613z00_1580));
						}
						{	/* Callcc/walk.scm 363 */
							obj_t BgL_auxz00_3124;
							obj_t BgL_tmpz00_3122;

							BgL_auxz00_3124 = ((obj_t) BgL_arg1612z00_1579);
							BgL_tmpz00_3122 = ((obj_t) BgL_nodeza2za2_78);
							SET_CAR(BgL_tmpz00_3122, BgL_auxz00_3124);
						}
					}
					{	/* Callcc/walk.scm 364 */
						obj_t BgL_arg1619z00_1581;

						BgL_arg1619z00_1581 = CDR(((obj_t) BgL_nodeza2za2_78));
						{
							obj_t BgL_nodeza2za2_3129;

							BgL_nodeza2za2_3129 = BgL_arg1619z00_1581;
							BgL_nodeza2za2_78 = BgL_nodeza2za2_3129;
							goto BGl_callccza2z12zb0zzcallcc_walkz00;
						}
					}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcallcc_walkz00()
	{
		{	/* Callcc/walk.scm 16 */
			{	/* Callcc/walk.scm 25 */
				obj_t BgL_arg1636z00_1586;
				obj_t BgL_arg1647z00_1587;

				{	/* Callcc/walk.scm 25 */
					obj_t BgL_v1311z00_1621;

					BgL_v1311z00_1621 = create_vector(((long) 0));
					BgL_arg1636z00_1586 = BgL_v1311z00_1621;
				}
				{	/* Callcc/walk.scm 25 */
					obj_t BgL_v1312z00_1622;

					BgL_v1312z00_1622 = create_vector(((long) 0));
					BgL_arg1647z00_1587 = BgL_v1312z00_1622;
				}
				return (BGl_localzf2cellzf2zzcallcc_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 4)),
						CNST_TABLE_REF(((long) 5)), BGl_localz00zzast_varz00, ((long) 4868),
						BGl_proc1943z00zzcallcc_walkz00, BGl_proc1942z00zzcallcc_walkz00,
						BFALSE, BGl_proc1941z00zzcallcc_walkz00,
						BGl_proc1940z00zzcallcc_walkz00, BgL_arg1636z00_1586,
						BgL_arg1647z00_1587), BUNSPEC);
		}}

	}



/* &lambda1662 */
	BgL_localz00_bglt BGl_z62lambda1662z62zzcallcc_walkz00(obj_t BgL_envz00_2469,
		obj_t BgL_o1119z00_2470)
	{
		{	/* Callcc/walk.scm 25 */
			{	/* Callcc/walk.scm 25 */
				long BgL_arg1665z00_2570;

				{	/* Callcc/walk.scm 25 */
					obj_t BgL_arg1667z00_2571;

					{	/* Callcc/walk.scm 25 */
						obj_t BgL_arg1668z00_2572;

						{	/* Callcc/walk.scm 25 */
							long BgL_arg1833z00_2573;

							{	/* Callcc/walk.scm 25 */
								long BgL_arg1834z00_2574;

								BgL_arg1834z00_2574 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1119z00_2470)));
								BgL_arg1833z00_2573 = (BgL_arg1834z00_2574 - OBJECT_TYPE);
							}
							BgL_arg1668z00_2572 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_2573);
						}
						BgL_arg1667z00_2571 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1668z00_2572);
					}
					{	/* Callcc/walk.scm 25 */
						obj_t BgL_tmpz00_3141;

						BgL_tmpz00_3141 = ((obj_t) BgL_arg1667z00_2571);
						BgL_arg1665z00_2570 = BGL_CLASS_NUM(BgL_tmpz00_3141);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1119z00_2470)), BgL_arg1665z00_2570);
			}
			{	/* Callcc/walk.scm 25 */
				BgL_objectz00_bglt BgL_tmpz00_3147;

				BgL_tmpz00_3147 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1119z00_2470));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3147, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1119z00_2470));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1119z00_2470));
		}

	}



/* &<@anonymous:1661> */
	obj_t BGl_z62zc3z04anonymousza31661ze3ze5zzcallcc_walkz00(obj_t
		BgL_envz00_2471, obj_t BgL_new1118z00_2472)
	{
		{	/* Callcc/walk.scm 25 */
			{
				BgL_localz00_bglt BgL_auxz00_3155;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1118z00_2472))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1118z00_2472))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3163;

					{	/* Callcc/walk.scm 25 */
						obj_t BgL_classz00_2576;

						BgL_classz00_2576 = BGl_typez00zztype_typez00;
						{	/* Callcc/walk.scm 25 */
							obj_t BgL__ortest_1112z00_2577;

							BgL__ortest_1112z00_2577 = BGL_CLASS_NIL(BgL_classz00_2576);
							if (CBOOL(BgL__ortest_1112z00_2577))
								{	/* Callcc/walk.scm 25 */
									BgL_auxz00_3163 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_2577);
								}
							else
								{	/* Callcc/walk.scm 25 */
									BgL_auxz00_3163 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2576));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1118z00_2472))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3163), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_3173;

					{	/* Callcc/walk.scm 25 */
						obj_t BgL_classz00_2578;

						BgL_classz00_2578 = BGl_valuez00zzast_varz00;
						{	/* Callcc/walk.scm 25 */
							obj_t BgL__ortest_1112z00_2579;

							BgL__ortest_1112z00_2579 = BGL_CLASS_NIL(BgL_classz00_2578);
							if (CBOOL(BgL__ortest_1112z00_2579))
								{	/* Callcc/walk.scm 25 */
									BgL_auxz00_3173 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_2579);
								}
							else
								{	/* Callcc/walk.scm 25 */
									BgL_auxz00_3173 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2578));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1118z00_2472))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_3173), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1118z00_2472))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1118z00_2472))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1118z00_2472))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1118z00_2472))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1118z00_2472))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1118z00_2472))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1118z00_2472))))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1118z00_2472))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1118z00_2472))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_3155 = ((BgL_localz00_bglt) BgL_new1118z00_2472);
				return ((obj_t) BgL_auxz00_3155);
			}
		}

	}



/* &lambda1657 */
	BgL_localz00_bglt BGl_z62lambda1657z62zzcallcc_walkz00(obj_t BgL_envz00_2473,
		obj_t BgL_o1115z00_2474)
	{
		{	/* Callcc/walk.scm 25 */
			{	/* Callcc/walk.scm 25 */
				BgL_localzf2cellzf2_bglt BgL_wide1117z00_2581;

				BgL_wide1117z00_2581 =
					((BgL_localzf2cellzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2cellzf2_bgl))));
				{	/* Callcc/walk.scm 25 */
					obj_t BgL_auxz00_3217;
					BgL_objectz00_bglt BgL_tmpz00_3213;

					BgL_auxz00_3217 = ((obj_t) BgL_wide1117z00_2581);
					BgL_tmpz00_3213 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1115z00_2474)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3213, BgL_auxz00_3217);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1115z00_2474)));
				{	/* Callcc/walk.scm 25 */
					long BgL_arg1660z00_2582;

					BgL_arg1660z00_2582 =
						BGL_CLASS_NUM(BGl_localzf2cellzf2zzcallcc_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1115z00_2474))), BgL_arg1660z00_2582);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1115z00_2474)));
			}
		}

	}



/* &lambda1648 */
	BgL_localz00_bglt BGl_z62lambda1648z62zzcallcc_walkz00(obj_t BgL_envz00_2475,
		obj_t BgL_id1102z00_2476, obj_t BgL_name1103z00_2477,
		obj_t BgL_type1104z00_2478, obj_t BgL_value1105z00_2479,
		obj_t BgL_access1106z00_2480, obj_t BgL_fastzd2alpha1107zd2_2481,
		obj_t BgL_removable1108z00_2482, obj_t BgL_occurrence1109z00_2483,
		obj_t BgL_occurrencew1110z00_2484, obj_t BgL_userzf31111zf3_2485,
		obj_t BgL_key1112z00_2486, obj_t BgL_valzd2noescape1113zd2_2487,
		obj_t BgL_volatile1114z00_2488)
	{
		{	/* Callcc/walk.scm 25 */
			{	/* Callcc/walk.scm 25 */
				long BgL_occurrence1109z00_2586;
				long BgL_occurrencew1110z00_2587;
				bool_t BgL_userzf31111zf3_2588;
				long BgL_key1112z00_2589;
				bool_t BgL_volatile1114z00_2590;

				BgL_occurrence1109z00_2586 = (long) CINT(BgL_occurrence1109z00_2483);
				BgL_occurrencew1110z00_2587 = (long) CINT(BgL_occurrencew1110z00_2484);
				BgL_userzf31111zf3_2588 = CBOOL(BgL_userzf31111zf3_2485);
				BgL_key1112z00_2589 = (long) CINT(BgL_key1112z00_2486);
				BgL_volatile1114z00_2590 = CBOOL(BgL_volatile1114z00_2488);
				{	/* Callcc/walk.scm 25 */
					BgL_localz00_bglt BgL_new1180z00_2591;

					{	/* Callcc/walk.scm 25 */
						BgL_localz00_bglt BgL_tmp1178z00_2592;
						BgL_localzf2cellzf2_bglt BgL_wide1179z00_2593;

						{
							BgL_localz00_bglt BgL_auxz00_3236;

							{	/* Callcc/walk.scm 25 */
								BgL_localz00_bglt BgL_new1177z00_2594;

								BgL_new1177z00_2594 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Callcc/walk.scm 25 */
									long BgL_arg1656z00_2595;

									BgL_arg1656z00_2595 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1177z00_2594),
										BgL_arg1656z00_2595);
								}
								{	/* Callcc/walk.scm 25 */
									BgL_objectz00_bglt BgL_tmpz00_3241;

									BgL_tmpz00_3241 = ((BgL_objectz00_bglt) BgL_new1177z00_2594);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3241, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1177z00_2594);
								BgL_auxz00_3236 = BgL_new1177z00_2594;
							}
							BgL_tmp1178z00_2592 = ((BgL_localz00_bglt) BgL_auxz00_3236);
						}
						BgL_wide1179z00_2593 =
							((BgL_localzf2cellzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2cellzf2_bgl))));
						{	/* Callcc/walk.scm 25 */
							obj_t BgL_auxz00_3249;
							BgL_objectz00_bglt BgL_tmpz00_3247;

							BgL_auxz00_3249 = ((obj_t) BgL_wide1179z00_2593);
							BgL_tmpz00_3247 = ((BgL_objectz00_bglt) BgL_tmp1178z00_2592);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3247, BgL_auxz00_3249);
						}
						((BgL_objectz00_bglt) BgL_tmp1178z00_2592);
						{	/* Callcc/walk.scm 25 */
							long BgL_arg1652z00_2596;

							BgL_arg1652z00_2596 =
								BGL_CLASS_NUM(BGl_localzf2cellzf2zzcallcc_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1178z00_2592),
								BgL_arg1652z00_2596);
						}
						BgL_new1180z00_2591 = ((BgL_localz00_bglt) BgL_tmp1178z00_2592);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1180z00_2591)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1102z00_2476)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1180z00_2591)))->BgL_namez00) =
						((obj_t) BgL_name1103z00_2477), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1180z00_2591)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1104z00_2478)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1180z00_2591)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1105z00_2479)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1180z00_2591)))->BgL_accessz00) =
						((obj_t) BgL_access1106z00_2480), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1180z00_2591)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1107zd2_2481), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1180z00_2591)))->BgL_removablez00) =
						((obj_t) BgL_removable1108z00_2482), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1180z00_2591)))->BgL_occurrencez00) =
						((long) BgL_occurrence1109z00_2586), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1180z00_2591)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1110z00_2587), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1180z00_2591)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31111zf3_2588), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1180z00_2591)))->BgL_keyz00) =
						((long) BgL_key1112z00_2589), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1180z00_2591)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1113zd2_2487), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1180z00_2591)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1114z00_2590), BUNSPEC);
					return BgL_new1180z00_2591;
				}
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcallcc_walkz00()
	{
		{	/* Callcc/walk.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00,
				BGl_proc1944z00zzcallcc_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1945z00zzcallcc_walkz00);
		}

	}



/* &callcc!1313 */
	obj_t BGl_z62callccz121313z70zzcallcc_walkz00(obj_t BgL_envz00_2490,
		obj_t BgL_nodez00_2491)
	{
		{	/* Callcc/walk.scm 124 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 7)),
				BGl_string1946z00zzcallcc_walkz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2491)));
		}

	}



/* callcc! */
	BgL_nodez00_bglt BGl_callccz12z12zzcallcc_walkz00(BgL_nodez00_bglt
		BgL_nodez00_56)
	{
		{	/* Callcc/walk.scm 124 */
			{	/* Callcc/walk.scm 124 */
				obj_t BgL_method1314z00_1631;

				{	/* Callcc/walk.scm 124 */
					obj_t BgL_res1923z00_2159;

					{	/* Callcc/walk.scm 124 */
						long BgL_objzd2classzd2numz00_2130;

						BgL_objzd2classzd2numz00_2130 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_56));
						{	/* Callcc/walk.scm 124 */
							obj_t BgL_arg1829z00_2131;

							BgL_arg1829z00_2131 =
								PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00,
								(int) (((long) 1)));
							{	/* Callcc/walk.scm 124 */
								int BgL_offsetz00_2134;

								BgL_offsetz00_2134 = (int) (BgL_objzd2classzd2numz00_2130);
								{	/* Callcc/walk.scm 124 */
									long BgL_offsetz00_2135;

									BgL_offsetz00_2135 =
										((long) (BgL_offsetz00_2134) - OBJECT_TYPE);
									{	/* Callcc/walk.scm 124 */
										long BgL_modz00_2136;

										BgL_modz00_2136 =
											(BgL_offsetz00_2135 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Callcc/walk.scm 124 */
											long BgL_restz00_2138;

											BgL_restz00_2138 =
												(BgL_offsetz00_2135 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Callcc/walk.scm 124 */

												{	/* Callcc/walk.scm 124 */
													obj_t BgL_bucketz00_2140;

													BgL_bucketz00_2140 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2131), BgL_modz00_2136);
													BgL_res1923z00_2159 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2140), BgL_restz00_2138);
					}}}}}}}}
					BgL_method1314z00_1631 = BgL_res1923z00_2159;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1314z00_1631) (BgL_method1314z00_1631,
						((obj_t) BgL_nodez00_56), BEOA));
			}
		}

	}



/* &callcc! */
	BgL_nodez00_bglt BGl_z62callccz12z70zzcallcc_walkz00(obj_t BgL_envz00_2492,
		obj_t BgL_nodez00_2493)
	{
		{	/* Callcc/walk.scm 124 */
			return
				BGl_callccz12z12zzcallcc_walkz00(((BgL_nodez00_bglt) BgL_nodez00_2493));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcallcc_walkz00()
	{
		{	/* Callcc/walk.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_atomz00zzast_nodez00,
				BGl_proc1947z00zzcallcc_walkz00, BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1949z00zzcallcc_walkz00, BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_varz00zzast_nodez00,
				BGl_proc1950z00zzcallcc_walkz00, BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc1951z00zzcallcc_walkz00, BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc1952z00zzcallcc_walkz00, BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc1953z00zzcallcc_walkz00, BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc1954z00zzcallcc_walkz00, BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc1955z00zzcallcc_walkz00, BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc1956z00zzcallcc_walkz00, BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc1957z00zzcallcc_walkz00, BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc1958z00zzcallcc_walkz00, BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1959z00zzcallcc_walkz00,
				BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc1960z00zzcallcc_walkz00, BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc1961z00zzcallcc_walkz00, BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc1962z00zzcallcc_walkz00, BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1963z00zzcallcc_walkz00, BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1964z00zzcallcc_walkz00,
				BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1965z00zzcallcc_walkz00,
				BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc1966z00zzcallcc_walkz00, BGl_string1948z00zzcallcc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc1967z00zzcallcc_walkz00, BGl_string1948z00zzcallcc_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callccz12zd2envzc0zzcallcc_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1968z00zzcallcc_walkz00,
				BGl_string1948z00zzcallcc_walkz00);
		}

	}



/* &callcc!-box-set!1356 */
	BgL_nodez00_bglt BGl_z62callccz12zd2boxzd2setz121356z62zzcallcc_walkz00(obj_t
		BgL_envz00_2515, obj_t BgL_nodez00_2516)
	{
		{	/* Callcc/walk.scm 351 */
			{
				BgL_nodez00_bglt BgL_auxz00_3345;

				{	/* Callcc/walk.scm 353 */
					BgL_nodez00_bglt BgL_arg1824z00_2599;

					BgL_arg1824z00_2599 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2516)))->BgL_valuez00);
					BgL_auxz00_3345 =
						BGl_callccz12z12zzcallcc_walkz00(BgL_arg1824z00_2599);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2516)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3345), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2516));
		}

	}



/* &callcc!-box-ref1354 */
	BgL_nodez00_bglt BGl_z62callccz12zd2boxzd2ref1354z70zzcallcc_walkz00(obj_t
		BgL_envz00_2517, obj_t BgL_nodez00_2518)
	{
		{	/* Callcc/walk.scm 345 */
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2518));
		}

	}



/* &callcc!-make-box1352 */
	BgL_nodez00_bglt BGl_z62callccz12zd2makezd2box1352z70zzcallcc_walkz00(obj_t
		BgL_envz00_2519, obj_t BgL_nodez00_2520)
	{
		{	/* Callcc/walk.scm 338 */
			((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2520)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_callccz12z12zzcallcc_walkz00((((BgL_makezd2boxzd2_bglt)
								COBJECT(((BgL_makezd2boxzd2_bglt) BgL_nodez00_2520)))->
							BgL_valuez00))), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2520));
		}

	}



/* &callcc!-jump-ex-it1350 */
	BgL_nodez00_bglt
		BGl_z62callccz12zd2jumpzd2exzd2it1350za2zzcallcc_walkz00(obj_t
		BgL_envz00_2521, obj_t BgL_nodez00_2522)
	{
		{	/* Callcc/walk.scm 329 */
			{
				BgL_nodez00_bglt BgL_auxz00_3362;

				{	/* Callcc/walk.scm 331 */
					BgL_nodez00_bglt BgL_arg1810z00_2603;

					BgL_arg1810z00_2603 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2522)))->BgL_exitz00);
					BgL_auxz00_3362 =
						BGl_callccz12z12zzcallcc_walkz00(BgL_arg1810z00_2603);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2522)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3362), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3368;

				{	/* Callcc/walk.scm 332 */
					BgL_nodez00_bglt BgL_arg1811z00_2604;

					BgL_arg1811z00_2604 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2522)))->
						BgL_valuez00);
					BgL_auxz00_3368 =
						BGl_callccz12z12zzcallcc_walkz00(BgL_arg1811z00_2604);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2522)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3368), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2522));
		}

	}



/* &callcc!-set-ex-it1348 */
	BgL_nodez00_bglt BGl_z62callccz12zd2setzd2exzd2it1348za2zzcallcc_walkz00(obj_t
		BgL_envz00_2523, obj_t BgL_nodez00_2524)
	{
		{	/* Callcc/walk.scm 321 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2524)))->BgL_onexitz00) =
				((BgL_nodez00_bglt)
					BGl_callccz12z12zzcallcc_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2524)))->
							BgL_onexitz00))), BUNSPEC);
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_2524)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_callccz12z12zzcallcc_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2524)))->
							BgL_bodyz00))), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_2524));
		}

	}



/* &callcc!-let-var1346 */
	BgL_nodez00_bglt BGl_z62callccz12zd2letzd2var1346z70zzcallcc_walkz00(obj_t
		BgL_envz00_2525, obj_t BgL_nodez00_2526)
	{
		{	/* Callcc/walk.scm 303 */
			{
				BgL_nodez00_bglt BgL_auxz00_3388;

				{	/* Callcc/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg1781z00_2607;

					BgL_arg1781z00_2607 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2526)))->BgL_bodyz00);
					BgL_auxz00_3388 =
						BGl_callccz12z12zzcallcc_walkz00(BgL_arg1781z00_2607);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2526)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3388), BUNSPEC);
			}
			{	/* Callcc/walk.scm 306 */
				obj_t BgL_g1310z00_2608;

				BgL_g1310z00_2608 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2526)))->BgL_bindingsz00);
				{
					obj_t BgL_l1308z00_2610;

					BgL_l1308z00_2610 = BgL_g1310z00_2608;
				BgL_zc3z04anonymousza31782ze3z87_2609:
					if (PAIRP(BgL_l1308z00_2610))
						{	/* Callcc/walk.scm 306 */
							{	/* Callcc/walk.scm 307 */
								obj_t BgL_bindingz00_2611;

								BgL_bindingz00_2611 = CAR(BgL_l1308z00_2610);
								{	/* Callcc/walk.scm 307 */
									obj_t BgL_varz00_2612;
									obj_t BgL_valz00_2613;

									BgL_varz00_2612 = CAR(((obj_t) BgL_bindingz00_2611));
									BgL_valz00_2613 = CDR(((obj_t) BgL_bindingz00_2611));
									{	/* Callcc/walk.scm 309 */
										BgL_nodez00_bglt BgL_arg1785z00_2614;

										BgL_arg1785z00_2614 =
											BGl_callccz12z12zzcallcc_walkz00(
											((BgL_nodez00_bglt) BgL_valz00_2613));
										{	/* Callcc/walk.scm 309 */
											obj_t BgL_auxz00_3407;
											obj_t BgL_tmpz00_3405;

											BgL_auxz00_3407 = ((obj_t) BgL_arg1785z00_2614);
											BgL_tmpz00_3405 = ((obj_t) BgL_bindingz00_2611);
											SET_CDR(BgL_tmpz00_3405, BgL_auxz00_3407);
										}
									}
									if (BGl_celledzf3zf3zzcallcc_walkz00(
											((BgL_variablez00_bglt) BgL_varz00_2612)))
										{	/* Callcc/walk.scm 310 */
											{	/* Callcc/walk.scm 313 */
												BgL_makezd2boxzd2_bglt BgL_arg1788z00_2615;

												{	/* Callcc/walk.scm 313 */
													obj_t BgL_arg1789z00_2616;

													BgL_arg1789z00_2616 =
														CDR(((obj_t) BgL_bindingz00_2611));
													BgL_arg1788z00_2615 =
														BGl_azd2makezd2cellz00zzcallcc_walkz00(
														((BgL_nodez00_bglt) BgL_arg1789z00_2616),
														((BgL_variablez00_bglt) BgL_varz00_2612));
												}
												{	/* Callcc/walk.scm 312 */
													obj_t BgL_auxz00_3420;
													obj_t BgL_tmpz00_3418;

													BgL_auxz00_3420 = ((obj_t) BgL_arg1788z00_2615);
													BgL_tmpz00_3418 = ((obj_t) BgL_bindingz00_2611);
													SET_CDR(BgL_tmpz00_3418, BgL_auxz00_3420);
												}
											}
											{	/* Callcc/walk.scm 314 */
												BgL_typez00_bglt BgL_vz00_2617;

												BgL_vz00_2617 =
													((BgL_typez00_bglt) BGl_za2cellza2z00zztype_cachez00);
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_2612))))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_vz00_2617), BUNSPEC);
											}
										}
									else
										{	/* Callcc/walk.scm 310 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1308z00_3427;

								BgL_l1308z00_3427 = CDR(BgL_l1308z00_2610);
								BgL_l1308z00_2610 = BgL_l1308z00_3427;
								goto BgL_zc3z04anonymousza31782ze3z87_2609;
							}
						}
					else
						{	/* Callcc/walk.scm 306 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2526));
		}

	}



/* &callcc!-let-fun1344 */
	BgL_nodez00_bglt BGl_z62callccz12zd2letzd2fun1344z70zzcallcc_walkz00(obj_t
		BgL_envz00_2527, obj_t BgL_nodez00_2528)
	{
		{	/* Callcc/walk.scm 294 */
			{	/* Callcc/walk.scm 296 */
				obj_t BgL_g1307z00_2619;

				BgL_g1307z00_2619 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2528)))->BgL_localsz00);
				{
					obj_t BgL_l1305z00_2621;

					BgL_l1305z00_2621 = BgL_g1307z00_2619;
				BgL_zc3z04anonymousza31767ze3z87_2620:
					if (PAIRP(BgL_l1305z00_2621))
						{	/* Callcc/walk.scm 296 */
							BGl_callcczd2funz12zc0zzcallcc_walkz00(CAR(BgL_l1305z00_2621));
							{
								obj_t BgL_l1305z00_3437;

								BgL_l1305z00_3437 = CDR(BgL_l1305z00_2621);
								BgL_l1305z00_2621 = BgL_l1305z00_3437;
								goto BgL_zc3z04anonymousza31767ze3z87_2620;
							}
						}
					else
						{	/* Callcc/walk.scm 296 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3439;

				{	/* Callcc/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg1777z00_2622;

					BgL_arg1777z00_2622 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2528)))->BgL_bodyz00);
					BgL_auxz00_3439 =
						BGl_callccz12z12zzcallcc_walkz00(BgL_arg1777z00_2622);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2528)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3439), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2528));
		}

	}



/* &callcc!-switch1342 */
	BgL_nodez00_bglt BGl_z62callccz12zd2switch1342za2zzcallcc_walkz00(obj_t
		BgL_envz00_2529, obj_t BgL_nodez00_2530)
	{
		{	/* Callcc/walk.scm 283 */
			{
				BgL_nodez00_bglt BgL_auxz00_3447;

				{	/* Callcc/walk.scm 285 */
					BgL_nodez00_bglt BgL_arg1759z00_2624;

					BgL_arg1759z00_2624 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2530)))->BgL_testz00);
					BgL_auxz00_3447 =
						BGl_callccz12z12zzcallcc_walkz00(BgL_arg1759z00_2624);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2530)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3447), BUNSPEC);
			}
			{	/* Callcc/walk.scm 286 */
				obj_t BgL_g1304z00_2625;

				BgL_g1304z00_2625 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2530)))->BgL_clausesz00);
				{
					obj_t BgL_l1302z00_2627;

					BgL_l1302z00_2627 = BgL_g1304z00_2625;
				BgL_zc3z04anonymousza31760ze3z87_2626:
					if (PAIRP(BgL_l1302z00_2627))
						{	/* Callcc/walk.scm 286 */
							{	/* Callcc/walk.scm 287 */
								obj_t BgL_clausez00_2628;

								BgL_clausez00_2628 = CAR(BgL_l1302z00_2627);
								{	/* Callcc/walk.scm 287 */
									BgL_nodez00_bglt BgL_arg1762z00_2629;

									{	/* Callcc/walk.scm 287 */
										obj_t BgL_arg1763z00_2630;

										BgL_arg1763z00_2630 = CDR(((obj_t) BgL_clausez00_2628));
										BgL_arg1762z00_2629 =
											BGl_callccz12z12zzcallcc_walkz00(
											((BgL_nodez00_bglt) BgL_arg1763z00_2630));
									}
									{	/* Callcc/walk.scm 287 */
										obj_t BgL_auxz00_3464;
										obj_t BgL_tmpz00_3462;

										BgL_auxz00_3464 = ((obj_t) BgL_arg1762z00_2629);
										BgL_tmpz00_3462 = ((obj_t) BgL_clausez00_2628);
										SET_CDR(BgL_tmpz00_3462, BgL_auxz00_3464);
									}
								}
							}
							{
								obj_t BgL_l1302z00_3467;

								BgL_l1302z00_3467 = CDR(BgL_l1302z00_2627);
								BgL_l1302z00_2627 = BgL_l1302z00_3467;
								goto BgL_zc3z04anonymousza31760ze3z87_2626;
							}
						}
					else
						{	/* Callcc/walk.scm 286 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2530));
		}

	}



/* &callcc!-fail1340 */
	BgL_nodez00_bglt BGl_z62callccz12zd2fail1340za2zzcallcc_walkz00(obj_t
		BgL_envz00_2531, obj_t BgL_nodez00_2532)
	{
		{	/* Callcc/walk.scm 273 */
			{
				BgL_nodez00_bglt BgL_auxz00_3471;

				{	/* Callcc/walk.scm 275 */
					BgL_nodez00_bglt BgL_arg1751z00_2632;

					BgL_arg1751z00_2632 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2532)))->BgL_procz00);
					BgL_auxz00_3471 =
						BGl_callccz12z12zzcallcc_walkz00(BgL_arg1751z00_2632);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2532)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3471), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3477;

				{	/* Callcc/walk.scm 276 */
					BgL_nodez00_bglt BgL_arg1752z00_2633;

					BgL_arg1752z00_2633 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2532)))->BgL_msgz00);
					BgL_auxz00_3477 =
						BGl_callccz12z12zzcallcc_walkz00(BgL_arg1752z00_2633);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2532)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3477), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3483;

				{	/* Callcc/walk.scm 277 */
					BgL_nodez00_bglt BgL_arg1753z00_2634;

					BgL_arg1753z00_2634 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2532)))->BgL_objz00);
					BgL_auxz00_3483 =
						BGl_callccz12z12zzcallcc_walkz00(BgL_arg1753z00_2634);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2532)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3483), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2532));
		}

	}



/* &callcc!-conditional1338 */
	BgL_nodez00_bglt BGl_z62callccz12zd2conditional1338za2zzcallcc_walkz00(obj_t
		BgL_envz00_2533, obj_t BgL_nodez00_2534)
	{
		{	/* Callcc/walk.scm 263 */
			{
				BgL_nodez00_bglt BgL_auxz00_3491;

				{	/* Callcc/walk.scm 265 */
					BgL_nodez00_bglt BgL_arg1748z00_2636;

					BgL_arg1748z00_2636 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2534)))->BgL_testz00);
					BgL_auxz00_3491 =
						BGl_callccz12z12zzcallcc_walkz00(BgL_arg1748z00_2636);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2534)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3491), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3497;

				{	/* Callcc/walk.scm 266 */
					BgL_nodez00_bglt BgL_arg1749z00_2637;

					BgL_arg1749z00_2637 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2534)))->BgL_truez00);
					BgL_auxz00_3497 =
						BGl_callccz12z12zzcallcc_walkz00(BgL_arg1749z00_2637);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2534)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3497), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3503;

				{	/* Callcc/walk.scm 267 */
					BgL_nodez00_bglt BgL_arg1750z00_2638;

					BgL_arg1750z00_2638 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2534)))->BgL_falsez00);
					BgL_auxz00_3503 =
						BGl_callccz12z12zzcallcc_walkz00(BgL_arg1750z00_2638);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2534)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3503), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2534));
		}

	}



/* &callcc!-setq1336 */
	BgL_nodez00_bglt BGl_z62callccz12zd2setq1336za2zzcallcc_walkz00(obj_t
		BgL_envz00_2535, obj_t BgL_nodez00_2536)
	{
		{	/* Callcc/walk.scm 228 */
			((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2536)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_callccz12z12zzcallcc_walkz00((((BgL_setqz00_bglt)
								COBJECT(((BgL_setqz00_bglt) BgL_nodez00_2536)))->
							BgL_valuez00))), BUNSPEC);
			{	/* Callcc/walk.scm 230 */
				BgL_variablez00_bglt BgL_varz00_2640;

				BgL_varz00_2640 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setqz00_bglt) COBJECT(
										((BgL_setqz00_bglt) BgL_nodez00_2536)))->BgL_varz00)))->
					BgL_variablez00);
				{	/* Callcc/walk.scm 230 */
					BgL_typez00_bglt BgL_vtypez00_2641;

					BgL_vtypez00_2641 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2640))->BgL_typez00);
					{	/* Callcc/walk.scm 231 */

						{	/* Callcc/walk.scm 232 */
							obj_t BgL_g1163z00_2642;

							BgL_g1163z00_2642 =
								(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2640))->
								BgL_fastzd2alphazd2);
							{
								obj_t BgL_varz00_2644;
								obj_t BgL_alphaz00_2645;

								BgL_varz00_2644 = ((obj_t) BgL_varz00_2640);
								BgL_alphaz00_2645 = BgL_g1163z00_2642;
							BgL_loopz00_2643:
								{	/* Callcc/walk.scm 234 */
									bool_t BgL_test2045z00_3521;

									{	/* Callcc/walk.scm 234 */
										obj_t BgL_classz00_2646;

										BgL_classz00_2646 = BGl_localz00zzast_varz00;
										if (BGL_OBJECTP(BgL_alphaz00_2645))
											{	/* Callcc/walk.scm 234 */
												BgL_objectz00_bglt BgL_arg1825z00_2647;

												BgL_arg1825z00_2647 =
													(BgL_objectz00_bglt) (BgL_alphaz00_2645);
												{	/* Callcc/walk.scm 234 */
													bool_t BgL_arg1822z00_2648;
													bool_t BgL_arg1823z00_2649;

													{	/* Callcc/walk.scm 234 */
														long BgL_idxz00_2650;

														BgL_idxz00_2650 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2647);
														BgL_arg1822z00_2648 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2650 + ((long) 2))) ==
															BgL_classz00_2646);
													}
													{	/* Callcc/walk.scm 234 */
														bool_t BgL_res1927z00_2653;

														{	/* Callcc/walk.scm 234 */
															obj_t BgL_oclassz00_2654;

															{	/* Callcc/walk.scm 234 */
																long BgL_arg1833z00_2655;

																{	/* Callcc/walk.scm 234 */
																	long BgL_arg1834z00_2656;

																	BgL_arg1834z00_2656 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2647);
																	BgL_arg1833z00_2655 =
																		(BgL_arg1834z00_2656 - OBJECT_TYPE);
																}
																BgL_oclassz00_2654 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2655);
															}
															{	/* Callcc/walk.scm 234 */
																bool_t BgL__ortest_1110z00_2657;

																BgL__ortest_1110z00_2657 =
																	(BgL_classz00_2646 == BgL_oclassz00_2654);
																if (BgL__ortest_1110z00_2657)
																	{	/* Callcc/walk.scm 234 */
																		BgL_res1927z00_2653 =
																			BgL__ortest_1110z00_2657;
																	}
																else
																	{	/* Callcc/walk.scm 234 */
																		long BgL_odepthz00_2658;

																		BgL_odepthz00_2658 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2654);
																		if ((((long) 2) < BgL_odepthz00_2658))
																			{	/* Callcc/walk.scm 234 */
																				obj_t BgL_arg1821z00_2659;

																				BgL_arg1821z00_2659 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2654, ((long) 2));
																				BgL_res1927z00_2653 =
																					(BgL_arg1821z00_2659 ==
																					BgL_classz00_2646);
																			}
																		else
																			{	/* Callcc/walk.scm 234 */
																				BgL_res1927z00_2653 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2649 = BgL_res1927z00_2653;
													}
													BgL_test2045z00_3521 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2648,
														BgL_arg1823z00_2649);
												}
											}
										else
											{	/* Callcc/walk.scm 234 */
												BgL_test2045z00_3521 = ((bool_t) 0);
											}
									}
									if (BgL_test2045z00_3521)
										{	/* Callcc/walk.scm 234 */
											{	/* Callcc/walk.scm 236 */
												BgL_varz00_bglt BgL_arg1728z00_2660;

												BgL_arg1728z00_2660 =
													(((BgL_setqz00_bglt) COBJECT(
															((BgL_setqz00_bglt) BgL_nodez00_2536)))->
													BgL_varz00);
												((((BgL_varz00_bglt) COBJECT(BgL_arg1728z00_2660))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_alphaz00_2645)), BUNSPEC);
											}
											{	/* Callcc/walk.scm 237 */
												obj_t BgL_arg1729z00_2661;

												BgL_arg1729z00_2661 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_alphaz00_2645)))->
													BgL_fastzd2alphazd2);
												{
													obj_t BgL_alphaz00_3547;
													obj_t BgL_varz00_3546;

													BgL_varz00_3546 = BgL_alphaz00_2645;
													BgL_alphaz00_3547 = BgL_arg1729z00_2661;
													BgL_alphaz00_2645 = BgL_alphaz00_3547;
													BgL_varz00_2644 = BgL_varz00_3546;
													goto BgL_loopz00_2643;
												}
											}
										}
									else
										{	/* Callcc/walk.scm 239 */
											bool_t BgL_test2049z00_3548;

											{	/* Callcc/walk.scm 239 */
												obj_t BgL_classz00_2662;

												BgL_classz00_2662 = BGl_globalz00zzast_varz00;
												if (BGL_OBJECTP(BgL_varz00_2644))
													{	/* Callcc/walk.scm 239 */
														BgL_objectz00_bglt BgL_arg1825z00_2663;

														BgL_arg1825z00_2663 =
															(BgL_objectz00_bglt) (BgL_varz00_2644);
														{	/* Callcc/walk.scm 239 */
															bool_t BgL_arg1822z00_2664;
															bool_t BgL_arg1823z00_2665;

															{	/* Callcc/walk.scm 239 */
																long BgL_idxz00_2666;

																BgL_idxz00_2666 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_2663);
																BgL_arg1822z00_2664 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2666 + ((long) 2))) ==
																	BgL_classz00_2662);
															}
															{	/* Callcc/walk.scm 239 */
																bool_t BgL_res1928z00_2669;

																{	/* Callcc/walk.scm 239 */
																	obj_t BgL_oclassz00_2670;

																	{	/* Callcc/walk.scm 239 */
																		long BgL_arg1833z00_2671;

																		{	/* Callcc/walk.scm 239 */
																			long BgL_arg1834z00_2672;

																			BgL_arg1834z00_2672 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_2663);
																			BgL_arg1833z00_2671 =
																				(BgL_arg1834z00_2672 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2670 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_2671);
																	}
																	{	/* Callcc/walk.scm 239 */
																		bool_t BgL__ortest_1110z00_2673;

																		BgL__ortest_1110z00_2673 =
																			(BgL_classz00_2662 == BgL_oclassz00_2670);
																		if (BgL__ortest_1110z00_2673)
																			{	/* Callcc/walk.scm 239 */
																				BgL_res1928z00_2669 =
																					BgL__ortest_1110z00_2673;
																			}
																		else
																			{	/* Callcc/walk.scm 239 */
																				long BgL_odepthz00_2674;

																				BgL_odepthz00_2674 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_2670);
																				if ((((long) 2) < BgL_odepthz00_2674))
																					{	/* Callcc/walk.scm 239 */
																						obj_t BgL_arg1821z00_2675;

																						BgL_arg1821z00_2675 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_2670, ((long) 2));
																						BgL_res1928z00_2669 =
																							(BgL_arg1821z00_2675 ==
																							BgL_classz00_2662);
																					}
																				else
																					{	/* Callcc/walk.scm 239 */
																						BgL_res1928z00_2669 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_2665 = BgL_res1928z00_2669;
															}
															BgL_test2049z00_3548 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_2664,
																BgL_arg1823z00_2665);
														}
													}
												else
													{	/* Callcc/walk.scm 239 */
														BgL_test2049z00_3548 = ((bool_t) 0);
													}
											}
											if (BgL_test2049z00_3548)
												{	/* Callcc/walk.scm 239 */
													return
														((BgL_nodez00_bglt)
														((BgL_setqz00_bglt) BgL_nodez00_2536));
												}
											else
												{	/* Callcc/walk.scm 239 */
													if (BGl_celledzf3zf3zzcallcc_walkz00(
															((BgL_variablez00_bglt) BgL_varz00_2644)))
														{	/* Callcc/walk.scm 244 */
															BgL_localz00_bglt BgL_azd2varzd2_2676;
															obj_t BgL_locz00_2677;

															BgL_azd2varzd2_2676 =
																BGl_makezd2localzd2svarz00zzast_localz00
																(CNST_TABLE_REF(((long) 8)),
																((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00));
															BgL_locz00_2677 =
																(((BgL_nodez00_bglt)
																	COBJECT(((BgL_nodez00_bglt) (
																				(BgL_setqz00_bglt)
																				BgL_nodez00_2536))))->BgL_locz00);
															{	/* Callcc/walk.scm 246 */
																BgL_letzd2varzd2_bglt BgL_new1165z00_2678;

																{	/* Callcc/walk.scm 248 */
																	BgL_letzd2varzd2_bglt BgL_new1164z00_2679;

																	BgL_new1164z00_2679 =
																		((BgL_letzd2varzd2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_letzd2varzd2_bgl))));
																	{	/* Callcc/walk.scm 248 */
																		long BgL_arg1746z00_2680;

																		BgL_arg1746z00_2680 =
																			BGL_CLASS_NUM
																			(BGl_letzd2varzd2zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1164z00_2679),
																			BgL_arg1746z00_2680);
																	}
																	{	/* Callcc/walk.scm 248 */
																		BgL_objectz00_bglt BgL_tmpz00_3582;

																		BgL_tmpz00_3582 =
																			((BgL_objectz00_bglt)
																			BgL_new1164z00_2679);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3582,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1164z00_2679);
																	BgL_new1165z00_2678 = BgL_new1164z00_2679;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1165z00_2678)))->BgL_locz00) =
																	((obj_t) BgL_locz00_2677), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1165z00_2678)))->BgL_typez00) =
																	((BgL_typez00_bglt) ((BgL_typez00_bglt)
																			BGl_za2unspecza2z00zztype_cachez00)),
																	BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1165z00_2678)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1165z00_2678)))->BgL_keyz00) =
																	((obj_t) BINT(((long) -1))), BUNSPEC);
																{
																	obj_t BgL_auxz00_3596;

																	{	/* Callcc/walk.scm 249 */
																		obj_t BgL_arg1738z00_2681;

																		{	/* Callcc/walk.scm 249 */
																			BgL_nodez00_bglt BgL_arg1742z00_2682;

																			BgL_arg1742z00_2682 =
																				(((BgL_setqz00_bglt) COBJECT(
																						((BgL_setqz00_bglt)
																							BgL_nodez00_2536)))->
																				BgL_valuez00);
																			BgL_arg1738z00_2681 =
																				MAKE_YOUNG_PAIR(((obj_t)
																					BgL_azd2varzd2_2676),
																				((obj_t) BgL_arg1742z00_2682));
																		}
																		{	/* Callcc/walk.scm 249 */
																			obj_t BgL_list1739z00_2683;

																			BgL_list1739z00_2683 =
																				MAKE_YOUNG_PAIR(BgL_arg1738z00_2681,
																				BNIL);
																			BgL_auxz00_3596 = BgL_list1739z00_2683;
																	}}
																	((((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_new1165z00_2678))->
																			BgL_bindingsz00) =
																		((obj_t) BgL_auxz00_3596), BUNSPEC);
																}
																{
																	BgL_nodez00_bglt BgL_auxz00_3604;

																	{	/* Callcc/walk.scm 250 */
																		BgL_boxzd2setz12zc0_bglt
																			BgL_new1167z00_2684;
																		{	/* Callcc/walk.scm 253 */
																			BgL_boxzd2setz12zc0_bglt
																				BgL_new1166z00_2685;
																			BgL_new1166z00_2685 =
																				((BgL_boxzd2setz12zc0_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_boxzd2setz12zc0_bgl))));
																			{	/* Callcc/walk.scm 253 */
																				long BgL_arg1745z00_2686;

																				{	/* Callcc/walk.scm 253 */
																					obj_t BgL_classz00_2687;

																					BgL_classz00_2687 =
																						BGl_boxzd2setz12zc0zzast_nodez00;
																					BgL_arg1745z00_2686 =
																						BGL_CLASS_NUM(BgL_classz00_2687);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1166z00_2685),
																					BgL_arg1745z00_2686);
																			}
																			{	/* Callcc/walk.scm 253 */
																				BgL_objectz00_bglt BgL_tmpz00_3609;

																				BgL_tmpz00_3609 =
																					((BgL_objectz00_bglt)
																					BgL_new1166z00_2685);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3609,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1166z00_2685);
																			BgL_new1167z00_2684 = BgL_new1166z00_2685;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1167z00_2684)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_2677), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1167z00_2684)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((BgL_typez00_bglt)
																					BGl_za2unspecza2z00zztype_cachez00)),
																			BUNSPEC);
																		((((BgL_boxzd2setz12zc0_bglt)
																					COBJECT(BgL_new1167z00_2684))->
																				BgL_varz00) =
																			((BgL_varz00_bglt) (((BgL_setqz00_bglt)
																						COBJECT(((BgL_setqz00_bglt)
																								BgL_nodez00_2536)))->
																					BgL_varz00)), BUNSPEC);
																		{
																			BgL_nodez00_bglt BgL_auxz00_3621;

																			{	/* Callcc/walk.scm 255 */
																				BgL_refz00_bglt BgL_new1169z00_2688;

																				{	/* Callcc/walk.scm 257 */
																					BgL_refz00_bglt BgL_new1168z00_2689;

																					BgL_new1168z00_2689 =
																						((BgL_refz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_refz00_bgl))));
																					{	/* Callcc/walk.scm 257 */
																						long BgL_arg1743z00_2690;

																						{	/* Callcc/walk.scm 257 */
																							obj_t BgL_classz00_2691;

																							BgL_classz00_2691 =
																								BGl_refz00zzast_nodez00;
																							BgL_arg1743z00_2690 =
																								BGL_CLASS_NUM
																								(BgL_classz00_2691);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1168z00_2689),
																							BgL_arg1743z00_2690);
																					}
																					{	/* Callcc/walk.scm 257 */
																						BgL_objectz00_bglt BgL_tmpz00_3626;

																						BgL_tmpz00_3626 =
																							((BgL_objectz00_bglt)
																							BgL_new1168z00_2689);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_3626, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1168z00_2689);
																					BgL_new1169z00_2688 =
																						BgL_new1168z00_2689;
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1169z00_2688)))->
																						BgL_locz00) =
																					((obj_t) BgL_locz00_2677), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_new1169z00_2688)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) ((
																								(BgL_variablez00_bglt)
																								COBJECT(((BgL_variablez00_bglt)
																										BgL_azd2varzd2_2676)))->
																							BgL_typez00)), BUNSPEC);
																				((((BgL_varz00_bglt)
																							COBJECT(((BgL_varz00_bglt)
																									BgL_new1169z00_2688)))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt) (
																							(BgL_variablez00_bglt)
																							BgL_azd2varzd2_2676)), BUNSPEC);
																				BgL_auxz00_3621 =
																					((BgL_nodez00_bglt)
																					BgL_new1169z00_2688);
																			}
																			((((BgL_boxzd2setz12zc0_bglt)
																						COBJECT(BgL_new1167z00_2684))->
																					BgL_valuez00) =
																				((BgL_nodez00_bglt) BgL_auxz00_3621),
																				BUNSPEC);
																		}
																		((((BgL_boxzd2setz12zc0_bglt)
																					COBJECT(BgL_new1167z00_2684))->
																				BgL_vtypez00) =
																			((BgL_typez00_bglt)
																				BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																				(BgL_vtypez00_2641)), BUNSPEC);
																		BgL_auxz00_3604 =
																			((BgL_nodez00_bglt) BgL_new1167z00_2684);
																	}
																	((((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_new1165z00_2678))->
																			BgL_bodyz00) =
																		((BgL_nodez00_bglt) BgL_auxz00_3604),
																		BUNSPEC);
																}
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1165z00_2678))->
																		BgL_removablezf3zf3) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
																return ((BgL_nodez00_bglt) BgL_new1165z00_2678);
															}
														}
													else
														{	/* Callcc/walk.scm 241 */
															return
																((BgL_nodez00_bglt)
																((BgL_setqz00_bglt) BgL_nodez00_2536));
														}
												}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &callcc!-cast1334 */
	BgL_nodez00_bglt BGl_z62callccz12zd2cast1334za2zzcallcc_walkz00(obj_t
		BgL_envz00_2537, obj_t BgL_nodez00_2538)
	{
		{	/* Callcc/walk.scm 221 */
			((((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2538)))->BgL_argz00) =
				((BgL_nodez00_bglt)
					BGl_callccz12z12zzcallcc_walkz00((((BgL_castz00_bglt)
								COBJECT(((BgL_castz00_bglt) BgL_nodez00_2538)))->BgL_argz00))),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2538));
		}

	}



/* &callcc!-extern1332 */
	BgL_nodez00_bglt BGl_z62callccz12zd2extern1332za2zzcallcc_walkz00(obj_t
		BgL_envz00_2539, obj_t BgL_nodez00_2540)
	{
		{	/* Callcc/walk.scm 214 */
			BGl_callccza2z12zb0zzcallcc_walkz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2540)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2540));
		}

	}



/* &callcc!-funcall1330 */
	BgL_nodez00_bglt BGl_z62callccz12zd2funcall1330za2zzcallcc_walkz00(obj_t
		BgL_envz00_2541, obj_t BgL_nodez00_2542)
	{
		{	/* Callcc/walk.scm 205 */
			{
				BgL_nodez00_bglt BgL_auxz00_3662;

				{	/* Callcc/walk.scm 207 */
					BgL_nodez00_bglt BgL_arg1713z00_2695;

					BgL_arg1713z00_2695 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2542)))->BgL_funz00);
					BgL_auxz00_3662 =
						BGl_callccz12z12zzcallcc_walkz00(BgL_arg1713z00_2695);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2542)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3662), BUNSPEC);
			}
			BGl_callccza2z12zb0zzcallcc_walkz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2542)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2542));
		}

	}



/* &callcc!-app-ly1328 */
	BgL_nodez00_bglt BGl_z62callccz12zd2appzd2ly1328z70zzcallcc_walkz00(obj_t
		BgL_envz00_2543, obj_t BgL_nodez00_2544)
	{
		{	/* Callcc/walk.scm 196 */
			{
				BgL_nodez00_bglt BgL_auxz00_3673;

				{	/* Callcc/walk.scm 198 */
					BgL_nodez00_bglt BgL_arg1711z00_2697;

					BgL_arg1711z00_2697 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2544)))->BgL_funz00);
					BgL_auxz00_3673 =
						BGl_callccz12z12zzcallcc_walkz00(BgL_arg1711z00_2697);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2544)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3673), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3679;

				{	/* Callcc/walk.scm 199 */
					BgL_nodez00_bglt BgL_arg1712z00_2698;

					BgL_arg1712z00_2698 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2544)))->BgL_argz00);
					BgL_auxz00_3679 =
						BGl_callccz12z12zzcallcc_walkz00(BgL_arg1712z00_2698);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2544)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3679), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2544));
		}

	}



/* &callcc!-app1326 */
	BgL_nodez00_bglt BGl_z62callccz12zd2app1326za2zzcallcc_walkz00(obj_t
		BgL_envz00_2545, obj_t BgL_nodez00_2546)
	{
		{	/* Callcc/walk.scm 188 */
			BGl_callccza2z12zb0zzcallcc_walkz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2546)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2546));
		}

	}



/* &callcc!-sync1324 */
	BgL_nodez00_bglt BGl_z62callccz12zd2sync1324za2zzcallcc_walkz00(obj_t
		BgL_envz00_2547, obj_t BgL_nodez00_2548)
	{
		{	/* Callcc/walk.scm 178 */
			{
				BgL_nodez00_bglt BgL_auxz00_3692;

				{	/* Callcc/walk.scm 180 */
					BgL_nodez00_bglt BgL_arg1696z00_2701;

					BgL_arg1696z00_2701 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2548)))->BgL_mutexz00);
					BgL_auxz00_3692 =
						BGl_callccz12z12zzcallcc_walkz00(BgL_arg1696z00_2701);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2548)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3692), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3698;

				{	/* Callcc/walk.scm 181 */
					BgL_nodez00_bglt BgL_arg1699z00_2702;

					BgL_arg1699z00_2702 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2548)))->BgL_prelockz00);
					BgL_auxz00_3698 =
						BGl_callccz12z12zzcallcc_walkz00(BgL_arg1699z00_2702);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2548)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3698), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3704;

				{	/* Callcc/walk.scm 182 */
					BgL_nodez00_bglt BgL_arg1703z00_2703;

					BgL_arg1703z00_2703 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2548)))->BgL_bodyz00);
					BgL_auxz00_3704 =
						BGl_callccz12z12zzcallcc_walkz00(BgL_arg1703z00_2703);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2548)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3704), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2548));
		}

	}



/* &callcc!-sequence1322 */
	BgL_nodez00_bglt BGl_z62callccz12zd2sequence1322za2zzcallcc_walkz00(obj_t
		BgL_envz00_2549, obj_t BgL_nodez00_2550)
	{
		{	/* Callcc/walk.scm 171 */
			BGl_callccza2z12zb0zzcallcc_walkz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2550)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2550));
		}

	}



/* &callcc!-var1320 */
	BgL_nodez00_bglt BGl_z62callccz12zd2var1320za2zzcallcc_walkz00(obj_t
		BgL_envz00_2551, obj_t BgL_nodez00_2552)
	{
		{	/* Callcc/walk.scm 141 */
			{	/* Callcc/walk.scm 142 */
				BgL_variablez00_bglt BgL_varz00_2706;

				BgL_varz00_2706 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2552)))->BgL_variablez00);
				{	/* Callcc/walk.scm 142 */
					BgL_typez00_bglt BgL_vtypez00_2707;

					BgL_vtypez00_2707 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2706))->BgL_typez00);
					{	/* Callcc/walk.scm 143 */

						{	/* Callcc/walk.scm 144 */
							obj_t BgL_g1156z00_2708;

							BgL_g1156z00_2708 =
								(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2706))->
								BgL_fastzd2alphazd2);
							{
								obj_t BgL_varz00_2710;
								obj_t BgL_alphaz00_2711;

								BgL_varz00_2710 = ((obj_t) BgL_varz00_2706);
								BgL_alphaz00_2711 = BgL_g1156z00_2708;
							BgL_loopz00_2709:
								{	/* Callcc/walk.scm 146 */
									bool_t BgL_test2054z00_3721;

									{	/* Callcc/walk.scm 146 */
										obj_t BgL_classz00_2712;

										BgL_classz00_2712 = BGl_localz00zzast_varz00;
										if (BGL_OBJECTP(BgL_alphaz00_2711))
											{	/* Callcc/walk.scm 146 */
												BgL_objectz00_bglt BgL_arg1825z00_2713;

												BgL_arg1825z00_2713 =
													(BgL_objectz00_bglt) (BgL_alphaz00_2711);
												{	/* Callcc/walk.scm 146 */
													bool_t BgL_arg1822z00_2714;
													bool_t BgL_arg1823z00_2715;

													{	/* Callcc/walk.scm 146 */
														long BgL_idxz00_2716;

														BgL_idxz00_2716 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2713);
														BgL_arg1822z00_2714 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2716 + ((long) 2))) ==
															BgL_classz00_2712);
													}
													{	/* Callcc/walk.scm 146 */
														bool_t BgL_res1924z00_2719;

														{	/* Callcc/walk.scm 146 */
															obj_t BgL_oclassz00_2720;

															{	/* Callcc/walk.scm 146 */
																long BgL_arg1833z00_2721;

																{	/* Callcc/walk.scm 146 */
																	long BgL_arg1834z00_2722;

																	BgL_arg1834z00_2722 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2713);
																	BgL_arg1833z00_2721 =
																		(BgL_arg1834z00_2722 - OBJECT_TYPE);
																}
																BgL_oclassz00_2720 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2721);
															}
															{	/* Callcc/walk.scm 146 */
																bool_t BgL__ortest_1110z00_2723;

																BgL__ortest_1110z00_2723 =
																	(BgL_classz00_2712 == BgL_oclassz00_2720);
																if (BgL__ortest_1110z00_2723)
																	{	/* Callcc/walk.scm 146 */
																		BgL_res1924z00_2719 =
																			BgL__ortest_1110z00_2723;
																	}
																else
																	{	/* Callcc/walk.scm 146 */
																		long BgL_odepthz00_2724;

																		BgL_odepthz00_2724 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2720);
																		if ((((long) 2) < BgL_odepthz00_2724))
																			{	/* Callcc/walk.scm 146 */
																				obj_t BgL_arg1821z00_2725;

																				BgL_arg1821z00_2725 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2720, ((long) 2));
																				BgL_res1924z00_2719 =
																					(BgL_arg1821z00_2725 ==
																					BgL_classz00_2712);
																			}
																		else
																			{	/* Callcc/walk.scm 146 */
																				BgL_res1924z00_2719 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2715 = BgL_res1924z00_2719;
													}
													BgL_test2054z00_3721 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2714,
														BgL_arg1823z00_2715);
												}
											}
										else
											{	/* Callcc/walk.scm 146 */
												BgL_test2054z00_3721 = ((bool_t) 0);
											}
									}
									if (BgL_test2054z00_3721)
										{	/* Callcc/walk.scm 146 */
											((((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_2552)))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_alphaz00_2711)), BUNSPEC);
											{	/* Callcc/walk.scm 149 */
												obj_t BgL_arg1678z00_2726;

												BgL_arg1678z00_2726 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_alphaz00_2711)))->
													BgL_fastzd2alphazd2);
												{
													obj_t BgL_alphaz00_3746;
													obj_t BgL_varz00_3745;

													BgL_varz00_3745 = BgL_alphaz00_2711;
													BgL_alphaz00_3746 = BgL_arg1678z00_2726;
													BgL_alphaz00_2711 = BgL_alphaz00_3746;
													BgL_varz00_2710 = BgL_varz00_3745;
													goto BgL_loopz00_2709;
												}
											}
										}
									else
										{	/* Callcc/walk.scm 151 */
											bool_t BgL_test2058z00_3747;

											{	/* Callcc/walk.scm 151 */
												obj_t BgL_classz00_2727;

												BgL_classz00_2727 = BGl_localz00zzast_varz00;
												if (BGL_OBJECTP(BgL_alphaz00_2711))
													{	/* Callcc/walk.scm 151 */
														BgL_objectz00_bglt BgL_arg1825z00_2728;

														BgL_arg1825z00_2728 =
															(BgL_objectz00_bglt) (BgL_alphaz00_2711);
														{	/* Callcc/walk.scm 151 */
															bool_t BgL_arg1822z00_2729;
															bool_t BgL_arg1823z00_2730;

															{	/* Callcc/walk.scm 151 */
																long BgL_idxz00_2731;

																BgL_idxz00_2731 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_2728);
																BgL_arg1822z00_2729 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2731 + ((long) 2))) ==
																	BgL_classz00_2727);
															}
															{	/* Callcc/walk.scm 151 */
																bool_t BgL_res1925z00_2734;

																{	/* Callcc/walk.scm 151 */
																	obj_t BgL_oclassz00_2735;

																	{	/* Callcc/walk.scm 151 */
																		long BgL_arg1833z00_2736;

																		{	/* Callcc/walk.scm 151 */
																			long BgL_arg1834z00_2737;

																			BgL_arg1834z00_2737 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_2728);
																			BgL_arg1833z00_2736 =
																				(BgL_arg1834z00_2737 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2735 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_2736);
																	}
																	{	/* Callcc/walk.scm 151 */
																		bool_t BgL__ortest_1110z00_2738;

																		BgL__ortest_1110z00_2738 =
																			(BgL_classz00_2727 == BgL_oclassz00_2735);
																		if (BgL__ortest_1110z00_2738)
																			{	/* Callcc/walk.scm 151 */
																				BgL_res1925z00_2734 =
																					BgL__ortest_1110z00_2738;
																			}
																		else
																			{	/* Callcc/walk.scm 151 */
																				long BgL_odepthz00_2739;

																				BgL_odepthz00_2739 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_2735);
																				if ((((long) 2) < BgL_odepthz00_2739))
																					{	/* Callcc/walk.scm 151 */
																						obj_t BgL_arg1821z00_2740;

																						BgL_arg1821z00_2740 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_2735, ((long) 2));
																						BgL_res1925z00_2734 =
																							(BgL_arg1821z00_2740 ==
																							BgL_classz00_2727);
																					}
																				else
																					{	/* Callcc/walk.scm 151 */
																						BgL_res1925z00_2734 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_2730 = BgL_res1925z00_2734;
															}
															BgL_test2058z00_3747 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_2729,
																BgL_arg1823z00_2730);
														}
													}
												else
													{	/* Callcc/walk.scm 151 */
														BgL_test2058z00_3747 = ((bool_t) 0);
													}
											}
											if (BgL_test2058z00_3747)
												{	/* Callcc/walk.scm 151 */
													((((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_nodez00_2552)))->
															BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BgL_alphaz00_2711)), BUNSPEC);
													{	/* Callcc/walk.scm 153 */
														BgL_typez00_bglt BgL_arg1681z00_2741;

														BgL_arg1681z00_2741 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt) BgL_alphaz00_2711)))->
															BgL_typez00);
														((((BgL_nodez00_bglt)
																	COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
																				BgL_nodez00_2552))))->BgL_typez00) =
															((BgL_typez00_bglt) BgL_arg1681z00_2741),
															BUNSPEC);
													}
													return
														BGl_callccz12z12zzcallcc_walkz00(
														((BgL_nodez00_bglt)
															((BgL_varz00_bglt) BgL_nodez00_2552)));
												}
											else
												{	/* Callcc/walk.scm 155 */
													bool_t BgL_test2062z00_3777;

													{	/* Callcc/walk.scm 155 */
														obj_t BgL_classz00_2742;

														BgL_classz00_2742 = BGl_globalz00zzast_varz00;
														if (BGL_OBJECTP(BgL_varz00_2710))
															{	/* Callcc/walk.scm 155 */
																BgL_objectz00_bglt BgL_arg1825z00_2743;

																BgL_arg1825z00_2743 =
																	(BgL_objectz00_bglt) (BgL_varz00_2710);
																{	/* Callcc/walk.scm 155 */
																	bool_t BgL_arg1822z00_2744;
																	bool_t BgL_arg1823z00_2745;

																	{	/* Callcc/walk.scm 155 */
																		long BgL_idxz00_2746;

																		BgL_idxz00_2746 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_2743);
																		BgL_arg1822z00_2744 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2746 + ((long) 2))) ==
																			BgL_classz00_2742);
																	}
																	{	/* Callcc/walk.scm 155 */
																		bool_t BgL_res1926z00_2749;

																		{	/* Callcc/walk.scm 155 */
																			obj_t BgL_oclassz00_2750;

																			{	/* Callcc/walk.scm 155 */
																				long BgL_arg1833z00_2751;

																				{	/* Callcc/walk.scm 155 */
																					long BgL_arg1834z00_2752;

																					BgL_arg1834z00_2752 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_2743);
																					BgL_arg1833z00_2751 =
																						(BgL_arg1834z00_2752 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2750 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_2751);
																			}
																			{	/* Callcc/walk.scm 155 */
																				bool_t BgL__ortest_1110z00_2753;

																				BgL__ortest_1110z00_2753 =
																					(BgL_classz00_2742 ==
																					BgL_oclassz00_2750);
																				if (BgL__ortest_1110z00_2753)
																					{	/* Callcc/walk.scm 155 */
																						BgL_res1926z00_2749 =
																							BgL__ortest_1110z00_2753;
																					}
																				else
																					{	/* Callcc/walk.scm 155 */
																						long BgL_odepthz00_2754;

																						BgL_odepthz00_2754 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2750);
																						if ((((long) 2) <
																								BgL_odepthz00_2754))
																							{	/* Callcc/walk.scm 155 */
																								obj_t BgL_arg1821z00_2755;

																								BgL_arg1821z00_2755 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2750,
																									((long) 2));
																								BgL_res1926z00_2749 =
																									(BgL_arg1821z00_2755 ==
																									BgL_classz00_2742);
																							}
																						else
																							{	/* Callcc/walk.scm 155 */
																								BgL_res1926z00_2749 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_2745 = BgL_res1926z00_2749;
																	}
																	BgL_test2062z00_3777 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_2744,
																		BgL_arg1823z00_2745);
																}
															}
														else
															{	/* Callcc/walk.scm 155 */
																BgL_test2062z00_3777 = ((bool_t) 0);
															}
													}
													if (BgL_test2062z00_3777)
														{	/* Callcc/walk.scm 155 */
															return
																((BgL_nodez00_bglt)
																((BgL_varz00_bglt) BgL_nodez00_2552));
														}
													else
														{	/* Callcc/walk.scm 155 */
															if (BGl_celledzf3zf3zzcallcc_walkz00(
																	((BgL_variablez00_bglt) BgL_varz00_2710)))
																{	/* Callcc/walk.scm 160 */
																	BgL_typez00_bglt BgL_vtypez00_2756;

																	BgL_vtypez00_2756 =
																		BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																		(BgL_vtypez00_2707);
																	{	/* Callcc/walk.scm 161 */
																		BgL_typez00_bglt BgL_vz00_2757;

																		BgL_vz00_2757 =
																			((BgL_typez00_bglt)
																			BGl_za2cellza2z00zztype_cachez00);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt) (
																								(BgL_varz00_bglt)
																								BgL_nodez00_2552))))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_vz00_2757),
																			BUNSPEC);
																	}
																	{	/* Callcc/walk.scm 162 */
																		BgL_boxzd2refzd2_bglt BgL_new1158z00_2758;

																		{	/* Callcc/walk.scm 165 */
																			BgL_boxzd2refzd2_bglt BgL_new1157z00_2759;

																			BgL_new1157z00_2759 =
																				((BgL_boxzd2refzd2_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_boxzd2refzd2_bgl))));
																			{	/* Callcc/walk.scm 165 */
																				long BgL_arg1694z00_2760;

																				BgL_arg1694z00_2760 =
																					BGL_CLASS_NUM
																					(BGl_boxzd2refzd2zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1157z00_2759),
																					BgL_arg1694z00_2760);
																			}
																			{	/* Callcc/walk.scm 165 */
																				BgL_objectz00_bglt BgL_tmpz00_3810;

																				BgL_tmpz00_3810 =
																					((BgL_objectz00_bglt)
																					BgL_new1157z00_2759);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3810,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1157z00_2759);
																			BgL_new1158z00_2758 = BgL_new1157z00_2759;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1158z00_2758)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt) (
																									(BgL_varz00_bglt)
																									BgL_nodez00_2552))))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1158z00_2758)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_vtypez00_2756),
																			BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1158z00_2758)))->
																				BgL_sidezd2effectzd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1158z00_2758)))->
																				BgL_keyz00) =
																			((obj_t) BINT(((long) -1))), BUNSPEC);
																		((((BgL_boxzd2refzd2_bglt)
																					COBJECT(BgL_new1158z00_2758))->
																				BgL_varz00) =
																			((BgL_varz00_bglt) ((BgL_varz00_bglt)
																					BgL_nodez00_2552)), BUNSPEC);
																		((((BgL_boxzd2refzd2_bglt)
																					COBJECT(BgL_new1158z00_2758))->
																				BgL_vtypez00) =
																			((BgL_typez00_bglt) BgL_vtypez00_2756),
																			BUNSPEC);
																		return ((BgL_nodez00_bglt)
																			BgL_new1158z00_2758);
																	}
																}
															else
																{	/* Callcc/walk.scm 157 */
																	return
																		((BgL_nodez00_bglt)
																		((BgL_varz00_bglt) BgL_nodez00_2552));
																}
														}
												}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &callcc!-kwote1318 */
	BgL_nodez00_bglt BGl_z62callccz12zd2kwote1318za2zzcallcc_walkz00(obj_t
		BgL_envz00_2553, obj_t BgL_nodez00_2554)
	{
		{	/* Callcc/walk.scm 135 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2554));
		}

	}



/* &callcc!-atom1316 */
	BgL_nodez00_bglt BGl_z62callccz12zd2atom1316za2zzcallcc_walkz00(obj_t
		BgL_envz00_2555, obj_t BgL_nodez00_2556)
	{
		{	/* Callcc/walk.scm 129 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2556));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcallcc_walkz00()
	{
		{	/* Callcc/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1969z00zzcallcc_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1969z00zzcallcc_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1969z00zzcallcc_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1969z00zzcallcc_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1969z00zzcallcc_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1969z00zzcallcc_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1969z00zzcallcc_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1969z00zzcallcc_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1969z00zzcallcc_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1969z00zzcallcc_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
