/*===========================================================================*/
/*   (Cfa/cinfo.scm)                                                         */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/cinfo.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_genpatchidz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		long BgL_indexz00;
		long BgL_rindexz00;
	}                    *BgL_genpatchidz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_prezd2clozd2envz00_bgl
	{
	}                         *BgL_prezd2clozd2envz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_reshapedzd2globalzd2_bgl
	{
	}                           *BgL_reshapedzd2globalzd2_bglt;

	typedef struct BgL_literalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                         *BgL_literalzf2cinfozf2_bglt;

	typedef struct BgL_genpatchidzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_genpatchidzf2cinfozf2_bglt;

	typedef struct BgL_patchzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_patchzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_switchzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_switchzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
	}                                *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

	typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_boxzd2refzf2ozd2cinfozf2_bglt;


	static obj_t BGl_z62literalzf2Cinfozd2valuez42zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2659z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62appzd2lyzf2Cinfozd2locz90zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2loczf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62boxzd2refzf2Cinfozd2keyzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62boxzd2refzf2Cinfozd2varz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2bodyzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62reshapedzd2localzd2fastzd2alphazd2setz12z70zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2820z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_makezd2prezd2clozd2envzd2zzcfa_infoz00(obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2stackzd2allocatorz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2660z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurez42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62genpatchidzf2Cinfozd2effectz42zzcfa_infoz00(obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2823z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Cinfozd2handlerz20zzcfa_infoz00(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL long
		BGl_reshapedzd2globalzd2occurrencewz00zzcfa_infoz00(BgL_globalz00_bglt);
	static BgL_switchz00_bglt BGl_z62lambda2668z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62approxzd2lostzd2stampz62zzcfa_infoz00(obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt
		BGl_z62boxzd2refzf2Ozd2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static BgL_typez00_bglt BGl_z62switchzf2Cinfozd2typez42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32100ze3ze5zzcfa_infoz00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_makezd2externzd2sfunzf2Cinfozf2zzcfa_infoz00(long, obj_t, obj_t, obj_t,
		bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t,
		BgL_approxz00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2functionsz20zzcfa_infoz00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2failsafezd2setz12ze0zzcfa_infoz00(BgL_cfunz00_bglt,
		obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2vtypezd2setz12z70zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2stackablezd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzf2Cinfozd2loczd2setz12ze0zzcfa_infoz00(BgL_scnstz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(BgL_literalz00_bglt,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62funcallzf2Cinfozd2approxz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62reshapedzd2localzd2volatilezd2setz12za2zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezf2Cinfozd2locz20zzcfa_infoz00(BgL_kwotez00_bglt);
	static BgL_approxz00_bglt BGl_z62lambda2830z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_reshapedzd2globalzd2valuez00zzcfa_infoz00(BgL_globalz00_bglt);
	static obj_t BGl_z62lambda2831z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_reshapedzd2globalzd2userzf3zf3zzcfa_infoz00(BgL_globalz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32649ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda2672z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda2675z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2837z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2838z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62switchzf2Cinfozd2approxz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2modulezd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00
		(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd3zzcfa_infoz00
		(BgL_funcallz00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2modulez62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2sidezd2effectz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62conditionalzf2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2initzd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2stackablez20zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt);
	static BgL_approxz00_bglt BGl_z62failzf2Cinfozd2approxz42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_svarz00_bglt BGl_z62makezd2svarzf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt
		BGl_z62internzd2sfunzf2Cinfozd2nilz90zzcfa_infoz00(obj_t);
	static obj_t BGl_z62cvarzf2Cinfozd2macrozf3zb1zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_makezd2boxzf2Cinfozf3zd3zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Cinfozd2varzd2setz12z20zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt, BgL_varz00_bglt);
	BGL_EXPORTED_DECL long
		BGl_patchzf2Cinfozd2indexz20zzcfa_infoz00(BgL_patchz00_bglt);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2arityz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2stackablez90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2exitz20zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt);
	static BgL_nodez00_bglt BGl_z62prezd2makezd2boxzd2valuezb0zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2evalzf3zd2setz12z33zzcfa_infoz00(BgL_globalz00_bglt,
		bool_t);
	static BgL_approxz00_bglt BGl_z62lambda2683z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2845z62zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_approxz00zzcfa_infoz00 = BUNSPEC;
	static obj_t BGl_z62lambda2684z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2848z62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62boxzd2refzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2strengthz20zzcfa_infoz00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzf2Cinfozd2truez20zzcfa_infoz00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62externzd2sfunzf2Cinfozf3zb1zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2accessz00zzcfa_infoz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_funcallzf2Cinfozd2approxz20zzcfa_infoz00(BgL_funcallz00_bglt);
	static obj_t BGl_z62setzd2exzd2itzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2methodzd2setz12ze0zzcfa_infoz00(BgL_cfunz00_bglt, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_genpatchidzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2bindingzd2valuezd2zzcfa_infoz00(BgL_localz00_bglt);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2851z62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2effectz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62patchzf2Cinfozd2patchidzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt BGl_z62lambda2691z62zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_literalz00_bglt
		BGl_literalzf2Cinfozd2nilz20zzcfa_infoz00();
	static BgL_setzd2exzd2itz00_bglt BGl_z62lambda2694z62zzcfa_infoz00(obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2effectz90zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2858z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt BGl_z62lambda2697z62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2859z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2failsafezf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62svarzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Cinfozd2vtypezd2setz12z20zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2evaluablezf3zd2setz12z33zzcfa_infoz00
		(BgL_globalz00_bglt, bool_t);
	static obj_t
		BGl_z62genpatchidzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2propertyzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62appzd2lyzf2Cinfozd2typez90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62reshapedzd2globalzd2evaluablezf3zd2setz12z51zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2locz90zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2propertyzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_failz00_bglt BGl_failzf2Cinfozd2nilz20zzcfa_infoz00();
	static obj_t
		BGl_z62cfunzf2Cinfozd2predicatezd2ofzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62setzd2exzd2itzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2valuez82zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2prezd2makezd2boxzd2zzcfa_infoz00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, BgL_nodez00_bglt, BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2indexzd2setz12ze0zzcfa_infoz00
		(BgL_genpatchidz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordsz20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2patchidz20zzcfa_infoz00(BgL_patchz00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2importz62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzf2Cinfozd2onexitzd2setz12ze0zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2optionalszf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2867z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62reshapedzd2localzd2accesszd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62kwotezf2nodezf3z63zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2keyzd2setz12ze0zzcfa_infoz00
		(BgL_genpatchidz00_bglt, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2argszd2namez42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2retescapez42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2importzd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62svarzf2Cinfozd2stampz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62patchzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_cfunz00_bglt
		BGl_makezd2cfunzf2Cinfoz20zzcfa_infoz00(long, obj_t, obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, bool_t, obj_t,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzf2Cinfozd2locz20zzcfa_infoz00(BgL_literalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_switchz00_bglt, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2870z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_valuez00_bglt
		BGl_z62reshapedzd2globalzd2valuez62zzcfa_infoz00(obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2873z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2userzf3z91zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62patchzf2Cinfozd2approxz42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_appzd2lyzd2_bglt
		BGl_makezd2appzd2lyzf2Cinfozf2zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_approxz00_bglt);
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static BgL_patchz00_bglt BGl_z62patchzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzf2Cinfozd2locz20zzcfa_infoz00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2effectz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_boxzd2setz12zf2Cinfozd2valueze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2fastzd2alphazd2setz12z12zzcfa_infoz00
		(BgL_localz00_bglt, obj_t);
	extern obj_t BGl_sexitz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzf2Cinfozd2varzd2setz12ze0zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt, BgL_varz00_bglt);
	static obj_t BGl_z62genpatchidzf2Cinfozd2rindexz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2typezd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt
		BGl_makezd2kwotezf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt, obj_t,
		BgL_approxz00_bglt);
	static BgL_nodez00_bglt BGl_z62failzf2Cinfozd2msgz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_infoz00();
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	static BgL_approxz00_bglt
		BGl_z62literalzf2Cinfozd2approxz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2globalz90zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2882z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2exitz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2883z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2sidezd2effectz20zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt);
	static obj_t
		BGl_z62makezd2boxzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62conditionalzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2methodz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzf2Cinfozd2testz20zzcfa_infoz00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2jvmzd2typezd2namez00zzcfa_infoz00
		(BgL_globalz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2loczd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2varzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2approxz20zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_prezd2makezd2boxz00zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2sidezd2effectz20zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62reshapedzd2localzd2accessz62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62approxzd2typezd2lockedzf3z91zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_funcallz00_bglt
		BGl_makezd2funcallzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, obj_t, obj_t, obj_t, BgL_approxz00_bglt,
		BgL_approxz00_bglt, bool_t, bool_t);
	static BgL_typez00_bglt BGl_z62approxzd2typezb0zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2effectzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12z90zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2stackablezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzf2Cinfozd2valuez20zzcfa_infoz00(BgL_literalz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_genpatchidzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_switchz00_bglt
		BGl_makezd2switchzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, BgL_nodez00_bglt, obj_t, BgL_typez00_bglt, BgL_approxz00_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2topzf3zd2setz12za3zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62patchzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62svarzf2Cinfozd2clozd2envzf3z63zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32107ze3ze5zzcfa_infoz00(obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2propertyz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2fastzd2alphazd2setz12z12zzcfa_infoz00
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_literalzf2Cinfozd2approxz20zzcfa_infoz00(BgL_literalz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_funcallzf2Cinfozd2typez20zzcfa_infoz00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2strengthzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2nilz82zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt, obj_t);
	static obj_t
		BGl_z62reshapedzd2globalzd2fastzd2alphazd2setz12z70zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2strengthzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzf2Cinfozd2typezd2setz12z32zzcfa_infoz00(BgL_appzd2lyzd2_bglt,
		BgL_typez00_bglt);
	static BgL_globalz00_bglt
		BGl_z62makezd2reshapedzd2globalz62zzcfa_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2nilz20zzcfa_infoz00();
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2keyzd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62prezd2makezd2boxzd2stackablezd2setz12z70zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_funcallzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	static BgL_typez00_bglt BGl_z62patchzf2Cinfozd2typez42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_varz00_bglt
		BGl_z62boxzd2refzf2Ozd2Cinfozd2varz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62failzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sexitzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_setqz00_bglt BGl_setqzf2Cinfozd2nilz20zzcfa_infoz00();
	BGL_EXPORTED_DEF obj_t BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_setzd2exzd2itz00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2nilz20zzcfa_infoz00();
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_scnstzf2Cinfozd2approxz20zzcfa_infoz00(BgL_scnstz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2vtypezd2setz12z32zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2classzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2infixzf3zd2setz12z71zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt
		BGl_makezd2sexitzf2Cinfoz20zzcfa_infoz00(obj_t, bool_t, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_switchzf2Cinfozd2approxz20zzcfa_infoz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_prezd2makezd2boxzd2typezd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62kwotezf2Cinfozd2valuez42zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62setzd2exzd2itzf2Cinfozd2bodyzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_varz00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2varz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2removablez62zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_varz00_bglt BGl_z62patchzf2Cinfozd2refz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2typezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62conditionalzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2onexitz20zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_reshapedzd2localzd2zzcfa_infoz00 = BUNSPEC;
	static BgL_approxz00_bglt BGl_z62setqzf2Cinfozd2approxz42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cfunzf2Cinfozd2macrozf3zd3zzcfa_infoz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2valzd2noescapezd2setz12z12zzcfa_infoz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2pragmazd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezf2nodezd2valuez20zzcfa_infoz00(BgL_kwotez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static obj_t
		BGl_z62boxzd2setz12zf2Cinfozd2valuezd2setz12z42zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32214ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62prezd2makezd2boxzf3z91zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2stackzd2allocatorz42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62conditionalzf2Cinfozd2falsez42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_switchzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static obj_t BGl_z62boxzd2setz12zf2Cinfozd2locz82zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2reshapedzd2globalz00zzcfa_infoz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2locz20zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static obj_t BGl_z62reshapedzd2localzd2namez62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32779ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_setzd2exzd2itzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2dssslzd2keywordsz42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2argszd2noescapezf2zzcfa_infoz00(BgL_cfunz00_bglt);
	static obj_t
		BGl_z62cfunzf2Cinfozd2argszd2noescapezd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_scnstz00_bglt BGl_z62scnstzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static obj_t
		BGl_z62funcallzf2Cinfozd2typezd2errorzd2noticedzf3zb1zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_infoz00();
	BGL_EXPORTED_DECL BgL_conditionalz00_bglt
		BGl_conditionalzf2Cinfozd2nilz20zzcfa_infoz00();
	BGL_EXPORTED_DECL obj_t
		BGl_failzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_failz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_genpatchidzf2Cinfozd2typez20zzcfa_infoz00(BgL_genpatchidz00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2srcz62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzf2Cinfozd2locz20zzcfa_infoz00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzf2Cinfozd2locz20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt);
	static obj_t
		BGl_z62conditionalzf2Cinfozd2falsezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_sfunz00_bglt
		BGl_z62makezd2externzd2sfunzf2Cinfoz90zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zc1zzcfa_infoz00
		(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2valuezd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, BgL_nodez00_bglt);
	static BgL_approxz00_bglt BGl_z62cvarzf2Cinfozd2approxz42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_conditionalz00_bglt
		BGl_makezd2conditionalzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt,
		BgL_approxz00_bglt);
	static obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzf2Cinfozd2typezf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static BgL_cfunz00_bglt BGl_z62cfunzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_boxzd2refzf2Cinfozd2nilzf2zzcfa_infoz00();
	static obj_t BGl_z62reshapedzd2globalzd2aliaszd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62svarzf2Cinfozd2approxz42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_literalzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32127ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurez20zzcfa_infoz00(BgL_sfunz00_bglt);
	static BgL_typez00_bglt BGl_z62kwotezf2nodezd2typez42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2lostzd2stampzd2setz12zc0zzcfa_infoz00(BgL_approxz00_bglt,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2itemzd2typezd2setz12z32zzcfa_infoz00
		(BgL_switchz00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62scnstzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2locz20zzcfa_infoz00(BgL_conditionalz00_bglt);
	static BgL_nodez00_bglt BGl_z62appzd2lyzf2Cinfozd2argz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62boxzd2refzf2Cinfozd2typezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12z90zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62makezd2boxzf2Cinfozd2valuez90zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2accesszd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62conditionalzf2Cinfozd2truez42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62funcallzf2Cinfozd2strengthz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_failzf2Cinfozd2typez20zzcfa_infoz00(BgL_failz00_bglt);
	static obj_t BGl_z62approxzd2allocszb0zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32160ze3ze5zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_jumpzd2exzd2itzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_makezd2boxzf2Ozd2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2topzf3zd2setz12zc1zzcfa_infoz00
		(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2typezd2setz12z12zzcfa_infoz00(BgL_makezd2boxzd2_bglt,
		BgL_typez00_bglt);
	static BgL_approxz00_bglt BGl_z62kwotezf2Cinfozd2approxz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2methodzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zc1zzcfa_infoz00
		(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2loczf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00
		(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2approxz32zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DEF obj_t BGl_prezd2clozd2envz00zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_svarz00_bglt BGl_svarzf2Cinfozd2nilz20zzcfa_infoz00();
	static obj_t
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12z90zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62boxzd2refzf2Cinfozd2keyz90zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z50zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2valzd2noescapezd2zzcfa_infoz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2pragmaz00zzcfa_infoz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2strengthzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62prezd2makezd2boxzd2sidezd2effectzd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2strengthzd2setz12ze0zzcfa_infoz00(BgL_funcallz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2truezd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2retescapez20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt BGl_sexitzf2Cinfozd2nilz20zzcfa_infoz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_makezd2boxzf2Cinfozd2valuezf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2predicatezd2ofz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12zf2zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62boxzd2setz12zf2Cinfozf3za3zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2typezd2lockedzf3zf3zzcfa_infoz00(BgL_approxz00_bglt);
	static BgL_makezd2boxzd2_bglt
		BGl_z62makezd2boxzf2Cinfozd2nilz90zzcfa_infoz00(obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62conditionalzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cfunzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2accessz00zzcfa_infoz00(BgL_globalz00_bglt);
	static BgL_typez00_bglt
		BGl_z62genpatchidzf2Cinfozd2typez42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32251ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2removablez00zzcfa_infoz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_funcallzf2Cinfozd2vazd2approxzf2zzcfa_infoz00(BgL_funcallz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32235ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62approxzd2dupzd2setz12z70zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzf2Cinfozd2argzd2setz12z32zzcfa_infoz00(BgL_appzd2lyzd2_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2valuez20zzcfa_infoz00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2keyzd2setz12z12zzcfa_infoz00(BgL_makezd2boxzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_svarzf2Cinfozd2clozd2envzf3z01zzcfa_infoz00(BgL_svarz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzf2Cinfozd2nodez20zzcfa_infoz00(BgL_scnstz00_bglt);
	extern obj_t BGl_svarz00zzast_varz00;
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2classzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2failsafezf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Cinfozd2locz20zzcfa_infoz00(BgL_svarz00_bglt);
	static obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2keyz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2105z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62reshapedzd2localzd2valzd2noescapezd2setz12z70zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32074ze3ze5zzcfa_infoz00(obj_t);
	static obj_t BGl_z62lambda2106z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_prezd2makezd2boxzd2valuezd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_literalz00_bglt,
		BgL_typez00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62reshapedzd2localzd2typez62zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_failzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_externzd2sfunzf2Cinfozf3zd3zzcfa_infoz00(obj_t);
	static BgL_varz00_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2varz82zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2namez62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2classzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2locz90zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2varz20zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static BgL_nodez00_bglt
		BGl_z62conditionalzf2Cinfozd2testz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2stackablezd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2topzf3zd2setz12z71zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2approxz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62genpatchidzf2Cinfozd2rindexzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2113z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2114z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2stackablez90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62funcallzf2Cinfozd2functionsz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_setqzf2Cinfozd2varz20zzcfa_infoz00(BgL_setqz00_bglt);
	static BgL_typez00_bglt BGl_z62prezd2makezd2boxzd2vtypezb0zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2varz20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2approxzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_cvarz00_bglt
		BGl_makezd2cvarzf2Cinfoz20zzcfa_infoz00(bool_t, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2testzd2setz12ze0zzcfa_infoz00(BgL_switchz00_bglt,
		BgL_nodez00_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzf2Cinfozd2procz20zzcfa_infoz00(BgL_failz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_setqzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2keyz20zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62genpatchidzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62svarzf2Cinfozd2loczd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2arityz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2valuezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62switchzf2Cinfozd2keyz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2indexzd2setz12ze0zzcfa_infoz00(BgL_patchz00_bglt, long);
	static obj_t BGl_z62reshapedzd2globalzd2evaluablezf3z91zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_cfunz00_bglt BGl_z62lambda2122z62zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32505ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_cfunz00_bglt BGl_z62lambda2125z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2namez00zzcfa_infoz00(BgL_localz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32149ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_cfunz00_bglt BGl_z62lambda2128z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2setz12zf2Cinfozd2varzd2setz12z42zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2namez00zzcfa_infoz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2bodyzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2testzd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2thezd2closurezd2setz12z32zzcfa_infoz00(BgL_cfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2srcz00zzcfa_infoz00(BgL_globalz00_bglt);
	static obj_t BGl_z62appzd2lyzf2Cinfozd2typezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2topzf3zd2setz12z13zzcfa_infoz00(BgL_cfunz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2predicatezd2ofzf2zzcfa_infoz00(BgL_cfunz00_bglt);
	static BgL_nodez00_bglt BGl_z62setqzf2Cinfozd2valuez42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2effectzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2volatilezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt,
		bool_t);
	static obj_t
		BGl_z62genpatchidzf2Cinfozd2exprza2zd2setz12z20zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2vtypez82zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_funcallz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2argszd2retescapezf2zzcfa_infoz00(BgL_cfunz00_bglt);
	static BgL_typez00_bglt BGl_z62setqzf2Cinfozd2typez42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00(BgL_cfunz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32093ze3ze5zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_cfunzf2Cinfozd2approxz20zzcfa_infoz00(BgL_cfunz00_bglt);
	static BgL_approxz00_bglt BGl_z62lambda2135z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62scnstzf2Cinfozd2classz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2136z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_patchzf2Cinfozd2approxz20zzcfa_infoz00(BgL_patchz00_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62appzd2lyzf2Cinfozd2argzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_reshapedzd2localzd2occurrencez00zzcfa_infoz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_setqzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	static BgL_scnstz00_bglt BGl_z62makezd2scnstzf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2keyzd2setz12z70zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62approxzf3z91zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_appzd2lyzf2Cinfozd2funzf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2refzf2Cinfozd2varzf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static BgL_nodez00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2onexitz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zb1zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_kwotezf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32361ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2refzf2Cinfozf3zd3zzcfa_infoz00(obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2143z62zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_sexitz00_bglt BGl_z62lambda2305z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordsz20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	static BgL_sfunz00_bglt BGl_z62lambda2146z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62lambda2308z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2propertyz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2predicatezd2ofz20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_patchz00_bglt
		BGl_makezd2patchzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt, obj_t,
		BgL_varz00_bglt, long, obj_t, BgL_approxz00_bglt);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2stackablez90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_approxzd2lostzd2stampz00zzcfa_infoz00(BgL_approxz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_switchzf2Cinfozd2itemzd2typezf2zzcfa_infoz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_switchzf2Cinfozd2typez20zzcfa_infoz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2stackablezd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2retescapez42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_reshapedzd2localzf3z21zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zf2Cinfozd2vtypeze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_cfunzf2Cinfozd2topzf3zd3zzcfa_infoz00(BgL_cfunz00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2stampzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_sexitz00_bglt BGl_z62lambda2311z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2150z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2158z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2159z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2stackzd2allocatorzf2zzcfa_infoz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL BgL_switchz00_bglt
		BGl_switchzf2Cinfozd2nilz20zzcfa_infoz00();
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_failzf2Cinfozd2approxz20zzcfa_infoz00(BgL_failz00_bglt);
	static BgL_conditionalz00_bglt
		BGl_z62makezd2conditionalzf2Cinfoz42zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2predicatezd2ofzd2setz12z32zzcfa_infoz00(BgL_cfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvarzf2Cinfozd2macrozf3zd3zzcfa_infoz00(BgL_cvarz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2idz62zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2320z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2321z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_infoz00();
	static obj_t BGl_z62zc3z04anonymousza32452ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_reshapedzd2localzd2occurrencewz00zzcfa_infoz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zf2Cinfozd2nilze0zzcfa_infoz00();
	static obj_t BGl_z62zc3z04anonymousza32274ze3ze5zzcfa_infoz00(obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2165z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2166z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2328z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00 = BUNSPEC;
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62jumpzd2exzd2itzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2argszd2noescapezd2setz12z32zzcfa_infoz00
		(BgL_cfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2classzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2infixzf3zb1zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62approxzd2lostzd2stampzd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2keyzd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(BgL_setqz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_kwotezf2nodezf2zzcfa_infoz00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62reshapedzd2globalzd2typez62zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_boxzd2refzd2_bglt
		BGl_z62makezd2boxzd2refzf2Cinfoz90zzcfa_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2optionalszf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2keyz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2userzf3zd2setz12z33zzcfa_infoz00(BgL_localz00_bglt,
		bool_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2argszd2namez42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2stackablezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32542ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sexitzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2332z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2failsafezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2173z62zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda2336z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62literalzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2176z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2typezd2setz12z70zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2namezd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2179z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62reshapedzd2localzd2nilz62zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2locz20zzcfa_infoz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_appzd2lyzf2Cinfozd2typezf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt);
	static BgL_cvarz00_bglt BGl_z62cvarzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static BgL_globalz00_bglt
		BGl_z62reshapedzd2globalzd2nilz62zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_appzd2lyzd2_bglt
		BGl_appzd2lyzf2Cinfozd2nilzf2zzcfa_infoz00();
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2thezd2closurezf2zzcfa_infoz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL BgL_failz00_bglt
		BGl_makezd2failzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2bodyzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Cinfozd2locze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2500z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32721ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2503z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2initz62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(BgL_patchz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_reshapedzd2localzd2typez00zzcfa_infoz00(BgL_localz00_bglt);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2506z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2valuezd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32349ze3ze5zzcfa_infoz00(obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2pragmaz62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2347z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2348z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_reshapedzd2globalzd2typez00zzcfa_infoz00(BgL_globalz00_bglt);
	static obj_t BGl_z62lambda2188z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2189z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt
		BGl_z62prezd2makezd2boxzd2nilzb0zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Cinfozd2detachedzf3zd2setz12z13zzcfa_infoz00(BgL_sexitz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL BgL_setqz00_bglt
		BGl_makezd2setqzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2accessz62zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2194z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2356z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2modulezd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2argszd2setz12ze0zzcfa_infoz00(BgL_funcallz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda2195z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62kwotezf2nodezd2nodez42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2359z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzf2Cinfozd2loczf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt);
	static BgL_svarz00_bglt BGl_z62prezd2clozd2envzd2nilzb0zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2failsafezd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Cinfozd2loczd2setz12ze0zzcfa_infoz00(BgL_svarz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2keyzd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2effectz20zzcfa_infoz00(BgL_cfunz00_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2failsafezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2occurrencez62zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2initz00zzcfa_infoz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62reshapedzd2globalzd2libraryzd2setz12za2zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2stackablezf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2sidezd2effectzd2setz12zc0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	static obj_t
		BGl_z62reshapedzd2localzd2removablezd2setz12za2zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62genpatchidzf2Cinfozd2effectzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2521z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_kwotez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda2522z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2362z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2methodz20zzcfa_infoz00(BgL_cfunz00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2dssslzd2keywordsz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2loczb0zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2strengthzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setqzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2valuez32zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL bool_t BGl_cvarzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sexitzf2Cinfozd2detachedzf3zd3zzcfa_infoz00(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2valuezd2setz12z12zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62failzf2Cinfozd2msgzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_kwotezf2Cinfozd2approxz20zzcfa_infoz00(BgL_kwotez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2fastzd2alphazd2zzcfa_infoz00(BgL_localz00_bglt);
	static BgL_funcallz00_bglt BGl_z62lambda2532z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_literalz00_bglt BGl_z62lambda2372z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_literalz00_bglt BGl_z62lambda2376z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2538z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62prezd2clozd2envzd2loczb0zzcfa_infoz00(obj_t, obj_t);
	static BgL_literalz00_bglt BGl_z62lambda2379z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62makezd2boxzf2Cinfozd2vtypez90zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62switchzf2Cinfozd2testzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_reshapedzd2globalzd2evalzf3zf3zzcfa_infoz00(BgL_globalz00_bglt);
	static obj_t BGl_z62setqzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62switchzf2Cinfozd2testz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2localzd2idz62zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2polymorphiczf3z63zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2occurrencewzd2setz12zc0zzcfa_infoz00
		(BgL_localz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2exitzd2setz12ze0zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	static obj_t
		BGl_z62reshapedzd2localzd2occurrencewzd2setz12za2zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62patchzf2Cinfozd2indexzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62setzd2exzd2itzf2Cinfozd2varzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_z62reshapedzd2globalzd2removablezd2setz12za2zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2543z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2706z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2707z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2386z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2387z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2jvmzd2typezd2namezd2setz12zc0zzcfa_infoz00
		(BgL_globalz00_bglt, obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62jumpzd2exzd2itzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62kwotezf2Cinfozd2typez42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2namez20zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzf2Cinfozd2nilzf2zzcfa_infoz00();
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2loczd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2falsezd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_prezd2clozd2envzf3zf3zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_boxzd2setz12zf2Cinfozd2approxze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12zf2Ozd2Cinfoz32zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_typez00_bglt, BgL_approxz00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2sidezd2effectz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2namezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezf2Cinfozd2valuez20zzcfa_infoz00(BgL_kwotez00_bglt);
	static obj_t
		BGl_z62reshapedzd2globalzd2userzf3zd2setz12z51zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2716z62zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzf2Cinfozd2vtypezf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62approxzd2topzf3zd2setz12z83zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_genpatchidz00_bglt BGl_z62lambda2395z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2719z62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2558z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2559z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_genpatchidz00_bglt BGl_z62lambda2398z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2bodyz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_setqzf2Cinfozd2approxz20zzcfa_infoz00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2approxzd2zzcfa_infoz00(BgL_typez00_bglt, bool_t, obj_t, bool_t,
		long, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2keyszf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static BgL_approxz00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2approxz50zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_literalzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt
		BGl_makezd2kwotezf2nodez20zzcfa_infoz00(obj_t, BgL_typez00_bglt, obj_t,
		BgL_nodez00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2initzd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2strengthzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt BGl_kwotezf2nodezd2nilz20zzcfa_infoz00();
	static BgL_failz00_bglt BGl_z62failzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2strengthzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2722z62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32476ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2typez82zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62kwotezf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2setz12zf2Cinfozd2varze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt);
	static BgL_approxz00_bglt BGl_z62lambda2564z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2565z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2srczd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzf2zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt);
	static BgL_approxz00_bglt BGl_z62lambda2729z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurez42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2loczf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2effectzd2setz12ze0zzcfa_infoz00(BgL_cfunz00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62funcallzf2Cinfozd2funz42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62switchzf2Cinfozd2itemzd2typez90zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62switchzf2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzf2Cinfozd2objz20zzcfa_infoz00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2keyz20zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static obj_t BGl_z62prezd2makezd2boxzd2stackablezb0zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL long
		BGl_svarzf2Cinfozd2stampz20zzcfa_infoz00(BgL_svarz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2libraryz00zzcfa_infoz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2typez32zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt);
	extern obj_t BGl_cvarz00zzast_varz00;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_prezd2makezd2boxzd2vtypezd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62cfunzf2Cinfozd2argszd2retescapezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sexitzf2Cinfozd2detachedzf3zb1zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Cinfozd2handlerzd2setz12ze0zzcfa_infoz00(BgL_sexitz00_bglt,
		obj_t);
	extern obj_t BGl_patchz00zzast_nodez00;
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_cvarzf2Cinfozd2approxz20zzcfa_infoz00(BgL_cvarz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32922ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2vtypez20zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static obj_t BGl_z62lambda2730z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62funcallzf2Cinfozd2vazd2approxz90zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzf2Cinfozd2vtypezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2topzf3zd2setz12zc1zzcfa_infoz00
		(BgL_sfunz00_bglt, bool_t);
	static obj_t BGl_z62lambda2572z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2573z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2bodyz20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_reshapedzd2globalzd2nilz00zzcfa_infoz00();
	static BgL_kwotez00_bglt BGl_z62kwotezf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2sidezd2effectz20zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_svarzf2Cinfozd2approxz20zzcfa_infoz00(BgL_svarz00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2evalzf3z91zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62boxzd2setz12zf2Cinfozd2vtypezd2setz12z42zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezf2nodezd2locz20zzcfa_infoz00(BgL_kwotez00_bglt);
	static obj_t BGl_z62failzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzf2zzcfa_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_appzd2lyzf2Cinfozf3zd3zzcfa_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32850ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62switchzf2Cinfozd2clausesz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2funzd2setz12ze0zzcfa_infoz00(BgL_funcallz00_bglt,
		BgL_nodez00_bglt);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2742z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2582z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2583z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2745z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_switchz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2stackablezd2setz12z12zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	static obj_t
		BGl_z62reshapedzd2localzd2occurrencezd2setz12za2zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62literalzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12z71zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2748z62zzcfa_infoz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_approxz00_bglt
		BGl_z62boxzd2refzf2Cinfozd2approxz90zzcfa_infoz00(obj_t, obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	static obj_t BGl_z62cfunzf2Cinfozd2argszd2noescapez90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2classz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2keyz20zzcfa_infoz00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62genpatchidzf2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62makezd2boxzd2setz12zf2Ozd2Cinfoz50zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2approxz82zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62kwotezf2nodezd2typezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_switchzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2vtypezd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, BgL_typez00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_infoz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32584ze3ze5zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2bodyzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62kwotezf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxzf2Ozd2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_nodez00_bglt, BgL_typez00_bglt, obj_t, BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2917z62zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2classzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static BgL_setqz00_bglt BGl_z62lambda2594z62zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2fastzd2alphazb0zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_setqz00_bglt BGl_z62lambda2598z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_externzd2sfunzf2Cinfozd2polymorphiczf3z01zzcfa_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_makezd2svarzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_approxz00_bglt, bool_t,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2keyzf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2thezd2closurez90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2clausesz20zzcfa_infoz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2removablezd2setz12zc0zzcfa_infoz00
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_patchzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62makezd2setzd2exzd2itzf2Cinfoz42zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2920z62zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Cinfozd2clozd2envzf3zd2setz12zc1zzcfa_infoz00(BgL_svarz00_bglt,
		bool_t);
	static obj_t BGl_z62zc3z04anonymousza32674ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32747ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2923z62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozf3zb1zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62patchzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_boxzd2refzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static BgL_funcallz00_bglt
		BGl_z62funcallzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2typezd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62boxzd2refzf2Cinfozd2vtypez90zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_externzd2sfunzf2Cinfozd2topzf3z01zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2accesszd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_patchzf2Cinfozd2typez20zzcfa_infoz00(BgL_patchz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static BgL_typez00_bglt
		BGl_z62boxzd2refzf2Ozd2Cinfozd2typez42zzcfa_infoz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62boxzd2refzf2Cinfozd2sidezd2effectz42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2rindexzd2setz12ze0zzcfa_infoz00
		(BgL_genpatchidz00_bglt, long);
	BGL_EXPORTED_DECL bool_t BGl_kwotezf2Cinfozf3z01zzcfa_infoz00(obj_t);
	static obj_t BGl_z62funcallzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezf2nodezd2typezd2setz12ze0zzcfa_infoz00(BgL_kwotez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_failzf2Cinfozd2msgzd2setz12ze0zzcfa_infoz00(BgL_failz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62approxzd2typezd2setz12z70zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2exprza2z82zzcfa_infoz00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2approxzd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, BgL_approxz00_bglt);
	static obj_t BGl_z62cvarzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzf3z43zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2predicatezd2ofz90zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_setqz00_bglt BGl_z62setqzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static obj_t BGl_z62boxzd2refzf2Ozd2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2typez50zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62funcallzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2noescapez20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	static BgL_approxz00_bglt BGl_z62lambda2932z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2933z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62boxzd2refzf2Ozd2Cinfozd2vtypez42zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2noescapez42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_approxzf3zf3zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzf2zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12za3zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2773z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2777z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozf3z71zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2idz00zzcfa_infoz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_approxz00_bglt);
	static obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2stackablez42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_infoz00();
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2occurrencewzd2setz12zc0zzcfa_infoz00
		(BgL_globalz00_bglt, long);
	static obj_t BGl_z62funcallzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2941z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_patchz00_bglt,
		BgL_typez00_bglt);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2780z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_conditionalzf2Cinfozd2approxz20zzcfa_infoz00(BgL_conditionalz00_bglt);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2944z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refzf2Cinfozf2zzcfa_infoz00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, BgL_varz00_bglt, BgL_typez00_bglt, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12zf2zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2typez20zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2947z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62reshapedzd2globalzd2evalzf3zd2setz12z51zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2787z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2788z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2argszd2retescapezd2setz12z32zzcfa_infoz00
		(BgL_cfunz00_bglt, obj_t);
	static BgL_genpatchidz00_bglt
		BGl_z62genpatchidzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static obj_t BGl_z62setqzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2valuez50zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2keyz90zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzf2Cinfozd2keyz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_reshapedzd2localzd2nilz00zzcfa_infoz00();
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2sidezd2effectz00zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62reshapedzd2localzd2removablez62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2effectzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2valuez20zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2valuez20zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static BgL_approxz00_bglt BGl_z62sexitzf2Cinfozd2approxz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2954z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_cfunz00_bglt BGl_z62makezd2cfunzf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2955z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt
		BGl_z62makezd2boxzd2refzf2Ozd2Cinfoz42zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_infoz00();
	BGL_EXPORTED_DECL BgL_patchz00_bglt BGl_patchzf2Cinfozd2nilz20zzcfa_infoz00();
	static BgL_makezd2boxzd2_bglt
		BGl_z62makezd2makezd2boxzf2Ozd2Cinfoz42zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62makezd2jumpzd2exzd2itzf2Cinfoz42zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12za3zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2797z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2failsafez90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2removablezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32202ze3ze5zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2propertyzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static BgL_approxz00_bglt BGl_z62makezd2approxzb0zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zf2Cinfozd2typeze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2occurrencezd2setz12zc0zzcfa_infoz00
		(BgL_localz00_bglt, long);
	static obj_t BGl_z62zc3z04anonymousza32872ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_appzd2lyzf2Cinfozd2argzf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2argszd2typez90zzcfa_infoz00(obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62makezd2prezd2clozd2envzb0zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozf3zb1zzcfa_infoz00(obj_t, obj_t);
	static BgL_literalz00_bglt
		BGl_z62makezd2literalzf2Cinfoz42zzcfa_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62appzd2lyzf2Cinfozd2approxz90zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_internzd2sfunzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2classz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2stampzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt,
		long);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_externzd2sfunzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_genpatchidz00_bglt
		BGl_genpatchidzf2Cinfozd2nilz20zzcfa_infoz00();
	static obj_t BGl_z62genpatchidzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Cinfozd2typezd2setz12z20zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzf2Cinfozd2classz20zzcfa_infoz00(BgL_scnstz00_bglt);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32946ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refzf2Ozd2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_varz00_bglt, BgL_typez00_bglt, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2locz20zzcfa_infoz00(BgL_patchz00_bglt);
	static obj_t BGl_z62failzf2Cinfozd2proczd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2valuezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzf2Cinfozd2funzd2setz12z32zzcfa_infoz00(BgL_appzd2lyzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2varzd2setz12z32zzcfa_infoz00(BgL_boxzd2refzd2_bglt,
		BgL_varz00_bglt);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32115ze3ze5zzcfa_infoz00(obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2keysz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2typezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt,
		BgL_typez00_bglt);
	static BgL_svarz00_bglt BGl_z62svarzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2argszd2typezf2zzcfa_infoz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzf2zzcfa_infoz00
		(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32696ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2occurrencezd2setz12zc0zzcfa_infoz00
		(BgL_globalz00_bglt, long);
	static obj_t BGl_z62patchzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2occurrencewz62zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2locz20zzcfa_infoz00(BgL_genpatchidz00_bglt);
	static obj_t
		BGl_z62reshapedzd2globalzd2occurrencezd2setz12za2zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2sidezd2effectz20zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2effectzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2loczd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32310ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_internzd2sfunzf2Cinfozd2stampzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62prezd2clozd2envzd2loczd2setz12z70zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzf2Cinfozd2proczd2setz12ze0zzcfa_infoz00(BgL_failz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2approxz20zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2approxz20zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_patchzf2Cinfozd2refz20zzcfa_infoz00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2topzf3z21zzcfa_infoz00(BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2aliaszd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_genpatchidzf2Cinfozd2approxz20zzcfa_infoz00(BgL_genpatchidz00_bglt);
	static obj_t BGl_z62funcallzf2Cinfozd2argszd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2keyszf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypez32zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt);
	static obj_t BGl_z62funcallzf2Cinfozd2argsz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32400ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62svarzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2bodyzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cfunzf2Cinfozd2infixzf3zd3zzcfa_infoz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurez20zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzf2Cinfozd2vtypezf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static obj_t
		BGl_z62reshapedzd2globalzd2occurrencewzd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62funcallzf2Cinfozd2funzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_scnstz00_bglt BGl_scnstzf2Cinfozd2nilz20zzcfa_infoz00();
	static obj_t BGl_z62switchzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_makezd2internzd2sfunzf2Cinfozf2zzcfa_infoz00(long, obj_t, obj_t, obj_t,
		bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t,
		BgL_approxz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2exprza2zd2setz12z42zzcfa_infoz00
		(BgL_genpatchidz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_scnstzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2clozd2envzd2loczd2setz12z12zzcfa_infoz00(BgL_svarz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12zf2zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt, BgL_varz00_bglt);
	static obj_t BGl_z62prezd2clozd2envzf3z91zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2valuezd2setz12z70zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62setqzf2Cinfozd2varz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2bodyz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_cfunzf2Cinfozd2arityz20zzcfa_infoz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_conditionalzf2Cinfozd2typez20zzcfa_infoz00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2keyzd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Cinfozd2stampzd2setz12ze0zzcfa_infoz00(BgL_svarz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2libraryzd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2keyz20zzcfa_infoz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12zf2zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62appzd2lyzf2Cinfozd2funzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_genpatchidz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_reshapedzd2globalzd2zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_externzd2sfunzf2Cinfozd2nilzf2zzcfa_infoz00();
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_kwotezf2nodezd2typez20zzcfa_infoz00(BgL_kwotez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzf2Cinfozd2msgz20zzcfa_infoz00(BgL_failz00_bglt);
	static obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_externzd2sfunzf2Cinfozd2arityzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2stackablezf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzf2Cinfozd2locz20zzcfa_infoz00(BgL_scnstz00_bglt);
	static BgL_kwotez00_bglt BGl_z62makezd2kwotezf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62genpatchidzf2Cinfozd2indexzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00 = BUNSPEC;
	static obj_t
		BGl_z62setzd2exzd2itzf2Cinfozd2onexitzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12z71zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2topzf3z63zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2optionalsz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setqzf2Cinfozd2valuez20zzcfa_infoz00(BgL_setqz00_bglt);
	static obj_t
		BGl_z62makezd2boxzf2Cinfozd2stackablezd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62funcallzf2Cinfozd2functionszd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62failzf2Cinfozd2typez42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2effectzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_reshapedzd2localzd2volatilez00zzcfa_infoz00(BgL_localz00_bglt);
	static obj_t BGl_z62genpatchidzf2Cinfozd2exprza2ze0zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2bodyzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2patchidzd2setz12ze0zzcfa_infoz00(BgL_patchz00_bglt,
		obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2importzd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzf2Cinfozd2bodyzd2setz12ze0zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_scnstz00_bglt
		BGl_makezd2scnstzf2Cinfoz20zzcfa_infoz00(obj_t, obj_t, obj_t,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2removablez00zzcfa_infoz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2stackzd2allocatorzd2setz12z32zzcfa_infoz00
		(BgL_cfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2effectzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62cfunzf2Cinfozd2stackzd2allocatorzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2localzd2keyz62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Cinfozd2valuezd2setz12z20zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2loczf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2propertyzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62reshapedzd2localzd2valuezd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2propertyzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_approxzd2dupzd2zzcfa_infoz00(BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62boxzd2refzf2Cinfozf3zb1zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_internzd2sfunzf2Cinfozd2topzf3z01zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_appzd2lyzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2failsafez42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62patchzf2Cinfozd2indexz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2setz12zf2Cinfozf3zc1zzcfa_infoz00(obj_t);
	static BgL_sexitz00_bglt BGl_z62sexitzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static obj_t
		BGl_z62reshapedzd2globalzd2jvmzd2typezd2namezd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2keyzb0zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2namez20zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2dupzd2setz12z12zzcfa_infoz00(BgL_approxz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32081ze3ze5zzcfa_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32065ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62setqzf2Cinfozd2varzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2libraryz62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2argszd2retescapez90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2failsafezd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62genpatchidzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62makezd2sexitzf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_switchzf2Cinfozd2testz20zzcfa_infoz00(BgL_switchz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuez42zzcfa_infoz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2valuez42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2idz00zzcfa_infoz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_genpatchidz00_bglt, BgL_typez00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2failsafezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2localzd2occurrencez62zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62literalzf2Cinfozd2typez42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_literalz00_bglt
		BGl_z62literalzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_reshapedzd2globalzd2evaluablezf3zf3zzcfa_infoz00(BgL_globalz00_bglt);
	static obj_t BGl_z62genpatchidzf2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32600ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62svarzf2Cinfozd2stampzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62kwotezf2nodezd2valuez42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2effectz20zzcfa_infoz00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_conditionalzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	static BgL_sfunz00_bglt
		BGl_z62externzd2sfunzf2Cinfozd2nilz90zzcfa_infoz00(obj_t);
	static obj_t BGl_z62approxzd2dupzb0zzcfa_infoz00(obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt
		BGl_z62makezd2prezd2makezd2boxzb0zzcfa_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2strengthz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2varzd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt, BgL_varz00_bglt);
	BGL_EXPORTED_DECL BgL_genpatchidz00_bglt
		BGl_makezd2genpatchidzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, obj_t, obj_t, long, long, BgL_approxz00_bglt);
	static obj_t BGl_z62setzd2exzd2itzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuezd2approxz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2vtypezd2setz12z12zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62kwotezf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2effectzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2nilz50zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_failzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_cfunz00_bglt BGl_cfunzf2Cinfozd2nilz20zzcfa_infoz00();
	BGL_EXPORTED_DECL long
		BGl_genpatchidzf2Cinfozd2indexz20zzcfa_infoz00(BgL_genpatchidz00_bglt);
	static BgL_cvarz00_bglt BGl_z62makezd2cvarzf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2localzd2bindingzd2valuezb0zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62literalzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2argsz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62approxzd2topzf3z43zzcfa_infoz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62failzf2Cinfozd2procz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62failzf2Cinfozd2objzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_appzd2lyzd2_bglt
		BGl_z62makezd2appzd2lyzf2Cinfoz90zzcfa_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62boxzd2refzf2Cinfozd2varzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2200z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2failsafez90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2201z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_internzd2sfunzf2Cinfozd2arityzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2locz90zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2propertyzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2pragmazd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32335ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62makezd2boxzd2setz12zf2Cinfoz82zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_scnstz00_bglt BGl_z62lambda2209z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_prezd2makezd2boxzd2nilzd2zzcfa_infoz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_funcallzf2Cinfozd2funz20zzcfa_infoz00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2predicatezd2ofz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2keyzf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setqzf2Cinfozd2typez20zzcfa_infoz00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2nilz32zzcfa_infoz00();
	static BgL_scnstz00_bglt BGl_z62lambda2212z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozd2locz50zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32190ze3ze5zzcfa_infoz00(obj_t);
	static obj_t BGl_z62reshapedzd2localzd2userzf3zd2setz12z51zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_scnstz00_bglt BGl_z62lambda2215z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_sexitzf2Cinfozd2approxz20zzcfa_infoz00(BgL_sexitz00_bglt);
	static obj_t BGl_z62reshapedzd2localzd2namezd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2approxz20zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2typezd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00 = BUNSPEC;
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62makezd2switchzf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2aliasz00zzcfa_infoz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzf2Cinfozd2classzd2setz12ze0zzcfa_infoz00(BgL_scnstz00_bglt,
		obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2keysz90zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2vtypez50zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62setqzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorz20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	static BgL_approxz00_bglt BGl_z62lambda2222z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2061z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2223z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32426ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2063z62zzcfa_infoz00(obj_t);
	static BgL_typez00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2typez42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2loczd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2vtypez20zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z50zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62appzd2lyzf2Cinfozf3zb1zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_internzd2sfunzf2Cinfozf3zd3zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_literalz00_bglt
		BGl_makezd2literalzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt, obj_t,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_conditionalz00_bglt, obj_t);
	static obj_t
		BGl_z62switchzf2Cinfozd2itemzd2typezd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2srczd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt
		BGl_z62makezd2makezd2boxzf2Cinfoz90zzcfa_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static BgL_genpatchidz00_bglt
		BGl_z62makezd2genpatchidzf2Cinfoz42zzcfa_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2locz32zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt);
	static BgL_sfunz00_bglt
		BGl_z62makezd2internzd2sfunzf2Cinfoz90zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2localzf3z43zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2accesszd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static BgL_svarz00_bglt BGl_z62lambda2230z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2topzf3zb1zzcfa_infoz00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_svarz00_bglt BGl_z62lambda2233z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2072z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2073z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62lambda2236z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62switchzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62makezd2reshapedzd2localz62zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2topzf3zd2setz12za3zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sexitzf2Cinfozd2handlerzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_infoz00();
	static obj_t BGl_z62lambda2079z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_infoz00();
	static BgL_typez00_bglt BGl_z62prezd2makezd2boxzd2typezb0zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2keyzd2setz12z32zzcfa_infoz00(BgL_boxzd2refzd2_bglt,
		obj_t);
	static obj_t BGl_z62scnstzf2Cinfozd2nodez42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_setqz00_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt
		BGl_z62makezd2boxzf2Cinfozd2typez90zzcfa_infoz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62conditionalzf2Cinfozd2typez42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_prezd2makezd2boxzf3zf3zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt BGl_approxzd2nilzd2zzcfa_infoz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_infoz00();
	extern obj_t BGl_scnstz00zzast_varz00;
	BGL_EXPORTED_DECL long
		BGl_genpatchidzf2Cinfozd2rindexz20zzcfa_infoz00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2typez20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt);
	static BgL_genpatchidz00_bglt BGl_z62lambda2401z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2valuezd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2macrozf3zb1zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2080z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2failsafez20zzcfa_infoz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL BgL_funcallz00_bglt
		BGl_funcallzf2Cinfozd2nilz20zzcfa_infoz00();
	static BgL_svarz00_bglt BGl_z62lambda2246z62zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12z13zzcfa_infoz00
		(BgL_funcallz00_bglt, bool_t);
	static obj_t BGl_z62reshapedzd2localzd2valzd2noescapezb0zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2085z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2086z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_kwotezf2Cinfozd2typez20zzcfa_infoz00(BgL_kwotez00_bglt);
	static BgL_svarz00_bglt BGl_z62lambda2249z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2boxzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62conditionalzf2Cinfozd2truezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62funcallzf2Cinfozd2strengthzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12z90zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzf2Cinfozd2varzd2setz12ze0zzcfa_infoz00(BgL_setqz00_bglt,
		BgL_varz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_patchzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2410z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2411z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32623ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62lambda2252z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static obj_t BGl_z62lambda2091z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2topzf3zd2setz12ze1zzcfa_infoz00(BgL_approxz00_bglt, bool_t);
	static obj_t BGl_z62lambda2092z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32267ze3ze5zzcfa_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32178ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2bodyz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2localzd2fastzd2alphazb0zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2259z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2098z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2classzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2099z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_genpatchidz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_boxzd2setz12zf2Ozd2Cinfozf3z13zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2modulez00zzcfa_infoz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2argsz20zzcfa_infoz00(BgL_funcallz00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2polymorphiczf3z63zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_reshapedzd2globalzd2occurrencez00zzcfa_infoz00(BgL_globalz00_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2stackzd2allocatorz90zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_boxzd2refzd2_bglt
		BGl_z62boxzd2refzf2Cinfozd2nilz90zzcfa_infoz00(obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2aliasz62zzcfa_infoz00(obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62makezd2failzf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2locz20zzcfa_infoz00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static BgL_patchz00_bglt BGl_z62lambda2420z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62approxzd2nilzb0zzcfa_infoz00(obj_t);
	static obj_t BGl_z62literalzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2260z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static BgL_patchz00_bglt BGl_z62lambda2424z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62kwotezf2nodezd2nilz42zzcfa_infoz00(obj_t);
	static obj_t BGl_z62lambda2265z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_patchz00_bglt BGl_z62lambda2427z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2266z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2localzd2occurrencewz62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62svarzf2Cinfozd2clozd2envzf3zd2setz12za3zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2topzf3z63zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62sexitzf2Cinfozd2handlerz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2predicatezd2ofz20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2typez20zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2typez20zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2stackablezd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2allocszd2zzcfa_infoz00(BgL_approxz00_bglt);
	static BgL_nodez00_bglt BGl_z62failzf2Cinfozd2objz42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_setqz00_bglt BGl_z62makezd2setqzf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2noescapez20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	static obj_t BGl_z62scnstzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2stampz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_kwotezf2nodezd2nodez20zzcfa_infoz00(BgL_kwotez00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2noescapez42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzf2Ozd2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2272z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_funcallz00_bglt
		BGl_z62makezd2funcallzf2Cinfoz42zzcfa_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_valuez00_bglt
		BGl_z62reshapedzd2localzd2valuez62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2273z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2localzd2userzf3z91zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2437z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2438z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_prezd2clozd2envzd2nilzd2zzcfa_infoz00();
	static BgL_varz00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2varz50zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2approxz42zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2approxz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62switchzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzf2Cinfozd2objzd2setz12ze0zzcfa_infoz00(BgL_failz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_z62failzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzf2Cinfozd2locz90zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62genpatchidzf2Cinfozd2approxz42zzcfa_infoz00(obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzf2Cinfozd2falsez20zzcfa_infoz00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12zf2Cinfoze0zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_typez00_bglt, BgL_approxz00_bglt);
	static BgL_nodez00_bglt BGl_z62appzd2lyzf2Cinfozd2funz90zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_setqz00_bglt BGl_z62lambda2601z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62kwotezf2nodezd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2importz00zzcfa_infoz00(BgL_globalz00_bglt);
	static BgL_cvarz00_bglt BGl_z62lambda2282z62zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, BgL_typez00_bglt);
	extern obj_t BGl_genpatchidz00zzast_nodez00;
	static BgL_cvarz00_bglt BGl_z62lambda2285z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2447z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2609z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62funcallzf2Cinfozd2typez42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_cvarz00_bglt BGl_z62lambda2288z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2loczd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62makezd2boxzf2Cinfozd2approxz90zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzf2Cinfozd2testzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62conditionalzf2Cinfozd2approxz42zzcfa_infoz00(obj_t, obj_t);
	static BgL_patchz00_bglt BGl_z62makezd2patchzf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2keyzd2setz12ze0zzcfa_infoz00(BgL_switchz00_bglt,
		obj_t);
	static obj_t
		BGl_z62cfunzf2Cinfozd2thezd2closurezd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62reshapedzd2globalzd2jvmzd2typezd2namez62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2stackablezf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static obj_t
		BGl_z62sexitzf2Cinfozd2detachedzf3zd2setz12z71zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_reshapedzd2localzd2valuez00zzcfa_infoz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_reshapedzd2localzd2userzf3zf3zzcfa_infoz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2userzf3zd2setz12z33zzcfa_infoz00(BgL_globalz00_bglt,
		bool_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2sidezd2effectz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2610z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62genpatchidzf2Cinfozd2keyz42zzcfa_infoz00(obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2450z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2namezd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2clozd2envzd2loczd2zzcfa_infoz00(BgL_svarz00_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2varz32zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt);
	static BgL_kwotez00_bglt BGl_z62lambda2453z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32287ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62cfunzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_approxz00_bglt BGl_z62scnstzf2Cinfozd2approxz42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda2618z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2295z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_svarzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	static obj_t BGl_z62lambda2296z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2sidezd2effectz62zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_reshapedzd2localzd2keyz00zzcfa_infoz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2nilz20zzcfa_infoz00();
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2nilz20zzcfa_infoz00();
	static obj_t BGl_z62patchzf2Cinfozd2valuez42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2locz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzf2Cinfozd2locz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62genpatchidzf2Cinfozd2indexz42zzcfa_infoz00(obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62switchzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2keyzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62conditionalzf2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32822ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00 = BUNSPEC;
	static BgL_conditionalz00_bglt BGl_z62lambda2621z62zzcfa_infoz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2461z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2462z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda2624z62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2arityz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2typezd2setz12z32zzcfa_infoz00(BgL_boxzd2refzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12z13zzcfa_infoz00
		(BgL_funcallz00_bglt, bool_t);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxzf2Cinfozf2zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_nodez00_bglt, BgL_typez00_bglt, obj_t,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_kwotezf2nodezf3z01zzcfa_infoz00(obj_t);
	static obj_t BGl_z62patchzf2Cinfozd2patchidz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2approxzf2zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2strengthz90zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2typez42zzcfa_infoz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2typez42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2typezd2setz12z12zzcfa_infoz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	static BgL_approxz00_bglt
		BGl_z62internzd2sfunzf2Cinfozd2approxz90zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_reshapedzd2globalzf3z21zzcfa_infoz00(obj_t);
	static BgL_approxz00_bglt
		BGl_z62externzd2sfunzf2Cinfozd2approxz90zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2keyz20zzcfa_infoz00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2refzf2Ozd2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_makezd2reshapedzd2localz00zzcfa_infoz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t, long, obj_t,
		bool_t, obj_t);
	static obj_t
		BGl_z62boxzd2setz12zf2Cinfozd2typezd2setz12z42zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2471z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2633z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2634z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32378ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2vtypezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2argsz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2localzd2volatilez62zzcfa_infoz00(obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2474z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_internzd2sfunzf2Cinfozd2polymorphiczf3z01zzcfa_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2locz20zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2locz20zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static BgL_approxz00_bglt
		BGl_z62boxzd2refzf2Ozd2Cinfozd2approxz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_cvarz00_bglt BGl_cvarzf2Cinfozd2nilz20zzcfa_infoz00();
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_literalzf2Cinfozd2typez20zzcfa_infoz00(BgL_literalz00_bglt);
	static BgL_kwotez00_bglt BGl_z62lambda2477z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62switchzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzf2Cinfozd2typezf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_typez00_bglt BGl_z62boxzd2refzf2Cinfozd2typez90zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_appzd2lyzd2_bglt
		BGl_z62appzd2lyzf2Cinfozd2nilz90zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_internzd2sfunzf2Cinfozd2nilzf2zzcfa_infoz00();
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorz20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_cfunzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static obj_t BGl_z62scnstzf2Cinfozd2classzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62makezd2kwotezf2nodez42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2globalz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2localzd2typezd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62jumpzd2exzd2itzf2Cinfozd2exitzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_failz00_bglt BGl_z62lambda2643z62zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2vtypez42zzcfa_infoz00(obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62lambda2647z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd3zzcfa_infoz00
		(BgL_funcallz00_bglt);
	static BgL_approxz00_bglt BGl_z62lambda2487z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2488z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2keyzd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2retescapez20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2functionszd2setz12ze0zzcfa_infoz00
		(BgL_funcallz00_bglt, obj_t);
	static obj_t BGl_z62switchzf2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_approxzd2typezd2zzcfa_infoz00(BgL_approxz00_bglt);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2optionalsz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2infixzf3zd2setz12z13zzcfa_infoz00(BgL_cfunz00_bglt,
		bool_t);
	static BgL_failz00_bglt BGl_z62lambda2650z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62scnstzf2Cinfozd2loczd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32574ze3ze5zzcfa_infoz00(obj_t);
	static BgL_approxz00_bglt BGl_z62cfunzf2Cinfozd2approxz42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2fastzd2alphazd2zzcfa_infoz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt BGl_kwotezf2Cinfozd2nilz20zzcfa_infoz00();
	static obj_t __cnst[52];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2externzd2sfunzf2Cinfozd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2extern3307z00,
		BGl_z62makezd2externzd2sfunzf2Cinfoz90zzcfa_infoz00, 0L, BUNSPEC, 24);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reshapedzd2globalzf3zd2envzf3zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3308z00,
		BGl_z62reshapedzd2globalzf3z43zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23309za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2varzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3310za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2varz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2sexitzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2sexitza73311za7,
		BGl_z62makezd2sexitzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23312za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i3313za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2polymorphiczf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3314z00,
		BGl_z62internzd2sfunzf2Cinfozd2polymorphiczf3z63zzcfa_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2keyzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3315z00,
		BGl_z62conditionalzf2Cinfozd2keyzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2keyzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23316za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2keyz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2falsezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3317z00,
		BGl_z62conditionalzf2Cinfozd2falsez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2evalzf3zd2setz12zd2envze1zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3318z00,
		BGl_z62reshapedzd2globalzd2evalzf3zd2setz12z51zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3100z00zzcfa_infoz00,
		BgL_bgl_za762lambda2063za7623319z00, BGl_z62lambda2063z62zzcfa_infoz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3101z00zzcfa_infoz00,
		BgL_bgl_za762lambda2061za7623320z00, BGl_z62lambda2061z62zzcfa_infoz00, 0L,
		BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2optionalszd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3321z00,
		BGl_z62externzd2sfunzf2Cinfozd2optionalsz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3102z00zzcfa_infoz00,
		BgL_bgl_za762lambda2136za7623322z00, BGl_z62lambda2136z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3103z00zzcfa_infoz00,
		BgL_bgl_za762lambda2135za7623323z00, BGl_z62lambda2135z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3104z00zzcfa_infoz00,
		BgL_bgl_za762lambda2128za7623324z00, BGl_z62lambda2128z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza73325za7,
		BGl_z62setqzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3105z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3326za7,
		BGl_z62zc3z04anonymousza32127ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3106z00zzcfa_infoz00,
		BgL_bgl_za762lambda2125za7623327z00, BGl_z62lambda2125z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3107z00zzcfa_infoz00,
		BgL_bgl_za762lambda2122za7623328z00, BGl_z62lambda2122z62zzcfa_infoz00, 0L,
		BUNSPEC, 15);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2typezd2envz00zzcfa_infoz00,
		BgL_bgl_za762approxza7d2type3329z00, BGl_z62approxzd2typezb0zzcfa_infoz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3108z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3330za7,
		BGl_z62zc3z04anonymousza32160ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3109z00zzcfa_infoz00,
		BgL_bgl_za762lambda2159za7623331z00, BGl_z62lambda2159z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setqzf2Cinfozd2varzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza73332za7,
		BGl_z62setqzf2Cinfozd2varzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvarzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762cvarza7f2cinfoza73333za7,
		BGl_z62cvarzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2fastzd2alphazd2envz00zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3334z00,
		BGl_z62reshapedzd2localzd2fastzd2alphazb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2valuezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23335za7,
		BGl_z62makezd2boxzf2Cinfozd2valuezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2keyzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3336z00,
		BGl_z62reshapedzd2localzd2keyz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2sidezd2effectzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23337z00,
		BGl_z62genpatchidzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzf2Cinfozd2testzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3338z00,
		BGl_z62switchzf2Cinfozd2testz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762svarza7f2cinfoza73339za7,
		BGl_z62svarzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3110z00zzcfa_infoz00,
		BgL_bgl_za762lambda2158za7623340z00, BGl_z62lambda2158z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3111z00zzcfa_infoz00,
		BgL_bgl_za762lambda2166za7623341z00, BGl_z62lambda2166z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3112z00zzcfa_infoz00,
		BgL_bgl_za762lambda2165za7623342z00, BGl_z62lambda2165z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2failsafezd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3343z00,
		BGl_z62externzd2sfunzf2Cinfozd2failsafez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762svarza7f2cinfoza73344za7,
		BGl_z62svarzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3113z00zzcfa_infoz00,
		BgL_bgl_za762lambda2150za7623345z00, BGl_z62lambda2150z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3114z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3346za7,
		BGl_z62zc3z04anonymousza32149ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3115z00zzcfa_infoz00,
		BgL_bgl_za762lambda2146za7623347z00, BGl_z62lambda2146z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3116z00zzcfa_infoz00,
		BgL_bgl_za762lambda2143za7623348z00, BGl_z62lambda2143z62zzcfa_infoz00, 0L,
		BUNSPEC, 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3117z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3349za7,
		BGl_z62zc3z04anonymousza32190ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3118z00zzcfa_infoz00,
		BgL_bgl_za762lambda2189za7623350z00, BGl_z62lambda2189z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3119z00zzcfa_infoz00,
		BgL_bgl_za762lambda2188za7623351z00, BGl_z62lambda2188z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2msgzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza73352za7,
		BGl_z62failzf2Cinfozd2msgz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2nodezd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2nodeza73353za7,
		BGl_z62kwotezf2nodezd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2typezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3354z00,
		BGl_z62reshapedzd2localzd2typez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2sidezd2effectzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3355za7,
		BGl_z62boxzd2refzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordszd2envzf2zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3356z00,
		BGl_z62externzd2sfunzf2Cinfozd2dssslzd2keywordsz42zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2patchidzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3357z00,
		BGl_z62patchzf2Cinfozd2patchidz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2typezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3358za7,
		BGl_z62boxzd2refzf2Cinfozd2typezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2varzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3359za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2varzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2nilzd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23360za7,
		BGl_z62makezd2boxzf2Cinfozd2nilz90zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Cinfozd2detachedzf3zd2setz12zd2envzc1zzcfa_infoz00,
		BgL_bgl_za762sexitza7f2cinfo3361z00,
		BGl_z62sexitzf2Cinfozd2detachedzf3zd2setz12z71zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3120z00zzcfa_infoz00,
		BgL_bgl_za762lambda2195za7623362z00, BGl_z62lambda2195z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3121z00zzcfa_infoz00,
		BgL_bgl_za762lambda2194za7623363z00, BGl_z62lambda2194z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3122z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3364za7,
		BGl_z62zc3z04anonymousza32202ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3123z00zzcfa_infoz00,
		BgL_bgl_za762lambda2201za7623365z00, BGl_z62lambda2201z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3124z00zzcfa_infoz00,
		BgL_bgl_za762lambda2200za7623366z00, BGl_z62lambda2200z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3125z00zzcfa_infoz00,
		BgL_bgl_za762lambda2179za7623367z00, BGl_z62lambda2179z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2functionszd2envzf2zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3368z00,
		BGl_z62funcallzf2Cinfozd2functionsz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3126z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3369za7,
		BGl_z62zc3z04anonymousza32178ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3127z00zzcfa_infoz00,
		BgL_bgl_za762lambda2176za7623370z00, BGl_z62lambda2176z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3128z00zzcfa_infoz00,
		BgL_bgl_za762lambda2173za7623371z00, BGl_z62lambda2173z62zzcfa_infoz00, 0L,
		BUNSPEC, 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3129z00zzcfa_infoz00,
		BgL_bgl_za762lambda2223za7623372z00, BGl_z62lambda2223z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2vtypezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23373za7,
		BGl_z62makezd2boxzf2Cinfozd2vtypezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2Cinfozd2valuezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2cinfo3374z00,
		BGl_z62kwotezf2Cinfozd2valuez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2cvarzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2cvarza7f3375za7,
		BGl_z62makezd2cvarzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2typezd2envz00zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23376za7,
		BGl_z62prezd2makezd2boxzd2typezb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3377z00,
		BGl_z62switchzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvarzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762cvarza7f2cinfoza73378za7,
		BGl_z62cvarzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762literalza7f2cin3379z00,
		BGl_z62literalzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza73380za7,
		BGl_z62setqzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2predicatezd2ofzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73381za7,
		BGl_z62cfunzf2Cinfozd2predicatezd2ofzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3130z00zzcfa_infoz00,
		BgL_bgl_za762lambda2222za7623382z00, BGl_z62lambda2222z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3131z00zzcfa_infoz00,
		BgL_bgl_za762lambda2215za7623383z00, BGl_z62lambda2215z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3132z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3384za7,
		BGl_z62zc3z04anonymousza32214ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3133z00zzcfa_infoz00,
		BgL_bgl_za762lambda2212za7623385z00, BGl_z62lambda2212z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3134z00zzcfa_infoz00,
		BgL_bgl_za762lambda2209za7623386z00, BGl_z62lambda2209z62zzcfa_infoz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3135z00zzcfa_infoz00,
		BgL_bgl_za762lambda2236za7623387z00, BGl_z62lambda2236z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3136z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3388za7,
		BGl_z62zc3z04anonymousza32235ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3137z00zzcfa_infoz00,
		BgL_bgl_za762lambda2233za7623389z00, BGl_z62lambda2233z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2rindexzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23390z00,
		BGl_z62genpatchidzf2Cinfozd2rindexz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3138z00zzcfa_infoz00,
		BgL_bgl_za762lambda2230za7623391z00, BGl_z62lambda2230z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2arityzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3392z00,
		BGl_z62internzd2sfunzf2Cinfozd2arityz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3139z00zzcfa_infoz00,
		BgL_bgl_za762lambda2260za7623393z00, BGl_z62lambda2260z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2typezd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73394z00,
		BGl_z62boxzd2setz12zf2Cinfozd2typez82zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2sidezd2effectzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23395za7,
		BGl_z62makezd2boxzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2objzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza73396za7,
		BGl_z62failzf2Cinfozd2objz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3300z00zzcfa_infoz00,
		BgL_bgl_za762lambda2944za7623397z00, BGl_z62lambda2944z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3301z00zzcfa_infoz00,
		BgL_bgl_za762lambda2941za7623398z00, BGl_z62lambda2941z62zzcfa_infoz00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3140z00zzcfa_infoz00,
		BgL_bgl_za762lambda2259za7623399z00, BGl_z62lambda2259z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3141z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3400za7,
		BGl_z62zc3z04anonymousza32267ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3142z00zzcfa_infoz00,
		BgL_bgl_za762lambda2266za7623401z00, BGl_z62lambda2266z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3143z00zzcfa_infoz00,
		BgL_bgl_za762lambda2265za7623402z00, BGl_z62lambda2265z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3144z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3403za7,
		BGl_z62zc3z04anonymousza32274ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3145z00zzcfa_infoz00,
		BgL_bgl_za762lambda2273za7623404z00, BGl_z62lambda2273z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3146z00zzcfa_infoz00,
		BgL_bgl_za762lambda2272za7623405z00, BGl_z62lambda2272z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3147z00zzcfa_infoz00,
		BgL_bgl_za762lambda2252za7623406z00, BGl_z62lambda2252z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2nilzd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73407z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2nilz50zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3148z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3408za7,
		BGl_z62zc3z04anonymousza32251ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3149z00zzcfa_infoz00,
		BgL_bgl_za762lambda2249za7623409z00, BGl_z62lambda2249z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2vtypezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3410za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2vtypez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3411z00,
		BGl_z62patchzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozf3zd2envzc1zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73412z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozf3z71zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reshapedzd2localzd2idzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3413z00,
		BGl_z62reshapedzd2localzd2idz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23414z00,
		BGl_z62genpatchidzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3150z00zzcfa_infoz00,
		BgL_bgl_za762lambda2246za7623415z00, BGl_z62lambda2246z62zzcfa_infoz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3151z00zzcfa_infoz00,
		BgL_bgl_za762lambda2296za7623416z00, BGl_z62lambda2296z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3152z00zzcfa_infoz00,
		BgL_bgl_za762lambda2295za7623417z00, BGl_z62lambda2295z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3153z00zzcfa_infoz00,
		BgL_bgl_za762lambda2288za7623418z00, BGl_z62lambda2288z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3154z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3419za7,
		BGl_z62zc3z04anonymousza32287ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3155z00zzcfa_infoz00,
		BgL_bgl_za762lambda2285za7623420z00, BGl_z62lambda2285z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3156z00zzcfa_infoz00,
		BgL_bgl_za762lambda2282za7623421z00, BGl_z62lambda2282z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3157z00zzcfa_infoz00,
		BgL_bgl_za762lambda2321za7623422z00, BGl_z62lambda2321z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3158z00zzcfa_infoz00,
		BgL_bgl_za762lambda2320za7623423z00, BGl_z62lambda2320z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3159z00zzcfa_infoz00,
		BgL_bgl_za762lambda2311za7623424z00, BGl_z62lambda2311z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2occurrencewzd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3425z00,
		BGl_z62reshapedzd2globalzd2occurrencewzd2setz12za2zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23426z00,
		BGl_z62genpatchidzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3160z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3427za7,
		BGl_z62zc3z04anonymousza32310ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3161z00zzcfa_infoz00,
		BgL_bgl_za762lambda2308za7623428z00, BGl_z62lambda2308z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3162z00zzcfa_infoz00,
		BgL_bgl_za762lambda2305za7623429z00, BGl_z62lambda2305z62zzcfa_infoz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3163z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3430za7,
		BGl_z62zc3z04anonymousza32349ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2keyzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23431z00,
		BGl_z62genpatchidzf2Cinfozd2keyz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3164z00zzcfa_infoz00,
		BgL_bgl_za762lambda2348za7623432z00, BGl_z62lambda2348z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2noescapezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3433z00,
		BGl_z62internzd2sfunzf2Cinfozd2argszd2noescapez42zzcfa_infoz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3165z00zzcfa_infoz00,
		BgL_bgl_za762lambda2347za7623434z00, BGl_z62lambda2347z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3166z00zzcfa_infoz00,
		BgL_bgl_za762lambda2336za7623435z00, BGl_z62lambda2336z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3167z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3436za7,
		BGl_z62zc3z04anonymousza32335ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3168z00zzcfa_infoz00,
		BgL_bgl_za762lambda2332za7623437z00, BGl_z62lambda2332z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3169z00zzcfa_infoz00,
		BgL_bgl_za762lambda2328za7623438z00, BGl_z62lambda2328z62zzcfa_infoz00, 0L,
		BUNSPEC, 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failzf2Cinfozd2objzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza73439za7,
		BGl_z62failzf2Cinfozd2objzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2keyszd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3440z00,
		BGl_z62internzd2sfunzf2Cinfozd2keysz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf2Cinfozd2effectzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73441za7,
		BGl_z62cfunzf2Cinfozd2effectz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2macrozf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73442za7,
		BGl_z62cfunzf2Cinfozd2macrozf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3170z00zzcfa_infoz00,
		BgL_bgl_za762lambda2362za7623443z00, BGl_z62lambda2362z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3171z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3444za7,
		BGl_z62zc3z04anonymousza32361ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3172z00zzcfa_infoz00,
		BgL_bgl_za762lambda2359za7623445z00, BGl_z62lambda2359z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3173z00zzcfa_infoz00,
		BgL_bgl_za762lambda2356za7623446z00, BGl_z62lambda2356z62zzcfa_infoz00, 0L,
		BUNSPEC, 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2setz12zf2Cinfozd2envz32zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7d23447za7,
		BGl_z62makezd2boxzd2setz12zf2Cinfoz82zzcfa_infoz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3174z00zzcfa_infoz00,
		BgL_bgl_za762lambda2387za7623448z00, BGl_z62lambda2387z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3449za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3175z00zzcfa_infoz00,
		BgL_bgl_za762lambda2386za7623450z00, BGl_z62lambda2386z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3176z00zzcfa_infoz00,
		BgL_bgl_za762lambda2379za7623451z00, BGl_z62lambda2379z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3177z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3452za7,
		BGl_z62zc3z04anonymousza32378ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3178z00zzcfa_infoz00,
		BgL_bgl_za762lambda2376za7623453z00, BGl_z62lambda2376z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3179z00zzcfa_infoz00,
		BgL_bgl_za762lambda2372za7623454z00, BGl_z62lambda2372z62zzcfa_infoz00, 0L,
		BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3455za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3456z00,
		BGl_z62funcallzf2Cinfozd2typezd2errorzd2noticedzf3zb1zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2loczd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3457z00,
		BGl_z62internzd2sfunzf2Cinfozd2loczd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2keyzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3458za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2keyz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2typezd2lockedzf3zd2envz21zzcfa_infoz00,
		BgL_bgl_za762approxza7d2type3459z00,
		BGl_z62approxzd2typezd2lockedzf3z91zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2sidezd2effectzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3460z00,
		BGl_z62externzd2sfunzf2Cinfozd2sidezd2effectz42zzcfa_infoz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3180z00zzcfa_infoz00,
		BgL_bgl_za762lambda2411za7623461z00, BGl_z62lambda2411z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3462z00,
		BGl_z62funcallzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3181z00zzcfa_infoz00,
		BgL_bgl_za762lambda2410za7623463z00, BGl_z62lambda2410z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3182z00zzcfa_infoz00,
		BgL_bgl_za762lambda2401za7623464z00, BGl_z62lambda2401z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3183z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3465za7,
		BGl_z62zc3z04anonymousza32400ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3466z00,
		BGl_z62patchzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3184z00zzcfa_infoz00,
		BgL_bgl_za762lambda2398za7623467z00, BGl_z62lambda2398z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3185z00zzcfa_infoz00,
		BgL_bgl_za762lambda2395za7623468z00, BGl_z62lambda2395z62zzcfa_infoz00, 0L,
		BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3186z00zzcfa_infoz00,
		BgL_bgl_za762lambda2438za7623469z00, BGl_z62lambda2438z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3187z00zzcfa_infoz00,
		BgL_bgl_za762lambda2437za7623470z00, BGl_z62lambda2437z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3188z00zzcfa_infoz00,
		BgL_bgl_za762lambda2427za7623471z00, BGl_z62lambda2427z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2noescapezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3472z00,
		BGl_z62externzd2sfunzf2Cinfozd2argszd2noescapez42zzcfa_infoz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3189z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3473za7,
		BGl_z62zc3z04anonymousza32426ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2argszd2envzf2zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3474z00,
		BGl_z62funcallzf2Cinfozd2argsz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2modulezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3475z00,
		BGl_z62reshapedzd2globalzd2modulez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf2Cinfozd2arityzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73476za7,
		BGl_z62cfunzf2Cinfozd2arityz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2varzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3477za7,
		BGl_z62boxzd2refzf2Cinfozd2varzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2funzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci3478za7,
		BGl_z62appzd2lyzf2Cinfozd2funzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2failzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2failza7f3479za7,
		BGl_z62makezd2failzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3480z00,
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza73481za7,
		BGl_z62failzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3190z00zzcfa_infoz00,
		BgL_bgl_za762lambda2424za7623482z00, BGl_z62lambda2424z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3191z00zzcfa_infoz00,
		BgL_bgl_za762lambda2420za7623483z00, BGl_z62lambda2420z62zzcfa_infoz00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3192z00zzcfa_infoz00,
		BgL_bgl_za762lambda2462za7623484z00, BGl_z62lambda2462z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3485z00,
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z50zzcfa_infoz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3193z00zzcfa_infoz00,
		BgL_bgl_za762lambda2461za7623486z00, BGl_z62lambda2461z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3487z00,
		BGl_z62externzd2sfunzf2Cinfozd2stackzd2allocatorz42zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3194z00zzcfa_infoz00,
		BgL_bgl_za762lambda2453za7623488z00, BGl_z62lambda2453z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2effectzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23489z00,
		BGl_z62genpatchidzf2Cinfozd2effectz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3195z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3490za7,
		BGl_z62zc3z04anonymousza32452ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3196z00zzcfa_infoz00,
		BgL_bgl_za762lambda2450za7623491z00, BGl_z62lambda2450z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3197z00zzcfa_infoz00,
		BgL_bgl_za762lambda2447za7623492z00, BGl_z62lambda2447z62zzcfa_infoz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3198z00zzcfa_infoz00,
		BgL_bgl_za762lambda2488za7623493z00, BGl_z62lambda2488z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2funzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3494z00,
		BGl_z62funcallzf2Cinfozd2funzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3199z00zzcfa_infoz00,
		BgL_bgl_za762lambda2487za7623495z00, BGl_z62lambda2487z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12zd2envzc1zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3496z00,
		BGl_z62funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12z71zzcfa_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23497za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i3498za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2predicatezd2ofzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3499z00,
		BGl_z62externzd2sfunzf2Cinfozd2predicatezd2ofz42zzcfa_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2falsezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3500z00,
		BGl_z62conditionalzf2Cinfozd2falsezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2vtypezd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73501z00,
		BGl_z62boxzd2setz12zf2Cinfozd2vtypez82zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3502za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2testzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3503z00,
		BGl_z62switchzf2Cinfozd2testzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3504z00,
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z50zzcfa_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2nodezd2valuezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2nodeza73505za7,
		BGl_z62kwotezf2nodezd2valuez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2valzd2noescapezd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3506z00,
		BGl_z62reshapedzd2localzd2valzd2noescapezd2setz12z70zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2pragmazd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3507z00,
		BGl_z62reshapedzd2globalzd2pragmazd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2valuezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3508z00,
		BGl_z62reshapedzd2globalzd2valuezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2propertyzd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3509z00,
		BGl_z62externzd2sfunzf2Cinfozd2propertyz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2dupzd2envz00zzcfa_infoz00,
		BgL_bgl_za762approxza7d2dupza73510za7, BGl_z62approxzd2dupzb0zzcfa_infoz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozf3zd2envz13zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73511z00,
		BGl_z62boxzd2setz12zf2Cinfozf3za3zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3512za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3513z00,
		BGl_z62externzd2sfunzf2Cinfozd2argszd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2keyzd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23514za7,
		BGl_z62prezd2makezd2boxzd2keyzd2setz12z70zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf2Cinfozd2valuezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3515z00,
		BGl_z62patchzf2Cinfozd2valuez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762literalza7f2cin3516z00,
		BGl_z62literalzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3517z00,
		BGl_z62conditionalzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2varzd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3518za7,
		BGl_z62boxzd2refzf2Cinfozd2varz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2funzd2envz20zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci3519za7,
		BGl_z62appzd2lyzf2Cinfozd2funz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3520z00,
		BGl_z62funcallzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2predicatezd2ofzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3521z00,
		BGl_z62internzd2sfunzf2Cinfozd2predicatezd2ofz42zzcfa_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2typezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci3522za7,
		BGl_z62appzd2lyzf2Cinfozd2typezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2makezd2boxzf2Cinfozd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2makeza7d3523za7,
		BGl_z62makezd2makezd2boxzf2Cinfoz90zzcfa_infoz00, 0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2genpatchidzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2genpat3524z00,
		BGl_z62makezd2genpatchidzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setqzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2setqza7f3525za7,
		BGl_z62makezd2setqzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2stackablezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3526z00,
		BGl_z62internzd2sfunzf2Cinfozd2stackablezd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza73527za7,
		BGl_z62failzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexitzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762sexitza7f2cinfo3528z00,
		BGl_z62sexitzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2failsafezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73529za7,
		BGl_z62cfunzf2Cinfozd2failsafezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2effectzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3530z00,
		BGl_z62internzd2sfunzf2Cinfozd2effectz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2volatilezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3531z00,
		BGl_z62reshapedzd2localzd2volatilez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zd2envz13zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3532z00,
		BGl_z62externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12za3zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypezd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73533z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2vtypez50zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2approxzd2envz00zzcfa_infoz00,
		BgL_bgl_za762makeza7d2approx3534z00, BGl_z62makezd2approxzb0zzcfa_infoz00,
		0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2valuezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3535z00,
		BGl_z62reshapedzd2localzd2valuezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2valuezd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73536z00,
		BGl_z62boxzd2setz12zf2Cinfozd2valuez82zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2bodyzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3537z00,
		BGl_z62externzd2sfunzf2Cinfozd2bodyzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Cinfozd2clozd2envzf3zd2setz12zd2envz13zzcfa_infoz00,
		BgL_bgl_za762svarza7f2cinfoza73538za7,
		BGl_z62svarzf2Cinfozd2clozd2envzf3zd2setz12za3zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2namezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3539z00,
		BGl_z62reshapedzd2globalzd2namez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2truezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3540z00,
		BGl_z62conditionalzf2Cinfozd2truezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2strengthzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3541z00,
		BGl_z62funcallzf2Cinfozd2strengthzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2keyzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3542za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2keyzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2internzd2sfunzf2Cinfozd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2intern3543z00,
		BGl_z62makezd2internzd2sfunzf2Cinfoz90zzcfa_infoz00, 0L, BUNSPEC, 25);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2stampzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3544z00,
		BGl_z62internzd2sfunzf2Cinfozd2stampzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73545za7,
		BGl_z62cfunzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2accesszd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3546z00,
		BGl_z62reshapedzd2globalzd2accessz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2valuezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3547z00,
		BGl_z62reshapedzd2localzd2valuez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2switchzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2switch3548z00,
		BGl_z62makezd2switchzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23549za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i3550za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2keyzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23551za7,
		BGl_z62makezd2boxzf2Cinfozd2keyzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2idzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3552z00,
		BGl_z62reshapedzd2globalzd2idz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3553z00,
		BGl_z62conditionalzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2argszd2typezd2envz20zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73554za7,
		BGl_z62cfunzf2Cinfozd2argszd2typez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3555z00,
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2globalz90zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2onexitzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3556za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2onexitzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2nodezf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2nodeza73557za7,
		BGl_z62kwotezf2nodezf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2sidezd2effectzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3558z00,
		BGl_z62internzd2sfunzf2Cinfozd2sidezd2effectz42zzcfa_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza73559za7,
		BGl_z62setqzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2importzd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3560z00,
		BGl_z62reshapedzd2globalzd2importzd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2effectzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3561z00,
		BGl_z62externzd2sfunzf2Cinfozd2effectzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3562z00,
		BGl_z62externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12z82zzcfa_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2bodyzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3563z00,
		BGl_z62internzd2sfunzf2Cinfozd2bodyz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2patchidzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3564z00,
		BGl_z62patchzf2Cinfozd2patchidzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2sidezd2effectzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23565za7,
		BGl_z62prezd2makezd2boxzd2sidezd2effectz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2nilzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3566z00,
		BGl_z62reshapedzd2localzd2nilz62zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2argszd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3567z00,
		BGl_z62funcallzf2Cinfozd2argszd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2modulezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3568z00,
		BGl_z62reshapedzd2globalzd2modulezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2appzd2lyzf2Cinfozd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2appza7d23569za7,
		BGl_z62makezd2appzd2lyzf2Cinfoz90zzcfa_infoz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2svarzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2svarza7f3570za7,
		BGl_z62makezd2svarzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2keyszd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3571z00,
		BGl_z62externzd2sfunzf2Cinfozd2keysz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvarzf2Cinfozd2macrozf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762cvarza7f2cinfoza73572za7,
		BGl_z62cvarzf2Cinfozd2macrozf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762svarza7f2cinfoza73573za7,
		BGl_z62svarzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2fastzd2alphazd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3574z00,
		BGl_z62reshapedzd2localzd2fastzd2alphazd2setz12z70zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23575za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2valuezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i3576za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2occurrencezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3577z00,
		BGl_z62reshapedzd2localzd2occurrencezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2testzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3578z00,
		BGl_z62conditionalzf2Cinfozd2testzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2retescapezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3579z00,
		BGl_z62internzd2sfunzf2Cinfozd2argszd2retescapez42zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2approxzd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3580z00,
		BGl_z62externzd2sfunzf2Cinfozd2approxz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2valuezd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73581z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2valuez50zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2infixzf3zd2setz12zd2envzc1zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73582za7,
		BGl_z62cfunzf2Cinfozd2infixzf3zd2setz12z71zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2userzf3zd2envz21zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3583z00,
		BGl_z62reshapedzd2localzd2userzf3z91zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2userzf3zd2setz12zd2envze1zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3584z00,
		BGl_z62reshapedzd2globalzd2userzf3zd2setz12z51zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3585z00,
		BGl_z62internzd2sfunzf2Cinfozd2argsz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2topzf3zd2setz12zd2envz13zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3586z00,
		BGl_z62externzd2sfunzf2Cinfozd2topzf3zd2setz12za3zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3587z00,
		BGl_z62externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12z82zzcfa_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Cinfozd2clozd2envzf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762svarza7f2cinfoza73588za7,
		BGl_z62svarzf2Cinfozd2clozd2envzf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2occurrencezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3589z00,
		BGl_z62reshapedzd2globalzd2occurrencez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2aliaszd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3590z00,
		BGl_z62reshapedzd2globalzd2aliasz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23591za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2arityzd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3592z00,
		BGl_z62externzd2sfunzf2Cinfozd2arityz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2patchzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2patchza73593za7,
		BGl_z62makezd2patchzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2sidezd2effectzd2envz20zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3594z00,
		BGl_z62switchzf2Cinfozd2sidezd2effectz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2optionalszd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3595z00,
		BGl_z62internzd2sfunzf2Cinfozd2optionalsz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2approxzd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23596za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuezd2approxz90zzcfa_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_prezd2clozd2envzf3zd2envz21zzcfa_infoz00,
		BgL_bgl_za762preza7d2cloza7d2e3597za7,
		BGl_z62prezd2clozd2envzf3z91zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf2Cinfozd2topzf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73598za7,
		BGl_z62cfunzf2Cinfozd2topzf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2stackablezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3599z00,
		BGl_z62externzd2sfunzf2Cinfozd2stackablezd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_scnstzf2Cinfozd2loczd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762scnstza7f2cinfo3600z00,
		BGl_z62scnstzf2Cinfozd2loczd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2reshapedzd2localzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2reshap3601z00,
		BGl_z62makezd2reshapedzd2localz62zzcfa_infoz00, 0L, BUNSPEC, 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2bodyzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3602za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2bodyzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3603za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2vtypezd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23604za7,
		BGl_z62makezd2boxzf2Cinfozd2vtypez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2keyzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3605za7,
		BGl_z62boxzd2refzf2Cinfozd2keyzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3606za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2infixzf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73607za7,
		BGl_z62cfunzf2Cinfozd2infixzf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2varzd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73608z00,
		BGl_z62boxzd2setz12zf2Cinfozd2varz82zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf2Cinfozd2methodzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73609za7,
		BGl_z62cfunzf2Cinfozd2methodz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2argszd2noescapezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73610za7,
		BGl_z62cfunzf2Cinfozd2argszd2noescapezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexitzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762sexitza7f2cinfo3611z00,
		BGl_z62sexitzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2sidezd2effectzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3612za7,
		BGl_z62boxzd2refzf2Cinfozd2sidezd2effectz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2keyzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3613z00,
		BGl_z62switchzf2Cinfozd2keyzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23614z00,
		BGl_z62genpatchidzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2rindexzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23615z00,
		BGl_z62genpatchidzf2Cinfozd2rindexzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2userzf3zd2setz12zd2envze1zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3616z00,
		BGl_z62reshapedzd2localzd2userzf3zd2setz12z51zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2predicatezd2ofzd2envz20zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73617za7,
		BGl_z62cfunzf2Cinfozd2predicatezd2ofz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762sexitza7f2cinfo3618z00,
		BGl_z62sexitzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza73619za7,
		BGl_z62setqzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2occurrencezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3620z00,
		BGl_z62reshapedzd2localzd2occurrencez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3621z00,
		BGl_z62internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2stackablezd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3622z00,
		BGl_z62externzd2sfunzf2Cinfozd2stackablez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762scnstza7f2cinfo3623z00,
		BGl_z62scnstzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2typezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3624z00,
		BGl_z62reshapedzd2globalzd2typez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3625za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3626z00,
		BGl_z62internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2setz12zf2Ozd2Cinfozd2envze0zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7d23627za7,
		BGl_z62makezd2boxzd2setz12zf2Ozd2Cinfoz50zzcfa_infoz00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2approxzd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73628z00,
		BGl_z62boxzd2setz12zf2Cinfozd2approxz82zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzf2Cinfozd2valuezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762literalza7f2cin3629z00,
		BGl_z62literalzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3630za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2scnstzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2scnstza73631za7,
		BGl_z62makezd2scnstzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2removablezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3632z00,
		BGl_z62reshapedzd2globalzd2removablez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23633za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i3634za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failzf2Cinfozd2proczd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza73635za7,
		BGl_z62failzf2Cinfozd2proczd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2proczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza73636za7,
		BGl_z62failzf2Cinfozd2procz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2loczd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3637za7,
		BGl_z62boxzd2refzf2Cinfozd2locz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2keyzd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3638za7,
		BGl_z62boxzd2refzf2Cinfozd2keyz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3639z00,
		BGl_z62externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2varzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3640za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2varzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2failsafezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73641za7,
		BGl_z62cfunzf2Cinfozd2failsafez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3642z00,
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurez42zzcfa_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2strengthzd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3643z00,
		BGl_z62externzd2sfunzf2Cinfozd2strengthz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2classzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3644z00,
		BGl_z62internzd2sfunzf2Cinfozd2classz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2valuezd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23645za7,
		BGl_z62makezd2boxzf2Cinfozd2valuez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3646za7,
		BGl_z62setzd2exzd2itzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2truezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3647z00,
		BGl_z62conditionalzf2Cinfozd2truez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2strengthzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3648z00,
		BGl_z62funcallzf2Cinfozd2strengthz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2retescapezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3649z00,
		BGl_z62externzd2sfunzf2Cinfozd2argszd2retescapez42zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2exprza2zd2setz12zd2envz90zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23650z00,
		BGl_z62genpatchidzf2Cinfozd2exprza2zd2setz12z20zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2cinfo3651z00,
		BGl_z62kwotezf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvarzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762cvarza7f2cinfoza73652za7,
		BGl_z62cvarzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Cinfozd2detachedzf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762sexitza7f2cinfo3653z00,
		BGl_z62sexitzf2Cinfozd2detachedzf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2effectzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3654z00,
		BGl_z62internzd2sfunzf2Cinfozd2effectzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2volatilezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3655z00,
		BGl_z62reshapedzd2localzd2volatilezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2funcallzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2funcal3656z00,
		BGl_z62makezd2funcallzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzf2Cinfozd2nodezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762scnstza7f2cinfo3657z00,
		BGl_z62scnstzf2Cinfozd2nodez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2conditionalzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2condit3658z00,
		BGl_z62makezd2conditionalzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2failsafezd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3659z00,
		BGl_z62internzd2sfunzf2Cinfozd2failsafez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3660z00,
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2vtypezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23661za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2vtypez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2loczd2envz00zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23662za7,
		BGl_z62prezd2makezd2boxzd2loczb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3663z00,
		BGl_z62patchzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2itemzd2typezd2envz20zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3664z00,
		BGl_z62switchzf2Cinfozd2itemzd2typez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2lostzd2stampzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762approxza7d2lost3665z00,
		BGl_z62approxzd2lostzd2stampz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3666z00,
		BGl_z62externzd2sfunzf2Cinfozf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3667z00,
		BGl_z62conditionalzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2keyzd2envz00zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23668za7,
		BGl_z62prezd2makezd2boxzd2keyzb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozd2valuezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza73669za7,
		BGl_z62setqzf2Cinfozd2valuez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2argszd2retescapezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73670za7,
		BGl_z62cfunzf2Cinfozd2argszd2retescapezd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2keyzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3671z00,
		BGl_z62conditionalzf2Cinfozd2keyz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23672za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i3673za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3674za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2nodezd2nodezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2nodeza73675za7,
		BGl_z62kwotezf2nodezd2nodez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2stackzd2allocatorzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73676za7,
		BGl_z62cfunzf2Cinfozd2stackzd2allocatorzd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2bodyzd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3677z00,
		BGl_z62externzd2sfunzf2Cinfozd2bodyz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2stackzd2allocatorzd2envz20zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73678za7,
		BGl_z62cfunzf2Cinfozd2stackzd2allocatorz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2typezd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23679za7,
		BGl_z62makezd2boxzf2Cinfozd2typez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2valuezd2setz12zd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73680z00,
		BGl_z62boxzd2setz12zf2Cinfozd2valuezd2setz12z42zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2importzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3681z00,
		BGl_z62reshapedzd2globalzd2importz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3682z00,
		BGl_z62funcallzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2vtypezd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3683za7,
		BGl_z62boxzd2refzf2Cinfozd2vtypez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2approxzd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3684za7,
		BGl_z62boxzd2refzf2Cinfozd2approxz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2srczd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3685z00,
		BGl_z62reshapedzd2globalzd2srczd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2thezd2closurezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73686za7,
		BGl_z62cfunzf2Cinfozd2thezd2closurezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2testzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3687z00,
		BGl_z62conditionalzf2Cinfozd2testz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2namezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3688z00,
		BGl_z62externzd2sfunzf2Cinfozd2argszd2namez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failzf2Cinfozd2msgzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza73689za7,
		BGl_z62failzf2Cinfozd2msgzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_kwotezf2nodezd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2nodeza73690za7,
		BGl_z62kwotezf2nodezd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3691z00,
		BGl_z62funcallzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2namezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3692z00,
		BGl_z62reshapedzd2globalzd2namezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2topzf3zd2setz12zd2envz33zzcfa_infoz00,
		BgL_bgl_za762approxza7d2topza73693za7,
		BGl_z62approxzd2topzf3zd2setz12z83zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3694za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3695z00,
		BGl_z62externzd2sfunzf2Cinfozd2argsz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2bodyzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3696za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2bodyz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3697z00,
		BGl_z62switchzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2vtypezd2setz12zd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73698z00,
		BGl_z62boxzd2setz12zf2Cinfozd2vtypezd2setz12z42zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12zd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73699z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12z90zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzf2Cinfozd2keyzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3700z00,
		BGl_z62switchzf2Cinfozd2keyz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Cinfozd2stampzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762svarza7f2cinfoza73701za7,
		BGl_z62svarzf2Cinfozd2stampzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2libraryzd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3702z00,
		BGl_z62reshapedzd2globalzd2libraryzd2setz12za2zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3703za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2stackablezd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23704za7,
		BGl_z62prezd2makezd2boxzd2stackablezd2setz12z70zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3705z00,
		BGl_z62switchzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3200z00zzcfa_infoz00,
		BgL_bgl_za762lambda2477za7623706z00, BGl_z62lambda2477z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2stackablezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23707za7,
		BGl_z62makezd2boxzf2Cinfozd2stackablezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3201z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3708za7,
		BGl_z62zc3z04anonymousza32476ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3202z00zzcfa_infoz00,
		BgL_bgl_za762lambda2474za7623709z00, BGl_z62lambda2474z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3203z00zzcfa_infoz00,
		BgL_bgl_za762lambda2471za7623710z00, BGl_z62lambda2471z62zzcfa_infoz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3204z00zzcfa_infoz00,
		BgL_bgl_za762lambda2522za7623711z00, BGl_z62lambda2522z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3205z00zzcfa_infoz00,
		BgL_bgl_za762lambda2521za7623712z00, BGl_z62lambda2521z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3206z00zzcfa_infoz00,
		BgL_bgl_za762lambda2506za7623713z00, BGl_z62lambda2506z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3207z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3714za7,
		BGl_z62zc3z04anonymousza32505ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3208z00zzcfa_infoz00,
		BgL_bgl_za762lambda2503za7623715z00, BGl_z62lambda2503z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3716z00,
		BGl_z62internzd2sfunzf2Cinfozd2argszd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3209z00zzcfa_infoz00,
		BgL_bgl_za762lambda2500za7623717z00, BGl_z62lambda2500z62zzcfa_infoz00, 0L,
		BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23718za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2valuezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i3719za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2valuez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2makezd2boxzf2Ozd2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2makeza7d3720za7,
		BGl_z62makezd2makezd2boxzf2Ozd2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2jumpzd2exzd2itzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2jumpza7d3721za7,
		BGl_z62makezd2jumpzd2exzd2itzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2sidezd2effectzd2envz20zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3722z00,
		BGl_z62conditionalzf2Cinfozd2sidezd2effectz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2sidezd2effectzd2envz20zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23723z00,
		BGl_z62genpatchidzf2Cinfozd2sidezd2effectz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3210z00zzcfa_infoz00,
		BgL_bgl_za762lambda2559za7623724z00, BGl_z62lambda2559z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setqzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza73725za7,
		BGl_z62setqzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3211z00zzcfa_infoz00,
		BgL_bgl_za762lambda2558za7623726z00, BGl_z62lambda2558z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3212z00zzcfa_infoz00,
		BgL_bgl_za762lambda2565za7623727z00, BGl_z62lambda2565z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3213z00zzcfa_infoz00,
		BgL_bgl_za762lambda2564za7623728z00, BGl_z62lambda2564z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3214z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3729za7,
		BGl_z62zc3z04anonymousza32574ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2removablezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3730z00,
		BGl_z62reshapedzd2localzd2removablezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string3302z00zzcfa_infoz00,
		BgL_bgl_string3302za700za7za7c3731za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3215z00zzcfa_infoz00,
		BgL_bgl_za762lambda2573za7623732z00, BGl_z62lambda2573z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3303z00zzcfa_infoz00,
		BgL_bgl_string3303za700za7za7c3733za7, "cfa_info", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3216z00zzcfa_infoz00,
		BgL_bgl_za762lambda2572za7623734z00, BGl_z62lambda2572z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2kwotezf2nodezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2kwoteza73735za7,
		BGl_z62makezd2kwotezf2nodez42zzcfa_infoz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762literalza7f2cin3736z00,
		BGl_z62literalzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3304z00zzcfa_infoz00,
		BgL_bgl_string3304za700za7za7c3737za7,
		"_ box-ref/O-Cinfo box-set!/O-Cinfo box-ref/Cinfo box-set!/Cinfo make-box/O-Cinfo value-approx make-box/Cinfo pre-make-box jump-ex-it/Cinfo set-ex-it/Cinfo switch/Cinfo fail/Cinfo conditional/Cinfo setq/Cinfo funcall/Cinfo type-error-noticed? arity-error-noticed? va-approx app-ly/Cinfo kwote/Cinfo kwote/node node patch/Cinfo genpatchid/Cinfo literal/Cinfo reshaped-global reshaped-local binding-value sexit/Cinfo cvar/Cinfo svar/Cinfo clo-env? pre-clo-env scnst/Cinfo intern-sfun/Cinfo stamp extern-sfun/Cinfo polymorphic? cfun/Cinfo cfa_info approx has-procedure? dup long lost-stamp top? obj allocs bool type-locked? type ",
		625);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3217z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3738za7,
		BGl_z62zc3z04anonymousza32584ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2initzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3739z00,
		BGl_z62reshapedzd2globalzd2initz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3218z00zzcfa_infoz00,
		BgL_bgl_za762lambda2583za7623740z00, BGl_z62lambda2583z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3219z00zzcfa_infoz00,
		BgL_bgl_za762lambda2582za7623741z00, BGl_z62lambda2582z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2indexzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3742z00,
		BGl_z62patchzf2Cinfozd2indexzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2varzd2setz12zd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73743z00,
		BGl_z62boxzd2setz12zf2Cinfozd2varzd2setz12z42zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzf2Cinfozf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23744za7,
		BGl_z62makezd2boxzf2Cinfozf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2topzf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3745z00,
		BGl_z62internzd2sfunzf2Cinfozd2topzf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2argzd2envz20zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci3746za7,
		BGl_z62appzd2lyzf2Cinfozd2argz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23747za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2sidezd2effectz90zzcfa_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2argszd2noescapezd2envz20zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73748za7,
		BGl_z62cfunzf2Cinfozd2argszd2noescapez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3220z00zzcfa_infoz00,
		BgL_bgl_za762lambda2543za7623749z00, BGl_z62lambda2543z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3221z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3750za7,
		BGl_z62zc3z04anonymousza32542ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3222z00zzcfa_infoz00,
		BgL_bgl_za762lambda2538za7623751z00, BGl_z62lambda2538z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3223z00zzcfa_infoz00,
		BgL_bgl_za762lambda2532za7623752z00, BGl_z62lambda2532z62zzcfa_infoz00, 0L,
		BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3224z00zzcfa_infoz00,
		BgL_bgl_za762lambda2610za7623753z00, BGl_z62lambda2610z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3225z00zzcfa_infoz00,
		BgL_bgl_za762lambda2609za7623754z00, BGl_z62lambda2609z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3226z00zzcfa_infoz00,
		BgL_bgl_za762lambda2601za7623755z00, BGl_z62lambda2601z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3227z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3756za7,
		BGl_z62zc3z04anonymousza32600ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3228z00zzcfa_infoz00,
		BgL_bgl_za762lambda2598za7623757z00, BGl_z62lambda2598z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2argszd2retescapezd2envz20zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73758za7,
		BGl_z62cfunzf2Cinfozd2argszd2retescapez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3229z00zzcfa_infoz00,
		BgL_bgl_za762lambda2594za7623759z00, BGl_z62lambda2594z62zzcfa_infoz00, 0L,
		BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2vazd2approxzd2envz20zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3760z00,
		BGl_z62funcallzf2Cinfozd2vazd2approxz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2removablezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3761z00,
		BGl_z62reshapedzd2localzd2removablez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2varzd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73762z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2varz50zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_prezd2clozd2envzd2loczd2envz00zzcfa_infoz00,
		BgL_bgl_za762preza7d2cloza7d2e3763za7,
		BGl_z62prezd2clozd2envzd2loczb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2refzf2Ozd2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7d23764za7,
		BGl_z62makezd2boxzd2refzf2Ozd2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3765za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2sidezd2effectz90zzcfa_infoz00, 0L, BUNSPEC,
		1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzf3zd2envz21zzcfa_infoz00,
		BgL_bgl_za762approxza7f3za791za73766z00, BGl_z62approxzf3z91zzcfa_infoz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2nilzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3767z00,
		BGl_z62reshapedzd2globalzd2nilz62zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23768za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2evaluablezf3zd2setz12zd2envze1zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3769z00,
		BGl_z62reshapedzd2globalzd2evaluablezf3zd2setz12z51zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2loczd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3770z00,
		BGl_z62internzd2sfunzf2Cinfozd2locz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3230z00zzcfa_infoz00,
		BgL_bgl_za762lambda2634za7623771z00, BGl_z62lambda2634z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3231z00zzcfa_infoz00,
		BgL_bgl_za762lambda2633za7623772z00, BGl_z62lambda2633z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3232z00zzcfa_infoz00,
		BgL_bgl_za762lambda2624za7623773z00, BGl_z62lambda2624z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3233z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3774za7,
		BGl_z62zc3z04anonymousza32623ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2setzd2exzd2itzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2setza7d23775za7,
		BGl_z62makezd2setzd2exzd2itzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3234z00zzcfa_infoz00,
		BgL_bgl_za762lambda2621za7623776z00, BGl_z62lambda2621z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2nodezd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2nodeza73777za7,
		BGl_z62kwotezf2nodezd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3235z00zzcfa_infoz00,
		BgL_bgl_za762lambda2618za7623778z00, BGl_z62lambda2618z62zzcfa_infoz00, 0L,
		BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2occurrencewzd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3779z00,
		BGl_z62reshapedzd2localzd2occurrencewzd2setz12za2zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3236z00zzcfa_infoz00,
		BgL_bgl_za762lambda2660za7623780z00, BGl_z62lambda2660z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2loczd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73781z00,
		BGl_z62boxzd2setz12zf2Cinfozd2locz82zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2bodyzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3782z00,
		BGl_z62internzd2sfunzf2Cinfozd2bodyzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3237z00zzcfa_infoz00,
		BgL_bgl_za762lambda2659za7623783z00, BGl_z62lambda2659z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3238z00zzcfa_infoz00,
		BgL_bgl_za762lambda2650za7623784z00, BGl_z62lambda2650z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3239z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3785za7,
		BGl_z62zc3z04anonymousza32649ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3786z00,
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurez42zzcfa_infoz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3079z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3787za7,
		BGl_z62zc3z04anonymousza32074ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3788z00,
		BGl_z62conditionalzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2jvmzd2typezd2namezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3789z00,
		BGl_z62reshapedzd2globalzd2jvmzd2typezd2namezd2setz12za2zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2typezd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762approxza7d2type3790z00,
		BGl_z62approxzd2typezd2setz12z70zzcfa_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3240z00zzcfa_infoz00,
		BgL_bgl_za762lambda2647za7623791z00, BGl_z62lambda2647z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3241z00zzcfa_infoz00,
		BgL_bgl_za762lambda2643za7623792z00, BGl_z62lambda2643z62zzcfa_infoz00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3242z00zzcfa_infoz00,
		BgL_bgl_za762lambda2684za7623793z00, BGl_z62lambda2684z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3080z00zzcfa_infoz00,
		BgL_bgl_za762lambda2073za7623794z00, BGl_z62lambda2073z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3243z00zzcfa_infoz00,
		BgL_bgl_za762lambda2683za7623795z00, BGl_z62lambda2683z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3081z00zzcfa_infoz00,
		BgL_bgl_za762lambda2072za7623796z00, BGl_z62lambda2072z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3244z00zzcfa_infoz00,
		BgL_bgl_za762lambda2675za7623797z00, BGl_z62lambda2675z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3082z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3798za7,
		BGl_z62zc3z04anonymousza32081ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3245z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3799za7,
		BGl_z62zc3z04anonymousza32674ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3083z00zzcfa_infoz00,
		BgL_bgl_za762lambda2080za7623800z00, BGl_z62lambda2080z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3246z00zzcfa_infoz00,
		BgL_bgl_za762lambda2672za7623801z00, BGl_z62lambda2672z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3084z00zzcfa_infoz00,
		BgL_bgl_za762lambda2079za7623802z00, BGl_z62lambda2079z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3247z00zzcfa_infoz00,
		BgL_bgl_za762lambda2668za7623803z00, BGl_z62lambda2668z62zzcfa_infoz00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3085z00zzcfa_infoz00,
		BgL_bgl_za762lambda2086za7623804z00, BGl_z62lambda2086z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3248z00zzcfa_infoz00,
		BgL_bgl_za762lambda2707za7623805z00, BGl_z62lambda2707z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3086z00zzcfa_infoz00,
		BgL_bgl_za762lambda2085za7623806z00, BGl_z62lambda2085z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3249z00zzcfa_infoz00,
		BgL_bgl_za762lambda2706za7623807z00, BGl_z62lambda2706z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3087z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3808za7,
		BGl_z62zc3z04anonymousza32093ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2vtypezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3809za7,
		BGl_z62boxzd2refzf2Cinfozd2vtypezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_scnstzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762scnstza7f2cinfo3810z00,
		BGl_z62scnstzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3088z00zzcfa_infoz00,
		BgL_bgl_za762lambda2092za7623811z00, BGl_z62lambda2092z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3089z00zzcfa_infoz00,
		BgL_bgl_za762lambda2091za7623812z00, BGl_z62lambda2091z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2effectzd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3813z00,
		BGl_z62externzd2sfunzf2Cinfozd2effectz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf2Cinfozd2refzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3814z00,
		BGl_z62patchzf2Cinfozd2refz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2classzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3815z00,
		BGl_z62externzd2sfunzf2Cinfozd2classzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2loczd2envz20zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci3816za7,
		BGl_z62appzd2lyzf2Cinfozd2locz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3817z00,
		BGl_z62funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zb1zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3250z00zzcfa_infoz00,
		BgL_bgl_za762lambda2697za7623818z00, BGl_z62lambda2697z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3251z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3819za7,
		BGl_z62zc3z04anonymousza32696ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2propertyzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3820z00,
		BGl_z62internzd2sfunzf2Cinfozd2propertyz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3252z00zzcfa_infoz00,
		BgL_bgl_za762lambda2694za7623821z00, BGl_z62lambda2694z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3090z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3822za7,
		BGl_z62zc3z04anonymousza32100ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3253z00zzcfa_infoz00,
		BgL_bgl_za762lambda2691za7623823z00, BGl_z62lambda2691z62zzcfa_infoz00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3091z00zzcfa_infoz00,
		BgL_bgl_za762lambda2099za7623824z00, BGl_z62lambda2099z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3254z00zzcfa_infoz00,
		BgL_bgl_za762lambda2730za7623825z00, BGl_z62lambda2730z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3092z00zzcfa_infoz00,
		BgL_bgl_za762lambda2098za7623826z00, BGl_z62lambda2098z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3255z00zzcfa_infoz00,
		BgL_bgl_za762lambda2729za7623827z00, BGl_z62lambda2729z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3093z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3828za7,
		BGl_z62zc3z04anonymousza32107ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3256z00zzcfa_infoz00,
		BgL_bgl_za762lambda2722za7623829z00, BGl_z62lambda2722z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3094z00zzcfa_infoz00,
		BgL_bgl_za762lambda2106za7623830z00, BGl_z62lambda2106z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3257z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3831za7,
		BGl_z62zc3z04anonymousza32721ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3095z00zzcfa_infoz00,
		BgL_bgl_za762lambda2105za7623832z00, BGl_z62lambda2105z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2valzd2noescapezd2envz00zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3833z00,
		BGl_z62reshapedzd2localzd2valzd2noescapezb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2pragmazd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3834z00,
		BGl_z62reshapedzd2globalzd2pragmaz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3258z00zzcfa_infoz00,
		BgL_bgl_za762lambda2719za7623835z00, BGl_z62lambda2719z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3096z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3836za7,
		BGl_z62zc3z04anonymousza32115ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3259z00zzcfa_infoz00,
		BgL_bgl_za762lambda2716za7623837z00, BGl_z62lambda2716z62zzcfa_infoz00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3097z00zzcfa_infoz00,
		BgL_bgl_za762lambda2114za7623838z00, BGl_z62lambda2114z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3098z00zzcfa_infoz00,
		BgL_bgl_za762lambda2113za7623839z00, BGl_z62lambda2113z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3099z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3840za7,
		BGl_z62zc3z04anonymousza32065ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12zd2envzc1zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3841z00,
		BGl_z62funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12z71zzcfa_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2jvmzd2typezd2namezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3842z00,
		BGl_z62reshapedzd2globalzd2jvmzd2typezd2namez62zzcfa_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2functionszd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3843z00,
		BGl_z62funcallzf2Cinfozd2functionszd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3844z00,
		BGl_z62externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12z82zzcfa_infoz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762scnstza7f2cinfo3845z00,
		BGl_z62scnstzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3260z00zzcfa_infoz00,
		BgL_bgl_za762lambda2748za7623846z00, BGl_z62lambda2748z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3261z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3847za7,
		BGl_z62zc3z04anonymousza32747ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3262z00zzcfa_infoz00,
		BgL_bgl_za762lambda2745za7623848z00, BGl_z62lambda2745z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3263z00zzcfa_infoz00,
		BgL_bgl_za762lambda2742za7623849z00, BGl_z62lambda2742z62zzcfa_infoz00, 0L,
		BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2valuezd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23850za7,
		BGl_z62prezd2makezd2boxzd2valuezd2setz12z70zzcfa_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3264z00zzcfa_infoz00,
		BgL_bgl_za762lambda2788za7623851z00, BGl_z62lambda2788z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3265z00zzcfa_infoz00,
		BgL_bgl_za762lambda2787za7623852z00, BGl_z62lambda2787z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3266z00zzcfa_infoz00,
		BgL_bgl_za762lambda2780za7623853z00, BGl_z62lambda2780z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3267z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3854za7,
		BGl_z62zc3z04anonymousza32779ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3268z00zzcfa_infoz00,
		BgL_bgl_za762lambda2777za7623855z00, BGl_z62lambda2777z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3269z00zzcfa_infoz00,
		BgL_bgl_za762lambda2773za7623856z00, BGl_z62lambda2773z62zzcfa_infoz00, 0L,
		BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2methodzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73857za7,
		BGl_z62cfunzf2Cinfozd2methodzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3858z00,
		BGl_z62patchzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2typezd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3859za7,
		BGl_z62boxzd2refzf2Cinfozd2typez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_scnstzf2Cinfozd2classzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762scnstza7f2cinfo3860z00,
		BGl_z62scnstzf2Cinfozd2classzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2evaluablezf3zd2envz21zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3861z00,
		BGl_z62reshapedzd2globalzd2evaluablezf3z91zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3270z00zzcfa_infoz00,
		BgL_bgl_za762lambda2831za7623862z00, BGl_z62lambda2831z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3271z00zzcfa_infoz00,
		BgL_bgl_za762lambda2830za7623863z00, BGl_z62lambda2830z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3272z00zzcfa_infoz00,
		BgL_bgl_za762lambda2838za7623864z00, BGl_z62lambda2838z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3273z00zzcfa_infoz00,
		BgL_bgl_za762lambda2837za7623865z00, BGl_z62lambda2837z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3274z00zzcfa_infoz00,
		BgL_bgl_za762lambda2823za7623866z00, BGl_z62lambda2823z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3275z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3867za7,
		BGl_z62zc3z04anonymousza32822ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3276z00zzcfa_infoz00,
		BgL_bgl_za762lambda2820za7623868z00, BGl_z62lambda2820z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3277z00zzcfa_infoz00,
		BgL_bgl_za762lambda2797za7623869z00, BGl_z62lambda2797z62zzcfa_infoz00, 0L,
		BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3278z00zzcfa_infoz00,
		BgL_bgl_za762lambda2859za7623870z00, BGl_z62lambda2859z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3279z00zzcfa_infoz00,
		BgL_bgl_za762lambda2858za7623871z00, BGl_z62lambda2858z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2prezd2clozd2envzd2envz00zzcfa_infoz00,
		BgL_bgl_za762makeza7d2preza7d23872za7,
		BGl_z62makezd2prezd2clozd2envzb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2sidezd2effectzd2envz20zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73873za7,
		BGl_z62cfunzf2Cinfozd2sidezd2effectz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3874z00,
		BGl_z62internzd2sfunzf2Cinfozf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2literalzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2litera3875z00,
		BGl_z62makezd2literalzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2allocszd2envz00zzcfa_infoz00,
		BgL_bgl_za762approxza7d2allo3876z00, BGl_z62approxzd2allocszb0zzcfa_infoz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2vtypezd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23877za7,
		BGl_z62prezd2makezd2boxzd2vtypezd2setz12z70zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2stampzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3878z00,
		BGl_z62internzd2sfunzf2Cinfozd2stampz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3280z00zzcfa_infoz00,
		BgL_bgl_za762lambda2851za7623879z00, BGl_z62lambda2851z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3281z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3880za7,
		BGl_z62zc3z04anonymousza32850ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2namezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3881z00,
		BGl_z62reshapedzd2localzd2namezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3282z00zzcfa_infoz00,
		BgL_bgl_za762lambda2848za7623882z00, BGl_z62lambda2848z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3283z00zzcfa_infoz00,
		BgL_bgl_za762lambda2845za7623883z00, BGl_z62lambda2845z62zzcfa_infoz00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3284z00zzcfa_infoz00,
		BgL_bgl_za762lambda2883za7623884z00, BGl_z62lambda2883z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3285z00zzcfa_infoz00,
		BgL_bgl_za762lambda2882za7623885z00, BGl_z62lambda2882z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2topzf3zd2setz12zd2envz13zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3886z00,
		BGl_z62internzd2sfunzf2Cinfozd2topzf3zd2setz12za3zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3286z00zzcfa_infoz00,
		BgL_bgl_za762lambda2873za7623887z00, BGl_z62lambda2873z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3287z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3888za7,
		BGl_z62zc3z04anonymousza32872ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3288z00zzcfa_infoz00,
		BgL_bgl_za762lambda2870za7623889z00, BGl_z62lambda2870z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2cinfo3890z00,
		BGl_z62kwotezf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3289z00zzcfa_infoz00,
		BgL_bgl_za762lambda2867za7623891z00, BGl_z62lambda2867z62zzcfa_infoz00, 0L,
		BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2topzf3zd2envzf3zzcfa_infoz00,
		BgL_bgl_za762approxza7d2topza73892za7,
		BGl_z62approxzd2topzf3z43zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3893z00,
		BGl_z62conditionalzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2loczd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3894z00,
		BGl_z62externzd2sfunzf2Cinfozd2locz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3290z00zzcfa_infoz00,
		BgL_bgl_za762lambda2933za7623895z00, BGl_z62lambda2933z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3291z00zzcfa_infoz00,
		BgL_bgl_za762lambda2932za7623896z00, BGl_z62lambda2932z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3292z00zzcfa_infoz00,
		BgL_bgl_za762lambda2923za7623897z00, BGl_z62lambda2923z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3293z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3898za7,
		BGl_z62zc3z04anonymousza32922ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3294z00zzcfa_infoz00,
		BgL_bgl_za762lambda2920za7623899z00, BGl_z62lambda2920z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3295z00zzcfa_infoz00,
		BgL_bgl_za762lambda2917za7623900z00, BGl_z62lambda2917z62zzcfa_infoz00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3296z00zzcfa_infoz00,
		BgL_bgl_za762lambda2955za7623901z00, BGl_z62lambda2955z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3297z00zzcfa_infoz00,
		BgL_bgl_za762lambda2954za7623902z00, BGl_z62lambda2954z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf2Cinfozd2indexzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3903z00,
		BGl_z62patchzf2Cinfozd2indexz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3298z00zzcfa_infoz00,
		BgL_bgl_za762lambda2947za7623904z00, BGl_z62lambda2947z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3299z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3905za7,
		BGl_z62zc3z04anonymousza32946ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2approxzd2envz20zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci3906za7,
		BGl_z62appzd2lyzf2Cinfozd2approxz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762scnstza7f2cinfo3907z00,
		BGl_z62scnstzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2keyzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23908za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2keyzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2srczd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3909z00,
		BGl_z62reshapedzd2globalzd2srcz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2loczd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3910z00,
		BGl_z62externzd2sfunzf2Cinfozd2loczd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2accesszd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3911z00,
		BGl_z62reshapedzd2localzd2accessz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2typezd2setz12zd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73912z00,
		BGl_z62boxzd2setz12zf2Cinfozd2typezd2setz12z42zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2exprza2zd2envz50zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23913z00,
		BGl_z62genpatchidzf2Cinfozd2exprza2ze0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2typezd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73914z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2typez50zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3915z00,
		BGl_z62internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12z82zzcfa_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzf2Cinfozd2stampzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762svarza7f2cinfoza73916za7,
		BGl_z62svarzf2Cinfozd2stampz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2libraryzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3917z00,
		BGl_z62reshapedzd2globalzd2libraryz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2nilzd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3918za7,
		BGl_z62boxzd2refzf2Cinfozd2nilz90zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2propertyzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3919z00,
		BGl_z62internzd2sfunzf2Cinfozd2propertyzd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2effectzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23920z00,
		BGl_z62genpatchidzf2Cinfozd2effectzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3921z00,
		BGl_z62funcallzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2fastzd2alphazd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3922z00,
		BGl_z62reshapedzd2globalzd2fastzd2alphazd2setz12z70zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762literalza7f2cin3923z00,
		BGl_z62literalzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2prezd2makezd2boxzd2envz00zzcfa_infoz00,
		BgL_bgl_za762makeza7d2preza7d23924za7,
		BGl_z62makezd2prezd2makezd2boxzb0zzcfa_infoz00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2occurrencezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3925z00,
		BGl_z62reshapedzd2globalzd2occurrencezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2stackablezd2envz00zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23926za7,
		BGl_z62prezd2makezd2boxzd2stackablezb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3927z00,
		BGl_z62switchzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2classzd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3928z00,
		BGl_z62externzd2sfunzf2Cinfozd2classz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3929z00,
		BGl_z62funcallzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3930z00,
		BGl_z62externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2typezd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23931za7,
		BGl_z62prezd2makezd2boxzd2typezd2setz12z70zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3932z00,
		BGl_z62internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12z82zzcfa_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2valuezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3933z00,
		BGl_z62reshapedzd2globalzd2valuez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2onexitzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3934za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2onexitz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_prezd2makezd2boxzf3zd2envz21zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23935za7,
		BGl_z62prezd2makezd2boxzf3z91zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2propertyzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3936z00,
		BGl_z62externzd2sfunzf2Cinfozd2propertyzd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2strengthzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3937z00,
		BGl_z62internzd2sfunzf2Cinfozd2strengthzd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2sidezd2effectzd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23938za7,
		BGl_z62prezd2makezd2boxzd2sidezd2effectzd2setz12za2zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2stackablezd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3939z00,
		BGl_z62internzd2sfunzf2Cinfozd2stackablez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2kwotezf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2kwoteza73940za7,
		BGl_z62makezd2kwotezf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2typezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3941z00,
		BGl_z62reshapedzd2globalzd2typezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2cinfo3942z00,
		BGl_z62kwotezf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2nilzd2envz00zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23943za7,
		BGl_z62prezd2makezd2boxzd2nilzb0zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2topzf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3944z00,
		BGl_z62externzd2sfunzf2Cinfozd2topzf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2loczd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23945za7,
		BGl_z62makezd2boxzf2Cinfozd2locz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setqzf2Cinfozd2valuezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza73946za7,
		BGl_z62setqzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12zd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73947z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12z90zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3948z00,
		BGl_z62conditionalzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2keyzd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23949za7,
		BGl_z62makezd2boxzf2Cinfozd2keyz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2vtypezd2envz00zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23950za7,
		BGl_z62prezd2makezd2boxzd2vtypezb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2sidezd2effectzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73951za7,
		BGl_z62cfunzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23952z00,
		BGl_z62genpatchidzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2failsafezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3953z00,
		BGl_z62internzd2sfunzf2Cinfozd2failsafezd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2evalzf3zd2envz21zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3954z00,
		BGl_z62reshapedzd2globalzd2evalzf3z91zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3955z00,
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2globalz90zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzf2Cinfozf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3956za7,
		BGl_z62boxzd2refzf2Cinfozf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2strengthzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3957z00,
		BGl_z62externzd2sfunzf2Cinfozd2strengthzd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2indexzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23958z00,
		BGl_z62genpatchidzf2Cinfozd2indexzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2sidezd2effectzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3959z00,
		BGl_z62conditionalzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3960za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12zd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73961z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12z90zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2refzf2Cinfozd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7d23962za7,
		BGl_z62makezd2boxzd2refzf2Cinfoz90zzcfa_infoz00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2loczd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73963z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2locz50zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozd2varzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza73964za7,
		BGl_z62setqzf2Cinfozd2varz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2userzf3zd2envz21zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3965z00,
		BGl_z62reshapedzd2globalzd2userzf3z91zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza73966za7,
		BGl_z62failzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2aliaszd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3967z00,
		BGl_z62reshapedzd2globalzd2aliaszd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2failsafezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3968z00,
		BGl_z62externzd2sfunzf2Cinfozd2failsafezd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Cinfozd2loczd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762svarza7f2cinfoza73969za7,
		BGl_z62svarzf2Cinfozd2loczd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3970z00,
		BGl_z62switchzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2stackablezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23971za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2stackablez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2initzd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3972z00,
		BGl_z62reshapedzd2globalzd2initzd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2clauseszd2envzf2zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3973z00,
		BGl_z62switchzf2Cinfozd2clausesz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2exitzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i3974za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2exitz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23975za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i3976za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3977z00,
		BGl_z62externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzf2Cinfozd2funzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3978z00,
		BGl_z62funcallzf2Cinfozd2funz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3979z00,
		BGl_z62patchzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2accesszd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3980z00,
		BGl_z62reshapedzd2localzd2accesszd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2effectzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73981za7,
		BGl_z62cfunzf2Cinfozd2effectzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza73982za7,
		BGl_z62failzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2dupzd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762approxza7d2dupza73983za7,
		BGl_z62approxzd2dupzd2setz12z70zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzf2Cinfozd2classzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762scnstza7f2cinfo3984z00,
		BGl_z62scnstzf2Cinfozd2classz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_kwotezf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2cinfo3985z00,
		BGl_z62kwotezf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73986za7,
		BGl_z62cfunzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2argzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci3987za7,
		BGl_z62appzd2lyzf2Cinfozd2argzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zd2envz13zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3988z00,
		BGl_z62internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12za3zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2sidezd2effectzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23989za7,
		BGl_z62makezd2boxzf2Cinfozd2sidezd2effectz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2typezd2envz20zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci3990za7,
		BGl_z62appzd2lyzf2Cinfozd2typez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2exitzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i3991za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2exitzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2valuezd2envz00zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23992za7,
		BGl_z62prezd2makezd2boxzd2valuezb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Cinfozd2handlerzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762sexitza7f2cinfo3993z00,
		BGl_z62sexitzf2Cinfozd2handlerz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2namezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3994z00,
		BGl_z62internzd2sfunzf2Cinfozd2argszd2namez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2accesszd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3995z00,
		BGl_z62reshapedzd2globalzd2accesszd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2keyzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23996z00,
		BGl_z62genpatchidzf2Cinfozd2keyzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2classzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3997z00,
		BGl_z62internzd2sfunzf2Cinfozd2classzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2cfunzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2cfunza7f3998za7,
		BGl_z62makezd2cfunzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_prezd2clozd2envzd2nilzd2envz00zzcfa_infoz00,
		BgL_bgl_za762preza7d2cloza7d2e3999za7,
		BGl_z62prezd2clozd2envzd2nilzb0zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza74000za7,
		BGl_z62cfunzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2indexzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f24001z00,
		BGl_z62genpatchidzf2Cinfozd2indexz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f24002z00,
		BGl_z62genpatchidzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza74003za7,
		BGl_z62failzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza74004za7,
		BGl_z62failzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2nilzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4005z00,
		BGl_z62internzd2sfunzf2Cinfozd2nilz90zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2removablezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl4006z00,
		BGl_z62reshapedzd2globalzd2removablezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2nodezd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2nodeza74007za7,
		BGl_z62kwotezf2nodezd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2nilzd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za74008z00,
		BGl_z62boxzd2setz12zf2Cinfozd2nilz82zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2occurrencewzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo4009z00,
		BGl_z62reshapedzd2localzd2occurrencewz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2namezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo4010z00,
		BGl_z62reshapedzd2localzd2namez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2strengthzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4011z00,
		BGl_z62internzd2sfunzf2Cinfozd2strengthz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2approxzd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f24012za7,
		BGl_z62makezd2boxzf2Cinfozd2approxz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f24013z00,
		BGl_z62genpatchidzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it4014za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza74015za7,
		BGl_z62setqzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzf2Cinfozd2valuezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762literalza7f2cin4016z00,
		BGl_z62literalzf2Cinfozd2valuez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2bindingzd2valuezd2envz00zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo4017z00,
		BGl_z62reshapedzd2localzd2bindingzd2valuezb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2nilzd2envz20zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci4018za7,
		BGl_z62appzd2lyzf2Cinfozd2nilz90zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2typezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo4019z00,
		BGl_z62reshapedzd2localzd2typezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordszd2envzf2zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4020z00,
		BGl_z62internzd2sfunzf2Cinfozd2dssslzd2keywordsz42zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2occurrencewzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl4021z00,
		BGl_z62reshapedzd2globalzd2occurrencewz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2varzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o4022za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2varz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf4023z00,
		BGl_z62switchzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2sidezd2effectzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf4024z00,
		BGl_z62switchzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762literalza7f2cin4025z00,
		BGl_z62literalzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo4026z00,
		BGl_z62patchzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2polymorphiczf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun4027z00,
		BGl_z62externzd2sfunzf2Cinfozd2polymorphiczf3z63zzcfa_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2approxzd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za74028z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2approxz50zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4029z00,
		BGl_z62internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4030z00,
		BGl_z62internzd2sfunzf2Cinfozd2stackzd2allocatorz42zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2nilzd2envz00zzcfa_infoz00,
		BgL_bgl_za762approxza7d2nilza74031za7, BGl_z62approxzd2nilzb0zzcfa_infoz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_kwotezf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2cinfo4032z00,
		BGl_z62kwotezf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2reshapedzd2globalzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2reshap4033z00,
		BGl_z62makezd2reshapedzd2globalz62zzcfa_infoz00, 0L, BUNSPEC, 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2approxzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4034z00,
		BGl_z62internzd2sfunzf2Cinfozd2approxz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4035z00,
		BGl_z62internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12z82zzcfa_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2topzf3zd2setz12zd2envzc1zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza74036za7,
		BGl_z62cfunzf2Cinfozd2topzf3zd2setz12z71zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2stackablezd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f24037za7,
		BGl_z62makezd2boxzf2Cinfozd2stackablez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12zd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za74038z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12z90zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2clozd2envzd2loczd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762preza7d2cloza7d2e4039za7,
		BGl_z62prezd2clozd2envzd2loczd2setz12z70zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2approxzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f24040za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2approxzd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Cinfozd2handlerzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762sexitza7f2cinfo4041z00,
		BGl_z62sexitzf2Cinfozd2handlerzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2cinfo4042z00,
		BGl_z62kwotezf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2fastzd2alphazd2envz00zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl4043z00,
		BGl_z62reshapedzd2globalzd2fastzd2alphazb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762svarza7f2cinfoza74044za7,
		BGl_z62svarzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2typezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f24045za7,
		BGl_z62makezd2boxzf2Cinfozd2typezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2thezd2closurezd2envz20zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza74046za7,
		BGl_z62cfunzf2Cinfozd2thezd2closurez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2nilzd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun4047z00,
		BGl_z62externzd2sfunzf2Cinfozd2nilz90zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzf2Cinfozf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci4048za7,
		BGl_z62appzd2lyzf2Cinfozf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2valuezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo4049z00,
		BGl_z62patchzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762literalza7f2cin4050z00,
		BGl_z62literalzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2itemzd2typezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf4051z00,
		BGl_z62switchzf2Cinfozd2itemzd2typezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2lostzd2stampzd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762approxza7d2lost4052z00,
		BGl_z62approxzd2lostzd2stampzd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reshapedzd2localzf3zd2envzf3zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo4053z00,
		BGl_z62reshapedzd2localzf3z43zzcfa_infoz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_approxz00zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_prezd2makezd2boxz00zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_genpatchidzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_reshapedzd2localzd2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_cvarzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_switchzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_literalzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_prezd2clozd2envz00zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_failzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_setqzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_kwotezf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_kwotezf2nodezf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_sexitzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_svarzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_funcallzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_patchzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_reshapedzd2globalzd2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_conditionalzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_scnstzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_cfunzf2Cinfozf2zzcfa_infoz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long
		BgL_checksumz00_10970, char *BgL_fromz00_10971)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_infoz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_infoz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_infoz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_infoz00();
					BGl_cnstzd2initzd2zzcfa_infoz00();
					BGl_importedzd2moduleszd2initz00zzcfa_infoz00();
					BGl_objectzd2initzd2zzcfa_infoz00();
					return BGl_toplevelzd2initzd2zzcfa_infoz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_info");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "cfa_info");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_info");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_info");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_info");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_info");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_info");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_info");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.scm 15 */
			{	/* Cfa/cinfo.scm 15 */
				obj_t BgL_cportz00_9420;

				{	/* Cfa/cinfo.scm 15 */
					obj_t BgL_stringz00_9428;

					BgL_stringz00_9428 = BGl_string3304z00zzcfa_infoz00;
					{	/* Cfa/cinfo.scm 15 */
						obj_t BgL_startz00_9429;

						BgL_startz00_9429 = BINT(((long) 0));
						{	/* Cfa/cinfo.scm 15 */
							obj_t BgL_endz00_9430;

							BgL_endz00_9430 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_9428)));
							{	/* Cfa/cinfo.scm 15 */

								BgL_cportz00_9420 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_9428, BgL_startz00_9429, BgL_endz00_9430);
				}}}}
				{
					long BgL_iz00_9421;

					BgL_iz00_9421 = ((long) 51);
				BgL_loopz00_9422:
					if ((BgL_iz00_9421 == ((long) -1)))
						{	/* Cfa/cinfo.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/cinfo.scm 15 */
							{	/* Cfa/cinfo.scm 15 */
								obj_t BgL_arg3306z00_9424;

								{	/* Cfa/cinfo.scm 15 */

									{	/* Cfa/cinfo.scm 15 */
										obj_t BgL_locationz00_9426;

										BgL_locationz00_9426 = BBOOL(((bool_t) 0));
										{	/* Cfa/cinfo.scm 15 */

											BgL_arg3306z00_9424 =
												BGl_readz00zz__readerz00(BgL_cportz00_9420,
												BgL_locationz00_9426);
										}
									}
								}
								{	/* Cfa/cinfo.scm 15 */
									int BgL_tmpz00_10998;

									BgL_tmpz00_10998 = (int) (BgL_iz00_9421);
									CNST_TABLE_SET(BgL_tmpz00_10998, BgL_arg3306z00_9424);
							}}
							{	/* Cfa/cinfo.scm 15 */
								int BgL_auxz00_9427;

								BgL_auxz00_9427 = (int) ((BgL_iz00_9421 - ((long) 1)));
								{
									long BgL_iz00_11003;

									BgL_iz00_11003 = (long) (BgL_auxz00_9427);
									BgL_iz00_9421 = BgL_iz00_11003;
									goto BgL_loopz00_9422;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.scm 15 */
			return BUNSPEC;
		}

	}



/* make-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2approxzd2zzcfa_infoz00(BgL_typez00_bglt BgL_type1828z00_3,
		bool_t BgL_typezd2lockedzf31829z21_4, obj_t BgL_allocs1830z00_5,
		bool_t BgL_topzf31831zf3_6, long BgL_lostzd2stamp1832zd2_7,
		obj_t BgL_dup1833z00_8)
	{
		{	/* Cfa/cinfo.sch 659 */
			{	/* Cfa/cinfo.sch 659 */
				BgL_approxz00_bglt BgL_new1542z00_9432;

				{	/* Cfa/cinfo.sch 659 */
					BgL_approxz00_bglt BgL_new1541z00_9433;

					BgL_new1541z00_9433 =
						((BgL_approxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_approxz00_bgl))));
					{	/* Cfa/cinfo.sch 659 */
						long BgL_arg1986z00_9434;

						BgL_arg1986z00_9434 = BGL_CLASS_NUM(BGl_approxz00zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1541z00_9433), BgL_arg1986z00_9434);
					}
					BgL_new1542z00_9432 = BgL_new1541z00_9433;
				}
				((((BgL_approxz00_bglt) COBJECT(BgL_new1542z00_9432))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1828z00_3), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(BgL_new1542z00_9432))->
						BgL_typezd2lockedzf3z21) =
					((bool_t) BgL_typezd2lockedzf31829z21_4), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(BgL_new1542z00_9432))->BgL_allocsz00) =
					((obj_t) BgL_allocs1830z00_5), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(BgL_new1542z00_9432))->BgL_topzf3zf3) =
					((bool_t) BgL_topzf31831zf3_6), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(BgL_new1542z00_9432))->
						BgL_lostzd2stampzd2) = ((long) BgL_lostzd2stamp1832zd2_7), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(BgL_new1542z00_9432))->BgL_dupz00) =
					((obj_t) BgL_dup1833z00_8), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(BgL_new1542z00_9432))->
						BgL_haszd2procedurezf3z21) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				return BgL_new1542z00_9432;
			}
		}

	}



/* &make-approx */
	BgL_approxz00_bglt BGl_z62makezd2approxzb0zzcfa_infoz00(obj_t BgL_envz00_7096,
		obj_t BgL_type1828z00_7097, obj_t BgL_typezd2lockedzf31829z21_7098,
		obj_t BgL_allocs1830z00_7099, obj_t BgL_topzf31831zf3_7100,
		obj_t BgL_lostzd2stamp1832zd2_7101, obj_t BgL_dup1833z00_7102)
	{
		{	/* Cfa/cinfo.sch 659 */
			return
				BGl_makezd2approxzd2zzcfa_infoz00(
				((BgL_typez00_bglt) BgL_type1828z00_7097),
				CBOOL(BgL_typezd2lockedzf31829z21_7098), BgL_allocs1830z00_7099,
				CBOOL(BgL_topzf31831zf3_7100),
				(long) CINT(BgL_lostzd2stamp1832zd2_7101), BgL_dup1833z00_7102);
		}

	}



/* approx? */
	BGL_EXPORTED_DEF bool_t BGl_approxzf3zf3zzcfa_infoz00(obj_t BgL_objz00_9)
	{
		{	/* Cfa/cinfo.sch 660 */
			{	/* Cfa/cinfo.sch 660 */
				obj_t BgL_classz00_9435;

				BgL_classz00_9435 = BGl_approxz00zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_9))
					{	/* Cfa/cinfo.sch 660 */
						BgL_objectz00_bglt BgL_arg1825z00_9436;

						BgL_arg1825z00_9436 = (BgL_objectz00_bglt) (BgL_objz00_9);
						{	/* Cfa/cinfo.sch 660 */
							bool_t BgL_arg1822z00_9437;
							bool_t BgL_arg1823z00_9438;

							{	/* Cfa/cinfo.sch 660 */
								long BgL_idxz00_9439;

								BgL_idxz00_9439 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9436);
								BgL_arg1822z00_9437 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9439 + ((long) 1))) == BgL_classz00_9435);
							}
							{	/* Cfa/cinfo.sch 660 */
								bool_t BgL_res3048z00_9442;

								{	/* Cfa/cinfo.sch 660 */
									obj_t BgL_oclassz00_9443;

									{	/* Cfa/cinfo.sch 660 */
										long BgL_arg1833z00_9444;

										{	/* Cfa/cinfo.sch 660 */
											long BgL_arg1834z00_9445;

											BgL_arg1834z00_9445 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9436);
											BgL_arg1833z00_9444 = (BgL_arg1834z00_9445 - OBJECT_TYPE);
										}
										BgL_oclassz00_9443 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9444);
									}
									{	/* Cfa/cinfo.sch 660 */
										bool_t BgL__ortest_1110z00_9446;

										BgL__ortest_1110z00_9446 =
											(BgL_classz00_9435 == BgL_oclassz00_9443);
										if (BgL__ortest_1110z00_9446)
											{	/* Cfa/cinfo.sch 660 */
												BgL_res3048z00_9442 = BgL__ortest_1110z00_9446;
											}
										else
											{	/* Cfa/cinfo.sch 660 */
												long BgL_odepthz00_9447;

												BgL_odepthz00_9447 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9443);
												if ((((long) 1) < BgL_odepthz00_9447))
													{	/* Cfa/cinfo.sch 660 */
														obj_t BgL_arg1821z00_9448;

														BgL_arg1821z00_9448 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9443,
															((long) 1));
														BgL_res3048z00_9442 =
															(BgL_arg1821z00_9448 == BgL_classz00_9435);
													}
												else
													{	/* Cfa/cinfo.sch 660 */
														BgL_res3048z00_9442 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9438 = BgL_res3048z00_9442;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9437, BgL_arg1823z00_9438);
						}
					}
				else
					{	/* Cfa/cinfo.sch 660 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &approx? */
	obj_t BGl_z62approxzf3z91zzcfa_infoz00(obj_t BgL_envz00_7103,
		obj_t BgL_objz00_7104)
	{
		{	/* Cfa/cinfo.sch 660 */
			return BBOOL(BGl_approxzf3zf3zzcfa_infoz00(BgL_objz00_7104));
		}

	}



/* approx-nil */
	BGL_EXPORTED_DEF BgL_approxz00_bglt BGl_approxzd2nilzd2zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 661 */
			{	/* Cfa/cinfo.sch 661 */
				obj_t BgL_classz00_4462;

				BgL_classz00_4462 = BGl_approxz00zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 661 */
					obj_t BgL__ortest_1112z00_4463;

					BgL__ortest_1112z00_4463 = BGL_CLASS_NIL(BgL_classz00_4462);
					if (CBOOL(BgL__ortest_1112z00_4463))
						{	/* Cfa/cinfo.sch 661 */
							return ((BgL_approxz00_bglt) BgL__ortest_1112z00_4463);
						}
					else
						{	/* Cfa/cinfo.sch 661 */
							return
								((BgL_approxz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4462));
						}
				}
			}
		}

	}



/* &approx-nil */
	BgL_approxz00_bglt BGl_z62approxzd2nilzb0zzcfa_infoz00(obj_t BgL_envz00_7105)
	{
		{	/* Cfa/cinfo.sch 661 */
			return BGl_approxzd2nilzd2zzcfa_infoz00();
		}

	}



/* approx-dup */
	BGL_EXPORTED_DEF obj_t BGl_approxzd2dupzd2zzcfa_infoz00(BgL_approxz00_bglt
		BgL_oz00_10)
	{
		{	/* Cfa/cinfo.sch 662 */
			return (((BgL_approxz00_bglt) COBJECT(BgL_oz00_10))->BgL_dupz00);
		}

	}



/* &approx-dup */
	obj_t BGl_z62approxzd2dupzb0zzcfa_infoz00(obj_t BgL_envz00_7106,
		obj_t BgL_oz00_7107)
	{
		{	/* Cfa/cinfo.sch 662 */
			return
				BGl_approxzd2dupzd2zzcfa_infoz00(((BgL_approxz00_bglt) BgL_oz00_7107));
		}

	}



/* approx-dup-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2dupzd2setz12z12zzcfa_infoz00(BgL_approxz00_bglt BgL_oz00_11,
		obj_t BgL_vz00_12)
	{
		{	/* Cfa/cinfo.sch 663 */
			return
				((((BgL_approxz00_bglt) COBJECT(BgL_oz00_11))->BgL_dupz00) =
				((obj_t) BgL_vz00_12), BUNSPEC);
		}

	}



/* &approx-dup-set! */
	obj_t BGl_z62approxzd2dupzd2setz12z70zzcfa_infoz00(obj_t BgL_envz00_7108,
		obj_t BgL_oz00_7109, obj_t BgL_vz00_7110)
	{
		{	/* Cfa/cinfo.sch 663 */
			return
				BGl_approxzd2dupzd2setz12z12zzcfa_infoz00(
				((BgL_approxz00_bglt) BgL_oz00_7109), BgL_vz00_7110);
		}

	}



/* approx-lost-stamp */
	BGL_EXPORTED_DEF long
		BGl_approxzd2lostzd2stampz00zzcfa_infoz00(BgL_approxz00_bglt BgL_oz00_13)
	{
		{	/* Cfa/cinfo.sch 664 */
			return (((BgL_approxz00_bglt) COBJECT(BgL_oz00_13))->BgL_lostzd2stampzd2);
		}

	}



/* &approx-lost-stamp */
	obj_t BGl_z62approxzd2lostzd2stampz62zzcfa_infoz00(obj_t BgL_envz00_7111,
		obj_t BgL_oz00_7112)
	{
		{	/* Cfa/cinfo.sch 664 */
			return
				BINT(BGl_approxzd2lostzd2stampz00zzcfa_infoz00(
					((BgL_approxz00_bglt) BgL_oz00_7112)));
		}

	}



/* approx-lost-stamp-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2lostzd2stampzd2setz12zc0zzcfa_infoz00(BgL_approxz00_bglt
		BgL_oz00_14, long BgL_vz00_15)
	{
		{	/* Cfa/cinfo.sch 665 */
			return
				((((BgL_approxz00_bglt) COBJECT(BgL_oz00_14))->BgL_lostzd2stampzd2) =
				((long) BgL_vz00_15), BUNSPEC);
		}

	}



/* &approx-lost-stamp-set! */
	obj_t BGl_z62approxzd2lostzd2stampzd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7113, obj_t BgL_oz00_7114, obj_t BgL_vz00_7115)
	{
		{	/* Cfa/cinfo.sch 665 */
			return
				BGl_approxzd2lostzd2stampzd2setz12zc0zzcfa_infoz00(
				((BgL_approxz00_bglt) BgL_oz00_7114), (long) CINT(BgL_vz00_7115));
		}

	}



/* approx-top? */
	BGL_EXPORTED_DEF bool_t BGl_approxzd2topzf3z21zzcfa_infoz00(BgL_approxz00_bglt
		BgL_oz00_16)
	{
		{	/* Cfa/cinfo.sch 666 */
			return (((BgL_approxz00_bglt) COBJECT(BgL_oz00_16))->BgL_topzf3zf3);
		}

	}



/* &approx-top? */
	obj_t BGl_z62approxzd2topzf3z43zzcfa_infoz00(obj_t BgL_envz00_7116,
		obj_t BgL_oz00_7117)
	{
		{	/* Cfa/cinfo.sch 666 */
			return
				BBOOL(BGl_approxzd2topzf3z21zzcfa_infoz00(
					((BgL_approxz00_bglt) BgL_oz00_7117)));
		}

	}



/* approx-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2topzf3zd2setz12ze1zzcfa_infoz00(BgL_approxz00_bglt BgL_oz00_17,
		bool_t BgL_vz00_18)
	{
		{	/* Cfa/cinfo.sch 667 */
			return
				((((BgL_approxz00_bglt) COBJECT(BgL_oz00_17))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_18), BUNSPEC);
		}

	}



/* &approx-top?-set! */
	obj_t BGl_z62approxzd2topzf3zd2setz12z83zzcfa_infoz00(obj_t BgL_envz00_7118,
		obj_t BgL_oz00_7119, obj_t BgL_vz00_7120)
	{
		{	/* Cfa/cinfo.sch 667 */
			return
				BGl_approxzd2topzf3zd2setz12ze1zzcfa_infoz00(
				((BgL_approxz00_bglt) BgL_oz00_7119), CBOOL(BgL_vz00_7120));
		}

	}



/* approx-allocs */
	BGL_EXPORTED_DEF obj_t BGl_approxzd2allocszd2zzcfa_infoz00(BgL_approxz00_bglt
		BgL_oz00_19)
	{
		{	/* Cfa/cinfo.sch 668 */
			return (((BgL_approxz00_bglt) COBJECT(BgL_oz00_19))->BgL_allocsz00);
		}

	}



/* &approx-allocs */
	obj_t BGl_z62approxzd2allocszb0zzcfa_infoz00(obj_t BgL_envz00_7121,
		obj_t BgL_oz00_7122)
	{
		{	/* Cfa/cinfo.sch 668 */
			return
				BGl_approxzd2allocszd2zzcfa_infoz00(
				((BgL_approxz00_bglt) BgL_oz00_7122));
		}

	}



/* approx-type-locked? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2typezd2lockedzf3zf3zzcfa_infoz00(BgL_approxz00_bglt
		BgL_oz00_22)
	{
		{	/* Cfa/cinfo.sch 670 */
			return
				(((BgL_approxz00_bglt) COBJECT(BgL_oz00_22))->BgL_typezd2lockedzf3z21);
		}

	}



/* &approx-type-locked? */
	obj_t BGl_z62approxzd2typezd2lockedzf3z91zzcfa_infoz00(obj_t BgL_envz00_7123,
		obj_t BgL_oz00_7124)
	{
		{	/* Cfa/cinfo.sch 670 */
			return
				BBOOL(BGl_approxzd2typezd2lockedzf3zf3zzcfa_infoz00(
					((BgL_approxz00_bglt) BgL_oz00_7124)));
		}

	}



/* approx-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_approxzd2typezd2zzcfa_infoz00(BgL_approxz00_bglt BgL_oz00_25)
	{
		{	/* Cfa/cinfo.sch 672 */
			return (((BgL_approxz00_bglt) COBJECT(BgL_oz00_25))->BgL_typez00);
		}

	}



/* &approx-type */
	BgL_typez00_bglt BGl_z62approxzd2typezb0zzcfa_infoz00(obj_t BgL_envz00_7125,
		obj_t BgL_oz00_7126)
	{
		{	/* Cfa/cinfo.sch 672 */
			return
				BGl_approxzd2typezd2zzcfa_infoz00(((BgL_approxz00_bglt) BgL_oz00_7126));
		}

	}



/* approx-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2typezd2setz12z12zzcfa_infoz00(BgL_approxz00_bglt BgL_oz00_26,
		BgL_typez00_bglt BgL_vz00_27)
	{
		{	/* Cfa/cinfo.sch 673 */
			return
				((((BgL_approxz00_bglt) COBJECT(BgL_oz00_26))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_27), BUNSPEC);
		}

	}



/* &approx-type-set! */
	obj_t BGl_z62approxzd2typezd2setz12z70zzcfa_infoz00(obj_t BgL_envz00_7127,
		obj_t BgL_oz00_7128, obj_t BgL_vz00_7129)
	{
		{	/* Cfa/cinfo.sch 673 */
			return
				BGl_approxzd2typezd2setz12z12zzcfa_infoz00(
				((BgL_approxz00_bglt) BgL_oz00_7128),
				((BgL_typez00_bglt) BgL_vz00_7129));
		}

	}



/* make-cfun/Cinfo */
	BGL_EXPORTED_DEF BgL_cfunz00_bglt BGl_makezd2cfunzf2Cinfoz20zzcfa_infoz00(long
		BgL_arity1812z00_28, obj_t BgL_sidezd2effect1813zd2_29,
		obj_t BgL_predicatezd2of1814zd2_30, obj_t BgL_stackzd2allocator1815zd2_31,
		bool_t BgL_topzf31816zf3_32, obj_t BgL_thezd2closure1817zd2_33,
		obj_t BgL_effect1818z00_34, obj_t BgL_failsafe1819z00_35,
		obj_t BgL_argszd2noescape1820zd2_36, obj_t BgL_argszd2retescape1821zd2_37,
		obj_t BgL_argszd2type1822zd2_38, bool_t BgL_macrozf31823zf3_39,
		bool_t BgL_infixzf31824zf3_40, obj_t BgL_method1825z00_41,
		BgL_approxz00_bglt BgL_approx1826z00_42)
	{
		{	/* Cfa/cinfo.sch 676 */
			{	/* Cfa/cinfo.sch 676 */
				BgL_cfunz00_bglt BgL_new1546z00_9449;

				{	/* Cfa/cinfo.sch 676 */
					BgL_cfunz00_bglt BgL_tmp1544z00_9450;
					BgL_cfunzf2cinfozf2_bglt BgL_wide1545z00_9451;

					{
						BgL_cfunz00_bglt BgL_auxz00_11085;

						{	/* Cfa/cinfo.sch 676 */
							BgL_cfunz00_bglt BgL_new1543z00_9452;

							BgL_new1543z00_9452 =
								((BgL_cfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_cfunz00_bgl))));
							{	/* Cfa/cinfo.sch 676 */
								long BgL_arg1988z00_9453;

								BgL_arg1988z00_9453 = BGL_CLASS_NUM(BGl_cfunz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1543z00_9452),
									BgL_arg1988z00_9453);
							}
							{	/* Cfa/cinfo.sch 676 */
								BgL_objectz00_bglt BgL_tmpz00_11090;

								BgL_tmpz00_11090 = ((BgL_objectz00_bglt) BgL_new1543z00_9452);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11090, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1543z00_9452);
							BgL_auxz00_11085 = BgL_new1543z00_9452;
						}
						BgL_tmp1544z00_9450 = ((BgL_cfunz00_bglt) BgL_auxz00_11085);
					}
					BgL_wide1545z00_9451 =
						((BgL_cfunzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_cfunzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 676 */
						obj_t BgL_auxz00_11098;
						BgL_objectz00_bglt BgL_tmpz00_11096;

						BgL_auxz00_11098 = ((obj_t) BgL_wide1545z00_9451);
						BgL_tmpz00_11096 = ((BgL_objectz00_bglt) BgL_tmp1544z00_9450);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11096, BgL_auxz00_11098);
					}
					((BgL_objectz00_bglt) BgL_tmp1544z00_9450);
					{	/* Cfa/cinfo.sch 676 */
						long BgL_arg1987z00_9454;

						BgL_arg1987z00_9454 =
							BGL_CLASS_NUM(BGl_cfunzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1544z00_9450), BgL_arg1987z00_9454);
					}
					BgL_new1546z00_9449 = ((BgL_cfunz00_bglt) BgL_tmp1544z00_9450);
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1546z00_9449)))->BgL_arityz00) =
					((long) BgL_arity1812z00_28), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1546z00_9449)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1813zd2_29), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1546z00_9449)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1814zd2_30), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1546z00_9449)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1815zd2_31), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1546z00_9449)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31816zf3_32), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1546z00_9449)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1817zd2_33), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1546z00_9449)))->
						BgL_effectz00) = ((obj_t) BgL_effect1818z00_34), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1546z00_9449)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1819z00_35), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1546z00_9449)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1820zd2_36), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1546z00_9449)))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1821zd2_37), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1546z00_9449)))->BgL_argszd2typezd2) =
					((obj_t) BgL_argszd2type1822zd2_38), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1546z00_9449)))->BgL_macrozf3zf3) =
					((bool_t) BgL_macrozf31823zf3_39), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1546z00_9449)))->BgL_infixzf3zf3) =
					((bool_t) BgL_infixzf31824zf3_40), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1546z00_9449)))->BgL_methodz00) =
					((obj_t) BgL_method1825z00_41), BUNSPEC);
				{
					BgL_cfunzf2cinfozf2_bglt BgL_auxz00_11134;

					{
						obj_t BgL_auxz00_11135;

						{	/* Cfa/cinfo.sch 676 */
							BgL_objectz00_bglt BgL_tmpz00_11136;

							BgL_tmpz00_11136 = ((BgL_objectz00_bglt) BgL_new1546z00_9449);
							BgL_auxz00_11135 = BGL_OBJECT_WIDENING(BgL_tmpz00_11136);
						}
						BgL_auxz00_11134 = ((BgL_cfunzf2cinfozf2_bglt) BgL_auxz00_11135);
					}
					((((BgL_cfunzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11134))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1826z00_42), BUNSPEC);
				}
				return BgL_new1546z00_9449;
			}
		}

	}



/* &make-cfun/Cinfo */
	BgL_cfunz00_bglt BGl_z62makezd2cfunzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_7130, obj_t BgL_arity1812z00_7131,
		obj_t BgL_sidezd2effect1813zd2_7132, obj_t BgL_predicatezd2of1814zd2_7133,
		obj_t BgL_stackzd2allocator1815zd2_7134, obj_t BgL_topzf31816zf3_7135,
		obj_t BgL_thezd2closure1817zd2_7136, obj_t BgL_effect1818z00_7137,
		obj_t BgL_failsafe1819z00_7138, obj_t BgL_argszd2noescape1820zd2_7139,
		obj_t BgL_argszd2retescape1821zd2_7140, obj_t BgL_argszd2type1822zd2_7141,
		obj_t BgL_macrozf31823zf3_7142, obj_t BgL_infixzf31824zf3_7143,
		obj_t BgL_method1825z00_7144, obj_t BgL_approx1826z00_7145)
	{
		{	/* Cfa/cinfo.sch 676 */
			return
				BGl_makezd2cfunzf2Cinfoz20zzcfa_infoz00(
				(long) CINT(BgL_arity1812z00_7131), BgL_sidezd2effect1813zd2_7132,
				BgL_predicatezd2of1814zd2_7133, BgL_stackzd2allocator1815zd2_7134,
				CBOOL(BgL_topzf31816zf3_7135), BgL_thezd2closure1817zd2_7136,
				BgL_effect1818z00_7137, BgL_failsafe1819z00_7138,
				BgL_argszd2noescape1820zd2_7139, BgL_argszd2retescape1821zd2_7140,
				BgL_argszd2type1822zd2_7141, CBOOL(BgL_macrozf31823zf3_7142),
				CBOOL(BgL_infixzf31824zf3_7143), BgL_method1825z00_7144,
				((BgL_approxz00_bglt) BgL_approx1826z00_7145));
		}

	}



/* cfun/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_cfunzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_43)
	{
		{	/* Cfa/cinfo.sch 677 */
			{	/* Cfa/cinfo.sch 677 */
				obj_t BgL_classz00_9455;

				BgL_classz00_9455 = BGl_cfunzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_43))
					{	/* Cfa/cinfo.sch 677 */
						BgL_objectz00_bglt BgL_arg1825z00_9456;

						BgL_arg1825z00_9456 = (BgL_objectz00_bglt) (BgL_objz00_43);
						{	/* Cfa/cinfo.sch 677 */
							bool_t BgL_arg1822z00_9457;
							bool_t BgL_arg1823z00_9458;

							{	/* Cfa/cinfo.sch 677 */
								long BgL_idxz00_9459;

								BgL_idxz00_9459 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9456);
								BgL_arg1822z00_9457 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9459 + ((long) 4))) == BgL_classz00_9455);
							}
							{	/* Cfa/cinfo.sch 677 */
								bool_t BgL_res3049z00_9462;

								{	/* Cfa/cinfo.sch 677 */
									obj_t BgL_oclassz00_9463;

									{	/* Cfa/cinfo.sch 677 */
										long BgL_arg1833z00_9464;

										{	/* Cfa/cinfo.sch 677 */
											long BgL_arg1834z00_9465;

											BgL_arg1834z00_9465 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9456);
											BgL_arg1833z00_9464 = (BgL_arg1834z00_9465 - OBJECT_TYPE);
										}
										BgL_oclassz00_9463 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9464);
									}
									{	/* Cfa/cinfo.sch 677 */
										bool_t BgL__ortest_1110z00_9466;

										BgL__ortest_1110z00_9466 =
											(BgL_classz00_9455 == BgL_oclassz00_9463);
										if (BgL__ortest_1110z00_9466)
											{	/* Cfa/cinfo.sch 677 */
												BgL_res3049z00_9462 = BgL__ortest_1110z00_9466;
											}
										else
											{	/* Cfa/cinfo.sch 677 */
												long BgL_odepthz00_9467;

												BgL_odepthz00_9467 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9463);
												if ((((long) 4) < BgL_odepthz00_9467))
													{	/* Cfa/cinfo.sch 677 */
														obj_t BgL_arg1821z00_9468;

														BgL_arg1821z00_9468 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9463,
															((long) 4));
														BgL_res3049z00_9462 =
															(BgL_arg1821z00_9468 == BgL_classz00_9455);
													}
												else
													{	/* Cfa/cinfo.sch 677 */
														BgL_res3049z00_9462 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9458 = BgL_res3049z00_9462;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9457, BgL_arg1823z00_9458);
						}
					}
				else
					{	/* Cfa/cinfo.sch 677 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cfun/Cinfo? */
	obj_t BGl_z62cfunzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_7146,
		obj_t BgL_objz00_7147)
	{
		{	/* Cfa/cinfo.sch 677 */
			return BBOOL(BGl_cfunzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_7147));
		}

	}



/* cfun/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_cfunz00_bglt BGl_cfunzf2Cinfozd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 678 */
			{	/* Cfa/cinfo.sch 678 */
				obj_t BgL_classz00_4511;

				BgL_classz00_4511 = BGl_cfunzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 678 */
					obj_t BgL__ortest_1112z00_4512;

					BgL__ortest_1112z00_4512 = BGL_CLASS_NIL(BgL_classz00_4511);
					if (CBOOL(BgL__ortest_1112z00_4512))
						{	/* Cfa/cinfo.sch 678 */
							return ((BgL_cfunz00_bglt) BgL__ortest_1112z00_4512);
						}
					else
						{	/* Cfa/cinfo.sch 678 */
							return
								((BgL_cfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4511));
						}
				}
			}
		}

	}



/* &cfun/Cinfo-nil */
	BgL_cfunz00_bglt BGl_z62cfunzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7148)
	{
		{	/* Cfa/cinfo.sch 678 */
			return BGl_cfunzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* cfun/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_cfunzf2Cinfozd2approxz20zzcfa_infoz00(BgL_cfunz00_bglt BgL_oz00_44)
	{
		{	/* Cfa/cinfo.sch 679 */
			{
				BgL_cfunzf2cinfozf2_bglt BgL_auxz00_11174;

				{
					obj_t BgL_auxz00_11175;

					{	/* Cfa/cinfo.sch 679 */
						BgL_objectz00_bglt BgL_tmpz00_11176;

						BgL_tmpz00_11176 = ((BgL_objectz00_bglt) BgL_oz00_44);
						BgL_auxz00_11175 = BGL_OBJECT_WIDENING(BgL_tmpz00_11176);
					}
					BgL_auxz00_11174 = ((BgL_cfunzf2cinfozf2_bglt) BgL_auxz00_11175);
				}
				return
					(((BgL_cfunzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11174))->
					BgL_approxz00);
			}
		}

	}



/* &cfun/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62cfunzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_7149, obj_t BgL_oz00_7150)
	{
		{	/* Cfa/cinfo.sch 679 */
			return
				BGl_cfunzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7150));
		}

	}



/* cfun/Cinfo-method */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2methodz20zzcfa_infoz00(BgL_cfunz00_bglt BgL_oz00_47)
	{
		{	/* Cfa/cinfo.sch 681 */
			return
				(((BgL_cfunz00_bglt) COBJECT(
						((BgL_cfunz00_bglt) BgL_oz00_47)))->BgL_methodz00);
		}

	}



/* &cfun/Cinfo-method */
	obj_t BGl_z62cfunzf2Cinfozd2methodz42zzcfa_infoz00(obj_t BgL_envz00_7151,
		obj_t BgL_oz00_7152)
	{
		{	/* Cfa/cinfo.sch 681 */
			return
				BGl_cfunzf2Cinfozd2methodz20zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7152));
		}

	}



/* cfun/Cinfo-method-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2methodzd2setz12ze0zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_48, obj_t BgL_vz00_49)
	{
		{	/* Cfa/cinfo.sch 682 */
			return
				((((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_oz00_48)))->BgL_methodz00) =
				((obj_t) BgL_vz00_49), BUNSPEC);
		}

	}



/* &cfun/Cinfo-method-set! */
	obj_t BGl_z62cfunzf2Cinfozd2methodzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7153, obj_t BgL_oz00_7154, obj_t BgL_vz00_7155)
	{
		{	/* Cfa/cinfo.sch 682 */
			return
				BGl_cfunzf2Cinfozd2methodzd2setz12ze0zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7154), BgL_vz00_7155);
		}

	}



/* cfun/Cinfo-infix? */
	BGL_EXPORTED_DEF bool_t
		BGl_cfunzf2Cinfozd2infixzf3zd3zzcfa_infoz00(BgL_cfunz00_bglt BgL_oz00_50)
	{
		{	/* Cfa/cinfo.sch 683 */
			return
				(((BgL_cfunz00_bglt) COBJECT(
						((BgL_cfunz00_bglt) BgL_oz00_50)))->BgL_infixzf3zf3);
		}

	}



/* &cfun/Cinfo-infix? */
	obj_t BGl_z62cfunzf2Cinfozd2infixzf3zb1zzcfa_infoz00(obj_t BgL_envz00_7156,
		obj_t BgL_oz00_7157)
	{
		{	/* Cfa/cinfo.sch 683 */
			return
				BBOOL(BGl_cfunzf2Cinfozd2infixzf3zd3zzcfa_infoz00(
					((BgL_cfunz00_bglt) BgL_oz00_7157)));
		}

	}



/* cfun/Cinfo-infix?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2infixzf3zd2setz12z13zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_51, bool_t BgL_vz00_52)
	{
		{	/* Cfa/cinfo.sch 684 */
			return
				((((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_oz00_51)))->BgL_infixzf3zf3) =
				((bool_t) BgL_vz00_52), BUNSPEC);
		}

	}



/* &cfun/Cinfo-infix?-set! */
	obj_t BGl_z62cfunzf2Cinfozd2infixzf3zd2setz12z71zzcfa_infoz00(obj_t
		BgL_envz00_7158, obj_t BgL_oz00_7159, obj_t BgL_vz00_7160)
	{
		{	/* Cfa/cinfo.sch 684 */
			return
				BGl_cfunzf2Cinfozd2infixzf3zd2setz12z13zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7159), CBOOL(BgL_vz00_7160));
		}

	}



/* cfun/Cinfo-macro? */
	BGL_EXPORTED_DEF bool_t
		BGl_cfunzf2Cinfozd2macrozf3zd3zzcfa_infoz00(BgL_cfunz00_bglt BgL_oz00_53)
	{
		{	/* Cfa/cinfo.sch 685 */
			return
				(((BgL_cfunz00_bglt) COBJECT(
						((BgL_cfunz00_bglt) BgL_oz00_53)))->BgL_macrozf3zf3);
		}

	}



/* &cfun/Cinfo-macro? */
	obj_t BGl_z62cfunzf2Cinfozd2macrozf3zb1zzcfa_infoz00(obj_t BgL_envz00_7161,
		obj_t BgL_oz00_7162)
	{
		{	/* Cfa/cinfo.sch 685 */
			return
				BBOOL(BGl_cfunzf2Cinfozd2macrozf3zd3zzcfa_infoz00(
					((BgL_cfunz00_bglt) BgL_oz00_7162)));
		}

	}



/* cfun/Cinfo-args-type */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2argszd2typezf2zzcfa_infoz00(BgL_cfunz00_bglt BgL_oz00_56)
	{
		{	/* Cfa/cinfo.sch 687 */
			return
				(((BgL_cfunz00_bglt) COBJECT(
						((BgL_cfunz00_bglt) BgL_oz00_56)))->BgL_argszd2typezd2);
		}

	}



/* &cfun/Cinfo-args-type */
	obj_t BGl_z62cfunzf2Cinfozd2argszd2typez90zzcfa_infoz00(obj_t BgL_envz00_7163,
		obj_t BgL_oz00_7164)
	{
		{	/* Cfa/cinfo.sch 687 */
			return
				BGl_cfunzf2Cinfozd2argszd2typezf2zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7164));
		}

	}



/* cfun/Cinfo-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2argszd2retescapezf2zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_59)
	{
		{	/* Cfa/cinfo.sch 689 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_59)))->BgL_argszd2retescapezd2);
		}

	}



/* &cfun/Cinfo-args-retescape */
	obj_t BGl_z62cfunzf2Cinfozd2argszd2retescapez90zzcfa_infoz00(obj_t
		BgL_envz00_7165, obj_t BgL_oz00_7166)
	{
		{	/* Cfa/cinfo.sch 689 */
			return
				BGl_cfunzf2Cinfozd2argszd2retescapezf2zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7166));
		}

	}



/* cfun/Cinfo-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2argszd2retescapezd2setz12z32zzcfa_infoz00
		(BgL_cfunz00_bglt BgL_oz00_60, obj_t BgL_vz00_61)
	{
		{	/* Cfa/cinfo.sch 690 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_60)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_61), BUNSPEC);
		}

	}



/* &cfun/Cinfo-args-retescape-set! */
	obj_t BGl_z62cfunzf2Cinfozd2argszd2retescapezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7167, obj_t BgL_oz00_7168, obj_t BgL_vz00_7169)
	{
		{	/* Cfa/cinfo.sch 690 */
			return
				BGl_cfunzf2Cinfozd2argszd2retescapezd2setz12z32zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7168), BgL_vz00_7169);
		}

	}



/* cfun/Cinfo-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2argszd2noescapezf2zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_62)
	{
		{	/* Cfa/cinfo.sch 691 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_62)))->BgL_argszd2noescapezd2);
		}

	}



/* &cfun/Cinfo-args-noescape */
	obj_t BGl_z62cfunzf2Cinfozd2argszd2noescapez90zzcfa_infoz00(obj_t
		BgL_envz00_7170, obj_t BgL_oz00_7171)
	{
		{	/* Cfa/cinfo.sch 691 */
			return
				BGl_cfunzf2Cinfozd2argszd2noescapezf2zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7171));
		}

	}



/* cfun/Cinfo-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2argszd2noescapezd2setz12z32zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_63, obj_t BgL_vz00_64)
	{
		{	/* Cfa/cinfo.sch 692 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_63)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_64), BUNSPEC);
		}

	}



/* &cfun/Cinfo-args-noescape-set! */
	obj_t BGl_z62cfunzf2Cinfozd2argszd2noescapezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7172, obj_t BgL_oz00_7173, obj_t BgL_vz00_7174)
	{
		{	/* Cfa/cinfo.sch 692 */
			return
				BGl_cfunzf2Cinfozd2argszd2noescapezd2setz12z32zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7173), BgL_vz00_7174);
		}

	}



/* cfun/Cinfo-failsafe */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2failsafez20zzcfa_infoz00(BgL_cfunz00_bglt BgL_oz00_65)
	{
		{	/* Cfa/cinfo.sch 693 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_65)))->BgL_failsafez00);
		}

	}



/* &cfun/Cinfo-failsafe */
	obj_t BGl_z62cfunzf2Cinfozd2failsafez42zzcfa_infoz00(obj_t BgL_envz00_7175,
		obj_t BgL_oz00_7176)
	{
		{	/* Cfa/cinfo.sch 693 */
			return
				BGl_cfunzf2Cinfozd2failsafez20zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7176));
		}

	}



/* cfun/Cinfo-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2failsafezd2setz12ze0zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_66, obj_t BgL_vz00_67)
	{
		{	/* Cfa/cinfo.sch 694 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_66)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_67), BUNSPEC);
		}

	}



/* &cfun/Cinfo-failsafe-set! */
	obj_t BGl_z62cfunzf2Cinfozd2failsafezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7177, obj_t BgL_oz00_7178, obj_t BgL_vz00_7179)
	{
		{	/* Cfa/cinfo.sch 694 */
			return
				BGl_cfunzf2Cinfozd2failsafezd2setz12ze0zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7178), BgL_vz00_7179);
		}

	}



/* cfun/Cinfo-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2effectz20zzcfa_infoz00(BgL_cfunz00_bglt BgL_oz00_68)
	{
		{	/* Cfa/cinfo.sch 695 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_68)))->BgL_effectz00);
		}

	}



/* &cfun/Cinfo-effect */
	obj_t BGl_z62cfunzf2Cinfozd2effectz42zzcfa_infoz00(obj_t BgL_envz00_7180,
		obj_t BgL_oz00_7181)
	{
		{	/* Cfa/cinfo.sch 695 */
			return
				BGl_cfunzf2Cinfozd2effectz20zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7181));
		}

	}



/* cfun/Cinfo-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2effectzd2setz12ze0zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_69, obj_t BgL_vz00_70)
	{
		{	/* Cfa/cinfo.sch 696 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_69)))->BgL_effectz00) =
				((obj_t) BgL_vz00_70), BUNSPEC);
		}

	}



/* &cfun/Cinfo-effect-set! */
	obj_t BGl_z62cfunzf2Cinfozd2effectzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7182, obj_t BgL_oz00_7183, obj_t BgL_vz00_7184)
	{
		{	/* Cfa/cinfo.sch 696 */
			return
				BGl_cfunzf2Cinfozd2effectzd2setz12ze0zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7183), BgL_vz00_7184);
		}

	}



/* cfun/Cinfo-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2thezd2closurezf2zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_71)
	{
		{	/* Cfa/cinfo.sch 697 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_71)))->BgL_thezd2closurezd2);
		}

	}



/* &cfun/Cinfo-the-closure */
	obj_t BGl_z62cfunzf2Cinfozd2thezd2closurez90zzcfa_infoz00(obj_t
		BgL_envz00_7185, obj_t BgL_oz00_7186)
	{
		{	/* Cfa/cinfo.sch 697 */
			return
				BGl_cfunzf2Cinfozd2thezd2closurezf2zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7186));
		}

	}



/* cfun/Cinfo-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2thezd2closurezd2setz12z32zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_72, obj_t BgL_vz00_73)
	{
		{	/* Cfa/cinfo.sch 698 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_72)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_73), BUNSPEC);
		}

	}



/* &cfun/Cinfo-the-closure-set! */
	obj_t BGl_z62cfunzf2Cinfozd2thezd2closurezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7187, obj_t BgL_oz00_7188, obj_t BgL_vz00_7189)
	{
		{	/* Cfa/cinfo.sch 698 */
			return
				BGl_cfunzf2Cinfozd2thezd2closurezd2setz12z32zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7188), BgL_vz00_7189);
		}

	}



/* cfun/Cinfo-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_cfunzf2Cinfozd2topzf3zd3zzcfa_infoz00(BgL_cfunz00_bglt BgL_oz00_74)
	{
		{	/* Cfa/cinfo.sch 699 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_74)))->BgL_topzf3zf3);
		}

	}



/* &cfun/Cinfo-top? */
	obj_t BGl_z62cfunzf2Cinfozd2topzf3zb1zzcfa_infoz00(obj_t BgL_envz00_7190,
		obj_t BgL_oz00_7191)
	{
		{	/* Cfa/cinfo.sch 699 */
			return
				BBOOL(BGl_cfunzf2Cinfozd2topzf3zd3zzcfa_infoz00(
					((BgL_cfunz00_bglt) BgL_oz00_7191)));
		}

	}



/* cfun/Cinfo-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2topzf3zd2setz12z13zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_75, bool_t BgL_vz00_76)
	{
		{	/* Cfa/cinfo.sch 700 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_75)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_76), BUNSPEC);
		}

	}



/* &cfun/Cinfo-top?-set! */
	obj_t BGl_z62cfunzf2Cinfozd2topzf3zd2setz12z71zzcfa_infoz00(obj_t
		BgL_envz00_7192, obj_t BgL_oz00_7193, obj_t BgL_vz00_7194)
	{
		{	/* Cfa/cinfo.sch 700 */
			return
				BGl_cfunzf2Cinfozd2topzf3zd2setz12z13zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7193), CBOOL(BgL_vz00_7194));
		}

	}



/* cfun/Cinfo-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2stackzd2allocatorzf2zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_77)
	{
		{	/* Cfa/cinfo.sch 701 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_77)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &cfun/Cinfo-stack-allocator */
	obj_t BGl_z62cfunzf2Cinfozd2stackzd2allocatorz90zzcfa_infoz00(obj_t
		BgL_envz00_7195, obj_t BgL_oz00_7196)
	{
		{	/* Cfa/cinfo.sch 701 */
			return
				BGl_cfunzf2Cinfozd2stackzd2allocatorzf2zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7196));
		}

	}



/* cfun/Cinfo-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2stackzd2allocatorzd2setz12z32zzcfa_infoz00
		(BgL_cfunz00_bglt BgL_oz00_78, obj_t BgL_vz00_79)
	{
		{	/* Cfa/cinfo.sch 702 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_78)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_79), BUNSPEC);
		}

	}



/* &cfun/Cinfo-stack-allocator-set! */
	obj_t BGl_z62cfunzf2Cinfozd2stackzd2allocatorzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7197, obj_t BgL_oz00_7198, obj_t BgL_vz00_7199)
	{
		{	/* Cfa/cinfo.sch 702 */
			return
				BGl_cfunzf2Cinfozd2stackzd2allocatorzd2setz12z32zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7198), BgL_vz00_7199);
		}

	}



/* cfun/Cinfo-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2predicatezd2ofzf2zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_80)
	{
		{	/* Cfa/cinfo.sch 703 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_80)))->BgL_predicatezd2ofzd2);
		}

	}



/* &cfun/Cinfo-predicate-of */
	obj_t BGl_z62cfunzf2Cinfozd2predicatezd2ofz90zzcfa_infoz00(obj_t
		BgL_envz00_7200, obj_t BgL_oz00_7201)
	{
		{	/* Cfa/cinfo.sch 703 */
			return
				BGl_cfunzf2Cinfozd2predicatezd2ofzf2zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7201));
		}

	}



/* cfun/Cinfo-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2predicatezd2ofzd2setz12z32zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_81, obj_t BgL_vz00_82)
	{
		{	/* Cfa/cinfo.sch 704 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_81)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_82), BUNSPEC);
		}

	}



/* &cfun/Cinfo-predicate-of-set! */
	obj_t BGl_z62cfunzf2Cinfozd2predicatezd2ofzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7202, obj_t BgL_oz00_7203, obj_t BgL_vz00_7204)
	{
		{	/* Cfa/cinfo.sch 704 */
			return
				BGl_cfunzf2Cinfozd2predicatezd2ofzd2setz12z32zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7203), BgL_vz00_7204);
		}

	}



/* cfun/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_83)
	{
		{	/* Cfa/cinfo.sch 705 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_83)))->BgL_sidezd2effectzd2);
		}

	}



/* &cfun/Cinfo-side-effect */
	obj_t BGl_z62cfunzf2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t
		BgL_envz00_7205, obj_t BgL_oz00_7206)
	{
		{	/* Cfa/cinfo.sch 705 */
			return
				BGl_cfunzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7206));
		}

	}



/* cfun/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_84, obj_t BgL_vz00_85)
	{
		{	/* Cfa/cinfo.sch 706 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_84)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_85), BUNSPEC);
		}

	}



/* &cfun/Cinfo-side-effect-set! */
	obj_t BGl_z62cfunzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7207, obj_t BgL_oz00_7208, obj_t BgL_vz00_7209)
	{
		{	/* Cfa/cinfo.sch 706 */
			return
				BGl_cfunzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7208), BgL_vz00_7209);
		}

	}



/* cfun/Cinfo-arity */
	BGL_EXPORTED_DEF long
		BGl_cfunzf2Cinfozd2arityz20zzcfa_infoz00(BgL_cfunz00_bglt BgL_oz00_86)
	{
		{	/* Cfa/cinfo.sch 707 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_86)))->BgL_arityz00);
		}

	}



/* &cfun/Cinfo-arity */
	obj_t BGl_z62cfunzf2Cinfozd2arityz42zzcfa_infoz00(obj_t BgL_envz00_7210,
		obj_t BgL_oz00_7211)
	{
		{	/* Cfa/cinfo.sch 707 */
			return
				BINT(BGl_cfunzf2Cinfozd2arityz20zzcfa_infoz00(
					((BgL_cfunz00_bglt) BgL_oz00_7211)));
		}

	}



/* make-extern-sfun/Cinfo */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_makezd2externzd2sfunzf2Cinfozf2zzcfa_infoz00(long BgL_arity1786z00_89,
		obj_t BgL_sidezd2effect1787zd2_90, obj_t BgL_predicatezd2of1788zd2_91,
		obj_t BgL_stackzd2allocator1789zd2_92, bool_t BgL_topzf31791zf3_93,
		obj_t BgL_thezd2closure1792zd2_94, obj_t BgL_effect1793z00_95,
		obj_t BgL_failsafe1794z00_96, obj_t BgL_argszd2noescape1795zd2_97,
		obj_t BgL_argszd2retescape1796zd2_98, obj_t BgL_property1797z00_99,
		obj_t BgL_args1798z00_100, obj_t BgL_argszd2name1799zd2_101,
		obj_t BgL_body1800z00_102, obj_t BgL_class1801z00_103,
		obj_t BgL_dssslzd2keywords1802zd2_104, obj_t BgL_loc1803z00_105,
		obj_t BgL_optionals1804z00_106, obj_t BgL_keys1805z00_107,
		obj_t BgL_thezd2closurezd2global1806z00_108, obj_t BgL_strength1807z00_109,
		obj_t BgL_stackable1808z00_110, bool_t BgL_polymorphiczf31809zf3_111,
		BgL_approxz00_bglt BgL_approx1810z00_112)
	{
		{	/* Cfa/cinfo.sch 711 */
			{	/* Cfa/cinfo.sch 711 */
				BgL_sfunz00_bglt BgL_new1550z00_9469;

				{	/* Cfa/cinfo.sch 711 */
					BgL_sfunz00_bglt BgL_tmp1548z00_9470;
					BgL_externzd2sfunzf2cinfoz20_bglt BgL_wide1549z00_9471;

					{
						BgL_sfunz00_bglt BgL_auxz00_11289;

						{	/* Cfa/cinfo.sch 711 */
							BgL_sfunz00_bglt BgL_new1547z00_9472;

							BgL_new1547z00_9472 =
								((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sfunz00_bgl))));
							{	/* Cfa/cinfo.sch 711 */
								long BgL_arg1990z00_9473;

								BgL_arg1990z00_9473 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1547z00_9472),
									BgL_arg1990z00_9473);
							}
							{	/* Cfa/cinfo.sch 711 */
								BgL_objectz00_bglt BgL_tmpz00_11294;

								BgL_tmpz00_11294 = ((BgL_objectz00_bglt) BgL_new1547z00_9472);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11294, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1547z00_9472);
							BgL_auxz00_11289 = BgL_new1547z00_9472;
						}
						BgL_tmp1548z00_9470 = ((BgL_sfunz00_bglt) BgL_auxz00_11289);
					}
					BgL_wide1549z00_9471 =
						((BgL_externzd2sfunzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_externzd2sfunzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.sch 711 */
						obj_t BgL_auxz00_11302;
						BgL_objectz00_bglt BgL_tmpz00_11300;

						BgL_auxz00_11302 = ((obj_t) BgL_wide1549z00_9471);
						BgL_tmpz00_11300 = ((BgL_objectz00_bglt) BgL_tmp1548z00_9470);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11300, BgL_auxz00_11302);
					}
					((BgL_objectz00_bglt) BgL_tmp1548z00_9470);
					{	/* Cfa/cinfo.sch 711 */
						long BgL_arg1989z00_9474;

						BgL_arg1989z00_9474 =
							BGL_CLASS_NUM(BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1548z00_9470), BgL_arg1989z00_9474);
					}
					BgL_new1550z00_9469 = ((BgL_sfunz00_bglt) BgL_tmp1548z00_9470);
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1550z00_9469)))->BgL_arityz00) =
					((long) BgL_arity1786z00_89), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1550z00_9469)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1787zd2_90), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1550z00_9469)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1788zd2_91), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1550z00_9469)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1789zd2_92), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1550z00_9469)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31791zf3_93), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1550z00_9469)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1792zd2_94), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1550z00_9469)))->
						BgL_effectz00) = ((obj_t) BgL_effect1793z00_95), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1550z00_9469)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1794z00_96), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1550z00_9469)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1795zd2_97), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1550z00_9469)))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1796zd2_98), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1550z00_9469)))->BgL_propertyz00) =
					((obj_t) BgL_property1797z00_99), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1550z00_9469)))->BgL_argsz00) =
					((obj_t) BgL_args1798z00_100), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1550z00_9469)))->BgL_argszd2namezd2) =
					((obj_t) BgL_argszd2name1799zd2_101), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1550z00_9469)))->BgL_bodyz00) =
					((obj_t) BgL_body1800z00_102), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1550z00_9469)))->BgL_classz00) =
					((obj_t) BgL_class1801z00_103), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1550z00_9469)))->BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1802zd2_104), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1550z00_9469)))->BgL_locz00) =
					((obj_t) BgL_loc1803z00_105), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1550z00_9469)))->BgL_optionalsz00) =
					((obj_t) BgL_optionals1804z00_106), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1550z00_9469)))->BgL_keysz00) =
					((obj_t) BgL_keys1805z00_107), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1550z00_9469)))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1806z00_108), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1550z00_9469)))->BgL_strengthz00) =
					((obj_t) BgL_strength1807z00_109), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1550z00_9469)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1808z00_110), BUNSPEC);
				{
					BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_11354;

					{
						obj_t BgL_auxz00_11355;

						{	/* Cfa/cinfo.sch 711 */
							BgL_objectz00_bglt BgL_tmpz00_11356;

							BgL_tmpz00_11356 = ((BgL_objectz00_bglt) BgL_new1550z00_9469);
							BgL_auxz00_11355 = BGL_OBJECT_WIDENING(BgL_tmpz00_11356);
						}
						BgL_auxz00_11354 =
							((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11355);
					}
					((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11354))->
							BgL_polymorphiczf3zf3) =
						((bool_t) BgL_polymorphiczf31809zf3_111), BUNSPEC);
				}
				{
					BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_11361;

					{
						obj_t BgL_auxz00_11362;

						{	/* Cfa/cinfo.sch 711 */
							BgL_objectz00_bglt BgL_tmpz00_11363;

							BgL_tmpz00_11363 = ((BgL_objectz00_bglt) BgL_new1550z00_9469);
							BgL_auxz00_11362 = BGL_OBJECT_WIDENING(BgL_tmpz00_11363);
						}
						BgL_auxz00_11361 =
							((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11362);
					}
					((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11361))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1810z00_112), BUNSPEC);
				}
				return BgL_new1550z00_9469;
			}
		}

	}



/* &make-extern-sfun/Cinfo */
	BgL_sfunz00_bglt BGl_z62makezd2externzd2sfunzf2Cinfoz90zzcfa_infoz00(obj_t
		BgL_envz00_7212, obj_t BgL_arity1786z00_7213,
		obj_t BgL_sidezd2effect1787zd2_7214, obj_t BgL_predicatezd2of1788zd2_7215,
		obj_t BgL_stackzd2allocator1789zd2_7216, obj_t BgL_topzf31791zf3_7217,
		obj_t BgL_thezd2closure1792zd2_7218, obj_t BgL_effect1793z00_7219,
		obj_t BgL_failsafe1794z00_7220, obj_t BgL_argszd2noescape1795zd2_7221,
		obj_t BgL_argszd2retescape1796zd2_7222, obj_t BgL_property1797z00_7223,
		obj_t BgL_args1798z00_7224, obj_t BgL_argszd2name1799zd2_7225,
		obj_t BgL_body1800z00_7226, obj_t BgL_class1801z00_7227,
		obj_t BgL_dssslzd2keywords1802zd2_7228, obj_t BgL_loc1803z00_7229,
		obj_t BgL_optionals1804z00_7230, obj_t BgL_keys1805z00_7231,
		obj_t BgL_thezd2closurezd2global1806z00_7232,
		obj_t BgL_strength1807z00_7233, obj_t BgL_stackable1808z00_7234,
		obj_t BgL_polymorphiczf31809zf3_7235, obj_t BgL_approx1810z00_7236)
	{
		{	/* Cfa/cinfo.sch 711 */
			return
				BGl_makezd2externzd2sfunzf2Cinfozf2zzcfa_infoz00(
				(long) CINT(BgL_arity1786z00_7213), BgL_sidezd2effect1787zd2_7214,
				BgL_predicatezd2of1788zd2_7215, BgL_stackzd2allocator1789zd2_7216,
				CBOOL(BgL_topzf31791zf3_7217), BgL_thezd2closure1792zd2_7218,
				BgL_effect1793z00_7219, BgL_failsafe1794z00_7220,
				BgL_argszd2noescape1795zd2_7221, BgL_argszd2retescape1796zd2_7222,
				BgL_property1797z00_7223, BgL_args1798z00_7224,
				BgL_argszd2name1799zd2_7225, BgL_body1800z00_7226,
				BgL_class1801z00_7227, BgL_dssslzd2keywords1802zd2_7228,
				BgL_loc1803z00_7229, BgL_optionals1804z00_7230, BgL_keys1805z00_7231,
				BgL_thezd2closurezd2global1806z00_7232, BgL_strength1807z00_7233,
				BgL_stackable1808z00_7234, CBOOL(BgL_polymorphiczf31809zf3_7235),
				((BgL_approxz00_bglt) BgL_approx1810z00_7236));
		}

	}



/* extern-sfun/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_externzd2sfunzf2Cinfozf3zd3zzcfa_infoz00(obj_t
		BgL_objz00_113)
	{
		{	/* Cfa/cinfo.sch 712 */
			{	/* Cfa/cinfo.sch 712 */
				obj_t BgL_classz00_9475;

				BgL_classz00_9475 = BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_113))
					{	/* Cfa/cinfo.sch 712 */
						BgL_objectz00_bglt BgL_arg1825z00_9476;

						BgL_arg1825z00_9476 = (BgL_objectz00_bglt) (BgL_objz00_113);
						{	/* Cfa/cinfo.sch 712 */
							bool_t BgL_arg1822z00_9477;
							bool_t BgL_arg1823z00_9478;

							{	/* Cfa/cinfo.sch 712 */
								long BgL_idxz00_9479;

								BgL_idxz00_9479 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9476);
								BgL_arg1822z00_9477 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9479 + ((long) 4))) == BgL_classz00_9475);
							}
							{	/* Cfa/cinfo.sch 712 */
								bool_t BgL_res3050z00_9482;

								{	/* Cfa/cinfo.sch 712 */
									obj_t BgL_oclassz00_9483;

									{	/* Cfa/cinfo.sch 712 */
										long BgL_arg1833z00_9484;

										{	/* Cfa/cinfo.sch 712 */
											long BgL_arg1834z00_9485;

											BgL_arg1834z00_9485 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9476);
											BgL_arg1833z00_9484 = (BgL_arg1834z00_9485 - OBJECT_TYPE);
										}
										BgL_oclassz00_9483 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9484);
									}
									{	/* Cfa/cinfo.sch 712 */
										bool_t BgL__ortest_1110z00_9486;

										BgL__ortest_1110z00_9486 =
											(BgL_classz00_9475 == BgL_oclassz00_9483);
										if (BgL__ortest_1110z00_9486)
											{	/* Cfa/cinfo.sch 712 */
												BgL_res3050z00_9482 = BgL__ortest_1110z00_9486;
											}
										else
											{	/* Cfa/cinfo.sch 712 */
												long BgL_odepthz00_9487;

												BgL_odepthz00_9487 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9483);
												if ((((long) 4) < BgL_odepthz00_9487))
													{	/* Cfa/cinfo.sch 712 */
														obj_t BgL_arg1821z00_9488;

														BgL_arg1821z00_9488 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9483,
															((long) 4));
														BgL_res3050z00_9482 =
															(BgL_arg1821z00_9488 == BgL_classz00_9475);
													}
												else
													{	/* Cfa/cinfo.sch 712 */
														BgL_res3050z00_9482 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9478 = BgL_res3050z00_9482;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9477, BgL_arg1823z00_9478);
						}
					}
				else
					{	/* Cfa/cinfo.sch 712 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &extern-sfun/Cinfo? */
	obj_t BGl_z62externzd2sfunzf2Cinfozf3zb1zzcfa_infoz00(obj_t BgL_envz00_7237,
		obj_t BgL_objz00_7238)
	{
		{	/* Cfa/cinfo.sch 712 */
			return
				BBOOL(BGl_externzd2sfunzf2Cinfozf3zd3zzcfa_infoz00(BgL_objz00_7238));
		}

	}



/* extern-sfun/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_externzd2sfunzf2Cinfozd2nilzf2zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 713 */
			{	/* Cfa/cinfo.sch 713 */
				obj_t BgL_classz00_4562;

				BgL_classz00_4562 = BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 713 */
					obj_t BgL__ortest_1112z00_4563;

					BgL__ortest_1112z00_4563 = BGL_CLASS_NIL(BgL_classz00_4562);
					if (CBOOL(BgL__ortest_1112z00_4563))
						{	/* Cfa/cinfo.sch 713 */
							return ((BgL_sfunz00_bglt) BgL__ortest_1112z00_4563);
						}
					else
						{	/* Cfa/cinfo.sch 713 */
							return
								((BgL_sfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4562));
						}
				}
			}
		}

	}



/* &extern-sfun/Cinfo-nil */
	BgL_sfunz00_bglt BGl_z62externzd2sfunzf2Cinfozd2nilz90zzcfa_infoz00(obj_t
		BgL_envz00_7239)
	{
		{	/* Cfa/cinfo.sch 713 */
			return BGl_externzd2sfunzf2Cinfozd2nilzf2zzcfa_infoz00();
		}

	}



/* extern-sfun/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_externzd2sfunzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_114)
	{
		{	/* Cfa/cinfo.sch 714 */
			{
				BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_11400;

				{
					obj_t BgL_auxz00_11401;

					{	/* Cfa/cinfo.sch 714 */
						BgL_objectz00_bglt BgL_tmpz00_11402;

						BgL_tmpz00_11402 = ((BgL_objectz00_bglt) BgL_oz00_114);
						BgL_auxz00_11401 = BGL_OBJECT_WIDENING(BgL_tmpz00_11402);
					}
					BgL_auxz00_11400 =
						((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11401);
				}
				return
					(((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11400))->
					BgL_approxz00);
			}
		}

	}



/* &extern-sfun/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62externzd2sfunzf2Cinfozd2approxz90zzcfa_infoz00(obj_t
		BgL_envz00_7240, obj_t BgL_oz00_7241)
	{
		{	/* Cfa/cinfo.sch 714 */
			return
				BGl_externzd2sfunzf2Cinfozd2approxzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7241));
		}

	}



/* extern-sfun/Cinfo-polymorphic? */
	BGL_EXPORTED_DEF bool_t
		BGl_externzd2sfunzf2Cinfozd2polymorphiczf3z01zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_117)
	{
		{	/* Cfa/cinfo.sch 716 */
			{
				BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_11409;

				{
					obj_t BgL_auxz00_11410;

					{	/* Cfa/cinfo.sch 716 */
						BgL_objectz00_bglt BgL_tmpz00_11411;

						BgL_tmpz00_11411 = ((BgL_objectz00_bglt) BgL_oz00_117);
						BgL_auxz00_11410 = BGL_OBJECT_WIDENING(BgL_tmpz00_11411);
					}
					BgL_auxz00_11409 =
						((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11410);
				}
				return
					(((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11409))->
					BgL_polymorphiczf3zf3);
			}
		}

	}



/* &extern-sfun/Cinfo-polymorphic? */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2polymorphiczf3z63zzcfa_infoz00(obj_t
		BgL_envz00_7242, obj_t BgL_oz00_7243)
	{
		{	/* Cfa/cinfo.sch 716 */
			return
				BBOOL(BGl_externzd2sfunzf2Cinfozd2polymorphiczf3z01zzcfa_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_7243)));
		}

	}



/* extern-sfun/Cinfo-polymorphic?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zc1zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_118, bool_t BgL_vz00_119)
	{
		{	/* Cfa/cinfo.sch 717 */
			{
				BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_11419;

				{
					obj_t BgL_auxz00_11420;

					{	/* Cfa/cinfo.sch 717 */
						BgL_objectz00_bglt BgL_tmpz00_11421;

						BgL_tmpz00_11421 = ((BgL_objectz00_bglt) BgL_oz00_118);
						BgL_auxz00_11420 = BGL_OBJECT_WIDENING(BgL_tmpz00_11421);
					}
					BgL_auxz00_11419 =
						((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11420);
				}
				return
					((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11419))->
						BgL_polymorphiczf3zf3) = ((bool_t) BgL_vz00_119), BUNSPEC);
			}
		}

	}



/* &extern-sfun/Cinfo-polymorphic?-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12za3zzcfa_infoz00(obj_t
		BgL_envz00_7244, obj_t BgL_oz00_7245, obj_t BgL_vz00_7246)
	{
		{	/* Cfa/cinfo.sch 717 */
			return
				BGl_externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zc1zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7245), CBOOL(BgL_vz00_7246));
		}

	}



/* extern-sfun/Cinfo-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2stackablezf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_120)
	{
		{	/* Cfa/cinfo.sch 718 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_120)))->BgL_stackablez00);
		}

	}



/* &extern-sfun/Cinfo-stackable */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2stackablez90zzcfa_infoz00(obj_t
		BgL_envz00_7247, obj_t BgL_oz00_7248)
	{
		{	/* Cfa/cinfo.sch 718 */
			return
				BGl_externzd2sfunzf2Cinfozd2stackablezf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7248));
		}

	}



/* extern-sfun/Cinfo-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2stackablezd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_121, obj_t BgL_vz00_122)
	{
		{	/* Cfa/cinfo.sch 719 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_121)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_122), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-stackable-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2stackablezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7249, obj_t BgL_oz00_7250, obj_t BgL_vz00_7251)
	{
		{	/* Cfa/cinfo.sch 719 */
			return
				BGl_externzd2sfunzf2Cinfozd2stackablezd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7250), BgL_vz00_7251);
		}

	}



/* extern-sfun/Cinfo-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2strengthzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_123)
	{
		{	/* Cfa/cinfo.sch 720 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_123)))->BgL_strengthz00);
		}

	}



/* &extern-sfun/Cinfo-strength */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2strengthz90zzcfa_infoz00(obj_t
		BgL_envz00_7252, obj_t BgL_oz00_7253)
	{
		{	/* Cfa/cinfo.sch 720 */
			return
				BGl_externzd2sfunzf2Cinfozd2strengthzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7253));
		}

	}



/* extern-sfun/Cinfo-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2strengthzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_124, obj_t BgL_vz00_125)
	{
		{	/* Cfa/cinfo.sch 721 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_124)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_125), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-strength-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2strengthzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7254, obj_t BgL_oz00_7255, obj_t BgL_vz00_7256)
	{
		{	/* Cfa/cinfo.sch 721 */
			return
				BGl_externzd2sfunzf2Cinfozd2strengthzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7255), BgL_vz00_7256);
		}

	}



/* extern-sfun/Cinfo-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzf2zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_126)
	{
		{	/* Cfa/cinfo.sch 722 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_126)))->BgL_thezd2closurezd2globalz00);
		}

	}



/* &extern-sfun/Cinfo-the-closure-global */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2globalz90zzcfa_infoz00(obj_t
		BgL_envz00_7257, obj_t BgL_oz00_7258)
	{
		{	/* Cfa/cinfo.sch 722 */
			return
				BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7258));
		}

	}



/* extern-sfun/Cinfo-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_127, obj_t BgL_vz00_128)
	{
		{	/* Cfa/cinfo.sch 723 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_127)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_128), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-the-closure-global-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z50zzcfa_infoz00
		(obj_t BgL_envz00_7259, obj_t BgL_oz00_7260, obj_t BgL_vz00_7261)
	{
		{	/* Cfa/cinfo.sch 723 */
			return
				BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z32zzcfa_infoz00
				(((BgL_sfunz00_bglt) BgL_oz00_7260), BgL_vz00_7261);
		}

	}



/* extern-sfun/Cinfo-keys */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2keyszf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_129)
	{
		{	/* Cfa/cinfo.sch 724 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_129)))->BgL_keysz00);
		}

	}



/* &extern-sfun/Cinfo-keys */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2keysz90zzcfa_infoz00(obj_t
		BgL_envz00_7262, obj_t BgL_oz00_7263)
	{
		{	/* Cfa/cinfo.sch 724 */
			return
				BGl_externzd2sfunzf2Cinfozd2keyszf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7263));
		}

	}



/* extern-sfun/Cinfo-optionals */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2optionalszf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_132)
	{
		{	/* Cfa/cinfo.sch 726 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_132)))->BgL_optionalsz00);
		}

	}



/* &extern-sfun/Cinfo-optionals */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2optionalsz90zzcfa_infoz00(obj_t
		BgL_envz00_7264, obj_t BgL_oz00_7265)
	{
		{	/* Cfa/cinfo.sch 726 */
			return
				BGl_externzd2sfunzf2Cinfozd2optionalszf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7265));
		}

	}



/* extern-sfun/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2loczf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_135)
	{
		{	/* Cfa/cinfo.sch 728 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_135)))->BgL_locz00);
		}

	}



/* &extern-sfun/Cinfo-loc */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2locz90zzcfa_infoz00(obj_t
		BgL_envz00_7266, obj_t BgL_oz00_7267)
	{
		{	/* Cfa/cinfo.sch 728 */
			return
				BGl_externzd2sfunzf2Cinfozd2loczf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7267));
		}

	}



/* extern-sfun/Cinfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2loczd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_136, obj_t BgL_vz00_137)
	{
		{	/* Cfa/cinfo.sch 729 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_136)))->BgL_locz00) =
				((obj_t) BgL_vz00_137), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-loc-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2loczd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7268, obj_t BgL_oz00_7269, obj_t BgL_vz00_7270)
	{
		{	/* Cfa/cinfo.sch 729 */
			return
				BGl_externzd2sfunzf2Cinfozd2loczd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7269), BgL_vz00_7270);
		}

	}



/* extern-sfun/Cinfo-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordsz20zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_138)
	{
		{	/* Cfa/cinfo.sch 730 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_138)))->BgL_dssslzd2keywordszd2);
		}

	}



/* &extern-sfun/Cinfo-dsssl-keywords */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2dssslzd2keywordsz42zzcfa_infoz00(obj_t
		BgL_envz00_7271, obj_t BgL_oz00_7272)
	{
		{	/* Cfa/cinfo.sch 730 */
			return
				BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordsz20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7272));
		}

	}



/* extern-sfun/Cinfo-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_139, obj_t BgL_vz00_140)
	{
		{	/* Cfa/cinfo.sch 731 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_139)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_140), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-dsssl-keywords-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12z82zzcfa_infoz00
		(obj_t BgL_envz00_7273, obj_t BgL_oz00_7274, obj_t BgL_vz00_7275)
	{
		{	/* Cfa/cinfo.sch 731 */
			return
				BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7274), BgL_vz00_7275);
		}

	}



/* extern-sfun/Cinfo-class */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2classzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_141)
	{
		{	/* Cfa/cinfo.sch 732 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_141)))->BgL_classz00);
		}

	}



/* &extern-sfun/Cinfo-class */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2classz90zzcfa_infoz00(obj_t
		BgL_envz00_7276, obj_t BgL_oz00_7277)
	{
		{	/* Cfa/cinfo.sch 732 */
			return
				BGl_externzd2sfunzf2Cinfozd2classzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7277));
		}

	}



/* extern-sfun/Cinfo-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2classzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_142, obj_t BgL_vz00_143)
	{
		{	/* Cfa/cinfo.sch 733 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_142)))->BgL_classz00) =
				((obj_t) BgL_vz00_143), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-class-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2classzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7278, obj_t BgL_oz00_7279, obj_t BgL_vz00_7280)
	{
		{	/* Cfa/cinfo.sch 733 */
			return
				BGl_externzd2sfunzf2Cinfozd2classzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7279), BgL_vz00_7280);
		}

	}



/* extern-sfun/Cinfo-body */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2bodyzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_144)
	{
		{	/* Cfa/cinfo.sch 734 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_144)))->BgL_bodyz00);
		}

	}



/* &extern-sfun/Cinfo-body */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2bodyz90zzcfa_infoz00(obj_t
		BgL_envz00_7281, obj_t BgL_oz00_7282)
	{
		{	/* Cfa/cinfo.sch 734 */
			return
				BGl_externzd2sfunzf2Cinfozd2bodyzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7282));
		}

	}



/* extern-sfun/Cinfo-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2bodyzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_145, obj_t BgL_vz00_146)
	{
		{	/* Cfa/cinfo.sch 735 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_145)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_146), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-body-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2bodyzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7283, obj_t BgL_oz00_7284, obj_t BgL_vz00_7285)
	{
		{	/* Cfa/cinfo.sch 735 */
			return
				BGl_externzd2sfunzf2Cinfozd2bodyzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7284), BgL_vz00_7285);
		}

	}



/* extern-sfun/Cinfo-args-name */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2namez20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_147)
	{
		{	/* Cfa/cinfo.sch 736 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_147)))->BgL_argszd2namezd2);
		}

	}



/* &extern-sfun/Cinfo-args-name */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2argszd2namez42zzcfa_infoz00(obj_t
		BgL_envz00_7286, obj_t BgL_oz00_7287)
	{
		{	/* Cfa/cinfo.sch 736 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszd2namez20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7287));
		}

	}



/* extern-sfun/Cinfo-args */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_150)
	{
		{	/* Cfa/cinfo.sch 738 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_150)))->BgL_argsz00);
		}

	}



/* &extern-sfun/Cinfo-args */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2argsz90zzcfa_infoz00(obj_t
		BgL_envz00_7288, obj_t BgL_oz00_7289)
	{
		{	/* Cfa/cinfo.sch 738 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7289));
		}

	}



/* extern-sfun/Cinfo-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_151, obj_t BgL_vz00_152)
	{
		{	/* Cfa/cinfo.sch 739 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_151)))->BgL_argsz00) =
				((obj_t) BgL_vz00_152), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-args-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2argszd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7290, obj_t BgL_oz00_7291, obj_t BgL_vz00_7292)
	{
		{	/* Cfa/cinfo.sch 739 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7291), BgL_vz00_7292);
		}

	}



/* extern-sfun/Cinfo-property */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2propertyzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_153)
	{
		{	/* Cfa/cinfo.sch 740 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_153)))->BgL_propertyz00);
		}

	}



/* &extern-sfun/Cinfo-property */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2propertyz90zzcfa_infoz00(obj_t
		BgL_envz00_7293, obj_t BgL_oz00_7294)
	{
		{	/* Cfa/cinfo.sch 740 */
			return
				BGl_externzd2sfunzf2Cinfozd2propertyzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7294));
		}

	}



/* extern-sfun/Cinfo-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2propertyzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_154, obj_t BgL_vz00_155)
	{
		{	/* Cfa/cinfo.sch 741 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_154)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_155), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-property-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2propertyzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7295, obj_t BgL_oz00_7296, obj_t BgL_vz00_7297)
	{
		{	/* Cfa/cinfo.sch 741 */
			return
				BGl_externzd2sfunzf2Cinfozd2propertyzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7296), BgL_vz00_7297);
		}

	}



/* extern-sfun/Cinfo-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2retescapez20zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_156)
	{
		{	/* Cfa/cinfo.sch 742 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_156)))->BgL_argszd2retescapezd2);
		}

	}



/* &extern-sfun/Cinfo-args-retescape */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2argszd2retescapez42zzcfa_infoz00(obj_t
		BgL_envz00_7298, obj_t BgL_oz00_7299)
	{
		{	/* Cfa/cinfo.sch 742 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszd2retescapez20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7299));
		}

	}



/* extern-sfun/Cinfo-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_157, obj_t BgL_vz00_158)
	{
		{	/* Cfa/cinfo.sch 743 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_157)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_158), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-args-retescape-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12z82zzcfa_infoz00
		(obj_t BgL_envz00_7300, obj_t BgL_oz00_7301, obj_t BgL_vz00_7302)
	{
		{	/* Cfa/cinfo.sch 743 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7301), BgL_vz00_7302);
		}

	}



/* extern-sfun/Cinfo-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2noescapez20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_159)
	{
		{	/* Cfa/cinfo.sch 744 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_159)))->BgL_argszd2noescapezd2);
		}

	}



/* &extern-sfun/Cinfo-args-noescape */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2argszd2noescapez42zzcfa_infoz00(obj_t
		BgL_envz00_7303, obj_t BgL_oz00_7304)
	{
		{	/* Cfa/cinfo.sch 744 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszd2noescapez20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7304));
		}

	}



/* extern-sfun/Cinfo-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_160, obj_t BgL_vz00_161)
	{
		{	/* Cfa/cinfo.sch 745 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_160)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_161), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-args-noescape-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12z82zzcfa_infoz00
		(obj_t BgL_envz00_7305, obj_t BgL_oz00_7306, obj_t BgL_vz00_7307)
	{
		{	/* Cfa/cinfo.sch 745 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7306), BgL_vz00_7307);
		}

	}



/* extern-sfun/Cinfo-failsafe */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2failsafezf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_162)
	{
		{	/* Cfa/cinfo.sch 746 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_162)))->BgL_failsafez00);
		}

	}



/* &extern-sfun/Cinfo-failsafe */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2failsafez90zzcfa_infoz00(obj_t
		BgL_envz00_7308, obj_t BgL_oz00_7309)
	{
		{	/* Cfa/cinfo.sch 746 */
			return
				BGl_externzd2sfunzf2Cinfozd2failsafezf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7309));
		}

	}



/* extern-sfun/Cinfo-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2failsafezd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_163, obj_t BgL_vz00_164)
	{
		{	/* Cfa/cinfo.sch 747 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_163)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_164), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-failsafe-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2failsafezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7310, obj_t BgL_oz00_7311, obj_t BgL_vz00_7312)
	{
		{	/* Cfa/cinfo.sch 747 */
			return
				BGl_externzd2sfunzf2Cinfozd2failsafezd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7311), BgL_vz00_7312);
		}

	}



/* extern-sfun/Cinfo-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2effectzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_165)
	{
		{	/* Cfa/cinfo.sch 748 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_165)))->BgL_effectz00);
		}

	}



/* &extern-sfun/Cinfo-effect */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2effectz90zzcfa_infoz00(obj_t
		BgL_envz00_7313, obj_t BgL_oz00_7314)
	{
		{	/* Cfa/cinfo.sch 748 */
			return
				BGl_externzd2sfunzf2Cinfozd2effectzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7314));
		}

	}



/* extern-sfun/Cinfo-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2effectzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_166, obj_t BgL_vz00_167)
	{
		{	/* Cfa/cinfo.sch 749 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_166)))->BgL_effectz00) =
				((obj_t) BgL_vz00_167), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-effect-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2effectzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7315, obj_t BgL_oz00_7316, obj_t BgL_vz00_7317)
	{
		{	/* Cfa/cinfo.sch 749 */
			return
				BGl_externzd2sfunzf2Cinfozd2effectzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7316), BgL_vz00_7317);
		}

	}



/* extern-sfun/Cinfo-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurez20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_168)
	{
		{	/* Cfa/cinfo.sch 750 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_168)))->BgL_thezd2closurezd2);
		}

	}



/* &extern-sfun/Cinfo-the-closure */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2thezd2closurez42zzcfa_infoz00(obj_t
		BgL_envz00_7318, obj_t BgL_oz00_7319)
	{
		{	/* Cfa/cinfo.sch 750 */
			return
				BGl_externzd2sfunzf2Cinfozd2thezd2closurez20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7319));
		}

	}



/* extern-sfun/Cinfo-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_169, obj_t BgL_vz00_170)
	{
		{	/* Cfa/cinfo.sch 751 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_169)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_170), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-the-closure-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7320, obj_t BgL_oz00_7321, obj_t BgL_vz00_7322)
	{
		{	/* Cfa/cinfo.sch 751 */
			return
				BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7321), BgL_vz00_7322);
		}

	}



/* extern-sfun/Cinfo-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_externzd2sfunzf2Cinfozd2topzf3z01zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_171)
	{
		{	/* Cfa/cinfo.sch 752 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_171)))->BgL_topzf3zf3);
		}

	}



/* &extern-sfun/Cinfo-top? */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2topzf3z63zzcfa_infoz00(obj_t
		BgL_envz00_7323, obj_t BgL_oz00_7324)
	{
		{	/* Cfa/cinfo.sch 752 */
			return
				BBOOL(BGl_externzd2sfunzf2Cinfozd2topzf3z01zzcfa_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_7324)));
		}

	}



/* extern-sfun/Cinfo-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2topzf3zd2setz12zc1zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_172, bool_t BgL_vz00_173)
	{
		{	/* Cfa/cinfo.sch 753 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_172)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_173), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-top?-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2topzf3zd2setz12za3zzcfa_infoz00(obj_t
		BgL_envz00_7325, obj_t BgL_oz00_7326, obj_t BgL_vz00_7327)
	{
		{	/* Cfa/cinfo.sch 753 */
			return
				BGl_externzd2sfunzf2Cinfozd2topzf3zd2setz12zc1zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7326), CBOOL(BgL_vz00_7327));
		}

	}



/* extern-sfun/Cinfo-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorz20zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_174)
	{
		{	/* Cfa/cinfo.sch 754 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_174)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &extern-sfun/Cinfo-stack-allocator */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2stackzd2allocatorz42zzcfa_infoz00(obj_t
		BgL_envz00_7328, obj_t BgL_oz00_7329)
	{
		{	/* Cfa/cinfo.sch 754 */
			return
				BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorz20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7329));
		}

	}



/* extern-sfun/Cinfo-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_175, obj_t BgL_vz00_176)
	{
		{	/* Cfa/cinfo.sch 755 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_175)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_176), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-stack-allocator-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12z82zzcfa_infoz00
		(obj_t BgL_envz00_7330, obj_t BgL_oz00_7331, obj_t BgL_vz00_7332)
	{
		{	/* Cfa/cinfo.sch 755 */
			return
				BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7331), BgL_vz00_7332);
		}

	}



/* extern-sfun/Cinfo-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2predicatezd2ofz20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_177)
	{
		{	/* Cfa/cinfo.sch 756 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_177)))->BgL_predicatezd2ofzd2);
		}

	}



/* &extern-sfun/Cinfo-predicate-of */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2predicatezd2ofz42zzcfa_infoz00(obj_t
		BgL_envz00_7333, obj_t BgL_oz00_7334)
	{
		{	/* Cfa/cinfo.sch 756 */
			return
				BGl_externzd2sfunzf2Cinfozd2predicatezd2ofz20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7334));
		}

	}



/* extern-sfun/Cinfo-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_178, obj_t BgL_vz00_179)
	{
		{	/* Cfa/cinfo.sch 757 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_178)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_179), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-predicate-of-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7335, obj_t BgL_oz00_7336, obj_t BgL_vz00_7337)
	{
		{	/* Cfa/cinfo.sch 757 */
			return
				BGl_externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7336), BgL_vz00_7337);
		}

	}



/* extern-sfun/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2sidezd2effectz20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_180)
	{
		{	/* Cfa/cinfo.sch 758 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_180)))->BgL_sidezd2effectzd2);
		}

	}



/* &extern-sfun/Cinfo-side-effect */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2sidezd2effectz42zzcfa_infoz00(obj_t
		BgL_envz00_7338, obj_t BgL_oz00_7339)
	{
		{	/* Cfa/cinfo.sch 758 */
			return
				BGl_externzd2sfunzf2Cinfozd2sidezd2effectz20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7339));
		}

	}



/* extern-sfun/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_181, obj_t BgL_vz00_182)
	{
		{	/* Cfa/cinfo.sch 759 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_181)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_182), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-side-effect-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7340, obj_t BgL_oz00_7341, obj_t BgL_vz00_7342)
	{
		{	/* Cfa/cinfo.sch 759 */
			return
				BGl_externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7341), BgL_vz00_7342);
		}

	}



/* extern-sfun/Cinfo-arity */
	BGL_EXPORTED_DEF long
		BGl_externzd2sfunzf2Cinfozd2arityzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_183)
	{
		{	/* Cfa/cinfo.sch 760 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_183)))->BgL_arityz00);
		}

	}



/* &extern-sfun/Cinfo-arity */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2arityz90zzcfa_infoz00(obj_t
		BgL_envz00_7343, obj_t BgL_oz00_7344)
	{
		{	/* Cfa/cinfo.sch 760 */
			return
				BINT(BGl_externzd2sfunzf2Cinfozd2arityzf2zzcfa_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_7344)));
		}

	}



/* make-intern-sfun/Cinfo */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_makezd2internzd2sfunzf2Cinfozf2zzcfa_infoz00(long BgL_arity1760z00_186,
		obj_t BgL_sidezd2effect1761zd2_187, obj_t BgL_predicatezd2of1762zd2_188,
		obj_t BgL_stackzd2allocator1763zd2_189, bool_t BgL_topzf31764zf3_190,
		obj_t BgL_thezd2closure1765zd2_191, obj_t BgL_effect1766z00_192,
		obj_t BgL_failsafe1767z00_193, obj_t BgL_argszd2noescape1768zd2_194,
		obj_t BgL_argszd2retescape1769zd2_195, obj_t BgL_property1770z00_196,
		obj_t BgL_args1771z00_197, obj_t BgL_argszd2name1772zd2_198,
		obj_t BgL_body1773z00_199, obj_t BgL_class1774z00_200,
		obj_t BgL_dssslzd2keywords1775zd2_201, obj_t BgL_loc1776z00_202,
		obj_t BgL_optionals1777z00_203, obj_t BgL_keys1778z00_204,
		obj_t BgL_thezd2closurezd2global1779z00_205, obj_t BgL_strength1780z00_206,
		obj_t BgL_stackable1781z00_207, bool_t BgL_polymorphiczf31782zf3_208,
		BgL_approxz00_bglt BgL_approx1783z00_209, long BgL_stamp1784z00_210)
	{
		{	/* Cfa/cinfo.sch 764 */
			{	/* Cfa/cinfo.sch 764 */
				BgL_sfunz00_bglt BgL_new1554z00_9489;

				{	/* Cfa/cinfo.sch 764 */
					BgL_sfunz00_bglt BgL_tmp1552z00_9490;
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_wide1553z00_9491;

					{
						BgL_sfunz00_bglt BgL_auxz00_11592;

						{	/* Cfa/cinfo.sch 764 */
							BgL_sfunz00_bglt BgL_new1551z00_9492;

							BgL_new1551z00_9492 =
								((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sfunz00_bgl))));
							{	/* Cfa/cinfo.sch 764 */
								long BgL_arg1992z00_9493;

								BgL_arg1992z00_9493 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1551z00_9492),
									BgL_arg1992z00_9493);
							}
							{	/* Cfa/cinfo.sch 764 */
								BgL_objectz00_bglt BgL_tmpz00_11597;

								BgL_tmpz00_11597 = ((BgL_objectz00_bglt) BgL_new1551z00_9492);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11597, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1551z00_9492);
							BgL_auxz00_11592 = BgL_new1551z00_9492;
						}
						BgL_tmp1552z00_9490 = ((BgL_sfunz00_bglt) BgL_auxz00_11592);
					}
					BgL_wide1553z00_9491 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_internzd2sfunzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.sch 764 */
						obj_t BgL_auxz00_11605;
						BgL_objectz00_bglt BgL_tmpz00_11603;

						BgL_auxz00_11605 = ((obj_t) BgL_wide1553z00_9491);
						BgL_tmpz00_11603 = ((BgL_objectz00_bglt) BgL_tmp1552z00_9490);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11603, BgL_auxz00_11605);
					}
					((BgL_objectz00_bglt) BgL_tmp1552z00_9490);
					{	/* Cfa/cinfo.sch 764 */
						long BgL_arg1991z00_9494;

						BgL_arg1991z00_9494 =
							BGL_CLASS_NUM(BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1552z00_9490), BgL_arg1991z00_9494);
					}
					BgL_new1554z00_9489 = ((BgL_sfunz00_bglt) BgL_tmp1552z00_9490);
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1554z00_9489)))->BgL_arityz00) =
					((long) BgL_arity1760z00_186), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1554z00_9489)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1761zd2_187), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1554z00_9489)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1762zd2_188), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1554z00_9489)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1763zd2_189), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1554z00_9489)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31764zf3_190), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1554z00_9489)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1765zd2_191), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1554z00_9489)))->
						BgL_effectz00) = ((obj_t) BgL_effect1766z00_192), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1554z00_9489)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1767z00_193), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1554z00_9489)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1768zd2_194), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1554z00_9489)))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1769zd2_195), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1554z00_9489)))->BgL_propertyz00) =
					((obj_t) BgL_property1770z00_196), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1554z00_9489)))->BgL_argsz00) =
					((obj_t) BgL_args1771z00_197), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1554z00_9489)))->BgL_argszd2namezd2) =
					((obj_t) BgL_argszd2name1772zd2_198), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1554z00_9489)))->BgL_bodyz00) =
					((obj_t) BgL_body1773z00_199), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1554z00_9489)))->BgL_classz00) =
					((obj_t) BgL_class1774z00_200), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1554z00_9489)))->BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1775zd2_201), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1554z00_9489)))->BgL_locz00) =
					((obj_t) BgL_loc1776z00_202), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1554z00_9489)))->BgL_optionalsz00) =
					((obj_t) BgL_optionals1777z00_203), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1554z00_9489)))->BgL_keysz00) =
					((obj_t) BgL_keys1778z00_204), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1554z00_9489)))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1779z00_205), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1554z00_9489)))->BgL_strengthz00) =
					((obj_t) BgL_strength1780z00_206), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1554z00_9489)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1781z00_207), BUNSPEC);
				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_11657;

					{
						obj_t BgL_auxz00_11658;

						{	/* Cfa/cinfo.sch 764 */
							BgL_objectz00_bglt BgL_tmpz00_11659;

							BgL_tmpz00_11659 = ((BgL_objectz00_bglt) BgL_new1554z00_9489);
							BgL_auxz00_11658 = BGL_OBJECT_WIDENING(BgL_tmpz00_11659);
						}
						BgL_auxz00_11657 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11658);
					}
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11657))->
							BgL_polymorphiczf3zf3) =
						((bool_t) BgL_polymorphiczf31782zf3_208), BUNSPEC);
				}
				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_11664;

					{
						obj_t BgL_auxz00_11665;

						{	/* Cfa/cinfo.sch 764 */
							BgL_objectz00_bglt BgL_tmpz00_11666;

							BgL_tmpz00_11666 = ((BgL_objectz00_bglt) BgL_new1554z00_9489);
							BgL_auxz00_11665 = BGL_OBJECT_WIDENING(BgL_tmpz00_11666);
						}
						BgL_auxz00_11664 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11665);
					}
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11664))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1783z00_209), BUNSPEC);
				}
				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_11671;

					{
						obj_t BgL_auxz00_11672;

						{	/* Cfa/cinfo.sch 764 */
							BgL_objectz00_bglt BgL_tmpz00_11673;

							BgL_tmpz00_11673 = ((BgL_objectz00_bglt) BgL_new1554z00_9489);
							BgL_auxz00_11672 = BGL_OBJECT_WIDENING(BgL_tmpz00_11673);
						}
						BgL_auxz00_11671 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11672);
					}
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11671))->
							BgL_stampz00) = ((long) BgL_stamp1784z00_210), BUNSPEC);
				}
				return BgL_new1554z00_9489;
			}
		}

	}



/* &make-intern-sfun/Cinfo */
	BgL_sfunz00_bglt BGl_z62makezd2internzd2sfunzf2Cinfoz90zzcfa_infoz00(obj_t
		BgL_envz00_7345, obj_t BgL_arity1760z00_7346,
		obj_t BgL_sidezd2effect1761zd2_7347, obj_t BgL_predicatezd2of1762zd2_7348,
		obj_t BgL_stackzd2allocator1763zd2_7349, obj_t BgL_topzf31764zf3_7350,
		obj_t BgL_thezd2closure1765zd2_7351, obj_t BgL_effect1766z00_7352,
		obj_t BgL_failsafe1767z00_7353, obj_t BgL_argszd2noescape1768zd2_7354,
		obj_t BgL_argszd2retescape1769zd2_7355, obj_t BgL_property1770z00_7356,
		obj_t BgL_args1771z00_7357, obj_t BgL_argszd2name1772zd2_7358,
		obj_t BgL_body1773z00_7359, obj_t BgL_class1774z00_7360,
		obj_t BgL_dssslzd2keywords1775zd2_7361, obj_t BgL_loc1776z00_7362,
		obj_t BgL_optionals1777z00_7363, obj_t BgL_keys1778z00_7364,
		obj_t BgL_thezd2closurezd2global1779z00_7365,
		obj_t BgL_strength1780z00_7366, obj_t BgL_stackable1781z00_7367,
		obj_t BgL_polymorphiczf31782zf3_7368, obj_t BgL_approx1783z00_7369,
		obj_t BgL_stamp1784z00_7370)
	{
		{	/* Cfa/cinfo.sch 764 */
			return
				BGl_makezd2internzd2sfunzf2Cinfozf2zzcfa_infoz00(
				(long) CINT(BgL_arity1760z00_7346), BgL_sidezd2effect1761zd2_7347,
				BgL_predicatezd2of1762zd2_7348, BgL_stackzd2allocator1763zd2_7349,
				CBOOL(BgL_topzf31764zf3_7350), BgL_thezd2closure1765zd2_7351,
				BgL_effect1766z00_7352, BgL_failsafe1767z00_7353,
				BgL_argszd2noescape1768zd2_7354, BgL_argszd2retescape1769zd2_7355,
				BgL_property1770z00_7356, BgL_args1771z00_7357,
				BgL_argszd2name1772zd2_7358, BgL_body1773z00_7359,
				BgL_class1774z00_7360, BgL_dssslzd2keywords1775zd2_7361,
				BgL_loc1776z00_7362, BgL_optionals1777z00_7363, BgL_keys1778z00_7364,
				BgL_thezd2closurezd2global1779z00_7365, BgL_strength1780z00_7366,
				BgL_stackable1781z00_7367, CBOOL(BgL_polymorphiczf31782zf3_7368),
				((BgL_approxz00_bglt) BgL_approx1783z00_7369),
				(long) CINT(BgL_stamp1784z00_7370));
		}

	}



/* intern-sfun/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_internzd2sfunzf2Cinfozf3zd3zzcfa_infoz00(obj_t
		BgL_objz00_211)
	{
		{	/* Cfa/cinfo.sch 765 */
			{	/* Cfa/cinfo.sch 765 */
				obj_t BgL_classz00_9495;

				BgL_classz00_9495 = BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_211))
					{	/* Cfa/cinfo.sch 765 */
						BgL_objectz00_bglt BgL_arg1825z00_9496;

						BgL_arg1825z00_9496 = (BgL_objectz00_bglt) (BgL_objz00_211);
						{	/* Cfa/cinfo.sch 765 */
							bool_t BgL_arg1822z00_9497;
							bool_t BgL_arg1823z00_9498;

							{	/* Cfa/cinfo.sch 765 */
								long BgL_idxz00_9499;

								BgL_idxz00_9499 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9496);
								BgL_arg1822z00_9497 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9499 + ((long) 4))) == BgL_classz00_9495);
							}
							{	/* Cfa/cinfo.sch 765 */
								bool_t BgL_res3051z00_9502;

								{	/* Cfa/cinfo.sch 765 */
									obj_t BgL_oclassz00_9503;

									{	/* Cfa/cinfo.sch 765 */
										long BgL_arg1833z00_9504;

										{	/* Cfa/cinfo.sch 765 */
											long BgL_arg1834z00_9505;

											BgL_arg1834z00_9505 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9496);
											BgL_arg1833z00_9504 = (BgL_arg1834z00_9505 - OBJECT_TYPE);
										}
										BgL_oclassz00_9503 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9504);
									}
									{	/* Cfa/cinfo.sch 765 */
										bool_t BgL__ortest_1110z00_9506;

										BgL__ortest_1110z00_9506 =
											(BgL_classz00_9495 == BgL_oclassz00_9503);
										if (BgL__ortest_1110z00_9506)
											{	/* Cfa/cinfo.sch 765 */
												BgL_res3051z00_9502 = BgL__ortest_1110z00_9506;
											}
										else
											{	/* Cfa/cinfo.sch 765 */
												long BgL_odepthz00_9507;

												BgL_odepthz00_9507 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9503);
												if ((((long) 4) < BgL_odepthz00_9507))
													{	/* Cfa/cinfo.sch 765 */
														obj_t BgL_arg1821z00_9508;

														BgL_arg1821z00_9508 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9503,
															((long) 4));
														BgL_res3051z00_9502 =
															(BgL_arg1821z00_9508 == BgL_classz00_9495);
													}
												else
													{	/* Cfa/cinfo.sch 765 */
														BgL_res3051z00_9502 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9498 = BgL_res3051z00_9502;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9497, BgL_arg1823z00_9498);
						}
					}
				else
					{	/* Cfa/cinfo.sch 765 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &intern-sfun/Cinfo? */
	obj_t BGl_z62internzd2sfunzf2Cinfozf3zb1zzcfa_infoz00(obj_t BgL_envz00_7371,
		obj_t BgL_objz00_7372)
	{
		{	/* Cfa/cinfo.sch 765 */
			return
				BBOOL(BGl_internzd2sfunzf2Cinfozf3zd3zzcfa_infoz00(BgL_objz00_7372));
		}

	}



/* intern-sfun/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_internzd2sfunzf2Cinfozd2nilzf2zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 766 */
			{	/* Cfa/cinfo.sch 766 */
				obj_t BgL_classz00_4616;

				BgL_classz00_4616 = BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 766 */
					obj_t BgL__ortest_1112z00_4617;

					BgL__ortest_1112z00_4617 = BGL_CLASS_NIL(BgL_classz00_4616);
					if (CBOOL(BgL__ortest_1112z00_4617))
						{	/* Cfa/cinfo.sch 766 */
							return ((BgL_sfunz00_bglt) BgL__ortest_1112z00_4617);
						}
					else
						{	/* Cfa/cinfo.sch 766 */
							return
								((BgL_sfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4616));
						}
				}
			}
		}

	}



/* &intern-sfun/Cinfo-nil */
	BgL_sfunz00_bglt BGl_z62internzd2sfunzf2Cinfozd2nilz90zzcfa_infoz00(obj_t
		BgL_envz00_7373)
	{
		{	/* Cfa/cinfo.sch 766 */
			return BGl_internzd2sfunzf2Cinfozd2nilzf2zzcfa_infoz00();
		}

	}



/* intern-sfun/Cinfo-stamp */
	BGL_EXPORTED_DEF long
		BGl_internzd2sfunzf2Cinfozd2stampzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_212)
	{
		{	/* Cfa/cinfo.sch 767 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_11711;

				{
					obj_t BgL_auxz00_11712;

					{	/* Cfa/cinfo.sch 767 */
						BgL_objectz00_bglt BgL_tmpz00_11713;

						BgL_tmpz00_11713 = ((BgL_objectz00_bglt) BgL_oz00_212);
						BgL_auxz00_11712 = BGL_OBJECT_WIDENING(BgL_tmpz00_11713);
					}
					BgL_auxz00_11711 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11712);
				}
				return
					(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11711))->
					BgL_stampz00);
			}
		}

	}



/* &intern-sfun/Cinfo-stamp */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2stampz90zzcfa_infoz00(obj_t
		BgL_envz00_7374, obj_t BgL_oz00_7375)
	{
		{	/* Cfa/cinfo.sch 767 */
			return
				BINT(BGl_internzd2sfunzf2Cinfozd2stampzf2zzcfa_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_7375)));
		}

	}



/* intern-sfun/Cinfo-stamp-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2stampzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_213, long BgL_vz00_214)
	{
		{	/* Cfa/cinfo.sch 768 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_11721;

				{
					obj_t BgL_auxz00_11722;

					{	/* Cfa/cinfo.sch 768 */
						BgL_objectz00_bglt BgL_tmpz00_11723;

						BgL_tmpz00_11723 = ((BgL_objectz00_bglt) BgL_oz00_213);
						BgL_auxz00_11722 = BGL_OBJECT_WIDENING(BgL_tmpz00_11723);
					}
					BgL_auxz00_11721 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11722);
				}
				return
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11721))->
						BgL_stampz00) = ((long) BgL_vz00_214), BUNSPEC);
		}}

	}



/* &intern-sfun/Cinfo-stamp-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2stampzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7376, obj_t BgL_oz00_7377, obj_t BgL_vz00_7378)
	{
		{	/* Cfa/cinfo.sch 768 */
			return
				BGl_internzd2sfunzf2Cinfozd2stampzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7377), (long) CINT(BgL_vz00_7378));
		}

	}



/* intern-sfun/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_internzd2sfunzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_215)
	{
		{	/* Cfa/cinfo.sch 769 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_11731;

				{
					obj_t BgL_auxz00_11732;

					{	/* Cfa/cinfo.sch 769 */
						BgL_objectz00_bglt BgL_tmpz00_11733;

						BgL_tmpz00_11733 = ((BgL_objectz00_bglt) BgL_oz00_215);
						BgL_auxz00_11732 = BGL_OBJECT_WIDENING(BgL_tmpz00_11733);
					}
					BgL_auxz00_11731 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11732);
				}
				return
					(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11731))->
					BgL_approxz00);
			}
		}

	}



/* &intern-sfun/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62internzd2sfunzf2Cinfozd2approxz90zzcfa_infoz00(obj_t
		BgL_envz00_7379, obj_t BgL_oz00_7380)
	{
		{	/* Cfa/cinfo.sch 769 */
			return
				BGl_internzd2sfunzf2Cinfozd2approxzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7380));
		}

	}



/* intern-sfun/Cinfo-polymorphic? */
	BGL_EXPORTED_DEF bool_t
		BGl_internzd2sfunzf2Cinfozd2polymorphiczf3z01zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_218)
	{
		{	/* Cfa/cinfo.sch 771 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_11740;

				{
					obj_t BgL_auxz00_11741;

					{	/* Cfa/cinfo.sch 771 */
						BgL_objectz00_bglt BgL_tmpz00_11742;

						BgL_tmpz00_11742 = ((BgL_objectz00_bglt) BgL_oz00_218);
						BgL_auxz00_11741 = BGL_OBJECT_WIDENING(BgL_tmpz00_11742);
					}
					BgL_auxz00_11740 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11741);
				}
				return
					(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11740))->
					BgL_polymorphiczf3zf3);
			}
		}

	}



/* &intern-sfun/Cinfo-polymorphic? */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2polymorphiczf3z63zzcfa_infoz00(obj_t
		BgL_envz00_7381, obj_t BgL_oz00_7382)
	{
		{	/* Cfa/cinfo.sch 771 */
			return
				BBOOL(BGl_internzd2sfunzf2Cinfozd2polymorphiczf3z01zzcfa_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_7382)));
		}

	}



/* intern-sfun/Cinfo-polymorphic?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zc1zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_219, bool_t BgL_vz00_220)
	{
		{	/* Cfa/cinfo.sch 772 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_11750;

				{
					obj_t BgL_auxz00_11751;

					{	/* Cfa/cinfo.sch 772 */
						BgL_objectz00_bglt BgL_tmpz00_11752;

						BgL_tmpz00_11752 = ((BgL_objectz00_bglt) BgL_oz00_219);
						BgL_auxz00_11751 = BGL_OBJECT_WIDENING(BgL_tmpz00_11752);
					}
					BgL_auxz00_11750 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11751);
				}
				return
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11750))->
						BgL_polymorphiczf3zf3) = ((bool_t) BgL_vz00_220), BUNSPEC);
			}
		}

	}



/* &intern-sfun/Cinfo-polymorphic?-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12za3zzcfa_infoz00(obj_t
		BgL_envz00_7383, obj_t BgL_oz00_7384, obj_t BgL_vz00_7385)
	{
		{	/* Cfa/cinfo.sch 772 */
			return
				BGl_internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zc1zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7384), CBOOL(BgL_vz00_7385));
		}

	}



/* intern-sfun/Cinfo-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2stackablezf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_221)
	{
		{	/* Cfa/cinfo.sch 773 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_221)))->BgL_stackablez00);
		}

	}



/* &intern-sfun/Cinfo-stackable */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2stackablez90zzcfa_infoz00(obj_t
		BgL_envz00_7386, obj_t BgL_oz00_7387)
	{
		{	/* Cfa/cinfo.sch 773 */
			return
				BGl_internzd2sfunzf2Cinfozd2stackablezf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7387));
		}

	}



/* intern-sfun/Cinfo-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2stackablezd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_222, obj_t BgL_vz00_223)
	{
		{	/* Cfa/cinfo.sch 774 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_222)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_223), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-stackable-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2stackablezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7388, obj_t BgL_oz00_7389, obj_t BgL_vz00_7390)
	{
		{	/* Cfa/cinfo.sch 774 */
			return
				BGl_internzd2sfunzf2Cinfozd2stackablezd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7389), BgL_vz00_7390);
		}

	}



/* intern-sfun/Cinfo-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2strengthzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_224)
	{
		{	/* Cfa/cinfo.sch 775 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_224)))->BgL_strengthz00);
		}

	}



/* &intern-sfun/Cinfo-strength */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2strengthz90zzcfa_infoz00(obj_t
		BgL_envz00_7391, obj_t BgL_oz00_7392)
	{
		{	/* Cfa/cinfo.sch 775 */
			return
				BGl_internzd2sfunzf2Cinfozd2strengthzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7392));
		}

	}



/* intern-sfun/Cinfo-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2strengthzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_225, obj_t BgL_vz00_226)
	{
		{	/* Cfa/cinfo.sch 776 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_225)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_226), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-strength-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2strengthzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7393, obj_t BgL_oz00_7394, obj_t BgL_vz00_7395)
	{
		{	/* Cfa/cinfo.sch 776 */
			return
				BGl_internzd2sfunzf2Cinfozd2strengthzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7394), BgL_vz00_7395);
		}

	}



/* intern-sfun/Cinfo-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzf2zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_227)
	{
		{	/* Cfa/cinfo.sch 777 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_227)))->BgL_thezd2closurezd2globalz00);
		}

	}



/* &intern-sfun/Cinfo-the-closure-global */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2globalz90zzcfa_infoz00(obj_t
		BgL_envz00_7396, obj_t BgL_oz00_7397)
	{
		{	/* Cfa/cinfo.sch 777 */
			return
				BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7397));
		}

	}



/* intern-sfun/Cinfo-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_228, obj_t BgL_vz00_229)
	{
		{	/* Cfa/cinfo.sch 778 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_228)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_229), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-the-closure-global-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z50zzcfa_infoz00
		(obj_t BgL_envz00_7398, obj_t BgL_oz00_7399, obj_t BgL_vz00_7400)
	{
		{	/* Cfa/cinfo.sch 778 */
			return
				BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z32zzcfa_infoz00
				(((BgL_sfunz00_bglt) BgL_oz00_7399), BgL_vz00_7400);
		}

	}



/* intern-sfun/Cinfo-keys */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2keyszf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_230)
	{
		{	/* Cfa/cinfo.sch 779 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_230)))->BgL_keysz00);
		}

	}



/* &intern-sfun/Cinfo-keys */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2keysz90zzcfa_infoz00(obj_t
		BgL_envz00_7401, obj_t BgL_oz00_7402)
	{
		{	/* Cfa/cinfo.sch 779 */
			return
				BGl_internzd2sfunzf2Cinfozd2keyszf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7402));
		}

	}



/* intern-sfun/Cinfo-optionals */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2optionalszf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_233)
	{
		{	/* Cfa/cinfo.sch 781 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_233)))->BgL_optionalsz00);
		}

	}



/* &intern-sfun/Cinfo-optionals */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2optionalsz90zzcfa_infoz00(obj_t
		BgL_envz00_7403, obj_t BgL_oz00_7404)
	{
		{	/* Cfa/cinfo.sch 781 */
			return
				BGl_internzd2sfunzf2Cinfozd2optionalszf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7404));
		}

	}



/* intern-sfun/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2loczf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_236)
	{
		{	/* Cfa/cinfo.sch 783 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_236)))->BgL_locz00);
		}

	}



/* &intern-sfun/Cinfo-loc */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2locz90zzcfa_infoz00(obj_t
		BgL_envz00_7405, obj_t BgL_oz00_7406)
	{
		{	/* Cfa/cinfo.sch 783 */
			return
				BGl_internzd2sfunzf2Cinfozd2loczf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7406));
		}

	}



/* intern-sfun/Cinfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2loczd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_237, obj_t BgL_vz00_238)
	{
		{	/* Cfa/cinfo.sch 784 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_237)))->BgL_locz00) =
				((obj_t) BgL_vz00_238), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-loc-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2loczd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7407, obj_t BgL_oz00_7408, obj_t BgL_vz00_7409)
	{
		{	/* Cfa/cinfo.sch 784 */
			return
				BGl_internzd2sfunzf2Cinfozd2loczd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7408), BgL_vz00_7409);
		}

	}



/* intern-sfun/Cinfo-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordsz20zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_239)
	{
		{	/* Cfa/cinfo.sch 785 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_239)))->BgL_dssslzd2keywordszd2);
		}

	}



/* &intern-sfun/Cinfo-dsssl-keywords */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2dssslzd2keywordsz42zzcfa_infoz00(obj_t
		BgL_envz00_7410, obj_t BgL_oz00_7411)
	{
		{	/* Cfa/cinfo.sch 785 */
			return
				BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordsz20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7411));
		}

	}



/* intern-sfun/Cinfo-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_240, obj_t BgL_vz00_241)
	{
		{	/* Cfa/cinfo.sch 786 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_240)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_241), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-dsssl-keywords-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12z82zzcfa_infoz00
		(obj_t BgL_envz00_7412, obj_t BgL_oz00_7413, obj_t BgL_vz00_7414)
	{
		{	/* Cfa/cinfo.sch 786 */
			return
				BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7413), BgL_vz00_7414);
		}

	}



/* intern-sfun/Cinfo-class */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2classzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_242)
	{
		{	/* Cfa/cinfo.sch 787 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_242)))->BgL_classz00);
		}

	}



/* &intern-sfun/Cinfo-class */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2classz90zzcfa_infoz00(obj_t
		BgL_envz00_7415, obj_t BgL_oz00_7416)
	{
		{	/* Cfa/cinfo.sch 787 */
			return
				BGl_internzd2sfunzf2Cinfozd2classzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7416));
		}

	}



/* intern-sfun/Cinfo-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2classzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_243, obj_t BgL_vz00_244)
	{
		{	/* Cfa/cinfo.sch 788 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_243)))->BgL_classz00) =
				((obj_t) BgL_vz00_244), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-class-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2classzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7417, obj_t BgL_oz00_7418, obj_t BgL_vz00_7419)
	{
		{	/* Cfa/cinfo.sch 788 */
			return
				BGl_internzd2sfunzf2Cinfozd2classzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7418), BgL_vz00_7419);
		}

	}



/* intern-sfun/Cinfo-body */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2bodyzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_245)
	{
		{	/* Cfa/cinfo.sch 789 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_245)))->BgL_bodyz00);
		}

	}



/* &intern-sfun/Cinfo-body */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2bodyz90zzcfa_infoz00(obj_t
		BgL_envz00_7420, obj_t BgL_oz00_7421)
	{
		{	/* Cfa/cinfo.sch 789 */
			return
				BGl_internzd2sfunzf2Cinfozd2bodyzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7421));
		}

	}



/* intern-sfun/Cinfo-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2bodyzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_246, obj_t BgL_vz00_247)
	{
		{	/* Cfa/cinfo.sch 790 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_246)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_247), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-body-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2bodyzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7422, obj_t BgL_oz00_7423, obj_t BgL_vz00_7424)
	{
		{	/* Cfa/cinfo.sch 790 */
			return
				BGl_internzd2sfunzf2Cinfozd2bodyzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7423), BgL_vz00_7424);
		}

	}



/* intern-sfun/Cinfo-args-name */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2namez20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_248)
	{
		{	/* Cfa/cinfo.sch 791 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_248)))->BgL_argszd2namezd2);
		}

	}



/* &intern-sfun/Cinfo-args-name */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2argszd2namez42zzcfa_infoz00(obj_t
		BgL_envz00_7425, obj_t BgL_oz00_7426)
	{
		{	/* Cfa/cinfo.sch 791 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszd2namez20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7426));
		}

	}



/* intern-sfun/Cinfo-args */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_251)
	{
		{	/* Cfa/cinfo.sch 793 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_251)))->BgL_argsz00);
		}

	}



/* &intern-sfun/Cinfo-args */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2argsz90zzcfa_infoz00(obj_t
		BgL_envz00_7427, obj_t BgL_oz00_7428)
	{
		{	/* Cfa/cinfo.sch 793 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7428));
		}

	}



/* intern-sfun/Cinfo-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_252, obj_t BgL_vz00_253)
	{
		{	/* Cfa/cinfo.sch 794 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_252)))->BgL_argsz00) =
				((obj_t) BgL_vz00_253), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-args-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2argszd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7429, obj_t BgL_oz00_7430, obj_t BgL_vz00_7431)
	{
		{	/* Cfa/cinfo.sch 794 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7430), BgL_vz00_7431);
		}

	}



/* intern-sfun/Cinfo-property */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2propertyzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_254)
	{
		{	/* Cfa/cinfo.sch 795 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_254)))->BgL_propertyz00);
		}

	}



/* &intern-sfun/Cinfo-property */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2propertyz90zzcfa_infoz00(obj_t
		BgL_envz00_7432, obj_t BgL_oz00_7433)
	{
		{	/* Cfa/cinfo.sch 795 */
			return
				BGl_internzd2sfunzf2Cinfozd2propertyzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7433));
		}

	}



/* intern-sfun/Cinfo-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2propertyzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_255, obj_t BgL_vz00_256)
	{
		{	/* Cfa/cinfo.sch 796 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_255)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_256), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-property-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2propertyzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7434, obj_t BgL_oz00_7435, obj_t BgL_vz00_7436)
	{
		{	/* Cfa/cinfo.sch 796 */
			return
				BGl_internzd2sfunzf2Cinfozd2propertyzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7435), BgL_vz00_7436);
		}

	}



/* intern-sfun/Cinfo-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2retescapez20zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_257)
	{
		{	/* Cfa/cinfo.sch 797 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_257)))->BgL_argszd2retescapezd2);
		}

	}



/* &intern-sfun/Cinfo-args-retescape */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2argszd2retescapez42zzcfa_infoz00(obj_t
		BgL_envz00_7437, obj_t BgL_oz00_7438)
	{
		{	/* Cfa/cinfo.sch 797 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszd2retescapez20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7438));
		}

	}



/* intern-sfun/Cinfo-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_258, obj_t BgL_vz00_259)
	{
		{	/* Cfa/cinfo.sch 798 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_258)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_259), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-args-retescape-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12z82zzcfa_infoz00
		(obj_t BgL_envz00_7439, obj_t BgL_oz00_7440, obj_t BgL_vz00_7441)
	{
		{	/* Cfa/cinfo.sch 798 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7440), BgL_vz00_7441);
		}

	}



/* intern-sfun/Cinfo-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2noescapez20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_260)
	{
		{	/* Cfa/cinfo.sch 799 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_260)))->BgL_argszd2noescapezd2);
		}

	}



/* &intern-sfun/Cinfo-args-noescape */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2argszd2noescapez42zzcfa_infoz00(obj_t
		BgL_envz00_7442, obj_t BgL_oz00_7443)
	{
		{	/* Cfa/cinfo.sch 799 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszd2noescapez20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7443));
		}

	}



/* intern-sfun/Cinfo-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_261, obj_t BgL_vz00_262)
	{
		{	/* Cfa/cinfo.sch 800 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_261)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_262), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-args-noescape-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12z82zzcfa_infoz00
		(obj_t BgL_envz00_7444, obj_t BgL_oz00_7445, obj_t BgL_vz00_7446)
	{
		{	/* Cfa/cinfo.sch 800 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7445), BgL_vz00_7446);
		}

	}



/* intern-sfun/Cinfo-failsafe */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2failsafezf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_263)
	{
		{	/* Cfa/cinfo.sch 801 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_263)))->BgL_failsafez00);
		}

	}



/* &intern-sfun/Cinfo-failsafe */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2failsafez90zzcfa_infoz00(obj_t
		BgL_envz00_7447, obj_t BgL_oz00_7448)
	{
		{	/* Cfa/cinfo.sch 801 */
			return
				BGl_internzd2sfunzf2Cinfozd2failsafezf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7448));
		}

	}



/* intern-sfun/Cinfo-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2failsafezd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_264, obj_t BgL_vz00_265)
	{
		{	/* Cfa/cinfo.sch 802 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_264)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_265), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-failsafe-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2failsafezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7449, obj_t BgL_oz00_7450, obj_t BgL_vz00_7451)
	{
		{	/* Cfa/cinfo.sch 802 */
			return
				BGl_internzd2sfunzf2Cinfozd2failsafezd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7450), BgL_vz00_7451);
		}

	}



/* intern-sfun/Cinfo-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2effectzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_266)
	{
		{	/* Cfa/cinfo.sch 803 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_266)))->BgL_effectz00);
		}

	}



/* &intern-sfun/Cinfo-effect */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2effectz90zzcfa_infoz00(obj_t
		BgL_envz00_7452, obj_t BgL_oz00_7453)
	{
		{	/* Cfa/cinfo.sch 803 */
			return
				BGl_internzd2sfunzf2Cinfozd2effectzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7453));
		}

	}



/* intern-sfun/Cinfo-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2effectzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_267, obj_t BgL_vz00_268)
	{
		{	/* Cfa/cinfo.sch 804 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_267)))->BgL_effectz00) =
				((obj_t) BgL_vz00_268), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-effect-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2effectzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7454, obj_t BgL_oz00_7455, obj_t BgL_vz00_7456)
	{
		{	/* Cfa/cinfo.sch 804 */
			return
				BGl_internzd2sfunzf2Cinfozd2effectzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7455), BgL_vz00_7456);
		}

	}



/* intern-sfun/Cinfo-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurez20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_269)
	{
		{	/* Cfa/cinfo.sch 805 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_269)))->BgL_thezd2closurezd2);
		}

	}



/* &intern-sfun/Cinfo-the-closure */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2thezd2closurez42zzcfa_infoz00(obj_t
		BgL_envz00_7457, obj_t BgL_oz00_7458)
	{
		{	/* Cfa/cinfo.sch 805 */
			return
				BGl_internzd2sfunzf2Cinfozd2thezd2closurez20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7458));
		}

	}



/* intern-sfun/Cinfo-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_270, obj_t BgL_vz00_271)
	{
		{	/* Cfa/cinfo.sch 806 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_270)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_271), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-the-closure-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7459, obj_t BgL_oz00_7460, obj_t BgL_vz00_7461)
	{
		{	/* Cfa/cinfo.sch 806 */
			return
				BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7460), BgL_vz00_7461);
		}

	}



/* intern-sfun/Cinfo-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_internzd2sfunzf2Cinfozd2topzf3z01zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_272)
	{
		{	/* Cfa/cinfo.sch 807 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_272)))->BgL_topzf3zf3);
		}

	}



/* &intern-sfun/Cinfo-top? */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2topzf3z63zzcfa_infoz00(obj_t
		BgL_envz00_7462, obj_t BgL_oz00_7463)
	{
		{	/* Cfa/cinfo.sch 807 */
			return
				BBOOL(BGl_internzd2sfunzf2Cinfozd2topzf3z01zzcfa_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_7463)));
		}

	}



/* intern-sfun/Cinfo-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2topzf3zd2setz12zc1zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_273, bool_t BgL_vz00_274)
	{
		{	/* Cfa/cinfo.sch 808 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_273)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_274), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-top?-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2topzf3zd2setz12za3zzcfa_infoz00(obj_t
		BgL_envz00_7464, obj_t BgL_oz00_7465, obj_t BgL_vz00_7466)
	{
		{	/* Cfa/cinfo.sch 808 */
			return
				BGl_internzd2sfunzf2Cinfozd2topzf3zd2setz12zc1zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7465), CBOOL(BgL_vz00_7466));
		}

	}



/* intern-sfun/Cinfo-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorz20zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_275)
	{
		{	/* Cfa/cinfo.sch 809 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_275)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &intern-sfun/Cinfo-stack-allocator */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2stackzd2allocatorz42zzcfa_infoz00(obj_t
		BgL_envz00_7467, obj_t BgL_oz00_7468)
	{
		{	/* Cfa/cinfo.sch 809 */
			return
				BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorz20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7468));
		}

	}



/* intern-sfun/Cinfo-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_276, obj_t BgL_vz00_277)
	{
		{	/* Cfa/cinfo.sch 810 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_276)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_277), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-stack-allocator-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12z82zzcfa_infoz00
		(obj_t BgL_envz00_7469, obj_t BgL_oz00_7470, obj_t BgL_vz00_7471)
	{
		{	/* Cfa/cinfo.sch 810 */
			return
				BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7470), BgL_vz00_7471);
		}

	}



/* intern-sfun/Cinfo-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2predicatezd2ofz20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_278)
	{
		{	/* Cfa/cinfo.sch 811 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_278)))->BgL_predicatezd2ofzd2);
		}

	}



/* &intern-sfun/Cinfo-predicate-of */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2predicatezd2ofz42zzcfa_infoz00(obj_t
		BgL_envz00_7472, obj_t BgL_oz00_7473)
	{
		{	/* Cfa/cinfo.sch 811 */
			return
				BGl_internzd2sfunzf2Cinfozd2predicatezd2ofz20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7473));
		}

	}



/* intern-sfun/Cinfo-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_279, obj_t BgL_vz00_280)
	{
		{	/* Cfa/cinfo.sch 812 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_279)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_280), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-predicate-of-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7474, obj_t BgL_oz00_7475, obj_t BgL_vz00_7476)
	{
		{	/* Cfa/cinfo.sch 812 */
			return
				BGl_internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7475), BgL_vz00_7476);
		}

	}



/* intern-sfun/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2sidezd2effectz20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_281)
	{
		{	/* Cfa/cinfo.sch 813 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_281)))->BgL_sidezd2effectzd2);
		}

	}



/* &intern-sfun/Cinfo-side-effect */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2sidezd2effectz42zzcfa_infoz00(obj_t
		BgL_envz00_7477, obj_t BgL_oz00_7478)
	{
		{	/* Cfa/cinfo.sch 813 */
			return
				BGl_internzd2sfunzf2Cinfozd2sidezd2effectz20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7478));
		}

	}



/* intern-sfun/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_282, obj_t BgL_vz00_283)
	{
		{	/* Cfa/cinfo.sch 814 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_282)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_283), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-side-effect-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7479, obj_t BgL_oz00_7480, obj_t BgL_vz00_7481)
	{
		{	/* Cfa/cinfo.sch 814 */
			return
				BGl_internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7480), BgL_vz00_7481);
		}

	}



/* intern-sfun/Cinfo-arity */
	BGL_EXPORTED_DEF long
		BGl_internzd2sfunzf2Cinfozd2arityzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_284)
	{
		{	/* Cfa/cinfo.sch 815 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_284)))->BgL_arityz00);
		}

	}



/* &intern-sfun/Cinfo-arity */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2arityz90zzcfa_infoz00(obj_t
		BgL_envz00_7482, obj_t BgL_oz00_7483)
	{
		{	/* Cfa/cinfo.sch 815 */
			return
				BINT(BGl_internzd2sfunzf2Cinfozd2arityzf2zzcfa_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_7483)));
		}

	}



/* make-scnst/Cinfo */
	BGL_EXPORTED_DEF BgL_scnstz00_bglt
		BGl_makezd2scnstzf2Cinfoz20zzcfa_infoz00(obj_t BgL_node1755z00_287,
		obj_t BgL_class1756z00_288, obj_t BgL_loc1757z00_289,
		BgL_approxz00_bglt BgL_approx1758z00_290)
	{
		{	/* Cfa/cinfo.sch 819 */
			{	/* Cfa/cinfo.sch 819 */
				BgL_scnstz00_bglt BgL_new1558z00_9509;

				{	/* Cfa/cinfo.sch 819 */
					BgL_scnstz00_bglt BgL_tmp1556z00_9510;
					BgL_scnstzf2cinfozf2_bglt BgL_wide1557z00_9511;

					{
						BgL_scnstz00_bglt BgL_auxz00_11923;

						{	/* Cfa/cinfo.sch 819 */
							BgL_scnstz00_bglt BgL_new1555z00_9512;

							BgL_new1555z00_9512 =
								((BgL_scnstz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_scnstz00_bgl))));
							{	/* Cfa/cinfo.sch 819 */
								long BgL_arg1995z00_9513;

								BgL_arg1995z00_9513 = BGL_CLASS_NUM(BGl_scnstz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1555z00_9512),
									BgL_arg1995z00_9513);
							}
							{	/* Cfa/cinfo.sch 819 */
								BgL_objectz00_bglt BgL_tmpz00_11928;

								BgL_tmpz00_11928 = ((BgL_objectz00_bglt) BgL_new1555z00_9512);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11928, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1555z00_9512);
							BgL_auxz00_11923 = BgL_new1555z00_9512;
						}
						BgL_tmp1556z00_9510 = ((BgL_scnstz00_bglt) BgL_auxz00_11923);
					}
					BgL_wide1557z00_9511 =
						((BgL_scnstzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_scnstzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 819 */
						obj_t BgL_auxz00_11936;
						BgL_objectz00_bglt BgL_tmpz00_11934;

						BgL_auxz00_11936 = ((obj_t) BgL_wide1557z00_9511);
						BgL_tmpz00_11934 = ((BgL_objectz00_bglt) BgL_tmp1556z00_9510);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11934, BgL_auxz00_11936);
					}
					((BgL_objectz00_bglt) BgL_tmp1556z00_9510);
					{	/* Cfa/cinfo.sch 819 */
						long BgL_arg1994z00_9514;

						BgL_arg1994z00_9514 =
							BGL_CLASS_NUM(BGl_scnstzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1556z00_9510), BgL_arg1994z00_9514);
					}
					BgL_new1558z00_9509 = ((BgL_scnstz00_bglt) BgL_tmp1556z00_9510);
				}
				((((BgL_scnstz00_bglt) COBJECT(
								((BgL_scnstz00_bglt) BgL_new1558z00_9509)))->BgL_nodez00) =
					((obj_t) BgL_node1755z00_287), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt)
									BgL_new1558z00_9509)))->BgL_classz00) =
					((obj_t) BgL_class1756z00_288), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt)
									BgL_new1558z00_9509)))->BgL_locz00) =
					((obj_t) BgL_loc1757z00_289), BUNSPEC);
				{
					BgL_scnstzf2cinfozf2_bglt BgL_auxz00_11950;

					{
						obj_t BgL_auxz00_11951;

						{	/* Cfa/cinfo.sch 819 */
							BgL_objectz00_bglt BgL_tmpz00_11952;

							BgL_tmpz00_11952 = ((BgL_objectz00_bglt) BgL_new1558z00_9509);
							BgL_auxz00_11951 = BGL_OBJECT_WIDENING(BgL_tmpz00_11952);
						}
						BgL_auxz00_11950 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_11951);
					}
					((((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11950))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1758z00_290), BUNSPEC);
				}
				return BgL_new1558z00_9509;
			}
		}

	}



/* &make-scnst/Cinfo */
	BgL_scnstz00_bglt BGl_z62makezd2scnstzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_7484, obj_t BgL_node1755z00_7485, obj_t BgL_class1756z00_7486,
		obj_t BgL_loc1757z00_7487, obj_t BgL_approx1758z00_7488)
	{
		{	/* Cfa/cinfo.sch 819 */
			return
				BGl_makezd2scnstzf2Cinfoz20zzcfa_infoz00(BgL_node1755z00_7485,
				BgL_class1756z00_7486, BgL_loc1757z00_7487,
				((BgL_approxz00_bglt) BgL_approx1758z00_7488));
		}

	}



/* scnst/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_scnstzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_291)
	{
		{	/* Cfa/cinfo.sch 820 */
			{	/* Cfa/cinfo.sch 820 */
				obj_t BgL_classz00_9515;

				BgL_classz00_9515 = BGl_scnstzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_291))
					{	/* Cfa/cinfo.sch 820 */
						BgL_objectz00_bglt BgL_arg1825z00_9516;

						BgL_arg1825z00_9516 = (BgL_objectz00_bglt) (BgL_objz00_291);
						{	/* Cfa/cinfo.sch 820 */
							bool_t BgL_arg1822z00_9517;
							bool_t BgL_arg1823z00_9518;

							{	/* Cfa/cinfo.sch 820 */
								long BgL_idxz00_9519;

								BgL_idxz00_9519 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9516);
								BgL_arg1822z00_9517 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9519 + ((long) 3))) == BgL_classz00_9515);
							}
							{	/* Cfa/cinfo.sch 820 */
								bool_t BgL_res3052z00_9522;

								{	/* Cfa/cinfo.sch 820 */
									obj_t BgL_oclassz00_9523;

									{	/* Cfa/cinfo.sch 820 */
										long BgL_arg1833z00_9524;

										{	/* Cfa/cinfo.sch 820 */
											long BgL_arg1834z00_9525;

											BgL_arg1834z00_9525 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9516);
											BgL_arg1833z00_9524 = (BgL_arg1834z00_9525 - OBJECT_TYPE);
										}
										BgL_oclassz00_9523 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9524);
									}
									{	/* Cfa/cinfo.sch 820 */
										bool_t BgL__ortest_1110z00_9526;

										BgL__ortest_1110z00_9526 =
											(BgL_classz00_9515 == BgL_oclassz00_9523);
										if (BgL__ortest_1110z00_9526)
											{	/* Cfa/cinfo.sch 820 */
												BgL_res3052z00_9522 = BgL__ortest_1110z00_9526;
											}
										else
											{	/* Cfa/cinfo.sch 820 */
												long BgL_odepthz00_9527;

												BgL_odepthz00_9527 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9523);
												if ((((long) 3) < BgL_odepthz00_9527))
													{	/* Cfa/cinfo.sch 820 */
														obj_t BgL_arg1821z00_9528;

														BgL_arg1821z00_9528 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9523,
															((long) 3));
														BgL_res3052z00_9522 =
															(BgL_arg1821z00_9528 == BgL_classz00_9515);
													}
												else
													{	/* Cfa/cinfo.sch 820 */
														BgL_res3052z00_9522 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9518 = BgL_res3052z00_9522;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9517, BgL_arg1823z00_9518);
						}
					}
				else
					{	/* Cfa/cinfo.sch 820 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &scnst/Cinfo? */
	obj_t BGl_z62scnstzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_7489,
		obj_t BgL_objz00_7490)
	{
		{	/* Cfa/cinfo.sch 820 */
			return BBOOL(BGl_scnstzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_7490));
		}

	}



/* scnst/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_scnstz00_bglt BGl_scnstzf2Cinfozd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 821 */
			{	/* Cfa/cinfo.sch 821 */
				obj_t BgL_classz00_4670;

				BgL_classz00_4670 = BGl_scnstzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 821 */
					obj_t BgL__ortest_1112z00_4671;

					BgL__ortest_1112z00_4671 = BGL_CLASS_NIL(BgL_classz00_4670);
					if (CBOOL(BgL__ortest_1112z00_4671))
						{	/* Cfa/cinfo.sch 821 */
							return ((BgL_scnstz00_bglt) BgL__ortest_1112z00_4671);
						}
					else
						{	/* Cfa/cinfo.sch 821 */
							return
								((BgL_scnstz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4670));
						}
				}
			}
		}

	}



/* &scnst/Cinfo-nil */
	BgL_scnstz00_bglt BGl_z62scnstzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7491)
	{
		{	/* Cfa/cinfo.sch 821 */
			return BGl_scnstzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* scnst/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_scnstzf2Cinfozd2approxz20zzcfa_infoz00(BgL_scnstz00_bglt BgL_oz00_292)
	{
		{	/* Cfa/cinfo.sch 822 */
			{
				BgL_scnstzf2cinfozf2_bglt BgL_auxz00_11986;

				{
					obj_t BgL_auxz00_11987;

					{	/* Cfa/cinfo.sch 822 */
						BgL_objectz00_bglt BgL_tmpz00_11988;

						BgL_tmpz00_11988 = ((BgL_objectz00_bglt) BgL_oz00_292);
						BgL_auxz00_11987 = BGL_OBJECT_WIDENING(BgL_tmpz00_11988);
					}
					BgL_auxz00_11986 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_11987);
				}
				return
					(((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11986))->
					BgL_approxz00);
			}
		}

	}



/* &scnst/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62scnstzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_7492, obj_t BgL_oz00_7493)
	{
		{	/* Cfa/cinfo.sch 822 */
			return
				BGl_scnstzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_scnstz00_bglt) BgL_oz00_7493));
		}

	}



/* scnst/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzf2Cinfozd2locz20zzcfa_infoz00(BgL_scnstz00_bglt BgL_oz00_295)
	{
		{	/* Cfa/cinfo.sch 824 */
			return
				(((BgL_scnstz00_bglt) COBJECT(
						((BgL_scnstz00_bglt) BgL_oz00_295)))->BgL_locz00);
		}

	}



/* &scnst/Cinfo-loc */
	obj_t BGl_z62scnstzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_7494,
		obj_t BgL_oz00_7495)
	{
		{	/* Cfa/cinfo.sch 824 */
			return
				BGl_scnstzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_scnstz00_bglt) BgL_oz00_7495));
		}

	}



/* scnst/Cinfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzf2Cinfozd2loczd2setz12ze0zzcfa_infoz00(BgL_scnstz00_bglt
		BgL_oz00_296, obj_t BgL_vz00_297)
	{
		{	/* Cfa/cinfo.sch 825 */
			return
				((((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_oz00_296)))->BgL_locz00) =
				((obj_t) BgL_vz00_297), BUNSPEC);
		}

	}



/* &scnst/Cinfo-loc-set! */
	obj_t BGl_z62scnstzf2Cinfozd2loczd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7496, obj_t BgL_oz00_7497, obj_t BgL_vz00_7498)
	{
		{	/* Cfa/cinfo.sch 825 */
			return
				BGl_scnstzf2Cinfozd2loczd2setz12ze0zzcfa_infoz00(
				((BgL_scnstz00_bglt) BgL_oz00_7497), BgL_vz00_7498);
		}

	}



/* scnst/Cinfo-class */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzf2Cinfozd2classz20zzcfa_infoz00(BgL_scnstz00_bglt BgL_oz00_298)
	{
		{	/* Cfa/cinfo.sch 826 */
			return
				(((BgL_scnstz00_bglt) COBJECT(
						((BgL_scnstz00_bglt) BgL_oz00_298)))->BgL_classz00);
		}

	}



/* &scnst/Cinfo-class */
	obj_t BGl_z62scnstzf2Cinfozd2classz42zzcfa_infoz00(obj_t BgL_envz00_7499,
		obj_t BgL_oz00_7500)
	{
		{	/* Cfa/cinfo.sch 826 */
			return
				BGl_scnstzf2Cinfozd2classz20zzcfa_infoz00(
				((BgL_scnstz00_bglt) BgL_oz00_7500));
		}

	}



/* scnst/Cinfo-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzf2Cinfozd2classzd2setz12ze0zzcfa_infoz00(BgL_scnstz00_bglt
		BgL_oz00_299, obj_t BgL_vz00_300)
	{
		{	/* Cfa/cinfo.sch 827 */
			return
				((((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_oz00_299)))->BgL_classz00) =
				((obj_t) BgL_vz00_300), BUNSPEC);
		}

	}



/* &scnst/Cinfo-class-set! */
	obj_t BGl_z62scnstzf2Cinfozd2classzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7501, obj_t BgL_oz00_7502, obj_t BgL_vz00_7503)
	{
		{	/* Cfa/cinfo.sch 827 */
			return
				BGl_scnstzf2Cinfozd2classzd2setz12ze0zzcfa_infoz00(
				((BgL_scnstz00_bglt) BgL_oz00_7502), BgL_vz00_7503);
		}

	}



/* scnst/Cinfo-node */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzf2Cinfozd2nodez20zzcfa_infoz00(BgL_scnstz00_bglt BgL_oz00_301)
	{
		{	/* Cfa/cinfo.sch 828 */
			return
				(((BgL_scnstz00_bglt) COBJECT(
						((BgL_scnstz00_bglt) BgL_oz00_301)))->BgL_nodez00);
		}

	}



/* &scnst/Cinfo-node */
	obj_t BGl_z62scnstzf2Cinfozd2nodez42zzcfa_infoz00(obj_t BgL_envz00_7504,
		obj_t BgL_oz00_7505)
	{
		{	/* Cfa/cinfo.sch 828 */
			return
				BGl_scnstzf2Cinfozd2nodez20zzcfa_infoz00(
				((BgL_scnstz00_bglt) BgL_oz00_7505));
		}

	}



/* make-pre-clo-env */
	BGL_EXPORTED_DEF BgL_svarz00_bglt
		BGl_makezd2prezd2clozd2envzd2zzcfa_infoz00(obj_t BgL_loc1753z00_304)
	{
		{	/* Cfa/cinfo.sch 832 */
			{	/* Cfa/cinfo.sch 832 */
				BgL_svarz00_bglt BgL_new1562z00_9529;

				{	/* Cfa/cinfo.sch 832 */
					BgL_svarz00_bglt BgL_tmp1560z00_9530;
					BgL_prezd2clozd2envz00_bglt BgL_wide1561z00_9531;

					{
						BgL_svarz00_bglt BgL_auxz00_12015;

						{	/* Cfa/cinfo.sch 832 */
							BgL_svarz00_bglt BgL_new1559z00_9532;

							BgL_new1559z00_9532 =
								((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_svarz00_bgl))));
							{	/* Cfa/cinfo.sch 832 */
								long BgL_arg1997z00_9533;

								BgL_arg1997z00_9533 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1559z00_9532),
									BgL_arg1997z00_9533);
							}
							{	/* Cfa/cinfo.sch 832 */
								BgL_objectz00_bglt BgL_tmpz00_12020;

								BgL_tmpz00_12020 = ((BgL_objectz00_bglt) BgL_new1559z00_9532);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12020, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1559z00_9532);
							BgL_auxz00_12015 = BgL_new1559z00_9532;
						}
						BgL_tmp1560z00_9530 = ((BgL_svarz00_bglt) BgL_auxz00_12015);
					}
					BgL_wide1561z00_9531 =
						((BgL_prezd2clozd2envz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_prezd2clozd2envz00_bgl))));
					{	/* Cfa/cinfo.sch 832 */
						obj_t BgL_auxz00_12028;
						BgL_objectz00_bglt BgL_tmpz00_12026;

						BgL_auxz00_12028 = ((obj_t) BgL_wide1561z00_9531);
						BgL_tmpz00_12026 = ((BgL_objectz00_bglt) BgL_tmp1560z00_9530);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12026, BgL_auxz00_12028);
					}
					((BgL_objectz00_bglt) BgL_tmp1560z00_9530);
					{	/* Cfa/cinfo.sch 832 */
						long BgL_arg1996z00_9534;

						BgL_arg1996z00_9534 =
							BGL_CLASS_NUM(BGl_prezd2clozd2envz00zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1560z00_9530), BgL_arg1996z00_9534);
					}
					BgL_new1562z00_9529 = ((BgL_svarz00_bglt) BgL_tmp1560z00_9530);
				}
				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt) BgL_new1562z00_9529)))->BgL_locz00) =
					((obj_t) BgL_loc1753z00_304), BUNSPEC);
				return BgL_new1562z00_9529;
			}
		}

	}



/* &make-pre-clo-env */
	BgL_svarz00_bglt BGl_z62makezd2prezd2clozd2envzb0zzcfa_infoz00(obj_t
		BgL_envz00_7506, obj_t BgL_loc1753z00_7507)
	{
		{	/* Cfa/cinfo.sch 832 */
			return BGl_makezd2prezd2clozd2envzd2zzcfa_infoz00(BgL_loc1753z00_7507);
		}

	}



/* pre-clo-env? */
	BGL_EXPORTED_DEF bool_t BGl_prezd2clozd2envzf3zf3zzcfa_infoz00(obj_t
		BgL_objz00_305)
	{
		{	/* Cfa/cinfo.sch 833 */
			{	/* Cfa/cinfo.sch 833 */
				obj_t BgL_classz00_9535;

				BgL_classz00_9535 = BGl_prezd2clozd2envz00zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_305))
					{	/* Cfa/cinfo.sch 833 */
						BgL_objectz00_bglt BgL_arg1825z00_9536;

						BgL_arg1825z00_9536 = (BgL_objectz00_bglt) (BgL_objz00_305);
						{	/* Cfa/cinfo.sch 833 */
							bool_t BgL_arg1822z00_9537;
							bool_t BgL_arg1823z00_9538;

							{	/* Cfa/cinfo.sch 833 */
								long BgL_idxz00_9539;

								BgL_idxz00_9539 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9536);
								BgL_arg1822z00_9537 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9539 + ((long) 3))) == BgL_classz00_9535);
							}
							{	/* Cfa/cinfo.sch 833 */
								bool_t BgL_res3053z00_9542;

								{	/* Cfa/cinfo.sch 833 */
									obj_t BgL_oclassz00_9543;

									{	/* Cfa/cinfo.sch 833 */
										long BgL_arg1833z00_9544;

										{	/* Cfa/cinfo.sch 833 */
											long BgL_arg1834z00_9545;

											BgL_arg1834z00_9545 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9536);
											BgL_arg1833z00_9544 = (BgL_arg1834z00_9545 - OBJECT_TYPE);
										}
										BgL_oclassz00_9543 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9544);
									}
									{	/* Cfa/cinfo.sch 833 */
										bool_t BgL__ortest_1110z00_9546;

										BgL__ortest_1110z00_9546 =
											(BgL_classz00_9535 == BgL_oclassz00_9543);
										if (BgL__ortest_1110z00_9546)
											{	/* Cfa/cinfo.sch 833 */
												BgL_res3053z00_9542 = BgL__ortest_1110z00_9546;
											}
										else
											{	/* Cfa/cinfo.sch 833 */
												long BgL_odepthz00_9547;

												BgL_odepthz00_9547 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9543);
												if ((((long) 3) < BgL_odepthz00_9547))
													{	/* Cfa/cinfo.sch 833 */
														obj_t BgL_arg1821z00_9548;

														BgL_arg1821z00_9548 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9543,
															((long) 3));
														BgL_res3053z00_9542 =
															(BgL_arg1821z00_9548 == BgL_classz00_9535);
													}
												else
													{	/* Cfa/cinfo.sch 833 */
														BgL_res3053z00_9542 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9538 = BgL_res3053z00_9542;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9537, BgL_arg1823z00_9538);
						}
					}
				else
					{	/* Cfa/cinfo.sch 833 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &pre-clo-env? */
	obj_t BGl_z62prezd2clozd2envzf3z91zzcfa_infoz00(obj_t BgL_envz00_7508,
		obj_t BgL_objz00_7509)
	{
		{	/* Cfa/cinfo.sch 833 */
			return BBOOL(BGl_prezd2clozd2envzf3zf3zzcfa_infoz00(BgL_objz00_7509));
		}

	}



/* pre-clo-env-nil */
	BGL_EXPORTED_DEF BgL_svarz00_bglt BGl_prezd2clozd2envzd2nilzd2zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 834 */
			{	/* Cfa/cinfo.sch 834 */
				obj_t BgL_classz00_4719;

				BgL_classz00_4719 = BGl_prezd2clozd2envz00zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 834 */
					obj_t BgL__ortest_1112z00_4720;

					BgL__ortest_1112z00_4720 = BGL_CLASS_NIL(BgL_classz00_4719);
					if (CBOOL(BgL__ortest_1112z00_4720))
						{	/* Cfa/cinfo.sch 834 */
							return ((BgL_svarz00_bglt) BgL__ortest_1112z00_4720);
						}
					else
						{	/* Cfa/cinfo.sch 834 */
							return
								((BgL_svarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4719));
						}
				}
			}
		}

	}



/* &pre-clo-env-nil */
	BgL_svarz00_bglt BGl_z62prezd2clozd2envzd2nilzb0zzcfa_infoz00(obj_t
		BgL_envz00_7510)
	{
		{	/* Cfa/cinfo.sch 834 */
			return BGl_prezd2clozd2envzd2nilzd2zzcfa_infoz00();
		}

	}



/* pre-clo-env-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2clozd2envzd2loczd2zzcfa_infoz00(BgL_svarz00_bglt BgL_oz00_306)
	{
		{	/* Cfa/cinfo.sch 835 */
			return
				(((BgL_svarz00_bglt) COBJECT(
						((BgL_svarz00_bglt) BgL_oz00_306)))->BgL_locz00);
		}

	}



/* &pre-clo-env-loc */
	obj_t BGl_z62prezd2clozd2envzd2loczb0zzcfa_infoz00(obj_t BgL_envz00_7511,
		obj_t BgL_oz00_7512)
	{
		{	/* Cfa/cinfo.sch 835 */
			return
				BGl_prezd2clozd2envzd2loczd2zzcfa_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_7512));
		}

	}



/* pre-clo-env-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2clozd2envzd2loczd2setz12z12zzcfa_infoz00(BgL_svarz00_bglt
		BgL_oz00_307, obj_t BgL_vz00_308)
	{
		{	/* Cfa/cinfo.sch 836 */
			return
				((((BgL_svarz00_bglt) COBJECT(
							((BgL_svarz00_bglt) BgL_oz00_307)))->BgL_locz00) =
				((obj_t) BgL_vz00_308), BUNSPEC);
		}

	}



/* &pre-clo-env-loc-set! */
	obj_t BGl_z62prezd2clozd2envzd2loczd2setz12z70zzcfa_infoz00(obj_t
		BgL_envz00_7513, obj_t BgL_oz00_7514, obj_t BgL_vz00_7515)
	{
		{	/* Cfa/cinfo.sch 836 */
			return
				BGl_prezd2clozd2envzd2loczd2setz12z12zzcfa_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_7514), BgL_vz00_7515);
		}

	}



/* make-svar/Cinfo */
	BGL_EXPORTED_DEF BgL_svarz00_bglt
		BGl_makezd2svarzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1748z00_309,
		BgL_approxz00_bglt BgL_approx1749z00_310,
		bool_t BgL_clozd2envzf31750z21_311, long BgL_stamp1751z00_312)
	{
		{	/* Cfa/cinfo.sch 839 */
			{	/* Cfa/cinfo.sch 839 */
				BgL_svarz00_bglt BgL_new1566z00_9549;

				{	/* Cfa/cinfo.sch 839 */
					BgL_svarz00_bglt BgL_tmp1564z00_9550;
					BgL_svarzf2cinfozf2_bglt BgL_wide1565z00_9551;

					{
						BgL_svarz00_bglt BgL_auxz00_12074;

						{	/* Cfa/cinfo.sch 839 */
							BgL_svarz00_bglt BgL_new1563z00_9552;

							BgL_new1563z00_9552 =
								((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_svarz00_bgl))));
							{	/* Cfa/cinfo.sch 839 */
								long BgL_arg2000z00_9553;

								BgL_arg2000z00_9553 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1563z00_9552),
									BgL_arg2000z00_9553);
							}
							{	/* Cfa/cinfo.sch 839 */
								BgL_objectz00_bglt BgL_tmpz00_12079;

								BgL_tmpz00_12079 = ((BgL_objectz00_bglt) BgL_new1563z00_9552);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12079, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1563z00_9552);
							BgL_auxz00_12074 = BgL_new1563z00_9552;
						}
						BgL_tmp1564z00_9550 = ((BgL_svarz00_bglt) BgL_auxz00_12074);
					}
					BgL_wide1565z00_9551 =
						((BgL_svarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_svarzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 839 */
						obj_t BgL_auxz00_12087;
						BgL_objectz00_bglt BgL_tmpz00_12085;

						BgL_auxz00_12087 = ((obj_t) BgL_wide1565z00_9551);
						BgL_tmpz00_12085 = ((BgL_objectz00_bglt) BgL_tmp1564z00_9550);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12085, BgL_auxz00_12087);
					}
					((BgL_objectz00_bglt) BgL_tmp1564z00_9550);
					{	/* Cfa/cinfo.sch 839 */
						long BgL_arg1999z00_9554;

						BgL_arg1999z00_9554 =
							BGL_CLASS_NUM(BGl_svarzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1564z00_9550), BgL_arg1999z00_9554);
					}
					BgL_new1566z00_9549 = ((BgL_svarz00_bglt) BgL_tmp1564z00_9550);
				}
				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt) BgL_new1566z00_9549)))->BgL_locz00) =
					((obj_t) BgL_loc1748z00_309), BUNSPEC);
				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_12097;

					{
						obj_t BgL_auxz00_12098;

						{	/* Cfa/cinfo.sch 839 */
							BgL_objectz00_bglt BgL_tmpz00_12099;

							BgL_tmpz00_12099 = ((BgL_objectz00_bglt) BgL_new1566z00_9549);
							BgL_auxz00_12098 = BGL_OBJECT_WIDENING(BgL_tmpz00_12099);
						}
						BgL_auxz00_12097 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_12098);
					}
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12097))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1749z00_310), BUNSPEC);
				}
				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_12104;

					{
						obj_t BgL_auxz00_12105;

						{	/* Cfa/cinfo.sch 839 */
							BgL_objectz00_bglt BgL_tmpz00_12106;

							BgL_tmpz00_12106 = ((BgL_objectz00_bglt) BgL_new1566z00_9549);
							BgL_auxz00_12105 = BGL_OBJECT_WIDENING(BgL_tmpz00_12106);
						}
						BgL_auxz00_12104 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_12105);
					}
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12104))->
							BgL_clozd2envzf3z21) =
						((bool_t) BgL_clozd2envzf31750z21_311), BUNSPEC);
				}
				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_12111;

					{
						obj_t BgL_auxz00_12112;

						{	/* Cfa/cinfo.sch 839 */
							BgL_objectz00_bglt BgL_tmpz00_12113;

							BgL_tmpz00_12113 = ((BgL_objectz00_bglt) BgL_new1566z00_9549);
							BgL_auxz00_12112 = BGL_OBJECT_WIDENING(BgL_tmpz00_12113);
						}
						BgL_auxz00_12111 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_12112);
					}
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12111))->
							BgL_stampz00) = ((long) BgL_stamp1751z00_312), BUNSPEC);
				}
				return BgL_new1566z00_9549;
			}
		}

	}



/* &make-svar/Cinfo */
	BgL_svarz00_bglt BGl_z62makezd2svarzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_7516, obj_t BgL_loc1748z00_7517, obj_t BgL_approx1749z00_7518,
		obj_t BgL_clozd2envzf31750z21_7519, obj_t BgL_stamp1751z00_7520)
	{
		{	/* Cfa/cinfo.sch 839 */
			return
				BGl_makezd2svarzf2Cinfoz20zzcfa_infoz00(BgL_loc1748z00_7517,
				((BgL_approxz00_bglt) BgL_approx1749z00_7518),
				CBOOL(BgL_clozd2envzf31750z21_7519),
				(long) CINT(BgL_stamp1751z00_7520));
		}

	}



/* svar/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_svarzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_313)
	{
		{	/* Cfa/cinfo.sch 840 */
			{	/* Cfa/cinfo.sch 840 */
				obj_t BgL_classz00_9555;

				BgL_classz00_9555 = BGl_svarzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_313))
					{	/* Cfa/cinfo.sch 840 */
						BgL_objectz00_bglt BgL_arg1825z00_9556;

						BgL_arg1825z00_9556 = (BgL_objectz00_bglt) (BgL_objz00_313);
						{	/* Cfa/cinfo.sch 840 */
							bool_t BgL_arg1822z00_9557;
							bool_t BgL_arg1823z00_9558;

							{	/* Cfa/cinfo.sch 840 */
								long BgL_idxz00_9559;

								BgL_idxz00_9559 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9556);
								BgL_arg1822z00_9557 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9559 + ((long) 3))) == BgL_classz00_9555);
							}
							{	/* Cfa/cinfo.sch 840 */
								bool_t BgL_res3054z00_9562;

								{	/* Cfa/cinfo.sch 840 */
									obj_t BgL_oclassz00_9563;

									{	/* Cfa/cinfo.sch 840 */
										long BgL_arg1833z00_9564;

										{	/* Cfa/cinfo.sch 840 */
											long BgL_arg1834z00_9565;

											BgL_arg1834z00_9565 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9556);
											BgL_arg1833z00_9564 = (BgL_arg1834z00_9565 - OBJECT_TYPE);
										}
										BgL_oclassz00_9563 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9564);
									}
									{	/* Cfa/cinfo.sch 840 */
										bool_t BgL__ortest_1110z00_9566;

										BgL__ortest_1110z00_9566 =
											(BgL_classz00_9555 == BgL_oclassz00_9563);
										if (BgL__ortest_1110z00_9566)
											{	/* Cfa/cinfo.sch 840 */
												BgL_res3054z00_9562 = BgL__ortest_1110z00_9566;
											}
										else
											{	/* Cfa/cinfo.sch 840 */
												long BgL_odepthz00_9567;

												BgL_odepthz00_9567 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9563);
												if ((((long) 3) < BgL_odepthz00_9567))
													{	/* Cfa/cinfo.sch 840 */
														obj_t BgL_arg1821z00_9568;

														BgL_arg1821z00_9568 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9563,
															((long) 3));
														BgL_res3054z00_9562 =
															(BgL_arg1821z00_9568 == BgL_classz00_9555);
													}
												else
													{	/* Cfa/cinfo.sch 840 */
														BgL_res3054z00_9562 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9558 = BgL_res3054z00_9562;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9557, BgL_arg1823z00_9558);
						}
					}
				else
					{	/* Cfa/cinfo.sch 840 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &svar/Cinfo? */
	obj_t BGl_z62svarzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_7521,
		obj_t BgL_objz00_7522)
	{
		{	/* Cfa/cinfo.sch 840 */
			return BBOOL(BGl_svarzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_7522));
		}

	}



/* svar/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_svarz00_bglt BGl_svarzf2Cinfozd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 841 */
			{	/* Cfa/cinfo.sch 841 */
				obj_t BgL_classz00_4770;

				BgL_classz00_4770 = BGl_svarzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 841 */
					obj_t BgL__ortest_1112z00_4771;

					BgL__ortest_1112z00_4771 = BGL_CLASS_NIL(BgL_classz00_4770);
					if (CBOOL(BgL__ortest_1112z00_4771))
						{	/* Cfa/cinfo.sch 841 */
							return ((BgL_svarz00_bglt) BgL__ortest_1112z00_4771);
						}
					else
						{	/* Cfa/cinfo.sch 841 */
							return
								((BgL_svarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4770));
						}
				}
			}
		}

	}



/* &svar/Cinfo-nil */
	BgL_svarz00_bglt BGl_z62svarzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7523)
	{
		{	/* Cfa/cinfo.sch 841 */
			return BGl_svarzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* svar/Cinfo-stamp */
	BGL_EXPORTED_DEF long
		BGl_svarzf2Cinfozd2stampz20zzcfa_infoz00(BgL_svarz00_bglt BgL_oz00_314)
	{
		{	/* Cfa/cinfo.sch 842 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_12149;

				{
					obj_t BgL_auxz00_12150;

					{	/* Cfa/cinfo.sch 842 */
						BgL_objectz00_bglt BgL_tmpz00_12151;

						BgL_tmpz00_12151 = ((BgL_objectz00_bglt) BgL_oz00_314);
						BgL_auxz00_12150 = BGL_OBJECT_WIDENING(BgL_tmpz00_12151);
					}
					BgL_auxz00_12149 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_12150);
				}
				return
					(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12149))->
					BgL_stampz00);
			}
		}

	}



/* &svar/Cinfo-stamp */
	obj_t BGl_z62svarzf2Cinfozd2stampz42zzcfa_infoz00(obj_t BgL_envz00_7524,
		obj_t BgL_oz00_7525)
	{
		{	/* Cfa/cinfo.sch 842 */
			return
				BINT(BGl_svarzf2Cinfozd2stampz20zzcfa_infoz00(
					((BgL_svarz00_bglt) BgL_oz00_7525)));
		}

	}



/* svar/Cinfo-stamp-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Cinfozd2stampzd2setz12ze0zzcfa_infoz00(BgL_svarz00_bglt
		BgL_oz00_315, long BgL_vz00_316)
	{
		{	/* Cfa/cinfo.sch 843 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_12159;

				{
					obj_t BgL_auxz00_12160;

					{	/* Cfa/cinfo.sch 843 */
						BgL_objectz00_bglt BgL_tmpz00_12161;

						BgL_tmpz00_12161 = ((BgL_objectz00_bglt) BgL_oz00_315);
						BgL_auxz00_12160 = BGL_OBJECT_WIDENING(BgL_tmpz00_12161);
					}
					BgL_auxz00_12159 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_12160);
				}
				return
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12159))->
						BgL_stampz00) = ((long) BgL_vz00_316), BUNSPEC);
		}}

	}



/* &svar/Cinfo-stamp-set! */
	obj_t BGl_z62svarzf2Cinfozd2stampzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7526, obj_t BgL_oz00_7527, obj_t BgL_vz00_7528)
	{
		{	/* Cfa/cinfo.sch 843 */
			return
				BGl_svarzf2Cinfozd2stampzd2setz12ze0zzcfa_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_7527), (long) CINT(BgL_vz00_7528));
		}

	}



/* svar/Cinfo-clo-env? */
	BGL_EXPORTED_DEF bool_t
		BGl_svarzf2Cinfozd2clozd2envzf3z01zzcfa_infoz00(BgL_svarz00_bglt
		BgL_oz00_317)
	{
		{	/* Cfa/cinfo.sch 844 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_12169;

				{
					obj_t BgL_auxz00_12170;

					{	/* Cfa/cinfo.sch 844 */
						BgL_objectz00_bglt BgL_tmpz00_12171;

						BgL_tmpz00_12171 = ((BgL_objectz00_bglt) BgL_oz00_317);
						BgL_auxz00_12170 = BGL_OBJECT_WIDENING(BgL_tmpz00_12171);
					}
					BgL_auxz00_12169 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_12170);
				}
				return
					(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12169))->
					BgL_clozd2envzf3z21);
			}
		}

	}



/* &svar/Cinfo-clo-env? */
	obj_t BGl_z62svarzf2Cinfozd2clozd2envzf3z63zzcfa_infoz00(obj_t
		BgL_envz00_7529, obj_t BgL_oz00_7530)
	{
		{	/* Cfa/cinfo.sch 844 */
			return
				BBOOL(BGl_svarzf2Cinfozd2clozd2envzf3z01zzcfa_infoz00(
					((BgL_svarz00_bglt) BgL_oz00_7530)));
		}

	}



/* svar/Cinfo-clo-env?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Cinfozd2clozd2envzf3zd2setz12zc1zzcfa_infoz00(BgL_svarz00_bglt
		BgL_oz00_318, bool_t BgL_vz00_319)
	{
		{	/* Cfa/cinfo.sch 845 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_12179;

				{
					obj_t BgL_auxz00_12180;

					{	/* Cfa/cinfo.sch 845 */
						BgL_objectz00_bglt BgL_tmpz00_12181;

						BgL_tmpz00_12181 = ((BgL_objectz00_bglt) BgL_oz00_318);
						BgL_auxz00_12180 = BGL_OBJECT_WIDENING(BgL_tmpz00_12181);
					}
					BgL_auxz00_12179 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_12180);
				}
				return
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12179))->
						BgL_clozd2envzf3z21) = ((bool_t) BgL_vz00_319), BUNSPEC);
			}
		}

	}



/* &svar/Cinfo-clo-env?-set! */
	obj_t BGl_z62svarzf2Cinfozd2clozd2envzf3zd2setz12za3zzcfa_infoz00(obj_t
		BgL_envz00_7531, obj_t BgL_oz00_7532, obj_t BgL_vz00_7533)
	{
		{	/* Cfa/cinfo.sch 845 */
			return
				BGl_svarzf2Cinfozd2clozd2envzf3zd2setz12zc1zzcfa_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_7532), CBOOL(BgL_vz00_7533));
		}

	}



/* svar/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_svarzf2Cinfozd2approxz20zzcfa_infoz00(BgL_svarz00_bglt BgL_oz00_320)
	{
		{	/* Cfa/cinfo.sch 846 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_12189;

				{
					obj_t BgL_auxz00_12190;

					{	/* Cfa/cinfo.sch 846 */
						BgL_objectz00_bglt BgL_tmpz00_12191;

						BgL_tmpz00_12191 = ((BgL_objectz00_bglt) BgL_oz00_320);
						BgL_auxz00_12190 = BGL_OBJECT_WIDENING(BgL_tmpz00_12191);
					}
					BgL_auxz00_12189 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_12190);
				}
				return
					(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12189))->
					BgL_approxz00);
			}
		}

	}



/* &svar/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62svarzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_7534, obj_t BgL_oz00_7535)
	{
		{	/* Cfa/cinfo.sch 846 */
			return
				BGl_svarzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_7535));
		}

	}



/* svar/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t BGl_svarzf2Cinfozd2locz20zzcfa_infoz00(BgL_svarz00_bglt
		BgL_oz00_323)
	{
		{	/* Cfa/cinfo.sch 848 */
			return
				(((BgL_svarz00_bglt) COBJECT(
						((BgL_svarz00_bglt) BgL_oz00_323)))->BgL_locz00);
		}

	}



/* &svar/Cinfo-loc */
	obj_t BGl_z62svarzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_7536,
		obj_t BgL_oz00_7537)
	{
		{	/* Cfa/cinfo.sch 848 */
			return
				BGl_svarzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_7537));
		}

	}



/* svar/Cinfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Cinfozd2loczd2setz12ze0zzcfa_infoz00(BgL_svarz00_bglt
		BgL_oz00_324, obj_t BgL_vz00_325)
	{
		{	/* Cfa/cinfo.sch 849 */
			return
				((((BgL_svarz00_bglt) COBJECT(
							((BgL_svarz00_bglt) BgL_oz00_324)))->BgL_locz00) =
				((obj_t) BgL_vz00_325), BUNSPEC);
		}

	}



/* &svar/Cinfo-loc-set! */
	obj_t BGl_z62svarzf2Cinfozd2loczd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7538, obj_t BgL_oz00_7539, obj_t BgL_vz00_7540)
	{
		{	/* Cfa/cinfo.sch 849 */
			return
				BGl_svarzf2Cinfozd2loczd2setz12ze0zzcfa_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_7539), BgL_vz00_7540);
		}

	}



/* make-cvar/Cinfo */
	BGL_EXPORTED_DEF BgL_cvarz00_bglt
		BGl_makezd2cvarzf2Cinfoz20zzcfa_infoz00(bool_t BgL_macrozf31745zf3_326,
		BgL_approxz00_bglt BgL_approx1746z00_327)
	{
		{	/* Cfa/cinfo.sch 852 */
			{	/* Cfa/cinfo.sch 852 */
				BgL_cvarz00_bglt BgL_new1570z00_9569;

				{	/* Cfa/cinfo.sch 852 */
					BgL_cvarz00_bglt BgL_tmp1568z00_9570;
					BgL_cvarzf2cinfozf2_bglt BgL_wide1569z00_9571;

					{
						BgL_cvarz00_bglt BgL_auxz00_12206;

						{	/* Cfa/cinfo.sch 852 */
							BgL_cvarz00_bglt BgL_new1567z00_9572;

							BgL_new1567z00_9572 =
								((BgL_cvarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_cvarz00_bgl))));
							{	/* Cfa/cinfo.sch 852 */
								long BgL_arg2002z00_9573;

								BgL_arg2002z00_9573 = BGL_CLASS_NUM(BGl_cvarz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1567z00_9572),
									BgL_arg2002z00_9573);
							}
							{	/* Cfa/cinfo.sch 852 */
								BgL_objectz00_bglt BgL_tmpz00_12211;

								BgL_tmpz00_12211 = ((BgL_objectz00_bglt) BgL_new1567z00_9572);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12211, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1567z00_9572);
							BgL_auxz00_12206 = BgL_new1567z00_9572;
						}
						BgL_tmp1568z00_9570 = ((BgL_cvarz00_bglt) BgL_auxz00_12206);
					}
					BgL_wide1569z00_9571 =
						((BgL_cvarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_cvarzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 852 */
						obj_t BgL_auxz00_12219;
						BgL_objectz00_bglt BgL_tmpz00_12217;

						BgL_auxz00_12219 = ((obj_t) BgL_wide1569z00_9571);
						BgL_tmpz00_12217 = ((BgL_objectz00_bglt) BgL_tmp1568z00_9570);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12217, BgL_auxz00_12219);
					}
					((BgL_objectz00_bglt) BgL_tmp1568z00_9570);
					{	/* Cfa/cinfo.sch 852 */
						long BgL_arg2001z00_9574;

						BgL_arg2001z00_9574 =
							BGL_CLASS_NUM(BGl_cvarzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1568z00_9570), BgL_arg2001z00_9574);
					}
					BgL_new1570z00_9569 = ((BgL_cvarz00_bglt) BgL_tmp1568z00_9570);
				}
				((((BgL_cvarz00_bglt) COBJECT(
								((BgL_cvarz00_bglt) BgL_new1570z00_9569)))->BgL_macrozf3zf3) =
					((bool_t) BgL_macrozf31745zf3_326), BUNSPEC);
				{
					BgL_cvarzf2cinfozf2_bglt BgL_auxz00_12229;

					{
						obj_t BgL_auxz00_12230;

						{	/* Cfa/cinfo.sch 852 */
							BgL_objectz00_bglt BgL_tmpz00_12231;

							BgL_tmpz00_12231 = ((BgL_objectz00_bglt) BgL_new1570z00_9569);
							BgL_auxz00_12230 = BGL_OBJECT_WIDENING(BgL_tmpz00_12231);
						}
						BgL_auxz00_12229 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_12230);
					}
					((((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12229))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1746z00_327), BUNSPEC);
				}
				return BgL_new1570z00_9569;
			}
		}

	}



/* &make-cvar/Cinfo */
	BgL_cvarz00_bglt BGl_z62makezd2cvarzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_7541, obj_t BgL_macrozf31745zf3_7542,
		obj_t BgL_approx1746z00_7543)
	{
		{	/* Cfa/cinfo.sch 852 */
			return
				BGl_makezd2cvarzf2Cinfoz20zzcfa_infoz00(CBOOL(BgL_macrozf31745zf3_7542),
				((BgL_approxz00_bglt) BgL_approx1746z00_7543));
		}

	}



/* cvar/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_cvarzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_328)
	{
		{	/* Cfa/cinfo.sch 853 */
			{	/* Cfa/cinfo.sch 853 */
				obj_t BgL_classz00_9575;

				BgL_classz00_9575 = BGl_cvarzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_328))
					{	/* Cfa/cinfo.sch 853 */
						BgL_objectz00_bglt BgL_arg1825z00_9576;

						BgL_arg1825z00_9576 = (BgL_objectz00_bglt) (BgL_objz00_328);
						{	/* Cfa/cinfo.sch 853 */
							bool_t BgL_arg1822z00_9577;
							bool_t BgL_arg1823z00_9578;

							{	/* Cfa/cinfo.sch 853 */
								long BgL_idxz00_9579;

								BgL_idxz00_9579 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9576);
								BgL_arg1822z00_9577 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9579 + ((long) 3))) == BgL_classz00_9575);
							}
							{	/* Cfa/cinfo.sch 853 */
								bool_t BgL_res3055z00_9582;

								{	/* Cfa/cinfo.sch 853 */
									obj_t BgL_oclassz00_9583;

									{	/* Cfa/cinfo.sch 853 */
										long BgL_arg1833z00_9584;

										{	/* Cfa/cinfo.sch 853 */
											long BgL_arg1834z00_9585;

											BgL_arg1834z00_9585 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9576);
											BgL_arg1833z00_9584 = (BgL_arg1834z00_9585 - OBJECT_TYPE);
										}
										BgL_oclassz00_9583 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9584);
									}
									{	/* Cfa/cinfo.sch 853 */
										bool_t BgL__ortest_1110z00_9586;

										BgL__ortest_1110z00_9586 =
											(BgL_classz00_9575 == BgL_oclassz00_9583);
										if (BgL__ortest_1110z00_9586)
											{	/* Cfa/cinfo.sch 853 */
												BgL_res3055z00_9582 = BgL__ortest_1110z00_9586;
											}
										else
											{	/* Cfa/cinfo.sch 853 */
												long BgL_odepthz00_9587;

												BgL_odepthz00_9587 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9583);
												if ((((long) 3) < BgL_odepthz00_9587))
													{	/* Cfa/cinfo.sch 853 */
														obj_t BgL_arg1821z00_9588;

														BgL_arg1821z00_9588 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9583,
															((long) 3));
														BgL_res3055z00_9582 =
															(BgL_arg1821z00_9588 == BgL_classz00_9575);
													}
												else
													{	/* Cfa/cinfo.sch 853 */
														BgL_res3055z00_9582 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9578 = BgL_res3055z00_9582;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9577, BgL_arg1823z00_9578);
						}
					}
				else
					{	/* Cfa/cinfo.sch 853 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cvar/Cinfo? */
	obj_t BGl_z62cvarzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_7544,
		obj_t BgL_objz00_7545)
	{
		{	/* Cfa/cinfo.sch 853 */
			return BBOOL(BGl_cvarzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_7545));
		}

	}



/* cvar/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_cvarz00_bglt BGl_cvarzf2Cinfozd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 854 */
			{	/* Cfa/cinfo.sch 854 */
				obj_t BgL_classz00_4824;

				BgL_classz00_4824 = BGl_cvarzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 854 */
					obj_t BgL__ortest_1112z00_4825;

					BgL__ortest_1112z00_4825 = BGL_CLASS_NIL(BgL_classz00_4824);
					if (CBOOL(BgL__ortest_1112z00_4825))
						{	/* Cfa/cinfo.sch 854 */
							return ((BgL_cvarz00_bglt) BgL__ortest_1112z00_4825);
						}
					else
						{	/* Cfa/cinfo.sch 854 */
							return
								((BgL_cvarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4824));
						}
				}
			}
		}

	}



/* &cvar/Cinfo-nil */
	BgL_cvarz00_bglt BGl_z62cvarzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7546)
	{
		{	/* Cfa/cinfo.sch 854 */
			return BGl_cvarzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* cvar/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_cvarzf2Cinfozd2approxz20zzcfa_infoz00(BgL_cvarz00_bglt BgL_oz00_329)
	{
		{	/* Cfa/cinfo.sch 855 */
			{
				BgL_cvarzf2cinfozf2_bglt BgL_auxz00_12266;

				{
					obj_t BgL_auxz00_12267;

					{	/* Cfa/cinfo.sch 855 */
						BgL_objectz00_bglt BgL_tmpz00_12268;

						BgL_tmpz00_12268 = ((BgL_objectz00_bglt) BgL_oz00_329);
						BgL_auxz00_12267 = BGL_OBJECT_WIDENING(BgL_tmpz00_12268);
					}
					BgL_auxz00_12266 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_12267);
				}
				return
					(((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12266))->
					BgL_approxz00);
			}
		}

	}



/* &cvar/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62cvarzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_7547, obj_t BgL_oz00_7548)
	{
		{	/* Cfa/cinfo.sch 855 */
			return
				BGl_cvarzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_cvarz00_bglt) BgL_oz00_7548));
		}

	}



/* cvar/Cinfo-macro? */
	BGL_EXPORTED_DEF bool_t
		BGl_cvarzf2Cinfozd2macrozf3zd3zzcfa_infoz00(BgL_cvarz00_bglt BgL_oz00_332)
	{
		{	/* Cfa/cinfo.sch 857 */
			return
				(((BgL_cvarz00_bglt) COBJECT(
						((BgL_cvarz00_bglt) BgL_oz00_332)))->BgL_macrozf3zf3);
		}

	}



/* &cvar/Cinfo-macro? */
	obj_t BGl_z62cvarzf2Cinfozd2macrozf3zb1zzcfa_infoz00(obj_t BgL_envz00_7549,
		obj_t BgL_oz00_7550)
	{
		{	/* Cfa/cinfo.sch 857 */
			return
				BBOOL(BGl_cvarzf2Cinfozd2macrozf3zd3zzcfa_infoz00(
					((BgL_cvarz00_bglt) BgL_oz00_7550)));
		}

	}



/* make-sexit/Cinfo */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt
		BGl_makezd2sexitzf2Cinfoz20zzcfa_infoz00(obj_t BgL_handler1741z00_335,
		bool_t BgL_detachedzf31742zf3_336, BgL_approxz00_bglt BgL_approx1743z00_337)
	{
		{	/* Cfa/cinfo.sch 861 */
			{	/* Cfa/cinfo.sch 861 */
				BgL_sexitz00_bglt BgL_new1574z00_9589;

				{	/* Cfa/cinfo.sch 861 */
					BgL_sexitz00_bglt BgL_tmp1572z00_9590;
					BgL_sexitzf2cinfozf2_bglt BgL_wide1573z00_9591;

					{
						BgL_sexitz00_bglt BgL_auxz00_12280;

						{	/* Cfa/cinfo.sch 861 */
							BgL_sexitz00_bglt BgL_new1571z00_9592;

							BgL_new1571z00_9592 =
								((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sexitz00_bgl))));
							{	/* Cfa/cinfo.sch 861 */
								long BgL_arg2004z00_9593;

								BgL_arg2004z00_9593 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1571z00_9592),
									BgL_arg2004z00_9593);
							}
							{	/* Cfa/cinfo.sch 861 */
								BgL_objectz00_bglt BgL_tmpz00_12285;

								BgL_tmpz00_12285 = ((BgL_objectz00_bglt) BgL_new1571z00_9592);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12285, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1571z00_9592);
							BgL_auxz00_12280 = BgL_new1571z00_9592;
						}
						BgL_tmp1572z00_9590 = ((BgL_sexitz00_bglt) BgL_auxz00_12280);
					}
					BgL_wide1573z00_9591 =
						((BgL_sexitzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sexitzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 861 */
						obj_t BgL_auxz00_12293;
						BgL_objectz00_bglt BgL_tmpz00_12291;

						BgL_auxz00_12293 = ((obj_t) BgL_wide1573z00_9591);
						BgL_tmpz00_12291 = ((BgL_objectz00_bglt) BgL_tmp1572z00_9590);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12291, BgL_auxz00_12293);
					}
					((BgL_objectz00_bglt) BgL_tmp1572z00_9590);
					{	/* Cfa/cinfo.sch 861 */
						long BgL_arg2003z00_9594;

						BgL_arg2003z00_9594 =
							BGL_CLASS_NUM(BGl_sexitzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1572z00_9590), BgL_arg2003z00_9594);
					}
					BgL_new1574z00_9589 = ((BgL_sexitz00_bglt) BgL_tmp1572z00_9590);
				}
				((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt) BgL_new1574z00_9589)))->BgL_handlerz00) =
					((obj_t) BgL_handler1741z00_335), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
									BgL_new1574z00_9589)))->BgL_detachedzf3zf3) =
					((bool_t) BgL_detachedzf31742zf3_336), BUNSPEC);
				{
					BgL_sexitzf2cinfozf2_bglt BgL_auxz00_12305;

					{
						obj_t BgL_auxz00_12306;

						{	/* Cfa/cinfo.sch 861 */
							BgL_objectz00_bglt BgL_tmpz00_12307;

							BgL_tmpz00_12307 = ((BgL_objectz00_bglt) BgL_new1574z00_9589);
							BgL_auxz00_12306 = BGL_OBJECT_WIDENING(BgL_tmpz00_12307);
						}
						BgL_auxz00_12305 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_12306);
					}
					((((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12305))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1743z00_337), BUNSPEC);
				}
				return BgL_new1574z00_9589;
			}
		}

	}



/* &make-sexit/Cinfo */
	BgL_sexitz00_bglt BGl_z62makezd2sexitzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_7551, obj_t BgL_handler1741z00_7552,
		obj_t BgL_detachedzf31742zf3_7553, obj_t BgL_approx1743z00_7554)
	{
		{	/* Cfa/cinfo.sch 861 */
			return
				BGl_makezd2sexitzf2Cinfoz20zzcfa_infoz00(BgL_handler1741z00_7552,
				CBOOL(BgL_detachedzf31742zf3_7553),
				((BgL_approxz00_bglt) BgL_approx1743z00_7554));
		}

	}



/* sexit/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_sexitzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_338)
	{
		{	/* Cfa/cinfo.sch 862 */
			{	/* Cfa/cinfo.sch 862 */
				obj_t BgL_classz00_9595;

				BgL_classz00_9595 = BGl_sexitzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_338))
					{	/* Cfa/cinfo.sch 862 */
						BgL_objectz00_bglt BgL_arg1825z00_9596;

						BgL_arg1825z00_9596 = (BgL_objectz00_bglt) (BgL_objz00_338);
						{	/* Cfa/cinfo.sch 862 */
							bool_t BgL_arg1822z00_9597;
							bool_t BgL_arg1823z00_9598;

							{	/* Cfa/cinfo.sch 862 */
								long BgL_idxz00_9599;

								BgL_idxz00_9599 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9596);
								BgL_arg1822z00_9597 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9599 + ((long) 3))) == BgL_classz00_9595);
							}
							{	/* Cfa/cinfo.sch 862 */
								bool_t BgL_res3056z00_9602;

								{	/* Cfa/cinfo.sch 862 */
									obj_t BgL_oclassz00_9603;

									{	/* Cfa/cinfo.sch 862 */
										long BgL_arg1833z00_9604;

										{	/* Cfa/cinfo.sch 862 */
											long BgL_arg1834z00_9605;

											BgL_arg1834z00_9605 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9596);
											BgL_arg1833z00_9604 = (BgL_arg1834z00_9605 - OBJECT_TYPE);
										}
										BgL_oclassz00_9603 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9604);
									}
									{	/* Cfa/cinfo.sch 862 */
										bool_t BgL__ortest_1110z00_9606;

										BgL__ortest_1110z00_9606 =
											(BgL_classz00_9595 == BgL_oclassz00_9603);
										if (BgL__ortest_1110z00_9606)
											{	/* Cfa/cinfo.sch 862 */
												BgL_res3056z00_9602 = BgL__ortest_1110z00_9606;
											}
										else
											{	/* Cfa/cinfo.sch 862 */
												long BgL_odepthz00_9607;

												BgL_odepthz00_9607 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9603);
												if ((((long) 3) < BgL_odepthz00_9607))
													{	/* Cfa/cinfo.sch 862 */
														obj_t BgL_arg1821z00_9608;

														BgL_arg1821z00_9608 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9603,
															((long) 3));
														BgL_res3056z00_9602 =
															(BgL_arg1821z00_9608 == BgL_classz00_9595);
													}
												else
													{	/* Cfa/cinfo.sch 862 */
														BgL_res3056z00_9602 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9598 = BgL_res3056z00_9602;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9597, BgL_arg1823z00_9598);
						}
					}
				else
					{	/* Cfa/cinfo.sch 862 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sexit/Cinfo? */
	obj_t BGl_z62sexitzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_7555,
		obj_t BgL_objz00_7556)
	{
		{	/* Cfa/cinfo.sch 862 */
			return BBOOL(BGl_sexitzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_7556));
		}

	}



/* sexit/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt BGl_sexitzf2Cinfozd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 863 */
			{	/* Cfa/cinfo.sch 863 */
				obj_t BgL_classz00_4874;

				BgL_classz00_4874 = BGl_sexitzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 863 */
					obj_t BgL__ortest_1112z00_4875;

					BgL__ortest_1112z00_4875 = BGL_CLASS_NIL(BgL_classz00_4874);
					if (CBOOL(BgL__ortest_1112z00_4875))
						{	/* Cfa/cinfo.sch 863 */
							return ((BgL_sexitz00_bglt) BgL__ortest_1112z00_4875);
						}
					else
						{	/* Cfa/cinfo.sch 863 */
							return
								((BgL_sexitz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4874));
						}
				}
			}
		}

	}



/* &sexit/Cinfo-nil */
	BgL_sexitz00_bglt BGl_z62sexitzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7557)
	{
		{	/* Cfa/cinfo.sch 863 */
			return BGl_sexitzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* sexit/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_sexitzf2Cinfozd2approxz20zzcfa_infoz00(BgL_sexitz00_bglt BgL_oz00_339)
	{
		{	/* Cfa/cinfo.sch 864 */
			{
				BgL_sexitzf2cinfozf2_bglt BgL_auxz00_12342;

				{
					obj_t BgL_auxz00_12343;

					{	/* Cfa/cinfo.sch 864 */
						BgL_objectz00_bglt BgL_tmpz00_12344;

						BgL_tmpz00_12344 = ((BgL_objectz00_bglt) BgL_oz00_339);
						BgL_auxz00_12343 = BGL_OBJECT_WIDENING(BgL_tmpz00_12344);
					}
					BgL_auxz00_12342 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_12343);
				}
				return
					(((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12342))->
					BgL_approxz00);
			}
		}

	}



/* &sexit/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62sexitzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_7558, obj_t BgL_oz00_7559)
	{
		{	/* Cfa/cinfo.sch 864 */
			return
				BGl_sexitzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_7559));
		}

	}



/* sexit/Cinfo-detached? */
	BGL_EXPORTED_DEF bool_t
		BGl_sexitzf2Cinfozd2detachedzf3zd3zzcfa_infoz00(BgL_sexitz00_bglt
		BgL_oz00_342)
	{
		{	/* Cfa/cinfo.sch 866 */
			return
				(((BgL_sexitz00_bglt) COBJECT(
						((BgL_sexitz00_bglt) BgL_oz00_342)))->BgL_detachedzf3zf3);
		}

	}



/* &sexit/Cinfo-detached? */
	obj_t BGl_z62sexitzf2Cinfozd2detachedzf3zb1zzcfa_infoz00(obj_t
		BgL_envz00_7560, obj_t BgL_oz00_7561)
	{
		{	/* Cfa/cinfo.sch 866 */
			return
				BBOOL(BGl_sexitzf2Cinfozd2detachedzf3zd3zzcfa_infoz00(
					((BgL_sexitz00_bglt) BgL_oz00_7561)));
		}

	}



/* sexit/Cinfo-detached?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Cinfozd2detachedzf3zd2setz12z13zzcfa_infoz00(BgL_sexitz00_bglt
		BgL_oz00_343, bool_t BgL_vz00_344)
	{
		{	/* Cfa/cinfo.sch 867 */
			return
				((((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_343)))->BgL_detachedzf3zf3) =
				((bool_t) BgL_vz00_344), BUNSPEC);
		}

	}



/* &sexit/Cinfo-detached?-set! */
	obj_t BGl_z62sexitzf2Cinfozd2detachedzf3zd2setz12z71zzcfa_infoz00(obj_t
		BgL_envz00_7562, obj_t BgL_oz00_7563, obj_t BgL_vz00_7564)
	{
		{	/* Cfa/cinfo.sch 867 */
			return
				BGl_sexitzf2Cinfozd2detachedzf3zd2setz12z13zzcfa_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_7563), CBOOL(BgL_vz00_7564));
		}

	}



/* sexit/Cinfo-handler */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Cinfozd2handlerz20zzcfa_infoz00(BgL_sexitz00_bglt BgL_oz00_345)
	{
		{	/* Cfa/cinfo.sch 868 */
			return
				(((BgL_sexitz00_bglt) COBJECT(
						((BgL_sexitz00_bglt) BgL_oz00_345)))->BgL_handlerz00);
		}

	}



/* &sexit/Cinfo-handler */
	obj_t BGl_z62sexitzf2Cinfozd2handlerz42zzcfa_infoz00(obj_t BgL_envz00_7565,
		obj_t BgL_oz00_7566)
	{
		{	/* Cfa/cinfo.sch 868 */
			return
				BGl_sexitzf2Cinfozd2handlerz20zzcfa_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_7566));
		}

	}



/* sexit/Cinfo-handler-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Cinfozd2handlerzd2setz12ze0zzcfa_infoz00(BgL_sexitz00_bglt
		BgL_oz00_346, obj_t BgL_vz00_347)
	{
		{	/* Cfa/cinfo.sch 869 */
			return
				((((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_346)))->BgL_handlerz00) =
				((obj_t) BgL_vz00_347), BUNSPEC);
		}

	}



/* &sexit/Cinfo-handler-set! */
	obj_t BGl_z62sexitzf2Cinfozd2handlerzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7567, obj_t BgL_oz00_7568, obj_t BgL_vz00_7569)
	{
		{	/* Cfa/cinfo.sch 869 */
			return
				BGl_sexitzf2Cinfozd2handlerzd2setz12ze0zzcfa_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_7568), BgL_vz00_7569);
		}

	}



/* make-reshaped-local */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_makezd2reshapedzd2localz00zzcfa_infoz00(obj_t BgL_id1726z00_348,
		obj_t BgL_name1727z00_349, BgL_typez00_bglt BgL_type1728z00_350,
		BgL_valuez00_bglt BgL_value1729z00_351, obj_t BgL_access1730z00_352,
		obj_t BgL_fastzd2alpha1731zd2_353, obj_t BgL_removable1732z00_354,
		long BgL_occurrence1733z00_355, long BgL_occurrencew1734z00_356,
		bool_t BgL_userzf31735zf3_357, long BgL_key1736z00_358,
		obj_t BgL_valzd2noescape1737zd2_359, bool_t BgL_volatile1738z00_360,
		obj_t BgL_bindingzd2value1739zd2_361)
	{
		{	/* Cfa/cinfo.sch 872 */
			{	/* Cfa/cinfo.sch 872 */
				BgL_localz00_bglt BgL_new1578z00_9609;

				{	/* Cfa/cinfo.sch 872 */
					BgL_localz00_bglt BgL_tmp1576z00_9610;
					BgL_reshapedzd2localzd2_bglt BgL_wide1577z00_9611;

					{
						BgL_localz00_bglt BgL_auxz00_12369;

						{	/* Cfa/cinfo.sch 872 */
							BgL_localz00_bglt BgL_new1575z00_9612;

							BgL_new1575z00_9612 =
								((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							{	/* Cfa/cinfo.sch 872 */
								long BgL_arg2006z00_9613;

								BgL_arg2006z00_9613 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1575z00_9612),
									BgL_arg2006z00_9613);
							}
							{	/* Cfa/cinfo.sch 872 */
								BgL_objectz00_bglt BgL_tmpz00_12374;

								BgL_tmpz00_12374 = ((BgL_objectz00_bglt) BgL_new1575z00_9612);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12374, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1575z00_9612);
							BgL_auxz00_12369 = BgL_new1575z00_9612;
						}
						BgL_tmp1576z00_9610 = ((BgL_localz00_bglt) BgL_auxz00_12369);
					}
					BgL_wide1577z00_9611 =
						((BgL_reshapedzd2localzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_reshapedzd2localzd2_bgl))));
					{	/* Cfa/cinfo.sch 872 */
						obj_t BgL_auxz00_12382;
						BgL_objectz00_bglt BgL_tmpz00_12380;

						BgL_auxz00_12382 = ((obj_t) BgL_wide1577z00_9611);
						BgL_tmpz00_12380 = ((BgL_objectz00_bglt) BgL_tmp1576z00_9610);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12380, BgL_auxz00_12382);
					}
					((BgL_objectz00_bglt) BgL_tmp1576z00_9610);
					{	/* Cfa/cinfo.sch 872 */
						long BgL_arg2005z00_9614;

						BgL_arg2005z00_9614 =
							BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1576z00_9610), BgL_arg2005z00_9614);
					}
					BgL_new1578z00_9609 = ((BgL_localz00_bglt) BgL_tmp1576z00_9610);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1578z00_9609)))->BgL_idz00) =
					((obj_t) BgL_id1726z00_348), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1578z00_9609)))->BgL_namez00) =
					((obj_t) BgL_name1727z00_349), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1578z00_9609)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1728z00_350), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1578z00_9609)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1729z00_351), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1578z00_9609)))->BgL_accessz00) =
					((obj_t) BgL_access1730z00_352), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1578z00_9609)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1731zd2_353), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1578z00_9609)))->BgL_removablez00) =
					((obj_t) BgL_removable1732z00_354), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1578z00_9609)))->BgL_occurrencez00) =
					((long) BgL_occurrence1733z00_355), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1578z00_9609)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1734z00_356), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1578z00_9609)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31735zf3_357), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1578z00_9609)))->BgL_keyz00) =
					((long) BgL_key1736z00_358), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1578z00_9609)))->BgL_valzd2noescapezd2) =
					((obj_t) BgL_valzd2noescape1737zd2_359), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1578z00_9609)))->BgL_volatilez00) =
					((bool_t) BgL_volatile1738z00_360), BUNSPEC);
				{
					BgL_reshapedzd2localzd2_bglt BgL_auxz00_12416;

					{
						obj_t BgL_auxz00_12417;

						{	/* Cfa/cinfo.sch 872 */
							BgL_objectz00_bglt BgL_tmpz00_12418;

							BgL_tmpz00_12418 = ((BgL_objectz00_bglt) BgL_new1578z00_9609);
							BgL_auxz00_12417 = BGL_OBJECT_WIDENING(BgL_tmpz00_12418);
						}
						BgL_auxz00_12416 =
							((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_12417);
					}
					((((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_12416))->
							BgL_bindingzd2valuezd2) =
						((obj_t) BgL_bindingzd2value1739zd2_361), BUNSPEC);
				}
				return BgL_new1578z00_9609;
			}
		}

	}



/* &make-reshaped-local */
	BgL_localz00_bglt BGl_z62makezd2reshapedzd2localz62zzcfa_infoz00(obj_t
		BgL_envz00_7570, obj_t BgL_id1726z00_7571, obj_t BgL_name1727z00_7572,
		obj_t BgL_type1728z00_7573, obj_t BgL_value1729z00_7574,
		obj_t BgL_access1730z00_7575, obj_t BgL_fastzd2alpha1731zd2_7576,
		obj_t BgL_removable1732z00_7577, obj_t BgL_occurrence1733z00_7578,
		obj_t BgL_occurrencew1734z00_7579, obj_t BgL_userzf31735zf3_7580,
		obj_t BgL_key1736z00_7581, obj_t BgL_valzd2noescape1737zd2_7582,
		obj_t BgL_volatile1738z00_7583, obj_t BgL_bindingzd2value1739zd2_7584)
	{
		{	/* Cfa/cinfo.sch 872 */
			return
				BGl_makezd2reshapedzd2localz00zzcfa_infoz00(BgL_id1726z00_7571,
				BgL_name1727z00_7572, ((BgL_typez00_bglt) BgL_type1728z00_7573),
				((BgL_valuez00_bglt) BgL_value1729z00_7574), BgL_access1730z00_7575,
				BgL_fastzd2alpha1731zd2_7576, BgL_removable1732z00_7577,
				(long) CINT(BgL_occurrence1733z00_7578),
				(long) CINT(BgL_occurrencew1734z00_7579),
				CBOOL(BgL_userzf31735zf3_7580), (long) CINT(BgL_key1736z00_7581),
				BgL_valzd2noescape1737zd2_7582, CBOOL(BgL_volatile1738z00_7583),
				BgL_bindingzd2value1739zd2_7584);
		}

	}



/* reshaped-local? */
	BGL_EXPORTED_DEF bool_t BGl_reshapedzd2localzf3z21zzcfa_infoz00(obj_t
		BgL_objz00_362)
	{
		{	/* Cfa/cinfo.sch 873 */
			{	/* Cfa/cinfo.sch 873 */
				obj_t BgL_classz00_9615;

				BgL_classz00_9615 = BGl_reshapedzd2localzd2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_362))
					{	/* Cfa/cinfo.sch 873 */
						BgL_objectz00_bglt BgL_arg1825z00_9616;

						BgL_arg1825z00_9616 = (BgL_objectz00_bglt) (BgL_objz00_362);
						{	/* Cfa/cinfo.sch 873 */
							bool_t BgL_arg1822z00_9617;
							bool_t BgL_arg1823z00_9618;

							{	/* Cfa/cinfo.sch 873 */
								long BgL_idxz00_9619;

								BgL_idxz00_9619 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9616);
								BgL_arg1822z00_9617 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9619 + ((long) 3))) == BgL_classz00_9615);
							}
							{	/* Cfa/cinfo.sch 873 */
								bool_t BgL_res3057z00_9622;

								{	/* Cfa/cinfo.sch 873 */
									obj_t BgL_oclassz00_9623;

									{	/* Cfa/cinfo.sch 873 */
										long BgL_arg1833z00_9624;

										{	/* Cfa/cinfo.sch 873 */
											long BgL_arg1834z00_9625;

											BgL_arg1834z00_9625 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9616);
											BgL_arg1833z00_9624 = (BgL_arg1834z00_9625 - OBJECT_TYPE);
										}
										BgL_oclassz00_9623 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9624);
									}
									{	/* Cfa/cinfo.sch 873 */
										bool_t BgL__ortest_1110z00_9626;

										BgL__ortest_1110z00_9626 =
											(BgL_classz00_9615 == BgL_oclassz00_9623);
										if (BgL__ortest_1110z00_9626)
											{	/* Cfa/cinfo.sch 873 */
												BgL_res3057z00_9622 = BgL__ortest_1110z00_9626;
											}
										else
											{	/* Cfa/cinfo.sch 873 */
												long BgL_odepthz00_9627;

												BgL_odepthz00_9627 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9623);
												if ((((long) 3) < BgL_odepthz00_9627))
													{	/* Cfa/cinfo.sch 873 */
														obj_t BgL_arg1821z00_9628;

														BgL_arg1821z00_9628 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9623,
															((long) 3));
														BgL_res3057z00_9622 =
															(BgL_arg1821z00_9628 == BgL_classz00_9615);
													}
												else
													{	/* Cfa/cinfo.sch 873 */
														BgL_res3057z00_9622 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9618 = BgL_res3057z00_9622;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9617, BgL_arg1823z00_9618);
						}
					}
				else
					{	/* Cfa/cinfo.sch 873 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &reshaped-local? */
	obj_t BGl_z62reshapedzd2localzf3z43zzcfa_infoz00(obj_t BgL_envz00_7585,
		obj_t BgL_objz00_7586)
	{
		{	/* Cfa/cinfo.sch 873 */
			return BBOOL(BGl_reshapedzd2localzf3z21zzcfa_infoz00(BgL_objz00_7586));
		}

	}



/* reshaped-local-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_reshapedzd2localzd2nilz00zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 874 */
			{	/* Cfa/cinfo.sch 874 */
				obj_t BgL_classz00_4924;

				BgL_classz00_4924 = BGl_reshapedzd2localzd2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 874 */
					obj_t BgL__ortest_1112z00_4925;

					BgL__ortest_1112z00_4925 = BGL_CLASS_NIL(BgL_classz00_4924);
					if (CBOOL(BgL__ortest_1112z00_4925))
						{	/* Cfa/cinfo.sch 874 */
							return ((BgL_localz00_bglt) BgL__ortest_1112z00_4925);
						}
					else
						{	/* Cfa/cinfo.sch 874 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4924));
						}
				}
			}
		}

	}



/* &reshaped-local-nil */
	BgL_localz00_bglt BGl_z62reshapedzd2localzd2nilz62zzcfa_infoz00(obj_t
		BgL_envz00_7587)
	{
		{	/* Cfa/cinfo.sch 874 */
			return BGl_reshapedzd2localzd2nilz00zzcfa_infoz00();
		}

	}



/* reshaped-local-binding-value */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2bindingzd2valuezd2zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_363)
	{
		{	/* Cfa/cinfo.sch 875 */
			{
				BgL_reshapedzd2localzd2_bglt BgL_auxz00_12458;

				{
					obj_t BgL_auxz00_12459;

					{	/* Cfa/cinfo.sch 875 */
						BgL_objectz00_bglt BgL_tmpz00_12460;

						BgL_tmpz00_12460 = ((BgL_objectz00_bglt) BgL_oz00_363);
						BgL_auxz00_12459 = BGL_OBJECT_WIDENING(BgL_tmpz00_12460);
					}
					BgL_auxz00_12458 = ((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_12459);
				}
				return
					(((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_12458))->
					BgL_bindingzd2valuezd2);
			}
		}

	}



/* &reshaped-local-binding-value */
	obj_t BGl_z62reshapedzd2localzd2bindingzd2valuezb0zzcfa_infoz00(obj_t
		BgL_envz00_7588, obj_t BgL_oz00_7589)
	{
		{	/* Cfa/cinfo.sch 875 */
			return
				BGl_reshapedzd2localzd2bindingzd2valuezd2zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7589));
		}

	}



/* reshaped-local-volatile */
	BGL_EXPORTED_DEF bool_t
		BGl_reshapedzd2localzd2volatilez00zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_366)
	{
		{	/* Cfa/cinfo.sch 877 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_366)))->BgL_volatilez00);
		}

	}



/* &reshaped-local-volatile */
	obj_t BGl_z62reshapedzd2localzd2volatilez62zzcfa_infoz00(obj_t
		BgL_envz00_7590, obj_t BgL_oz00_7591)
	{
		{	/* Cfa/cinfo.sch 877 */
			return
				BBOOL(BGl_reshapedzd2localzd2volatilez00zzcfa_infoz00(
					((BgL_localz00_bglt) BgL_oz00_7591)));
		}

	}



/* reshaped-local-volatile-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2volatilezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_367, bool_t BgL_vz00_368)
	{
		{	/* Cfa/cinfo.sch 878 */
			return
				((((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_367)))->BgL_volatilez00) =
				((bool_t) BgL_vz00_368), BUNSPEC);
		}

	}



/* &reshaped-local-volatile-set! */
	obj_t BGl_z62reshapedzd2localzd2volatilezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7592, obj_t BgL_oz00_7593, obj_t BgL_vz00_7594)
	{
		{	/* Cfa/cinfo.sch 878 */
			return
				BGl_reshapedzd2localzd2volatilezd2setz12zc0zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7593), CBOOL(BgL_vz00_7594));
		}

	}



/* reshaped-local-val-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2valzd2noescapezd2zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_369)
	{
		{	/* Cfa/cinfo.sch 879 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_369)))->BgL_valzd2noescapezd2);
		}

	}



/* &reshaped-local-val-noescape */
	obj_t BGl_z62reshapedzd2localzd2valzd2noescapezb0zzcfa_infoz00(obj_t
		BgL_envz00_7595, obj_t BgL_oz00_7596)
	{
		{	/* Cfa/cinfo.sch 879 */
			return
				BGl_reshapedzd2localzd2valzd2noescapezd2zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7596));
		}

	}



/* reshaped-local-val-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2valzd2noescapezd2setz12z12zzcfa_infoz00
		(BgL_localz00_bglt BgL_oz00_370, obj_t BgL_vz00_371)
	{
		{	/* Cfa/cinfo.sch 880 */
			return
				((((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_370)))->BgL_valzd2noescapezd2) =
				((obj_t) BgL_vz00_371), BUNSPEC);
		}

	}



/* &reshaped-local-val-noescape-set! */
	obj_t BGl_z62reshapedzd2localzd2valzd2noescapezd2setz12z70zzcfa_infoz00(obj_t
		BgL_envz00_7597, obj_t BgL_oz00_7598, obj_t BgL_vz00_7599)
	{
		{	/* Cfa/cinfo.sch 880 */
			return
				BGl_reshapedzd2localzd2valzd2noescapezd2setz12z12zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7598), BgL_vz00_7599);
		}

	}



/* reshaped-local-key */
	BGL_EXPORTED_DEF long
		BGl_reshapedzd2localzd2keyz00zzcfa_infoz00(BgL_localz00_bglt BgL_oz00_372)
	{
		{	/* Cfa/cinfo.sch 881 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_372)))->BgL_keyz00);
		}

	}



/* &reshaped-local-key */
	obj_t BGl_z62reshapedzd2localzd2keyz62zzcfa_infoz00(obj_t BgL_envz00_7600,
		obj_t BgL_oz00_7601)
	{
		{	/* Cfa/cinfo.sch 881 */
			return
				BINT(BGl_reshapedzd2localzd2keyz00zzcfa_infoz00(
					((BgL_localz00_bglt) BgL_oz00_7601)));
		}

	}



/* reshaped-local-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_reshapedzd2localzd2userzf3zf3zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_375)
	{
		{	/* Cfa/cinfo.sch 883 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_375)))->BgL_userzf3zf3);
		}

	}



/* &reshaped-local-user? */
	obj_t BGl_z62reshapedzd2localzd2userzf3z91zzcfa_infoz00(obj_t BgL_envz00_7602,
		obj_t BgL_oz00_7603)
	{
		{	/* Cfa/cinfo.sch 883 */
			return
				BBOOL(BGl_reshapedzd2localzd2userzf3zf3zzcfa_infoz00(
					((BgL_localz00_bglt) BgL_oz00_7603)));
		}

	}



/* reshaped-local-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2userzf3zd2setz12z33zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_376, bool_t BgL_vz00_377)
	{
		{	/* Cfa/cinfo.sch 884 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_376)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_377), BUNSPEC);
		}

	}



/* &reshaped-local-user?-set! */
	obj_t BGl_z62reshapedzd2localzd2userzf3zd2setz12z51zzcfa_infoz00(obj_t
		BgL_envz00_7604, obj_t BgL_oz00_7605, obj_t BgL_vz00_7606)
	{
		{	/* Cfa/cinfo.sch 884 */
			return
				BGl_reshapedzd2localzd2userzf3zd2setz12z33zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7605), CBOOL(BgL_vz00_7606));
		}

	}



/* reshaped-local-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_reshapedzd2localzd2occurrencewz00zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_378)
	{
		{	/* Cfa/cinfo.sch 885 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_378)))->BgL_occurrencewz00);
		}

	}



/* &reshaped-local-occurrencew */
	obj_t BGl_z62reshapedzd2localzd2occurrencewz62zzcfa_infoz00(obj_t
		BgL_envz00_7607, obj_t BgL_oz00_7608)
	{
		{	/* Cfa/cinfo.sch 885 */
			return
				BINT(BGl_reshapedzd2localzd2occurrencewz00zzcfa_infoz00(
					((BgL_localz00_bglt) BgL_oz00_7608)));
		}

	}



/* reshaped-local-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2occurrencewzd2setz12zc0zzcfa_infoz00
		(BgL_localz00_bglt BgL_oz00_379, long BgL_vz00_380)
	{
		{	/* Cfa/cinfo.sch 886 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_379)))->BgL_occurrencewz00) =
				((long) BgL_vz00_380), BUNSPEC);
		}

	}



/* &reshaped-local-occurrencew-set! */
	obj_t BGl_z62reshapedzd2localzd2occurrencewzd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7609, obj_t BgL_oz00_7610, obj_t BgL_vz00_7611)
	{
		{	/* Cfa/cinfo.sch 886 */
			return
				BGl_reshapedzd2localzd2occurrencewzd2setz12zc0zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7610), (long) CINT(BgL_vz00_7611));
		}

	}



/* reshaped-local-occurrence */
	BGL_EXPORTED_DEF long
		BGl_reshapedzd2localzd2occurrencez00zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_381)
	{
		{	/* Cfa/cinfo.sch 887 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_381)))->BgL_occurrencez00);
		}

	}



/* &reshaped-local-occurrence */
	obj_t BGl_z62reshapedzd2localzd2occurrencez62zzcfa_infoz00(obj_t
		BgL_envz00_7612, obj_t BgL_oz00_7613)
	{
		{	/* Cfa/cinfo.sch 887 */
			return
				BINT(BGl_reshapedzd2localzd2occurrencez00zzcfa_infoz00(
					((BgL_localz00_bglt) BgL_oz00_7613)));
		}

	}



/* reshaped-local-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2occurrencezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_382, long BgL_vz00_383)
	{
		{	/* Cfa/cinfo.sch 888 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_382)))->BgL_occurrencez00) =
				((long) BgL_vz00_383), BUNSPEC);
		}

	}



/* &reshaped-local-occurrence-set! */
	obj_t BGl_z62reshapedzd2localzd2occurrencezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7614, obj_t BgL_oz00_7615, obj_t BgL_vz00_7616)
	{
		{	/* Cfa/cinfo.sch 888 */
			return
				BGl_reshapedzd2localzd2occurrencezd2setz12zc0zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7615), (long) CINT(BgL_vz00_7616));
		}

	}



/* reshaped-local-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2removablez00zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_384)
	{
		{	/* Cfa/cinfo.sch 889 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_384)))->BgL_removablez00);
		}

	}



/* &reshaped-local-removable */
	obj_t BGl_z62reshapedzd2localzd2removablez62zzcfa_infoz00(obj_t
		BgL_envz00_7617, obj_t BgL_oz00_7618)
	{
		{	/* Cfa/cinfo.sch 889 */
			return
				BGl_reshapedzd2localzd2removablez00zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7618));
		}

	}



/* reshaped-local-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2removablezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_385, obj_t BgL_vz00_386)
	{
		{	/* Cfa/cinfo.sch 890 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_385)))->BgL_removablez00) =
				((obj_t) BgL_vz00_386), BUNSPEC);
		}

	}



/* &reshaped-local-removable-set! */
	obj_t BGl_z62reshapedzd2localzd2removablezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7619, obj_t BgL_oz00_7620, obj_t BgL_vz00_7621)
	{
		{	/* Cfa/cinfo.sch 890 */
			return
				BGl_reshapedzd2localzd2removablezd2setz12zc0zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7620), BgL_vz00_7621);
		}

	}



/* reshaped-local-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2fastzd2alphazd2zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_387)
	{
		{	/* Cfa/cinfo.sch 891 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_387)))->BgL_fastzd2alphazd2);
		}

	}



/* &reshaped-local-fast-alpha */
	obj_t BGl_z62reshapedzd2localzd2fastzd2alphazb0zzcfa_infoz00(obj_t
		BgL_envz00_7622, obj_t BgL_oz00_7623)
	{
		{	/* Cfa/cinfo.sch 891 */
			return
				BGl_reshapedzd2localzd2fastzd2alphazd2zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7623));
		}

	}



/* reshaped-local-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2fastzd2alphazd2setz12z12zzcfa_infoz00
		(BgL_localz00_bglt BgL_oz00_388, obj_t BgL_vz00_389)
	{
		{	/* Cfa/cinfo.sch 892 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_388)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_389), BUNSPEC);
		}

	}



/* &reshaped-local-fast-alpha-set! */
	obj_t BGl_z62reshapedzd2localzd2fastzd2alphazd2setz12z70zzcfa_infoz00(obj_t
		BgL_envz00_7624, obj_t BgL_oz00_7625, obj_t BgL_vz00_7626)
	{
		{	/* Cfa/cinfo.sch 892 */
			return
				BGl_reshapedzd2localzd2fastzd2alphazd2setz12z12zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7625), BgL_vz00_7626);
		}

	}



/* reshaped-local-access */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2accessz00zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_390)
	{
		{	/* Cfa/cinfo.sch 893 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_390)))->BgL_accessz00);
		}

	}



/* &reshaped-local-access */
	obj_t BGl_z62reshapedzd2localzd2accessz62zzcfa_infoz00(obj_t BgL_envz00_7627,
		obj_t BgL_oz00_7628)
	{
		{	/* Cfa/cinfo.sch 893 */
			return
				BGl_reshapedzd2localzd2accessz00zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7628));
		}

	}



/* reshaped-local-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2accesszd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_391, obj_t BgL_vz00_392)
	{
		{	/* Cfa/cinfo.sch 894 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_391)))->BgL_accessz00) =
				((obj_t) BgL_vz00_392), BUNSPEC);
		}

	}



/* &reshaped-local-access-set! */
	obj_t BGl_z62reshapedzd2localzd2accesszd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7629, obj_t BgL_oz00_7630, obj_t BgL_vz00_7631)
	{
		{	/* Cfa/cinfo.sch 894 */
			return
				BGl_reshapedzd2localzd2accesszd2setz12zc0zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7630), BgL_vz00_7631);
		}

	}



/* reshaped-local-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_reshapedzd2localzd2valuez00zzcfa_infoz00(BgL_localz00_bglt BgL_oz00_393)
	{
		{	/* Cfa/cinfo.sch 895 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_393)))->BgL_valuez00);
		}

	}



/* &reshaped-local-value */
	BgL_valuez00_bglt BGl_z62reshapedzd2localzd2valuez62zzcfa_infoz00(obj_t
		BgL_envz00_7632, obj_t BgL_oz00_7633)
	{
		{	/* Cfa/cinfo.sch 895 */
			return
				BGl_reshapedzd2localzd2valuez00zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7633));
		}

	}



/* reshaped-local-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2valuezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_394, BgL_valuez00_bglt BgL_vz00_395)
	{
		{	/* Cfa/cinfo.sch 896 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_394)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_395), BUNSPEC);
		}

	}



/* &reshaped-local-value-set! */
	obj_t BGl_z62reshapedzd2localzd2valuezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7634, obj_t BgL_oz00_7635, obj_t BgL_vz00_7636)
	{
		{	/* Cfa/cinfo.sch 896 */
			return
				BGl_reshapedzd2localzd2valuezd2setz12zc0zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7635),
				((BgL_valuez00_bglt) BgL_vz00_7636));
		}

	}



/* reshaped-local-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_reshapedzd2localzd2typez00zzcfa_infoz00(BgL_localz00_bglt BgL_oz00_396)
	{
		{	/* Cfa/cinfo.sch 897 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_396)))->BgL_typez00);
		}

	}



/* &reshaped-local-type */
	BgL_typez00_bglt BGl_z62reshapedzd2localzd2typez62zzcfa_infoz00(obj_t
		BgL_envz00_7637, obj_t BgL_oz00_7638)
	{
		{	/* Cfa/cinfo.sch 897 */
			return
				BGl_reshapedzd2localzd2typez00zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7638));
		}

	}



/* reshaped-local-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2typezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_397, BgL_typez00_bglt BgL_vz00_398)
	{
		{	/* Cfa/cinfo.sch 898 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_397)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_398), BUNSPEC);
		}

	}



/* &reshaped-local-type-set! */
	obj_t BGl_z62reshapedzd2localzd2typezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7639, obj_t BgL_oz00_7640, obj_t BgL_vz00_7641)
	{
		{	/* Cfa/cinfo.sch 898 */
			return
				BGl_reshapedzd2localzd2typezd2setz12zc0zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7640),
				((BgL_typez00_bglt) BgL_vz00_7641));
		}

	}



/* reshaped-local-name */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2namez00zzcfa_infoz00(BgL_localz00_bglt BgL_oz00_399)
	{
		{	/* Cfa/cinfo.sch 899 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_399)))->BgL_namez00);
		}

	}



/* &reshaped-local-name */
	obj_t BGl_z62reshapedzd2localzd2namez62zzcfa_infoz00(obj_t BgL_envz00_7642,
		obj_t BgL_oz00_7643)
	{
		{	/* Cfa/cinfo.sch 899 */
			return
				BGl_reshapedzd2localzd2namez00zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7643));
		}

	}



/* reshaped-local-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2namezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_400, obj_t BgL_vz00_401)
	{
		{	/* Cfa/cinfo.sch 900 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_400)))->BgL_namez00) =
				((obj_t) BgL_vz00_401), BUNSPEC);
		}

	}



/* &reshaped-local-name-set! */
	obj_t BGl_z62reshapedzd2localzd2namezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7644, obj_t BgL_oz00_7645, obj_t BgL_vz00_7646)
	{
		{	/* Cfa/cinfo.sch 900 */
			return
				BGl_reshapedzd2localzd2namezd2setz12zc0zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7645), BgL_vz00_7646);
		}

	}



/* reshaped-local-id */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2idz00zzcfa_infoz00(BgL_localz00_bglt BgL_oz00_402)
	{
		{	/* Cfa/cinfo.sch 901 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_402)))->BgL_idz00);
		}

	}



/* &reshaped-local-id */
	obj_t BGl_z62reshapedzd2localzd2idz62zzcfa_infoz00(obj_t BgL_envz00_7647,
		obj_t BgL_oz00_7648)
	{
		{	/* Cfa/cinfo.sch 901 */
			return
				BGl_reshapedzd2localzd2idz00zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7648));
		}

	}



/* make-reshaped-global */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2reshapedzd2globalz00zzcfa_infoz00(obj_t BgL_id1705z00_405,
		obj_t BgL_name1706z00_406, BgL_typez00_bglt BgL_type1707z00_407,
		BgL_valuez00_bglt BgL_value1708z00_408, obj_t BgL_access1709z00_409,
		obj_t BgL_fastzd2alpha1710zd2_410, obj_t BgL_removable1711z00_411,
		long BgL_occurrence1712z00_412, long BgL_occurrencew1713z00_413,
		bool_t BgL_userzf31714zf3_414, obj_t BgL_module1715z00_415,
		obj_t BgL_import1716z00_416, bool_t BgL_evaluablezf31717zf3_417,
		bool_t BgL_evalzf31718zf3_418, obj_t BgL_library1719z00_419,
		obj_t BgL_pragma1720z00_420, obj_t BgL_src1721z00_421,
		obj_t BgL_jvmzd2typezd2name1722z00_422, obj_t BgL_init1723z00_423,
		obj_t BgL_alias1724z00_424)
	{
		{	/* Cfa/cinfo.sch 905 */
			{	/* Cfa/cinfo.sch 905 */
				BgL_globalz00_bglt BgL_new1582z00_9629;

				{	/* Cfa/cinfo.sch 905 */
					BgL_globalz00_bglt BgL_tmp1580z00_9630;
					BgL_reshapedzd2globalzd2_bglt BgL_wide1581z00_9631;

					{
						BgL_globalz00_bglt BgL_auxz00_12574;

						{	/* Cfa/cinfo.sch 905 */
							BgL_globalz00_bglt BgL_new1579z00_9632;

							BgL_new1579z00_9632 =
								((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							{	/* Cfa/cinfo.sch 905 */
								long BgL_arg2008z00_9633;

								BgL_arg2008z00_9633 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1579z00_9632),
									BgL_arg2008z00_9633);
							}
							{	/* Cfa/cinfo.sch 905 */
								BgL_objectz00_bglt BgL_tmpz00_12579;

								BgL_tmpz00_12579 = ((BgL_objectz00_bglt) BgL_new1579z00_9632);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12579, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1579z00_9632);
							BgL_auxz00_12574 = BgL_new1579z00_9632;
						}
						BgL_tmp1580z00_9630 = ((BgL_globalz00_bglt) BgL_auxz00_12574);
					}
					BgL_wide1581z00_9631 =
						((BgL_reshapedzd2globalzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_reshapedzd2globalzd2_bgl))));
					{	/* Cfa/cinfo.sch 905 */
						obj_t BgL_auxz00_12587;
						BgL_objectz00_bglt BgL_tmpz00_12585;

						BgL_auxz00_12587 = ((obj_t) BgL_wide1581z00_9631);
						BgL_tmpz00_12585 = ((BgL_objectz00_bglt) BgL_tmp1580z00_9630);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12585, BgL_auxz00_12587);
					}
					((BgL_objectz00_bglt) BgL_tmp1580z00_9630);
					{	/* Cfa/cinfo.sch 905 */
						long BgL_arg2007z00_9634;

						BgL_arg2007z00_9634 =
							BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1580z00_9630), BgL_arg2007z00_9634);
					}
					BgL_new1582z00_9629 = ((BgL_globalz00_bglt) BgL_tmp1580z00_9630);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1582z00_9629)))->BgL_idz00) =
					((obj_t) BgL_id1705z00_405), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1582z00_9629)))->BgL_namez00) =
					((obj_t) BgL_name1706z00_406), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1582z00_9629)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1707z00_407), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1582z00_9629)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1708z00_408), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1582z00_9629)))->BgL_accessz00) =
					((obj_t) BgL_access1709z00_409), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1582z00_9629)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1710zd2_410), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1582z00_9629)))->BgL_removablez00) =
					((obj_t) BgL_removable1711z00_411), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1582z00_9629)))->BgL_occurrencez00) =
					((long) BgL_occurrence1712z00_412), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1582z00_9629)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1713z00_413), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1582z00_9629)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31714zf3_414), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1582z00_9629)))->BgL_modulez00) =
					((obj_t) BgL_module1715z00_415), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1582z00_9629)))->BgL_importz00) =
					((obj_t) BgL_import1716z00_416), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1582z00_9629)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31717zf3_417), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1582z00_9629)))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31718zf3_418), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1582z00_9629)))->BgL_libraryz00) =
					((obj_t) BgL_library1719z00_419), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1582z00_9629)))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1720z00_420), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1582z00_9629)))->BgL_srcz00) =
					((obj_t) BgL_src1721z00_421), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1582z00_9629)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BgL_jvmzd2typezd2name1722z00_422), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1582z00_9629)))->BgL_initz00) =
					((obj_t) BgL_init1723z00_423), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1582z00_9629)))->BgL_aliasz00) =
					((obj_t) BgL_alias1724z00_424), BUNSPEC);
				return BgL_new1582z00_9629;
			}
		}

	}



/* &make-reshaped-global */
	BgL_globalz00_bglt BGl_z62makezd2reshapedzd2globalz62zzcfa_infoz00(obj_t
		BgL_envz00_7649, obj_t BgL_id1705z00_7650, obj_t BgL_name1706z00_7651,
		obj_t BgL_type1707z00_7652, obj_t BgL_value1708z00_7653,
		obj_t BgL_access1709z00_7654, obj_t BgL_fastzd2alpha1710zd2_7655,
		obj_t BgL_removable1711z00_7656, obj_t BgL_occurrence1712z00_7657,
		obj_t BgL_occurrencew1713z00_7658, obj_t BgL_userzf31714zf3_7659,
		obj_t BgL_module1715z00_7660, obj_t BgL_import1716z00_7661,
		obj_t BgL_evaluablezf31717zf3_7662, obj_t BgL_evalzf31718zf3_7663,
		obj_t BgL_library1719z00_7664, obj_t BgL_pragma1720z00_7665,
		obj_t BgL_src1721z00_7666, obj_t BgL_jvmzd2typezd2name1722z00_7667,
		obj_t BgL_init1723z00_7668, obj_t BgL_alias1724z00_7669)
	{
		{	/* Cfa/cinfo.sch 905 */
			return
				BGl_makezd2reshapedzd2globalz00zzcfa_infoz00(BgL_id1705z00_7650,
				BgL_name1706z00_7651, ((BgL_typez00_bglt) BgL_type1707z00_7652),
				((BgL_valuez00_bglt) BgL_value1708z00_7653), BgL_access1709z00_7654,
				BgL_fastzd2alpha1710zd2_7655, BgL_removable1711z00_7656,
				(long) CINT(BgL_occurrence1712z00_7657),
				(long) CINT(BgL_occurrencew1713z00_7658),
				CBOOL(BgL_userzf31714zf3_7659), BgL_module1715z00_7660,
				BgL_import1716z00_7661, CBOOL(BgL_evaluablezf31717zf3_7662),
				CBOOL(BgL_evalzf31718zf3_7663), BgL_library1719z00_7664,
				BgL_pragma1720z00_7665, BgL_src1721z00_7666,
				BgL_jvmzd2typezd2name1722z00_7667, BgL_init1723z00_7668,
				BgL_alias1724z00_7669);
		}

	}



/* reshaped-global? */
	BGL_EXPORTED_DEF bool_t BGl_reshapedzd2globalzf3z21zzcfa_infoz00(obj_t
		BgL_objz00_425)
	{
		{	/* Cfa/cinfo.sch 906 */
			{	/* Cfa/cinfo.sch 906 */
				obj_t BgL_classz00_9635;

				BgL_classz00_9635 = BGl_reshapedzd2globalzd2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_425))
					{	/* Cfa/cinfo.sch 906 */
						BgL_objectz00_bglt BgL_arg1825z00_9636;

						BgL_arg1825z00_9636 = (BgL_objectz00_bglt) (BgL_objz00_425);
						{	/* Cfa/cinfo.sch 906 */
							bool_t BgL_arg1822z00_9637;
							bool_t BgL_arg1823z00_9638;

							{	/* Cfa/cinfo.sch 906 */
								long BgL_idxz00_9639;

								BgL_idxz00_9639 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9636);
								BgL_arg1822z00_9637 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9639 + ((long) 3))) == BgL_classz00_9635);
							}
							{	/* Cfa/cinfo.sch 906 */
								bool_t BgL_res3058z00_9642;

								{	/* Cfa/cinfo.sch 906 */
									obj_t BgL_oclassz00_9643;

									{	/* Cfa/cinfo.sch 906 */
										long BgL_arg1833z00_9644;

										{	/* Cfa/cinfo.sch 906 */
											long BgL_arg1834z00_9645;

											BgL_arg1834z00_9645 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9636);
											BgL_arg1833z00_9644 = (BgL_arg1834z00_9645 - OBJECT_TYPE);
										}
										BgL_oclassz00_9643 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9644);
									}
									{	/* Cfa/cinfo.sch 906 */
										bool_t BgL__ortest_1110z00_9646;

										BgL__ortest_1110z00_9646 =
											(BgL_classz00_9635 == BgL_oclassz00_9643);
										if (BgL__ortest_1110z00_9646)
											{	/* Cfa/cinfo.sch 906 */
												BgL_res3058z00_9642 = BgL__ortest_1110z00_9646;
											}
										else
											{	/* Cfa/cinfo.sch 906 */
												long BgL_odepthz00_9647;

												BgL_odepthz00_9647 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9643);
												if ((((long) 3) < BgL_odepthz00_9647))
													{	/* Cfa/cinfo.sch 906 */
														obj_t BgL_arg1821z00_9648;

														BgL_arg1821z00_9648 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9643,
															((long) 3));
														BgL_res3058z00_9642 =
															(BgL_arg1821z00_9648 == BgL_classz00_9635);
													}
												else
													{	/* Cfa/cinfo.sch 906 */
														BgL_res3058z00_9642 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9638 = BgL_res3058z00_9642;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9637, BgL_arg1823z00_9638);
						}
					}
				else
					{	/* Cfa/cinfo.sch 906 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &reshaped-global? */
	obj_t BGl_z62reshapedzd2globalzf3z43zzcfa_infoz00(obj_t BgL_envz00_7670,
		obj_t BgL_objz00_7671)
	{
		{	/* Cfa/cinfo.sch 906 */
			return BBOOL(BGl_reshapedzd2globalzf3z21zzcfa_infoz00(BgL_objz00_7671));
		}

	}



/* reshaped-global-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_reshapedzd2globalzd2nilz00zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 907 */
			{	/* Cfa/cinfo.sch 907 */
				obj_t BgL_classz00_4973;

				BgL_classz00_4973 = BGl_reshapedzd2globalzd2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 907 */
					obj_t BgL__ortest_1112z00_4974;

					BgL__ortest_1112z00_4974 = BGL_CLASS_NIL(BgL_classz00_4973);
					if (CBOOL(BgL__ortest_1112z00_4974))
						{	/* Cfa/cinfo.sch 907 */
							return ((BgL_globalz00_bglt) BgL__ortest_1112z00_4974);
						}
					else
						{	/* Cfa/cinfo.sch 907 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4973));
						}
				}
			}
		}

	}



/* &reshaped-global-nil */
	BgL_globalz00_bglt BGl_z62reshapedzd2globalzd2nilz62zzcfa_infoz00(obj_t
		BgL_envz00_7672)
	{
		{	/* Cfa/cinfo.sch 907 */
			return BGl_reshapedzd2globalzd2nilz00zzcfa_infoz00();
		}

	}



/* reshaped-global-alias */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2aliasz00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_426)
	{
		{	/* Cfa/cinfo.sch 908 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_426)))->BgL_aliasz00);
		}

	}



/* &reshaped-global-alias */
	obj_t BGl_z62reshapedzd2globalzd2aliasz62zzcfa_infoz00(obj_t BgL_envz00_7673,
		obj_t BgL_oz00_7674)
	{
		{	/* Cfa/cinfo.sch 908 */
			return
				BGl_reshapedzd2globalzd2aliasz00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7674));
		}

	}



/* reshaped-global-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2aliaszd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_427, obj_t BgL_vz00_428)
	{
		{	/* Cfa/cinfo.sch 909 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_427)))->BgL_aliasz00) =
				((obj_t) BgL_vz00_428), BUNSPEC);
		}

	}



/* &reshaped-global-alias-set! */
	obj_t BGl_z62reshapedzd2globalzd2aliaszd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7675, obj_t BgL_oz00_7676, obj_t BgL_vz00_7677)
	{
		{	/* Cfa/cinfo.sch 909 */
			return
				BGl_reshapedzd2globalzd2aliaszd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7676), BgL_vz00_7677);
		}

	}



/* reshaped-global-init */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2initz00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_429)
	{
		{	/* Cfa/cinfo.sch 910 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_429)))->BgL_initz00);
		}

	}



/* &reshaped-global-init */
	obj_t BGl_z62reshapedzd2globalzd2initz62zzcfa_infoz00(obj_t BgL_envz00_7678,
		obj_t BgL_oz00_7679)
	{
		{	/* Cfa/cinfo.sch 910 */
			return
				BGl_reshapedzd2globalzd2initz00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7679));
		}

	}



/* reshaped-global-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2initzd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_430, obj_t BgL_vz00_431)
	{
		{	/* Cfa/cinfo.sch 911 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_430)))->BgL_initz00) =
				((obj_t) BgL_vz00_431), BUNSPEC);
		}

	}



/* &reshaped-global-init-set! */
	obj_t BGl_z62reshapedzd2globalzd2initzd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7680, obj_t BgL_oz00_7681, obj_t BgL_vz00_7682)
	{
		{	/* Cfa/cinfo.sch 911 */
			return
				BGl_reshapedzd2globalzd2initzd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7681), BgL_vz00_7682);
		}

	}



/* reshaped-global-jvm-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2jvmzd2typezd2namez00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_432)
	{
		{	/* Cfa/cinfo.sch 912 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_432)))->BgL_jvmzd2typezd2namez00);
		}

	}



/* &reshaped-global-jvm-type-name */
	obj_t BGl_z62reshapedzd2globalzd2jvmzd2typezd2namez62zzcfa_infoz00(obj_t
		BgL_envz00_7683, obj_t BgL_oz00_7684)
	{
		{	/* Cfa/cinfo.sch 912 */
			return
				BGl_reshapedzd2globalzd2jvmzd2typezd2namez00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7684));
		}

	}



/* reshaped-global-jvm-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2jvmzd2typezd2namezd2setz12zc0zzcfa_infoz00
		(BgL_globalz00_bglt BgL_oz00_433, obj_t BgL_vz00_434)
	{
		{	/* Cfa/cinfo.sch 913 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_433)))->BgL_jvmzd2typezd2namez00) =
				((obj_t) BgL_vz00_434), BUNSPEC);
		}

	}



/* &reshaped-global-jvm-type-name-set! */
	obj_t
		BGl_z62reshapedzd2globalzd2jvmzd2typezd2namezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7685, obj_t BgL_oz00_7686, obj_t BgL_vz00_7687)
	{
		{	/* Cfa/cinfo.sch 913 */
			return
				BGl_reshapedzd2globalzd2jvmzd2typezd2namezd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7686), BgL_vz00_7687);
		}

	}



/* reshaped-global-src */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2srcz00zzcfa_infoz00(BgL_globalz00_bglt BgL_oz00_435)
	{
		{	/* Cfa/cinfo.sch 914 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_435)))->BgL_srcz00);
		}

	}



/* &reshaped-global-src */
	obj_t BGl_z62reshapedzd2globalzd2srcz62zzcfa_infoz00(obj_t BgL_envz00_7688,
		obj_t BgL_oz00_7689)
	{
		{	/* Cfa/cinfo.sch 914 */
			return
				BGl_reshapedzd2globalzd2srcz00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7689));
		}

	}



/* reshaped-global-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2srczd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_436, obj_t BgL_vz00_437)
	{
		{	/* Cfa/cinfo.sch 915 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_436)))->BgL_srcz00) =
				((obj_t) BgL_vz00_437), BUNSPEC);
		}

	}



/* &reshaped-global-src-set! */
	obj_t BGl_z62reshapedzd2globalzd2srczd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7690, obj_t BgL_oz00_7691, obj_t BgL_vz00_7692)
	{
		{	/* Cfa/cinfo.sch 915 */
			return
				BGl_reshapedzd2globalzd2srczd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7691), BgL_vz00_7692);
		}

	}



/* reshaped-global-pragma */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2pragmaz00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_438)
	{
		{	/* Cfa/cinfo.sch 916 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_438)))->BgL_pragmaz00);
		}

	}



/* &reshaped-global-pragma */
	obj_t BGl_z62reshapedzd2globalzd2pragmaz62zzcfa_infoz00(obj_t BgL_envz00_7693,
		obj_t BgL_oz00_7694)
	{
		{	/* Cfa/cinfo.sch 916 */
			return
				BGl_reshapedzd2globalzd2pragmaz00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7694));
		}

	}



/* reshaped-global-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2pragmazd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_439, obj_t BgL_vz00_440)
	{
		{	/* Cfa/cinfo.sch 917 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_439)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_440), BUNSPEC);
		}

	}



/* &reshaped-global-pragma-set! */
	obj_t BGl_z62reshapedzd2globalzd2pragmazd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7695, obj_t BgL_oz00_7696, obj_t BgL_vz00_7697)
	{
		{	/* Cfa/cinfo.sch 917 */
			return
				BGl_reshapedzd2globalzd2pragmazd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7696), BgL_vz00_7697);
		}

	}



/* reshaped-global-library */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2libraryz00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_441)
	{
		{	/* Cfa/cinfo.sch 918 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_441)))->BgL_libraryz00);
		}

	}



/* &reshaped-global-library */
	obj_t BGl_z62reshapedzd2globalzd2libraryz62zzcfa_infoz00(obj_t
		BgL_envz00_7698, obj_t BgL_oz00_7699)
	{
		{	/* Cfa/cinfo.sch 918 */
			return
				BGl_reshapedzd2globalzd2libraryz00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7699));
		}

	}



/* reshaped-global-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2libraryzd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_442, obj_t BgL_vz00_443)
	{
		{	/* Cfa/cinfo.sch 919 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_442)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_443), BUNSPEC);
		}

	}



/* &reshaped-global-library-set! */
	obj_t BGl_z62reshapedzd2globalzd2libraryzd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7700, obj_t BgL_oz00_7701, obj_t BgL_vz00_7702)
	{
		{	/* Cfa/cinfo.sch 919 */
			return
				BGl_reshapedzd2globalzd2libraryzd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7701), BgL_vz00_7702);
		}

	}



/* reshaped-global-eval? */
	BGL_EXPORTED_DEF bool_t
		BGl_reshapedzd2globalzd2evalzf3zf3zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_444)
	{
		{	/* Cfa/cinfo.sch 920 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_444)))->BgL_evalzf3zf3);
		}

	}



/* &reshaped-global-eval? */
	obj_t BGl_z62reshapedzd2globalzd2evalzf3z91zzcfa_infoz00(obj_t
		BgL_envz00_7703, obj_t BgL_oz00_7704)
	{
		{	/* Cfa/cinfo.sch 920 */
			return
				BBOOL(BGl_reshapedzd2globalzd2evalzf3zf3zzcfa_infoz00(
					((BgL_globalz00_bglt) BgL_oz00_7704)));
		}

	}



/* reshaped-global-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2evalzf3zd2setz12z33zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_445, bool_t BgL_vz00_446)
	{
		{	/* Cfa/cinfo.sch 921 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_445)))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_446), BUNSPEC);
		}

	}



/* &reshaped-global-eval?-set! */
	obj_t BGl_z62reshapedzd2globalzd2evalzf3zd2setz12z51zzcfa_infoz00(obj_t
		BgL_envz00_7705, obj_t BgL_oz00_7706, obj_t BgL_vz00_7707)
	{
		{	/* Cfa/cinfo.sch 921 */
			return
				BGl_reshapedzd2globalzd2evalzf3zd2setz12z33zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7706), CBOOL(BgL_vz00_7707));
		}

	}



/* reshaped-global-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_reshapedzd2globalzd2evaluablezf3zf3zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_447)
	{
		{	/* Cfa/cinfo.sch 922 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_447)))->BgL_evaluablezf3zf3);
		}

	}



/* &reshaped-global-evaluable? */
	obj_t BGl_z62reshapedzd2globalzd2evaluablezf3z91zzcfa_infoz00(obj_t
		BgL_envz00_7708, obj_t BgL_oz00_7709)
	{
		{	/* Cfa/cinfo.sch 922 */
			return
				BBOOL(BGl_reshapedzd2globalzd2evaluablezf3zf3zzcfa_infoz00(
					((BgL_globalz00_bglt) BgL_oz00_7709)));
		}

	}



/* reshaped-global-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2evaluablezf3zd2setz12z33zzcfa_infoz00
		(BgL_globalz00_bglt BgL_oz00_448, bool_t BgL_vz00_449)
	{
		{	/* Cfa/cinfo.sch 923 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_448)))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_449), BUNSPEC);
		}

	}



/* &reshaped-global-evaluable?-set! */
	obj_t BGl_z62reshapedzd2globalzd2evaluablezf3zd2setz12z51zzcfa_infoz00(obj_t
		BgL_envz00_7710, obj_t BgL_oz00_7711, obj_t BgL_vz00_7712)
	{
		{	/* Cfa/cinfo.sch 923 */
			return
				BGl_reshapedzd2globalzd2evaluablezf3zd2setz12z33zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7711), CBOOL(BgL_vz00_7712));
		}

	}



/* reshaped-global-import */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2importz00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_450)
	{
		{	/* Cfa/cinfo.sch 924 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_450)))->BgL_importz00);
		}

	}



/* &reshaped-global-import */
	obj_t BGl_z62reshapedzd2globalzd2importz62zzcfa_infoz00(obj_t BgL_envz00_7713,
		obj_t BgL_oz00_7714)
	{
		{	/* Cfa/cinfo.sch 924 */
			return
				BGl_reshapedzd2globalzd2importz00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7714));
		}

	}



/* reshaped-global-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2importzd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_451, obj_t BgL_vz00_452)
	{
		{	/* Cfa/cinfo.sch 925 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_451)))->BgL_importz00) =
				((obj_t) BgL_vz00_452), BUNSPEC);
		}

	}



/* &reshaped-global-import-set! */
	obj_t BGl_z62reshapedzd2globalzd2importzd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7715, obj_t BgL_oz00_7716, obj_t BgL_vz00_7717)
	{
		{	/* Cfa/cinfo.sch 925 */
			return
				BGl_reshapedzd2globalzd2importzd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7716), BgL_vz00_7717);
		}

	}



/* reshaped-global-module */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2modulez00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_453)
	{
		{	/* Cfa/cinfo.sch 926 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_453)))->BgL_modulez00);
		}

	}



/* &reshaped-global-module */
	obj_t BGl_z62reshapedzd2globalzd2modulez62zzcfa_infoz00(obj_t BgL_envz00_7718,
		obj_t BgL_oz00_7719)
	{
		{	/* Cfa/cinfo.sch 926 */
			return
				BGl_reshapedzd2globalzd2modulez00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7719));
		}

	}



/* reshaped-global-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2modulezd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_454, obj_t BgL_vz00_455)
	{
		{	/* Cfa/cinfo.sch 927 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_454)))->BgL_modulez00) =
				((obj_t) BgL_vz00_455), BUNSPEC);
		}

	}



/* &reshaped-global-module-set! */
	obj_t BGl_z62reshapedzd2globalzd2modulezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7720, obj_t BgL_oz00_7721, obj_t BgL_vz00_7722)
	{
		{	/* Cfa/cinfo.sch 927 */
			return
				BGl_reshapedzd2globalzd2modulezd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7721), BgL_vz00_7722);
		}

	}



/* reshaped-global-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_reshapedzd2globalzd2userzf3zf3zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_456)
	{
		{	/* Cfa/cinfo.sch 928 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_456)))->BgL_userzf3zf3);
		}

	}



/* &reshaped-global-user? */
	obj_t BGl_z62reshapedzd2globalzd2userzf3z91zzcfa_infoz00(obj_t
		BgL_envz00_7723, obj_t BgL_oz00_7724)
	{
		{	/* Cfa/cinfo.sch 928 */
			return
				BBOOL(BGl_reshapedzd2globalzd2userzf3zf3zzcfa_infoz00(
					((BgL_globalz00_bglt) BgL_oz00_7724)));
		}

	}



/* reshaped-global-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2userzf3zd2setz12z33zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_457, bool_t BgL_vz00_458)
	{
		{	/* Cfa/cinfo.sch 929 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_457)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_458), BUNSPEC);
		}

	}



/* &reshaped-global-user?-set! */
	obj_t BGl_z62reshapedzd2globalzd2userzf3zd2setz12z51zzcfa_infoz00(obj_t
		BgL_envz00_7725, obj_t BgL_oz00_7726, obj_t BgL_vz00_7727)
	{
		{	/* Cfa/cinfo.sch 929 */
			return
				BGl_reshapedzd2globalzd2userzf3zd2setz12z33zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7726), CBOOL(BgL_vz00_7727));
		}

	}



/* reshaped-global-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_reshapedzd2globalzd2occurrencewz00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_459)
	{
		{	/* Cfa/cinfo.sch 930 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_459)))->BgL_occurrencewz00);
		}

	}



/* &reshaped-global-occurrencew */
	obj_t BGl_z62reshapedzd2globalzd2occurrencewz62zzcfa_infoz00(obj_t
		BgL_envz00_7728, obj_t BgL_oz00_7729)
	{
		{	/* Cfa/cinfo.sch 930 */
			return
				BINT(BGl_reshapedzd2globalzd2occurrencewz00zzcfa_infoz00(
					((BgL_globalz00_bglt) BgL_oz00_7729)));
		}

	}



/* reshaped-global-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2occurrencewzd2setz12zc0zzcfa_infoz00
		(BgL_globalz00_bglt BgL_oz00_460, long BgL_vz00_461)
	{
		{	/* Cfa/cinfo.sch 931 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_460)))->BgL_occurrencewz00) =
				((long) BgL_vz00_461), BUNSPEC);
		}

	}



/* &reshaped-global-occurrencew-set! */
	obj_t BGl_z62reshapedzd2globalzd2occurrencewzd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7730, obj_t BgL_oz00_7731, obj_t BgL_vz00_7732)
	{
		{	/* Cfa/cinfo.sch 931 */
			return
				BGl_reshapedzd2globalzd2occurrencewzd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7731), (long) CINT(BgL_vz00_7732));
		}

	}



/* reshaped-global-occurrence */
	BGL_EXPORTED_DEF long
		BGl_reshapedzd2globalzd2occurrencez00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_462)
	{
		{	/* Cfa/cinfo.sch 932 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_462)))->BgL_occurrencez00);
		}

	}



/* &reshaped-global-occurrence */
	obj_t BGl_z62reshapedzd2globalzd2occurrencez62zzcfa_infoz00(obj_t
		BgL_envz00_7733, obj_t BgL_oz00_7734)
	{
		{	/* Cfa/cinfo.sch 932 */
			return
				BINT(BGl_reshapedzd2globalzd2occurrencez00zzcfa_infoz00(
					((BgL_globalz00_bglt) BgL_oz00_7734)));
		}

	}



/* reshaped-global-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2occurrencezd2setz12zc0zzcfa_infoz00
		(BgL_globalz00_bglt BgL_oz00_463, long BgL_vz00_464)
	{
		{	/* Cfa/cinfo.sch 933 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_463)))->BgL_occurrencez00) =
				((long) BgL_vz00_464), BUNSPEC);
		}

	}



/* &reshaped-global-occurrence-set! */
	obj_t BGl_z62reshapedzd2globalzd2occurrencezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7735, obj_t BgL_oz00_7736, obj_t BgL_vz00_7737)
	{
		{	/* Cfa/cinfo.sch 933 */
			return
				BGl_reshapedzd2globalzd2occurrencezd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7736), (long) CINT(BgL_vz00_7737));
		}

	}



/* reshaped-global-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2removablez00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_465)
	{
		{	/* Cfa/cinfo.sch 934 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_465)))->BgL_removablez00);
		}

	}



/* &reshaped-global-removable */
	obj_t BGl_z62reshapedzd2globalzd2removablez62zzcfa_infoz00(obj_t
		BgL_envz00_7738, obj_t BgL_oz00_7739)
	{
		{	/* Cfa/cinfo.sch 934 */
			return
				BGl_reshapedzd2globalzd2removablez00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7739));
		}

	}



/* reshaped-global-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2removablezd2setz12zc0zzcfa_infoz00
		(BgL_globalz00_bglt BgL_oz00_466, obj_t BgL_vz00_467)
	{
		{	/* Cfa/cinfo.sch 935 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_466)))->BgL_removablez00) =
				((obj_t) BgL_vz00_467), BUNSPEC);
		}

	}



/* &reshaped-global-removable-set! */
	obj_t BGl_z62reshapedzd2globalzd2removablezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7740, obj_t BgL_oz00_7741, obj_t BgL_vz00_7742)
	{
		{	/* Cfa/cinfo.sch 935 */
			return
				BGl_reshapedzd2globalzd2removablezd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7741), BgL_vz00_7742);
		}

	}



/* reshaped-global-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2fastzd2alphazd2zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_468)
	{
		{	/* Cfa/cinfo.sch 936 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_468)))->BgL_fastzd2alphazd2);
		}

	}



/* &reshaped-global-fast-alpha */
	obj_t BGl_z62reshapedzd2globalzd2fastzd2alphazb0zzcfa_infoz00(obj_t
		BgL_envz00_7743, obj_t BgL_oz00_7744)
	{
		{	/* Cfa/cinfo.sch 936 */
			return
				BGl_reshapedzd2globalzd2fastzd2alphazd2zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7744));
		}

	}



/* reshaped-global-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2fastzd2alphazd2setz12z12zzcfa_infoz00
		(BgL_globalz00_bglt BgL_oz00_469, obj_t BgL_vz00_470)
	{
		{	/* Cfa/cinfo.sch 937 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_469)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_470), BUNSPEC);
		}

	}



/* &reshaped-global-fast-alpha-set! */
	obj_t BGl_z62reshapedzd2globalzd2fastzd2alphazd2setz12z70zzcfa_infoz00(obj_t
		BgL_envz00_7745, obj_t BgL_oz00_7746, obj_t BgL_vz00_7747)
	{
		{	/* Cfa/cinfo.sch 937 */
			return
				BGl_reshapedzd2globalzd2fastzd2alphazd2setz12z12zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7746), BgL_vz00_7747);
		}

	}



/* reshaped-global-access */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2accessz00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_471)
	{
		{	/* Cfa/cinfo.sch 938 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_471)))->BgL_accessz00);
		}

	}



/* &reshaped-global-access */
	obj_t BGl_z62reshapedzd2globalzd2accessz62zzcfa_infoz00(obj_t BgL_envz00_7748,
		obj_t BgL_oz00_7749)
	{
		{	/* Cfa/cinfo.sch 938 */
			return
				BGl_reshapedzd2globalzd2accessz00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7749));
		}

	}



/* reshaped-global-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2accesszd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_472, obj_t BgL_vz00_473)
	{
		{	/* Cfa/cinfo.sch 939 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_472)))->BgL_accessz00) =
				((obj_t) BgL_vz00_473), BUNSPEC);
		}

	}



/* &reshaped-global-access-set! */
	obj_t BGl_z62reshapedzd2globalzd2accesszd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7750, obj_t BgL_oz00_7751, obj_t BgL_vz00_7752)
	{
		{	/* Cfa/cinfo.sch 939 */
			return
				BGl_reshapedzd2globalzd2accesszd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7751), BgL_vz00_7752);
		}

	}



/* reshaped-global-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_reshapedzd2globalzd2valuez00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_474)
	{
		{	/* Cfa/cinfo.sch 940 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_474)))->BgL_valuez00);
		}

	}



/* &reshaped-global-value */
	BgL_valuez00_bglt BGl_z62reshapedzd2globalzd2valuez62zzcfa_infoz00(obj_t
		BgL_envz00_7753, obj_t BgL_oz00_7754)
	{
		{	/* Cfa/cinfo.sch 940 */
			return
				BGl_reshapedzd2globalzd2valuez00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7754));
		}

	}



/* reshaped-global-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2valuezd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_475, BgL_valuez00_bglt BgL_vz00_476)
	{
		{	/* Cfa/cinfo.sch 941 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_475)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_476), BUNSPEC);
		}

	}



/* &reshaped-global-value-set! */
	obj_t BGl_z62reshapedzd2globalzd2valuezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7755, obj_t BgL_oz00_7756, obj_t BgL_vz00_7757)
	{
		{	/* Cfa/cinfo.sch 941 */
			return
				BGl_reshapedzd2globalzd2valuezd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7756),
				((BgL_valuez00_bglt) BgL_vz00_7757));
		}

	}



/* reshaped-global-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_reshapedzd2globalzd2typez00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_477)
	{
		{	/* Cfa/cinfo.sch 942 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_477)))->BgL_typez00);
		}

	}



/* &reshaped-global-type */
	BgL_typez00_bglt BGl_z62reshapedzd2globalzd2typez62zzcfa_infoz00(obj_t
		BgL_envz00_7758, obj_t BgL_oz00_7759)
	{
		{	/* Cfa/cinfo.sch 942 */
			return
				BGl_reshapedzd2globalzd2typez00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7759));
		}

	}



/* reshaped-global-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2typezd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_478, BgL_typez00_bglt BgL_vz00_479)
	{
		{	/* Cfa/cinfo.sch 943 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_478)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_479), BUNSPEC);
		}

	}



/* &reshaped-global-type-set! */
	obj_t BGl_z62reshapedzd2globalzd2typezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7760, obj_t BgL_oz00_7761, obj_t BgL_vz00_7762)
	{
		{	/* Cfa/cinfo.sch 943 */
			return
				BGl_reshapedzd2globalzd2typezd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7761),
				((BgL_typez00_bglt) BgL_vz00_7762));
		}

	}



/* reshaped-global-name */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2namez00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_480)
	{
		{	/* Cfa/cinfo.sch 944 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_480)))->BgL_namez00);
		}

	}



/* &reshaped-global-name */
	obj_t BGl_z62reshapedzd2globalzd2namez62zzcfa_infoz00(obj_t BgL_envz00_7763,
		obj_t BgL_oz00_7764)
	{
		{	/* Cfa/cinfo.sch 944 */
			return
				BGl_reshapedzd2globalzd2namez00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7764));
		}

	}



/* reshaped-global-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2namezd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_481, obj_t BgL_vz00_482)
	{
		{	/* Cfa/cinfo.sch 945 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_481)))->BgL_namez00) =
				((obj_t) BgL_vz00_482), BUNSPEC);
		}

	}



/* &reshaped-global-name-set! */
	obj_t BGl_z62reshapedzd2globalzd2namezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7765, obj_t BgL_oz00_7766, obj_t BgL_vz00_7767)
	{
		{	/* Cfa/cinfo.sch 945 */
			return
				BGl_reshapedzd2globalzd2namezd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7766), BgL_vz00_7767);
		}

	}



/* reshaped-global-id */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2idz00zzcfa_infoz00(BgL_globalz00_bglt BgL_oz00_483)
	{
		{	/* Cfa/cinfo.sch 946 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_483)))->BgL_idz00);
		}

	}



/* &reshaped-global-id */
	obj_t BGl_z62reshapedzd2globalzd2idz62zzcfa_infoz00(obj_t BgL_envz00_7768,
		obj_t BgL_oz00_7769)
	{
		{	/* Cfa/cinfo.sch 946 */
			return
				BGl_reshapedzd2globalzd2idz00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7769));
		}

	}



/* make-literal/Cinfo */
	BGL_EXPORTED_DEF BgL_literalz00_bglt
		BGl_makezd2literalzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1700z00_486,
		BgL_typez00_bglt BgL_type1701z00_487, obj_t BgL_value1702z00_488,
		BgL_approxz00_bglt BgL_approx1703z00_489)
	{
		{	/* Cfa/cinfo.sch 950 */
			{	/* Cfa/cinfo.sch 950 */
				BgL_literalz00_bglt BgL_new1586z00_9649;

				{	/* Cfa/cinfo.sch 950 */
					BgL_literalz00_bglt BgL_tmp1584z00_9650;
					BgL_literalzf2cinfozf2_bglt BgL_wide1585z00_9651;

					{
						BgL_literalz00_bglt BgL_auxz00_12838;

						{	/* Cfa/cinfo.sch 950 */
							BgL_literalz00_bglt BgL_new1583z00_9652;

							BgL_new1583z00_9652 =
								((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_literalz00_bgl))));
							{	/* Cfa/cinfo.sch 950 */
								long BgL_arg2010z00_9653;

								BgL_arg2010z00_9653 =
									BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1583z00_9652),
									BgL_arg2010z00_9653);
							}
							{	/* Cfa/cinfo.sch 950 */
								BgL_objectz00_bglt BgL_tmpz00_12843;

								BgL_tmpz00_12843 = ((BgL_objectz00_bglt) BgL_new1583z00_9652);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12843, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1583z00_9652);
							BgL_auxz00_12838 = BgL_new1583z00_9652;
						}
						BgL_tmp1584z00_9650 = ((BgL_literalz00_bglt) BgL_auxz00_12838);
					}
					BgL_wide1585z00_9651 =
						((BgL_literalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 950 */
						obj_t BgL_auxz00_12851;
						BgL_objectz00_bglt BgL_tmpz00_12849;

						BgL_auxz00_12851 = ((obj_t) BgL_wide1585z00_9651);
						BgL_tmpz00_12849 = ((BgL_objectz00_bglt) BgL_tmp1584z00_9650);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12849, BgL_auxz00_12851);
					}
					((BgL_objectz00_bglt) BgL_tmp1584z00_9650);
					{	/* Cfa/cinfo.sch 950 */
						long BgL_arg2009z00_9654;

						BgL_arg2009z00_9654 =
							BGL_CLASS_NUM(BGl_literalzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1584z00_9650), BgL_arg2009z00_9654);
					}
					BgL_new1586z00_9649 = ((BgL_literalz00_bglt) BgL_tmp1584z00_9650);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1586z00_9649)))->BgL_locz00) =
					((obj_t) BgL_loc1700z00_486), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1586z00_9649)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1701z00_487), BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1586z00_9649)))->BgL_valuez00) =
					((obj_t) BgL_value1702z00_488), BUNSPEC);
				{
					BgL_literalzf2cinfozf2_bglt BgL_auxz00_12865;

					{
						obj_t BgL_auxz00_12866;

						{	/* Cfa/cinfo.sch 950 */
							BgL_objectz00_bglt BgL_tmpz00_12867;

							BgL_tmpz00_12867 = ((BgL_objectz00_bglt) BgL_new1586z00_9649);
							BgL_auxz00_12866 = BGL_OBJECT_WIDENING(BgL_tmpz00_12867);
						}
						BgL_auxz00_12865 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_12866);
					}
					((((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12865))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1703z00_489), BUNSPEC);
				}
				return BgL_new1586z00_9649;
			}
		}

	}



/* &make-literal/Cinfo */
	BgL_literalz00_bglt BGl_z62makezd2literalzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_7770, obj_t BgL_loc1700z00_7771, obj_t BgL_type1701z00_7772,
		obj_t BgL_value1702z00_7773, obj_t BgL_approx1703z00_7774)
	{
		{	/* Cfa/cinfo.sch 950 */
			return
				BGl_makezd2literalzf2Cinfoz20zzcfa_infoz00(BgL_loc1700z00_7771,
				((BgL_typez00_bglt) BgL_type1701z00_7772), BgL_value1702z00_7773,
				((BgL_approxz00_bglt) BgL_approx1703z00_7774));
		}

	}



/* literal/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_literalzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_490)
	{
		{	/* Cfa/cinfo.sch 951 */
			{	/* Cfa/cinfo.sch 951 */
				obj_t BgL_classz00_9655;

				BgL_classz00_9655 = BGl_literalzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_490))
					{	/* Cfa/cinfo.sch 951 */
						BgL_objectz00_bglt BgL_arg1825z00_9656;

						BgL_arg1825z00_9656 = (BgL_objectz00_bglt) (BgL_objz00_490);
						{	/* Cfa/cinfo.sch 951 */
							bool_t BgL_arg1822z00_9657;
							bool_t BgL_arg1823z00_9658;

							{	/* Cfa/cinfo.sch 951 */
								long BgL_idxz00_9659;

								BgL_idxz00_9659 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9656);
								BgL_arg1822z00_9657 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9659 + ((long) 4))) == BgL_classz00_9655);
							}
							{	/* Cfa/cinfo.sch 951 */
								bool_t BgL_res3059z00_9662;

								{	/* Cfa/cinfo.sch 951 */
									obj_t BgL_oclassz00_9663;

									{	/* Cfa/cinfo.sch 951 */
										long BgL_arg1833z00_9664;

										{	/* Cfa/cinfo.sch 951 */
											long BgL_arg1834z00_9665;

											BgL_arg1834z00_9665 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9656);
											BgL_arg1833z00_9664 = (BgL_arg1834z00_9665 - OBJECT_TYPE);
										}
										BgL_oclassz00_9663 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9664);
									}
									{	/* Cfa/cinfo.sch 951 */
										bool_t BgL__ortest_1110z00_9666;

										BgL__ortest_1110z00_9666 =
											(BgL_classz00_9655 == BgL_oclassz00_9663);
										if (BgL__ortest_1110z00_9666)
											{	/* Cfa/cinfo.sch 951 */
												BgL_res3059z00_9662 = BgL__ortest_1110z00_9666;
											}
										else
											{	/* Cfa/cinfo.sch 951 */
												long BgL_odepthz00_9667;

												BgL_odepthz00_9667 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9663);
												if ((((long) 4) < BgL_odepthz00_9667))
													{	/* Cfa/cinfo.sch 951 */
														obj_t BgL_arg1821z00_9668;

														BgL_arg1821z00_9668 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9663,
															((long) 4));
														BgL_res3059z00_9662 =
															(BgL_arg1821z00_9668 == BgL_classz00_9655);
													}
												else
													{	/* Cfa/cinfo.sch 951 */
														BgL_res3059z00_9662 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9658 = BgL_res3059z00_9662;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9657, BgL_arg1823z00_9658);
						}
					}
				else
					{	/* Cfa/cinfo.sch 951 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &literal/Cinfo? */
	obj_t BGl_z62literalzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_7775,
		obj_t BgL_objz00_7776)
	{
		{	/* Cfa/cinfo.sch 951 */
			return BBOOL(BGl_literalzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_7776));
		}

	}



/* literal/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_literalz00_bglt
		BGl_literalzf2Cinfozd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 952 */
			{	/* Cfa/cinfo.sch 952 */
				obj_t BgL_classz00_5022;

				BgL_classz00_5022 = BGl_literalzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 952 */
					obj_t BgL__ortest_1112z00_5023;

					BgL__ortest_1112z00_5023 = BGL_CLASS_NIL(BgL_classz00_5022);
					if (CBOOL(BgL__ortest_1112z00_5023))
						{	/* Cfa/cinfo.sch 952 */
							return ((BgL_literalz00_bglt) BgL__ortest_1112z00_5023);
						}
					else
						{	/* Cfa/cinfo.sch 952 */
							return
								((BgL_literalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5022));
						}
				}
			}
		}

	}



/* &literal/Cinfo-nil */
	BgL_literalz00_bglt BGl_z62literalzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7777)
	{
		{	/* Cfa/cinfo.sch 952 */
			return BGl_literalzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* literal/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_literalzf2Cinfozd2approxz20zzcfa_infoz00(BgL_literalz00_bglt
		BgL_oz00_491)
	{
		{	/* Cfa/cinfo.sch 953 */
			{
				BgL_literalzf2cinfozf2_bglt BgL_auxz00_12902;

				{
					obj_t BgL_auxz00_12903;

					{	/* Cfa/cinfo.sch 953 */
						BgL_objectz00_bglt BgL_tmpz00_12904;

						BgL_tmpz00_12904 = ((BgL_objectz00_bglt) BgL_oz00_491);
						BgL_auxz00_12903 = BGL_OBJECT_WIDENING(BgL_tmpz00_12904);
					}
					BgL_auxz00_12902 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_12903);
				}
				return
					(((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12902))->
					BgL_approxz00);
			}
		}

	}



/* &literal/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62literalzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_7778, obj_t BgL_oz00_7779)
	{
		{	/* Cfa/cinfo.sch 953 */
			return
				BGl_literalzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_literalz00_bglt) BgL_oz00_7779));
		}

	}



/* literal/Cinfo-value */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzf2Cinfozd2valuez20zzcfa_infoz00(BgL_literalz00_bglt
		BgL_oz00_494)
	{
		{	/* Cfa/cinfo.sch 955 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_oz00_494)))->BgL_valuez00);
		}

	}



/* &literal/Cinfo-value */
	obj_t BGl_z62literalzf2Cinfozd2valuez42zzcfa_infoz00(obj_t BgL_envz00_7780,
		obj_t BgL_oz00_7781)
	{
		{	/* Cfa/cinfo.sch 955 */
			return
				BGl_literalzf2Cinfozd2valuez20zzcfa_infoz00(
				((BgL_literalz00_bglt) BgL_oz00_7781));
		}

	}



/* literal/Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(BgL_literalz00_bglt
		BgL_oz00_495, obj_t BgL_vz00_496)
	{
		{	/* Cfa/cinfo.sch 956 */
			return
				((((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_495)))->BgL_valuez00) =
				((obj_t) BgL_vz00_496), BUNSPEC);
		}

	}



/* &literal/Cinfo-value-set! */
	obj_t BGl_z62literalzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7782, obj_t BgL_oz00_7783, obj_t BgL_vz00_7784)
	{
		{	/* Cfa/cinfo.sch 956 */
			return
				BGl_literalzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(
				((BgL_literalz00_bglt) BgL_oz00_7783), BgL_vz00_7784);
		}

	}



/* literal/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_literalzf2Cinfozd2typez20zzcfa_infoz00(BgL_literalz00_bglt BgL_oz00_497)
	{
		{	/* Cfa/cinfo.sch 957 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_497)))->BgL_typez00);
		}

	}



/* &literal/Cinfo-type */
	BgL_typez00_bglt BGl_z62literalzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_7785, obj_t BgL_oz00_7786)
	{
		{	/* Cfa/cinfo.sch 957 */
			return
				BGl_literalzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_literalz00_bglt) BgL_oz00_7786));
		}

	}



/* literal/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_literalz00_bglt
		BgL_oz00_498, BgL_typez00_bglt BgL_vz00_499)
	{
		{	/* Cfa/cinfo.sch 958 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_498)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_499), BUNSPEC);
		}

	}



/* &literal/Cinfo-type-set! */
	obj_t BGl_z62literalzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7787, obj_t BgL_oz00_7788, obj_t BgL_vz00_7789)
	{
		{	/* Cfa/cinfo.sch 958 */
			return
				BGl_literalzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_literalz00_bglt) BgL_oz00_7788),
				((BgL_typez00_bglt) BgL_vz00_7789));
		}

	}



/* literal/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzf2Cinfozd2locz20zzcfa_infoz00(BgL_literalz00_bglt BgL_oz00_500)
	{
		{	/* Cfa/cinfo.sch 959 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_500)))->BgL_locz00);
		}

	}



/* &literal/Cinfo-loc */
	obj_t BGl_z62literalzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_7790,
		obj_t BgL_oz00_7791)
	{
		{	/* Cfa/cinfo.sch 959 */
			return
				BGl_literalzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_literalz00_bglt) BgL_oz00_7791));
		}

	}



/* make-genpatchid/Cinfo */
	BGL_EXPORTED_DEF BgL_genpatchidz00_bglt
		BGl_makezd2genpatchidzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1690z00_503,
		BgL_typez00_bglt BgL_type1691z00_504, obj_t BgL_sidezd2effect1692zd2_505,
		obj_t BgL_key1693z00_506, obj_t BgL_exprza21694za2_507,
		obj_t BgL_effect1695z00_508, long BgL_index1696z00_509,
		long BgL_rindex1697z00_510, BgL_approxz00_bglt BgL_approx1698z00_511)
	{
		{	/* Cfa/cinfo.sch 963 */
			{	/* Cfa/cinfo.sch 963 */
				BgL_genpatchidz00_bglt BgL_new1590z00_9669;

				{	/* Cfa/cinfo.sch 963 */
					BgL_genpatchidz00_bglt BgL_tmp1588z00_9670;
					BgL_genpatchidzf2cinfozf2_bglt BgL_wide1589z00_9671;

					{
						BgL_genpatchidz00_bglt BgL_auxz00_12932;

						{	/* Cfa/cinfo.sch 963 */
							BgL_genpatchidz00_bglt BgL_new1587z00_9672;

							BgL_new1587z00_9672 =
								((BgL_genpatchidz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_genpatchidz00_bgl))));
							{	/* Cfa/cinfo.sch 963 */
								long BgL_arg2012z00_9673;

								BgL_arg2012z00_9673 =
									BGL_CLASS_NUM(BGl_genpatchidz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1587z00_9672),
									BgL_arg2012z00_9673);
							}
							{	/* Cfa/cinfo.sch 963 */
								BgL_objectz00_bglt BgL_tmpz00_12937;

								BgL_tmpz00_12937 = ((BgL_objectz00_bglt) BgL_new1587z00_9672);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12937, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1587z00_9672);
							BgL_auxz00_12932 = BgL_new1587z00_9672;
						}
						BgL_tmp1588z00_9670 = ((BgL_genpatchidz00_bglt) BgL_auxz00_12932);
					}
					BgL_wide1589z00_9671 =
						((BgL_genpatchidzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_genpatchidzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 963 */
						obj_t BgL_auxz00_12945;
						BgL_objectz00_bglt BgL_tmpz00_12943;

						BgL_auxz00_12945 = ((obj_t) BgL_wide1589z00_9671);
						BgL_tmpz00_12943 = ((BgL_objectz00_bglt) BgL_tmp1588z00_9670);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12943, BgL_auxz00_12945);
					}
					((BgL_objectz00_bglt) BgL_tmp1588z00_9670);
					{	/* Cfa/cinfo.sch 963 */
						long BgL_arg2011z00_9674;

						BgL_arg2011z00_9674 =
							BGL_CLASS_NUM(BGl_genpatchidzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1588z00_9670), BgL_arg2011z00_9674);
					}
					BgL_new1590z00_9669 = ((BgL_genpatchidz00_bglt) BgL_tmp1588z00_9670);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1590z00_9669)))->BgL_locz00) =
					((obj_t) BgL_loc1690z00_503), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1590z00_9669)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1691z00_504), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1590z00_9669)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1692zd2_505), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1590z00_9669)))->BgL_keyz00) =
					((obj_t) BgL_key1693z00_506), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1590z00_9669)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21694za2_507), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1590z00_9669)))->BgL_effectz00) =
					((obj_t) BgL_effect1695z00_508), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(((BgL_genpatchidz00_bglt)
									BgL_new1590z00_9669)))->BgL_indexz00) =
					((long) BgL_index1696z00_509), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(((BgL_genpatchidz00_bglt)
									BgL_new1590z00_9669)))->BgL_rindexz00) =
					((long) BgL_rindex1697z00_510), BUNSPEC);
				{
					BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_12969;

					{
						obj_t BgL_auxz00_12970;

						{	/* Cfa/cinfo.sch 963 */
							BgL_objectz00_bglt BgL_tmpz00_12971;

							BgL_tmpz00_12971 = ((BgL_objectz00_bglt) BgL_new1590z00_9669);
							BgL_auxz00_12970 = BGL_OBJECT_WIDENING(BgL_tmpz00_12971);
						}
						BgL_auxz00_12969 =
							((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_12970);
					}
					((((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12969))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1698z00_511), BUNSPEC);
				}
				return BgL_new1590z00_9669;
			}
		}

	}



/* &make-genpatchid/Cinfo */
	BgL_genpatchidz00_bglt BGl_z62makezd2genpatchidzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_7792, obj_t BgL_loc1690z00_7793, obj_t BgL_type1691z00_7794,
		obj_t BgL_sidezd2effect1692zd2_7795, obj_t BgL_key1693z00_7796,
		obj_t BgL_exprza21694za2_7797, obj_t BgL_effect1695z00_7798,
		obj_t BgL_index1696z00_7799, obj_t BgL_rindex1697z00_7800,
		obj_t BgL_approx1698z00_7801)
	{
		{	/* Cfa/cinfo.sch 963 */
			return
				BGl_makezd2genpatchidzf2Cinfoz20zzcfa_infoz00(BgL_loc1690z00_7793,
				((BgL_typez00_bglt) BgL_type1691z00_7794),
				BgL_sidezd2effect1692zd2_7795, BgL_key1693z00_7796,
				BgL_exprza21694za2_7797, BgL_effect1695z00_7798,
				(long) CINT(BgL_index1696z00_7799), (long) CINT(BgL_rindex1697z00_7800),
				((BgL_approxz00_bglt) BgL_approx1698z00_7801));
		}

	}



/* genpatchid/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_genpatchidzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_512)
	{
		{	/* Cfa/cinfo.sch 964 */
			{	/* Cfa/cinfo.sch 964 */
				obj_t BgL_classz00_9675;

				BgL_classz00_9675 = BGl_genpatchidzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_512))
					{	/* Cfa/cinfo.sch 964 */
						BgL_objectz00_bglt BgL_arg1825z00_9676;

						BgL_arg1825z00_9676 = (BgL_objectz00_bglt) (BgL_objz00_512);
						{	/* Cfa/cinfo.sch 964 */
							bool_t BgL_arg1822z00_9677;
							bool_t BgL_arg1823z00_9678;

							{	/* Cfa/cinfo.sch 964 */
								long BgL_idxz00_9679;

								BgL_idxz00_9679 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9676);
								BgL_arg1822z00_9677 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9679 + ((long) 5))) == BgL_classz00_9675);
							}
							{	/* Cfa/cinfo.sch 964 */
								bool_t BgL_res3060z00_9682;

								{	/* Cfa/cinfo.sch 964 */
									obj_t BgL_oclassz00_9683;

									{	/* Cfa/cinfo.sch 964 */
										long BgL_arg1833z00_9684;

										{	/* Cfa/cinfo.sch 964 */
											long BgL_arg1834z00_9685;

											BgL_arg1834z00_9685 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9676);
											BgL_arg1833z00_9684 = (BgL_arg1834z00_9685 - OBJECT_TYPE);
										}
										BgL_oclassz00_9683 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9684);
									}
									{	/* Cfa/cinfo.sch 964 */
										bool_t BgL__ortest_1110z00_9686;

										BgL__ortest_1110z00_9686 =
											(BgL_classz00_9675 == BgL_oclassz00_9683);
										if (BgL__ortest_1110z00_9686)
											{	/* Cfa/cinfo.sch 964 */
												BgL_res3060z00_9682 = BgL__ortest_1110z00_9686;
											}
										else
											{	/* Cfa/cinfo.sch 964 */
												long BgL_odepthz00_9687;

												BgL_odepthz00_9687 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9683);
												if ((((long) 5) < BgL_odepthz00_9687))
													{	/* Cfa/cinfo.sch 964 */
														obj_t BgL_arg1821z00_9688;

														BgL_arg1821z00_9688 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9683,
															((long) 5));
														BgL_res3060z00_9682 =
															(BgL_arg1821z00_9688 == BgL_classz00_9675);
													}
												else
													{	/* Cfa/cinfo.sch 964 */
														BgL_res3060z00_9682 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9678 = BgL_res3060z00_9682;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9677, BgL_arg1823z00_9678);
						}
					}
				else
					{	/* Cfa/cinfo.sch 964 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &genpatchid/Cinfo? */
	obj_t BGl_z62genpatchidzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_7802,
		obj_t BgL_objz00_7803)
	{
		{	/* Cfa/cinfo.sch 964 */
			return BBOOL(BGl_genpatchidzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_7803));
		}

	}



/* genpatchid/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_genpatchidz00_bglt
		BGl_genpatchidzf2Cinfozd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 965 */
			{	/* Cfa/cinfo.sch 965 */
				obj_t BgL_classz00_5072;

				BgL_classz00_5072 = BGl_genpatchidzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 965 */
					obj_t BgL__ortest_1112z00_5073;

					BgL__ortest_1112z00_5073 = BGL_CLASS_NIL(BgL_classz00_5072);
					if (CBOOL(BgL__ortest_1112z00_5073))
						{	/* Cfa/cinfo.sch 965 */
							return ((BgL_genpatchidz00_bglt) BgL__ortest_1112z00_5073);
						}
					else
						{	/* Cfa/cinfo.sch 965 */
							return
								((BgL_genpatchidz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5072));
						}
				}
			}
		}

	}



/* &genpatchid/Cinfo-nil */
	BgL_genpatchidz00_bglt BGl_z62genpatchidzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7804)
	{
		{	/* Cfa/cinfo.sch 965 */
			return BGl_genpatchidzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* genpatchid/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_genpatchidzf2Cinfozd2approxz20zzcfa_infoz00(BgL_genpatchidz00_bglt
		BgL_oz00_513)
	{
		{	/* Cfa/cinfo.sch 966 */
			{
				BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_13008;

				{
					obj_t BgL_auxz00_13009;

					{	/* Cfa/cinfo.sch 966 */
						BgL_objectz00_bglt BgL_tmpz00_13010;

						BgL_tmpz00_13010 = ((BgL_objectz00_bglt) BgL_oz00_513);
						BgL_auxz00_13009 = BGL_OBJECT_WIDENING(BgL_tmpz00_13010);
					}
					BgL_auxz00_13008 =
						((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_13009);
				}
				return
					(((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13008))->
					BgL_approxz00);
			}
		}

	}



/* &genpatchid/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62genpatchidzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_7805, obj_t BgL_oz00_7806)
	{
		{	/* Cfa/cinfo.sch 966 */
			return
				BGl_genpatchidzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7806));
		}

	}



/* genpatchid/Cinfo-rindex */
	BGL_EXPORTED_DEF long
		BGl_genpatchidzf2Cinfozd2rindexz20zzcfa_infoz00(BgL_genpatchidz00_bglt
		BgL_oz00_516)
	{
		{	/* Cfa/cinfo.sch 968 */
			return
				(((BgL_genpatchidz00_bglt) COBJECT(
						((BgL_genpatchidz00_bglt) BgL_oz00_516)))->BgL_rindexz00);
		}

	}



/* &genpatchid/Cinfo-rindex */
	obj_t BGl_z62genpatchidzf2Cinfozd2rindexz42zzcfa_infoz00(obj_t
		BgL_envz00_7807, obj_t BgL_oz00_7808)
	{
		{	/* Cfa/cinfo.sch 968 */
			return
				BINT(BGl_genpatchidzf2Cinfozd2rindexz20zzcfa_infoz00(
					((BgL_genpatchidz00_bglt) BgL_oz00_7808)));
		}

	}



/* genpatchid/Cinfo-rindex-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2rindexzd2setz12ze0zzcfa_infoz00
		(BgL_genpatchidz00_bglt BgL_oz00_517, long BgL_vz00_518)
	{
		{	/* Cfa/cinfo.sch 969 */
			return
				((((BgL_genpatchidz00_bglt) COBJECT(
							((BgL_genpatchidz00_bglt) BgL_oz00_517)))->BgL_rindexz00) =
				((long) BgL_vz00_518), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-rindex-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2rindexzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7809, obj_t BgL_oz00_7810, obj_t BgL_vz00_7811)
	{
		{	/* Cfa/cinfo.sch 969 */
			return
				BGl_genpatchidzf2Cinfozd2rindexzd2setz12ze0zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7810), (long) CINT(BgL_vz00_7811));
		}

	}



/* genpatchid/Cinfo-index */
	BGL_EXPORTED_DEF long
		BGl_genpatchidzf2Cinfozd2indexz20zzcfa_infoz00(BgL_genpatchidz00_bglt
		BgL_oz00_519)
	{
		{	/* Cfa/cinfo.sch 970 */
			return
				(((BgL_genpatchidz00_bglt) COBJECT(
						((BgL_genpatchidz00_bglt) BgL_oz00_519)))->BgL_indexz00);
		}

	}



/* &genpatchid/Cinfo-index */
	obj_t BGl_z62genpatchidzf2Cinfozd2indexz42zzcfa_infoz00(obj_t BgL_envz00_7812,
		obj_t BgL_oz00_7813)
	{
		{	/* Cfa/cinfo.sch 970 */
			return
				BINT(BGl_genpatchidzf2Cinfozd2indexz20zzcfa_infoz00(
					((BgL_genpatchidz00_bglt) BgL_oz00_7813)));
		}

	}



/* genpatchid/Cinfo-index-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2indexzd2setz12ze0zzcfa_infoz00
		(BgL_genpatchidz00_bglt BgL_oz00_520, long BgL_vz00_521)
	{
		{	/* Cfa/cinfo.sch 971 */
			return
				((((BgL_genpatchidz00_bglt) COBJECT(
							((BgL_genpatchidz00_bglt) BgL_oz00_520)))->BgL_indexz00) =
				((long) BgL_vz00_521), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-index-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2indexzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7814, obj_t BgL_oz00_7815, obj_t BgL_vz00_7816)
	{
		{	/* Cfa/cinfo.sch 971 */
			return
				BGl_genpatchidzf2Cinfozd2indexzd2setz12ze0zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7815), (long) CINT(BgL_vz00_7816));
		}

	}



/* genpatchid/Cinfo-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2effectz20zzcfa_infoz00(BgL_genpatchidz00_bglt
		BgL_oz00_522)
	{
		{	/* Cfa/cinfo.sch 972 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_522)))->BgL_effectz00);
		}

	}



/* &genpatchid/Cinfo-effect */
	obj_t BGl_z62genpatchidzf2Cinfozd2effectz42zzcfa_infoz00(obj_t
		BgL_envz00_7817, obj_t BgL_oz00_7818)
	{
		{	/* Cfa/cinfo.sch 972 */
			return
				BGl_genpatchidzf2Cinfozd2effectz20zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7818));
		}

	}



/* genpatchid/Cinfo-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_genpatchidz00_bglt BgL_oz00_523, obj_t BgL_vz00_524)
	{
		{	/* Cfa/cinfo.sch 973 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_523)))->BgL_effectz00) =
				((obj_t) BgL_vz00_524), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-effect-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2effectzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7819, obj_t BgL_oz00_7820, obj_t BgL_vz00_7821)
	{
		{	/* Cfa/cinfo.sch 973 */
			return
				BGl_genpatchidzf2Cinfozd2effectzd2setz12ze0zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7820), BgL_vz00_7821);
		}

	}



/* genpatchid/Cinfo-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2exprza2z82zzcfa_infoz00(BgL_genpatchidz00_bglt
		BgL_oz00_525)
	{
		{	/* Cfa/cinfo.sch 974 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_525)))->BgL_exprza2za2);
		}

	}



/* &genpatchid/Cinfo-expr* */
	obj_t BGl_z62genpatchidzf2Cinfozd2exprza2ze0zzcfa_infoz00(obj_t
		BgL_envz00_7822, obj_t BgL_oz00_7823)
	{
		{	/* Cfa/cinfo.sch 974 */
			return
				BGl_genpatchidzf2Cinfozd2exprza2z82zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7823));
		}

	}



/* genpatchid/Cinfo-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2exprza2zd2setz12z42zzcfa_infoz00
		(BgL_genpatchidz00_bglt BgL_oz00_526, obj_t BgL_vz00_527)
	{
		{	/* Cfa/cinfo.sch 975 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_526)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_527), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-expr*-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2exprza2zd2setz12z20zzcfa_infoz00(obj_t
		BgL_envz00_7824, obj_t BgL_oz00_7825, obj_t BgL_vz00_7826)
	{
		{	/* Cfa/cinfo.sch 975 */
			return
				BGl_genpatchidzf2Cinfozd2exprza2zd2setz12z42zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7825), BgL_vz00_7826);
		}

	}



/* genpatchid/Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2keyz20zzcfa_infoz00(BgL_genpatchidz00_bglt
		BgL_oz00_528)
	{
		{	/* Cfa/cinfo.sch 976 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_528)))->BgL_keyz00);
		}

	}



/* &genpatchid/Cinfo-key */
	obj_t BGl_z62genpatchidzf2Cinfozd2keyz42zzcfa_infoz00(obj_t BgL_envz00_7827,
		obj_t BgL_oz00_7828)
	{
		{	/* Cfa/cinfo.sch 976 */
			return
				BGl_genpatchidzf2Cinfozd2keyz20zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7828));
		}

	}



/* genpatchid/Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2keyzd2setz12ze0zzcfa_infoz00(BgL_genpatchidz00_bglt
		BgL_oz00_529, obj_t BgL_vz00_530)
	{
		{	/* Cfa/cinfo.sch 977 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_529)))->BgL_keyz00) =
				((obj_t) BgL_vz00_530), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-key-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7829, obj_t BgL_oz00_7830, obj_t BgL_vz00_7831)
	{
		{	/* Cfa/cinfo.sch 977 */
			return
				BGl_genpatchidzf2Cinfozd2keyzd2setz12ze0zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7830), BgL_vz00_7831);
		}

	}



/* genpatchid/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00
		(BgL_genpatchidz00_bglt BgL_oz00_531)
	{
		{	/* Cfa/cinfo.sch 978 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_531)))->BgL_sidezd2effectzd2);
		}

	}



/* &genpatchid/Cinfo-side-effect */
	obj_t BGl_z62genpatchidzf2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t
		BgL_envz00_7832, obj_t BgL_oz00_7833)
	{
		{	/* Cfa/cinfo.sch 978 */
			return
				BGl_genpatchidzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7833));
		}

	}



/* genpatchid/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_genpatchidz00_bglt BgL_oz00_532, obj_t BgL_vz00_533)
	{
		{	/* Cfa/cinfo.sch 979 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_532)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_533), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-side-effect-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7834, obj_t BgL_oz00_7835, obj_t BgL_vz00_7836)
	{
		{	/* Cfa/cinfo.sch 979 */
			return
				BGl_genpatchidzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7835), BgL_vz00_7836);
		}

	}



/* genpatchid/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_genpatchidzf2Cinfozd2typez20zzcfa_infoz00(BgL_genpatchidz00_bglt
		BgL_oz00_534)
	{
		{	/* Cfa/cinfo.sch 980 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_534)))->BgL_typez00);
		}

	}



/* &genpatchid/Cinfo-type */
	BgL_typez00_bglt BGl_z62genpatchidzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_7837, obj_t BgL_oz00_7838)
	{
		{	/* Cfa/cinfo.sch 980 */
			return
				BGl_genpatchidzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7838));
		}

	}



/* genpatchid/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_genpatchidz00_bglt BgL_oz00_535, BgL_typez00_bglt BgL_vz00_536)
	{
		{	/* Cfa/cinfo.sch 981 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_535)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_536), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-type-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7839, obj_t BgL_oz00_7840, obj_t BgL_vz00_7841)
	{
		{	/* Cfa/cinfo.sch 981 */
			return
				BGl_genpatchidzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7840),
				((BgL_typez00_bglt) BgL_vz00_7841));
		}

	}



/* genpatchid/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2locz20zzcfa_infoz00(BgL_genpatchidz00_bglt
		BgL_oz00_537)
	{
		{	/* Cfa/cinfo.sch 982 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_537)))->BgL_locz00);
		}

	}



/* &genpatchid/Cinfo-loc */
	obj_t BGl_z62genpatchidzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_7842,
		obj_t BgL_oz00_7843)
	{
		{	/* Cfa/cinfo.sch 982 */
			return
				BGl_genpatchidzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7843));
		}

	}



/* make-patch/Cinfo */
	BGL_EXPORTED_DEF BgL_patchz00_bglt
		BGl_makezd2patchzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1681z00_540,
		BgL_typez00_bglt BgL_type1682z00_541, obj_t BgL_value1683z00_542,
		BgL_varz00_bglt BgL_ref1684z00_543, long BgL_index1685z00_544,
		obj_t BgL_patchid1686z00_545, BgL_approxz00_bglt BgL_approx1687z00_546)
	{
		{	/* Cfa/cinfo.sch 986 */
			{	/* Cfa/cinfo.sch 986 */
				BgL_patchz00_bglt BgL_new1594z00_9689;

				{	/* Cfa/cinfo.sch 986 */
					BgL_patchz00_bglt BgL_tmp1592z00_9690;
					BgL_patchzf2cinfozf2_bglt BgL_wide1593z00_9691;

					{
						BgL_patchz00_bglt BgL_auxz00_13082;

						{	/* Cfa/cinfo.sch 986 */
							BgL_patchz00_bglt BgL_new1591z00_9692;

							BgL_new1591z00_9692 =
								((BgL_patchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_patchz00_bgl))));
							{	/* Cfa/cinfo.sch 986 */
								long BgL_arg2014z00_9693;

								BgL_arg2014z00_9693 = BGL_CLASS_NUM(BGl_patchz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1591z00_9692),
									BgL_arg2014z00_9693);
							}
							{	/* Cfa/cinfo.sch 986 */
								BgL_objectz00_bglt BgL_tmpz00_13087;

								BgL_tmpz00_13087 = ((BgL_objectz00_bglt) BgL_new1591z00_9692);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13087, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1591z00_9692);
							BgL_auxz00_13082 = BgL_new1591z00_9692;
						}
						BgL_tmp1592z00_9690 = ((BgL_patchz00_bglt) BgL_auxz00_13082);
					}
					BgL_wide1593z00_9691 =
						((BgL_patchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_patchzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 986 */
						obj_t BgL_auxz00_13095;
						BgL_objectz00_bglt BgL_tmpz00_13093;

						BgL_auxz00_13095 = ((obj_t) BgL_wide1593z00_9691);
						BgL_tmpz00_13093 = ((BgL_objectz00_bglt) BgL_tmp1592z00_9690);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13093, BgL_auxz00_13095);
					}
					((BgL_objectz00_bglt) BgL_tmp1592z00_9690);
					{	/* Cfa/cinfo.sch 986 */
						long BgL_arg2013z00_9694;

						BgL_arg2013z00_9694 =
							BGL_CLASS_NUM(BGl_patchzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1592z00_9690), BgL_arg2013z00_9694);
					}
					BgL_new1594z00_9689 = ((BgL_patchz00_bglt) BgL_tmp1592z00_9690);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1594z00_9689)))->BgL_locz00) =
					((obj_t) BgL_loc1681z00_540), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1594z00_9689)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1682z00_541), BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1594z00_9689)))->BgL_valuez00) =
					((obj_t) BgL_value1683z00_542), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
									BgL_new1594z00_9689)))->BgL_refz00) =
					((BgL_varz00_bglt) BgL_ref1684z00_543), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
									BgL_new1594z00_9689)))->BgL_indexz00) =
					((long) BgL_index1685z00_544), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
									BgL_new1594z00_9689)))->BgL_patchidz00) =
					((obj_t) BgL_patchid1686z00_545), BUNSPEC);
				{
					BgL_patchzf2cinfozf2_bglt BgL_auxz00_13115;

					{
						obj_t BgL_auxz00_13116;

						{	/* Cfa/cinfo.sch 986 */
							BgL_objectz00_bglt BgL_tmpz00_13117;

							BgL_tmpz00_13117 = ((BgL_objectz00_bglt) BgL_new1594z00_9689);
							BgL_auxz00_13116 = BGL_OBJECT_WIDENING(BgL_tmpz00_13117);
						}
						BgL_auxz00_13115 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_13116);
					}
					((((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13115))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1687z00_546), BUNSPEC);
				}
				return BgL_new1594z00_9689;
			}
		}

	}



/* &make-patch/Cinfo */
	BgL_patchz00_bglt BGl_z62makezd2patchzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_7844, obj_t BgL_loc1681z00_7845, obj_t BgL_type1682z00_7846,
		obj_t BgL_value1683z00_7847, obj_t BgL_ref1684z00_7848,
		obj_t BgL_index1685z00_7849, obj_t BgL_patchid1686z00_7850,
		obj_t BgL_approx1687z00_7851)
	{
		{	/* Cfa/cinfo.sch 986 */
			return
				BGl_makezd2patchzf2Cinfoz20zzcfa_infoz00(BgL_loc1681z00_7845,
				((BgL_typez00_bglt) BgL_type1682z00_7846), BgL_value1683z00_7847,
				((BgL_varz00_bglt) BgL_ref1684z00_7848),
				(long) CINT(BgL_index1685z00_7849), BgL_patchid1686z00_7850,
				((BgL_approxz00_bglt) BgL_approx1687z00_7851));
		}

	}



/* patch/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_patchzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_547)
	{
		{	/* Cfa/cinfo.sch 987 */
			{	/* Cfa/cinfo.sch 987 */
				obj_t BgL_classz00_9695;

				BgL_classz00_9695 = BGl_patchzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_547))
					{	/* Cfa/cinfo.sch 987 */
						BgL_objectz00_bglt BgL_arg1825z00_9696;

						BgL_arg1825z00_9696 = (BgL_objectz00_bglt) (BgL_objz00_547);
						{	/* Cfa/cinfo.sch 987 */
							bool_t BgL_arg1822z00_9697;
							bool_t BgL_arg1823z00_9698;

							{	/* Cfa/cinfo.sch 987 */
								long BgL_idxz00_9699;

								BgL_idxz00_9699 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9696);
								BgL_arg1822z00_9697 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9699 + ((long) 4))) == BgL_classz00_9695);
							}
							{	/* Cfa/cinfo.sch 987 */
								bool_t BgL_res3061z00_9702;

								{	/* Cfa/cinfo.sch 987 */
									obj_t BgL_oclassz00_9703;

									{	/* Cfa/cinfo.sch 987 */
										long BgL_arg1833z00_9704;

										{	/* Cfa/cinfo.sch 987 */
											long BgL_arg1834z00_9705;

											BgL_arg1834z00_9705 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9696);
											BgL_arg1833z00_9704 = (BgL_arg1834z00_9705 - OBJECT_TYPE);
										}
										BgL_oclassz00_9703 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9704);
									}
									{	/* Cfa/cinfo.sch 987 */
										bool_t BgL__ortest_1110z00_9706;

										BgL__ortest_1110z00_9706 =
											(BgL_classz00_9695 == BgL_oclassz00_9703);
										if (BgL__ortest_1110z00_9706)
											{	/* Cfa/cinfo.sch 987 */
												BgL_res3061z00_9702 = BgL__ortest_1110z00_9706;
											}
										else
											{	/* Cfa/cinfo.sch 987 */
												long BgL_odepthz00_9707;

												BgL_odepthz00_9707 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9703);
												if ((((long) 4) < BgL_odepthz00_9707))
													{	/* Cfa/cinfo.sch 987 */
														obj_t BgL_arg1821z00_9708;

														BgL_arg1821z00_9708 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9703,
															((long) 4));
														BgL_res3061z00_9702 =
															(BgL_arg1821z00_9708 == BgL_classz00_9695);
													}
												else
													{	/* Cfa/cinfo.sch 987 */
														BgL_res3061z00_9702 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9698 = BgL_res3061z00_9702;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9697, BgL_arg1823z00_9698);
						}
					}
				else
					{	/* Cfa/cinfo.sch 987 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &patch/Cinfo? */
	obj_t BGl_z62patchzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_7852,
		obj_t BgL_objz00_7853)
	{
		{	/* Cfa/cinfo.sch 987 */
			return BBOOL(BGl_patchzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_7853));
		}

	}



/* patch/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_patchz00_bglt BGl_patchzf2Cinfozd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 988 */
			{	/* Cfa/cinfo.sch 988 */
				obj_t BgL_classz00_5122;

				BgL_classz00_5122 = BGl_patchzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 988 */
					obj_t BgL__ortest_1112z00_5123;

					BgL__ortest_1112z00_5123 = BGL_CLASS_NIL(BgL_classz00_5122);
					if (CBOOL(BgL__ortest_1112z00_5123))
						{	/* Cfa/cinfo.sch 988 */
							return ((BgL_patchz00_bglt) BgL__ortest_1112z00_5123);
						}
					else
						{	/* Cfa/cinfo.sch 988 */
							return
								((BgL_patchz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5122));
						}
				}
			}
		}

	}



/* &patch/Cinfo-nil */
	BgL_patchz00_bglt BGl_z62patchzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7854)
	{
		{	/* Cfa/cinfo.sch 988 */
			return BGl_patchzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* patch/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_patchzf2Cinfozd2approxz20zzcfa_infoz00(BgL_patchz00_bglt BgL_oz00_548)
	{
		{	/* Cfa/cinfo.sch 989 */
			{
				BgL_patchzf2cinfozf2_bglt BgL_auxz00_13154;

				{
					obj_t BgL_auxz00_13155;

					{	/* Cfa/cinfo.sch 989 */
						BgL_objectz00_bglt BgL_tmpz00_13156;

						BgL_tmpz00_13156 = ((BgL_objectz00_bglt) BgL_oz00_548);
						BgL_auxz00_13155 = BGL_OBJECT_WIDENING(BgL_tmpz00_13156);
					}
					BgL_auxz00_13154 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_13155);
				}
				return
					(((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13154))->
					BgL_approxz00);
			}
		}

	}



/* &patch/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62patchzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_7855, obj_t BgL_oz00_7856)
	{
		{	/* Cfa/cinfo.sch 989 */
			return
				BGl_patchzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7856));
		}

	}



/* patch/Cinfo-patchid */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2patchidz20zzcfa_infoz00(BgL_patchz00_bglt BgL_oz00_551)
	{
		{	/* Cfa/cinfo.sch 991 */
			return
				(((BgL_patchz00_bglt) COBJECT(
						((BgL_patchz00_bglt) BgL_oz00_551)))->BgL_patchidz00);
		}

	}



/* &patch/Cinfo-patchid */
	obj_t BGl_z62patchzf2Cinfozd2patchidz42zzcfa_infoz00(obj_t BgL_envz00_7857,
		obj_t BgL_oz00_7858)
	{
		{	/* Cfa/cinfo.sch 991 */
			return
				BGl_patchzf2Cinfozd2patchidz20zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7858));
		}

	}



/* patch/Cinfo-patchid-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2patchidzd2setz12ze0zzcfa_infoz00(BgL_patchz00_bglt
		BgL_oz00_552, obj_t BgL_vz00_553)
	{
		{	/* Cfa/cinfo.sch 992 */
			return
				((((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_oz00_552)))->BgL_patchidz00) =
				((obj_t) BgL_vz00_553), BUNSPEC);
		}

	}



/* &patch/Cinfo-patchid-set! */
	obj_t BGl_z62patchzf2Cinfozd2patchidzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7859, obj_t BgL_oz00_7860, obj_t BgL_vz00_7861)
	{
		{	/* Cfa/cinfo.sch 992 */
			return
				BGl_patchzf2Cinfozd2patchidzd2setz12ze0zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7860), BgL_vz00_7861);
		}

	}



/* patch/Cinfo-index */
	BGL_EXPORTED_DEF long
		BGl_patchzf2Cinfozd2indexz20zzcfa_infoz00(BgL_patchz00_bglt BgL_oz00_554)
	{
		{	/* Cfa/cinfo.sch 993 */
			return
				(((BgL_patchz00_bglt) COBJECT(
						((BgL_patchz00_bglt) BgL_oz00_554)))->BgL_indexz00);
		}

	}



/* &patch/Cinfo-index */
	obj_t BGl_z62patchzf2Cinfozd2indexz42zzcfa_infoz00(obj_t BgL_envz00_7862,
		obj_t BgL_oz00_7863)
	{
		{	/* Cfa/cinfo.sch 993 */
			return
				BINT(BGl_patchzf2Cinfozd2indexz20zzcfa_infoz00(
					((BgL_patchz00_bglt) BgL_oz00_7863)));
		}

	}



/* patch/Cinfo-index-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2indexzd2setz12ze0zzcfa_infoz00(BgL_patchz00_bglt
		BgL_oz00_555, long BgL_vz00_556)
	{
		{	/* Cfa/cinfo.sch 994 */
			return
				((((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_oz00_555)))->BgL_indexz00) =
				((long) BgL_vz00_556), BUNSPEC);
		}

	}



/* &patch/Cinfo-index-set! */
	obj_t BGl_z62patchzf2Cinfozd2indexzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7864, obj_t BgL_oz00_7865, obj_t BgL_vz00_7866)
	{
		{	/* Cfa/cinfo.sch 994 */
			return
				BGl_patchzf2Cinfozd2indexzd2setz12ze0zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7865), (long) CINT(BgL_vz00_7866));
		}

	}



/* patch/Cinfo-ref */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_patchzf2Cinfozd2refz20zzcfa_infoz00(BgL_patchz00_bglt BgL_oz00_557)
	{
		{	/* Cfa/cinfo.sch 995 */
			return
				(((BgL_patchz00_bglt) COBJECT(
						((BgL_patchz00_bglt) BgL_oz00_557)))->BgL_refz00);
		}

	}



/* &patch/Cinfo-ref */
	BgL_varz00_bglt BGl_z62patchzf2Cinfozd2refz42zzcfa_infoz00(obj_t
		BgL_envz00_7867, obj_t BgL_oz00_7868)
	{
		{	/* Cfa/cinfo.sch 995 */
			return
				BGl_patchzf2Cinfozd2refz20zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7868));
		}

	}



/* patch/Cinfo-value */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2valuez20zzcfa_infoz00(BgL_patchz00_bglt BgL_oz00_560)
	{
		{	/* Cfa/cinfo.sch 997 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_oz00_560)))->BgL_valuez00);
		}

	}



/* &patch/Cinfo-value */
	obj_t BGl_z62patchzf2Cinfozd2valuez42zzcfa_infoz00(obj_t BgL_envz00_7869,
		obj_t BgL_oz00_7870)
	{
		{	/* Cfa/cinfo.sch 997 */
			return
				BGl_patchzf2Cinfozd2valuez20zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7870));
		}

	}



/* patch/Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(BgL_patchz00_bglt
		BgL_oz00_561, obj_t BgL_vz00_562)
	{
		{	/* Cfa/cinfo.sch 998 */
			return
				((((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_561)))->BgL_valuez00) =
				((obj_t) BgL_vz00_562), BUNSPEC);
		}

	}



/* &patch/Cinfo-value-set! */
	obj_t BGl_z62patchzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7871, obj_t BgL_oz00_7872, obj_t BgL_vz00_7873)
	{
		{	/* Cfa/cinfo.sch 998 */
			return
				BGl_patchzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7872), BgL_vz00_7873);
		}

	}



/* patch/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_patchzf2Cinfozd2typez20zzcfa_infoz00(BgL_patchz00_bglt BgL_oz00_563)
	{
		{	/* Cfa/cinfo.sch 999 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_563)))->BgL_typez00);
		}

	}



/* &patch/Cinfo-type */
	BgL_typez00_bglt BGl_z62patchzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_7874, obj_t BgL_oz00_7875)
	{
		{	/* Cfa/cinfo.sch 999 */
			return
				BGl_patchzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7875));
		}

	}



/* patch/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_patchz00_bglt
		BgL_oz00_564, BgL_typez00_bglt BgL_vz00_565)
	{
		{	/* Cfa/cinfo.sch 1000 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_564)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_565), BUNSPEC);
		}

	}



/* &patch/Cinfo-type-set! */
	obj_t BGl_z62patchzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7876, obj_t BgL_oz00_7877, obj_t BgL_vz00_7878)
	{
		{	/* Cfa/cinfo.sch 1000 */
			return
				BGl_patchzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7877),
				((BgL_typez00_bglt) BgL_vz00_7878));
		}

	}



/* patch/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2locz20zzcfa_infoz00(BgL_patchz00_bglt BgL_oz00_566)
	{
		{	/* Cfa/cinfo.sch 1001 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_566)))->BgL_locz00);
		}

	}



/* &patch/Cinfo-loc */
	obj_t BGl_z62patchzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_7879,
		obj_t BgL_oz00_7880)
	{
		{	/* Cfa/cinfo.sch 1001 */
			return
				BGl_patchzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7880));
		}

	}



/* make-kwote/node */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt
		BGl_makezd2kwotezf2nodez20zzcfa_infoz00(obj_t BgL_loc1676z00_569,
		BgL_typez00_bglt BgL_type1677z00_570, obj_t BgL_value1678z00_571,
		BgL_nodez00_bglt BgL_node1679z00_572)
	{
		{	/* Cfa/cinfo.sch 1005 */
			{	/* Cfa/cinfo.sch 1005 */
				BgL_kwotez00_bglt BgL_new1598z00_9709;

				{	/* Cfa/cinfo.sch 1005 */
					BgL_kwotez00_bglt BgL_tmp1596z00_9710;
					BgL_kwotezf2nodezf2_bglt BgL_wide1597z00_9711;

					{
						BgL_kwotez00_bglt BgL_auxz00_13206;

						{	/* Cfa/cinfo.sch 1005 */
							BgL_kwotez00_bglt BgL_new1595z00_9712;

							BgL_new1595z00_9712 =
								((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_kwotez00_bgl))));
							{	/* Cfa/cinfo.sch 1005 */
								long BgL_arg2016z00_9713;

								BgL_arg2016z00_9713 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1595z00_9712),
									BgL_arg2016z00_9713);
							}
							{	/* Cfa/cinfo.sch 1005 */
								BgL_objectz00_bglt BgL_tmpz00_13211;

								BgL_tmpz00_13211 = ((BgL_objectz00_bglt) BgL_new1595z00_9712);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13211, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1595z00_9712);
							BgL_auxz00_13206 = BgL_new1595z00_9712;
						}
						BgL_tmp1596z00_9710 = ((BgL_kwotez00_bglt) BgL_auxz00_13206);
					}
					BgL_wide1597z00_9711 =
						((BgL_kwotezf2nodezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2nodezf2_bgl))));
					{	/* Cfa/cinfo.sch 1005 */
						obj_t BgL_auxz00_13219;
						BgL_objectz00_bglt BgL_tmpz00_13217;

						BgL_auxz00_13219 = ((obj_t) BgL_wide1597z00_9711);
						BgL_tmpz00_13217 = ((BgL_objectz00_bglt) BgL_tmp1596z00_9710);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13217, BgL_auxz00_13219);
					}
					((BgL_objectz00_bglt) BgL_tmp1596z00_9710);
					{	/* Cfa/cinfo.sch 1005 */
						long BgL_arg2015z00_9714;

						BgL_arg2015z00_9714 =
							BGL_CLASS_NUM(BGl_kwotezf2nodezf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1596z00_9710), BgL_arg2015z00_9714);
					}
					BgL_new1598z00_9709 = ((BgL_kwotez00_bglt) BgL_tmp1596z00_9710);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1598z00_9709)))->BgL_locz00) =
					((obj_t) BgL_loc1676z00_569), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1598z00_9709)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1677z00_570), BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt)
									BgL_new1598z00_9709)))->BgL_valuez00) =
					((obj_t) BgL_value1678z00_571), BUNSPEC);
				{
					BgL_kwotezf2nodezf2_bglt BgL_auxz00_13233;

					{
						obj_t BgL_auxz00_13234;

						{	/* Cfa/cinfo.sch 1005 */
							BgL_objectz00_bglt BgL_tmpz00_13235;

							BgL_tmpz00_13235 = ((BgL_objectz00_bglt) BgL_new1598z00_9709);
							BgL_auxz00_13234 = BGL_OBJECT_WIDENING(BgL_tmpz00_13235);
						}
						BgL_auxz00_13233 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_13234);
					}
					((((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_13233))->
							BgL_nodez00) = ((BgL_nodez00_bglt) BgL_node1679z00_572), BUNSPEC);
				}
				return BgL_new1598z00_9709;
			}
		}

	}



/* &make-kwote/node */
	BgL_kwotez00_bglt BGl_z62makezd2kwotezf2nodez42zzcfa_infoz00(obj_t
		BgL_envz00_7881, obj_t BgL_loc1676z00_7882, obj_t BgL_type1677z00_7883,
		obj_t BgL_value1678z00_7884, obj_t BgL_node1679z00_7885)
	{
		{	/* Cfa/cinfo.sch 1005 */
			return
				BGl_makezd2kwotezf2nodez20zzcfa_infoz00(BgL_loc1676z00_7882,
				((BgL_typez00_bglt) BgL_type1677z00_7883), BgL_value1678z00_7884,
				((BgL_nodez00_bglt) BgL_node1679z00_7885));
		}

	}



/* kwote/node? */
	BGL_EXPORTED_DEF bool_t BGl_kwotezf2nodezf3z01zzcfa_infoz00(obj_t
		BgL_objz00_573)
	{
		{	/* Cfa/cinfo.sch 1006 */
			{	/* Cfa/cinfo.sch 1006 */
				obj_t BgL_classz00_9715;

				BgL_classz00_9715 = BGl_kwotezf2nodezf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_573))
					{	/* Cfa/cinfo.sch 1006 */
						BgL_objectz00_bglt BgL_arg1825z00_9716;

						BgL_arg1825z00_9716 = (BgL_objectz00_bglt) (BgL_objz00_573);
						{	/* Cfa/cinfo.sch 1006 */
							bool_t BgL_arg1822z00_9717;
							bool_t BgL_arg1823z00_9718;

							{	/* Cfa/cinfo.sch 1006 */
								long BgL_idxz00_9719;

								BgL_idxz00_9719 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9716);
								BgL_arg1822z00_9717 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9719 + ((long) 3))) == BgL_classz00_9715);
							}
							{	/* Cfa/cinfo.sch 1006 */
								bool_t BgL_res3062z00_9722;

								{	/* Cfa/cinfo.sch 1006 */
									obj_t BgL_oclassz00_9723;

									{	/* Cfa/cinfo.sch 1006 */
										long BgL_arg1833z00_9724;

										{	/* Cfa/cinfo.sch 1006 */
											long BgL_arg1834z00_9725;

											BgL_arg1834z00_9725 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9716);
											BgL_arg1833z00_9724 = (BgL_arg1834z00_9725 - OBJECT_TYPE);
										}
										BgL_oclassz00_9723 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9724);
									}
									{	/* Cfa/cinfo.sch 1006 */
										bool_t BgL__ortest_1110z00_9726;

										BgL__ortest_1110z00_9726 =
											(BgL_classz00_9715 == BgL_oclassz00_9723);
										if (BgL__ortest_1110z00_9726)
											{	/* Cfa/cinfo.sch 1006 */
												BgL_res3062z00_9722 = BgL__ortest_1110z00_9726;
											}
										else
											{	/* Cfa/cinfo.sch 1006 */
												long BgL_odepthz00_9727;

												BgL_odepthz00_9727 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9723);
												if ((((long) 3) < BgL_odepthz00_9727))
													{	/* Cfa/cinfo.sch 1006 */
														obj_t BgL_arg1821z00_9728;

														BgL_arg1821z00_9728 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9723,
															((long) 3));
														BgL_res3062z00_9722 =
															(BgL_arg1821z00_9728 == BgL_classz00_9715);
													}
												else
													{	/* Cfa/cinfo.sch 1006 */
														BgL_res3062z00_9722 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9718 = BgL_res3062z00_9722;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9717, BgL_arg1823z00_9718);
						}
					}
				else
					{	/* Cfa/cinfo.sch 1006 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &kwote/node? */
	obj_t BGl_z62kwotezf2nodezf3z63zzcfa_infoz00(obj_t BgL_envz00_7886,
		obj_t BgL_objz00_7887)
	{
		{	/* Cfa/cinfo.sch 1006 */
			return BBOOL(BGl_kwotezf2nodezf3z01zzcfa_infoz00(BgL_objz00_7887));
		}

	}



/* kwote/node-nil */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt BGl_kwotezf2nodezd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 1007 */
			{	/* Cfa/cinfo.sch 1007 */
				obj_t BgL_classz00_5172;

				BgL_classz00_5172 = BGl_kwotezf2nodezf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1007 */
					obj_t BgL__ortest_1112z00_5173;

					BgL__ortest_1112z00_5173 = BGL_CLASS_NIL(BgL_classz00_5172);
					if (CBOOL(BgL__ortest_1112z00_5173))
						{	/* Cfa/cinfo.sch 1007 */
							return ((BgL_kwotez00_bglt) BgL__ortest_1112z00_5173);
						}
					else
						{	/* Cfa/cinfo.sch 1007 */
							return
								((BgL_kwotez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5172));
						}
				}
			}
		}

	}



/* &kwote/node-nil */
	BgL_kwotez00_bglt BGl_z62kwotezf2nodezd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7888)
	{
		{	/* Cfa/cinfo.sch 1007 */
			return BGl_kwotezf2nodezd2nilz20zzcfa_infoz00();
		}

	}



/* kwote/node-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_kwotezf2nodezd2nodez20zzcfa_infoz00(BgL_kwotez00_bglt BgL_oz00_574)
	{
		{	/* Cfa/cinfo.sch 1008 */
			{
				BgL_kwotezf2nodezf2_bglt BgL_auxz00_13270;

				{
					obj_t BgL_auxz00_13271;

					{	/* Cfa/cinfo.sch 1008 */
						BgL_objectz00_bglt BgL_tmpz00_13272;

						BgL_tmpz00_13272 = ((BgL_objectz00_bglt) BgL_oz00_574);
						BgL_auxz00_13271 = BGL_OBJECT_WIDENING(BgL_tmpz00_13272);
					}
					BgL_auxz00_13270 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_13271);
				}
				return
					(((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_13270))->BgL_nodez00);
			}
		}

	}



/* &kwote/node-node */
	BgL_nodez00_bglt BGl_z62kwotezf2nodezd2nodez42zzcfa_infoz00(obj_t
		BgL_envz00_7889, obj_t BgL_oz00_7890)
	{
		{	/* Cfa/cinfo.sch 1008 */
			return
				BGl_kwotezf2nodezd2nodez20zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_7890));
		}

	}



/* kwote/node-value */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezf2nodezd2valuez20zzcfa_infoz00(BgL_kwotez00_bglt BgL_oz00_577)
	{
		{	/* Cfa/cinfo.sch 1010 */
			return
				(((BgL_kwotez00_bglt) COBJECT(
						((BgL_kwotez00_bglt) BgL_oz00_577)))->BgL_valuez00);
		}

	}



/* &kwote/node-value */
	obj_t BGl_z62kwotezf2nodezd2valuez42zzcfa_infoz00(obj_t BgL_envz00_7891,
		obj_t BgL_oz00_7892)
	{
		{	/* Cfa/cinfo.sch 1010 */
			return
				BGl_kwotezf2nodezd2valuez20zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_7892));
		}

	}



/* kwote/node-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_kwotezf2nodezd2typez20zzcfa_infoz00(BgL_kwotez00_bglt BgL_oz00_580)
	{
		{	/* Cfa/cinfo.sch 1012 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_580)))->BgL_typez00);
		}

	}



/* &kwote/node-type */
	BgL_typez00_bglt BGl_z62kwotezf2nodezd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_7893, obj_t BgL_oz00_7894)
	{
		{	/* Cfa/cinfo.sch 1012 */
			return
				BGl_kwotezf2nodezd2typez20zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_7894));
		}

	}



/* kwote/node-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezf2nodezd2typezd2setz12ze0zzcfa_infoz00(BgL_kwotez00_bglt
		BgL_oz00_581, BgL_typez00_bglt BgL_vz00_582)
	{
		{	/* Cfa/cinfo.sch 1013 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_581)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_582), BUNSPEC);
		}

	}



/* &kwote/node-type-set! */
	obj_t BGl_z62kwotezf2nodezd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7895, obj_t BgL_oz00_7896, obj_t BgL_vz00_7897)
	{
		{	/* Cfa/cinfo.sch 1013 */
			return
				BGl_kwotezf2nodezd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_7896),
				((BgL_typez00_bglt) BgL_vz00_7897));
		}

	}



/* kwote/node-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezf2nodezd2locz20zzcfa_infoz00(BgL_kwotez00_bglt BgL_oz00_583)
	{
		{	/* Cfa/cinfo.sch 1014 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_583)))->BgL_locz00);
		}

	}



/* &kwote/node-loc */
	obj_t BGl_z62kwotezf2nodezd2locz42zzcfa_infoz00(obj_t BgL_envz00_7898,
		obj_t BgL_oz00_7899)
	{
		{	/* Cfa/cinfo.sch 1014 */
			return
				BGl_kwotezf2nodezd2locz20zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_7899));
		}

	}



/* make-kwote/Cinfo */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt
		BGl_makezd2kwotezf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1671z00_586,
		BgL_typez00_bglt BgL_type1672z00_587, obj_t BgL_value1673z00_588,
		BgL_approxz00_bglt BgL_approx1674z00_589)
	{
		{	/* Cfa/cinfo.sch 1018 */
			{	/* Cfa/cinfo.sch 1018 */
				BgL_kwotez00_bglt BgL_new1602z00_9729;

				{	/* Cfa/cinfo.sch 1018 */
					BgL_kwotez00_bglt BgL_tmp1600z00_9730;
					BgL_kwotezf2cinfozf2_bglt BgL_wide1601z00_9731;

					{
						BgL_kwotez00_bglt BgL_auxz00_13296;

						{	/* Cfa/cinfo.sch 1018 */
							BgL_kwotez00_bglt BgL_new1599z00_9732;

							BgL_new1599z00_9732 =
								((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_kwotez00_bgl))));
							{	/* Cfa/cinfo.sch 1018 */
								long BgL_arg2018z00_9733;

								BgL_arg2018z00_9733 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1599z00_9732),
									BgL_arg2018z00_9733);
							}
							{	/* Cfa/cinfo.sch 1018 */
								BgL_objectz00_bglt BgL_tmpz00_13301;

								BgL_tmpz00_13301 = ((BgL_objectz00_bglt) BgL_new1599z00_9732);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13301, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1599z00_9732);
							BgL_auxz00_13296 = BgL_new1599z00_9732;
						}
						BgL_tmp1600z00_9730 = ((BgL_kwotez00_bglt) BgL_auxz00_13296);
					}
					BgL_wide1601z00_9731 =
						((BgL_kwotezf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1018 */
						obj_t BgL_auxz00_13309;
						BgL_objectz00_bglt BgL_tmpz00_13307;

						BgL_auxz00_13309 = ((obj_t) BgL_wide1601z00_9731);
						BgL_tmpz00_13307 = ((BgL_objectz00_bglt) BgL_tmp1600z00_9730);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13307, BgL_auxz00_13309);
					}
					((BgL_objectz00_bglt) BgL_tmp1600z00_9730);
					{	/* Cfa/cinfo.sch 1018 */
						long BgL_arg2017z00_9734;

						BgL_arg2017z00_9734 =
							BGL_CLASS_NUM(BGl_kwotezf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1600z00_9730), BgL_arg2017z00_9734);
					}
					BgL_new1602z00_9729 = ((BgL_kwotez00_bglt) BgL_tmp1600z00_9730);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1602z00_9729)))->BgL_locz00) =
					((obj_t) BgL_loc1671z00_586), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1602z00_9729)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1672z00_587), BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt)
									BgL_new1602z00_9729)))->BgL_valuez00) =
					((obj_t) BgL_value1673z00_588), BUNSPEC);
				{
					BgL_kwotezf2cinfozf2_bglt BgL_auxz00_13323;

					{
						obj_t BgL_auxz00_13324;

						{	/* Cfa/cinfo.sch 1018 */
							BgL_objectz00_bglt BgL_tmpz00_13325;

							BgL_tmpz00_13325 = ((BgL_objectz00_bglt) BgL_new1602z00_9729);
							BgL_auxz00_13324 = BGL_OBJECT_WIDENING(BgL_tmpz00_13325);
						}
						BgL_auxz00_13323 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_13324);
					}
					((((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_13323))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1674z00_589), BUNSPEC);
				}
				return BgL_new1602z00_9729;
			}
		}

	}



/* &make-kwote/Cinfo */
	BgL_kwotez00_bglt BGl_z62makezd2kwotezf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_7900, obj_t BgL_loc1671z00_7901, obj_t BgL_type1672z00_7902,
		obj_t BgL_value1673z00_7903, obj_t BgL_approx1674z00_7904)
	{
		{	/* Cfa/cinfo.sch 1018 */
			return
				BGl_makezd2kwotezf2Cinfoz20zzcfa_infoz00(BgL_loc1671z00_7901,
				((BgL_typez00_bglt) BgL_type1672z00_7902), BgL_value1673z00_7903,
				((BgL_approxz00_bglt) BgL_approx1674z00_7904));
		}

	}



/* kwote/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_kwotezf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_590)
	{
		{	/* Cfa/cinfo.sch 1019 */
			{	/* Cfa/cinfo.sch 1019 */
				obj_t BgL_classz00_9735;

				BgL_classz00_9735 = BGl_kwotezf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_590))
					{	/* Cfa/cinfo.sch 1019 */
						BgL_objectz00_bglt BgL_arg1825z00_9736;

						BgL_arg1825z00_9736 = (BgL_objectz00_bglt) (BgL_objz00_590);
						{	/* Cfa/cinfo.sch 1019 */
							bool_t BgL_arg1822z00_9737;
							bool_t BgL_arg1823z00_9738;

							{	/* Cfa/cinfo.sch 1019 */
								long BgL_idxz00_9739;

								BgL_idxz00_9739 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9736);
								BgL_arg1822z00_9737 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9739 + ((long) 3))) == BgL_classz00_9735);
							}
							{	/* Cfa/cinfo.sch 1019 */
								bool_t BgL_res3063z00_9742;

								{	/* Cfa/cinfo.sch 1019 */
									obj_t BgL_oclassz00_9743;

									{	/* Cfa/cinfo.sch 1019 */
										long BgL_arg1833z00_9744;

										{	/* Cfa/cinfo.sch 1019 */
											long BgL_arg1834z00_9745;

											BgL_arg1834z00_9745 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9736);
											BgL_arg1833z00_9744 = (BgL_arg1834z00_9745 - OBJECT_TYPE);
										}
										BgL_oclassz00_9743 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9744);
									}
									{	/* Cfa/cinfo.sch 1019 */
										bool_t BgL__ortest_1110z00_9746;

										BgL__ortest_1110z00_9746 =
											(BgL_classz00_9735 == BgL_oclassz00_9743);
										if (BgL__ortest_1110z00_9746)
											{	/* Cfa/cinfo.sch 1019 */
												BgL_res3063z00_9742 = BgL__ortest_1110z00_9746;
											}
										else
											{	/* Cfa/cinfo.sch 1019 */
												long BgL_odepthz00_9747;

												BgL_odepthz00_9747 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9743);
												if ((((long) 3) < BgL_odepthz00_9747))
													{	/* Cfa/cinfo.sch 1019 */
														obj_t BgL_arg1821z00_9748;

														BgL_arg1821z00_9748 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9743,
															((long) 3));
														BgL_res3063z00_9742 =
															(BgL_arg1821z00_9748 == BgL_classz00_9735);
													}
												else
													{	/* Cfa/cinfo.sch 1019 */
														BgL_res3063z00_9742 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9738 = BgL_res3063z00_9742;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9737, BgL_arg1823z00_9738);
						}
					}
				else
					{	/* Cfa/cinfo.sch 1019 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &kwote/Cinfo? */
	obj_t BGl_z62kwotezf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_7905,
		obj_t BgL_objz00_7906)
	{
		{	/* Cfa/cinfo.sch 1019 */
			return BBOOL(BGl_kwotezf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_7906));
		}

	}



/* kwote/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt BGl_kwotezf2Cinfozd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 1020 */
			{	/* Cfa/cinfo.sch 1020 */
				obj_t BgL_classz00_5222;

				BgL_classz00_5222 = BGl_kwotezf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1020 */
					obj_t BgL__ortest_1112z00_5223;

					BgL__ortest_1112z00_5223 = BGL_CLASS_NIL(BgL_classz00_5222);
					if (CBOOL(BgL__ortest_1112z00_5223))
						{	/* Cfa/cinfo.sch 1020 */
							return ((BgL_kwotez00_bglt) BgL__ortest_1112z00_5223);
						}
					else
						{	/* Cfa/cinfo.sch 1020 */
							return
								((BgL_kwotez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5222));
						}
				}
			}
		}

	}



/* &kwote/Cinfo-nil */
	BgL_kwotez00_bglt BGl_z62kwotezf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7907)
	{
		{	/* Cfa/cinfo.sch 1020 */
			return BGl_kwotezf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* kwote/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_kwotezf2Cinfozd2approxz20zzcfa_infoz00(BgL_kwotez00_bglt BgL_oz00_591)
	{
		{	/* Cfa/cinfo.sch 1021 */
			{
				BgL_kwotezf2cinfozf2_bglt BgL_auxz00_13360;

				{
					obj_t BgL_auxz00_13361;

					{	/* Cfa/cinfo.sch 1021 */
						BgL_objectz00_bglt BgL_tmpz00_13362;

						BgL_tmpz00_13362 = ((BgL_objectz00_bglt) BgL_oz00_591);
						BgL_auxz00_13361 = BGL_OBJECT_WIDENING(BgL_tmpz00_13362);
					}
					BgL_auxz00_13360 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_13361);
				}
				return
					(((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_13360))->
					BgL_approxz00);
			}
		}

	}



/* &kwote/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62kwotezf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_7908, obj_t BgL_oz00_7909)
	{
		{	/* Cfa/cinfo.sch 1021 */
			return
				BGl_kwotezf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_7909));
		}

	}



/* kwote/Cinfo-value */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezf2Cinfozd2valuez20zzcfa_infoz00(BgL_kwotez00_bglt BgL_oz00_594)
	{
		{	/* Cfa/cinfo.sch 1023 */
			return
				(((BgL_kwotez00_bglt) COBJECT(
						((BgL_kwotez00_bglt) BgL_oz00_594)))->BgL_valuez00);
		}

	}



/* &kwote/Cinfo-value */
	obj_t BGl_z62kwotezf2Cinfozd2valuez42zzcfa_infoz00(obj_t BgL_envz00_7910,
		obj_t BgL_oz00_7911)
	{
		{	/* Cfa/cinfo.sch 1023 */
			return
				BGl_kwotezf2Cinfozd2valuez20zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_7911));
		}

	}



/* kwote/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_kwotezf2Cinfozd2typez20zzcfa_infoz00(BgL_kwotez00_bglt BgL_oz00_597)
	{
		{	/* Cfa/cinfo.sch 1025 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_597)))->BgL_typez00);
		}

	}



/* &kwote/Cinfo-type */
	BgL_typez00_bglt BGl_z62kwotezf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_7912, obj_t BgL_oz00_7913)
	{
		{	/* Cfa/cinfo.sch 1025 */
			return
				BGl_kwotezf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_7913));
		}

	}



/* kwote/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_kwotez00_bglt
		BgL_oz00_598, BgL_typez00_bglt BgL_vz00_599)
	{
		{	/* Cfa/cinfo.sch 1026 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_598)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_599), BUNSPEC);
		}

	}



/* &kwote/Cinfo-type-set! */
	obj_t BGl_z62kwotezf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7914, obj_t BgL_oz00_7915, obj_t BgL_vz00_7916)
	{
		{	/* Cfa/cinfo.sch 1026 */
			return
				BGl_kwotezf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_7915),
				((BgL_typez00_bglt) BgL_vz00_7916));
		}

	}



/* kwote/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezf2Cinfozd2locz20zzcfa_infoz00(BgL_kwotez00_bglt BgL_oz00_600)
	{
		{	/* Cfa/cinfo.sch 1027 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_600)))->BgL_locz00);
		}

	}



/* &kwote/Cinfo-loc */
	obj_t BGl_z62kwotezf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_7917,
		obj_t BgL_oz00_7918)
	{
		{	/* Cfa/cinfo.sch 1027 */
			return
				BGl_kwotezf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_7918));
		}

	}



/* make-app-ly/Cinfo */
	BGL_EXPORTED_DEF BgL_appzd2lyzd2_bglt
		BGl_makezd2appzd2lyzf2Cinfozf2zzcfa_infoz00(obj_t BgL_loc1659z00_603,
		BgL_typez00_bglt BgL_type1660z00_604, BgL_nodez00_bglt BgL_fun1661z00_605,
		BgL_nodez00_bglt BgL_arg1668z00_606,
		BgL_approxz00_bglt BgL_approx1669z00_607)
	{
		{	/* Cfa/cinfo.sch 1031 */
			{	/* Cfa/cinfo.sch 1031 */
				BgL_appzd2lyzd2_bglt BgL_new1606z00_9749;

				{	/* Cfa/cinfo.sch 1031 */
					BgL_appzd2lyzd2_bglt BgL_tmp1604z00_9750;
					BgL_appzd2lyzf2cinfoz20_bglt BgL_wide1605z00_9751;

					{
						BgL_appzd2lyzd2_bglt BgL_auxz00_13386;

						{	/* Cfa/cinfo.sch 1031 */
							BgL_appzd2lyzd2_bglt BgL_new1603z00_9752;

							BgL_new1603z00_9752 =
								((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appzd2lyzd2_bgl))));
							{	/* Cfa/cinfo.sch 1031 */
								long BgL_arg2020z00_9753;

								BgL_arg2020z00_9753 =
									BGL_CLASS_NUM(BGl_appzd2lyzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1603z00_9752),
									BgL_arg2020z00_9753);
							}
							{	/* Cfa/cinfo.sch 1031 */
								BgL_objectz00_bglt BgL_tmpz00_13391;

								BgL_tmpz00_13391 = ((BgL_objectz00_bglt) BgL_new1603z00_9752);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13391, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1603z00_9752);
							BgL_auxz00_13386 = BgL_new1603z00_9752;
						}
						BgL_tmp1604z00_9750 = ((BgL_appzd2lyzd2_bglt) BgL_auxz00_13386);
					}
					BgL_wide1605z00_9751 =
						((BgL_appzd2lyzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.sch 1031 */
						obj_t BgL_auxz00_13399;
						BgL_objectz00_bglt BgL_tmpz00_13397;

						BgL_auxz00_13399 = ((obj_t) BgL_wide1605z00_9751);
						BgL_tmpz00_13397 = ((BgL_objectz00_bglt) BgL_tmp1604z00_9750);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13397, BgL_auxz00_13399);
					}
					((BgL_objectz00_bglt) BgL_tmp1604z00_9750);
					{	/* Cfa/cinfo.sch 1031 */
						long BgL_arg2019z00_9754;

						BgL_arg2019z00_9754 =
							BGL_CLASS_NUM(BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1604z00_9750), BgL_arg2019z00_9754);
					}
					BgL_new1606z00_9749 = ((BgL_appzd2lyzd2_bglt) BgL_tmp1604z00_9750);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1606z00_9749)))->BgL_locz00) =
					((obj_t) BgL_loc1659z00_603), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1606z00_9749)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1660z00_604), BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
									BgL_new1606z00_9749)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_fun1661z00_605), BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
									BgL_new1606z00_9749)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_arg1668z00_606), BUNSPEC);
				{
					BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_13415;

					{
						obj_t BgL_auxz00_13416;

						{	/* Cfa/cinfo.sch 1031 */
							BgL_objectz00_bglt BgL_tmpz00_13417;

							BgL_tmpz00_13417 = ((BgL_objectz00_bglt) BgL_new1606z00_9749);
							BgL_auxz00_13416 = BGL_OBJECT_WIDENING(BgL_tmpz00_13417);
						}
						BgL_auxz00_13415 =
							((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_13416);
					}
					((((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_13415))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1669z00_607), BUNSPEC);
				}
				return BgL_new1606z00_9749;
			}
		}

	}



/* &make-app-ly/Cinfo */
	BgL_appzd2lyzd2_bglt BGl_z62makezd2appzd2lyzf2Cinfoz90zzcfa_infoz00(obj_t
		BgL_envz00_7919, obj_t BgL_loc1659z00_7920, obj_t BgL_type1660z00_7921,
		obj_t BgL_fun1661z00_7922, obj_t BgL_arg1668z00_7923,
		obj_t BgL_approx1669z00_7924)
	{
		{	/* Cfa/cinfo.sch 1031 */
			return
				BGl_makezd2appzd2lyzf2Cinfozf2zzcfa_infoz00(BgL_loc1659z00_7920,
				((BgL_typez00_bglt) BgL_type1660z00_7921),
				((BgL_nodez00_bglt) BgL_fun1661z00_7922),
				((BgL_nodez00_bglt) BgL_arg1668z00_7923),
				((BgL_approxz00_bglt) BgL_approx1669z00_7924));
		}

	}



/* app-ly/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_appzd2lyzf2Cinfozf3zd3zzcfa_infoz00(obj_t
		BgL_objz00_608)
	{
		{	/* Cfa/cinfo.sch 1032 */
			{	/* Cfa/cinfo.sch 1032 */
				obj_t BgL_classz00_9755;

				BgL_classz00_9755 = BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_608))
					{	/* Cfa/cinfo.sch 1032 */
						BgL_objectz00_bglt BgL_arg1825z00_9756;

						BgL_arg1825z00_9756 = (BgL_objectz00_bglt) (BgL_objz00_608);
						{	/* Cfa/cinfo.sch 1032 */
							bool_t BgL_arg1822z00_9757;
							bool_t BgL_arg1823z00_9758;

							{	/* Cfa/cinfo.sch 1032 */
								long BgL_idxz00_9759;

								BgL_idxz00_9759 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9756);
								BgL_arg1822z00_9757 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9759 + ((long) 3))) == BgL_classz00_9755);
							}
							{	/* Cfa/cinfo.sch 1032 */
								bool_t BgL_res3064z00_9762;

								{	/* Cfa/cinfo.sch 1032 */
									obj_t BgL_oclassz00_9763;

									{	/* Cfa/cinfo.sch 1032 */
										long BgL_arg1833z00_9764;

										{	/* Cfa/cinfo.sch 1032 */
											long BgL_arg1834z00_9765;

											BgL_arg1834z00_9765 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9756);
											BgL_arg1833z00_9764 = (BgL_arg1834z00_9765 - OBJECT_TYPE);
										}
										BgL_oclassz00_9763 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9764);
									}
									{	/* Cfa/cinfo.sch 1032 */
										bool_t BgL__ortest_1110z00_9766;

										BgL__ortest_1110z00_9766 =
											(BgL_classz00_9755 == BgL_oclassz00_9763);
										if (BgL__ortest_1110z00_9766)
											{	/* Cfa/cinfo.sch 1032 */
												BgL_res3064z00_9762 = BgL__ortest_1110z00_9766;
											}
										else
											{	/* Cfa/cinfo.sch 1032 */
												long BgL_odepthz00_9767;

												BgL_odepthz00_9767 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9763);
												if ((((long) 3) < BgL_odepthz00_9767))
													{	/* Cfa/cinfo.sch 1032 */
														obj_t BgL_arg1821z00_9768;

														BgL_arg1821z00_9768 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9763,
															((long) 3));
														BgL_res3064z00_9762 =
															(BgL_arg1821z00_9768 == BgL_classz00_9755);
													}
												else
													{	/* Cfa/cinfo.sch 1032 */
														BgL_res3064z00_9762 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9758 = BgL_res3064z00_9762;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9757, BgL_arg1823z00_9758);
						}
					}
				else
					{	/* Cfa/cinfo.sch 1032 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &app-ly/Cinfo? */
	obj_t BGl_z62appzd2lyzf2Cinfozf3zb1zzcfa_infoz00(obj_t BgL_envz00_7925,
		obj_t BgL_objz00_7926)
	{
		{	/* Cfa/cinfo.sch 1032 */
			return BBOOL(BGl_appzd2lyzf2Cinfozf3zd3zzcfa_infoz00(BgL_objz00_7926));
		}

	}



/* app-ly/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_appzd2lyzd2_bglt
		BGl_appzd2lyzf2Cinfozd2nilzf2zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 1033 */
			{	/* Cfa/cinfo.sch 1033 */
				obj_t BgL_classz00_5272;

				BgL_classz00_5272 = BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1033 */
					obj_t BgL__ortest_1112z00_5273;

					BgL__ortest_1112z00_5273 = BGL_CLASS_NIL(BgL_classz00_5272);
					if (CBOOL(BgL__ortest_1112z00_5273))
						{	/* Cfa/cinfo.sch 1033 */
							return ((BgL_appzd2lyzd2_bglt) BgL__ortest_1112z00_5273);
						}
					else
						{	/* Cfa/cinfo.sch 1033 */
							return
								((BgL_appzd2lyzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5272));
						}
				}
			}
		}

	}



/* &app-ly/Cinfo-nil */
	BgL_appzd2lyzd2_bglt BGl_z62appzd2lyzf2Cinfozd2nilz90zzcfa_infoz00(obj_t
		BgL_envz00_7927)
	{
		{	/* Cfa/cinfo.sch 1033 */
			return BGl_appzd2lyzf2Cinfozd2nilzf2zzcfa_infoz00();
		}

	}



/* app-ly/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_appzd2lyzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_609)
	{
		{	/* Cfa/cinfo.sch 1034 */
			{
				BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_13454;

				{
					obj_t BgL_auxz00_13455;

					{	/* Cfa/cinfo.sch 1034 */
						BgL_objectz00_bglt BgL_tmpz00_13456;

						BgL_tmpz00_13456 = ((BgL_objectz00_bglt) BgL_oz00_609);
						BgL_auxz00_13455 = BGL_OBJECT_WIDENING(BgL_tmpz00_13456);
					}
					BgL_auxz00_13454 = ((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_13455);
				}
				return
					(((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_13454))->
					BgL_approxz00);
			}
		}

	}



/* &app-ly/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62appzd2lyzf2Cinfozd2approxz90zzcfa_infoz00(obj_t
		BgL_envz00_7928, obj_t BgL_oz00_7929)
	{
		{	/* Cfa/cinfo.sch 1034 */
			return
				BGl_appzd2lyzf2Cinfozd2approxzf2zzcfa_infoz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_7929));
		}

	}



/* app-ly/Cinfo-arg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_appzd2lyzf2Cinfozd2argzf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_612)
	{
		{	/* Cfa/cinfo.sch 1036 */
			return
				(((BgL_appzd2lyzd2_bglt) COBJECT(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_612)))->BgL_argz00);
		}

	}



/* &app-ly/Cinfo-arg */
	BgL_nodez00_bglt BGl_z62appzd2lyzf2Cinfozd2argz90zzcfa_infoz00(obj_t
		BgL_envz00_7930, obj_t BgL_oz00_7931)
	{
		{	/* Cfa/cinfo.sch 1036 */
			return
				BGl_appzd2lyzf2Cinfozd2argzf2zzcfa_infoz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_7931));
		}

	}



/* app-ly/Cinfo-arg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzf2Cinfozd2argzd2setz12z32zzcfa_infoz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_613, BgL_nodez00_bglt BgL_vz00_614)
	{
		{	/* Cfa/cinfo.sch 1037 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_oz00_613)))->BgL_argz00) =
				((BgL_nodez00_bglt) BgL_vz00_614), BUNSPEC);
		}

	}



/* &app-ly/Cinfo-arg-set! */
	obj_t BGl_z62appzd2lyzf2Cinfozd2argzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7932, obj_t BgL_oz00_7933, obj_t BgL_vz00_7934)
	{
		{	/* Cfa/cinfo.sch 1037 */
			return
				BGl_appzd2lyzf2Cinfozd2argzd2setz12z32zzcfa_infoz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_7933),
				((BgL_nodez00_bglt) BgL_vz00_7934));
		}

	}



/* app-ly/Cinfo-fun */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_appzd2lyzf2Cinfozd2funzf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_615)
	{
		{	/* Cfa/cinfo.sch 1038 */
			return
				(((BgL_appzd2lyzd2_bglt) COBJECT(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_615)))->BgL_funz00);
		}

	}



/* &app-ly/Cinfo-fun */
	BgL_nodez00_bglt BGl_z62appzd2lyzf2Cinfozd2funz90zzcfa_infoz00(obj_t
		BgL_envz00_7935, obj_t BgL_oz00_7936)
	{
		{	/* Cfa/cinfo.sch 1038 */
			return
				BGl_appzd2lyzf2Cinfozd2funzf2zzcfa_infoz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_7936));
		}

	}



/* app-ly/Cinfo-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzf2Cinfozd2funzd2setz12z32zzcfa_infoz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_616, BgL_nodez00_bglt BgL_vz00_617)
	{
		{	/* Cfa/cinfo.sch 1039 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_oz00_616)))->BgL_funz00) =
				((BgL_nodez00_bglt) BgL_vz00_617), BUNSPEC);
		}

	}



/* &app-ly/Cinfo-fun-set! */
	obj_t BGl_z62appzd2lyzf2Cinfozd2funzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7937, obj_t BgL_oz00_7938, obj_t BgL_vz00_7939)
	{
		{	/* Cfa/cinfo.sch 1039 */
			return
				BGl_appzd2lyzf2Cinfozd2funzd2setz12z32zzcfa_infoz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_7938),
				((BgL_nodez00_bglt) BgL_vz00_7939));
		}

	}



/* app-ly/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_appzd2lyzf2Cinfozd2typezf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_618)
	{
		{	/* Cfa/cinfo.sch 1040 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_618)))->BgL_typez00);
		}

	}



/* &app-ly/Cinfo-type */
	BgL_typez00_bglt BGl_z62appzd2lyzf2Cinfozd2typez90zzcfa_infoz00(obj_t
		BgL_envz00_7940, obj_t BgL_oz00_7941)
	{
		{	/* Cfa/cinfo.sch 1040 */
			return
				BGl_appzd2lyzf2Cinfozd2typezf2zzcfa_infoz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_7941));
		}

	}



/* app-ly/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzf2Cinfozd2typezd2setz12z32zzcfa_infoz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_619, BgL_typez00_bglt BgL_vz00_620)
	{
		{	/* Cfa/cinfo.sch 1041 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_619)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_620), BUNSPEC);
		}

	}



/* &app-ly/Cinfo-type-set! */
	obj_t BGl_z62appzd2lyzf2Cinfozd2typezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7942, obj_t BgL_oz00_7943, obj_t BgL_vz00_7944)
	{
		{	/* Cfa/cinfo.sch 1041 */
			return
				BGl_appzd2lyzf2Cinfozd2typezd2setz12z32zzcfa_infoz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_7943),
				((BgL_typez00_bglt) BgL_vz00_7944));
		}

	}



/* app-ly/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzf2Cinfozd2loczf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_621)
	{
		{	/* Cfa/cinfo.sch 1042 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_621)))->BgL_locz00);
		}

	}



/* &app-ly/Cinfo-loc */
	obj_t BGl_z62appzd2lyzf2Cinfozd2locz90zzcfa_infoz00(obj_t BgL_envz00_7945,
		obj_t BgL_oz00_7946)
	{
		{	/* Cfa/cinfo.sch 1042 */
			return
				BGl_appzd2lyzf2Cinfozd2loczf2zzcfa_infoz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_7946));
		}

	}



/* make-funcall/Cinfo */
	BGL_EXPORTED_DEF BgL_funcallz00_bglt
		BGl_makezd2funcallzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1647z00_624,
		BgL_typez00_bglt BgL_type1648z00_625, BgL_nodez00_bglt BgL_fun1649z00_626,
		obj_t BgL_args1650z00_627, obj_t BgL_strength1651z00_628,
		obj_t BgL_functions1652z00_629, BgL_approxz00_bglt BgL_approx1653z00_630,
		BgL_approxz00_bglt BgL_vazd2approx1654zd2_631,
		bool_t BgL_arityzd2errorzd2noticedzf31655zf3_632,
		bool_t BgL_typezd2errorzd2noticedzf31656zf3_633)
	{
		{	/* Cfa/cinfo.sch 1046 */
			{	/* Cfa/cinfo.sch 1046 */
				BgL_funcallz00_bglt BgL_new1610z00_9769;

				{	/* Cfa/cinfo.sch 1046 */
					BgL_funcallz00_bglt BgL_tmp1608z00_9770;
					BgL_funcallzf2cinfozf2_bglt BgL_wide1609z00_9771;

					{
						BgL_funcallz00_bglt BgL_auxz00_13494;

						{	/* Cfa/cinfo.sch 1046 */
							BgL_funcallz00_bglt BgL_new1607z00_9772;

							BgL_new1607z00_9772 =
								((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_funcallz00_bgl))));
							{	/* Cfa/cinfo.sch 1046 */
								long BgL_arg2023z00_9773;

								BgL_arg2023z00_9773 =
									BGL_CLASS_NUM(BGl_funcallz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1607z00_9772),
									BgL_arg2023z00_9773);
							}
							{	/* Cfa/cinfo.sch 1046 */
								BgL_objectz00_bglt BgL_tmpz00_13499;

								BgL_tmpz00_13499 = ((BgL_objectz00_bglt) BgL_new1607z00_9772);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13499, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1607z00_9772);
							BgL_auxz00_13494 = BgL_new1607z00_9772;
						}
						BgL_tmp1608z00_9770 = ((BgL_funcallz00_bglt) BgL_auxz00_13494);
					}
					BgL_wide1609z00_9771 =
						((BgL_funcallzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_funcallzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1046 */
						obj_t BgL_auxz00_13507;
						BgL_objectz00_bglt BgL_tmpz00_13505;

						BgL_auxz00_13507 = ((obj_t) BgL_wide1609z00_9771);
						BgL_tmpz00_13505 = ((BgL_objectz00_bglt) BgL_tmp1608z00_9770);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13505, BgL_auxz00_13507);
					}
					((BgL_objectz00_bglt) BgL_tmp1608z00_9770);
					{	/* Cfa/cinfo.sch 1046 */
						long BgL_arg2022z00_9774;

						BgL_arg2022z00_9774 =
							BGL_CLASS_NUM(BGl_funcallzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1608z00_9770), BgL_arg2022z00_9774);
					}
					BgL_new1610z00_9769 = ((BgL_funcallz00_bglt) BgL_tmp1608z00_9770);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1610z00_9769)))->BgL_locz00) =
					((obj_t) BgL_loc1647z00_624), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1610z00_9769)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1648z00_625), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1610z00_9769)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_fun1649z00_626), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1610z00_9769)))->BgL_argsz00) =
					((obj_t) BgL_args1650z00_627), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1610z00_9769)))->BgL_strengthz00) =
					((obj_t) BgL_strength1651z00_628), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1610z00_9769)))->BgL_functionsz00) =
					((obj_t) BgL_functions1652z00_629), BUNSPEC);
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13527;

					{
						obj_t BgL_auxz00_13528;

						{	/* Cfa/cinfo.sch 1046 */
							BgL_objectz00_bglt BgL_tmpz00_13529;

							BgL_tmpz00_13529 = ((BgL_objectz00_bglt) BgL_new1610z00_9769);
							BgL_auxz00_13528 = BGL_OBJECT_WIDENING(BgL_tmpz00_13529);
						}
						BgL_auxz00_13527 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13528);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13527))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1653z00_630), BUNSPEC);
				}
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13534;

					{
						obj_t BgL_auxz00_13535;

						{	/* Cfa/cinfo.sch 1046 */
							BgL_objectz00_bglt BgL_tmpz00_13536;

							BgL_tmpz00_13536 = ((BgL_objectz00_bglt) BgL_new1610z00_9769);
							BgL_auxz00_13535 = BGL_OBJECT_WIDENING(BgL_tmpz00_13536);
						}
						BgL_auxz00_13534 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13535);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13534))->
							BgL_vazd2approxzd2) =
						((BgL_approxz00_bglt) BgL_vazd2approx1654zd2_631), BUNSPEC);
				}
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13541;

					{
						obj_t BgL_auxz00_13542;

						{	/* Cfa/cinfo.sch 1046 */
							BgL_objectz00_bglt BgL_tmpz00_13543;

							BgL_tmpz00_13543 = ((BgL_objectz00_bglt) BgL_new1610z00_9769);
							BgL_auxz00_13542 = BGL_OBJECT_WIDENING(BgL_tmpz00_13543);
						}
						BgL_auxz00_13541 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13542);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13541))->
							BgL_arityzd2errorzd2noticedzf3zf3) =
						((bool_t) BgL_arityzd2errorzd2noticedzf31655zf3_632), BUNSPEC);
				}
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13548;

					{
						obj_t BgL_auxz00_13549;

						{	/* Cfa/cinfo.sch 1046 */
							BgL_objectz00_bglt BgL_tmpz00_13550;

							BgL_tmpz00_13550 = ((BgL_objectz00_bglt) BgL_new1610z00_9769);
							BgL_auxz00_13549 = BGL_OBJECT_WIDENING(BgL_tmpz00_13550);
						}
						BgL_auxz00_13548 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13549);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13548))->
							BgL_typezd2errorzd2noticedzf3zf3) =
						((bool_t) BgL_typezd2errorzd2noticedzf31656zf3_633), BUNSPEC);
				}
				return BgL_new1610z00_9769;
			}
		}

	}



/* &make-funcall/Cinfo */
	BgL_funcallz00_bglt BGl_z62makezd2funcallzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_7947, obj_t BgL_loc1647z00_7948, obj_t BgL_type1648z00_7949,
		obj_t BgL_fun1649z00_7950, obj_t BgL_args1650z00_7951,
		obj_t BgL_strength1651z00_7952, obj_t BgL_functions1652z00_7953,
		obj_t BgL_approx1653z00_7954, obj_t BgL_vazd2approx1654zd2_7955,
		obj_t BgL_arityzd2errorzd2noticedzf31655zf3_7956,
		obj_t BgL_typezd2errorzd2noticedzf31656zf3_7957)
	{
		{	/* Cfa/cinfo.sch 1046 */
			return
				BGl_makezd2funcallzf2Cinfoz20zzcfa_infoz00(BgL_loc1647z00_7948,
				((BgL_typez00_bglt) BgL_type1648z00_7949),
				((BgL_nodez00_bglt) BgL_fun1649z00_7950), BgL_args1650z00_7951,
				BgL_strength1651z00_7952, BgL_functions1652z00_7953,
				((BgL_approxz00_bglt) BgL_approx1653z00_7954),
				((BgL_approxz00_bglt) BgL_vazd2approx1654zd2_7955),
				CBOOL(BgL_arityzd2errorzd2noticedzf31655zf3_7956),
				CBOOL(BgL_typezd2errorzd2noticedzf31656zf3_7957));
		}

	}



/* funcall/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_funcallzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_634)
	{
		{	/* Cfa/cinfo.sch 1047 */
			{	/* Cfa/cinfo.sch 1047 */
				obj_t BgL_classz00_9775;

				BgL_classz00_9775 = BGl_funcallzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_634))
					{	/* Cfa/cinfo.sch 1047 */
						BgL_objectz00_bglt BgL_arg1825z00_9776;

						BgL_arg1825z00_9776 = (BgL_objectz00_bglt) (BgL_objz00_634);
						{	/* Cfa/cinfo.sch 1047 */
							bool_t BgL_arg1822z00_9777;
							bool_t BgL_arg1823z00_9778;

							{	/* Cfa/cinfo.sch 1047 */
								long BgL_idxz00_9779;

								BgL_idxz00_9779 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9776);
								BgL_arg1822z00_9777 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9779 + ((long) 3))) == BgL_classz00_9775);
							}
							{	/* Cfa/cinfo.sch 1047 */
								bool_t BgL_res3065z00_9782;

								{	/* Cfa/cinfo.sch 1047 */
									obj_t BgL_oclassz00_9783;

									{	/* Cfa/cinfo.sch 1047 */
										long BgL_arg1833z00_9784;

										{	/* Cfa/cinfo.sch 1047 */
											long BgL_arg1834z00_9785;

											BgL_arg1834z00_9785 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9776);
											BgL_arg1833z00_9784 = (BgL_arg1834z00_9785 - OBJECT_TYPE);
										}
										BgL_oclassz00_9783 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9784);
									}
									{	/* Cfa/cinfo.sch 1047 */
										bool_t BgL__ortest_1110z00_9786;

										BgL__ortest_1110z00_9786 =
											(BgL_classz00_9775 == BgL_oclassz00_9783);
										if (BgL__ortest_1110z00_9786)
											{	/* Cfa/cinfo.sch 1047 */
												BgL_res3065z00_9782 = BgL__ortest_1110z00_9786;
											}
										else
											{	/* Cfa/cinfo.sch 1047 */
												long BgL_odepthz00_9787;

												BgL_odepthz00_9787 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9783);
												if ((((long) 3) < BgL_odepthz00_9787))
													{	/* Cfa/cinfo.sch 1047 */
														obj_t BgL_arg1821z00_9788;

														BgL_arg1821z00_9788 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9783,
															((long) 3));
														BgL_res3065z00_9782 =
															(BgL_arg1821z00_9788 == BgL_classz00_9775);
													}
												else
													{	/* Cfa/cinfo.sch 1047 */
														BgL_res3065z00_9782 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9778 = BgL_res3065z00_9782;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9777, BgL_arg1823z00_9778);
						}
					}
				else
					{	/* Cfa/cinfo.sch 1047 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &funcall/Cinfo? */
	obj_t BGl_z62funcallzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_7958,
		obj_t BgL_objz00_7959)
	{
		{	/* Cfa/cinfo.sch 1047 */
			return BBOOL(BGl_funcallzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_7959));
		}

	}



/* funcall/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_funcallz00_bglt
		BGl_funcallzf2Cinfozd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 1048 */
			{	/* Cfa/cinfo.sch 1048 */
				obj_t BgL_classz00_5325;

				BgL_classz00_5325 = BGl_funcallzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1048 */
					obj_t BgL__ortest_1112z00_5326;

					BgL__ortest_1112z00_5326 = BGL_CLASS_NIL(BgL_classz00_5325);
					if (CBOOL(BgL__ortest_1112z00_5326))
						{	/* Cfa/cinfo.sch 1048 */
							return ((BgL_funcallz00_bglt) BgL__ortest_1112z00_5326);
						}
					else
						{	/* Cfa/cinfo.sch 1048 */
							return
								((BgL_funcallz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5325));
						}
				}
			}
		}

	}



/* &funcall/Cinfo-nil */
	BgL_funcallz00_bglt BGl_z62funcallzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7960)
	{
		{	/* Cfa/cinfo.sch 1048 */
			return BGl_funcallzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* funcall/Cinfo-type-error-noticed? */
	BGL_EXPORTED_DEF bool_t
		BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd3zzcfa_infoz00
		(BgL_funcallz00_bglt BgL_oz00_635)
	{
		{	/* Cfa/cinfo.sch 1049 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13589;

				{
					obj_t BgL_auxz00_13590;

					{	/* Cfa/cinfo.sch 1049 */
						BgL_objectz00_bglt BgL_tmpz00_13591;

						BgL_tmpz00_13591 = ((BgL_objectz00_bglt) BgL_oz00_635);
						BgL_auxz00_13590 = BGL_OBJECT_WIDENING(BgL_tmpz00_13591);
					}
					BgL_auxz00_13589 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13590);
				}
				return
					(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13589))->
					BgL_typezd2errorzd2noticedzf3zf3);
			}
		}

	}



/* &funcall/Cinfo-type-error-noticed? */
	obj_t BGl_z62funcallzf2Cinfozd2typezd2errorzd2noticedzf3zb1zzcfa_infoz00(obj_t
		BgL_envz00_7961, obj_t BgL_oz00_7962)
	{
		{	/* Cfa/cinfo.sch 1049 */
			return
				BBOOL(BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd3zzcfa_infoz00(
					((BgL_funcallz00_bglt) BgL_oz00_7962)));
		}

	}



/* funcall/Cinfo-type-error-noticed?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12z13zzcfa_infoz00
		(BgL_funcallz00_bglt BgL_oz00_636, bool_t BgL_vz00_637)
	{
		{	/* Cfa/cinfo.sch 1050 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13599;

				{
					obj_t BgL_auxz00_13600;

					{	/* Cfa/cinfo.sch 1050 */
						BgL_objectz00_bglt BgL_tmpz00_13601;

						BgL_tmpz00_13601 = ((BgL_objectz00_bglt) BgL_oz00_636);
						BgL_auxz00_13600 = BGL_OBJECT_WIDENING(BgL_tmpz00_13601);
					}
					BgL_auxz00_13599 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13600);
				}
				return
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13599))->
						BgL_typezd2errorzd2noticedzf3zf3) =
					((bool_t) BgL_vz00_637), BUNSPEC);
			}
		}

	}



/* &funcall/Cinfo-type-error-noticed?-set! */
	obj_t
		BGl_z62funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12z71zzcfa_infoz00
		(obj_t BgL_envz00_7963, obj_t BgL_oz00_7964, obj_t BgL_vz00_7965)
	{
		{	/* Cfa/cinfo.sch 1050 */
			return
				BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12z13zzcfa_infoz00
				(((BgL_funcallz00_bglt) BgL_oz00_7964), CBOOL(BgL_vz00_7965));
		}

	}



/* funcall/Cinfo-arity-error-noticed? */
	BGL_EXPORTED_DEF bool_t
		BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd3zzcfa_infoz00
		(BgL_funcallz00_bglt BgL_oz00_638)
	{
		{	/* Cfa/cinfo.sch 1051 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13609;

				{
					obj_t BgL_auxz00_13610;

					{	/* Cfa/cinfo.sch 1051 */
						BgL_objectz00_bglt BgL_tmpz00_13611;

						BgL_tmpz00_13611 = ((BgL_objectz00_bglt) BgL_oz00_638);
						BgL_auxz00_13610 = BGL_OBJECT_WIDENING(BgL_tmpz00_13611);
					}
					BgL_auxz00_13609 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13610);
				}
				return
					(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13609))->
					BgL_arityzd2errorzd2noticedzf3zf3);
			}
		}

	}



/* &funcall/Cinfo-arity-error-noticed? */
	obj_t
		BGl_z62funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zb1zzcfa_infoz00(obj_t
		BgL_envz00_7966, obj_t BgL_oz00_7967)
	{
		{	/* Cfa/cinfo.sch 1051 */
			return
				BBOOL(BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd3zzcfa_infoz00(
					((BgL_funcallz00_bglt) BgL_oz00_7967)));
		}

	}



/* funcall/Cinfo-arity-error-noticed?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12z13zzcfa_infoz00
		(BgL_funcallz00_bglt BgL_oz00_639, bool_t BgL_vz00_640)
	{
		{	/* Cfa/cinfo.sch 1052 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13619;

				{
					obj_t BgL_auxz00_13620;

					{	/* Cfa/cinfo.sch 1052 */
						BgL_objectz00_bglt BgL_tmpz00_13621;

						BgL_tmpz00_13621 = ((BgL_objectz00_bglt) BgL_oz00_639);
						BgL_auxz00_13620 = BGL_OBJECT_WIDENING(BgL_tmpz00_13621);
					}
					BgL_auxz00_13619 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13620);
				}
				return
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13619))->
						BgL_arityzd2errorzd2noticedzf3zf3) =
					((bool_t) BgL_vz00_640), BUNSPEC);
			}
		}

	}



/* &funcall/Cinfo-arity-error-noticed?-set! */
	obj_t
		BGl_z62funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12z71zzcfa_infoz00
		(obj_t BgL_envz00_7968, obj_t BgL_oz00_7969, obj_t BgL_vz00_7970)
	{
		{	/* Cfa/cinfo.sch 1052 */
			return
				BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12z13zzcfa_infoz00
				(((BgL_funcallz00_bglt) BgL_oz00_7969), CBOOL(BgL_vz00_7970));
		}

	}



/* funcall/Cinfo-va-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_funcallzf2Cinfozd2vazd2approxzf2zzcfa_infoz00(BgL_funcallz00_bglt
		BgL_oz00_641)
	{
		{	/* Cfa/cinfo.sch 1053 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13629;

				{
					obj_t BgL_auxz00_13630;

					{	/* Cfa/cinfo.sch 1053 */
						BgL_objectz00_bglt BgL_tmpz00_13631;

						BgL_tmpz00_13631 = ((BgL_objectz00_bglt) BgL_oz00_641);
						BgL_auxz00_13630 = BGL_OBJECT_WIDENING(BgL_tmpz00_13631);
					}
					BgL_auxz00_13629 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13630);
				}
				return
					(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13629))->
					BgL_vazd2approxzd2);
			}
		}

	}



/* &funcall/Cinfo-va-approx */
	BgL_approxz00_bglt BGl_z62funcallzf2Cinfozd2vazd2approxz90zzcfa_infoz00(obj_t
		BgL_envz00_7971, obj_t BgL_oz00_7972)
	{
		{	/* Cfa/cinfo.sch 1053 */
			return
				BGl_funcallzf2Cinfozd2vazd2approxzf2zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_7972));
		}

	}



/* funcall/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_funcallzf2Cinfozd2approxz20zzcfa_infoz00(BgL_funcallz00_bglt
		BgL_oz00_644)
	{
		{	/* Cfa/cinfo.sch 1055 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13638;

				{
					obj_t BgL_auxz00_13639;

					{	/* Cfa/cinfo.sch 1055 */
						BgL_objectz00_bglt BgL_tmpz00_13640;

						BgL_tmpz00_13640 = ((BgL_objectz00_bglt) BgL_oz00_644);
						BgL_auxz00_13639 = BGL_OBJECT_WIDENING(BgL_tmpz00_13640);
					}
					BgL_auxz00_13638 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13639);
				}
				return
					(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13638))->
					BgL_approxz00);
			}
		}

	}



/* &funcall/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62funcallzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_7973, obj_t BgL_oz00_7974)
	{
		{	/* Cfa/cinfo.sch 1055 */
			return
				BGl_funcallzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_7974));
		}

	}



/* funcall/Cinfo-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2functionsz20zzcfa_infoz00(BgL_funcallz00_bglt
		BgL_oz00_647)
	{
		{	/* Cfa/cinfo.sch 1057 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_647)))->BgL_functionsz00);
		}

	}



/* &funcall/Cinfo-functions */
	obj_t BGl_z62funcallzf2Cinfozd2functionsz42zzcfa_infoz00(obj_t
		BgL_envz00_7975, obj_t BgL_oz00_7976)
	{
		{	/* Cfa/cinfo.sch 1057 */
			return
				BGl_funcallzf2Cinfozd2functionsz20zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_7976));
		}

	}



/* funcall/Cinfo-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2functionszd2setz12ze0zzcfa_infoz00(BgL_funcallz00_bglt
		BgL_oz00_648, obj_t BgL_vz00_649)
	{
		{	/* Cfa/cinfo.sch 1058 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_648)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_649), BUNSPEC);
		}

	}



/* &funcall/Cinfo-functions-set! */
	obj_t BGl_z62funcallzf2Cinfozd2functionszd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7977, obj_t BgL_oz00_7978, obj_t BgL_vz00_7979)
	{
		{	/* Cfa/cinfo.sch 1058 */
			return
				BGl_funcallzf2Cinfozd2functionszd2setz12ze0zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_7978), BgL_vz00_7979);
		}

	}



/* funcall/Cinfo-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2strengthz20zzcfa_infoz00(BgL_funcallz00_bglt
		BgL_oz00_650)
	{
		{	/* Cfa/cinfo.sch 1059 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_650)))->BgL_strengthz00);
		}

	}



/* &funcall/Cinfo-strength */
	obj_t BGl_z62funcallzf2Cinfozd2strengthz42zzcfa_infoz00(obj_t BgL_envz00_7980,
		obj_t BgL_oz00_7981)
	{
		{	/* Cfa/cinfo.sch 1059 */
			return
				BGl_funcallzf2Cinfozd2strengthz20zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_7981));
		}

	}



/* funcall/Cinfo-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2strengthzd2setz12ze0zzcfa_infoz00(BgL_funcallz00_bglt
		BgL_oz00_651, obj_t BgL_vz00_652)
	{
		{	/* Cfa/cinfo.sch 1060 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_651)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_652), BUNSPEC);
		}

	}



/* &funcall/Cinfo-strength-set! */
	obj_t BGl_z62funcallzf2Cinfozd2strengthzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7982, obj_t BgL_oz00_7983, obj_t BgL_vz00_7984)
	{
		{	/* Cfa/cinfo.sch 1060 */
			return
				BGl_funcallzf2Cinfozd2strengthzd2setz12ze0zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_7983), BgL_vz00_7984);
		}

	}



/* funcall/Cinfo-args */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2argsz20zzcfa_infoz00(BgL_funcallz00_bglt BgL_oz00_653)
	{
		{	/* Cfa/cinfo.sch 1061 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_653)))->BgL_argsz00);
		}

	}



/* &funcall/Cinfo-args */
	obj_t BGl_z62funcallzf2Cinfozd2argsz42zzcfa_infoz00(obj_t BgL_envz00_7985,
		obj_t BgL_oz00_7986)
	{
		{	/* Cfa/cinfo.sch 1061 */
			return
				BGl_funcallzf2Cinfozd2argsz20zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_7986));
		}

	}



/* funcall/Cinfo-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2argszd2setz12ze0zzcfa_infoz00(BgL_funcallz00_bglt
		BgL_oz00_654, obj_t BgL_vz00_655)
	{
		{	/* Cfa/cinfo.sch 1062 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_654)))->BgL_argsz00) =
				((obj_t) BgL_vz00_655), BUNSPEC);
		}

	}



/* &funcall/Cinfo-args-set! */
	obj_t BGl_z62funcallzf2Cinfozd2argszd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7987, obj_t BgL_oz00_7988, obj_t BgL_vz00_7989)
	{
		{	/* Cfa/cinfo.sch 1062 */
			return
				BGl_funcallzf2Cinfozd2argszd2setz12ze0zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_7988), BgL_vz00_7989);
		}

	}



/* funcall/Cinfo-fun */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_funcallzf2Cinfozd2funz20zzcfa_infoz00(BgL_funcallz00_bglt BgL_oz00_656)
	{
		{	/* Cfa/cinfo.sch 1063 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_656)))->BgL_funz00);
		}

	}



/* &funcall/Cinfo-fun */
	BgL_nodez00_bglt BGl_z62funcallzf2Cinfozd2funz42zzcfa_infoz00(obj_t
		BgL_envz00_7990, obj_t BgL_oz00_7991)
	{
		{	/* Cfa/cinfo.sch 1063 */
			return
				BGl_funcallzf2Cinfozd2funz20zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_7991));
		}

	}



/* funcall/Cinfo-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2funzd2setz12ze0zzcfa_infoz00(BgL_funcallz00_bglt
		BgL_oz00_657, BgL_nodez00_bglt BgL_vz00_658)
	{
		{	/* Cfa/cinfo.sch 1064 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_657)))->BgL_funz00) =
				((BgL_nodez00_bglt) BgL_vz00_658), BUNSPEC);
		}

	}



/* &funcall/Cinfo-fun-set! */
	obj_t BGl_z62funcallzf2Cinfozd2funzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7992, obj_t BgL_oz00_7993, obj_t BgL_vz00_7994)
	{
		{	/* Cfa/cinfo.sch 1064 */
			return
				BGl_funcallzf2Cinfozd2funzd2setz12ze0zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_7993),
				((BgL_nodez00_bglt) BgL_vz00_7994));
		}

	}



/* funcall/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_funcallzf2Cinfozd2typez20zzcfa_infoz00(BgL_funcallz00_bglt BgL_oz00_659)
	{
		{	/* Cfa/cinfo.sch 1065 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_659)))->BgL_typez00);
		}

	}



/* &funcall/Cinfo-type */
	BgL_typez00_bglt BGl_z62funcallzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_7995, obj_t BgL_oz00_7996)
	{
		{	/* Cfa/cinfo.sch 1065 */
			return
				BGl_funcallzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_7996));
		}

	}



/* funcall/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_funcallz00_bglt
		BgL_oz00_660, BgL_typez00_bglt BgL_vz00_661)
	{
		{	/* Cfa/cinfo.sch 1066 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_660)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_661), BUNSPEC);
		}

	}



/* &funcall/Cinfo-type-set! */
	obj_t BGl_z62funcallzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7997, obj_t BgL_oz00_7998, obj_t BgL_vz00_7999)
	{
		{	/* Cfa/cinfo.sch 1066 */
			return
				BGl_funcallzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_7998),
				((BgL_typez00_bglt) BgL_vz00_7999));
		}

	}



/* funcall/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2locz20zzcfa_infoz00(BgL_funcallz00_bglt BgL_oz00_662)
	{
		{	/* Cfa/cinfo.sch 1067 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_662)))->BgL_locz00);
		}

	}



/* &funcall/Cinfo-loc */
	obj_t BGl_z62funcallzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_8000,
		obj_t BgL_oz00_8001)
	{
		{	/* Cfa/cinfo.sch 1067 */
			return
				BGl_funcallzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_8001));
		}

	}



/* make-setq/Cinfo */
	BGL_EXPORTED_DEF BgL_setqz00_bglt
		BGl_makezd2setqzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1641z00_665,
		BgL_typez00_bglt BgL_type1642z00_666, BgL_varz00_bglt BgL_var1643z00_667,
		BgL_nodez00_bglt BgL_value1644z00_668,
		BgL_approxz00_bglt BgL_approx1645z00_669)
	{
		{	/* Cfa/cinfo.sch 1071 */
			{	/* Cfa/cinfo.sch 1071 */
				BgL_setqz00_bglt BgL_new1614z00_9789;

				{	/* Cfa/cinfo.sch 1071 */
					BgL_setqz00_bglt BgL_tmp1612z00_9790;
					BgL_setqzf2cinfozf2_bglt BgL_wide1613z00_9791;

					{
						BgL_setqz00_bglt BgL_auxz00_13693;

						{	/* Cfa/cinfo.sch 1071 */
							BgL_setqz00_bglt BgL_new1611z00_9792;

							BgL_new1611z00_9792 =
								((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setqz00_bgl))));
							{	/* Cfa/cinfo.sch 1071 */
								long BgL_arg2025z00_9793;

								BgL_arg2025z00_9793 = BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1611z00_9792),
									BgL_arg2025z00_9793);
							}
							{	/* Cfa/cinfo.sch 1071 */
								BgL_objectz00_bglt BgL_tmpz00_13698;

								BgL_tmpz00_13698 = ((BgL_objectz00_bglt) BgL_new1611z00_9792);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13698, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1611z00_9792);
							BgL_auxz00_13693 = BgL_new1611z00_9792;
						}
						BgL_tmp1612z00_9790 = ((BgL_setqz00_bglt) BgL_auxz00_13693);
					}
					BgL_wide1613z00_9791 =
						((BgL_setqzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setqzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1071 */
						obj_t BgL_auxz00_13706;
						BgL_objectz00_bglt BgL_tmpz00_13704;

						BgL_auxz00_13706 = ((obj_t) BgL_wide1613z00_9791);
						BgL_tmpz00_13704 = ((BgL_objectz00_bglt) BgL_tmp1612z00_9790);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13704, BgL_auxz00_13706);
					}
					((BgL_objectz00_bglt) BgL_tmp1612z00_9790);
					{	/* Cfa/cinfo.sch 1071 */
						long BgL_arg2024z00_9794;

						BgL_arg2024z00_9794 =
							BGL_CLASS_NUM(BGl_setqzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1612z00_9790), BgL_arg2024z00_9794);
					}
					BgL_new1614z00_9789 = ((BgL_setqz00_bglt) BgL_tmp1612z00_9790);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1614z00_9789)))->BgL_locz00) =
					((obj_t) BgL_loc1641z00_665), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1614z00_9789)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1642z00_666), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(((BgL_setqz00_bglt)
									BgL_new1614z00_9789)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1643z00_667), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(((BgL_setqz00_bglt)
									BgL_new1614z00_9789)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1644z00_668), BUNSPEC);
				{
					BgL_setqzf2cinfozf2_bglt BgL_auxz00_13722;

					{
						obj_t BgL_auxz00_13723;

						{	/* Cfa/cinfo.sch 1071 */
							BgL_objectz00_bglt BgL_tmpz00_13724;

							BgL_tmpz00_13724 = ((BgL_objectz00_bglt) BgL_new1614z00_9789);
							BgL_auxz00_13723 = BGL_OBJECT_WIDENING(BgL_tmpz00_13724);
						}
						BgL_auxz00_13722 = ((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_13723);
					}
					((((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13722))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1645z00_669), BUNSPEC);
				}
				return BgL_new1614z00_9789;
			}
		}

	}



/* &make-setq/Cinfo */
	BgL_setqz00_bglt BGl_z62makezd2setqzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_8002, obj_t BgL_loc1641z00_8003, obj_t BgL_type1642z00_8004,
		obj_t BgL_var1643z00_8005, obj_t BgL_value1644z00_8006,
		obj_t BgL_approx1645z00_8007)
	{
		{	/* Cfa/cinfo.sch 1071 */
			return
				BGl_makezd2setqzf2Cinfoz20zzcfa_infoz00(BgL_loc1641z00_8003,
				((BgL_typez00_bglt) BgL_type1642z00_8004),
				((BgL_varz00_bglt) BgL_var1643z00_8005),
				((BgL_nodez00_bglt) BgL_value1644z00_8006),
				((BgL_approxz00_bglt) BgL_approx1645z00_8007));
		}

	}



/* setq/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_setqzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_670)
	{
		{	/* Cfa/cinfo.sch 1072 */
			{	/* Cfa/cinfo.sch 1072 */
				obj_t BgL_classz00_9795;

				BgL_classz00_9795 = BGl_setqzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_670))
					{	/* Cfa/cinfo.sch 1072 */
						BgL_objectz00_bglt BgL_arg1825z00_9796;

						BgL_arg1825z00_9796 = (BgL_objectz00_bglt) (BgL_objz00_670);
						{	/* Cfa/cinfo.sch 1072 */
							bool_t BgL_arg1822z00_9797;
							bool_t BgL_arg1823z00_9798;

							{	/* Cfa/cinfo.sch 1072 */
								long BgL_idxz00_9799;

								BgL_idxz00_9799 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9796);
								BgL_arg1822z00_9797 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9799 + ((long) 3))) == BgL_classz00_9795);
							}
							{	/* Cfa/cinfo.sch 1072 */
								bool_t BgL_res3066z00_9802;

								{	/* Cfa/cinfo.sch 1072 */
									obj_t BgL_oclassz00_9803;

									{	/* Cfa/cinfo.sch 1072 */
										long BgL_arg1833z00_9804;

										{	/* Cfa/cinfo.sch 1072 */
											long BgL_arg1834z00_9805;

											BgL_arg1834z00_9805 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9796);
											BgL_arg1833z00_9804 = (BgL_arg1834z00_9805 - OBJECT_TYPE);
										}
										BgL_oclassz00_9803 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9804);
									}
									{	/* Cfa/cinfo.sch 1072 */
										bool_t BgL__ortest_1110z00_9806;

										BgL__ortest_1110z00_9806 =
											(BgL_classz00_9795 == BgL_oclassz00_9803);
										if (BgL__ortest_1110z00_9806)
											{	/* Cfa/cinfo.sch 1072 */
												BgL_res3066z00_9802 = BgL__ortest_1110z00_9806;
											}
										else
											{	/* Cfa/cinfo.sch 1072 */
												long BgL_odepthz00_9807;

												BgL_odepthz00_9807 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9803);
												if ((((long) 3) < BgL_odepthz00_9807))
													{	/* Cfa/cinfo.sch 1072 */
														obj_t BgL_arg1821z00_9808;

														BgL_arg1821z00_9808 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9803,
															((long) 3));
														BgL_res3066z00_9802 =
															(BgL_arg1821z00_9808 == BgL_classz00_9795);
													}
												else
													{	/* Cfa/cinfo.sch 1072 */
														BgL_res3066z00_9802 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9798 = BgL_res3066z00_9802;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9797, BgL_arg1823z00_9798);
						}
					}
				else
					{	/* Cfa/cinfo.sch 1072 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &setq/Cinfo? */
	obj_t BGl_z62setqzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_8008,
		obj_t BgL_objz00_8009)
	{
		{	/* Cfa/cinfo.sch 1072 */
			return BBOOL(BGl_setqzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_8009));
		}

	}



/* setq/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_setqz00_bglt BGl_setqzf2Cinfozd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 1073 */
			{	/* Cfa/cinfo.sch 1073 */
				obj_t BgL_classz00_5380;

				BgL_classz00_5380 = BGl_setqzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1073 */
					obj_t BgL__ortest_1112z00_5381;

					BgL__ortest_1112z00_5381 = BGL_CLASS_NIL(BgL_classz00_5380);
					if (CBOOL(BgL__ortest_1112z00_5381))
						{	/* Cfa/cinfo.sch 1073 */
							return ((BgL_setqz00_bglt) BgL__ortest_1112z00_5381);
						}
					else
						{	/* Cfa/cinfo.sch 1073 */
							return
								((BgL_setqz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5380));
						}
				}
			}
		}

	}



/* &setq/Cinfo-nil */
	BgL_setqz00_bglt BGl_z62setqzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_8010)
	{
		{	/* Cfa/cinfo.sch 1073 */
			return BGl_setqzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* setq/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_setqzf2Cinfozd2approxz20zzcfa_infoz00(BgL_setqz00_bglt BgL_oz00_671)
	{
		{	/* Cfa/cinfo.sch 1074 */
			{
				BgL_setqzf2cinfozf2_bglt BgL_auxz00_13761;

				{
					obj_t BgL_auxz00_13762;

					{	/* Cfa/cinfo.sch 1074 */
						BgL_objectz00_bglt BgL_tmpz00_13763;

						BgL_tmpz00_13763 = ((BgL_objectz00_bglt) BgL_oz00_671);
						BgL_auxz00_13762 = BGL_OBJECT_WIDENING(BgL_tmpz00_13763);
					}
					BgL_auxz00_13761 = ((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_13762);
				}
				return
					(((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13761))->
					BgL_approxz00);
			}
		}

	}



/* &setq/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62setqzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_8011, obj_t BgL_oz00_8012)
	{
		{	/* Cfa/cinfo.sch 1074 */
			return
				BGl_setqzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_setqz00_bglt) BgL_oz00_8012));
		}

	}



/* setq/Cinfo-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setqzf2Cinfozd2valuez20zzcfa_infoz00(BgL_setqz00_bglt BgL_oz00_674)
	{
		{	/* Cfa/cinfo.sch 1076 */
			return
				(((BgL_setqz00_bglt) COBJECT(
						((BgL_setqz00_bglt) BgL_oz00_674)))->BgL_valuez00);
		}

	}



/* &setq/Cinfo-value */
	BgL_nodez00_bglt BGl_z62setqzf2Cinfozd2valuez42zzcfa_infoz00(obj_t
		BgL_envz00_8013, obj_t BgL_oz00_8014)
	{
		{	/* Cfa/cinfo.sch 1076 */
			return
				BGl_setqzf2Cinfozd2valuez20zzcfa_infoz00(
				((BgL_setqz00_bglt) BgL_oz00_8014));
		}

	}



/* setq/Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(BgL_setqz00_bglt
		BgL_oz00_675, BgL_nodez00_bglt BgL_vz00_676)
	{
		{	/* Cfa/cinfo.sch 1077 */
			return
				((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_oz00_675)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_676), BUNSPEC);
		}

	}



/* &setq/Cinfo-value-set! */
	obj_t BGl_z62setqzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8015, obj_t BgL_oz00_8016, obj_t BgL_vz00_8017)
	{
		{	/* Cfa/cinfo.sch 1077 */
			return
				BGl_setqzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(
				((BgL_setqz00_bglt) BgL_oz00_8016), ((BgL_nodez00_bglt) BgL_vz00_8017));
		}

	}



/* setq/Cinfo-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_setqzf2Cinfozd2varz20zzcfa_infoz00(BgL_setqz00_bglt BgL_oz00_677)
	{
		{	/* Cfa/cinfo.sch 1078 */
			return
				(((BgL_setqz00_bglt) COBJECT(
						((BgL_setqz00_bglt) BgL_oz00_677)))->BgL_varz00);
		}

	}



/* &setq/Cinfo-var */
	BgL_varz00_bglt BGl_z62setqzf2Cinfozd2varz42zzcfa_infoz00(obj_t
		BgL_envz00_8018, obj_t BgL_oz00_8019)
	{
		{	/* Cfa/cinfo.sch 1078 */
			return
				BGl_setqzf2Cinfozd2varz20zzcfa_infoz00(
				((BgL_setqz00_bglt) BgL_oz00_8019));
		}

	}



/* setq/Cinfo-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzf2Cinfozd2varzd2setz12ze0zzcfa_infoz00(BgL_setqz00_bglt
		BgL_oz00_678, BgL_varz00_bglt BgL_vz00_679)
	{
		{	/* Cfa/cinfo.sch 1079 */
			return
				((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_oz00_678)))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_679), BUNSPEC);
		}

	}



/* &setq/Cinfo-var-set! */
	obj_t BGl_z62setqzf2Cinfozd2varzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8020, obj_t BgL_oz00_8021, obj_t BgL_vz00_8022)
	{
		{	/* Cfa/cinfo.sch 1079 */
			return
				BGl_setqzf2Cinfozd2varzd2setz12ze0zzcfa_infoz00(
				((BgL_setqz00_bglt) BgL_oz00_8021), ((BgL_varz00_bglt) BgL_vz00_8022));
		}

	}



/* setq/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setqzf2Cinfozd2typez20zzcfa_infoz00(BgL_setqz00_bglt BgL_oz00_680)
	{
		{	/* Cfa/cinfo.sch 1080 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_680)))->BgL_typez00);
		}

	}



/* &setq/Cinfo-type */
	BgL_typez00_bglt BGl_z62setqzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8023, obj_t BgL_oz00_8024)
	{
		{	/* Cfa/cinfo.sch 1080 */
			return
				BGl_setqzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_setqz00_bglt) BgL_oz00_8024));
		}

	}



/* setq/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_setqz00_bglt
		BgL_oz00_681, BgL_typez00_bglt BgL_vz00_682)
	{
		{	/* Cfa/cinfo.sch 1081 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_681)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_682), BUNSPEC);
		}

	}



/* &setq/Cinfo-type-set! */
	obj_t BGl_z62setqzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8025, obj_t BgL_oz00_8026, obj_t BgL_vz00_8027)
	{
		{	/* Cfa/cinfo.sch 1081 */
			return
				BGl_setqzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_setqz00_bglt) BgL_oz00_8026), ((BgL_typez00_bglt) BgL_vz00_8027));
		}

	}



/* setq/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t BGl_setqzf2Cinfozd2locz20zzcfa_infoz00(BgL_setqz00_bglt
		BgL_oz00_683)
	{
		{	/* Cfa/cinfo.sch 1082 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_683)))->BgL_locz00);
		}

	}



/* &setq/Cinfo-loc */
	obj_t BGl_z62setqzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_8028,
		obj_t BgL_oz00_8029)
	{
		{	/* Cfa/cinfo.sch 1082 */
			return
				BGl_setqzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_setqz00_bglt) BgL_oz00_8029));
		}

	}



/* make-conditional/Cinfo */
	BGL_EXPORTED_DEF BgL_conditionalz00_bglt
		BGl_makezd2conditionalzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1631z00_686,
		BgL_typez00_bglt BgL_type1632z00_687, obj_t BgL_sidezd2effect1633zd2_688,
		obj_t BgL_key1634z00_689, BgL_nodez00_bglt BgL_test1635z00_690,
		BgL_nodez00_bglt BgL_true1636z00_691, BgL_nodez00_bglt BgL_false1637z00_692,
		BgL_approxz00_bglt BgL_approx1639z00_693)
	{
		{	/* Cfa/cinfo.sch 1086 */
			{	/* Cfa/cinfo.sch 1086 */
				BgL_conditionalz00_bglt BgL_new1618z00_9809;

				{	/* Cfa/cinfo.sch 1086 */
					BgL_conditionalz00_bglt BgL_tmp1616z00_9810;
					BgL_conditionalzf2cinfozf2_bglt BgL_wide1617z00_9811;

					{
						BgL_conditionalz00_bglt BgL_auxz00_13801;

						{	/* Cfa/cinfo.sch 1086 */
							BgL_conditionalz00_bglt BgL_new1615z00_9812;

							BgL_new1615z00_9812 =
								((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_conditionalz00_bgl))));
							{	/* Cfa/cinfo.sch 1086 */
								long BgL_arg2029z00_9813;

								BgL_arg2029z00_9813 =
									BGL_CLASS_NUM(BGl_conditionalz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1615z00_9812),
									BgL_arg2029z00_9813);
							}
							{	/* Cfa/cinfo.sch 1086 */
								BgL_objectz00_bglt BgL_tmpz00_13806;

								BgL_tmpz00_13806 = ((BgL_objectz00_bglt) BgL_new1615z00_9812);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13806, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1615z00_9812);
							BgL_auxz00_13801 = BgL_new1615z00_9812;
						}
						BgL_tmp1616z00_9810 = ((BgL_conditionalz00_bglt) BgL_auxz00_13801);
					}
					BgL_wide1617z00_9811 =
						((BgL_conditionalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_conditionalzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1086 */
						obj_t BgL_auxz00_13814;
						BgL_objectz00_bglt BgL_tmpz00_13812;

						BgL_auxz00_13814 = ((obj_t) BgL_wide1617z00_9811);
						BgL_tmpz00_13812 = ((BgL_objectz00_bglt) BgL_tmp1616z00_9810);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13812, BgL_auxz00_13814);
					}
					((BgL_objectz00_bglt) BgL_tmp1616z00_9810);
					{	/* Cfa/cinfo.sch 1086 */
						long BgL_arg2026z00_9814;

						BgL_arg2026z00_9814 =
							BGL_CLASS_NUM(BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1616z00_9810), BgL_arg2026z00_9814);
					}
					BgL_new1618z00_9809 = ((BgL_conditionalz00_bglt) BgL_tmp1616z00_9810);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1618z00_9809)))->BgL_locz00) =
					((obj_t) BgL_loc1631z00_686), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1618z00_9809)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1632z00_687), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1618z00_9809)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1633zd2_688), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1618z00_9809)))->BgL_keyz00) =
					((obj_t) BgL_key1634z00_689), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1618z00_9809)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_test1635z00_690), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1618z00_9809)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_true1636z00_691), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1618z00_9809)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_false1637z00_692), BUNSPEC);
				{
					BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_13836;

					{
						obj_t BgL_auxz00_13837;

						{	/* Cfa/cinfo.sch 1086 */
							BgL_objectz00_bglt BgL_tmpz00_13838;

							BgL_tmpz00_13838 = ((BgL_objectz00_bglt) BgL_new1618z00_9809);
							BgL_auxz00_13837 = BGL_OBJECT_WIDENING(BgL_tmpz00_13838);
						}
						BgL_auxz00_13836 =
							((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_13837);
					}
					((((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13836))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1639z00_693), BUNSPEC);
				}
				return BgL_new1618z00_9809;
			}
		}

	}



/* &make-conditional/Cinfo */
	BgL_conditionalz00_bglt
		BGl_z62makezd2conditionalzf2Cinfoz42zzcfa_infoz00(obj_t BgL_envz00_8030,
		obj_t BgL_loc1631z00_8031, obj_t BgL_type1632z00_8032,
		obj_t BgL_sidezd2effect1633zd2_8033, obj_t BgL_key1634z00_8034,
		obj_t BgL_test1635z00_8035, obj_t BgL_true1636z00_8036,
		obj_t BgL_false1637z00_8037, obj_t BgL_approx1639z00_8038)
	{
		{	/* Cfa/cinfo.sch 1086 */
			return
				BGl_makezd2conditionalzf2Cinfoz20zzcfa_infoz00(BgL_loc1631z00_8031,
				((BgL_typez00_bglt) BgL_type1632z00_8032),
				BgL_sidezd2effect1633zd2_8033, BgL_key1634z00_8034,
				((BgL_nodez00_bglt) BgL_test1635z00_8035),
				((BgL_nodez00_bglt) BgL_true1636z00_8036),
				((BgL_nodez00_bglt) BgL_false1637z00_8037),
				((BgL_approxz00_bglt) BgL_approx1639z00_8038));
		}

	}



/* conditional/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_conditionalzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_694)
	{
		{	/* Cfa/cinfo.sch 1087 */
			{	/* Cfa/cinfo.sch 1087 */
				obj_t BgL_classz00_9815;

				BgL_classz00_9815 = BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_694))
					{	/* Cfa/cinfo.sch 1087 */
						BgL_objectz00_bglt BgL_arg1825z00_9816;

						BgL_arg1825z00_9816 = (BgL_objectz00_bglt) (BgL_objz00_694);
						{	/* Cfa/cinfo.sch 1087 */
							bool_t BgL_arg1822z00_9817;
							bool_t BgL_arg1823z00_9818;

							{	/* Cfa/cinfo.sch 1087 */
								long BgL_idxz00_9819;

								BgL_idxz00_9819 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9816);
								BgL_arg1822z00_9817 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9819 + ((long) 4))) == BgL_classz00_9815);
							}
							{	/* Cfa/cinfo.sch 1087 */
								bool_t BgL_res3067z00_9822;

								{	/* Cfa/cinfo.sch 1087 */
									obj_t BgL_oclassz00_9823;

									{	/* Cfa/cinfo.sch 1087 */
										long BgL_arg1833z00_9824;

										{	/* Cfa/cinfo.sch 1087 */
											long BgL_arg1834z00_9825;

											BgL_arg1834z00_9825 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9816);
											BgL_arg1833z00_9824 = (BgL_arg1834z00_9825 - OBJECT_TYPE);
										}
										BgL_oclassz00_9823 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9824);
									}
									{	/* Cfa/cinfo.sch 1087 */
										bool_t BgL__ortest_1110z00_9826;

										BgL__ortest_1110z00_9826 =
											(BgL_classz00_9815 == BgL_oclassz00_9823);
										if (BgL__ortest_1110z00_9826)
											{	/* Cfa/cinfo.sch 1087 */
												BgL_res3067z00_9822 = BgL__ortest_1110z00_9826;
											}
										else
											{	/* Cfa/cinfo.sch 1087 */
												long BgL_odepthz00_9827;

												BgL_odepthz00_9827 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9823);
												if ((((long) 4) < BgL_odepthz00_9827))
													{	/* Cfa/cinfo.sch 1087 */
														obj_t BgL_arg1821z00_9828;

														BgL_arg1821z00_9828 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9823,
															((long) 4));
														BgL_res3067z00_9822 =
															(BgL_arg1821z00_9828 == BgL_classz00_9815);
													}
												else
													{	/* Cfa/cinfo.sch 1087 */
														BgL_res3067z00_9822 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9818 = BgL_res3067z00_9822;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9817, BgL_arg1823z00_9818);
						}
					}
				else
					{	/* Cfa/cinfo.sch 1087 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &conditional/Cinfo? */
	obj_t BGl_z62conditionalzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_8039,
		obj_t BgL_objz00_8040)
	{
		{	/* Cfa/cinfo.sch 1087 */
			return BBOOL(BGl_conditionalzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_8040));
		}

	}



/* conditional/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_conditionalz00_bglt
		BGl_conditionalzf2Cinfozd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 1088 */
			{	/* Cfa/cinfo.sch 1088 */
				obj_t BgL_classz00_5430;

				BgL_classz00_5430 = BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1088 */
					obj_t BgL__ortest_1112z00_5431;

					BgL__ortest_1112z00_5431 = BGL_CLASS_NIL(BgL_classz00_5430);
					if (CBOOL(BgL__ortest_1112z00_5431))
						{	/* Cfa/cinfo.sch 1088 */
							return ((BgL_conditionalz00_bglt) BgL__ortest_1112z00_5431);
						}
					else
						{	/* Cfa/cinfo.sch 1088 */
							return
								((BgL_conditionalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5430));
						}
				}
			}
		}

	}



/* &conditional/Cinfo-nil */
	BgL_conditionalz00_bglt BGl_z62conditionalzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_8041)
	{
		{	/* Cfa/cinfo.sch 1088 */
			return BGl_conditionalzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* conditional/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_conditionalzf2Cinfozd2approxz20zzcfa_infoz00(BgL_conditionalz00_bglt
		BgL_oz00_695)
	{
		{	/* Cfa/cinfo.sch 1089 */
			{
				BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_13876;

				{
					obj_t BgL_auxz00_13877;

					{	/* Cfa/cinfo.sch 1089 */
						BgL_objectz00_bglt BgL_tmpz00_13878;

						BgL_tmpz00_13878 = ((BgL_objectz00_bglt) BgL_oz00_695);
						BgL_auxz00_13877 = BGL_OBJECT_WIDENING(BgL_tmpz00_13878);
					}
					BgL_auxz00_13876 =
						((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_13877);
				}
				return
					(((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13876))->
					BgL_approxz00);
			}
		}

	}



/* &conditional/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62conditionalzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_8042, obj_t BgL_oz00_8043)
	{
		{	/* Cfa/cinfo.sch 1089 */
			return
				BGl_conditionalzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8043));
		}

	}



/* conditional/Cinfo-false */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzf2Cinfozd2falsez20zzcfa_infoz00(BgL_conditionalz00_bglt
		BgL_oz00_698)
	{
		{	/* Cfa/cinfo.sch 1091 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_698)))->BgL_falsez00);
		}

	}



/* &conditional/Cinfo-false */
	BgL_nodez00_bglt BGl_z62conditionalzf2Cinfozd2falsez42zzcfa_infoz00(obj_t
		BgL_envz00_8044, obj_t BgL_oz00_8045)
	{
		{	/* Cfa/cinfo.sch 1091 */
			return
				BGl_conditionalzf2Cinfozd2falsez20zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8045));
		}

	}



/* conditional/Cinfo-false-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2falsezd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt BgL_oz00_699, BgL_nodez00_bglt BgL_vz00_700)
	{
		{	/* Cfa/cinfo.sch 1092 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_699)))->BgL_falsez00) =
				((BgL_nodez00_bglt) BgL_vz00_700), BUNSPEC);
		}

	}



/* &conditional/Cinfo-false-set! */
	obj_t BGl_z62conditionalzf2Cinfozd2falsezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8046, obj_t BgL_oz00_8047, obj_t BgL_vz00_8048)
	{
		{	/* Cfa/cinfo.sch 1092 */
			return
				BGl_conditionalzf2Cinfozd2falsezd2setz12ze0zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8047),
				((BgL_nodez00_bglt) BgL_vz00_8048));
		}

	}



/* conditional/Cinfo-true */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzf2Cinfozd2truez20zzcfa_infoz00(BgL_conditionalz00_bglt
		BgL_oz00_701)
	{
		{	/* Cfa/cinfo.sch 1093 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_701)))->BgL_truez00);
		}

	}



/* &conditional/Cinfo-true */
	BgL_nodez00_bglt BGl_z62conditionalzf2Cinfozd2truez42zzcfa_infoz00(obj_t
		BgL_envz00_8049, obj_t BgL_oz00_8050)
	{
		{	/* Cfa/cinfo.sch 1093 */
			return
				BGl_conditionalzf2Cinfozd2truez20zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8050));
		}

	}



/* conditional/Cinfo-true-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2truezd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt BgL_oz00_702, BgL_nodez00_bglt BgL_vz00_703)
	{
		{	/* Cfa/cinfo.sch 1094 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_702)))->BgL_truez00) =
				((BgL_nodez00_bglt) BgL_vz00_703), BUNSPEC);
		}

	}



/* &conditional/Cinfo-true-set! */
	obj_t BGl_z62conditionalzf2Cinfozd2truezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8051, obj_t BgL_oz00_8052, obj_t BgL_vz00_8053)
	{
		{	/* Cfa/cinfo.sch 1094 */
			return
				BGl_conditionalzf2Cinfozd2truezd2setz12ze0zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8052),
				((BgL_nodez00_bglt) BgL_vz00_8053));
		}

	}



/* conditional/Cinfo-test */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzf2Cinfozd2testz20zzcfa_infoz00(BgL_conditionalz00_bglt
		BgL_oz00_704)
	{
		{	/* Cfa/cinfo.sch 1095 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_704)))->BgL_testz00);
		}

	}



/* &conditional/Cinfo-test */
	BgL_nodez00_bglt BGl_z62conditionalzf2Cinfozd2testz42zzcfa_infoz00(obj_t
		BgL_envz00_8054, obj_t BgL_oz00_8055)
	{
		{	/* Cfa/cinfo.sch 1095 */
			return
				BGl_conditionalzf2Cinfozd2testz20zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8055));
		}

	}



/* conditional/Cinfo-test-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2testzd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt BgL_oz00_705, BgL_nodez00_bglt BgL_vz00_706)
	{
		{	/* Cfa/cinfo.sch 1096 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_705)))->BgL_testz00) =
				((BgL_nodez00_bglt) BgL_vz00_706), BUNSPEC);
		}

	}



/* &conditional/Cinfo-test-set! */
	obj_t BGl_z62conditionalzf2Cinfozd2testzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8056, obj_t BgL_oz00_8057, obj_t BgL_vz00_8058)
	{
		{	/* Cfa/cinfo.sch 1096 */
			return
				BGl_conditionalzf2Cinfozd2testzd2setz12ze0zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8057),
				((BgL_nodez00_bglt) BgL_vz00_8058));
		}

	}



/* conditional/Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2keyz20zzcfa_infoz00(BgL_conditionalz00_bglt
		BgL_oz00_707)
	{
		{	/* Cfa/cinfo.sch 1097 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_707)))->BgL_keyz00);
		}

	}



/* &conditional/Cinfo-key */
	obj_t BGl_z62conditionalzf2Cinfozd2keyz42zzcfa_infoz00(obj_t BgL_envz00_8059,
		obj_t BgL_oz00_8060)
	{
		{	/* Cfa/cinfo.sch 1097 */
			return
				BGl_conditionalzf2Cinfozd2keyz20zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8060));
		}

	}



/* conditional/Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2keyzd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt BgL_oz00_708, obj_t BgL_vz00_709)
	{
		{	/* Cfa/cinfo.sch 1098 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_708)))->BgL_keyz00) =
				((obj_t) BgL_vz00_709), BUNSPEC);
		}

	}



/* &conditional/Cinfo-key-set! */
	obj_t BGl_z62conditionalzf2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8061, obj_t BgL_oz00_8062, obj_t BgL_vz00_8063)
	{
		{	/* Cfa/cinfo.sch 1098 */
			return
				BGl_conditionalzf2Cinfozd2keyzd2setz12ze0zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8062), BgL_vz00_8063);
		}

	}



/* conditional/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00
		(BgL_conditionalz00_bglt BgL_oz00_710)
	{
		{	/* Cfa/cinfo.sch 1099 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_710)))->BgL_sidezd2effectzd2);
		}

	}



/* &conditional/Cinfo-side-effect */
	obj_t BGl_z62conditionalzf2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t
		BgL_envz00_8064, obj_t BgL_oz00_8065)
	{
		{	/* Cfa/cinfo.sch 1099 */
			return
				BGl_conditionalzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8065));
		}

	}



/* conditional/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_conditionalz00_bglt BgL_oz00_711, obj_t BgL_vz00_712)
	{
		{	/* Cfa/cinfo.sch 1100 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_711)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_712), BUNSPEC);
		}

	}



/* &conditional/Cinfo-side-effect-set! */
	obj_t
		BGl_z62conditionalzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8066, obj_t BgL_oz00_8067, obj_t BgL_vz00_8068)
	{
		{	/* Cfa/cinfo.sch 1100 */
			return
				BGl_conditionalzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8067), BgL_vz00_8068);
		}

	}



/* conditional/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_conditionalzf2Cinfozd2typez20zzcfa_infoz00(BgL_conditionalz00_bglt
		BgL_oz00_713)
	{
		{	/* Cfa/cinfo.sch 1101 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_713)))->BgL_typez00);
		}

	}



/* &conditional/Cinfo-type */
	BgL_typez00_bglt BGl_z62conditionalzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8069, obj_t BgL_oz00_8070)
	{
		{	/* Cfa/cinfo.sch 1101 */
			return
				BGl_conditionalzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8070));
		}

	}



/* conditional/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt BgL_oz00_714, BgL_typez00_bglt BgL_vz00_715)
	{
		{	/* Cfa/cinfo.sch 1102 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_714)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_715), BUNSPEC);
		}

	}



/* &conditional/Cinfo-type-set! */
	obj_t BGl_z62conditionalzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8071, obj_t BgL_oz00_8072, obj_t BgL_vz00_8073)
	{
		{	/* Cfa/cinfo.sch 1102 */
			return
				BGl_conditionalzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8072),
				((BgL_typez00_bglt) BgL_vz00_8073));
		}

	}



/* conditional/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2locz20zzcfa_infoz00(BgL_conditionalz00_bglt
		BgL_oz00_716)
	{
		{	/* Cfa/cinfo.sch 1103 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_716)))->BgL_locz00);
		}

	}



/* &conditional/Cinfo-loc */
	obj_t BGl_z62conditionalzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_8074,
		obj_t BgL_oz00_8075)
	{
		{	/* Cfa/cinfo.sch 1103 */
			return
				BGl_conditionalzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8075));
		}

	}



/* make-fail/Cinfo */
	BGL_EXPORTED_DEF BgL_failz00_bglt
		BGl_makezd2failzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1624z00_719,
		BgL_typez00_bglt BgL_type1625z00_720, BgL_nodez00_bglt BgL_proc1626z00_721,
		BgL_nodez00_bglt BgL_msg1627z00_722, BgL_nodez00_bglt BgL_obj1628z00_723,
		BgL_approxz00_bglt BgL_approx1629z00_724)
	{
		{	/* Cfa/cinfo.sch 1107 */
			{	/* Cfa/cinfo.sch 1107 */
				BgL_failz00_bglt BgL_new1622z00_9829;

				{	/* Cfa/cinfo.sch 1107 */
					BgL_failz00_bglt BgL_tmp1620z00_9830;
					BgL_failzf2cinfozf2_bglt BgL_wide1621z00_9831;

					{
						BgL_failz00_bglt BgL_auxz00_13941;

						{	/* Cfa/cinfo.sch 1107 */
							BgL_failz00_bglt BgL_new1619z00_9832;

							BgL_new1619z00_9832 =
								((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_failz00_bgl))));
							{	/* Cfa/cinfo.sch 1107 */
								long BgL_arg2031z00_9833;

								BgL_arg2031z00_9833 = BGL_CLASS_NUM(BGl_failz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1619z00_9832),
									BgL_arg2031z00_9833);
							}
							{	/* Cfa/cinfo.sch 1107 */
								BgL_objectz00_bglt BgL_tmpz00_13946;

								BgL_tmpz00_13946 = ((BgL_objectz00_bglt) BgL_new1619z00_9832);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13946, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1619z00_9832);
							BgL_auxz00_13941 = BgL_new1619z00_9832;
						}
						BgL_tmp1620z00_9830 = ((BgL_failz00_bglt) BgL_auxz00_13941);
					}
					BgL_wide1621z00_9831 =
						((BgL_failzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_failzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1107 */
						obj_t BgL_auxz00_13954;
						BgL_objectz00_bglt BgL_tmpz00_13952;

						BgL_auxz00_13954 = ((obj_t) BgL_wide1621z00_9831);
						BgL_tmpz00_13952 = ((BgL_objectz00_bglt) BgL_tmp1620z00_9830);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13952, BgL_auxz00_13954);
					}
					((BgL_objectz00_bglt) BgL_tmp1620z00_9830);
					{	/* Cfa/cinfo.sch 1107 */
						long BgL_arg2030z00_9834;

						BgL_arg2030z00_9834 =
							BGL_CLASS_NUM(BGl_failzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1620z00_9830), BgL_arg2030z00_9834);
					}
					BgL_new1622z00_9829 = ((BgL_failz00_bglt) BgL_tmp1620z00_9830);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1622z00_9829)))->BgL_locz00) =
					((obj_t) BgL_loc1624z00_719), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1622z00_9829)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1625z00_720), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1622z00_9829)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_proc1626z00_721), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1622z00_9829)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_msg1627z00_722), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1622z00_9829)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_obj1628z00_723), BUNSPEC);
				{
					BgL_failzf2cinfozf2_bglt BgL_auxz00_13972;

					{
						obj_t BgL_auxz00_13973;

						{	/* Cfa/cinfo.sch 1107 */
							BgL_objectz00_bglt BgL_tmpz00_13974;

							BgL_tmpz00_13974 = ((BgL_objectz00_bglt) BgL_new1622z00_9829);
							BgL_auxz00_13973 = BGL_OBJECT_WIDENING(BgL_tmpz00_13974);
						}
						BgL_auxz00_13972 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_13973);
					}
					((((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13972))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1629z00_724), BUNSPEC);
				}
				return BgL_new1622z00_9829;
			}
		}

	}



/* &make-fail/Cinfo */
	BgL_failz00_bglt BGl_z62makezd2failzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_8076, obj_t BgL_loc1624z00_8077, obj_t BgL_type1625z00_8078,
		obj_t BgL_proc1626z00_8079, obj_t BgL_msg1627z00_8080,
		obj_t BgL_obj1628z00_8081, obj_t BgL_approx1629z00_8082)
	{
		{	/* Cfa/cinfo.sch 1107 */
			return
				BGl_makezd2failzf2Cinfoz20zzcfa_infoz00(BgL_loc1624z00_8077,
				((BgL_typez00_bglt) BgL_type1625z00_8078),
				((BgL_nodez00_bglt) BgL_proc1626z00_8079),
				((BgL_nodez00_bglt) BgL_msg1627z00_8080),
				((BgL_nodez00_bglt) BgL_obj1628z00_8081),
				((BgL_approxz00_bglt) BgL_approx1629z00_8082));
		}

	}



/* fail/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_failzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_725)
	{
		{	/* Cfa/cinfo.sch 1108 */
			{	/* Cfa/cinfo.sch 1108 */
				obj_t BgL_classz00_9835;

				BgL_classz00_9835 = BGl_failzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_725))
					{	/* Cfa/cinfo.sch 1108 */
						BgL_objectz00_bglt BgL_arg1825z00_9836;

						BgL_arg1825z00_9836 = (BgL_objectz00_bglt) (BgL_objz00_725);
						{	/* Cfa/cinfo.sch 1108 */
							bool_t BgL_arg1822z00_9837;
							bool_t BgL_arg1823z00_9838;

							{	/* Cfa/cinfo.sch 1108 */
								long BgL_idxz00_9839;

								BgL_idxz00_9839 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9836);
								BgL_arg1822z00_9837 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9839 + ((long) 3))) == BgL_classz00_9835);
							}
							{	/* Cfa/cinfo.sch 1108 */
								bool_t BgL_res3068z00_9842;

								{	/* Cfa/cinfo.sch 1108 */
									obj_t BgL_oclassz00_9843;

									{	/* Cfa/cinfo.sch 1108 */
										long BgL_arg1833z00_9844;

										{	/* Cfa/cinfo.sch 1108 */
											long BgL_arg1834z00_9845;

											BgL_arg1834z00_9845 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9836);
											BgL_arg1833z00_9844 = (BgL_arg1834z00_9845 - OBJECT_TYPE);
										}
										BgL_oclassz00_9843 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9844);
									}
									{	/* Cfa/cinfo.sch 1108 */
										bool_t BgL__ortest_1110z00_9846;

										BgL__ortest_1110z00_9846 =
											(BgL_classz00_9835 == BgL_oclassz00_9843);
										if (BgL__ortest_1110z00_9846)
											{	/* Cfa/cinfo.sch 1108 */
												BgL_res3068z00_9842 = BgL__ortest_1110z00_9846;
											}
										else
											{	/* Cfa/cinfo.sch 1108 */
												long BgL_odepthz00_9847;

												BgL_odepthz00_9847 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9843);
												if ((((long) 3) < BgL_odepthz00_9847))
													{	/* Cfa/cinfo.sch 1108 */
														obj_t BgL_arg1821z00_9848;

														BgL_arg1821z00_9848 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9843,
															((long) 3));
														BgL_res3068z00_9842 =
															(BgL_arg1821z00_9848 == BgL_classz00_9835);
													}
												else
													{	/* Cfa/cinfo.sch 1108 */
														BgL_res3068z00_9842 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9838 = BgL_res3068z00_9842;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9837, BgL_arg1823z00_9838);
						}
					}
				else
					{	/* Cfa/cinfo.sch 1108 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &fail/Cinfo? */
	obj_t BGl_z62failzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_8083,
		obj_t BgL_objz00_8084)
	{
		{	/* Cfa/cinfo.sch 1108 */
			return BBOOL(BGl_failzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_8084));
		}

	}



/* fail/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_failz00_bglt BGl_failzf2Cinfozd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 1109 */
			{	/* Cfa/cinfo.sch 1109 */
				obj_t BgL_classz00_5480;

				BgL_classz00_5480 = BGl_failzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1109 */
					obj_t BgL__ortest_1112z00_5481;

					BgL__ortest_1112z00_5481 = BGL_CLASS_NIL(BgL_classz00_5480);
					if (CBOOL(BgL__ortest_1112z00_5481))
						{	/* Cfa/cinfo.sch 1109 */
							return ((BgL_failz00_bglt) BgL__ortest_1112z00_5481);
						}
					else
						{	/* Cfa/cinfo.sch 1109 */
							return
								((BgL_failz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5480));
						}
				}
			}
		}

	}



/* &fail/Cinfo-nil */
	BgL_failz00_bglt BGl_z62failzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_8085)
	{
		{	/* Cfa/cinfo.sch 1109 */
			return BGl_failzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* fail/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_failzf2Cinfozd2approxz20zzcfa_infoz00(BgL_failz00_bglt BgL_oz00_726)
	{
		{	/* Cfa/cinfo.sch 1110 */
			{
				BgL_failzf2cinfozf2_bglt BgL_auxz00_14012;

				{
					obj_t BgL_auxz00_14013;

					{	/* Cfa/cinfo.sch 1110 */
						BgL_objectz00_bglt BgL_tmpz00_14014;

						BgL_tmpz00_14014 = ((BgL_objectz00_bglt) BgL_oz00_726);
						BgL_auxz00_14013 = BGL_OBJECT_WIDENING(BgL_tmpz00_14014);
					}
					BgL_auxz00_14012 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_14013);
				}
				return
					(((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_14012))->
					BgL_approxz00);
			}
		}

	}



/* &fail/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62failzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_8086, obj_t BgL_oz00_8087)
	{
		{	/* Cfa/cinfo.sch 1110 */
			return
				BGl_failzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8087));
		}

	}



/* fail/Cinfo-obj */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzf2Cinfozd2objz20zzcfa_infoz00(BgL_failz00_bglt BgL_oz00_729)
	{
		{	/* Cfa/cinfo.sch 1112 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_729)))->BgL_objz00);
		}

	}



/* &fail/Cinfo-obj */
	BgL_nodez00_bglt BGl_z62failzf2Cinfozd2objz42zzcfa_infoz00(obj_t
		BgL_envz00_8088, obj_t BgL_oz00_8089)
	{
		{	/* Cfa/cinfo.sch 1112 */
			return
				BGl_failzf2Cinfozd2objz20zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8089));
		}

	}



/* fail/Cinfo-obj-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzf2Cinfozd2objzd2setz12ze0zzcfa_infoz00(BgL_failz00_bglt
		BgL_oz00_730, BgL_nodez00_bglt BgL_vz00_731)
	{
		{	/* Cfa/cinfo.sch 1113 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_730)))->BgL_objz00) =
				((BgL_nodez00_bglt) BgL_vz00_731), BUNSPEC);
		}

	}



/* &fail/Cinfo-obj-set! */
	obj_t BGl_z62failzf2Cinfozd2objzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8090, obj_t BgL_oz00_8091, obj_t BgL_vz00_8092)
	{
		{	/* Cfa/cinfo.sch 1113 */
			return
				BGl_failzf2Cinfozd2objzd2setz12ze0zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8091), ((BgL_nodez00_bglt) BgL_vz00_8092));
		}

	}



/* fail/Cinfo-msg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzf2Cinfozd2msgz20zzcfa_infoz00(BgL_failz00_bglt BgL_oz00_732)
	{
		{	/* Cfa/cinfo.sch 1114 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_732)))->BgL_msgz00);
		}

	}



/* &fail/Cinfo-msg */
	BgL_nodez00_bglt BGl_z62failzf2Cinfozd2msgz42zzcfa_infoz00(obj_t
		BgL_envz00_8093, obj_t BgL_oz00_8094)
	{
		{	/* Cfa/cinfo.sch 1114 */
			return
				BGl_failzf2Cinfozd2msgz20zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8094));
		}

	}



/* fail/Cinfo-msg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzf2Cinfozd2msgzd2setz12ze0zzcfa_infoz00(BgL_failz00_bglt
		BgL_oz00_733, BgL_nodez00_bglt BgL_vz00_734)
	{
		{	/* Cfa/cinfo.sch 1115 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_733)))->BgL_msgz00) =
				((BgL_nodez00_bglt) BgL_vz00_734), BUNSPEC);
		}

	}



/* &fail/Cinfo-msg-set! */
	obj_t BGl_z62failzf2Cinfozd2msgzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8095, obj_t BgL_oz00_8096, obj_t BgL_vz00_8097)
	{
		{	/* Cfa/cinfo.sch 1115 */
			return
				BGl_failzf2Cinfozd2msgzd2setz12ze0zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8096), ((BgL_nodez00_bglt) BgL_vz00_8097));
		}

	}



/* fail/Cinfo-proc */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzf2Cinfozd2procz20zzcfa_infoz00(BgL_failz00_bglt BgL_oz00_735)
	{
		{	/* Cfa/cinfo.sch 1116 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_735)))->BgL_procz00);
		}

	}



/* &fail/Cinfo-proc */
	BgL_nodez00_bglt BGl_z62failzf2Cinfozd2procz42zzcfa_infoz00(obj_t
		BgL_envz00_8098, obj_t BgL_oz00_8099)
	{
		{	/* Cfa/cinfo.sch 1116 */
			return
				BGl_failzf2Cinfozd2procz20zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8099));
		}

	}



/* fail/Cinfo-proc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzf2Cinfozd2proczd2setz12ze0zzcfa_infoz00(BgL_failz00_bglt
		BgL_oz00_736, BgL_nodez00_bglt BgL_vz00_737)
	{
		{	/* Cfa/cinfo.sch 1117 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_736)))->BgL_procz00) =
				((BgL_nodez00_bglt) BgL_vz00_737), BUNSPEC);
		}

	}



/* &fail/Cinfo-proc-set! */
	obj_t BGl_z62failzf2Cinfozd2proczd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8100, obj_t BgL_oz00_8101, obj_t BgL_vz00_8102)
	{
		{	/* Cfa/cinfo.sch 1117 */
			return
				BGl_failzf2Cinfozd2proczd2setz12ze0zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8101), ((BgL_nodez00_bglt) BgL_vz00_8102));
		}

	}



/* fail/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_failzf2Cinfozd2typez20zzcfa_infoz00(BgL_failz00_bglt BgL_oz00_738)
	{
		{	/* Cfa/cinfo.sch 1118 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_738)))->BgL_typez00);
		}

	}



/* &fail/Cinfo-type */
	BgL_typez00_bglt BGl_z62failzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8103, obj_t BgL_oz00_8104)
	{
		{	/* Cfa/cinfo.sch 1118 */
			return
				BGl_failzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8104));
		}

	}



/* fail/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_failz00_bglt
		BgL_oz00_739, BgL_typez00_bglt BgL_vz00_740)
	{
		{	/* Cfa/cinfo.sch 1119 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_739)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_740), BUNSPEC);
		}

	}



/* &fail/Cinfo-type-set! */
	obj_t BGl_z62failzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8105, obj_t BgL_oz00_8106, obj_t BgL_vz00_8107)
	{
		{	/* Cfa/cinfo.sch 1119 */
			return
				BGl_failzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8106), ((BgL_typez00_bglt) BgL_vz00_8107));
		}

	}



/* fail/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t BGl_failzf2Cinfozd2locz20zzcfa_infoz00(BgL_failz00_bglt
		BgL_oz00_741)
	{
		{	/* Cfa/cinfo.sch 1120 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_741)))->BgL_locz00);
		}

	}



/* &fail/Cinfo-loc */
	obj_t BGl_z62failzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_8108,
		obj_t BgL_oz00_8109)
	{
		{	/* Cfa/cinfo.sch 1120 */
			return
				BGl_failzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8109));
		}

	}



/* make-switch/Cinfo */
	BGL_EXPORTED_DEF BgL_switchz00_bglt
		BGl_makezd2switchzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1615z00_744,
		BgL_typez00_bglt BgL_type1616z00_745, obj_t BgL_sidezd2effect1617zd2_746,
		obj_t BgL_key1618z00_747, BgL_nodez00_bglt BgL_test1619z00_748,
		obj_t BgL_clauses1620z00_749, BgL_typez00_bglt BgL_itemzd2type1621zd2_750,
		BgL_approxz00_bglt BgL_approx1622z00_751)
	{
		{	/* Cfa/cinfo.sch 1124 */
			{	/* Cfa/cinfo.sch 1124 */
				BgL_switchz00_bglt BgL_new1626z00_9849;

				{	/* Cfa/cinfo.sch 1124 */
					BgL_switchz00_bglt BgL_tmp1624z00_9850;
					BgL_switchzf2cinfozf2_bglt BgL_wide1625z00_9851;

					{
						BgL_switchz00_bglt BgL_auxz00_14061;

						{	/* Cfa/cinfo.sch 1124 */
							BgL_switchz00_bglt BgL_new1623z00_9852;

							BgL_new1623z00_9852 =
								((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_switchz00_bgl))));
							{	/* Cfa/cinfo.sch 1124 */
								long BgL_arg2034z00_9853;

								BgL_arg2034z00_9853 = BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1623z00_9852),
									BgL_arg2034z00_9853);
							}
							{	/* Cfa/cinfo.sch 1124 */
								BgL_objectz00_bglt BgL_tmpz00_14066;

								BgL_tmpz00_14066 = ((BgL_objectz00_bglt) BgL_new1623z00_9852);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14066, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1623z00_9852);
							BgL_auxz00_14061 = BgL_new1623z00_9852;
						}
						BgL_tmp1624z00_9850 = ((BgL_switchz00_bglt) BgL_auxz00_14061);
					}
					BgL_wide1625z00_9851 =
						((BgL_switchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_switchzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1124 */
						obj_t BgL_auxz00_14074;
						BgL_objectz00_bglt BgL_tmpz00_14072;

						BgL_auxz00_14074 = ((obj_t) BgL_wide1625z00_9851);
						BgL_tmpz00_14072 = ((BgL_objectz00_bglt) BgL_tmp1624z00_9850);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14072, BgL_auxz00_14074);
					}
					((BgL_objectz00_bglt) BgL_tmp1624z00_9850);
					{	/* Cfa/cinfo.sch 1124 */
						long BgL_arg2032z00_9854;

						BgL_arg2032z00_9854 =
							BGL_CLASS_NUM(BGl_switchzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1624z00_9850), BgL_arg2032z00_9854);
					}
					BgL_new1626z00_9849 = ((BgL_switchz00_bglt) BgL_tmp1624z00_9850);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1626z00_9849)))->BgL_locz00) =
					((obj_t) BgL_loc1615z00_744), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1626z00_9849)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1616z00_745), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1626z00_9849)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1617zd2_746), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1626z00_9849)))->BgL_keyz00) =
					((obj_t) BgL_key1618z00_747), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1626z00_9849)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_test1619z00_748), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1626z00_9849)))->BgL_clausesz00) =
					((obj_t) BgL_clauses1620z00_749), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1626z00_9849)))->BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) BgL_itemzd2type1621zd2_750), BUNSPEC);
				{
					BgL_switchzf2cinfozf2_bglt BgL_auxz00_14096;

					{
						obj_t BgL_auxz00_14097;

						{	/* Cfa/cinfo.sch 1124 */
							BgL_objectz00_bglt BgL_tmpz00_14098;

							BgL_tmpz00_14098 = ((BgL_objectz00_bglt) BgL_new1626z00_9849);
							BgL_auxz00_14097 = BGL_OBJECT_WIDENING(BgL_tmpz00_14098);
						}
						BgL_auxz00_14096 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_14097);
					}
					((((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_14096))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1622z00_751), BUNSPEC);
				}
				return BgL_new1626z00_9849;
			}
		}

	}



/* &make-switch/Cinfo */
	BgL_switchz00_bglt BGl_z62makezd2switchzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_8110, obj_t BgL_loc1615z00_8111, obj_t BgL_type1616z00_8112,
		obj_t BgL_sidezd2effect1617zd2_8113, obj_t BgL_key1618z00_8114,
		obj_t BgL_test1619z00_8115, obj_t BgL_clauses1620z00_8116,
		obj_t BgL_itemzd2type1621zd2_8117, obj_t BgL_approx1622z00_8118)
	{
		{	/* Cfa/cinfo.sch 1124 */
			return
				BGl_makezd2switchzf2Cinfoz20zzcfa_infoz00(BgL_loc1615z00_8111,
				((BgL_typez00_bglt) BgL_type1616z00_8112),
				BgL_sidezd2effect1617zd2_8113, BgL_key1618z00_8114,
				((BgL_nodez00_bglt) BgL_test1619z00_8115), BgL_clauses1620z00_8116,
				((BgL_typez00_bglt) BgL_itemzd2type1621zd2_8117),
				((BgL_approxz00_bglt) BgL_approx1622z00_8118));
		}

	}



/* switch/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_switchzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_752)
	{
		{	/* Cfa/cinfo.sch 1125 */
			{	/* Cfa/cinfo.sch 1125 */
				obj_t BgL_classz00_9855;

				BgL_classz00_9855 = BGl_switchzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_752))
					{	/* Cfa/cinfo.sch 1125 */
						BgL_objectz00_bglt BgL_arg1825z00_9856;

						BgL_arg1825z00_9856 = (BgL_objectz00_bglt) (BgL_objz00_752);
						{	/* Cfa/cinfo.sch 1125 */
							bool_t BgL_arg1822z00_9857;
							bool_t BgL_arg1823z00_9858;

							{	/* Cfa/cinfo.sch 1125 */
								long BgL_idxz00_9859;

								BgL_idxz00_9859 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9856);
								BgL_arg1822z00_9857 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9859 + ((long) 4))) == BgL_classz00_9855);
							}
							{	/* Cfa/cinfo.sch 1125 */
								bool_t BgL_res3069z00_9862;

								{	/* Cfa/cinfo.sch 1125 */
									obj_t BgL_oclassz00_9863;

									{	/* Cfa/cinfo.sch 1125 */
										long BgL_arg1833z00_9864;

										{	/* Cfa/cinfo.sch 1125 */
											long BgL_arg1834z00_9865;

											BgL_arg1834z00_9865 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9856);
											BgL_arg1833z00_9864 = (BgL_arg1834z00_9865 - OBJECT_TYPE);
										}
										BgL_oclassz00_9863 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9864);
									}
									{	/* Cfa/cinfo.sch 1125 */
										bool_t BgL__ortest_1110z00_9866;

										BgL__ortest_1110z00_9866 =
											(BgL_classz00_9855 == BgL_oclassz00_9863);
										if (BgL__ortest_1110z00_9866)
											{	/* Cfa/cinfo.sch 1125 */
												BgL_res3069z00_9862 = BgL__ortest_1110z00_9866;
											}
										else
											{	/* Cfa/cinfo.sch 1125 */
												long BgL_odepthz00_9867;

												BgL_odepthz00_9867 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9863);
												if ((((long) 4) < BgL_odepthz00_9867))
													{	/* Cfa/cinfo.sch 1125 */
														obj_t BgL_arg1821z00_9868;

														BgL_arg1821z00_9868 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9863,
															((long) 4));
														BgL_res3069z00_9862 =
															(BgL_arg1821z00_9868 == BgL_classz00_9855);
													}
												else
													{	/* Cfa/cinfo.sch 1125 */
														BgL_res3069z00_9862 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9858 = BgL_res3069z00_9862;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9857, BgL_arg1823z00_9858);
						}
					}
				else
					{	/* Cfa/cinfo.sch 1125 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &switch/Cinfo? */
	obj_t BGl_z62switchzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_8119,
		obj_t BgL_objz00_8120)
	{
		{	/* Cfa/cinfo.sch 1125 */
			return BBOOL(BGl_switchzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_8120));
		}

	}



/* switch/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_switchz00_bglt BGl_switchzf2Cinfozd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 1126 */
			{	/* Cfa/cinfo.sch 1126 */
				obj_t BgL_classz00_5530;

				BgL_classz00_5530 = BGl_switchzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1126 */
					obj_t BgL__ortest_1112z00_5531;

					BgL__ortest_1112z00_5531 = BGL_CLASS_NIL(BgL_classz00_5530);
					if (CBOOL(BgL__ortest_1112z00_5531))
						{	/* Cfa/cinfo.sch 1126 */
							return ((BgL_switchz00_bglt) BgL__ortest_1112z00_5531);
						}
					else
						{	/* Cfa/cinfo.sch 1126 */
							return
								((BgL_switchz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5530));
						}
				}
			}
		}

	}



/* &switch/Cinfo-nil */
	BgL_switchz00_bglt BGl_z62switchzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_8121)
	{
		{	/* Cfa/cinfo.sch 1126 */
			return BGl_switchzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* switch/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_switchzf2Cinfozd2approxz20zzcfa_infoz00(BgL_switchz00_bglt BgL_oz00_753)
	{
		{	/* Cfa/cinfo.sch 1127 */
			{
				BgL_switchzf2cinfozf2_bglt BgL_auxz00_14135;

				{
					obj_t BgL_auxz00_14136;

					{	/* Cfa/cinfo.sch 1127 */
						BgL_objectz00_bglt BgL_tmpz00_14137;

						BgL_tmpz00_14137 = ((BgL_objectz00_bglt) BgL_oz00_753);
						BgL_auxz00_14136 = BGL_OBJECT_WIDENING(BgL_tmpz00_14137);
					}
					BgL_auxz00_14135 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_14136);
				}
				return
					(((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_14135))->
					BgL_approxz00);
			}
		}

	}



/* &switch/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62switchzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_8122, obj_t BgL_oz00_8123)
	{
		{	/* Cfa/cinfo.sch 1127 */
			return
				BGl_switchzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8123));
		}

	}



/* switch/Cinfo-item-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_switchzf2Cinfozd2itemzd2typezf2zzcfa_infoz00(BgL_switchz00_bglt
		BgL_oz00_756)
	{
		{	/* Cfa/cinfo.sch 1129 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_756)))->BgL_itemzd2typezd2);
		}

	}



/* &switch/Cinfo-item-type */
	BgL_typez00_bglt BGl_z62switchzf2Cinfozd2itemzd2typez90zzcfa_infoz00(obj_t
		BgL_envz00_8124, obj_t BgL_oz00_8125)
	{
		{	/* Cfa/cinfo.sch 1129 */
			return
				BGl_switchzf2Cinfozd2itemzd2typezf2zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8125));
		}

	}



/* switch/Cinfo-item-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2itemzd2typezd2setz12z32zzcfa_infoz00(BgL_switchz00_bglt
		BgL_oz00_757, BgL_typez00_bglt BgL_vz00_758)
	{
		{	/* Cfa/cinfo.sch 1130 */
			return
				((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_oz00_757)))->BgL_itemzd2typezd2) =
				((BgL_typez00_bglt) BgL_vz00_758), BUNSPEC);
		}

	}



/* &switch/Cinfo-item-type-set! */
	obj_t BGl_z62switchzf2Cinfozd2itemzd2typezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8126, obj_t BgL_oz00_8127, obj_t BgL_vz00_8128)
	{
		{	/* Cfa/cinfo.sch 1130 */
			return
				BGl_switchzf2Cinfozd2itemzd2typezd2setz12z32zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8127),
				((BgL_typez00_bglt) BgL_vz00_8128));
		}

	}



/* switch/Cinfo-clauses */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2clausesz20zzcfa_infoz00(BgL_switchz00_bglt
		BgL_oz00_759)
	{
		{	/* Cfa/cinfo.sch 1131 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_759)))->BgL_clausesz00);
		}

	}



/* &switch/Cinfo-clauses */
	obj_t BGl_z62switchzf2Cinfozd2clausesz42zzcfa_infoz00(obj_t BgL_envz00_8129,
		obj_t BgL_oz00_8130)
	{
		{	/* Cfa/cinfo.sch 1131 */
			return
				BGl_switchzf2Cinfozd2clausesz20zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8130));
		}

	}



/* switch/Cinfo-test */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_switchzf2Cinfozd2testz20zzcfa_infoz00(BgL_switchz00_bglt BgL_oz00_762)
	{
		{	/* Cfa/cinfo.sch 1133 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_762)))->BgL_testz00);
		}

	}



/* &switch/Cinfo-test */
	BgL_nodez00_bglt BGl_z62switchzf2Cinfozd2testz42zzcfa_infoz00(obj_t
		BgL_envz00_8131, obj_t BgL_oz00_8132)
	{
		{	/* Cfa/cinfo.sch 1133 */
			return
				BGl_switchzf2Cinfozd2testz20zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8132));
		}

	}



/* switch/Cinfo-test-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2testzd2setz12ze0zzcfa_infoz00(BgL_switchz00_bglt
		BgL_oz00_763, BgL_nodez00_bglt BgL_vz00_764)
	{
		{	/* Cfa/cinfo.sch 1134 */
			return
				((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_oz00_763)))->BgL_testz00) =
				((BgL_nodez00_bglt) BgL_vz00_764), BUNSPEC);
		}

	}



/* &switch/Cinfo-test-set! */
	obj_t BGl_z62switchzf2Cinfozd2testzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8133, obj_t BgL_oz00_8134, obj_t BgL_vz00_8135)
	{
		{	/* Cfa/cinfo.sch 1134 */
			return
				BGl_switchzf2Cinfozd2testzd2setz12ze0zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8134),
				((BgL_nodez00_bglt) BgL_vz00_8135));
		}

	}



/* switch/Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2keyz20zzcfa_infoz00(BgL_switchz00_bglt BgL_oz00_765)
	{
		{	/* Cfa/cinfo.sch 1135 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_765)))->BgL_keyz00);
		}

	}



/* &switch/Cinfo-key */
	obj_t BGl_z62switchzf2Cinfozd2keyz42zzcfa_infoz00(obj_t BgL_envz00_8136,
		obj_t BgL_oz00_8137)
	{
		{	/* Cfa/cinfo.sch 1135 */
			return
				BGl_switchzf2Cinfozd2keyz20zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8137));
		}

	}



/* switch/Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2keyzd2setz12ze0zzcfa_infoz00(BgL_switchz00_bglt
		BgL_oz00_766, obj_t BgL_vz00_767)
	{
		{	/* Cfa/cinfo.sch 1136 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_766)))->BgL_keyz00) =
				((obj_t) BgL_vz00_767), BUNSPEC);
		}

	}



/* &switch/Cinfo-key-set! */
	obj_t BGl_z62switchzf2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8138, obj_t BgL_oz00_8139, obj_t BgL_vz00_8140)
	{
		{	/* Cfa/cinfo.sch 1136 */
			return
				BGl_switchzf2Cinfozd2keyzd2setz12ze0zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8139), BgL_vz00_8140);
		}

	}



/* switch/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00(BgL_switchz00_bglt
		BgL_oz00_768)
	{
		{	/* Cfa/cinfo.sch 1137 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_768)))->BgL_sidezd2effectzd2);
		}

	}



/* &switch/Cinfo-side-effect */
	obj_t BGl_z62switchzf2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t
		BgL_envz00_8141, obj_t BgL_oz00_8142)
	{
		{	/* Cfa/cinfo.sch 1137 */
			return
				BGl_switchzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8142));
		}

	}



/* switch/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_switchz00_bglt BgL_oz00_769, obj_t BgL_vz00_770)
	{
		{	/* Cfa/cinfo.sch 1138 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_769)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_770), BUNSPEC);
		}

	}



/* &switch/Cinfo-side-effect-set! */
	obj_t BGl_z62switchzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8143, obj_t BgL_oz00_8144, obj_t BgL_vz00_8145)
	{
		{	/* Cfa/cinfo.sch 1138 */
			return
				BGl_switchzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8144), BgL_vz00_8145);
		}

	}



/* switch/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_switchzf2Cinfozd2typez20zzcfa_infoz00(BgL_switchz00_bglt BgL_oz00_771)
	{
		{	/* Cfa/cinfo.sch 1139 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_771)))->BgL_typez00);
		}

	}



/* &switch/Cinfo-type */
	BgL_typez00_bglt BGl_z62switchzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8146, obj_t BgL_oz00_8147)
	{
		{	/* Cfa/cinfo.sch 1139 */
			return
				BGl_switchzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8147));
		}

	}



/* switch/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_switchz00_bglt
		BgL_oz00_772, BgL_typez00_bglt BgL_vz00_773)
	{
		{	/* Cfa/cinfo.sch 1140 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_772)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_773), BUNSPEC);
		}

	}



/* &switch/Cinfo-type-set! */
	obj_t BGl_z62switchzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8148, obj_t BgL_oz00_8149, obj_t BgL_vz00_8150)
	{
		{	/* Cfa/cinfo.sch 1140 */
			return
				BGl_switchzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8149),
				((BgL_typez00_bglt) BgL_vz00_8150));
		}

	}



/* switch/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2locz20zzcfa_infoz00(BgL_switchz00_bglt BgL_oz00_774)
	{
		{	/* Cfa/cinfo.sch 1141 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_774)))->BgL_locz00);
		}

	}



/* &switch/Cinfo-loc */
	obj_t BGl_z62switchzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_8151,
		obj_t BgL_oz00_8152)
	{
		{	/* Cfa/cinfo.sch 1141 */
			return
				BGl_switchzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8152));
		}

	}



/* make-set-ex-it/Cinfo */
	BGL_EXPORTED_DEF BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1608z00_777,
		BgL_typez00_bglt BgL_type1609z00_778, BgL_varz00_bglt BgL_var1610z00_779,
		BgL_nodez00_bglt BgL_body1611z00_780,
		BgL_nodez00_bglt BgL_onexit1612z00_781,
		BgL_approxz00_bglt BgL_approx1613z00_782)
	{
		{	/* Cfa/cinfo.sch 1145 */
			{	/* Cfa/cinfo.sch 1145 */
				BgL_setzd2exzd2itz00_bglt BgL_new1630z00_9869;

				{	/* Cfa/cinfo.sch 1145 */
					BgL_setzd2exzd2itz00_bglt BgL_tmp1628z00_9870;
					BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_wide1629z00_9871;

					{
						BgL_setzd2exzd2itz00_bglt BgL_auxz00_14195;

						{	/* Cfa/cinfo.sch 1145 */
							BgL_setzd2exzd2itz00_bglt BgL_new1627z00_9872;

							BgL_new1627z00_9872 =
								((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setzd2exzd2itz00_bgl))));
							{	/* Cfa/cinfo.sch 1145 */
								long BgL_arg2036z00_9873;

								BgL_arg2036z00_9873 =
									BGL_CLASS_NUM(BGl_setzd2exzd2itz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1627z00_9872),
									BgL_arg2036z00_9873);
							}
							{	/* Cfa/cinfo.sch 1145 */
								BgL_objectz00_bglt BgL_tmpz00_14200;

								BgL_tmpz00_14200 = ((BgL_objectz00_bglt) BgL_new1627z00_9872);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14200, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1627z00_9872);
							BgL_auxz00_14195 = BgL_new1627z00_9872;
						}
						BgL_tmp1628z00_9870 =
							((BgL_setzd2exzd2itz00_bglt) BgL_auxz00_14195);
					}
					BgL_wide1629z00_9871 =
						((BgL_setzd2exzd2itzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1145 */
						obj_t BgL_auxz00_14208;
						BgL_objectz00_bglt BgL_tmpz00_14206;

						BgL_auxz00_14208 = ((obj_t) BgL_wide1629z00_9871);
						BgL_tmpz00_14206 = ((BgL_objectz00_bglt) BgL_tmp1628z00_9870);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14206, BgL_auxz00_14208);
					}
					((BgL_objectz00_bglt) BgL_tmp1628z00_9870);
					{	/* Cfa/cinfo.sch 1145 */
						long BgL_arg2035z00_9874;

						BgL_arg2035z00_9874 =
							BGL_CLASS_NUM(BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1628z00_9870), BgL_arg2035z00_9874);
					}
					BgL_new1630z00_9869 =
						((BgL_setzd2exzd2itz00_bglt) BgL_tmp1628z00_9870);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1630z00_9869)))->BgL_locz00) =
					((obj_t) BgL_loc1608z00_777), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1630z00_9869)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1609z00_778), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1630z00_9869)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1610z00_779), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1630z00_9869)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1611z00_780), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1630z00_9869)))->BgL_onexitz00) =
					((BgL_nodez00_bglt) BgL_onexit1612z00_781), BUNSPEC);
				{
					BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_14226;

					{
						obj_t BgL_auxz00_14227;

						{	/* Cfa/cinfo.sch 1145 */
							BgL_objectz00_bglt BgL_tmpz00_14228;

							BgL_tmpz00_14228 = ((BgL_objectz00_bglt) BgL_new1630z00_9869);
							BgL_auxz00_14227 = BGL_OBJECT_WIDENING(BgL_tmpz00_14228);
						}
						BgL_auxz00_14226 =
							((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_14227);
					}
					((((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_14226))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1613z00_782), BUNSPEC);
				}
				return BgL_new1630z00_9869;
			}
		}

	}



/* &make-set-ex-it/Cinfo */
	BgL_setzd2exzd2itz00_bglt
		BGl_z62makezd2setzd2exzd2itzf2Cinfoz42zzcfa_infoz00(obj_t BgL_envz00_8153,
		obj_t BgL_loc1608z00_8154, obj_t BgL_type1609z00_8155,
		obj_t BgL_var1610z00_8156, obj_t BgL_body1611z00_8157,
		obj_t BgL_onexit1612z00_8158, obj_t BgL_approx1613z00_8159)
	{
		{	/* Cfa/cinfo.sch 1145 */
			return
				BGl_makezd2setzd2exzd2itzf2Cinfoz20zzcfa_infoz00(BgL_loc1608z00_8154,
				((BgL_typez00_bglt) BgL_type1609z00_8155),
				((BgL_varz00_bglt) BgL_var1610z00_8156),
				((BgL_nodez00_bglt) BgL_body1611z00_8157),
				((BgL_nodez00_bglt) BgL_onexit1612z00_8158),
				((BgL_approxz00_bglt) BgL_approx1613z00_8159));
		}

	}



/* set-ex-it/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_setzd2exzd2itzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_783)
	{
		{	/* Cfa/cinfo.sch 1146 */
			{	/* Cfa/cinfo.sch 1146 */
				obj_t BgL_classz00_9875;

				BgL_classz00_9875 = BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_783))
					{	/* Cfa/cinfo.sch 1146 */
						BgL_objectz00_bglt BgL_arg1825z00_9876;

						BgL_arg1825z00_9876 = (BgL_objectz00_bglt) (BgL_objz00_783);
						{	/* Cfa/cinfo.sch 1146 */
							bool_t BgL_arg1822z00_9877;
							bool_t BgL_arg1823z00_9878;

							{	/* Cfa/cinfo.sch 1146 */
								long BgL_idxz00_9879;

								BgL_idxz00_9879 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9876);
								BgL_arg1822z00_9877 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9879 + ((long) 3))) == BgL_classz00_9875);
							}
							{	/* Cfa/cinfo.sch 1146 */
								bool_t BgL_res3070z00_9882;

								{	/* Cfa/cinfo.sch 1146 */
									obj_t BgL_oclassz00_9883;

									{	/* Cfa/cinfo.sch 1146 */
										long BgL_arg1833z00_9884;

										{	/* Cfa/cinfo.sch 1146 */
											long BgL_arg1834z00_9885;

											BgL_arg1834z00_9885 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9876);
											BgL_arg1833z00_9884 = (BgL_arg1834z00_9885 - OBJECT_TYPE);
										}
										BgL_oclassz00_9883 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9884);
									}
									{	/* Cfa/cinfo.sch 1146 */
										bool_t BgL__ortest_1110z00_9886;

										BgL__ortest_1110z00_9886 =
											(BgL_classz00_9875 == BgL_oclassz00_9883);
										if (BgL__ortest_1110z00_9886)
											{	/* Cfa/cinfo.sch 1146 */
												BgL_res3070z00_9882 = BgL__ortest_1110z00_9886;
											}
										else
											{	/* Cfa/cinfo.sch 1146 */
												long BgL_odepthz00_9887;

												BgL_odepthz00_9887 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9883);
												if ((((long) 3) < BgL_odepthz00_9887))
													{	/* Cfa/cinfo.sch 1146 */
														obj_t BgL_arg1821z00_9888;

														BgL_arg1821z00_9888 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9883,
															((long) 3));
														BgL_res3070z00_9882 =
															(BgL_arg1821z00_9888 == BgL_classz00_9875);
													}
												else
													{	/* Cfa/cinfo.sch 1146 */
														BgL_res3070z00_9882 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9878 = BgL_res3070z00_9882;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9877, BgL_arg1823z00_9878);
						}
					}
				else
					{	/* Cfa/cinfo.sch 1146 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &set-ex-it/Cinfo? */
	obj_t BGl_z62setzd2exzd2itzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_8160,
		obj_t BgL_objz00_8161)
	{
		{	/* Cfa/cinfo.sch 1146 */
			return
				BBOOL(BGl_setzd2exzd2itzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_8161));
		}

	}



/* set-ex-it/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_setzd2exzd2itz00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 1147 */
			{	/* Cfa/cinfo.sch 1147 */
				obj_t BgL_classz00_5580;

				BgL_classz00_5580 = BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1147 */
					obj_t BgL__ortest_1112z00_5581;

					BgL__ortest_1112z00_5581 = BGL_CLASS_NIL(BgL_classz00_5580);
					if (CBOOL(BgL__ortest_1112z00_5581))
						{	/* Cfa/cinfo.sch 1147 */
							return ((BgL_setzd2exzd2itz00_bglt) BgL__ortest_1112z00_5581);
						}
					else
						{	/* Cfa/cinfo.sch 1147 */
							return
								((BgL_setzd2exzd2itz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5580));
						}
				}
			}
		}

	}



/* &set-ex-it/Cinfo-nil */
	BgL_setzd2exzd2itz00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2nilz42zzcfa_infoz00(obj_t BgL_envz00_8162)
	{
		{	/* Cfa/cinfo.sch 1147 */
			return BGl_setzd2exzd2itzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* set-ex-it/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2approxz20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_784)
	{
		{	/* Cfa/cinfo.sch 1148 */
			{
				BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_14266;

				{
					obj_t BgL_auxz00_14267;

					{	/* Cfa/cinfo.sch 1148 */
						BgL_objectz00_bglt BgL_tmpz00_14268;

						BgL_tmpz00_14268 = ((BgL_objectz00_bglt) BgL_oz00_784);
						BgL_auxz00_14267 = BGL_OBJECT_WIDENING(BgL_tmpz00_14268);
					}
					BgL_auxz00_14266 =
						((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_14267);
				}
				return
					(((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_14266))->
					BgL_approxz00);
			}
		}

	}



/* &set-ex-it/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62setzd2exzd2itzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_8163, obj_t BgL_oz00_8164)
	{
		{	/* Cfa/cinfo.sch 1148 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8164));
		}

	}



/* set-ex-it/Cinfo-onexit */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2onexitz20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_787)
	{
		{	/* Cfa/cinfo.sch 1150 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_787)))->BgL_onexitz00);
		}

	}



/* &set-ex-it/Cinfo-onexit */
	BgL_nodez00_bglt BGl_z62setzd2exzd2itzf2Cinfozd2onexitz42zzcfa_infoz00(obj_t
		BgL_envz00_8165, obj_t BgL_oz00_8166)
	{
		{	/* Cfa/cinfo.sch 1150 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2onexitz20zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8166));
		}

	}



/* set-ex-it/Cinfo-onexit-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzf2Cinfozd2onexitzd2setz12ze0zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt BgL_oz00_788, BgL_nodez00_bglt BgL_vz00_789)
	{
		{	/* Cfa/cinfo.sch 1151 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_788)))->BgL_onexitz00) =
				((BgL_nodez00_bglt) BgL_vz00_789), BUNSPEC);
		}

	}



/* &set-ex-it/Cinfo-onexit-set! */
	obj_t BGl_z62setzd2exzd2itzf2Cinfozd2onexitzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8167, obj_t BgL_oz00_8168, obj_t BgL_vz00_8169)
	{
		{	/* Cfa/cinfo.sch 1151 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2onexitzd2setz12ze0zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8168),
				((BgL_nodez00_bglt) BgL_vz00_8169));
		}

	}



/* set-ex-it/Cinfo-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2bodyz20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_790)
	{
		{	/* Cfa/cinfo.sch 1152 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_790)))->BgL_bodyz00);
		}

	}



/* &set-ex-it/Cinfo-body */
	BgL_nodez00_bglt BGl_z62setzd2exzd2itzf2Cinfozd2bodyz42zzcfa_infoz00(obj_t
		BgL_envz00_8170, obj_t BgL_oz00_8171)
	{
		{	/* Cfa/cinfo.sch 1152 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2bodyz20zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8171));
		}

	}



/* set-ex-it/Cinfo-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzf2Cinfozd2bodyzd2setz12ze0zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt BgL_oz00_791, BgL_nodez00_bglt BgL_vz00_792)
	{
		{	/* Cfa/cinfo.sch 1153 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_791)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_792), BUNSPEC);
		}

	}



/* &set-ex-it/Cinfo-body-set! */
	obj_t BGl_z62setzd2exzd2itzf2Cinfozd2bodyzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8172, obj_t BgL_oz00_8173, obj_t BgL_vz00_8174)
	{
		{	/* Cfa/cinfo.sch 1153 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2bodyzd2setz12ze0zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8173),
				((BgL_nodez00_bglt) BgL_vz00_8174));
		}

	}



/* set-ex-it/Cinfo-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2varz20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_793)
	{
		{	/* Cfa/cinfo.sch 1154 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_793)))->BgL_varz00);
		}

	}



/* &set-ex-it/Cinfo-var */
	BgL_varz00_bglt BGl_z62setzd2exzd2itzf2Cinfozd2varz42zzcfa_infoz00(obj_t
		BgL_envz00_8175, obj_t BgL_oz00_8176)
	{
		{	/* Cfa/cinfo.sch 1154 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2varz20zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8176));
		}

	}



/* set-ex-it/Cinfo-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzf2Cinfozd2varzd2setz12ze0zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt BgL_oz00_794, BgL_varz00_bglt BgL_vz00_795)
	{
		{	/* Cfa/cinfo.sch 1155 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_794)))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_795), BUNSPEC);
		}

	}



/* &set-ex-it/Cinfo-var-set! */
	obj_t BGl_z62setzd2exzd2itzf2Cinfozd2varzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8177, obj_t BgL_oz00_8178, obj_t BgL_vz00_8179)
	{
		{	/* Cfa/cinfo.sch 1155 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2varzd2setz12ze0zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8178),
				((BgL_varz00_bglt) BgL_vz00_8179));
		}

	}



/* set-ex-it/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2typez20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_796)
	{
		{	/* Cfa/cinfo.sch 1156 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_796)))->BgL_typez00);
		}

	}



/* &set-ex-it/Cinfo-type */
	BgL_typez00_bglt BGl_z62setzd2exzd2itzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8180, obj_t BgL_oz00_8181)
	{
		{	/* Cfa/cinfo.sch 1156 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8181));
		}

	}



/* set-ex-it/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt BgL_oz00_797, BgL_typez00_bglt BgL_vz00_798)
	{
		{	/* Cfa/cinfo.sch 1157 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_797)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_798), BUNSPEC);
		}

	}



/* &set-ex-it/Cinfo-type-set! */
	obj_t BGl_z62setzd2exzd2itzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8182, obj_t BgL_oz00_8183, obj_t BgL_vz00_8184)
	{
		{	/* Cfa/cinfo.sch 1157 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8183),
				((BgL_typez00_bglt) BgL_vz00_8184));
		}

	}



/* set-ex-it/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzf2Cinfozd2locz20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_799)
	{
		{	/* Cfa/cinfo.sch 1158 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_799)))->BgL_locz00);
		}

	}



/* &set-ex-it/Cinfo-loc */
	obj_t BGl_z62setzd2exzd2itzf2Cinfozd2locz42zzcfa_infoz00(obj_t
		BgL_envz00_8185, obj_t BgL_oz00_8186)
	{
		{	/* Cfa/cinfo.sch 1158 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8186));
		}

	}



/* make-jump-ex-it/Cinfo */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1601z00_802,
		BgL_typez00_bglt BgL_type1602z00_803, BgL_nodez00_bglt BgL_exit1603z00_804,
		BgL_nodez00_bglt BgL_value1604z00_805,
		BgL_approxz00_bglt BgL_approx1606z00_806)
	{
		{	/* Cfa/cinfo.sch 1162 */
			{	/* Cfa/cinfo.sch 1162 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1634z00_9889;

				{	/* Cfa/cinfo.sch 1162 */
					BgL_jumpzd2exzd2itz00_bglt BgL_tmp1632z00_9890;
					BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_wide1633z00_9891;

					{
						BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_14315;

						{	/* Cfa/cinfo.sch 1162 */
							BgL_jumpzd2exzd2itz00_bglt BgL_new1631z00_9892;

							BgL_new1631z00_9892 =
								((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_jumpzd2exzd2itz00_bgl))));
							{	/* Cfa/cinfo.sch 1162 */
								long BgL_arg2039z00_9893;

								BgL_arg2039z00_9893 =
									BGL_CLASS_NUM(BGl_jumpzd2exzd2itz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1631z00_9892),
									BgL_arg2039z00_9893);
							}
							{	/* Cfa/cinfo.sch 1162 */
								BgL_objectz00_bglt BgL_tmpz00_14320;

								BgL_tmpz00_14320 = ((BgL_objectz00_bglt) BgL_new1631z00_9892);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14320, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1631z00_9892);
							BgL_auxz00_14315 = BgL_new1631z00_9892;
						}
						BgL_tmp1632z00_9890 =
							((BgL_jumpzd2exzd2itz00_bglt) BgL_auxz00_14315);
					}
					BgL_wide1633z00_9891 =
						((BgL_jumpzd2exzd2itzf2cinfozf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1162 */
						obj_t BgL_auxz00_14328;
						BgL_objectz00_bglt BgL_tmpz00_14326;

						BgL_auxz00_14328 = ((obj_t) BgL_wide1633z00_9891);
						BgL_tmpz00_14326 = ((BgL_objectz00_bglt) BgL_tmp1632z00_9890);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14326, BgL_auxz00_14328);
					}
					((BgL_objectz00_bglt) BgL_tmp1632z00_9890);
					{	/* Cfa/cinfo.sch 1162 */
						long BgL_arg2037z00_9894;

						BgL_arg2037z00_9894 =
							BGL_CLASS_NUM(BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1632z00_9890), BgL_arg2037z00_9894);
					}
					BgL_new1634z00_9889 =
						((BgL_jumpzd2exzd2itz00_bglt) BgL_tmp1632z00_9890);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1634z00_9889)))->BgL_locz00) =
					((obj_t) BgL_loc1601z00_802), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1634z00_9889)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1602z00_803), BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_new1634z00_9889)))->BgL_exitz00) =
					((BgL_nodez00_bglt) BgL_exit1603z00_804), BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_new1634z00_9889)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1604z00_805), BUNSPEC);
				{
					BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_14344;

					{
						obj_t BgL_auxz00_14345;

						{	/* Cfa/cinfo.sch 1162 */
							BgL_objectz00_bglt BgL_tmpz00_14346;

							BgL_tmpz00_14346 = ((BgL_objectz00_bglt) BgL_new1634z00_9889);
							BgL_auxz00_14345 = BGL_OBJECT_WIDENING(BgL_tmpz00_14346);
						}
						BgL_auxz00_14344 =
							((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_14345);
					}
					((((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_14344))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1606z00_806), BUNSPEC);
				}
				return BgL_new1634z00_9889;
			}
		}

	}



/* &make-jump-ex-it/Cinfo */
	BgL_jumpzd2exzd2itz00_bglt
		BGl_z62makezd2jumpzd2exzd2itzf2Cinfoz42zzcfa_infoz00(obj_t BgL_envz00_8187,
		obj_t BgL_loc1601z00_8188, obj_t BgL_type1602z00_8189,
		obj_t BgL_exit1603z00_8190, obj_t BgL_value1604z00_8191,
		obj_t BgL_approx1606z00_8192)
	{
		{	/* Cfa/cinfo.sch 1162 */
			return
				BGl_makezd2jumpzd2exzd2itzf2Cinfoz20zzcfa_infoz00(BgL_loc1601z00_8188,
				((BgL_typez00_bglt) BgL_type1602z00_8189),
				((BgL_nodez00_bglt) BgL_exit1603z00_8190),
				((BgL_nodez00_bglt) BgL_value1604z00_8191),
				((BgL_approxz00_bglt) BgL_approx1606z00_8192));
		}

	}



/* jump-ex-it/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_jumpzd2exzd2itzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_807)
	{
		{	/* Cfa/cinfo.sch 1163 */
			{	/* Cfa/cinfo.sch 1163 */
				obj_t BgL_classz00_9895;

				BgL_classz00_9895 = BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_807))
					{	/* Cfa/cinfo.sch 1163 */
						BgL_objectz00_bglt BgL_arg1825z00_9896;

						BgL_arg1825z00_9896 = (BgL_objectz00_bglt) (BgL_objz00_807);
						{	/* Cfa/cinfo.sch 1163 */
							bool_t BgL_arg1822z00_9897;
							bool_t BgL_arg1823z00_9898;

							{	/* Cfa/cinfo.sch 1163 */
								long BgL_idxz00_9899;

								BgL_idxz00_9899 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9896);
								BgL_arg1822z00_9897 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9899 + ((long) 3))) == BgL_classz00_9895);
							}
							{	/* Cfa/cinfo.sch 1163 */
								bool_t BgL_res3071z00_9902;

								{	/* Cfa/cinfo.sch 1163 */
									obj_t BgL_oclassz00_9903;

									{	/* Cfa/cinfo.sch 1163 */
										long BgL_arg1833z00_9904;

										{	/* Cfa/cinfo.sch 1163 */
											long BgL_arg1834z00_9905;

											BgL_arg1834z00_9905 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9896);
											BgL_arg1833z00_9904 = (BgL_arg1834z00_9905 - OBJECT_TYPE);
										}
										BgL_oclassz00_9903 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9904);
									}
									{	/* Cfa/cinfo.sch 1163 */
										bool_t BgL__ortest_1110z00_9906;

										BgL__ortest_1110z00_9906 =
											(BgL_classz00_9895 == BgL_oclassz00_9903);
										if (BgL__ortest_1110z00_9906)
											{	/* Cfa/cinfo.sch 1163 */
												BgL_res3071z00_9902 = BgL__ortest_1110z00_9906;
											}
										else
											{	/* Cfa/cinfo.sch 1163 */
												long BgL_odepthz00_9907;

												BgL_odepthz00_9907 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9903);
												if ((((long) 3) < BgL_odepthz00_9907))
													{	/* Cfa/cinfo.sch 1163 */
														obj_t BgL_arg1821z00_9908;

														BgL_arg1821z00_9908 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9903,
															((long) 3));
														BgL_res3071z00_9902 =
															(BgL_arg1821z00_9908 == BgL_classz00_9895);
													}
												else
													{	/* Cfa/cinfo.sch 1163 */
														BgL_res3071z00_9902 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9898 = BgL_res3071z00_9902;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9897, BgL_arg1823z00_9898);
						}
					}
				else
					{	/* Cfa/cinfo.sch 1163 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &jump-ex-it/Cinfo? */
	obj_t BGl_z62jumpzd2exzd2itzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_8193,
		obj_t BgL_objz00_8194)
	{
		{	/* Cfa/cinfo.sch 1163 */
			return
				BBOOL(BGl_jumpzd2exzd2itzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_8194));
		}

	}



/* jump-ex-it/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 1164 */
			{	/* Cfa/cinfo.sch 1164 */
				obj_t BgL_classz00_5630;

				BgL_classz00_5630 = BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1164 */
					obj_t BgL__ortest_1112z00_5631;

					BgL__ortest_1112z00_5631 = BGL_CLASS_NIL(BgL_classz00_5630);
					if (CBOOL(BgL__ortest_1112z00_5631))
						{	/* Cfa/cinfo.sch 1164 */
							return ((BgL_jumpzd2exzd2itz00_bglt) BgL__ortest_1112z00_5631);
						}
					else
						{	/* Cfa/cinfo.sch 1164 */
							return
								((BgL_jumpzd2exzd2itz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5630));
						}
				}
			}
		}

	}



/* &jump-ex-it/Cinfo-nil */
	BgL_jumpzd2exzd2itz00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2nilz42zzcfa_infoz00(obj_t BgL_envz00_8195)
	{
		{	/* Cfa/cinfo.sch 1164 */
			return BGl_jumpzd2exzd2itzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* jump-ex-it/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2approxz20zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_808)
	{
		{	/* Cfa/cinfo.sch 1165 */
			{
				BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_14383;

				{
					obj_t BgL_auxz00_14384;

					{	/* Cfa/cinfo.sch 1165 */
						BgL_objectz00_bglt BgL_tmpz00_14385;

						BgL_tmpz00_14385 = ((BgL_objectz00_bglt) BgL_oz00_808);
						BgL_auxz00_14384 = BGL_OBJECT_WIDENING(BgL_tmpz00_14385);
					}
					BgL_auxz00_14383 =
						((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_14384);
				}
				return
					(((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_14383))->
					BgL_approxz00);
			}
		}

	}



/* &jump-ex-it/Cinfo-approx */
	BgL_approxz00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_8196, obj_t BgL_oz00_8197)
	{
		{	/* Cfa/cinfo.sch 1165 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8197));
		}

	}



/* jump-ex-it/Cinfo-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2valuez20zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_811)
	{
		{	/* Cfa/cinfo.sch 1167 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_811)))->BgL_valuez00);
		}

	}



/* &jump-ex-it/Cinfo-value */
	BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzf2Cinfozd2valuez42zzcfa_infoz00(obj_t
		BgL_envz00_8198, obj_t BgL_oz00_8199)
	{
		{	/* Cfa/cinfo.sch 1167 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2valuez20zzcfa_infoz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8199));
		}

	}



/* jump-ex-it/Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_812, BgL_nodez00_bglt BgL_vz00_813)
	{
		{	/* Cfa/cinfo.sch 1168 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_812)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_813), BUNSPEC);
		}

	}



/* &jump-ex-it/Cinfo-value-set! */
	obj_t BGl_z62jumpzd2exzd2itzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8200, obj_t BgL_oz00_8201, obj_t BgL_vz00_8202)
	{
		{	/* Cfa/cinfo.sch 1168 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8201),
				((BgL_nodez00_bglt) BgL_vz00_8202));
		}

	}



/* jump-ex-it/Cinfo-exit */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2exitz20zzcfa_infoz00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_814)
	{
		{	/* Cfa/cinfo.sch 1169 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_814)))->BgL_exitz00);
		}

	}



/* &jump-ex-it/Cinfo-exit */
	BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzf2Cinfozd2exitz42zzcfa_infoz00(obj_t
		BgL_envz00_8203, obj_t BgL_oz00_8204)
	{
		{	/* Cfa/cinfo.sch 1169 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2exitz20zzcfa_infoz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8204));
		}

	}



/* jump-ex-it/Cinfo-exit-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2exitzd2setz12ze0zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_815, BgL_nodez00_bglt BgL_vz00_816)
	{
		{	/* Cfa/cinfo.sch 1170 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_815)))->BgL_exitz00) =
				((BgL_nodez00_bglt) BgL_vz00_816), BUNSPEC);
		}

	}



/* &jump-ex-it/Cinfo-exit-set! */
	obj_t BGl_z62jumpzd2exzd2itzf2Cinfozd2exitzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8205, obj_t BgL_oz00_8206, obj_t BgL_vz00_8207)
	{
		{	/* Cfa/cinfo.sch 1170 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2exitzd2setz12ze0zzcfa_infoz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8206),
				((BgL_nodez00_bglt) BgL_vz00_8207));
		}

	}



/* jump-ex-it/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2typez20zzcfa_infoz00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_817)
	{
		{	/* Cfa/cinfo.sch 1171 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_817)))->BgL_typez00);
		}

	}



/* &jump-ex-it/Cinfo-type */
	BgL_typez00_bglt BGl_z62jumpzd2exzd2itzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8208, obj_t BgL_oz00_8209)
	{
		{	/* Cfa/cinfo.sch 1171 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8209));
		}

	}



/* jump-ex-it/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_818, BgL_typez00_bglt BgL_vz00_819)
	{
		{	/* Cfa/cinfo.sch 1172 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_818)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_819), BUNSPEC);
		}

	}



/* &jump-ex-it/Cinfo-type-set! */
	obj_t BGl_z62jumpzd2exzd2itzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8210, obj_t BgL_oz00_8211, obj_t BgL_vz00_8212)
	{
		{	/* Cfa/cinfo.sch 1172 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8211),
				((BgL_typez00_bglt) BgL_vz00_8212));
		}

	}



/* jump-ex-it/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2locz20zzcfa_infoz00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_820)
	{
		{	/* Cfa/cinfo.sch 1173 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_820)))->BgL_locz00);
		}

	}



/* &jump-ex-it/Cinfo-loc */
	obj_t BGl_z62jumpzd2exzd2itzf2Cinfozd2locz42zzcfa_infoz00(obj_t
		BgL_envz00_8213, obj_t BgL_oz00_8214)
	{
		{	/* Cfa/cinfo.sch 1173 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8214));
		}

	}



/* make-pre-make-box */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2prezd2makezd2boxzd2zzcfa_infoz00(obj_t BgL_loc1592z00_823,
		BgL_typez00_bglt BgL_type1593z00_824, obj_t BgL_sidezd2effect1594zd2_825,
		obj_t BgL_key1595z00_826, BgL_nodez00_bglt BgL_value1596z00_827,
		BgL_typez00_bglt BgL_vtype1598z00_828, obj_t BgL_stackable1599z00_829)
	{
		{	/* Cfa/cinfo.sch 1177 */
			{	/* Cfa/cinfo.sch 1177 */
				BgL_makezd2boxzd2_bglt BgL_new1638z00_9909;

				{	/* Cfa/cinfo.sch 1177 */
					BgL_makezd2boxzd2_bglt BgL_tmp1636z00_9910;
					BgL_prezd2makezd2boxz00_bglt BgL_wide1637z00_9911;

					{
						BgL_makezd2boxzd2_bglt BgL_auxz00_14423;

						{	/* Cfa/cinfo.sch 1177 */
							BgL_makezd2boxzd2_bglt BgL_new1635z00_9912;

							BgL_new1635z00_9912 =
								((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzd2_bgl))));
							{	/* Cfa/cinfo.sch 1177 */
								long BgL_arg2041z00_9913;

								BgL_arg2041z00_9913 =
									BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1635z00_9912),
									BgL_arg2041z00_9913);
							}
							{	/* Cfa/cinfo.sch 1177 */
								BgL_objectz00_bglt BgL_tmpz00_14428;

								BgL_tmpz00_14428 = ((BgL_objectz00_bglt) BgL_new1635z00_9912);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14428, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1635z00_9912);
							BgL_auxz00_14423 = BgL_new1635z00_9912;
						}
						BgL_tmp1636z00_9910 = ((BgL_makezd2boxzd2_bglt) BgL_auxz00_14423);
					}
					BgL_wide1637z00_9911 =
						((BgL_prezd2makezd2boxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_prezd2makezd2boxz00_bgl))));
					{	/* Cfa/cinfo.sch 1177 */
						obj_t BgL_auxz00_14436;
						BgL_objectz00_bglt BgL_tmpz00_14434;

						BgL_auxz00_14436 = ((obj_t) BgL_wide1637z00_9911);
						BgL_tmpz00_14434 = ((BgL_objectz00_bglt) BgL_tmp1636z00_9910);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14434, BgL_auxz00_14436);
					}
					((BgL_objectz00_bglt) BgL_tmp1636z00_9910);
					{	/* Cfa/cinfo.sch 1177 */
						long BgL_arg2040z00_9914;

						BgL_arg2040z00_9914 =
							BGL_CLASS_NUM(BGl_prezd2makezd2boxz00zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1636z00_9910), BgL_arg2040z00_9914);
					}
					BgL_new1638z00_9909 = ((BgL_makezd2boxzd2_bglt) BgL_tmp1636z00_9910);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1638z00_9909)))->BgL_locz00) =
					((obj_t) BgL_loc1592z00_823), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1638z00_9909)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1593z00_824), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1638z00_9909)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1594zd2_825), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1638z00_9909)))->BgL_keyz00) =
					((obj_t) BgL_key1595z00_826), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1638z00_9909)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1596z00_827), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1638z00_9909)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1598z00_828), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1638z00_9909)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1599z00_829), BUNSPEC);
				return BgL_new1638z00_9909;
			}
		}

	}



/* &make-pre-make-box */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2prezd2makezd2boxzb0zzcfa_infoz00(obj_t
		BgL_envz00_8215, obj_t BgL_loc1592z00_8216, obj_t BgL_type1593z00_8217,
		obj_t BgL_sidezd2effect1594zd2_8218, obj_t BgL_key1595z00_8219,
		obj_t BgL_value1596z00_8220, obj_t BgL_vtype1598z00_8221,
		obj_t BgL_stackable1599z00_8222)
	{
		{	/* Cfa/cinfo.sch 1177 */
			return
				BGl_makezd2prezd2makezd2boxzd2zzcfa_infoz00(BgL_loc1592z00_8216,
				((BgL_typez00_bglt) BgL_type1593z00_8217),
				BgL_sidezd2effect1594zd2_8218, BgL_key1595z00_8219,
				((BgL_nodez00_bglt) BgL_value1596z00_8220),
				((BgL_typez00_bglt) BgL_vtype1598z00_8221), BgL_stackable1599z00_8222);
		}

	}



/* pre-make-box? */
	BGL_EXPORTED_DEF bool_t BGl_prezd2makezd2boxzf3zf3zzcfa_infoz00(obj_t
		BgL_objz00_830)
	{
		{	/* Cfa/cinfo.sch 1178 */
			{	/* Cfa/cinfo.sch 1178 */
				obj_t BgL_classz00_9915;

				BgL_classz00_9915 = BGl_prezd2makezd2boxz00zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_830))
					{	/* Cfa/cinfo.sch 1178 */
						BgL_objectz00_bglt BgL_arg1825z00_9916;

						BgL_arg1825z00_9916 = (BgL_objectz00_bglt) (BgL_objz00_830);
						{	/* Cfa/cinfo.sch 1178 */
							bool_t BgL_arg1822z00_9917;
							bool_t BgL_arg1823z00_9918;

							{	/* Cfa/cinfo.sch 1178 */
								long BgL_idxz00_9919;

								BgL_idxz00_9919 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9916);
								BgL_arg1822z00_9917 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9919 + ((long) 4))) == BgL_classz00_9915);
							}
							{	/* Cfa/cinfo.sch 1178 */
								bool_t BgL_res3072z00_9922;

								{	/* Cfa/cinfo.sch 1178 */
									obj_t BgL_oclassz00_9923;

									{	/* Cfa/cinfo.sch 1178 */
										long BgL_arg1833z00_9924;

										{	/* Cfa/cinfo.sch 1178 */
											long BgL_arg1834z00_9925;

											BgL_arg1834z00_9925 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9916);
											BgL_arg1833z00_9924 = (BgL_arg1834z00_9925 - OBJECT_TYPE);
										}
										BgL_oclassz00_9923 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9924);
									}
									{	/* Cfa/cinfo.sch 1178 */
										bool_t BgL__ortest_1110z00_9926;

										BgL__ortest_1110z00_9926 =
											(BgL_classz00_9915 == BgL_oclassz00_9923);
										if (BgL__ortest_1110z00_9926)
											{	/* Cfa/cinfo.sch 1178 */
												BgL_res3072z00_9922 = BgL__ortest_1110z00_9926;
											}
										else
											{	/* Cfa/cinfo.sch 1178 */
												long BgL_odepthz00_9927;

												BgL_odepthz00_9927 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9923);
												if ((((long) 4) < BgL_odepthz00_9927))
													{	/* Cfa/cinfo.sch 1178 */
														obj_t BgL_arg1821z00_9928;

														BgL_arg1821z00_9928 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9923,
															((long) 4));
														BgL_res3072z00_9922 =
															(BgL_arg1821z00_9928 == BgL_classz00_9915);
													}
												else
													{	/* Cfa/cinfo.sch 1178 */
														BgL_res3072z00_9922 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9918 = BgL_res3072z00_9922;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9917, BgL_arg1823z00_9918);
						}
					}
				else
					{	/* Cfa/cinfo.sch 1178 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &pre-make-box? */
	obj_t BGl_z62prezd2makezd2boxzf3z91zzcfa_infoz00(obj_t BgL_envz00_8223,
		obj_t BgL_objz00_8224)
	{
		{	/* Cfa/cinfo.sch 1178 */
			return BBOOL(BGl_prezd2makezd2boxzf3zf3zzcfa_infoz00(BgL_objz00_8224));
		}

	}



/* pre-make-box-nil */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_prezd2makezd2boxzd2nilzd2zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 1179 */
			{	/* Cfa/cinfo.sch 1179 */
				obj_t BgL_classz00_5679;

				BgL_classz00_5679 = BGl_prezd2makezd2boxz00zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1179 */
					obj_t BgL__ortest_1112z00_5680;

					BgL__ortest_1112z00_5680 = BGL_CLASS_NIL(BgL_classz00_5679);
					if (CBOOL(BgL__ortest_1112z00_5680))
						{	/* Cfa/cinfo.sch 1179 */
							return ((BgL_makezd2boxzd2_bglt) BgL__ortest_1112z00_5680);
						}
					else
						{	/* Cfa/cinfo.sch 1179 */
							return
								((BgL_makezd2boxzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5679));
						}
				}
			}
		}

	}



/* &pre-make-box-nil */
	BgL_makezd2boxzd2_bglt BGl_z62prezd2makezd2boxzd2nilzb0zzcfa_infoz00(obj_t
		BgL_envz00_8225)
	{
		{	/* Cfa/cinfo.sch 1179 */
			return BGl_prezd2makezd2boxzd2nilzd2zzcfa_infoz00();
		}

	}



/* pre-make-box-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2stackablezd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_831)
	{
		{	/* Cfa/cinfo.sch 1180 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_831)))->BgL_stackablez00);
		}

	}



/* &pre-make-box-stackable */
	obj_t BGl_z62prezd2makezd2boxzd2stackablezb0zzcfa_infoz00(obj_t
		BgL_envz00_8226, obj_t BgL_oz00_8227)
	{
		{	/* Cfa/cinfo.sch 1180 */
			return
				BGl_prezd2makezd2boxzd2stackablezd2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8227));
		}

	}



/* pre-make-box-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2stackablezd2setz12z12zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_832, obj_t BgL_vz00_833)
	{
		{	/* Cfa/cinfo.sch 1181 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_832)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_833), BUNSPEC);
		}

	}



/* &pre-make-box-stackable-set! */
	obj_t BGl_z62prezd2makezd2boxzd2stackablezd2setz12z70zzcfa_infoz00(obj_t
		BgL_envz00_8228, obj_t BgL_oz00_8229, obj_t BgL_vz00_8230)
	{
		{	/* Cfa/cinfo.sch 1181 */
			return
				BGl_prezd2makezd2boxzd2stackablezd2setz12z12zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8229), BgL_vz00_8230);
		}

	}



/* pre-make-box-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_prezd2makezd2boxzd2vtypezd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_834)
	{
		{	/* Cfa/cinfo.sch 1182 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_834)))->BgL_vtypez00);
		}

	}



/* &pre-make-box-vtype */
	BgL_typez00_bglt BGl_z62prezd2makezd2boxzd2vtypezb0zzcfa_infoz00(obj_t
		BgL_envz00_8231, obj_t BgL_oz00_8232)
	{
		{	/* Cfa/cinfo.sch 1182 */
			return
				BGl_prezd2makezd2boxzd2vtypezd2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8232));
		}

	}



/* pre-make-box-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2vtypezd2setz12z12zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_835, BgL_typez00_bglt BgL_vz00_836)
	{
		{	/* Cfa/cinfo.sch 1183 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_835)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_836), BUNSPEC);
		}

	}



/* &pre-make-box-vtype-set! */
	obj_t BGl_z62prezd2makezd2boxzd2vtypezd2setz12z70zzcfa_infoz00(obj_t
		BgL_envz00_8233, obj_t BgL_oz00_8234, obj_t BgL_vz00_8235)
	{
		{	/* Cfa/cinfo.sch 1183 */
			return
				BGl_prezd2makezd2boxzd2vtypezd2setz12z12zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8234),
				((BgL_typez00_bglt) BgL_vz00_8235));
		}

	}



/* pre-make-box-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_prezd2makezd2boxzd2valuezd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_837)
	{
		{	/* Cfa/cinfo.sch 1184 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_837)))->BgL_valuez00);
		}

	}



/* &pre-make-box-value */
	BgL_nodez00_bglt BGl_z62prezd2makezd2boxzd2valuezb0zzcfa_infoz00(obj_t
		BgL_envz00_8236, obj_t BgL_oz00_8237)
	{
		{	/* Cfa/cinfo.sch 1184 */
			return
				BGl_prezd2makezd2boxzd2valuezd2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8237));
		}

	}



/* pre-make-box-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2valuezd2setz12z12zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_838, BgL_nodez00_bglt BgL_vz00_839)
	{
		{	/* Cfa/cinfo.sch 1185 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_838)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_839), BUNSPEC);
		}

	}



/* &pre-make-box-value-set! */
	obj_t BGl_z62prezd2makezd2boxzd2valuezd2setz12z70zzcfa_infoz00(obj_t
		BgL_envz00_8238, obj_t BgL_oz00_8239, obj_t BgL_vz00_8240)
	{
		{	/* Cfa/cinfo.sch 1185 */
			return
				BGl_prezd2makezd2boxzd2valuezd2setz12z12zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8239),
				((BgL_nodez00_bglt) BgL_vz00_8240));
		}

	}



/* pre-make-box-key */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2keyzd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_840)
	{
		{	/* Cfa/cinfo.sch 1186 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_840)))->BgL_keyz00);
		}

	}



/* &pre-make-box-key */
	obj_t BGl_z62prezd2makezd2boxzd2keyzb0zzcfa_infoz00(obj_t BgL_envz00_8241,
		obj_t BgL_oz00_8242)
	{
		{	/* Cfa/cinfo.sch 1186 */
			return
				BGl_prezd2makezd2boxzd2keyzd2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8242));
		}

	}



/* pre-make-box-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2keyzd2setz12z12zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_841, obj_t BgL_vz00_842)
	{
		{	/* Cfa/cinfo.sch 1187 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_841)))->BgL_keyz00) =
				((obj_t) BgL_vz00_842), BUNSPEC);
		}

	}



/* &pre-make-box-key-set! */
	obj_t BGl_z62prezd2makezd2boxzd2keyzd2setz12z70zzcfa_infoz00(obj_t
		BgL_envz00_8243, obj_t BgL_oz00_8244, obj_t BgL_vz00_8245)
	{
		{	/* Cfa/cinfo.sch 1187 */
			return
				BGl_prezd2makezd2boxzd2keyzd2setz12z12zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8244), BgL_vz00_8245);
		}

	}



/* pre-make-box-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2sidezd2effectz00zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_843)
	{
		{	/* Cfa/cinfo.sch 1188 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_843)))->BgL_sidezd2effectzd2);
		}

	}



/* &pre-make-box-side-effect */
	obj_t BGl_z62prezd2makezd2boxzd2sidezd2effectz62zzcfa_infoz00(obj_t
		BgL_envz00_8246, obj_t BgL_oz00_8247)
	{
		{	/* Cfa/cinfo.sch 1188 */
			return
				BGl_prezd2makezd2boxzd2sidezd2effectz00zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8247));
		}

	}



/* pre-make-box-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2sidezd2effectzd2setz12zc0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_844, obj_t BgL_vz00_845)
	{
		{	/* Cfa/cinfo.sch 1189 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_844)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_845), BUNSPEC);
		}

	}



/* &pre-make-box-side-effect-set! */
	obj_t BGl_z62prezd2makezd2boxzd2sidezd2effectzd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_8248, obj_t BgL_oz00_8249, obj_t BgL_vz00_8250)
	{
		{	/* Cfa/cinfo.sch 1189 */
			return
				BGl_prezd2makezd2boxzd2sidezd2effectzd2setz12zc0zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8249), BgL_vz00_8250);
		}

	}



/* pre-make-box-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_prezd2makezd2boxzd2typezd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_846)
	{
		{	/* Cfa/cinfo.sch 1190 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_846)))->BgL_typez00);
		}

	}



/* &pre-make-box-type */
	BgL_typez00_bglt BGl_z62prezd2makezd2boxzd2typezb0zzcfa_infoz00(obj_t
		BgL_envz00_8251, obj_t BgL_oz00_8252)
	{
		{	/* Cfa/cinfo.sch 1190 */
			return
				BGl_prezd2makezd2boxzd2typezd2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8252));
		}

	}



/* pre-make-box-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2typezd2setz12z12zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_847, BgL_typez00_bglt BgL_vz00_848)
	{
		{	/* Cfa/cinfo.sch 1191 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_847)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_848), BUNSPEC);
		}

	}



/* &pre-make-box-type-set! */
	obj_t BGl_z62prezd2makezd2boxzd2typezd2setz12z70zzcfa_infoz00(obj_t
		BgL_envz00_8253, obj_t BgL_oz00_8254, obj_t BgL_vz00_8255)
	{
		{	/* Cfa/cinfo.sch 1191 */
			return
				BGl_prezd2makezd2boxzd2typezd2setz12z12zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8254),
				((BgL_typez00_bglt) BgL_vz00_8255));
		}

	}



/* pre-make-box-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2loczd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_849)
	{
		{	/* Cfa/cinfo.sch 1192 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_849)))->BgL_locz00);
		}

	}



/* &pre-make-box-loc */
	obj_t BGl_z62prezd2makezd2boxzd2loczb0zzcfa_infoz00(obj_t BgL_envz00_8256,
		obj_t BgL_oz00_8257)
	{
		{	/* Cfa/cinfo.sch 1192 */
			return
				BGl_prezd2makezd2boxzd2loczd2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8257));
		}

	}



/* make-make-box/Cinfo */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxzf2Cinfozf2zzcfa_infoz00(obj_t BgL_loc1580z00_852,
		BgL_typez00_bglt BgL_type1581z00_853, obj_t BgL_sidezd2effect1582zd2_854,
		obj_t BgL_key1583z00_855, BgL_nodez00_bglt BgL_value1584z00_856,
		BgL_typez00_bglt BgL_vtype1586z00_857, obj_t BgL_stackable1587z00_858,
		BgL_approxz00_bglt BgL_approx1589z00_859)
	{
		{	/* Cfa/cinfo.sch 1196 */
			{	/* Cfa/cinfo.sch 1196 */
				BgL_makezd2boxzd2_bglt BgL_new1642z00_9929;

				{	/* Cfa/cinfo.sch 1196 */
					BgL_makezd2boxzd2_bglt BgL_tmp1640z00_9930;
					BgL_makezd2boxzf2cinfoz20_bglt BgL_wide1641z00_9931;

					{
						BgL_makezd2boxzd2_bglt BgL_auxz00_14544;

						{	/* Cfa/cinfo.sch 1196 */
							BgL_makezd2boxzd2_bglt BgL_new1639z00_9932;

							BgL_new1639z00_9932 =
								((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzd2_bgl))));
							{	/* Cfa/cinfo.sch 1196 */
								long BgL_arg2043z00_9933;

								BgL_arg2043z00_9933 =
									BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1639z00_9932),
									BgL_arg2043z00_9933);
							}
							{	/* Cfa/cinfo.sch 1196 */
								BgL_objectz00_bglt BgL_tmpz00_14549;

								BgL_tmpz00_14549 = ((BgL_objectz00_bglt) BgL_new1639z00_9932);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14549, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1639z00_9932);
							BgL_auxz00_14544 = BgL_new1639z00_9932;
						}
						BgL_tmp1640z00_9930 = ((BgL_makezd2boxzd2_bglt) BgL_auxz00_14544);
					}
					BgL_wide1641z00_9931 =
						((BgL_makezd2boxzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.sch 1196 */
						obj_t BgL_auxz00_14557;
						BgL_objectz00_bglt BgL_tmpz00_14555;

						BgL_auxz00_14557 = ((obj_t) BgL_wide1641z00_9931);
						BgL_tmpz00_14555 = ((BgL_objectz00_bglt) BgL_tmp1640z00_9930);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14555, BgL_auxz00_14557);
					}
					((BgL_objectz00_bglt) BgL_tmp1640z00_9930);
					{	/* Cfa/cinfo.sch 1196 */
						long BgL_arg2042z00_9934;

						BgL_arg2042z00_9934 =
							BGL_CLASS_NUM(BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1640z00_9930), BgL_arg2042z00_9934);
					}
					BgL_new1642z00_9929 = ((BgL_makezd2boxzd2_bglt) BgL_tmp1640z00_9930);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1642z00_9929)))->BgL_locz00) =
					((obj_t) BgL_loc1580z00_852), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1642z00_9929)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1581z00_853), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1642z00_9929)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1582zd2_854), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1642z00_9929)))->BgL_keyz00) =
					((obj_t) BgL_key1583z00_855), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1642z00_9929)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1584z00_856), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1642z00_9929)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1586z00_857), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1642z00_9929)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1587z00_858), BUNSPEC);
				{
					BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_14579;

					{
						obj_t BgL_auxz00_14580;

						{	/* Cfa/cinfo.sch 1196 */
							BgL_objectz00_bglt BgL_tmpz00_14581;

							BgL_tmpz00_14581 = ((BgL_objectz00_bglt) BgL_new1642z00_9929);
							BgL_auxz00_14580 = BGL_OBJECT_WIDENING(BgL_tmpz00_14581);
						}
						BgL_auxz00_14579 =
							((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_14580);
					}
					((((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_14579))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1589z00_859), BUNSPEC);
				}
				return BgL_new1642z00_9929;
			}
		}

	}



/* &make-make-box/Cinfo */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2makezd2boxzf2Cinfoz90zzcfa_infoz00(obj_t
		BgL_envz00_8258, obj_t BgL_loc1580z00_8259, obj_t BgL_type1581z00_8260,
		obj_t BgL_sidezd2effect1582zd2_8261, obj_t BgL_key1583z00_8262,
		obj_t BgL_value1584z00_8263, obj_t BgL_vtype1586z00_8264,
		obj_t BgL_stackable1587z00_8265, obj_t BgL_approx1589z00_8266)
	{
		{	/* Cfa/cinfo.sch 1196 */
			return
				BGl_makezd2makezd2boxzf2Cinfozf2zzcfa_infoz00(BgL_loc1580z00_8259,
				((BgL_typez00_bglt) BgL_type1581z00_8260),
				BgL_sidezd2effect1582zd2_8261, BgL_key1583z00_8262,
				((BgL_nodez00_bglt) BgL_value1584z00_8263),
				((BgL_typez00_bglt) BgL_vtype1586z00_8264), BgL_stackable1587z00_8265,
				((BgL_approxz00_bglt) BgL_approx1589z00_8266));
		}

	}



/* make-box/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_makezd2boxzf2Cinfozf3zd3zzcfa_infoz00(obj_t
		BgL_objz00_860)
	{
		{	/* Cfa/cinfo.sch 1197 */
			{	/* Cfa/cinfo.sch 1197 */
				obj_t BgL_classz00_9935;

				BgL_classz00_9935 = BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_860))
					{	/* Cfa/cinfo.sch 1197 */
						BgL_objectz00_bglt BgL_arg1825z00_9936;

						BgL_arg1825z00_9936 = (BgL_objectz00_bglt) (BgL_objz00_860);
						{	/* Cfa/cinfo.sch 1197 */
							bool_t BgL_arg1822z00_9937;
							bool_t BgL_arg1823z00_9938;

							{	/* Cfa/cinfo.sch 1197 */
								long BgL_idxz00_9939;

								BgL_idxz00_9939 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9936);
								BgL_arg1822z00_9937 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9939 + ((long) 4))) == BgL_classz00_9935);
							}
							{	/* Cfa/cinfo.sch 1197 */
								bool_t BgL_res3073z00_9942;

								{	/* Cfa/cinfo.sch 1197 */
									obj_t BgL_oclassz00_9943;

									{	/* Cfa/cinfo.sch 1197 */
										long BgL_arg1833z00_9944;

										{	/* Cfa/cinfo.sch 1197 */
											long BgL_arg1834z00_9945;

											BgL_arg1834z00_9945 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9936);
											BgL_arg1833z00_9944 = (BgL_arg1834z00_9945 - OBJECT_TYPE);
										}
										BgL_oclassz00_9943 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9944);
									}
									{	/* Cfa/cinfo.sch 1197 */
										bool_t BgL__ortest_1110z00_9946;

										BgL__ortest_1110z00_9946 =
											(BgL_classz00_9935 == BgL_oclassz00_9943);
										if (BgL__ortest_1110z00_9946)
											{	/* Cfa/cinfo.sch 1197 */
												BgL_res3073z00_9942 = BgL__ortest_1110z00_9946;
											}
										else
											{	/* Cfa/cinfo.sch 1197 */
												long BgL_odepthz00_9947;

												BgL_odepthz00_9947 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9943);
												if ((((long) 4) < BgL_odepthz00_9947))
													{	/* Cfa/cinfo.sch 1197 */
														obj_t BgL_arg1821z00_9948;

														BgL_arg1821z00_9948 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9943,
															((long) 4));
														BgL_res3073z00_9942 =
															(BgL_arg1821z00_9948 == BgL_classz00_9935);
													}
												else
													{	/* Cfa/cinfo.sch 1197 */
														BgL_res3073z00_9942 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9938 = BgL_res3073z00_9942;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9937, BgL_arg1823z00_9938);
						}
					}
				else
					{	/* Cfa/cinfo.sch 1197 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &make-box/Cinfo? */
	obj_t BGl_z62makezd2boxzf2Cinfozf3zb1zzcfa_infoz00(obj_t BgL_envz00_8267,
		obj_t BgL_objz00_8268)
	{
		{	/* Cfa/cinfo.sch 1197 */
			return BBOOL(BGl_makezd2boxzf2Cinfozf3zd3zzcfa_infoz00(BgL_objz00_8268));
		}

	}



/* make-box/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzf2Cinfozd2nilzf2zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 1198 */
			{	/* Cfa/cinfo.sch 1198 */
				obj_t BgL_classz00_5728;

				BgL_classz00_5728 = BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1198 */
					obj_t BgL__ortest_1112z00_5729;

					BgL__ortest_1112z00_5729 = BGL_CLASS_NIL(BgL_classz00_5728);
					if (CBOOL(BgL__ortest_1112z00_5729))
						{	/* Cfa/cinfo.sch 1198 */
							return ((BgL_makezd2boxzd2_bglt) BgL__ortest_1112z00_5729);
						}
					else
						{	/* Cfa/cinfo.sch 1198 */
							return
								((BgL_makezd2boxzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5728));
						}
				}
			}
		}

	}



/* &make-box/Cinfo-nil */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2boxzf2Cinfozd2nilz90zzcfa_infoz00(obj_t
		BgL_envz00_8269)
	{
		{	/* Cfa/cinfo.sch 1198 */
			return BGl_makezd2boxzf2Cinfozd2nilzf2zzcfa_infoz00();
		}

	}



/* make-box/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2boxzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_861)
	{
		{	/* Cfa/cinfo.sch 1199 */
			{
				BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_14618;

				{
					obj_t BgL_auxz00_14619;

					{	/* Cfa/cinfo.sch 1199 */
						BgL_objectz00_bglt BgL_tmpz00_14620;

						BgL_tmpz00_14620 = ((BgL_objectz00_bglt) BgL_oz00_861);
						BgL_auxz00_14619 = BGL_OBJECT_WIDENING(BgL_tmpz00_14620);
					}
					BgL_auxz00_14618 =
						((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_14619);
				}
				return
					(((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_14618))->
					BgL_approxz00);
			}
		}

	}



/* &make-box/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62makezd2boxzf2Cinfozd2approxz90zzcfa_infoz00(obj_t
		BgL_envz00_8270, obj_t BgL_oz00_8271)
	{
		{	/* Cfa/cinfo.sch 1199 */
			return
				BGl_makezd2boxzf2Cinfozd2approxzf2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8271));
		}

	}



/* make-box/Cinfo-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2stackablezf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_864)
	{
		{	/* Cfa/cinfo.sch 1201 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_864)))->BgL_stackablez00);
		}

	}



/* &make-box/Cinfo-stackable */
	obj_t BGl_z62makezd2boxzf2Cinfozd2stackablez90zzcfa_infoz00(obj_t
		BgL_envz00_8272, obj_t BgL_oz00_8273)
	{
		{	/* Cfa/cinfo.sch 1201 */
			return
				BGl_makezd2boxzf2Cinfozd2stackablezf2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8273));
		}

	}



/* make-box/Cinfo-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2stackablezd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_865, obj_t BgL_vz00_866)
	{
		{	/* Cfa/cinfo.sch 1202 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_865)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_866), BUNSPEC);
		}

	}



/* &make-box/Cinfo-stackable-set! */
	obj_t BGl_z62makezd2boxzf2Cinfozd2stackablezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8274, obj_t BgL_oz00_8275, obj_t BgL_vz00_8276)
	{
		{	/* Cfa/cinfo.sch 1202 */
			return
				BGl_makezd2boxzf2Cinfozd2stackablezd2setz12z32zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8275), BgL_vz00_8276);
		}

	}



/* make-box/Cinfo-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzf2Cinfozd2vtypezf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_867)
	{
		{	/* Cfa/cinfo.sch 1203 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_867)))->BgL_vtypez00);
		}

	}



/* &make-box/Cinfo-vtype */
	BgL_typez00_bglt BGl_z62makezd2boxzf2Cinfozd2vtypez90zzcfa_infoz00(obj_t
		BgL_envz00_8277, obj_t BgL_oz00_8278)
	{
		{	/* Cfa/cinfo.sch 1203 */
			return
				BGl_makezd2boxzf2Cinfozd2vtypezf2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8278));
		}

	}



/* make-box/Cinfo-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2vtypezd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_868, BgL_typez00_bglt BgL_vz00_869)
	{
		{	/* Cfa/cinfo.sch 1204 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_868)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_869), BUNSPEC);
		}

	}



/* &make-box/Cinfo-vtype-set! */
	obj_t BGl_z62makezd2boxzf2Cinfozd2vtypezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8279, obj_t BgL_oz00_8280, obj_t BgL_vz00_8281)
	{
		{	/* Cfa/cinfo.sch 1204 */
			return
				BGl_makezd2boxzf2Cinfozd2vtypezd2setz12z32zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8280),
				((BgL_typez00_bglt) BgL_vz00_8281));
		}

	}



/* make-box/Cinfo-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_makezd2boxzf2Cinfozd2valuezf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_870)
	{
		{	/* Cfa/cinfo.sch 1205 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_870)))->BgL_valuez00);
		}

	}



/* &make-box/Cinfo-value */
	BgL_nodez00_bglt BGl_z62makezd2boxzf2Cinfozd2valuez90zzcfa_infoz00(obj_t
		BgL_envz00_8282, obj_t BgL_oz00_8283)
	{
		{	/* Cfa/cinfo.sch 1205 */
			return
				BGl_makezd2boxzf2Cinfozd2valuezf2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8283));
		}

	}



/* make-box/Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2valuezd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_871, BgL_nodez00_bglt BgL_vz00_872)
	{
		{	/* Cfa/cinfo.sch 1206 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_871)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_872), BUNSPEC);
		}

	}



/* &make-box/Cinfo-value-set! */
	obj_t BGl_z62makezd2boxzf2Cinfozd2valuezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8284, obj_t BgL_oz00_8285, obj_t BgL_vz00_8286)
	{
		{	/* Cfa/cinfo.sch 1206 */
			return
				BGl_makezd2boxzf2Cinfozd2valuezd2setz12z32zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8285),
				((BgL_nodez00_bglt) BgL_vz00_8286));
		}

	}



/* make-box/Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2keyzf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_873)
	{
		{	/* Cfa/cinfo.sch 1207 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_873)))->BgL_keyz00);
		}

	}



/* &make-box/Cinfo-key */
	obj_t BGl_z62makezd2boxzf2Cinfozd2keyz90zzcfa_infoz00(obj_t BgL_envz00_8287,
		obj_t BgL_oz00_8288)
	{
		{	/* Cfa/cinfo.sch 1207 */
			return
				BGl_makezd2boxzf2Cinfozd2keyzf2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8288));
		}

	}



/* make-box/Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2keyzd2setz12z32zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_874, obj_t BgL_vz00_875)
	{
		{	/* Cfa/cinfo.sch 1208 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_874)))->BgL_keyz00) =
				((obj_t) BgL_vz00_875), BUNSPEC);
		}

	}



/* &make-box/Cinfo-key-set! */
	obj_t BGl_z62makezd2boxzf2Cinfozd2keyzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8289, obj_t BgL_oz00_8290, obj_t BgL_vz00_8291)
	{
		{	/* Cfa/cinfo.sch 1208 */
			return
				BGl_makezd2boxzf2Cinfozd2keyzd2setz12z32zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8290), BgL_vz00_8291);
		}

	}



/* make-box/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2sidezd2effectz20zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_876)
	{
		{	/* Cfa/cinfo.sch 1209 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_876)))->BgL_sidezd2effectzd2);
		}

	}



/* &make-box/Cinfo-side-effect */
	obj_t BGl_z62makezd2boxzf2Cinfozd2sidezd2effectz42zzcfa_infoz00(obj_t
		BgL_envz00_8292, obj_t BgL_oz00_8293)
	{
		{	/* Cfa/cinfo.sch 1209 */
			return
				BGl_makezd2boxzf2Cinfozd2sidezd2effectz20zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8293));
		}

	}



/* make-box/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_877, obj_t BgL_vz00_878)
	{
		{	/* Cfa/cinfo.sch 1210 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_877)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_878), BUNSPEC);
		}

	}



/* &make-box/Cinfo-side-effect-set! */
	obj_t BGl_z62makezd2boxzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8294, obj_t BgL_oz00_8295, obj_t BgL_vz00_8296)
	{
		{	/* Cfa/cinfo.sch 1210 */
			return
				BGl_makezd2boxzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8295), BgL_vz00_8296);
		}

	}



/* make-box/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzf2Cinfozd2typezf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_879)
	{
		{	/* Cfa/cinfo.sch 1211 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_879)))->BgL_typez00);
		}

	}



/* &make-box/Cinfo-type */
	BgL_typez00_bglt BGl_z62makezd2boxzf2Cinfozd2typez90zzcfa_infoz00(obj_t
		BgL_envz00_8297, obj_t BgL_oz00_8298)
	{
		{	/* Cfa/cinfo.sch 1211 */
			return
				BGl_makezd2boxzf2Cinfozd2typezf2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8298));
		}

	}



/* make-box/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2typezd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_880, BgL_typez00_bglt BgL_vz00_881)
	{
		{	/* Cfa/cinfo.sch 1212 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_880)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_881), BUNSPEC);
		}

	}



/* &make-box/Cinfo-type-set! */
	obj_t BGl_z62makezd2boxzf2Cinfozd2typezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8299, obj_t BgL_oz00_8300, obj_t BgL_vz00_8301)
	{
		{	/* Cfa/cinfo.sch 1212 */
			return
				BGl_makezd2boxzf2Cinfozd2typezd2setz12z32zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8300),
				((BgL_typez00_bglt) BgL_vz00_8301));
		}

	}



/* make-box/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2loczf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_882)
	{
		{	/* Cfa/cinfo.sch 1213 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_882)))->BgL_locz00);
		}

	}



/* &make-box/Cinfo-loc */
	obj_t BGl_z62makezd2boxzf2Cinfozd2locz90zzcfa_infoz00(obj_t BgL_envz00_8302,
		obj_t BgL_oz00_8303)
	{
		{	/* Cfa/cinfo.sch 1213 */
			return
				BGl_makezd2boxzf2Cinfozd2loczf2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8303));
		}

	}



/* make-make-box/O-Cinfo */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxzf2Ozd2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1570z00_885,
		BgL_typez00_bglt BgL_type1571z00_886, obj_t BgL_sidezd2effect1572zd2_887,
		obj_t BgL_key1573z00_888, BgL_nodez00_bglt BgL_value1574z00_889,
		BgL_typez00_bglt BgL_vtype1575z00_890, obj_t BgL_stackable1576z00_891,
		BgL_approxz00_bglt BgL_approx1577z00_892,
		BgL_approxz00_bglt BgL_valuezd2approx1578zd2_893)
	{
		{	/* Cfa/cinfo.sch 1217 */
			{	/* Cfa/cinfo.sch 1217 */
				BgL_makezd2boxzd2_bglt BgL_new1646z00_9949;

				{	/* Cfa/cinfo.sch 1217 */
					BgL_makezd2boxzd2_bglt BgL_tmp1644z00_9950;
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_wide1645z00_9951;

					{
						BgL_makezd2boxzd2_bglt BgL_auxz00_14682;

						{	/* Cfa/cinfo.sch 1217 */
							BgL_makezd2boxzd2_bglt BgL_new1643z00_9952;

							BgL_new1643z00_9952 =
								((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzd2_bgl))));
							{	/* Cfa/cinfo.sch 1217 */
								long BgL_arg2045z00_9953;

								BgL_arg2045z00_9953 =
									BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1643z00_9952),
									BgL_arg2045z00_9953);
							}
							{	/* Cfa/cinfo.sch 1217 */
								BgL_objectz00_bglt BgL_tmpz00_14687;

								BgL_tmpz00_14687 = ((BgL_objectz00_bglt) BgL_new1643z00_9952);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14687, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1643z00_9952);
							BgL_auxz00_14682 = BgL_new1643z00_9952;
						}
						BgL_tmp1644z00_9950 = ((BgL_makezd2boxzd2_bglt) BgL_auxz00_14682);
					}
					BgL_wide1645z00_9951 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzf2ozd2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1217 */
						obj_t BgL_auxz00_14695;
						BgL_objectz00_bglt BgL_tmpz00_14693;

						BgL_auxz00_14695 = ((obj_t) BgL_wide1645z00_9951);
						BgL_tmpz00_14693 = ((BgL_objectz00_bglt) BgL_tmp1644z00_9950);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14693, BgL_auxz00_14695);
					}
					((BgL_objectz00_bglt) BgL_tmp1644z00_9950);
					{	/* Cfa/cinfo.sch 1217 */
						long BgL_arg2044z00_9954;

						BgL_arg2044z00_9954 =
							BGL_CLASS_NUM(BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1644z00_9950), BgL_arg2044z00_9954);
					}
					BgL_new1646z00_9949 = ((BgL_makezd2boxzd2_bglt) BgL_tmp1644z00_9950);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1646z00_9949)))->BgL_locz00) =
					((obj_t) BgL_loc1570z00_885), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1646z00_9949)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1571z00_886), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1646z00_9949)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1572zd2_887), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1646z00_9949)))->BgL_keyz00) =
					((obj_t) BgL_key1573z00_888), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1646z00_9949)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1574z00_889), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1646z00_9949)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1575z00_890), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1646z00_9949)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1576z00_891), BUNSPEC);
				{
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_14717;

					{
						obj_t BgL_auxz00_14718;

						{	/* Cfa/cinfo.sch 1217 */
							BgL_objectz00_bglt BgL_tmpz00_14719;

							BgL_tmpz00_14719 = ((BgL_objectz00_bglt) BgL_new1646z00_9949);
							BgL_auxz00_14718 = BGL_OBJECT_WIDENING(BgL_tmpz00_14719);
						}
						BgL_auxz00_14717 =
							((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_14718);
					}
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_14717))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1577z00_892), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_14724;

					{
						obj_t BgL_auxz00_14725;

						{	/* Cfa/cinfo.sch 1217 */
							BgL_objectz00_bglt BgL_tmpz00_14726;

							BgL_tmpz00_14726 = ((BgL_objectz00_bglt) BgL_new1646z00_9949);
							BgL_auxz00_14725 = BGL_OBJECT_WIDENING(BgL_tmpz00_14726);
						}
						BgL_auxz00_14724 =
							((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_14725);
					}
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_14724))->
							BgL_valuezd2approxzd2) =
						((BgL_approxz00_bglt) BgL_valuezd2approx1578zd2_893), BUNSPEC);
				}
				return BgL_new1646z00_9949;
			}
		}

	}



/* &make-make-box/O-Cinfo */
	BgL_makezd2boxzd2_bglt
		BGl_z62makezd2makezd2boxzf2Ozd2Cinfoz42zzcfa_infoz00(obj_t BgL_envz00_8304,
		obj_t BgL_loc1570z00_8305, obj_t BgL_type1571z00_8306,
		obj_t BgL_sidezd2effect1572zd2_8307, obj_t BgL_key1573z00_8308,
		obj_t BgL_value1574z00_8309, obj_t BgL_vtype1575z00_8310,
		obj_t BgL_stackable1576z00_8311, obj_t BgL_approx1577z00_8312,
		obj_t BgL_valuezd2approx1578zd2_8313)
	{
		{	/* Cfa/cinfo.sch 1217 */
			return
				BGl_makezd2makezd2boxzf2Ozd2Cinfoz20zzcfa_infoz00(BgL_loc1570z00_8305,
				((BgL_typez00_bglt) BgL_type1571z00_8306),
				BgL_sidezd2effect1572zd2_8307, BgL_key1573z00_8308,
				((BgL_nodez00_bglt) BgL_value1574z00_8309),
				((BgL_typez00_bglt) BgL_vtype1575z00_8310), BgL_stackable1576z00_8311,
				((BgL_approxz00_bglt) BgL_approx1577z00_8312),
				((BgL_approxz00_bglt) BgL_valuezd2approx1578zd2_8313));
		}

	}



/* make-box/O-Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_makezd2boxzf2Ozd2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_894)
	{
		{	/* Cfa/cinfo.sch 1218 */
			{	/* Cfa/cinfo.sch 1218 */
				obj_t BgL_classz00_9955;

				BgL_classz00_9955 = BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_894))
					{	/* Cfa/cinfo.sch 1218 */
						BgL_objectz00_bglt BgL_arg1825z00_9956;

						BgL_arg1825z00_9956 = (BgL_objectz00_bglt) (BgL_objz00_894);
						{	/* Cfa/cinfo.sch 1218 */
							bool_t BgL_arg1822z00_9957;
							bool_t BgL_arg1823z00_9958;

							{	/* Cfa/cinfo.sch 1218 */
								long BgL_idxz00_9959;

								BgL_idxz00_9959 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9956);
								BgL_arg1822z00_9957 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9959 + ((long) 4))) == BgL_classz00_9955);
							}
							{	/* Cfa/cinfo.sch 1218 */
								bool_t BgL_res3074z00_9962;

								{	/* Cfa/cinfo.sch 1218 */
									obj_t BgL_oclassz00_9963;

									{	/* Cfa/cinfo.sch 1218 */
										long BgL_arg1833z00_9964;

										{	/* Cfa/cinfo.sch 1218 */
											long BgL_arg1834z00_9965;

											BgL_arg1834z00_9965 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9956);
											BgL_arg1833z00_9964 = (BgL_arg1834z00_9965 - OBJECT_TYPE);
										}
										BgL_oclassz00_9963 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9964);
									}
									{	/* Cfa/cinfo.sch 1218 */
										bool_t BgL__ortest_1110z00_9966;

										BgL__ortest_1110z00_9966 =
											(BgL_classz00_9955 == BgL_oclassz00_9963);
										if (BgL__ortest_1110z00_9966)
											{	/* Cfa/cinfo.sch 1218 */
												BgL_res3074z00_9962 = BgL__ortest_1110z00_9966;
											}
										else
											{	/* Cfa/cinfo.sch 1218 */
												long BgL_odepthz00_9967;

												BgL_odepthz00_9967 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9963);
												if ((((long) 4) < BgL_odepthz00_9967))
													{	/* Cfa/cinfo.sch 1218 */
														obj_t BgL_arg1821z00_9968;

														BgL_arg1821z00_9968 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9963,
															((long) 4));
														BgL_res3074z00_9962 =
															(BgL_arg1821z00_9968 == BgL_classz00_9955);
													}
												else
													{	/* Cfa/cinfo.sch 1218 */
														BgL_res3074z00_9962 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9958 = BgL_res3074z00_9962;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9957, BgL_arg1823z00_9958);
						}
					}
				else
					{	/* Cfa/cinfo.sch 1218 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &make-box/O-Cinfo? */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_8314,
		obj_t BgL_objz00_8315)
	{
		{	/* Cfa/cinfo.sch 1218 */
			return
				BBOOL(BGl_makezd2boxzf2Ozd2Cinfozf3z01zzcfa_infoz00(BgL_objz00_8315));
		}

	}



/* make-box/O-Cinfo-nil */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 1219 */
			{	/* Cfa/cinfo.sch 1219 */
				obj_t BgL_classz00_5779;

				BgL_classz00_5779 = BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1219 */
					obj_t BgL__ortest_1112z00_5780;

					BgL__ortest_1112z00_5780 = BGL_CLASS_NIL(BgL_classz00_5779);
					if (CBOOL(BgL__ortest_1112z00_5780))
						{	/* Cfa/cinfo.sch 1219 */
							return ((BgL_makezd2boxzd2_bglt) BgL__ortest_1112z00_5780);
						}
					else
						{	/* Cfa/cinfo.sch 1219 */
							return
								((BgL_makezd2boxzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5779));
						}
				}
			}
		}

	}



/* &make-box/O-Cinfo-nil */
	BgL_makezd2boxzd2_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2nilz42zzcfa_infoz00(obj_t BgL_envz00_8316)
	{
		{	/* Cfa/cinfo.sch 1219 */
			return BGl_makezd2boxzf2Ozd2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* make-box/O-Cinfo-value-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2approxzf2zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_895)
	{
		{	/* Cfa/cinfo.sch 1220 */
			{
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_14764;

				{
					obj_t BgL_auxz00_14765;

					{	/* Cfa/cinfo.sch 1220 */
						BgL_objectz00_bglt BgL_tmpz00_14766;

						BgL_tmpz00_14766 = ((BgL_objectz00_bglt) BgL_oz00_895);
						BgL_auxz00_14765 = BGL_OBJECT_WIDENING(BgL_tmpz00_14766);
					}
					BgL_auxz00_14764 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_14765);
				}
				return
					(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_14764))->
					BgL_valuezd2approxzd2);
			}
		}

	}



/* &make-box/O-Cinfo-value-approx */
	BgL_approxz00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuezd2approxz90zzcfa_infoz00(obj_t
		BgL_envz00_8317, obj_t BgL_oz00_8318)
	{
		{	/* Cfa/cinfo.sch 1220 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2approxzf2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8318));
		}

	}



/* make-box/O-Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2approxz20zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_898)
	{
		{	/* Cfa/cinfo.sch 1222 */
			{
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_14773;

				{
					obj_t BgL_auxz00_14774;

					{	/* Cfa/cinfo.sch 1222 */
						BgL_objectz00_bglt BgL_tmpz00_14775;

						BgL_tmpz00_14775 = ((BgL_objectz00_bglt) BgL_oz00_898);
						BgL_auxz00_14774 = BGL_OBJECT_WIDENING(BgL_tmpz00_14775);
					}
					BgL_auxz00_14773 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_14774);
				}
				return
					(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_14773))->
					BgL_approxz00);
			}
		}

	}



/* &make-box/O-Cinfo-approx */
	BgL_approxz00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_8319, obj_t BgL_oz00_8320)
	{
		{	/* Cfa/cinfo.sch 1222 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8320));
		}

	}



/* make-box/O-Cinfo-approx-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2approxzd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_899, BgL_approxz00_bglt BgL_vz00_900)
	{
		{	/* Cfa/cinfo.sch 1223 */
			{
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_14782;

				{
					obj_t BgL_auxz00_14783;

					{	/* Cfa/cinfo.sch 1223 */
						BgL_objectz00_bglt BgL_tmpz00_14784;

						BgL_tmpz00_14784 = ((BgL_objectz00_bglt) BgL_oz00_899);
						BgL_auxz00_14783 = BGL_OBJECT_WIDENING(BgL_tmpz00_14784);
					}
					BgL_auxz00_14782 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_14783);
				}
				return
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_14782))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_vz00_900), BUNSPEC);
			}
		}

	}



/* &make-box/O-Cinfo-approx-set! */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2approxzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8321, obj_t BgL_oz00_8322, obj_t BgL_vz00_8323)
	{
		{	/* Cfa/cinfo.sch 1223 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2approxzd2setz12ze0zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8322),
				((BgL_approxz00_bglt) BgL_vz00_8323));
		}

	}



/* make-box/O-Cinfo-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2stackablez20zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_901)
	{
		{	/* Cfa/cinfo.sch 1224 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_901)))->BgL_stackablez00);
		}

	}



/* &make-box/O-Cinfo-stackable */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2stackablez42zzcfa_infoz00(obj_t
		BgL_envz00_8324, obj_t BgL_oz00_8325)
	{
		{	/* Cfa/cinfo.sch 1224 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2stackablez20zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8325));
		}

	}



/* make-box/O-Cinfo-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_902, obj_t BgL_vz00_903)
	{
		{	/* Cfa/cinfo.sch 1225 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_902)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_903), BUNSPEC);
		}

	}



/* &make-box/O-Cinfo-stackable-set! */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8326, obj_t BgL_oz00_8327, obj_t BgL_vz00_8328)
	{
		{	/* Cfa/cinfo.sch 1225 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12ze0zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8327), BgL_vz00_8328);
		}

	}



/* make-box/O-Cinfo-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2vtypez20zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_904)
	{
		{	/* Cfa/cinfo.sch 1226 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_904)))->BgL_vtypez00);
		}

	}



/* &make-box/O-Cinfo-vtype */
	BgL_typez00_bglt BGl_z62makezd2boxzf2Ozd2Cinfozd2vtypez42zzcfa_infoz00(obj_t
		BgL_envz00_8329, obj_t BgL_oz00_8330)
	{
		{	/* Cfa/cinfo.sch 1226 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2vtypez20zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8330));
		}

	}



/* make-box/O-Cinfo-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_905, BgL_typez00_bglt BgL_vz00_906)
	{
		{	/* Cfa/cinfo.sch 1227 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_905)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_906), BUNSPEC);
		}

	}



/* &make-box/O-Cinfo-vtype-set! */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8331, obj_t BgL_oz00_8332, obj_t BgL_vz00_8333)
	{
		{	/* Cfa/cinfo.sch 1227 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12ze0zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8332),
				((BgL_typez00_bglt) BgL_vz00_8333));
		}

	}



/* make-box/O-Cinfo-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2valuez20zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_907)
	{
		{	/* Cfa/cinfo.sch 1228 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_907)))->BgL_valuez00);
		}

	}



/* &make-box/O-Cinfo-value */
	BgL_nodez00_bglt BGl_z62makezd2boxzf2Ozd2Cinfozd2valuez42zzcfa_infoz00(obj_t
		BgL_envz00_8334, obj_t BgL_oz00_8335)
	{
		{	/* Cfa/cinfo.sch 1228 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2valuez20zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8335));
		}

	}



/* make-box/O-Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_908, BgL_nodez00_bglt BgL_vz00_909)
	{
		{	/* Cfa/cinfo.sch 1229 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_908)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_909), BUNSPEC);
		}

	}



/* &make-box/O-Cinfo-value-set! */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8336, obj_t BgL_oz00_8337, obj_t BgL_vz00_8338)
	{
		{	/* Cfa/cinfo.sch 1229 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8337),
				((BgL_nodez00_bglt) BgL_vz00_8338));
		}

	}



/* make-box/O-Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2keyz20zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_910)
	{
		{	/* Cfa/cinfo.sch 1230 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_910)))->BgL_keyz00);
		}

	}



/* &make-box/O-Cinfo-key */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2keyz42zzcfa_infoz00(obj_t
		BgL_envz00_8339, obj_t BgL_oz00_8340)
	{
		{	/* Cfa/cinfo.sch 1230 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2keyz20zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8340));
		}

	}



/* make-box/O-Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2keyzd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_911, obj_t BgL_vz00_912)
	{
		{	/* Cfa/cinfo.sch 1231 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_911)))->BgL_keyz00) =
				((obj_t) BgL_vz00_912), BUNSPEC);
		}

	}



/* &make-box/O-Cinfo-key-set! */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8341, obj_t BgL_oz00_8342, obj_t BgL_vz00_8343)
	{
		{	/* Cfa/cinfo.sch 1231 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2keyzd2setz12ze0zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8342), BgL_vz00_8343);
		}

	}



/* make-box/O-Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzf2zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_913)
	{
		{	/* Cfa/cinfo.sch 1232 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_913)))->BgL_sidezd2effectzd2);
		}

	}



/* &make-box/O-Cinfo-side-effect */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t
		BgL_envz00_8344, obj_t BgL_oz00_8345)
	{
		{	/* Cfa/cinfo.sch 1232 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzf2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8345));
		}

	}



/* make-box/O-Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_914, obj_t BgL_vz00_915)
	{
		{	/* Cfa/cinfo.sch 1233 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_914)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_915), BUNSPEC);
		}

	}



/* &make-box/O-Cinfo-side-effect-set! */
	obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8346, obj_t BgL_oz00_8347, obj_t BgL_vz00_8348)
	{
		{	/* Cfa/cinfo.sch 1233 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8347), BgL_vz00_8348);
		}

	}



/* make-box/O-Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2typez20zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_916)
	{
		{	/* Cfa/cinfo.sch 1234 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_916)))->BgL_typez00);
		}

	}



/* &make-box/O-Cinfo-type */
	BgL_typez00_bglt BGl_z62makezd2boxzf2Ozd2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8349, obj_t BgL_oz00_8350)
	{
		{	/* Cfa/cinfo.sch 1234 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2typez20zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8350));
		}

	}



/* make-box/O-Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_917, BgL_typez00_bglt BgL_vz00_918)
	{
		{	/* Cfa/cinfo.sch 1235 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_917)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_918), BUNSPEC);
		}

	}



/* &make-box/O-Cinfo-type-set! */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8351, obj_t BgL_oz00_8352, obj_t BgL_vz00_8353)
	{
		{	/* Cfa/cinfo.sch 1235 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8352),
				((BgL_typez00_bglt) BgL_vz00_8353));
		}

	}



/* make-box/O-Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2locz20zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_919)
	{
		{	/* Cfa/cinfo.sch 1236 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_919)))->BgL_locz00);
		}

	}



/* &make-box/O-Cinfo-loc */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2locz42zzcfa_infoz00(obj_t
		BgL_envz00_8354, obj_t BgL_oz00_8355)
	{
		{	/* Cfa/cinfo.sch 1236 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2locz20zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8355));
		}

	}



/* make-box-set!/Cinfo */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12zf2Cinfoze0zzcfa_infoz00(obj_t BgL_loc1562z00_922,
		BgL_typez00_bglt BgL_type1563z00_923, BgL_varz00_bglt BgL_var1564z00_924,
		BgL_nodez00_bglt BgL_value1566z00_925,
		BgL_typez00_bglt BgL_vtype1567z00_926,
		BgL_approxz00_bglt BgL_approx1568z00_927)
	{
		{	/* Cfa/cinfo.sch 1240 */
			{	/* Cfa/cinfo.sch 1240 */
				BgL_boxzd2setz12zc0_bglt BgL_new1650z00_9969;

				{	/* Cfa/cinfo.sch 1240 */
					BgL_boxzd2setz12zc0_bglt BgL_tmp1648z00_9970;
					BgL_boxzd2setz12zf2cinfoz32_bglt BgL_wide1649z00_9971;

					{
						BgL_boxzd2setz12zc0_bglt BgL_auxz00_14847;

						{	/* Cfa/cinfo.sch 1240 */
							BgL_boxzd2setz12zc0_bglt BgL_new1647z00_9972;

							BgL_new1647z00_9972 =
								((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2setz12zc0_bgl))));
							{	/* Cfa/cinfo.sch 1240 */
								long BgL_arg2047z00_9973;

								BgL_arg2047z00_9973 =
									BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1647z00_9972),
									BgL_arg2047z00_9973);
							}
							{	/* Cfa/cinfo.sch 1240 */
								BgL_objectz00_bglt BgL_tmpz00_14852;

								BgL_tmpz00_14852 = ((BgL_objectz00_bglt) BgL_new1647z00_9972);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14852, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1647z00_9972);
							BgL_auxz00_14847 = BgL_new1647z00_9972;
						}
						BgL_tmp1648z00_9970 = ((BgL_boxzd2setz12zc0_bglt) BgL_auxz00_14847);
					}
					BgL_wide1649z00_9971 =
						((BgL_boxzd2setz12zf2cinfoz32_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zf2cinfoz32_bgl))));
					{	/* Cfa/cinfo.sch 1240 */
						obj_t BgL_auxz00_14860;
						BgL_objectz00_bglt BgL_tmpz00_14858;

						BgL_auxz00_14860 = ((obj_t) BgL_wide1649z00_9971);
						BgL_tmpz00_14858 = ((BgL_objectz00_bglt) BgL_tmp1648z00_9970);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14858, BgL_auxz00_14860);
					}
					((BgL_objectz00_bglt) BgL_tmp1648z00_9970);
					{	/* Cfa/cinfo.sch 1240 */
						long BgL_arg2046z00_9974;

						BgL_arg2046z00_9974 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1648z00_9970), BgL_arg2046z00_9974);
					}
					BgL_new1650z00_9969 =
						((BgL_boxzd2setz12zc0_bglt) BgL_tmp1648z00_9970);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1650z00_9969)))->BgL_locz00) =
					((obj_t) BgL_loc1562z00_922), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1650z00_9969)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1563z00_923), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1650z00_9969)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1564z00_924), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1650z00_9969)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1566z00_925), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1650z00_9969)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1567z00_926), BUNSPEC);
				{
					BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_14878;

					{
						obj_t BgL_auxz00_14879;

						{	/* Cfa/cinfo.sch 1240 */
							BgL_objectz00_bglt BgL_tmpz00_14880;

							BgL_tmpz00_14880 = ((BgL_objectz00_bglt) BgL_new1650z00_9969);
							BgL_auxz00_14879 = BGL_OBJECT_WIDENING(BgL_tmpz00_14880);
						}
						BgL_auxz00_14878 =
							((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_14879);
					}
					((((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_14878))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1568z00_927), BUNSPEC);
				}
				return BgL_new1650z00_9969;
			}
		}

	}



/* &make-box-set!/Cinfo */
	BgL_boxzd2setz12zc0_bglt
		BGl_z62makezd2boxzd2setz12zf2Cinfoz82zzcfa_infoz00(obj_t BgL_envz00_8356,
		obj_t BgL_loc1562z00_8357, obj_t BgL_type1563z00_8358,
		obj_t BgL_var1564z00_8359, obj_t BgL_value1566z00_8360,
		obj_t BgL_vtype1567z00_8361, obj_t BgL_approx1568z00_8362)
	{
		{	/* Cfa/cinfo.sch 1240 */
			return
				BGl_makezd2boxzd2setz12zf2Cinfoze0zzcfa_infoz00(BgL_loc1562z00_8357,
				((BgL_typez00_bglt) BgL_type1563z00_8358),
				((BgL_varz00_bglt) BgL_var1564z00_8359),
				((BgL_nodez00_bglt) BgL_value1566z00_8360),
				((BgL_typez00_bglt) BgL_vtype1567z00_8361),
				((BgL_approxz00_bglt) BgL_approx1568z00_8362));
		}

	}



/* box-set!/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2setz12zf2Cinfozf3zc1zzcfa_infoz00(obj_t
		BgL_objz00_928)
	{
		{	/* Cfa/cinfo.sch 1241 */
			{	/* Cfa/cinfo.sch 1241 */
				obj_t BgL_classz00_9975;

				BgL_classz00_9975 = BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_928))
					{	/* Cfa/cinfo.sch 1241 */
						BgL_objectz00_bglt BgL_arg1825z00_9976;

						BgL_arg1825z00_9976 = (BgL_objectz00_bglt) (BgL_objz00_928);
						{	/* Cfa/cinfo.sch 1241 */
							bool_t BgL_arg1822z00_9977;
							bool_t BgL_arg1823z00_9978;

							{	/* Cfa/cinfo.sch 1241 */
								long BgL_idxz00_9979;

								BgL_idxz00_9979 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9976);
								BgL_arg1822z00_9977 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9979 + ((long) 3))) == BgL_classz00_9975);
							}
							{	/* Cfa/cinfo.sch 1241 */
								bool_t BgL_res3075z00_9982;

								{	/* Cfa/cinfo.sch 1241 */
									obj_t BgL_oclassz00_9983;

									{	/* Cfa/cinfo.sch 1241 */
										long BgL_arg1833z00_9984;

										{	/* Cfa/cinfo.sch 1241 */
											long BgL_arg1834z00_9985;

											BgL_arg1834z00_9985 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9976);
											BgL_arg1833z00_9984 = (BgL_arg1834z00_9985 - OBJECT_TYPE);
										}
										BgL_oclassz00_9983 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9984);
									}
									{	/* Cfa/cinfo.sch 1241 */
										bool_t BgL__ortest_1110z00_9986;

										BgL__ortest_1110z00_9986 =
											(BgL_classz00_9975 == BgL_oclassz00_9983);
										if (BgL__ortest_1110z00_9986)
											{	/* Cfa/cinfo.sch 1241 */
												BgL_res3075z00_9982 = BgL__ortest_1110z00_9986;
											}
										else
											{	/* Cfa/cinfo.sch 1241 */
												long BgL_odepthz00_9987;

												BgL_odepthz00_9987 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9983);
												if ((((long) 3) < BgL_odepthz00_9987))
													{	/* Cfa/cinfo.sch 1241 */
														obj_t BgL_arg1821z00_9988;

														BgL_arg1821z00_9988 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9983,
															((long) 3));
														BgL_res3075z00_9982 =
															(BgL_arg1821z00_9988 == BgL_classz00_9975);
													}
												else
													{	/* Cfa/cinfo.sch 1241 */
														BgL_res3075z00_9982 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9978 = BgL_res3075z00_9982;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9977, BgL_arg1823z00_9978);
						}
					}
				else
					{	/* Cfa/cinfo.sch 1241 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &box-set!/Cinfo? */
	obj_t BGl_z62boxzd2setz12zf2Cinfozf3za3zzcfa_infoz00(obj_t BgL_envz00_8363,
		obj_t BgL_objz00_8364)
	{
		{	/* Cfa/cinfo.sch 1241 */
			return
				BBOOL(BGl_boxzd2setz12zf2Cinfozf3zc1zzcfa_infoz00(BgL_objz00_8364));
		}

	}



/* box-set!/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zf2Cinfozd2nilze0zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 1242 */
			{	/* Cfa/cinfo.sch 1242 */
				obj_t BgL_classz00_5831;

				BgL_classz00_5831 = BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1242 */
					obj_t BgL__ortest_1112z00_5832;

					BgL__ortest_1112z00_5832 = BGL_CLASS_NIL(BgL_classz00_5831);
					if (CBOOL(BgL__ortest_1112z00_5832))
						{	/* Cfa/cinfo.sch 1242 */
							return ((BgL_boxzd2setz12zc0_bglt) BgL__ortest_1112z00_5832);
						}
					else
						{	/* Cfa/cinfo.sch 1242 */
							return
								((BgL_boxzd2setz12zc0_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5831));
						}
				}
			}
		}

	}



/* &box-set!/Cinfo-nil */
	BgL_boxzd2setz12zc0_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2nilz82zzcfa_infoz00(obj_t BgL_envz00_8365)
	{
		{	/* Cfa/cinfo.sch 1242 */
			return BGl_boxzd2setz12zf2Cinfozd2nilze0zzcfa_infoz00();
		}

	}



/* box-set!/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_boxzd2setz12zf2Cinfozd2approxze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_929)
	{
		{	/* Cfa/cinfo.sch 1243 */
			{
				BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_14918;

				{
					obj_t BgL_auxz00_14919;

					{	/* Cfa/cinfo.sch 1243 */
						BgL_objectz00_bglt BgL_tmpz00_14920;

						BgL_tmpz00_14920 = ((BgL_objectz00_bglt) BgL_oz00_929);
						BgL_auxz00_14919 = BGL_OBJECT_WIDENING(BgL_tmpz00_14920);
					}
					BgL_auxz00_14918 =
						((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_14919);
				}
				return
					(((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_14918))->
					BgL_approxz00);
			}
		}

	}



/* &box-set!/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62boxzd2setz12zf2Cinfozd2approxz82zzcfa_infoz00(obj_t
		BgL_envz00_8366, obj_t BgL_oz00_8367)
	{
		{	/* Cfa/cinfo.sch 1243 */
			return
				BGl_boxzd2setz12zf2Cinfozd2approxze0zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8367));
		}

	}



/* box-set!/Cinfo-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zf2Cinfozd2vtypeze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_932)
	{
		{	/* Cfa/cinfo.sch 1245 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_932)))->BgL_vtypez00);
		}

	}



/* &box-set!/Cinfo-vtype */
	BgL_typez00_bglt BGl_z62boxzd2setz12zf2Cinfozd2vtypez82zzcfa_infoz00(obj_t
		BgL_envz00_8368, obj_t BgL_oz00_8369)
	{
		{	/* Cfa/cinfo.sch 1245 */
			return
				BGl_boxzd2setz12zf2Cinfozd2vtypeze0zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8369));
		}

	}



/* box-set!/Cinfo-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Cinfozd2vtypezd2setz12z20zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_933, BgL_typez00_bglt BgL_vz00_934)
	{
		{	/* Cfa/cinfo.sch 1246 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_933)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_934), BUNSPEC);
		}

	}



/* &box-set!/Cinfo-vtype-set! */
	obj_t BGl_z62boxzd2setz12zf2Cinfozd2vtypezd2setz12z42zzcfa_infoz00(obj_t
		BgL_envz00_8370, obj_t BgL_oz00_8371, obj_t BgL_vz00_8372)
	{
		{	/* Cfa/cinfo.sch 1246 */
			return
				BGl_boxzd2setz12zf2Cinfozd2vtypezd2setz12z20zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8371),
				((BgL_typez00_bglt) BgL_vz00_8372));
		}

	}



/* box-set!/Cinfo-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_boxzd2setz12zf2Cinfozd2valueze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_935)
	{
		{	/* Cfa/cinfo.sch 1247 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_935)))->BgL_valuez00);
		}

	}



/* &box-set!/Cinfo-value */
	BgL_nodez00_bglt BGl_z62boxzd2setz12zf2Cinfozd2valuez82zzcfa_infoz00(obj_t
		BgL_envz00_8373, obj_t BgL_oz00_8374)
	{
		{	/* Cfa/cinfo.sch 1247 */
			return
				BGl_boxzd2setz12zf2Cinfozd2valueze0zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8374));
		}

	}



/* box-set!/Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Cinfozd2valuezd2setz12z20zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_936, BgL_nodez00_bglt BgL_vz00_937)
	{
		{	/* Cfa/cinfo.sch 1248 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_936)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_937), BUNSPEC);
		}

	}



/* &box-set!/Cinfo-value-set! */
	obj_t BGl_z62boxzd2setz12zf2Cinfozd2valuezd2setz12z42zzcfa_infoz00(obj_t
		BgL_envz00_8375, obj_t BgL_oz00_8376, obj_t BgL_vz00_8377)
	{
		{	/* Cfa/cinfo.sch 1248 */
			return
				BGl_boxzd2setz12zf2Cinfozd2valuezd2setz12z20zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8376),
				((BgL_nodez00_bglt) BgL_vz00_8377));
		}

	}



/* box-set!/Cinfo-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2setz12zf2Cinfozd2varze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_938)
	{
		{	/* Cfa/cinfo.sch 1249 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_938)))->BgL_varz00);
		}

	}



/* &box-set!/Cinfo-var */
	BgL_varz00_bglt BGl_z62boxzd2setz12zf2Cinfozd2varz82zzcfa_infoz00(obj_t
		BgL_envz00_8378, obj_t BgL_oz00_8379)
	{
		{	/* Cfa/cinfo.sch 1249 */
			return
				BGl_boxzd2setz12zf2Cinfozd2varze0zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8379));
		}

	}



/* box-set!/Cinfo-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Cinfozd2varzd2setz12z20zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_939, BgL_varz00_bglt BgL_vz00_940)
	{
		{	/* Cfa/cinfo.sch 1250 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_939)))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_940), BUNSPEC);
		}

	}



/* &box-set!/Cinfo-var-set! */
	obj_t BGl_z62boxzd2setz12zf2Cinfozd2varzd2setz12z42zzcfa_infoz00(obj_t
		BgL_envz00_8380, obj_t BgL_oz00_8381, obj_t BgL_vz00_8382)
	{
		{	/* Cfa/cinfo.sch 1250 */
			return
				BGl_boxzd2setz12zf2Cinfozd2varzd2setz12z20zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8381),
				((BgL_varz00_bglt) BgL_vz00_8382));
		}

	}



/* box-set!/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zf2Cinfozd2typeze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_941)
	{
		{	/* Cfa/cinfo.sch 1251 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_941)))->BgL_typez00);
		}

	}



/* &box-set!/Cinfo-type */
	BgL_typez00_bglt BGl_z62boxzd2setz12zf2Cinfozd2typez82zzcfa_infoz00(obj_t
		BgL_envz00_8383, obj_t BgL_oz00_8384)
	{
		{	/* Cfa/cinfo.sch 1251 */
			return
				BGl_boxzd2setz12zf2Cinfozd2typeze0zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8384));
		}

	}



/* box-set!/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Cinfozd2typezd2setz12z20zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_942, BgL_typez00_bglt BgL_vz00_943)
	{
		{	/* Cfa/cinfo.sch 1252 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_942)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_943), BUNSPEC);
		}

	}



/* &box-set!/Cinfo-type-set! */
	obj_t BGl_z62boxzd2setz12zf2Cinfozd2typezd2setz12z42zzcfa_infoz00(obj_t
		BgL_envz00_8385, obj_t BgL_oz00_8386, obj_t BgL_vz00_8387)
	{
		{	/* Cfa/cinfo.sch 1252 */
			return
				BGl_boxzd2setz12zf2Cinfozd2typezd2setz12z20zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8386),
				((BgL_typez00_bglt) BgL_vz00_8387));
		}

	}



/* box-set!/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Cinfozd2locze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_944)
	{
		{	/* Cfa/cinfo.sch 1253 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_944)))->BgL_locz00);
		}

	}



/* &box-set!/Cinfo-loc */
	obj_t BGl_z62boxzd2setz12zf2Cinfozd2locz82zzcfa_infoz00(obj_t BgL_envz00_8388,
		obj_t BgL_oz00_8389)
	{
		{	/* Cfa/cinfo.sch 1253 */
			return
				BGl_boxzd2setz12zf2Cinfozd2locze0zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8389));
		}

	}



/* make-box-ref/Cinfo */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refzf2Cinfozf2zzcfa_infoz00(obj_t BgL_loc1552z00_947,
		BgL_typez00_bglt BgL_type1553z00_948, obj_t BgL_sidezd2effect1554zd2_949,
		obj_t BgL_key1555z00_950, BgL_varz00_bglt BgL_var1556z00_951,
		BgL_typez00_bglt BgL_vtype1558z00_952,
		BgL_approxz00_bglt BgL_approx1559z00_953)
	{
		{	/* Cfa/cinfo.sch 1257 */
			{	/* Cfa/cinfo.sch 1257 */
				BgL_boxzd2refzd2_bglt BgL_new1654z00_9989;

				{	/* Cfa/cinfo.sch 1257 */
					BgL_boxzd2refzd2_bglt BgL_tmp1652z00_9990;
					BgL_boxzd2refzf2cinfoz20_bglt BgL_wide1653z00_9991;

					{
						BgL_boxzd2refzd2_bglt BgL_auxz00_14967;

						{	/* Cfa/cinfo.sch 1257 */
							BgL_boxzd2refzd2_bglt BgL_new1651z00_9992;

							BgL_new1651z00_9992 =
								((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2refzd2_bgl))));
							{	/* Cfa/cinfo.sch 1257 */
								long BgL_arg2050z00_9993;

								BgL_arg2050z00_9993 =
									BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1651z00_9992),
									BgL_arg2050z00_9993);
							}
							{	/* Cfa/cinfo.sch 1257 */
								BgL_objectz00_bglt BgL_tmpz00_14972;

								BgL_tmpz00_14972 = ((BgL_objectz00_bglt) BgL_new1651z00_9992);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14972, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1651z00_9992);
							BgL_auxz00_14967 = BgL_new1651z00_9992;
						}
						BgL_tmp1652z00_9990 = ((BgL_boxzd2refzd2_bglt) BgL_auxz00_14967);
					}
					BgL_wide1653z00_9991 =
						((BgL_boxzd2refzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.sch 1257 */
						obj_t BgL_auxz00_14980;
						BgL_objectz00_bglt BgL_tmpz00_14978;

						BgL_auxz00_14980 = ((obj_t) BgL_wide1653z00_9991);
						BgL_tmpz00_14978 = ((BgL_objectz00_bglt) BgL_tmp1652z00_9990);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14978, BgL_auxz00_14980);
					}
					((BgL_objectz00_bglt) BgL_tmp1652z00_9990);
					{	/* Cfa/cinfo.sch 1257 */
						long BgL_arg2049z00_9994;

						BgL_arg2049z00_9994 =
							BGL_CLASS_NUM(BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1652z00_9990), BgL_arg2049z00_9994);
					}
					BgL_new1654z00_9989 = ((BgL_boxzd2refzd2_bglt) BgL_tmp1652z00_9990);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1654z00_9989)))->BgL_locz00) =
					((obj_t) BgL_loc1552z00_947), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1654z00_9989)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1553z00_948), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1654z00_9989)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1554zd2_949), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1654z00_9989)))->BgL_keyz00) =
					((obj_t) BgL_key1555z00_950), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1654z00_9989)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1556z00_951), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1654z00_9989)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1558z00_952), BUNSPEC);
				{
					BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_15000;

					{
						obj_t BgL_auxz00_15001;

						{	/* Cfa/cinfo.sch 1257 */
							BgL_objectz00_bglt BgL_tmpz00_15002;

							BgL_tmpz00_15002 = ((BgL_objectz00_bglt) BgL_new1654z00_9989);
							BgL_auxz00_15001 = BGL_OBJECT_WIDENING(BgL_tmpz00_15002);
						}
						BgL_auxz00_15000 =
							((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_15001);
					}
					((((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_15000))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1559z00_953), BUNSPEC);
				}
				return BgL_new1654z00_9989;
			}
		}

	}



/* &make-box-ref/Cinfo */
	BgL_boxzd2refzd2_bglt BGl_z62makezd2boxzd2refzf2Cinfoz90zzcfa_infoz00(obj_t
		BgL_envz00_8390, obj_t BgL_loc1552z00_8391, obj_t BgL_type1553z00_8392,
		obj_t BgL_sidezd2effect1554zd2_8393, obj_t BgL_key1555z00_8394,
		obj_t BgL_var1556z00_8395, obj_t BgL_vtype1558z00_8396,
		obj_t BgL_approx1559z00_8397)
	{
		{	/* Cfa/cinfo.sch 1257 */
			return
				BGl_makezd2boxzd2refzf2Cinfozf2zzcfa_infoz00(BgL_loc1552z00_8391,
				((BgL_typez00_bglt) BgL_type1553z00_8392),
				BgL_sidezd2effect1554zd2_8393, BgL_key1555z00_8394,
				((BgL_varz00_bglt) BgL_var1556z00_8395),
				((BgL_typez00_bglt) BgL_vtype1558z00_8396),
				((BgL_approxz00_bglt) BgL_approx1559z00_8397));
		}

	}



/* box-ref/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2refzf2Cinfozf3zd3zzcfa_infoz00(obj_t
		BgL_objz00_954)
	{
		{	/* Cfa/cinfo.sch 1258 */
			{	/* Cfa/cinfo.sch 1258 */
				obj_t BgL_classz00_9995;

				BgL_classz00_9995 = BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_954))
					{	/* Cfa/cinfo.sch 1258 */
						BgL_objectz00_bglt BgL_arg1825z00_9996;

						BgL_arg1825z00_9996 = (BgL_objectz00_bglt) (BgL_objz00_954);
						{	/* Cfa/cinfo.sch 1258 */
							bool_t BgL_arg1822z00_9997;
							bool_t BgL_arg1823z00_9998;

							{	/* Cfa/cinfo.sch 1258 */
								long BgL_idxz00_9999;

								BgL_idxz00_9999 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9996);
								BgL_arg1822z00_9997 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9999 + ((long) 4))) == BgL_classz00_9995);
							}
							{	/* Cfa/cinfo.sch 1258 */
								bool_t BgL_res3076z00_10002;

								{	/* Cfa/cinfo.sch 1258 */
									obj_t BgL_oclassz00_10003;

									{	/* Cfa/cinfo.sch 1258 */
										long BgL_arg1833z00_10004;

										{	/* Cfa/cinfo.sch 1258 */
											long BgL_arg1834z00_10005;

											BgL_arg1834z00_10005 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9996);
											BgL_arg1833z00_10004 =
												(BgL_arg1834z00_10005 - OBJECT_TYPE);
										}
										BgL_oclassz00_10003 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_10004);
									}
									{	/* Cfa/cinfo.sch 1258 */
										bool_t BgL__ortest_1110z00_10006;

										BgL__ortest_1110z00_10006 =
											(BgL_classz00_9995 == BgL_oclassz00_10003);
										if (BgL__ortest_1110z00_10006)
											{	/* Cfa/cinfo.sch 1258 */
												BgL_res3076z00_10002 = BgL__ortest_1110z00_10006;
											}
										else
											{	/* Cfa/cinfo.sch 1258 */
												long BgL_odepthz00_10007;

												BgL_odepthz00_10007 =
													BGL_CLASS_DEPTH(BgL_oclassz00_10003);
												if ((((long) 4) < BgL_odepthz00_10007))
													{	/* Cfa/cinfo.sch 1258 */
														obj_t BgL_arg1821z00_10008;

														BgL_arg1821z00_10008 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_10003,
															((long) 4));
														BgL_res3076z00_10002 =
															(BgL_arg1821z00_10008 == BgL_classz00_9995);
													}
												else
													{	/* Cfa/cinfo.sch 1258 */
														BgL_res3076z00_10002 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9998 = BgL_res3076z00_10002;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9997, BgL_arg1823z00_9998);
						}
					}
				else
					{	/* Cfa/cinfo.sch 1258 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &box-ref/Cinfo? */
	obj_t BGl_z62boxzd2refzf2Cinfozf3zb1zzcfa_infoz00(obj_t BgL_envz00_8398,
		obj_t BgL_objz00_8399)
	{
		{	/* Cfa/cinfo.sch 1258 */
			return BBOOL(BGl_boxzd2refzf2Cinfozf3zd3zzcfa_infoz00(BgL_objz00_8399));
		}

	}



/* box-ref/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_boxzd2refzf2Cinfozd2nilzf2zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 1259 */
			{	/* Cfa/cinfo.sch 1259 */
				obj_t BgL_classz00_5881;

				BgL_classz00_5881 = BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1259 */
					obj_t BgL__ortest_1112z00_5882;

					BgL__ortest_1112z00_5882 = BGL_CLASS_NIL(BgL_classz00_5881);
					if (CBOOL(BgL__ortest_1112z00_5882))
						{	/* Cfa/cinfo.sch 1259 */
							return ((BgL_boxzd2refzd2_bglt) BgL__ortest_1112z00_5882);
						}
					else
						{	/* Cfa/cinfo.sch 1259 */
							return
								((BgL_boxzd2refzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5881));
						}
				}
			}
		}

	}



/* &box-ref/Cinfo-nil */
	BgL_boxzd2refzd2_bglt BGl_z62boxzd2refzf2Cinfozd2nilz90zzcfa_infoz00(obj_t
		BgL_envz00_8400)
	{
		{	/* Cfa/cinfo.sch 1259 */
			return BGl_boxzd2refzf2Cinfozd2nilzf2zzcfa_infoz00();
		}

	}



/* box-ref/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_boxzd2refzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_955)
	{
		{	/* Cfa/cinfo.sch 1260 */
			{
				BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_15039;

				{
					obj_t BgL_auxz00_15040;

					{	/* Cfa/cinfo.sch 1260 */
						BgL_objectz00_bglt BgL_tmpz00_15041;

						BgL_tmpz00_15041 = ((BgL_objectz00_bglt) BgL_oz00_955);
						BgL_auxz00_15040 = BGL_OBJECT_WIDENING(BgL_tmpz00_15041);
					}
					BgL_auxz00_15039 = ((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_15040);
				}
				return
					(((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_15039))->
					BgL_approxz00);
			}
		}

	}



/* &box-ref/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62boxzd2refzf2Cinfozd2approxz90zzcfa_infoz00(obj_t
		BgL_envz00_8401, obj_t BgL_oz00_8402)
	{
		{	/* Cfa/cinfo.sch 1260 */
			return
				BGl_boxzd2refzf2Cinfozd2approxzf2zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8402));
		}

	}



/* box-ref/Cinfo-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzf2Cinfozd2vtypezf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_958)
	{
		{	/* Cfa/cinfo.sch 1262 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_958)))->BgL_vtypez00);
		}

	}



/* &box-ref/Cinfo-vtype */
	BgL_typez00_bglt BGl_z62boxzd2refzf2Cinfozd2vtypez90zzcfa_infoz00(obj_t
		BgL_envz00_8403, obj_t BgL_oz00_8404)
	{
		{	/* Cfa/cinfo.sch 1262 */
			return
				BGl_boxzd2refzf2Cinfozd2vtypezf2zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8404));
		}

	}



/* box-ref/Cinfo-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2vtypezd2setz12z32zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_959, BgL_typez00_bglt BgL_vz00_960)
	{
		{	/* Cfa/cinfo.sch 1263 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_959)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_960), BUNSPEC);
		}

	}



/* &box-ref/Cinfo-vtype-set! */
	obj_t BGl_z62boxzd2refzf2Cinfozd2vtypezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8405, obj_t BgL_oz00_8406, obj_t BgL_vz00_8407)
	{
		{	/* Cfa/cinfo.sch 1263 */
			return
				BGl_boxzd2refzf2Cinfozd2vtypezd2setz12z32zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8406),
				((BgL_typez00_bglt) BgL_vz00_8407));
		}

	}



/* box-ref/Cinfo-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2refzf2Cinfozd2varzf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_961)
	{
		{	/* Cfa/cinfo.sch 1264 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_961)))->BgL_varz00);
		}

	}



/* &box-ref/Cinfo-var */
	BgL_varz00_bglt BGl_z62boxzd2refzf2Cinfozd2varz90zzcfa_infoz00(obj_t
		BgL_envz00_8408, obj_t BgL_oz00_8409)
	{
		{	/* Cfa/cinfo.sch 1264 */
			return
				BGl_boxzd2refzf2Cinfozd2varzf2zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8409));
		}

	}



/* box-ref/Cinfo-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2varzd2setz12z32zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_962, BgL_varz00_bglt BgL_vz00_963)
	{
		{	/* Cfa/cinfo.sch 1265 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_962)))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_963), BUNSPEC);
		}

	}



/* &box-ref/Cinfo-var-set! */
	obj_t BGl_z62boxzd2refzf2Cinfozd2varzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8410, obj_t BgL_oz00_8411, obj_t BgL_vz00_8412)
	{
		{	/* Cfa/cinfo.sch 1265 */
			return
				BGl_boxzd2refzf2Cinfozd2varzd2setz12z32zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8411),
				((BgL_varz00_bglt) BgL_vz00_8412));
		}

	}



/* box-ref/Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2keyzf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_964)
	{
		{	/* Cfa/cinfo.sch 1266 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_964)))->BgL_keyz00);
		}

	}



/* &box-ref/Cinfo-key */
	obj_t BGl_z62boxzd2refzf2Cinfozd2keyz90zzcfa_infoz00(obj_t BgL_envz00_8413,
		obj_t BgL_oz00_8414)
	{
		{	/* Cfa/cinfo.sch 1266 */
			return
				BGl_boxzd2refzf2Cinfozd2keyzf2zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8414));
		}

	}



/* box-ref/Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2keyzd2setz12z32zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_965, obj_t BgL_vz00_966)
	{
		{	/* Cfa/cinfo.sch 1267 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_965)))->BgL_keyz00) =
				((obj_t) BgL_vz00_966), BUNSPEC);
		}

	}



/* &box-ref/Cinfo-key-set! */
	obj_t BGl_z62boxzd2refzf2Cinfozd2keyzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8415, obj_t BgL_oz00_8416, obj_t BgL_vz00_8417)
	{
		{	/* Cfa/cinfo.sch 1267 */
			return
				BGl_boxzd2refzf2Cinfozd2keyzd2setz12z32zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8416), BgL_vz00_8417);
		}

	}



/* box-ref/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2sidezd2effectz20zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_967)
	{
		{	/* Cfa/cinfo.sch 1268 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_967)))->BgL_sidezd2effectzd2);
		}

	}



/* &box-ref/Cinfo-side-effect */
	obj_t BGl_z62boxzd2refzf2Cinfozd2sidezd2effectz42zzcfa_infoz00(obj_t
		BgL_envz00_8418, obj_t BgL_oz00_8419)
	{
		{	/* Cfa/cinfo.sch 1268 */
			return
				BGl_boxzd2refzf2Cinfozd2sidezd2effectz20zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8419));
		}

	}



/* box-ref/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_968, obj_t BgL_vz00_969)
	{
		{	/* Cfa/cinfo.sch 1269 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_968)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_969), BUNSPEC);
		}

	}



/* &box-ref/Cinfo-side-effect-set! */
	obj_t BGl_z62boxzd2refzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8420, obj_t BgL_oz00_8421, obj_t BgL_vz00_8422)
	{
		{	/* Cfa/cinfo.sch 1269 */
			return
				BGl_boxzd2refzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8421), BgL_vz00_8422);
		}

	}



/* box-ref/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzf2Cinfozd2typezf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_970)
	{
		{	/* Cfa/cinfo.sch 1270 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_970)))->BgL_typez00);
		}

	}



/* &box-ref/Cinfo-type */
	BgL_typez00_bglt BGl_z62boxzd2refzf2Cinfozd2typez90zzcfa_infoz00(obj_t
		BgL_envz00_8423, obj_t BgL_oz00_8424)
	{
		{	/* Cfa/cinfo.sch 1270 */
			return
				BGl_boxzd2refzf2Cinfozd2typezf2zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8424));
		}

	}



/* box-ref/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2typezd2setz12z32zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_971, BgL_typez00_bglt BgL_vz00_972)
	{
		{	/* Cfa/cinfo.sch 1271 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_971)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_972), BUNSPEC);
		}

	}



/* &box-ref/Cinfo-type-set! */
	obj_t BGl_z62boxzd2refzf2Cinfozd2typezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8425, obj_t BgL_oz00_8426, obj_t BgL_vz00_8427)
	{
		{	/* Cfa/cinfo.sch 1271 */
			return
				BGl_boxzd2refzf2Cinfozd2typezd2setz12z32zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8426),
				((BgL_typez00_bglt) BgL_vz00_8427));
		}

	}



/* box-ref/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2loczf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_973)
	{
		{	/* Cfa/cinfo.sch 1272 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_973)))->BgL_locz00);
		}

	}



/* &box-ref/Cinfo-loc */
	obj_t BGl_z62boxzd2refzf2Cinfozd2locz90zzcfa_infoz00(obj_t BgL_envz00_8428,
		obj_t BgL_oz00_8429)
	{
		{	/* Cfa/cinfo.sch 1272 */
			return
				BGl_boxzd2refzf2Cinfozd2loczf2zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8429));
		}

	}



/* make-box-set!/O-Cinfo */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12zf2Ozd2Cinfoz32zzcfa_infoz00(obj_t
		BgL_loc1545z00_976, BgL_typez00_bglt BgL_type1546z00_977,
		BgL_varz00_bglt BgL_var1547z00_978, BgL_nodez00_bglt BgL_value1548z00_979,
		BgL_typez00_bglt BgL_vtype1549z00_980,
		BgL_approxz00_bglt BgL_approx1550z00_981)
	{
		{	/* Cfa/cinfo.sch 1276 */
			{	/* Cfa/cinfo.sch 1276 */
				BgL_boxzd2setz12zc0_bglt BgL_new1658z00_10009;

				{	/* Cfa/cinfo.sch 1276 */
					BgL_boxzd2setz12zc0_bglt BgL_tmp1656z00_10010;
					BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_wide1657z00_10011;

					{
						BgL_boxzd2setz12zc0_bglt BgL_auxz00_15095;

						{	/* Cfa/cinfo.sch 1276 */
							BgL_boxzd2setz12zc0_bglt BgL_new1655z00_10012;

							BgL_new1655z00_10012 =
								((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2setz12zc0_bgl))));
							{	/* Cfa/cinfo.sch 1276 */
								long BgL_arg2052z00_10013;

								BgL_arg2052z00_10013 =
									BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1655z00_10012),
									BgL_arg2052z00_10013);
							}
							{	/* Cfa/cinfo.sch 1276 */
								BgL_objectz00_bglt BgL_tmpz00_15100;

								BgL_tmpz00_15100 = ((BgL_objectz00_bglt) BgL_new1655z00_10012);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15100, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1655z00_10012);
							BgL_auxz00_15095 = BgL_new1655z00_10012;
						}
						BgL_tmp1656z00_10010 =
							((BgL_boxzd2setz12zc0_bglt) BgL_auxz00_15095);
					}
					BgL_wide1657z00_10011 =
						((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zf2ozd2cinfoze0_bgl))));
					{	/* Cfa/cinfo.sch 1276 */
						obj_t BgL_auxz00_15108;
						BgL_objectz00_bglt BgL_tmpz00_15106;

						BgL_auxz00_15108 = ((obj_t) BgL_wide1657z00_10011);
						BgL_tmpz00_15106 = ((BgL_objectz00_bglt) BgL_tmp1656z00_10010);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15106, BgL_auxz00_15108);
					}
					((BgL_objectz00_bglt) BgL_tmp1656z00_10010);
					{	/* Cfa/cinfo.sch 1276 */
						long BgL_arg2051z00_10014;

						BgL_arg2051z00_10014 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1656z00_10010),
							BgL_arg2051z00_10014);
					}
					BgL_new1658z00_10009 =
						((BgL_boxzd2setz12zc0_bglt) BgL_tmp1656z00_10010);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1658z00_10009)))->BgL_locz00) =
					((obj_t) BgL_loc1545z00_976), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1658z00_10009)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1546z00_977), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1658z00_10009)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1547z00_978), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1658z00_10009)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1548z00_979), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1658z00_10009)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1549z00_980), BUNSPEC);
				{
					BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_15126;

					{
						obj_t BgL_auxz00_15127;

						{	/* Cfa/cinfo.sch 1276 */
							BgL_objectz00_bglt BgL_tmpz00_15128;

							BgL_tmpz00_15128 = ((BgL_objectz00_bglt) BgL_new1658z00_10009);
							BgL_auxz00_15127 = BGL_OBJECT_WIDENING(BgL_tmpz00_15128);
						}
						BgL_auxz00_15126 =
							((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_15127);
					}
					((((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) COBJECT(BgL_auxz00_15126))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1550z00_981), BUNSPEC);
				}
				return BgL_new1658z00_10009;
			}
		}

	}



/* &make-box-set!/O-Cinfo */
	BgL_boxzd2setz12zc0_bglt
		BGl_z62makezd2boxzd2setz12zf2Ozd2Cinfoz50zzcfa_infoz00(obj_t
		BgL_envz00_8430, obj_t BgL_loc1545z00_8431, obj_t BgL_type1546z00_8432,
		obj_t BgL_var1547z00_8433, obj_t BgL_value1548z00_8434,
		obj_t BgL_vtype1549z00_8435, obj_t BgL_approx1550z00_8436)
	{
		{	/* Cfa/cinfo.sch 1276 */
			return
				BGl_makezd2boxzd2setz12zf2Ozd2Cinfoz32zzcfa_infoz00(BgL_loc1545z00_8431,
				((BgL_typez00_bglt) BgL_type1546z00_8432),
				((BgL_varz00_bglt) BgL_var1547z00_8433),
				((BgL_nodez00_bglt) BgL_value1548z00_8434),
				((BgL_typez00_bglt) BgL_vtype1549z00_8435),
				((BgL_approxz00_bglt) BgL_approx1550z00_8436));
		}

	}



/* box-set!/O-Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2setz12zf2Ozd2Cinfozf3z13zzcfa_infoz00(obj_t
		BgL_objz00_982)
	{
		{	/* Cfa/cinfo.sch 1277 */
			{	/* Cfa/cinfo.sch 1277 */
				obj_t BgL_classz00_10015;

				BgL_classz00_10015 = BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_982))
					{	/* Cfa/cinfo.sch 1277 */
						BgL_objectz00_bglt BgL_arg1825z00_10016;

						BgL_arg1825z00_10016 = (BgL_objectz00_bglt) (BgL_objz00_982);
						{	/* Cfa/cinfo.sch 1277 */
							bool_t BgL_arg1822z00_10017;
							bool_t BgL_arg1823z00_10018;

							{	/* Cfa/cinfo.sch 1277 */
								long BgL_idxz00_10019;

								BgL_idxz00_10019 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_10016);
								BgL_arg1822z00_10017 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_10019 + ((long) 3))) == BgL_classz00_10015);
							}
							{	/* Cfa/cinfo.sch 1277 */
								bool_t BgL_res3077z00_10022;

								{	/* Cfa/cinfo.sch 1277 */
									obj_t BgL_oclassz00_10023;

									{	/* Cfa/cinfo.sch 1277 */
										long BgL_arg1833z00_10024;

										{	/* Cfa/cinfo.sch 1277 */
											long BgL_arg1834z00_10025;

											BgL_arg1834z00_10025 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_10016);
											BgL_arg1833z00_10024 =
												(BgL_arg1834z00_10025 - OBJECT_TYPE);
										}
										BgL_oclassz00_10023 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_10024);
									}
									{	/* Cfa/cinfo.sch 1277 */
										bool_t BgL__ortest_1110z00_10026;

										BgL__ortest_1110z00_10026 =
											(BgL_classz00_10015 == BgL_oclassz00_10023);
										if (BgL__ortest_1110z00_10026)
											{	/* Cfa/cinfo.sch 1277 */
												BgL_res3077z00_10022 = BgL__ortest_1110z00_10026;
											}
										else
											{	/* Cfa/cinfo.sch 1277 */
												long BgL_odepthz00_10027;

												BgL_odepthz00_10027 =
													BGL_CLASS_DEPTH(BgL_oclassz00_10023);
												if ((((long) 3) < BgL_odepthz00_10027))
													{	/* Cfa/cinfo.sch 1277 */
														obj_t BgL_arg1821z00_10028;

														BgL_arg1821z00_10028 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_10023,
															((long) 3));
														BgL_res3077z00_10022 =
															(BgL_arg1821z00_10028 == BgL_classz00_10015);
													}
												else
													{	/* Cfa/cinfo.sch 1277 */
														BgL_res3077z00_10022 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_10018 = BgL_res3077z00_10022;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_10017, BgL_arg1823z00_10018);
						}
					}
				else
					{	/* Cfa/cinfo.sch 1277 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &box-set!/O-Cinfo? */
	obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozf3z71zzcfa_infoz00(obj_t
		BgL_envz00_8437, obj_t BgL_objz00_8438)
	{
		{	/* Cfa/cinfo.sch 1277 */
			return
				BBOOL(BGl_boxzd2setz12zf2Ozd2Cinfozf3z13zzcfa_infoz00(BgL_objz00_8438));
		}

	}



/* box-set!/O-Cinfo-nil */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2nilz32zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 1278 */
			{	/* Cfa/cinfo.sch 1278 */
				obj_t BgL_classz00_5931;

				BgL_classz00_5931 = BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1278 */
					obj_t BgL__ortest_1112z00_5932;

					BgL__ortest_1112z00_5932 = BGL_CLASS_NIL(BgL_classz00_5931);
					if (CBOOL(BgL__ortest_1112z00_5932))
						{	/* Cfa/cinfo.sch 1278 */
							return ((BgL_boxzd2setz12zc0_bglt) BgL__ortest_1112z00_5932);
						}
					else
						{	/* Cfa/cinfo.sch 1278 */
							return
								((BgL_boxzd2setz12zc0_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5931));
						}
				}
			}
		}

	}



/* &box-set!/O-Cinfo-nil */
	BgL_boxzd2setz12zc0_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2nilz50zzcfa_infoz00(obj_t BgL_envz00_8439)
	{
		{	/* Cfa/cinfo.sch 1278 */
			return BGl_boxzd2setz12zf2Ozd2Cinfozd2nilz32zzcfa_infoz00();
		}

	}



/* box-set!/O-Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2approxz32zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_983)
	{
		{	/* Cfa/cinfo.sch 1279 */
			{
				BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_15166;

				{
					obj_t BgL_auxz00_15167;

					{	/* Cfa/cinfo.sch 1279 */
						BgL_objectz00_bglt BgL_tmpz00_15168;

						BgL_tmpz00_15168 = ((BgL_objectz00_bglt) BgL_oz00_983);
						BgL_auxz00_15167 = BGL_OBJECT_WIDENING(BgL_tmpz00_15168);
					}
					BgL_auxz00_15166 =
						((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_15167);
				}
				return
					(((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) COBJECT(BgL_auxz00_15166))->
					BgL_approxz00);
			}
		}

	}



/* &box-set!/O-Cinfo-approx */
	BgL_approxz00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2approxz50zzcfa_infoz00(obj_t
		BgL_envz00_8440, obj_t BgL_oz00_8441)
	{
		{	/* Cfa/cinfo.sch 1279 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2approxz32zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8441));
		}

	}



/* box-set!/O-Cinfo-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypez32zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_986)
	{
		{	/* Cfa/cinfo.sch 1281 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_986)))->BgL_vtypez00);
		}

	}



/* &box-set!/O-Cinfo-vtype */
	BgL_typez00_bglt BGl_z62boxzd2setz12zf2Ozd2Cinfozd2vtypez50zzcfa_infoz00(obj_t
		BgL_envz00_8442, obj_t BgL_oz00_8443)
	{
		{	/* Cfa/cinfo.sch 1281 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypez32zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8443));
		}

	}



/* box-set!/O-Cinfo-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12zf2zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_987, BgL_typez00_bglt BgL_vz00_988)
	{
		{	/* Cfa/cinfo.sch 1282 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_987)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_988), BUNSPEC);
		}

	}



/* &box-set!/O-Cinfo-vtype-set! */
	obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12z90zzcfa_infoz00(obj_t
		BgL_envz00_8444, obj_t BgL_oz00_8445, obj_t BgL_vz00_8446)
	{
		{	/* Cfa/cinfo.sch 1282 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12zf2zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8445),
				((BgL_typez00_bglt) BgL_vz00_8446));
		}

	}



/* box-set!/O-Cinfo-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2valuez32zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_989)
	{
		{	/* Cfa/cinfo.sch 1283 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_989)))->BgL_valuez00);
		}

	}



/* &box-set!/O-Cinfo-value */
	BgL_nodez00_bglt BGl_z62boxzd2setz12zf2Ozd2Cinfozd2valuez50zzcfa_infoz00(obj_t
		BgL_envz00_8447, obj_t BgL_oz00_8448)
	{
		{	/* Cfa/cinfo.sch 1283 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2valuez32zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8448));
		}

	}



/* box-set!/O-Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12zf2zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_990, BgL_nodez00_bglt BgL_vz00_991)
	{
		{	/* Cfa/cinfo.sch 1284 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_990)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_991), BUNSPEC);
		}

	}



/* &box-set!/O-Cinfo-value-set! */
	obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12z90zzcfa_infoz00(obj_t
		BgL_envz00_8449, obj_t BgL_oz00_8450, obj_t BgL_vz00_8451)
	{
		{	/* Cfa/cinfo.sch 1284 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12zf2zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8450),
				((BgL_nodez00_bglt) BgL_vz00_8451));
		}

	}



/* box-set!/O-Cinfo-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2varz32zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_992)
	{
		{	/* Cfa/cinfo.sch 1285 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_992)))->BgL_varz00);
		}

	}



/* &box-set!/O-Cinfo-var */
	BgL_varz00_bglt BGl_z62boxzd2setz12zf2Ozd2Cinfozd2varz50zzcfa_infoz00(obj_t
		BgL_envz00_8452, obj_t BgL_oz00_8453)
	{
		{	/* Cfa/cinfo.sch 1285 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2varz32zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8453));
		}

	}



/* box-set!/O-Cinfo-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12zf2zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_993, BgL_varz00_bglt BgL_vz00_994)
	{
		{	/* Cfa/cinfo.sch 1286 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_993)))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_994), BUNSPEC);
		}

	}



/* &box-set!/O-Cinfo-var-set! */
	obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12z90zzcfa_infoz00(obj_t
		BgL_envz00_8454, obj_t BgL_oz00_8455, obj_t BgL_vz00_8456)
	{
		{	/* Cfa/cinfo.sch 1286 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12zf2zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8455),
				((BgL_varz00_bglt) BgL_vz00_8456));
		}

	}



/* box-set!/O-Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2typez32zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_995)
	{
		{	/* Cfa/cinfo.sch 1287 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_995)))->BgL_typez00);
		}

	}



/* &box-set!/O-Cinfo-type */
	BgL_typez00_bglt BGl_z62boxzd2setz12zf2Ozd2Cinfozd2typez50zzcfa_infoz00(obj_t
		BgL_envz00_8457, obj_t BgL_oz00_8458)
	{
		{	/* Cfa/cinfo.sch 1287 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2typez32zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8458));
		}

	}



/* box-set!/O-Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12zf2zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_996, BgL_typez00_bglt BgL_vz00_997)
	{
		{	/* Cfa/cinfo.sch 1288 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_996)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_997), BUNSPEC);
		}

	}



/* &box-set!/O-Cinfo-type-set! */
	obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12z90zzcfa_infoz00(obj_t
		BgL_envz00_8459, obj_t BgL_oz00_8460, obj_t BgL_vz00_8461)
	{
		{	/* Cfa/cinfo.sch 1288 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12zf2zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8460),
				((BgL_typez00_bglt) BgL_vz00_8461));
		}

	}



/* box-set!/O-Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2locz32zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_998)
	{
		{	/* Cfa/cinfo.sch 1289 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_998)))->BgL_locz00);
		}

	}



/* &box-set!/O-Cinfo-loc */
	obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozd2locz50zzcfa_infoz00(obj_t
		BgL_envz00_8462, obj_t BgL_oz00_8463)
	{
		{	/* Cfa/cinfo.sch 1289 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2locz32zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8463));
		}

	}



/* make-box-ref/O-Cinfo */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refzf2Ozd2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1537z00_1001,
		BgL_typez00_bglt BgL_type1538z00_1002, obj_t BgL_sidezd2effect1539zd2_1003,
		obj_t BgL_key1540z00_1004, BgL_varz00_bglt BgL_var1541z00_1005,
		BgL_typez00_bglt BgL_vtype1542z00_1006,
		BgL_approxz00_bglt BgL_approx1543z00_1007)
	{
		{	/* Cfa/cinfo.sch 1293 */
			{	/* Cfa/cinfo.sch 1293 */
				BgL_boxzd2refzd2_bglt BgL_new1662z00_10029;

				{	/* Cfa/cinfo.sch 1293 */
					BgL_boxzd2refzd2_bglt BgL_tmp1660z00_10030;
					BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_wide1661z00_10031;

					{
						BgL_boxzd2refzd2_bglt BgL_auxz00_15215;

						{	/* Cfa/cinfo.sch 1293 */
							BgL_boxzd2refzd2_bglt BgL_new1659z00_10032;

							BgL_new1659z00_10032 =
								((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2refzd2_bgl))));
							{	/* Cfa/cinfo.sch 1293 */
								long BgL_arg2054z00_10033;

								BgL_arg2054z00_10033 =
									BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1659z00_10032),
									BgL_arg2054z00_10033);
							}
							{	/* Cfa/cinfo.sch 1293 */
								BgL_objectz00_bglt BgL_tmpz00_15220;

								BgL_tmpz00_15220 = ((BgL_objectz00_bglt) BgL_new1659z00_10032);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15220, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1659z00_10032);
							BgL_auxz00_15215 = BgL_new1659z00_10032;
						}
						BgL_tmp1660z00_10030 = ((BgL_boxzd2refzd2_bglt) BgL_auxz00_15215);
					}
					BgL_wide1661z00_10031 =
						((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzf2ozd2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1293 */
						obj_t BgL_auxz00_15228;
						BgL_objectz00_bglt BgL_tmpz00_15226;

						BgL_auxz00_15228 = ((obj_t) BgL_wide1661z00_10031);
						BgL_tmpz00_15226 = ((BgL_objectz00_bglt) BgL_tmp1660z00_10030);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15226, BgL_auxz00_15228);
					}
					((BgL_objectz00_bglt) BgL_tmp1660z00_10030);
					{	/* Cfa/cinfo.sch 1293 */
						long BgL_arg2053z00_10034;

						BgL_arg2053z00_10034 =
							BGL_CLASS_NUM(BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1660z00_10030),
							BgL_arg2053z00_10034);
					}
					BgL_new1662z00_10029 = ((BgL_boxzd2refzd2_bglt) BgL_tmp1660z00_10030);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1662z00_10029)))->BgL_locz00) =
					((obj_t) BgL_loc1537z00_1001), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1662z00_10029)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1538z00_1002), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1662z00_10029)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1539zd2_1003), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1662z00_10029)))->BgL_keyz00) =
					((obj_t) BgL_key1540z00_1004), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1662z00_10029)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1541z00_1005), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1662z00_10029)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1542z00_1006), BUNSPEC);
				{
					BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_15248;

					{
						obj_t BgL_auxz00_15249;

						{	/* Cfa/cinfo.sch 1293 */
							BgL_objectz00_bglt BgL_tmpz00_15250;

							BgL_tmpz00_15250 = ((BgL_objectz00_bglt) BgL_new1662z00_10029);
							BgL_auxz00_15249 = BGL_OBJECT_WIDENING(BgL_tmpz00_15250);
						}
						BgL_auxz00_15248 =
							((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_15249);
					}
					((((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_15248))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1543z00_1007), BUNSPEC);
				}
				return BgL_new1662z00_10029;
			}
		}

	}



/* &make-box-ref/O-Cinfo */
	BgL_boxzd2refzd2_bglt
		BGl_z62makezd2boxzd2refzf2Ozd2Cinfoz42zzcfa_infoz00(obj_t BgL_envz00_8464,
		obj_t BgL_loc1537z00_8465, obj_t BgL_type1538z00_8466,
		obj_t BgL_sidezd2effect1539zd2_8467, obj_t BgL_key1540z00_8468,
		obj_t BgL_var1541z00_8469, obj_t BgL_vtype1542z00_8470,
		obj_t BgL_approx1543z00_8471)
	{
		{	/* Cfa/cinfo.sch 1293 */
			return
				BGl_makezd2boxzd2refzf2Ozd2Cinfoz20zzcfa_infoz00(BgL_loc1537z00_8465,
				((BgL_typez00_bglt) BgL_type1538z00_8466),
				BgL_sidezd2effect1539zd2_8467, BgL_key1540z00_8468,
				((BgL_varz00_bglt) BgL_var1541z00_8469),
				((BgL_typez00_bglt) BgL_vtype1542z00_8470),
				((BgL_approxz00_bglt) BgL_approx1543z00_8471));
		}

	}



/* box-ref/O-Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2refzf2Ozd2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_1008)
	{
		{	/* Cfa/cinfo.sch 1294 */
			{	/* Cfa/cinfo.sch 1294 */
				obj_t BgL_classz00_10035;

				BgL_classz00_10035 = BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_1008))
					{	/* Cfa/cinfo.sch 1294 */
						BgL_objectz00_bglt BgL_arg1825z00_10036;

						BgL_arg1825z00_10036 = (BgL_objectz00_bglt) (BgL_objz00_1008);
						{	/* Cfa/cinfo.sch 1294 */
							bool_t BgL_arg1822z00_10037;
							bool_t BgL_arg1823z00_10038;

							{	/* Cfa/cinfo.sch 1294 */
								long BgL_idxz00_10039;

								BgL_idxz00_10039 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_10036);
								BgL_arg1822z00_10037 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_10039 + ((long) 4))) == BgL_classz00_10035);
							}
							{	/* Cfa/cinfo.sch 1294 */
								bool_t BgL_res3078z00_10042;

								{	/* Cfa/cinfo.sch 1294 */
									obj_t BgL_oclassz00_10043;

									{	/* Cfa/cinfo.sch 1294 */
										long BgL_arg1833z00_10044;

										{	/* Cfa/cinfo.sch 1294 */
											long BgL_arg1834z00_10045;

											BgL_arg1834z00_10045 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_10036);
											BgL_arg1833z00_10044 =
												(BgL_arg1834z00_10045 - OBJECT_TYPE);
										}
										BgL_oclassz00_10043 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_10044);
									}
									{	/* Cfa/cinfo.sch 1294 */
										bool_t BgL__ortest_1110z00_10046;

										BgL__ortest_1110z00_10046 =
											(BgL_classz00_10035 == BgL_oclassz00_10043);
										if (BgL__ortest_1110z00_10046)
											{	/* Cfa/cinfo.sch 1294 */
												BgL_res3078z00_10042 = BgL__ortest_1110z00_10046;
											}
										else
											{	/* Cfa/cinfo.sch 1294 */
												long BgL_odepthz00_10047;

												BgL_odepthz00_10047 =
													BGL_CLASS_DEPTH(BgL_oclassz00_10043);
												if ((((long) 4) < BgL_odepthz00_10047))
													{	/* Cfa/cinfo.sch 1294 */
														obj_t BgL_arg1821z00_10048;

														BgL_arg1821z00_10048 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_10043,
															((long) 4));
														BgL_res3078z00_10042 =
															(BgL_arg1821z00_10048 == BgL_classz00_10035);
													}
												else
													{	/* Cfa/cinfo.sch 1294 */
														BgL_res3078z00_10042 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_10038 = BgL_res3078z00_10042;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_10037, BgL_arg1823z00_10038);
						}
					}
				else
					{	/* Cfa/cinfo.sch 1294 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &box-ref/O-Cinfo? */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_8472,
		obj_t BgL_objz00_8473)
	{
		{	/* Cfa/cinfo.sch 1294 */
			return
				BBOOL(BGl_boxzd2refzf2Ozd2Cinfozf3z01zzcfa_infoz00(BgL_objz00_8473));
		}

	}



/* box-ref/O-Cinfo-nil */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2nilz20zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.sch 1295 */
			{	/* Cfa/cinfo.sch 1295 */
				obj_t BgL_classz00_5981;

				BgL_classz00_5981 = BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1295 */
					obj_t BgL__ortest_1112z00_5982;

					BgL__ortest_1112z00_5982 = BGL_CLASS_NIL(BgL_classz00_5981);
					if (CBOOL(BgL__ortest_1112z00_5982))
						{	/* Cfa/cinfo.sch 1295 */
							return ((BgL_boxzd2refzd2_bglt) BgL__ortest_1112z00_5982);
						}
					else
						{	/* Cfa/cinfo.sch 1295 */
							return
								((BgL_boxzd2refzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5981));
						}
				}
			}
		}

	}



/* &box-ref/O-Cinfo-nil */
	BgL_boxzd2refzd2_bglt BGl_z62boxzd2refzf2Ozd2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_8474)
	{
		{	/* Cfa/cinfo.sch 1295 */
			return BGl_boxzd2refzf2Ozd2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* box-ref/O-Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2approxz20zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_1009)
	{
		{	/* Cfa/cinfo.sch 1296 */
			{
				BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_15287;

				{
					obj_t BgL_auxz00_15288;

					{	/* Cfa/cinfo.sch 1296 */
						BgL_objectz00_bglt BgL_tmpz00_15289;

						BgL_tmpz00_15289 = ((BgL_objectz00_bglt) BgL_oz00_1009);
						BgL_auxz00_15288 = BGL_OBJECT_WIDENING(BgL_tmpz00_15289);
					}
					BgL_auxz00_15287 =
						((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_15288);
				}
				return
					(((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_15287))->
					BgL_approxz00);
			}
		}

	}



/* &box-ref/O-Cinfo-approx */
	BgL_approxz00_bglt BGl_z62boxzd2refzf2Ozd2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_8475, obj_t BgL_oz00_8476)
	{
		{	/* Cfa/cinfo.sch 1296 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8476));
		}

	}



/* box-ref/O-Cinfo-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2vtypez20zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_1012)
	{
		{	/* Cfa/cinfo.sch 1298 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_1012)))->BgL_vtypez00);
		}

	}



/* &box-ref/O-Cinfo-vtype */
	BgL_typez00_bglt BGl_z62boxzd2refzf2Ozd2Cinfozd2vtypez42zzcfa_infoz00(obj_t
		BgL_envz00_8477, obj_t BgL_oz00_8478)
	{
		{	/* Cfa/cinfo.sch 1298 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2vtypez20zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8478));
		}

	}



/* box-ref/O-Cinfo-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_1013, BgL_typez00_bglt BgL_vz00_1014)
	{
		{	/* Cfa/cinfo.sch 1299 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_1013)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_1014), BUNSPEC);
		}

	}



/* &box-ref/O-Cinfo-vtype-set! */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8479, obj_t BgL_oz00_8480, obj_t BgL_vz00_8481)
	{
		{	/* Cfa/cinfo.sch 1299 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12ze0zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8480),
				((BgL_typez00_bglt) BgL_vz00_8481));
		}

	}



/* box-ref/O-Cinfo-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2varz20zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_1015)
	{
		{	/* Cfa/cinfo.sch 1300 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_1015)))->BgL_varz00);
		}

	}



/* &box-ref/O-Cinfo-var */
	BgL_varz00_bglt BGl_z62boxzd2refzf2Ozd2Cinfozd2varz42zzcfa_infoz00(obj_t
		BgL_envz00_8482, obj_t BgL_oz00_8483)
	{
		{	/* Cfa/cinfo.sch 1300 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2varz20zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8483));
		}

	}



/* box-ref/O-Cinfo-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2varzd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_1016, BgL_varz00_bglt BgL_vz00_1017)
	{
		{	/* Cfa/cinfo.sch 1301 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_1016)))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_1017), BUNSPEC);
		}

	}



/* &box-ref/O-Cinfo-var-set! */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2varzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8484, obj_t BgL_oz00_8485, obj_t BgL_vz00_8486)
	{
		{	/* Cfa/cinfo.sch 1301 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2varzd2setz12ze0zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8485),
				((BgL_varz00_bglt) BgL_vz00_8486));
		}

	}



/* box-ref/O-Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2keyz20zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_1018)
	{
		{	/* Cfa/cinfo.sch 1302 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_1018)))->BgL_keyz00);
		}

	}



/* &box-ref/O-Cinfo-key */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2keyz42zzcfa_infoz00(obj_t
		BgL_envz00_8487, obj_t BgL_oz00_8488)
	{
		{	/* Cfa/cinfo.sch 1302 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2keyz20zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8488));
		}

	}



/* box-ref/O-Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2keyzd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_1019, obj_t BgL_vz00_1020)
	{
		{	/* Cfa/cinfo.sch 1303 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_1019)))->BgL_keyz00) =
				((obj_t) BgL_vz00_1020), BUNSPEC);
		}

	}



/* &box-ref/O-Cinfo-key-set! */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8489, obj_t BgL_oz00_8490, obj_t BgL_vz00_8491)
	{
		{	/* Cfa/cinfo.sch 1303 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2keyzd2setz12ze0zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8490), BgL_vz00_8491);
		}

	}



/* box-ref/O-Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzf2zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_1021)
	{
		{	/* Cfa/cinfo.sch 1304 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_1021)))->
				BgL_sidezd2effectzd2);
		}

	}



/* &box-ref/O-Cinfo-side-effect */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t
		BgL_envz00_8492, obj_t BgL_oz00_8493)
	{
		{	/* Cfa/cinfo.sch 1304 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzf2zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8493));
		}

	}



/* box-ref/O-Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_1022, obj_t BgL_vz00_1023)
	{
		{	/* Cfa/cinfo.sch 1305 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_1022)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_1023), BUNSPEC);
		}

	}



/* &box-ref/O-Cinfo-side-effect-set! */
	obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8494, obj_t BgL_oz00_8495, obj_t BgL_vz00_8496)
	{
		{	/* Cfa/cinfo.sch 1305 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8495), BgL_vz00_8496);
		}

	}



/* box-ref/O-Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2typez20zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_1024)
	{
		{	/* Cfa/cinfo.sch 1306 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1024)))->BgL_typez00);
		}

	}



/* &box-ref/O-Cinfo-type */
	BgL_typez00_bglt BGl_z62boxzd2refzf2Ozd2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8497, obj_t BgL_oz00_8498)
	{
		{	/* Cfa/cinfo.sch 1306 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2typez20zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8498));
		}

	}



/* box-ref/O-Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_1025, BgL_typez00_bglt BgL_vz00_1026)
	{
		{	/* Cfa/cinfo.sch 1307 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_1025)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_1026), BUNSPEC);
		}

	}



/* &box-ref/O-Cinfo-type-set! */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8499, obj_t BgL_oz00_8500, obj_t BgL_vz00_8501)
	{
		{	/* Cfa/cinfo.sch 1307 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8500),
				((BgL_typez00_bglt) BgL_vz00_8501));
		}

	}



/* box-ref/O-Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2locz20zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_1027)
	{
		{	/* Cfa/cinfo.sch 1308 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1027)))->BgL_locz00);
		}

	}



/* &box-ref/O-Cinfo-loc */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2locz42zzcfa_infoz00(obj_t
		BgL_envz00_8502, obj_t BgL_oz00_8503)
	{
		{	/* Cfa/cinfo.sch 1308 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2locz20zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8503));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.scm 15 */
			{	/* Cfa/cinfo.scm 25 */
				obj_t BgL_arg2059z00_2565;
				obj_t BgL_arg2060z00_2566;

				{	/* Cfa/cinfo.scm 25 */
					obj_t BgL_v1921z00_2583;

					BgL_v1921z00_2583 = create_vector(((long) 7));
					{	/* Cfa/cinfo.scm 25 */
						obj_t BgL_arg2066z00_2584;

						BgL_arg2066z00_2584 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc3081z00zzcfa_infoz00,
							BGl_proc3080z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3079z00zzcfa_infoz00, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1921z00_2583, ((long) 0), BgL_arg2066z00_2584);
					}
					{	/* Cfa/cinfo.scm 25 */
						obj_t BgL_arg2075z00_2597;

						BgL_arg2075z00_2597 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3084z00zzcfa_infoz00,
							BGl_proc3083z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3082z00zzcfa_infoz00, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1921z00_2583, ((long) 1), BgL_arg2075z00_2597);
					}
					{	/* Cfa/cinfo.scm 25 */
						obj_t BgL_arg2082z00_2610;

						BgL_arg2082z00_2610 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									3)), BGl_proc3086z00zzcfa_infoz00,
							BGl_proc3085z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 4)));
						VECTOR_SET(BgL_v1921z00_2583, ((long) 2), BgL_arg2082z00_2610);
					}
					{	/* Cfa/cinfo.scm 25 */
						obj_t BgL_arg2087z00_2620;

						BgL_arg2087z00_2620 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc3089z00zzcfa_infoz00,
							BGl_proc3088z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3087z00zzcfa_infoz00, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1921z00_2583, ((long) 3), BgL_arg2087z00_2620);
					}
					{	/* Cfa/cinfo.scm 25 */
						obj_t BgL_arg2094z00_2633;

						BgL_arg2094z00_2633 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc3092z00zzcfa_infoz00,
							BGl_proc3091z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3090z00zzcfa_infoz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1921z00_2583, ((long) 4), BgL_arg2094z00_2633);
					}
					{	/* Cfa/cinfo.scm 25 */
						obj_t BgL_arg2101z00_2646;

						BgL_arg2101z00_2646 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3095z00zzcfa_infoz00,
							BGl_proc3094z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3093z00zzcfa_infoz00, CNST_TABLE_REF(((long) 4)));
						VECTOR_SET(BgL_v1921z00_2583, ((long) 5), BgL_arg2101z00_2646);
					}
					{	/* Cfa/cinfo.scm 25 */
						obj_t BgL_arg2108z00_2659;

						BgL_arg2108z00_2659 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									9)), BGl_proc3098z00zzcfa_infoz00,
							BGl_proc3097z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3096z00zzcfa_infoz00, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1921z00_2583, ((long) 6), BgL_arg2108z00_2659);
					}
					BgL_arg2059z00_2565 = BgL_v1921z00_2583;
				}
				{	/* Cfa/cinfo.scm 25 */
					obj_t BgL_v1922z00_2672;

					BgL_v1922z00_2672 = create_vector(((long) 0));
					BgL_arg2060z00_2566 = BgL_v1922z00_2672;
				}
				BGl_approxz00zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 10)),
					CNST_TABLE_REF(((long) 11)), BGl_objectz00zz__objectz00,
					((long) 36467), BGl_proc3101z00zzcfa_infoz00,
					BGl_proc3100z00zzcfa_infoz00, BFALSE, BGl_proc3099z00zzcfa_infoz00,
					BFALSE, BgL_arg2059z00_2565, BgL_arg2060z00_2566);
			}
			{	/* Cfa/cinfo.scm 47 */
				obj_t BgL_arg2120z00_2680;
				obj_t BgL_arg2121z00_2681;

				{	/* Cfa/cinfo.scm 47 */
					obj_t BgL_v1923z00_2717;

					BgL_v1923z00_2717 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 47 */
						obj_t BgL_arg2132z00_2718;

						BgL_arg2132z00_2718 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3103z00zzcfa_infoz00,
							BGl_proc3102z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1923z00_2717, ((long) 0), BgL_arg2132z00_2718);
					}
					BgL_arg2120z00_2680 = BgL_v1923z00_2717;
				}
				{	/* Cfa/cinfo.scm 47 */
					obj_t BgL_v1924z00_2728;

					BgL_v1924z00_2728 = create_vector(((long) 0));
					BgL_arg2121z00_2681 = BgL_v1924z00_2728;
				}
				BGl_cfunzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 12)),
					CNST_TABLE_REF(((long) 11)), BGl_cfunz00zzast_varz00, ((long) 40442),
					BGl_proc3107z00zzcfa_infoz00, BGl_proc3106z00zzcfa_infoz00, BFALSE,
					BGl_proc3105z00zzcfa_infoz00, BGl_proc3104z00zzcfa_infoz00,
					BgL_arg2120z00_2680, BgL_arg2121z00_2681);
			}
			{	/* Cfa/cinfo.scm 49 */
				obj_t BgL_arg2141z00_2737;
				obj_t BgL_arg2142z00_2738;

				{	/* Cfa/cinfo.scm 49 */
					obj_t BgL_v1925z00_2783;

					BgL_v1925z00_2783 = create_vector(((long) 2));
					{	/* Cfa/cinfo.scm 49 */
						obj_t BgL_arg2154z00_2784;

						BgL_arg2154z00_2784 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									13)), BGl_proc3110z00zzcfa_infoz00,
							BGl_proc3109z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3108z00zzcfa_infoz00, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1925z00_2783, ((long) 0), BgL_arg2154z00_2784);
					}
					{	/* Cfa/cinfo.scm 49 */
						obj_t BgL_arg2161z00_2797;

						BgL_arg2161z00_2797 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3112z00zzcfa_infoz00,
							BGl_proc3111z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1925z00_2783, ((long) 1), BgL_arg2161z00_2797);
					}
					BgL_arg2141z00_2737 = BgL_v1925z00_2783;
				}
				{	/* Cfa/cinfo.scm 49 */
					obj_t BgL_v1926z00_2807;

					BgL_v1926z00_2807 = create_vector(((long) 0));
					BgL_arg2142z00_2738 = BgL_v1926z00_2807;
				}
				BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 14)),
					CNST_TABLE_REF(((long) 11)), BGl_sfunz00zzast_varz00, ((long) 13434),
					BGl_proc3116z00zzcfa_infoz00, BGl_proc3115z00zzcfa_infoz00, BFALSE,
					BGl_proc3114z00zzcfa_infoz00, BGl_proc3113z00zzcfa_infoz00,
					BgL_arg2141z00_2737, BgL_arg2142z00_2738);
			}
			{	/* Cfa/cinfo.scm 52 */
				obj_t BgL_arg2171z00_2816;
				obj_t BgL_arg2172z00_2817;

				{	/* Cfa/cinfo.scm 52 */
					obj_t BgL_v1927z00_2863;

					BgL_v1927z00_2863 = create_vector(((long) 3));
					{	/* Cfa/cinfo.scm 52 */
						obj_t BgL_arg2183z00_2864;

						BgL_arg2183z00_2864 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									13)), BGl_proc3119z00zzcfa_infoz00,
							BGl_proc3118z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3117z00zzcfa_infoz00, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1927z00_2863, ((long) 0), BgL_arg2183z00_2864);
					}
					{	/* Cfa/cinfo.scm 52 */
						obj_t BgL_arg2191z00_2877;

						BgL_arg2191z00_2877 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3121z00zzcfa_infoz00,
							BGl_proc3120z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1927z00_2863, ((long) 1), BgL_arg2191z00_2877);
					}
					{	/* Cfa/cinfo.scm 52 */
						obj_t BgL_arg2196z00_2887;

						BgL_arg2196z00_2887 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									15)), BGl_proc3124z00zzcfa_infoz00,
							BGl_proc3123z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3122z00zzcfa_infoz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1927z00_2863, ((long) 2), BgL_arg2196z00_2887);
					}
					BgL_arg2171z00_2816 = BgL_v1927z00_2863;
				}
				{	/* Cfa/cinfo.scm 52 */
					obj_t BgL_v1928z00_2900;

					BgL_v1928z00_2900 = create_vector(((long) 0));
					BgL_arg2172z00_2817 = BgL_v1928z00_2900;
				}
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 16)),
					CNST_TABLE_REF(((long) 11)), BGl_sfunz00zzast_varz00, ((long) 35313),
					BGl_proc3128z00zzcfa_infoz00, BGl_proc3127z00zzcfa_infoz00, BFALSE,
					BGl_proc3126z00zzcfa_infoz00, BGl_proc3125z00zzcfa_infoz00,
					BgL_arg2171z00_2816, BgL_arg2172z00_2817);
			}
			{	/* Cfa/cinfo.scm 58 */
				obj_t BgL_arg2207z00_2909;
				obj_t BgL_arg2208z00_2910;

				{	/* Cfa/cinfo.scm 58 */
					obj_t BgL_v1929z00_2935;

					BgL_v1929z00_2935 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 58 */
						obj_t BgL_arg2219z00_2936;

						BgL_arg2219z00_2936 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3130z00zzcfa_infoz00,
							BGl_proc3129z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1929z00_2935, ((long) 0), BgL_arg2219z00_2936);
					}
					BgL_arg2207z00_2909 = BgL_v1929z00_2935;
				}
				{	/* Cfa/cinfo.scm 58 */
					obj_t BgL_v1930z00_2946;

					BgL_v1930z00_2946 = create_vector(((long) 0));
					BgL_arg2208z00_2910 = BgL_v1930z00_2946;
				}
				BGl_scnstzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 17)),
					CNST_TABLE_REF(((long) 11)), BGl_scnstz00zzast_varz00, ((long) 26820),
					BGl_proc3134z00zzcfa_infoz00, BGl_proc3133z00zzcfa_infoz00, BFALSE,
					BGl_proc3132z00zzcfa_infoz00, BGl_proc3131z00zzcfa_infoz00,
					BgL_arg2207z00_2909, BgL_arg2208z00_2910);
			}
			{	/* Cfa/cinfo.scm 62 */
				obj_t BgL_arg2228z00_2955;
				obj_t BgL_arg2229z00_2956;

				{	/* Cfa/cinfo.scm 62 */
					obj_t BgL_v1931z00_2978;

					BgL_v1931z00_2978 = create_vector(((long) 0));
					BgL_arg2228z00_2955 = BgL_v1931z00_2978;
				}
				{	/* Cfa/cinfo.scm 62 */
					obj_t BgL_v1932z00_2979;

					BgL_v1932z00_2979 = create_vector(((long) 0));
					BgL_arg2229z00_2956 = BgL_v1932z00_2979;
				}
				BGl_prezd2clozd2envz00zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 18)),
					CNST_TABLE_REF(((long) 11)), BGl_svarz00zzast_varz00, ((long) 52997),
					BGl_proc3138z00zzcfa_infoz00, BGl_proc3137z00zzcfa_infoz00, BFALSE,
					BGl_proc3136z00zzcfa_infoz00, BGl_proc3135z00zzcfa_infoz00,
					BgL_arg2228z00_2955, BgL_arg2229z00_2956);
			}
			{	/* Cfa/cinfo.scm 63 */
				obj_t BgL_arg2244z00_2988;
				obj_t BgL_arg2245z00_2989;

				{	/* Cfa/cinfo.scm 63 */
					obj_t BgL_v1933z00_3014;

					BgL_v1933z00_3014 = create_vector(((long) 3));
					{	/* Cfa/cinfo.scm 63 */
						obj_t BgL_arg2256z00_3015;

						BgL_arg2256z00_3015 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3140z00zzcfa_infoz00,
							BGl_proc3139z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1933z00_3014, ((long) 0), BgL_arg2256z00_3015);
					}
					{	/* Cfa/cinfo.scm 63 */
						obj_t BgL_arg2261z00_3025;

						BgL_arg2261z00_3025 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									19)), BGl_proc3143z00zzcfa_infoz00,
							BGl_proc3142z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3141z00zzcfa_infoz00, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1933z00_3014, ((long) 1), BgL_arg2261z00_3025);
					}
					{	/* Cfa/cinfo.scm 63 */
						obj_t BgL_arg2268z00_3038;

						BgL_arg2268z00_3038 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									15)), BGl_proc3146z00zzcfa_infoz00,
							BGl_proc3145z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3144z00zzcfa_infoz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1933z00_3014, ((long) 2), BgL_arg2268z00_3038);
					}
					BgL_arg2244z00_2988 = BgL_v1933z00_3014;
				}
				{	/* Cfa/cinfo.scm 63 */
					obj_t BgL_v1934z00_3051;

					BgL_v1934z00_3051 = create_vector(((long) 0));
					BgL_arg2245z00_2989 = BgL_v1934z00_3051;
				}
				BGl_svarzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 20)),
					CNST_TABLE_REF(((long) 11)), BGl_svarz00zzast_varz00, ((long) 20622),
					BGl_proc3150z00zzcfa_infoz00, BGl_proc3149z00zzcfa_infoz00, BFALSE,
					BGl_proc3148z00zzcfa_infoz00, BGl_proc3147z00zzcfa_infoz00,
					BgL_arg2244z00_2988, BgL_arg2245z00_2989);
			}
			{	/* Cfa/cinfo.scm 70 */
				obj_t BgL_arg2280z00_3060;
				obj_t BgL_arg2281z00_3061;

				{	/* Cfa/cinfo.scm 70 */
					obj_t BgL_v1935z00_3084;

					BgL_v1935z00_3084 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 70 */
						obj_t BgL_arg2292z00_3085;

						BgL_arg2292z00_3085 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3152z00zzcfa_infoz00,
							BGl_proc3151z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1935z00_3084, ((long) 0), BgL_arg2292z00_3085);
					}
					BgL_arg2280z00_3060 = BgL_v1935z00_3084;
				}
				{	/* Cfa/cinfo.scm 70 */
					obj_t BgL_v1936z00_3095;

					BgL_v1936z00_3095 = create_vector(((long) 0));
					BgL_arg2281z00_3061 = BgL_v1936z00_3095;
				}
				BGl_cvarzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 21)),
					CNST_TABLE_REF(((long) 11)), BGl_cvarz00zzast_varz00, ((long) 55546),
					BGl_proc3156z00zzcfa_infoz00, BGl_proc3155z00zzcfa_infoz00, BFALSE,
					BGl_proc3154z00zzcfa_infoz00, BGl_proc3153z00zzcfa_infoz00,
					BgL_arg2280z00_3060, BgL_arg2281z00_3061);
			}
			{	/* Cfa/cinfo.scm 74 */
				obj_t BgL_arg2302z00_3104;
				obj_t BgL_arg2304z00_3105;

				{	/* Cfa/cinfo.scm 74 */
					obj_t BgL_v1937z00_3129;

					BgL_v1937z00_3129 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 74 */
						obj_t BgL_arg2316z00_3130;

						BgL_arg2316z00_3130 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3158z00zzcfa_infoz00,
							BGl_proc3157z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1937z00_3129, ((long) 0), BgL_arg2316z00_3130);
					}
					BgL_arg2302z00_3104 = BgL_v1937z00_3129;
				}
				{	/* Cfa/cinfo.scm 74 */
					obj_t BgL_v1938z00_3140;

					BgL_v1938z00_3140 = create_vector(((long) 0));
					BgL_arg2304z00_3105 = BgL_v1938z00_3140;
				}
				BGl_sexitzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 22)),
					CNST_TABLE_REF(((long) 11)), BGl_sexitz00zzast_varz00, ((long) 9112),
					BGl_proc3162z00zzcfa_infoz00, BGl_proc3161z00zzcfa_infoz00, BFALSE,
					BGl_proc3160z00zzcfa_infoz00, BGl_proc3159z00zzcfa_infoz00,
					BgL_arg2302z00_3104, BgL_arg2304z00_3105);
			}
			{	/* Cfa/cinfo.scm 78 */
				obj_t BgL_arg2326z00_3149;
				obj_t BgL_arg2327z00_3150;

				{	/* Cfa/cinfo.scm 78 */
					obj_t BgL_v1939z00_3185;

					BgL_v1939z00_3185 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 78 */
						obj_t BgL_arg2341z00_3186;

						BgL_arg2341z00_3186 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									23)), BGl_proc3165z00zzcfa_infoz00,
							BGl_proc3164z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3163z00zzcfa_infoz00, CNST_TABLE_REF(((long) 4)));
						VECTOR_SET(BgL_v1939z00_3185, ((long) 0), BgL_arg2341z00_3186);
					}
					BgL_arg2326z00_3149 = BgL_v1939z00_3185;
				}
				{	/* Cfa/cinfo.scm 78 */
					obj_t BgL_v1940z00_3199;

					BgL_v1940z00_3199 = create_vector(((long) 0));
					BgL_arg2327z00_3150 = BgL_v1940z00_3199;
				}
				BGl_reshapedzd2localzd2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 24)),
					CNST_TABLE_REF(((long) 11)), BGl_localz00zzast_varz00, ((long) 49630),
					BGl_proc3169z00zzcfa_infoz00, BGl_proc3168z00zzcfa_infoz00, BFALSE,
					BGl_proc3167z00zzcfa_infoz00, BGl_proc3166z00zzcfa_infoz00,
					BgL_arg2326z00_3149, BgL_arg2327z00_3150);
			}
			{	/* Cfa/cinfo.scm 80 */
				obj_t BgL_arg2354z00_3208;
				obj_t BgL_arg2355z00_3209;

				{	/* Cfa/cinfo.scm 80 */
					obj_t BgL_v1941z00_3250;

					BgL_v1941z00_3250 = create_vector(((long) 0));
					BgL_arg2354z00_3208 = BgL_v1941z00_3250;
				}
				{	/* Cfa/cinfo.scm 80 */
					obj_t BgL_v1942z00_3251;

					BgL_v1942z00_3251 = create_vector(((long) 0));
					BgL_arg2355z00_3209 = BgL_v1942z00_3251;
				}
				BGl_reshapedzd2globalzd2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 25)),
					CNST_TABLE_REF(((long) 11)), BGl_globalz00zzast_varz00,
					((long) 31470), BGl_proc3173z00zzcfa_infoz00,
					BGl_proc3172z00zzcfa_infoz00, BFALSE, BGl_proc3171z00zzcfa_infoz00,
					BGl_proc3170z00zzcfa_infoz00, BgL_arg2354z00_3208,
					BgL_arg2355z00_3209);
			}
			{	/* Cfa/cinfo.scm 83 */
				obj_t BgL_arg2370z00_3260;
				obj_t BgL_arg2371z00_3261;

				{	/* Cfa/cinfo.scm 83 */
					obj_t BgL_v1943z00_3286;

					BgL_v1943z00_3286 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 83 */
						obj_t BgL_arg2383z00_3287;

						BgL_arg2383z00_3287 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3175z00zzcfa_infoz00,
							BGl_proc3174z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1943z00_3286, ((long) 0), BgL_arg2383z00_3287);
					}
					BgL_arg2370z00_3260 = BgL_v1943z00_3286;
				}
				{	/* Cfa/cinfo.scm 83 */
					obj_t BgL_v1944z00_3297;

					BgL_v1944z00_3297 = create_vector(((long) 0));
					BgL_arg2371z00_3261 = BgL_v1944z00_3297;
				}
				BGl_literalzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 26)),
					CNST_TABLE_REF(((long) 11)), BGl_literalz00zzast_nodez00,
					((long) 15512), BGl_proc3179z00zzcfa_infoz00,
					BGl_proc3178z00zzcfa_infoz00, BFALSE, BGl_proc3177z00zzcfa_infoz00,
					BGl_proc3176z00zzcfa_infoz00, BgL_arg2370z00_3260,
					BgL_arg2371z00_3261);
			}
			{	/* Cfa/cinfo.scm 85 */
				obj_t BgL_arg2392z00_3306;
				obj_t BgL_arg2394z00_3307;

				{	/* Cfa/cinfo.scm 85 */
					obj_t BgL_v1945z00_3337;

					BgL_v1945z00_3337 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 85 */
						obj_t BgL_arg2406z00_3338;

						BgL_arg2406z00_3338 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3181z00zzcfa_infoz00,
							BGl_proc3180z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1945z00_3337, ((long) 0), BgL_arg2406z00_3338);
					}
					BgL_arg2392z00_3306 = BgL_v1945z00_3337;
				}
				{	/* Cfa/cinfo.scm 85 */
					obj_t BgL_v1946z00_3348;

					BgL_v1946z00_3348 = create_vector(((long) 0));
					BgL_arg2394z00_3307 = BgL_v1946z00_3348;
				}
				BGl_genpatchidzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 27)),
					CNST_TABLE_REF(((long) 11)), BGl_genpatchidz00zzast_nodez00,
					((long) 36492), BGl_proc3185z00zzcfa_infoz00,
					BGl_proc3184z00zzcfa_infoz00, BFALSE, BGl_proc3183z00zzcfa_infoz00,
					BGl_proc3182z00zzcfa_infoz00, BgL_arg2392z00_3306,
					BgL_arg2394z00_3307);
			}
			{	/* Cfa/cinfo.scm 87 */
				obj_t BgL_arg2418z00_3357;
				obj_t BgL_arg2419z00_3358;

				{	/* Cfa/cinfo.scm 87 */
					obj_t BgL_v1947z00_3386;

					BgL_v1947z00_3386 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 87 */
						obj_t BgL_arg2433z00_3387;

						BgL_arg2433z00_3387 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3187z00zzcfa_infoz00,
							BGl_proc3186z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1947z00_3386, ((long) 0), BgL_arg2433z00_3387);
					}
					BgL_arg2418z00_3357 = BgL_v1947z00_3386;
				}
				{	/* Cfa/cinfo.scm 87 */
					obj_t BgL_v1948z00_3397;

					BgL_v1948z00_3397 = create_vector(((long) 0));
					BgL_arg2419z00_3358 = BgL_v1948z00_3397;
				}
				BGl_patchzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 28)),
					CNST_TABLE_REF(((long) 11)), BGl_patchz00zzast_nodez00,
					((long) 35506), BGl_proc3191z00zzcfa_infoz00,
					BGl_proc3190z00zzcfa_infoz00, BFALSE, BGl_proc3189z00zzcfa_infoz00,
					BGl_proc3188z00zzcfa_infoz00, BgL_arg2418z00_3357,
					BgL_arg2419z00_3358);
			}
			{	/* Cfa/cinfo.scm 89 */
				obj_t BgL_arg2445z00_3406;
				obj_t BgL_arg2446z00_3407;

				{	/* Cfa/cinfo.scm 89 */
					obj_t BgL_v1949z00_3432;

					BgL_v1949z00_3432 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 89 */
						obj_t BgL_arg2458z00_3433;

						BgL_arg2458z00_3433 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									29)), BGl_proc3193z00zzcfa_infoz00,
							BGl_proc3192z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1949z00_3432, ((long) 0), BgL_arg2458z00_3433);
					}
					BgL_arg2445z00_3406 = BgL_v1949z00_3432;
				}
				{	/* Cfa/cinfo.scm 89 */
					obj_t BgL_v1950z00_3443;

					BgL_v1950z00_3443 = create_vector(((long) 0));
					BgL_arg2446z00_3407 = BgL_v1950z00_3443;
				}
				BGl_kwotezf2nodezf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 30)),
					CNST_TABLE_REF(((long) 11)), BGl_kwotez00zzast_nodez00,
					((long) 38145), BGl_proc3197z00zzcfa_infoz00,
					BGl_proc3196z00zzcfa_infoz00, BFALSE, BGl_proc3195z00zzcfa_infoz00,
					BGl_proc3194z00zzcfa_infoz00, BgL_arg2445z00_3406,
					BgL_arg2446z00_3407);
			}
			{	/* Cfa/cinfo.scm 91 */
				obj_t BgL_arg2469z00_3452;
				obj_t BgL_arg2470z00_3453;

				{	/* Cfa/cinfo.scm 91 */
					obj_t BgL_v1951z00_3478;

					BgL_v1951z00_3478 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 91 */
						obj_t BgL_arg2483z00_3479;

						BgL_arg2483z00_3479 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3199z00zzcfa_infoz00,
							BGl_proc3198z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1951z00_3478, ((long) 0), BgL_arg2483z00_3479);
					}
					BgL_arg2469z00_3452 = BgL_v1951z00_3478;
				}
				{	/* Cfa/cinfo.scm 91 */
					obj_t BgL_v1952z00_3489;

					BgL_v1952z00_3489 = create_vector(((long) 0));
					BgL_arg2470z00_3453 = BgL_v1952z00_3489;
				}
				BGl_kwotezf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 31)),
					CNST_TABLE_REF(((long) 11)), BGl_kwotez00zzast_nodez00,
					((long) 22246), BGl_proc3203z00zzcfa_infoz00,
					BGl_proc3202z00zzcfa_infoz00, BFALSE, BGl_proc3201z00zzcfa_infoz00,
					BGl_proc3200z00zzcfa_infoz00, BgL_arg2469z00_3452,
					BgL_arg2470z00_3453);
			}
			{	/* Cfa/cinfo.scm 93 */
				obj_t BgL_arg2495z00_3498;
				obj_t BgL_arg2499z00_3499;

				{	/* Cfa/cinfo.scm 93 */
					obj_t BgL_v1953z00_3525;

					BgL_v1953z00_3525 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 93 */
						obj_t BgL_arg2514z00_3526;

						BgL_arg2514z00_3526 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3205z00zzcfa_infoz00,
							BGl_proc3204z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1953z00_3525, ((long) 0), BgL_arg2514z00_3526);
					}
					BgL_arg2495z00_3498 = BgL_v1953z00_3525;
				}
				{	/* Cfa/cinfo.scm 93 */
					obj_t BgL_v1954z00_3536;

					BgL_v1954z00_3536 = create_vector(((long) 0));
					BgL_arg2499z00_3499 = BgL_v1954z00_3536;
				}
				BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 32)),
					CNST_TABLE_REF(((long) 11)), BGl_appzd2lyzd2zzast_nodez00,
					((long) 50484), BGl_proc3209z00zzcfa_infoz00,
					BGl_proc3208z00zzcfa_infoz00, BFALSE, BGl_proc3207z00zzcfa_infoz00,
					BGl_proc3206z00zzcfa_infoz00, BgL_arg2495z00_3498,
					BgL_arg2499z00_3499);
			}
			{	/* Cfa/cinfo.scm 95 */
				obj_t BgL_arg2530z00_3545;
				obj_t BgL_arg2531z00_3546;

				{	/* Cfa/cinfo.scm 95 */
					obj_t BgL_v1955z00_3577;

					BgL_v1955z00_3577 = create_vector(((long) 4));
					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_arg2551z00_3578;

						BgL_arg2551z00_3578 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3211z00zzcfa_infoz00,
							BGl_proc3210z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1955z00_3577, ((long) 0), BgL_arg2551z00_3578);
					}
					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_arg2561z00_3588;

						BgL_arg2561z00_3588 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									33)), BGl_proc3213z00zzcfa_infoz00,
							BGl_proc3212z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1955z00_3577, ((long) 1), BgL_arg2561z00_3588);
					}
					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_arg2567z00_3598;

						BgL_arg2567z00_3598 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									34)), BGl_proc3216z00zzcfa_infoz00,
							BGl_proc3215z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3214z00zzcfa_infoz00, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1955z00_3577, ((long) 2), BgL_arg2567z00_3598);
					}
					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_arg2578z00_3612;

						BgL_arg2578z00_3612 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									35)), BGl_proc3219z00zzcfa_infoz00,
							BGl_proc3218z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3217z00zzcfa_infoz00, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1955z00_3577, ((long) 3), BgL_arg2578z00_3612);
					}
					BgL_arg2530z00_3545 = BgL_v1955z00_3577;
				}
				{	/* Cfa/cinfo.scm 95 */
					obj_t BgL_v1956z00_3626;

					BgL_v1956z00_3626 = create_vector(((long) 0));
					BgL_arg2531z00_3546 = BgL_v1956z00_3626;
				}
				BGl_funcallzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 36)),
					CNST_TABLE_REF(((long) 11)), BGl_funcallz00zzast_nodez00,
					((long) 44044), BGl_proc3223z00zzcfa_infoz00,
					BGl_proc3222z00zzcfa_infoz00, BFALSE, BGl_proc3221z00zzcfa_infoz00,
					BGl_proc3220z00zzcfa_infoz00, BgL_arg2530z00_3545,
					BgL_arg2531z00_3546);
			}
			{	/* Cfa/cinfo.scm 100 */
				obj_t BgL_arg2592z00_3635;
				obj_t BgL_arg2593z00_3636;

				{	/* Cfa/cinfo.scm 100 */
					obj_t BgL_v1957z00_3662;

					BgL_v1957z00_3662 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 100 */
						obj_t BgL_arg2605z00_3663;

						BgL_arg2605z00_3663 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3225z00zzcfa_infoz00,
							BGl_proc3224z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1957z00_3662, ((long) 0), BgL_arg2605z00_3663);
					}
					BgL_arg2592z00_3635 = BgL_v1957z00_3662;
				}
				{	/* Cfa/cinfo.scm 100 */
					obj_t BgL_v1958z00_3673;

					BgL_v1958z00_3673 = create_vector(((long) 0));
					BgL_arg2593z00_3636 = BgL_v1958z00_3673;
				}
				BGl_setqzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 37)),
					CNST_TABLE_REF(((long) 11)), BGl_setqz00zzast_nodez00, ((long) 63192),
					BGl_proc3229z00zzcfa_infoz00, BGl_proc3228z00zzcfa_infoz00, BFALSE,
					BGl_proc3227z00zzcfa_infoz00, BGl_proc3226z00zzcfa_infoz00,
					BgL_arg2592z00_3635, BgL_arg2593z00_3636);
			}
			{	/* Cfa/cinfo.scm 102 */
				obj_t BgL_arg2616z00_3682;
				obj_t BgL_arg2617z00_3683;

				{	/* Cfa/cinfo.scm 102 */
					obj_t BgL_v1959z00_3712;

					BgL_v1959z00_3712 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 102 */
						obj_t BgL_arg2630z00_3713;

						BgL_arg2630z00_3713 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3231z00zzcfa_infoz00,
							BGl_proc3230z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1959z00_3712, ((long) 0), BgL_arg2630z00_3713);
					}
					BgL_arg2616z00_3682 = BgL_v1959z00_3712;
				}
				{	/* Cfa/cinfo.scm 102 */
					obj_t BgL_v1960z00_3723;

					BgL_v1960z00_3723 = create_vector(((long) 0));
					BgL_arg2617z00_3683 = BgL_v1960z00_3723;
				}
				BGl_conditionalzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 38)),
					CNST_TABLE_REF(((long) 11)), BGl_conditionalz00zzast_nodez00,
					((long) 32010), BGl_proc3235z00zzcfa_infoz00,
					BGl_proc3234z00zzcfa_infoz00, BFALSE, BGl_proc3233z00zzcfa_infoz00,
					BGl_proc3232z00zzcfa_infoz00, BgL_arg2616z00_3682,
					BgL_arg2617z00_3683);
			}
			{	/* Cfa/cinfo.scm 104 */
				obj_t BgL_arg2641z00_3732;
				obj_t BgL_arg2642z00_3733;

				{	/* Cfa/cinfo.scm 104 */
					obj_t BgL_v1961z00_3760;

					BgL_v1961z00_3760 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 104 */
						obj_t BgL_arg2655z00_3761;

						BgL_arg2655z00_3761 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3237z00zzcfa_infoz00,
							BGl_proc3236z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1961z00_3760, ((long) 0), BgL_arg2655z00_3761);
					}
					BgL_arg2641z00_3732 = BgL_v1961z00_3760;
				}
				{	/* Cfa/cinfo.scm 104 */
					obj_t BgL_v1962z00_3771;

					BgL_v1962z00_3771 = create_vector(((long) 0));
					BgL_arg2642z00_3733 = BgL_v1962z00_3771;
				}
				BGl_failzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 39)),
					CNST_TABLE_REF(((long) 11)), BGl_failz00zzast_nodez00, ((long) 30234),
					BGl_proc3241z00zzcfa_infoz00, BGl_proc3240z00zzcfa_infoz00, BFALSE,
					BGl_proc3239z00zzcfa_infoz00, BGl_proc3238z00zzcfa_infoz00,
					BgL_arg2641z00_3732, BgL_arg2642z00_3733);
			}
			{	/* Cfa/cinfo.scm 106 */
				obj_t BgL_arg2666z00_3780;
				obj_t BgL_arg2667z00_3781;

				{	/* Cfa/cinfo.scm 106 */
					obj_t BgL_v1963z00_3810;

					BgL_v1963z00_3810 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 106 */
						obj_t BgL_arg2680z00_3811;

						BgL_arg2680z00_3811 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3243z00zzcfa_infoz00,
							BGl_proc3242z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1963z00_3810, ((long) 0), BgL_arg2680z00_3811);
					}
					BgL_arg2666z00_3780 = BgL_v1963z00_3810;
				}
				{	/* Cfa/cinfo.scm 106 */
					obj_t BgL_v1964z00_3821;

					BgL_v1964z00_3821 = create_vector(((long) 0));
					BgL_arg2667z00_3781 = BgL_v1964z00_3821;
				}
				BGl_switchzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 40)),
					CNST_TABLE_REF(((long) 11)), BGl_switchz00zzast_nodez00,
					((long) 51702), BGl_proc3247z00zzcfa_infoz00,
					BGl_proc3246z00zzcfa_infoz00, BFALSE, BGl_proc3245z00zzcfa_infoz00,
					BGl_proc3244z00zzcfa_infoz00, BgL_arg2666z00_3780,
					BgL_arg2667z00_3781);
			}
			{	/* Cfa/cinfo.scm 108 */
				obj_t BgL_arg2689z00_3830;
				obj_t BgL_arg2690z00_3831;

				{	/* Cfa/cinfo.scm 108 */
					obj_t BgL_v1965z00_3858;

					BgL_v1965z00_3858 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 108 */
						obj_t BgL_arg2703z00_3859;

						BgL_arg2703z00_3859 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3249z00zzcfa_infoz00,
							BGl_proc3248z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1965z00_3858, ((long) 0), BgL_arg2703z00_3859);
					}
					BgL_arg2689z00_3830 = BgL_v1965z00_3858;
				}
				{	/* Cfa/cinfo.scm 108 */
					obj_t BgL_v1966z00_3869;

					BgL_v1966z00_3869 = create_vector(((long) 0));
					BgL_arg2690z00_3831 = BgL_v1966z00_3869;
				}
				BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 41)),
					CNST_TABLE_REF(((long) 11)), BGl_setzd2exzd2itz00zzast_nodez00,
					((long) 14994), BGl_proc3253z00zzcfa_infoz00,
					BGl_proc3252z00zzcfa_infoz00, BFALSE, BGl_proc3251z00zzcfa_infoz00,
					BGl_proc3250z00zzcfa_infoz00, BgL_arg2689z00_3830,
					BgL_arg2690z00_3831);
			}
			{	/* Cfa/cinfo.scm 110 */
				obj_t BgL_arg2714z00_3878;
				obj_t BgL_arg2715z00_3879;

				{	/* Cfa/cinfo.scm 110 */
					obj_t BgL_v1967z00_3905;

					BgL_v1967z00_3905 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 110 */
						obj_t BgL_arg2726z00_3906;

						BgL_arg2726z00_3906 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3255z00zzcfa_infoz00,
							BGl_proc3254z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1967z00_3905, ((long) 0), BgL_arg2726z00_3906);
					}
					BgL_arg2714z00_3878 = BgL_v1967z00_3905;
				}
				{	/* Cfa/cinfo.scm 110 */
					obj_t BgL_v1968z00_3916;

					BgL_v1968z00_3916 = create_vector(((long) 0));
					BgL_arg2715z00_3879 = BgL_v1968z00_3916;
				}
				BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 42)),
					CNST_TABLE_REF(((long) 11)), BGl_jumpzd2exzd2itz00zzast_nodez00,
					((long) 42482), BGl_proc3259z00zzcfa_infoz00,
					BGl_proc3258z00zzcfa_infoz00, BFALSE, BGl_proc3257z00zzcfa_infoz00,
					BGl_proc3256z00zzcfa_infoz00, BgL_arg2714z00_3878,
					BgL_arg2715z00_3879);
			}
			{	/* Cfa/cinfo.scm 114 */
				obj_t BgL_arg2740z00_3925;
				obj_t BgL_arg2741z00_3926;

				{	/* Cfa/cinfo.scm 114 */
					obj_t BgL_v1969z00_3954;

					BgL_v1969z00_3954 = create_vector(((long) 0));
					BgL_arg2740z00_3925 = BgL_v1969z00_3954;
				}
				{	/* Cfa/cinfo.scm 114 */
					obj_t BgL_v1970z00_3955;

					BgL_v1970z00_3955 = create_vector(((long) 0));
					BgL_arg2741z00_3926 = BgL_v1970z00_3955;
				}
				BGl_prezd2makezd2boxz00zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 43)),
					CNST_TABLE_REF(((long) 11)), BGl_makezd2boxzd2zzast_nodez00,
					((long) 16397), BGl_proc3263z00zzcfa_infoz00,
					BGl_proc3262z00zzcfa_infoz00, BFALSE, BGl_proc3261z00zzcfa_infoz00,
					BGl_proc3260z00zzcfa_infoz00, BgL_arg2740z00_3925,
					BgL_arg2741z00_3926);
			}
			{	/* Cfa/cinfo.scm 115 */
				obj_t BgL_arg2771z00_3964;
				obj_t BgL_arg2772z00_3965;

				{	/* Cfa/cinfo.scm 115 */
					obj_t BgL_v1971z00_3994;

					BgL_v1971z00_3994 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 115 */
						obj_t BgL_arg2784z00_3995;

						BgL_arg2784z00_3995 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3265z00zzcfa_infoz00,
							BGl_proc3264z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1971z00_3994, ((long) 0), BgL_arg2784z00_3995);
					}
					BgL_arg2771z00_3964 = BgL_v1971z00_3994;
				}
				{	/* Cfa/cinfo.scm 115 */
					obj_t BgL_v1972z00_4005;

					BgL_v1972z00_4005 = create_vector(((long) 0));
					BgL_arg2772z00_3965 = BgL_v1972z00_4005;
				}
				BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 44)),
					CNST_TABLE_REF(((long) 11)), BGl_makezd2boxzd2zzast_nodez00,
					((long) 38858), BGl_proc3269z00zzcfa_infoz00,
					BGl_proc3268z00zzcfa_infoz00, BFALSE, BGl_proc3267z00zzcfa_infoz00,
					BGl_proc3266z00zzcfa_infoz00, BgL_arg2771z00_3964,
					BgL_arg2772z00_3965);
			}
			{	/* Cfa/cinfo.scm 117 */
				obj_t BgL_arg2795z00_4014;
				obj_t BgL_arg2796z00_4015;

				{	/* Cfa/cinfo.scm 117 */
					obj_t BgL_v1973z00_4045;

					BgL_v1973z00_4045 = create_vector(((long) 2));
					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_arg2827z00_4046;

						BgL_arg2827z00_4046 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3271z00zzcfa_infoz00,
							BGl_proc3270z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1973z00_4045, ((long) 0), BgL_arg2827z00_4046);
					}
					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_arg2833z00_4056;

						BgL_arg2833z00_4056 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									45)), BGl_proc3273z00zzcfa_infoz00,
							BGl_proc3272z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1973z00_4045, ((long) 1), BgL_arg2833z00_4056);
					}
					BgL_arg2795z00_4014 = BgL_v1973z00_4045;
				}
				{	/* Cfa/cinfo.scm 117 */
					obj_t BgL_v1974z00_4066;

					BgL_v1974z00_4066 = create_vector(((long) 0));
					BgL_arg2796z00_4015 = BgL_v1974z00_4066;
				}
				BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 46)),
					CNST_TABLE_REF(((long) 11)), BGl_makezd2boxzd2zzast_nodez00,
					((long) 63072), BGl_proc3277z00zzcfa_infoz00,
					BGl_proc3276z00zzcfa_infoz00, BFALSE, BGl_proc3275z00zzcfa_infoz00,
					BGl_proc3274z00zzcfa_infoz00, BgL_arg2795z00_4014,
					BgL_arg2796z00_4015);
			}
			{	/* Cfa/cinfo.scm 120 */
				obj_t BgL_arg2843z00_4075;
				obj_t BgL_arg2844z00_4076;

				{	/* Cfa/cinfo.scm 120 */
					obj_t BgL_v1975z00_4103;

					BgL_v1975z00_4103 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 120 */
						obj_t BgL_arg2855z00_4104;

						BgL_arg2855z00_4104 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3279z00zzcfa_infoz00,
							BGl_proc3278z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1975z00_4103, ((long) 0), BgL_arg2855z00_4104);
					}
					BgL_arg2843z00_4075 = BgL_v1975z00_4103;
				}
				{	/* Cfa/cinfo.scm 120 */
					obj_t BgL_v1976z00_4114;

					BgL_v1976z00_4114 = create_vector(((long) 0));
					BgL_arg2844z00_4076 = BgL_v1976z00_4114;
				}
				BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 47)),
					CNST_TABLE_REF(((long) 11)), BGl_boxzd2setz12zc0zzast_nodez00,
					((long) 62996), BGl_proc3283z00zzcfa_infoz00,
					BGl_proc3282z00zzcfa_infoz00, BFALSE, BGl_proc3281z00zzcfa_infoz00,
					BGl_proc3280z00zzcfa_infoz00, BgL_arg2843z00_4075,
					BgL_arg2844z00_4076);
			}
			{	/* Cfa/cinfo.scm 122 */
				obj_t BgL_arg2865z00_4123;
				obj_t BgL_arg2866z00_4124;

				{	/* Cfa/cinfo.scm 122 */
					obj_t BgL_v1977z00_4152;

					BgL_v1977z00_4152 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 122 */
						obj_t BgL_arg2879z00_4153;

						BgL_arg2879z00_4153 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3285z00zzcfa_infoz00,
							BGl_proc3284z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1977z00_4152, ((long) 0), BgL_arg2879z00_4153);
					}
					BgL_arg2865z00_4123 = BgL_v1977z00_4152;
				}
				{	/* Cfa/cinfo.scm 122 */
					obj_t BgL_v1978z00_4163;

					BgL_v1978z00_4163 = create_vector(((long) 0));
					BgL_arg2866z00_4124 = BgL_v1978z00_4163;
				}
				BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 48)),
					CNST_TABLE_REF(((long) 11)), BGl_boxzd2refzd2zzast_nodez00,
					((long) 63316), BGl_proc3289z00zzcfa_infoz00,
					BGl_proc3288z00zzcfa_infoz00, BFALSE, BGl_proc3287z00zzcfa_infoz00,
					BGl_proc3286z00zzcfa_infoz00, BgL_arg2865z00_4123,
					BgL_arg2866z00_4124);
			}
			{	/* Cfa/cinfo.scm 124 */
				obj_t BgL_arg2915z00_4172;
				obj_t BgL_arg2916z00_4173;

				{	/* Cfa/cinfo.scm 124 */
					obj_t BgL_v1979z00_4200;

					BgL_v1979z00_4200 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 124 */
						obj_t BgL_arg2929z00_4201;

						BgL_arg2929z00_4201 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3291z00zzcfa_infoz00,
							BGl_proc3290z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1979z00_4200, ((long) 0), BgL_arg2929z00_4201);
					}
					BgL_arg2915z00_4172 = BgL_v1979z00_4200;
				}
				{	/* Cfa/cinfo.scm 124 */
					obj_t BgL_v1980z00_4211;

					BgL_v1980z00_4211 = create_vector(((long) 0));
					BgL_arg2916z00_4173 = BgL_v1980z00_4211;
				}
				BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 49)),
					CNST_TABLE_REF(((long) 11)), BGl_boxzd2setz12zc0zzast_nodez00,
					((long) 40624), BGl_proc3295z00zzcfa_infoz00,
					BGl_proc3294z00zzcfa_infoz00, BFALSE, BGl_proc3293z00zzcfa_infoz00,
					BGl_proc3292z00zzcfa_infoz00, BgL_arg2915z00_4172,
					BgL_arg2916z00_4173);
			}
			{	/* Cfa/cinfo.scm 126 */
				obj_t BgL_arg2939z00_4220;
				obj_t BgL_arg2940z00_4221;

				{	/* Cfa/cinfo.scm 126 */
					obj_t BgL_v1981z00_4249;

					BgL_v1981z00_4249 = create_vector(((long) 1));
					{	/* Cfa/cinfo.scm 126 */
						obj_t BgL_arg2951z00_4250;

						BgL_arg2951z00_4250 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3297z00zzcfa_infoz00,
							BGl_proc3296z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1981z00_4249, ((long) 0), BgL_arg2951z00_4250);
					}
					BgL_arg2939z00_4220 = BgL_v1981z00_4249;
				}
				{	/* Cfa/cinfo.scm 126 */
					obj_t BgL_v1982z00_4260;

					BgL_v1982z00_4260 = create_vector(((long) 0));
					BgL_arg2940z00_4221 = BgL_v1982z00_4260;
				}
				return (BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 50)),
						CNST_TABLE_REF(((long) 11)), BGl_boxzd2refzd2zzast_nodez00,
						((long) 17520), BGl_proc3301z00zzcfa_infoz00,
						BGl_proc3300z00zzcfa_infoz00, BFALSE, BGl_proc3299z00zzcfa_infoz00,
						BGl_proc3298z00zzcfa_infoz00, BgL_arg2939z00_4220,
						BgL_arg2940z00_4221), BUNSPEC);
		}}

	}



/* &lambda2947 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2947z62zzcfa_infoz00(obj_t BgL_envz00_8727,
		obj_t BgL_o1540z00_8728)
	{
		{	/* Cfa/cinfo.scm 126 */
			{	/* Cfa/cinfo.scm 126 */
				long BgL_arg2948z00_10050;

				{	/* Cfa/cinfo.scm 126 */
					obj_t BgL_arg2949z00_10051;

					{	/* Cfa/cinfo.scm 126 */
						obj_t BgL_arg2950z00_10052;

						{	/* Cfa/cinfo.scm 126 */
							long BgL_arg1833z00_10053;

							{	/* Cfa/cinfo.scm 126 */
								long BgL_arg1834z00_10054;

								BgL_arg1834z00_10054 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_o1540z00_8728)));
								BgL_arg1833z00_10053 = (BgL_arg1834z00_10054 - OBJECT_TYPE);
							}
							BgL_arg2950z00_10052 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10053);
						}
						BgL_arg2949z00_10051 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2950z00_10052);
					}
					{	/* Cfa/cinfo.scm 126 */
						obj_t BgL_tmpz00_15647;

						BgL_tmpz00_15647 = ((obj_t) BgL_arg2949z00_10051);
						BgL_arg2948z00_10050 = BGL_CLASS_NUM(BgL_tmpz00_15647);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1540z00_8728)), BgL_arg2948z00_10050);
			}
			{	/* Cfa/cinfo.scm 126 */
				BgL_objectz00_bglt BgL_tmpz00_15653;

				BgL_tmpz00_15653 =
					((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1540z00_8728));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15653, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1540z00_8728));
			return
				((BgL_boxzd2refzd2_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1540z00_8728));
		}

	}



/* &<@anonymous:2946> */
	obj_t BGl_z62zc3z04anonymousza32946ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8729,
		obj_t BgL_new1539z00_8730)
	{
		{	/* Cfa/cinfo.scm 126 */
			{
				BgL_boxzd2refzd2_bglt BgL_auxz00_15661;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1539z00_8730))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15665;

					{	/* Cfa/cinfo.scm 126 */
						obj_t BgL_classz00_10056;

						BgL_classz00_10056 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 126 */
							obj_t BgL__ortest_1112z00_10057;

							BgL__ortest_1112z00_10057 = BGL_CLASS_NIL(BgL_classz00_10056);
							if (CBOOL(BgL__ortest_1112z00_10057))
								{	/* Cfa/cinfo.scm 126 */
									BgL_auxz00_15665 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10057);
								}
							else
								{	/* Cfa/cinfo.scm 126 */
									BgL_auxz00_15665 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10056));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1539z00_8730))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15665), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1539z00_8730))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_boxzd2refzd2_bglt)
										BgL_new1539z00_8730))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_15681;

					{	/* Cfa/cinfo.scm 126 */
						obj_t BgL_classz00_10058;

						BgL_classz00_10058 = BGl_varz00zzast_nodez00;
						{	/* Cfa/cinfo.scm 126 */
							obj_t BgL__ortest_1112z00_10059;

							BgL__ortest_1112z00_10059 = BGL_CLASS_NIL(BgL_classz00_10058);
							if (CBOOL(BgL__ortest_1112z00_10059))
								{	/* Cfa/cinfo.scm 126 */
									BgL_auxz00_15681 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_10059);
								}
							else
								{	/* Cfa/cinfo.scm 126 */
									BgL_auxz00_15681 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10058));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1539z00_8730))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_15681), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15691;

					{	/* Cfa/cinfo.scm 126 */
						obj_t BgL_classz00_10060;

						BgL_classz00_10060 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 126 */
							obj_t BgL__ortest_1112z00_10061;

							BgL__ortest_1112z00_10061 = BGL_CLASS_NIL(BgL_classz00_10060);
							if (CBOOL(BgL__ortest_1112z00_10061))
								{	/* Cfa/cinfo.scm 126 */
									BgL_auxz00_15691 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10061);
								}
							else
								{	/* Cfa/cinfo.scm 126 */
									BgL_auxz00_15691 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10060));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1539z00_8730))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_15691), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_15708;
					BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_15701;

					{	/* Cfa/cinfo.scm 126 */
						obj_t BgL_classz00_10062;

						BgL_classz00_10062 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 126 */
							obj_t BgL__ortest_1112z00_10063;

							BgL__ortest_1112z00_10063 = BGL_CLASS_NIL(BgL_classz00_10062);
							if (CBOOL(BgL__ortest_1112z00_10063))
								{	/* Cfa/cinfo.scm 126 */
									BgL_auxz00_15708 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10063);
								}
							else
								{	/* Cfa/cinfo.scm 126 */
									BgL_auxz00_15708 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10062));
								}
						}
					}
					{
						obj_t BgL_auxz00_15702;

						{	/* Cfa/cinfo.scm 126 */
							BgL_objectz00_bglt BgL_tmpz00_15703;

							BgL_tmpz00_15703 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_new1539z00_8730));
							BgL_auxz00_15702 = BGL_OBJECT_WIDENING(BgL_tmpz00_15703);
						}
						BgL_auxz00_15701 =
							((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_15702);
					}
					((((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_15701))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_15708), BUNSPEC);
				}
				BgL_auxz00_15661 = ((BgL_boxzd2refzd2_bglt) BgL_new1539z00_8730);
				return ((obj_t) BgL_auxz00_15661);
			}
		}

	}



/* &lambda2944 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2944z62zzcfa_infoz00(obj_t BgL_envz00_8731,
		obj_t BgL_o1536z00_8732)
	{
		{	/* Cfa/cinfo.scm 126 */
			{	/* Cfa/cinfo.scm 126 */
				BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_wide1538z00_10065;

				BgL_wide1538z00_10065 =
					((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2refzf2ozd2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 126 */
					obj_t BgL_auxz00_15723;
					BgL_objectz00_bglt BgL_tmpz00_15719;

					BgL_auxz00_15723 = ((obj_t) BgL_wide1538z00_10065);
					BgL_tmpz00_15719 =
						((BgL_objectz00_bglt)
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_o1536z00_8732)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15719, BgL_auxz00_15723);
				}
				((BgL_objectz00_bglt)
					((BgL_boxzd2refzd2_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1536z00_8732)));
				{	/* Cfa/cinfo.scm 126 */
					long BgL_arg2945z00_10066;

					BgL_arg2945z00_10066 =
						BGL_CLASS_NUM(BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_o1536z00_8732))),
						BgL_arg2945z00_10066);
				}
				return
					((BgL_boxzd2refzd2_bglt)
					((BgL_boxzd2refzd2_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1536z00_8732)));
			}
		}

	}



/* &lambda2941 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2941z62zzcfa_infoz00(obj_t BgL_envz00_8733,
		obj_t BgL_loc1529z00_8734, obj_t BgL_type1530z00_8735,
		obj_t BgL_sidezd2effect1531zd2_8736, obj_t BgL_key1532z00_8737,
		obj_t BgL_var1533z00_8738, obj_t BgL_vtype1534z00_8739,
		obj_t BgL_approx1535z00_8740)
	{
		{	/* Cfa/cinfo.scm 126 */
			{	/* Cfa/cinfo.scm 126 */
				BgL_boxzd2refzd2_bglt BgL_new1813z00_10071;

				{	/* Cfa/cinfo.scm 126 */
					BgL_boxzd2refzd2_bglt BgL_tmp1811z00_10072;
					BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_wide1812z00_10073;

					{
						BgL_boxzd2refzd2_bglt BgL_auxz00_15737;

						{	/* Cfa/cinfo.scm 126 */
							BgL_boxzd2refzd2_bglt BgL_new1810z00_10074;

							BgL_new1810z00_10074 =
								((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2refzd2_bgl))));
							{	/* Cfa/cinfo.scm 126 */
								long BgL_arg2943z00_10075;

								BgL_arg2943z00_10075 =
									BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1810z00_10074),
									BgL_arg2943z00_10075);
							}
							{	/* Cfa/cinfo.scm 126 */
								BgL_objectz00_bglt BgL_tmpz00_15742;

								BgL_tmpz00_15742 = ((BgL_objectz00_bglt) BgL_new1810z00_10074);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15742, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1810z00_10074);
							BgL_auxz00_15737 = BgL_new1810z00_10074;
						}
						BgL_tmp1811z00_10072 = ((BgL_boxzd2refzd2_bglt) BgL_auxz00_15737);
					}
					BgL_wide1812z00_10073 =
						((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzf2ozd2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 126 */
						obj_t BgL_auxz00_15750;
						BgL_objectz00_bglt BgL_tmpz00_15748;

						BgL_auxz00_15750 = ((obj_t) BgL_wide1812z00_10073);
						BgL_tmpz00_15748 = ((BgL_objectz00_bglt) BgL_tmp1811z00_10072);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15748, BgL_auxz00_15750);
					}
					((BgL_objectz00_bglt) BgL_tmp1811z00_10072);
					{	/* Cfa/cinfo.scm 126 */
						long BgL_arg2942z00_10076;

						BgL_arg2942z00_10076 =
							BGL_CLASS_NUM(BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1811z00_10072),
							BgL_arg2942z00_10076);
					}
					BgL_new1813z00_10071 = ((BgL_boxzd2refzd2_bglt) BgL_tmp1811z00_10072);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1813z00_10071)))->BgL_locz00) =
					((obj_t) BgL_loc1529z00_8734), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1813z00_10071)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1530z00_8735)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1813z00_10071)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1531zd2_8736), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1813z00_10071)))->BgL_keyz00) =
					((obj_t) BgL_key1532z00_8737), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1813z00_10071)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1533z00_8738)), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1813z00_10071)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1534z00_8739)),
					BUNSPEC);
				{
					BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_15773;

					{
						obj_t BgL_auxz00_15774;

						{	/* Cfa/cinfo.scm 126 */
							BgL_objectz00_bglt BgL_tmpz00_15775;

							BgL_tmpz00_15775 = ((BgL_objectz00_bglt) BgL_new1813z00_10071);
							BgL_auxz00_15774 = BGL_OBJECT_WIDENING(BgL_tmpz00_15775);
						}
						BgL_auxz00_15773 =
							((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_15774);
					}
					((((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_15773))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1535z00_8740)), BUNSPEC);
				}
				return BgL_new1813z00_10071;
			}
		}

	}



/* &lambda2955 */
	obj_t BGl_z62lambda2955z62zzcfa_infoz00(obj_t BgL_envz00_8741,
		obj_t BgL_oz00_8742, obj_t BgL_vz00_8743)
	{
		{	/* Cfa/cinfo.scm 126 */
			{
				BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_15781;

				{
					obj_t BgL_auxz00_15782;

					{	/* Cfa/cinfo.scm 126 */
						BgL_objectz00_bglt BgL_tmpz00_15783;

						BgL_tmpz00_15783 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_8742));
						BgL_auxz00_15782 = BGL_OBJECT_WIDENING(BgL_tmpz00_15783);
					}
					BgL_auxz00_15781 =
						((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_15782);
				}
				return
					((((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_15781))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8743)), BUNSPEC);
			}
		}

	}



/* &lambda2954 */
	BgL_approxz00_bglt BGl_z62lambda2954z62zzcfa_infoz00(obj_t BgL_envz00_8744,
		obj_t BgL_oz00_8745)
	{
		{	/* Cfa/cinfo.scm 126 */
			{
				BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_15790;

				{
					obj_t BgL_auxz00_15791;

					{	/* Cfa/cinfo.scm 126 */
						BgL_objectz00_bglt BgL_tmpz00_15792;

						BgL_tmpz00_15792 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_8745));
						BgL_auxz00_15791 = BGL_OBJECT_WIDENING(BgL_tmpz00_15792);
					}
					BgL_auxz00_15790 =
						((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_15791);
				}
				return
					(((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_15790))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2923 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2923z62zzcfa_infoz00(obj_t
		BgL_envz00_8746, obj_t BgL_o1526z00_8747)
	{
		{	/* Cfa/cinfo.scm 124 */
			{	/* Cfa/cinfo.scm 124 */
				long BgL_arg2924z00_10081;

				{	/* Cfa/cinfo.scm 124 */
					obj_t BgL_arg2927z00_10082;

					{	/* Cfa/cinfo.scm 124 */
						obj_t BgL_arg2928z00_10083;

						{	/* Cfa/cinfo.scm 124 */
							long BgL_arg1833z00_10084;

							{	/* Cfa/cinfo.scm 124 */
								long BgL_arg1834z00_10085;

								BgL_arg1834z00_10085 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_o1526z00_8747)));
								BgL_arg1833z00_10084 = (BgL_arg1834z00_10085 - OBJECT_TYPE);
							}
							BgL_arg2928z00_10083 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10084);
						}
						BgL_arg2927z00_10082 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2928z00_10083);
					}
					{	/* Cfa/cinfo.scm 124 */
						obj_t BgL_tmpz00_15804;

						BgL_tmpz00_15804 = ((obj_t) BgL_arg2927z00_10082);
						BgL_arg2924z00_10081 = BGL_CLASS_NUM(BgL_tmpz00_15804);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1526z00_8747)),
					BgL_arg2924z00_10081);
			}
			{	/* Cfa/cinfo.scm 124 */
				BgL_objectz00_bglt BgL_tmpz00_15810;

				BgL_tmpz00_15810 =
					((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_o1526z00_8747));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15810, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_o1526z00_8747));
			return
				((BgL_boxzd2setz12zc0_bglt)
				((BgL_boxzd2setz12zc0_bglt) BgL_o1526z00_8747));
		}

	}



/* &<@anonymous:2922> */
	obj_t BGl_z62zc3z04anonymousza32922ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8748,
		obj_t BgL_new1525z00_8749)
	{
		{	/* Cfa/cinfo.scm 124 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_auxz00_15818;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_new1525z00_8749))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15822;

					{	/* Cfa/cinfo.scm 124 */
						obj_t BgL_classz00_10087;

						BgL_classz00_10087 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 124 */
							obj_t BgL__ortest_1112z00_10088;

							BgL__ortest_1112z00_10088 = BGL_CLASS_NIL(BgL_classz00_10087);
							if (CBOOL(BgL__ortest_1112z00_10088))
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_15822 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10088);
								}
							else
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_15822 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10087));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1525z00_8749))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15822), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_15832;

					{	/* Cfa/cinfo.scm 124 */
						obj_t BgL_classz00_10089;

						BgL_classz00_10089 = BGl_varz00zzast_nodez00;
						{	/* Cfa/cinfo.scm 124 */
							obj_t BgL__ortest_1112z00_10090;

							BgL__ortest_1112z00_10090 = BGL_CLASS_NIL(BgL_classz00_10089);
							if (CBOOL(BgL__ortest_1112z00_10090))
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_15832 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_10090);
								}
							else
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_15832 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10089));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1525z00_8749))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_15832), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15842;

					{	/* Cfa/cinfo.scm 124 */
						obj_t BgL_classz00_10091;

						BgL_classz00_10091 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 124 */
							obj_t BgL__ortest_1112z00_10092;

							BgL__ortest_1112z00_10092 = BGL_CLASS_NIL(BgL_classz00_10091);
							if (CBOOL(BgL__ortest_1112z00_10092))
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_15842 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10092);
								}
							else
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_15842 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10091));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1525z00_8749))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_15842), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15852;

					{	/* Cfa/cinfo.scm 124 */
						obj_t BgL_classz00_10093;

						BgL_classz00_10093 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 124 */
							obj_t BgL__ortest_1112z00_10094;

							BgL__ortest_1112z00_10094 = BGL_CLASS_NIL(BgL_classz00_10093);
							if (CBOOL(BgL__ortest_1112z00_10094))
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_15852 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10094);
								}
							else
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_15852 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10093));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1525z00_8749))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_15852), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_15869;
					BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_15862;

					{	/* Cfa/cinfo.scm 124 */
						obj_t BgL_classz00_10095;

						BgL_classz00_10095 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 124 */
							obj_t BgL__ortest_1112z00_10096;

							BgL__ortest_1112z00_10096 = BGL_CLASS_NIL(BgL_classz00_10095);
							if (CBOOL(BgL__ortest_1112z00_10096))
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_15869 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10096);
								}
							else
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_15869 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10095));
								}
						}
					}
					{
						obj_t BgL_auxz00_15863;

						{	/* Cfa/cinfo.scm 124 */
							BgL_objectz00_bglt BgL_tmpz00_15864;

							BgL_tmpz00_15864 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_new1525z00_8749));
							BgL_auxz00_15863 = BGL_OBJECT_WIDENING(BgL_tmpz00_15864);
						}
						BgL_auxz00_15862 =
							((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_15863);
					}
					((((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) COBJECT(BgL_auxz00_15862))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_15869), BUNSPEC);
				}
				BgL_auxz00_15818 = ((BgL_boxzd2setz12zc0_bglt) BgL_new1525z00_8749);
				return ((obj_t) BgL_auxz00_15818);
			}
		}

	}



/* &lambda2920 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2920z62zzcfa_infoz00(obj_t
		BgL_envz00_8750, obj_t BgL_o1522z00_8751)
	{
		{	/* Cfa/cinfo.scm 124 */
			{	/* Cfa/cinfo.scm 124 */
				BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_wide1524z00_10098;

				BgL_wide1524z00_10098 =
					((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)
					BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2setz12zf2ozd2cinfoze0_bgl))));
				{	/* Cfa/cinfo.scm 124 */
					obj_t BgL_auxz00_15884;
					BgL_objectz00_bglt BgL_tmpz00_15880;

					BgL_auxz00_15884 = ((obj_t) BgL_wide1524z00_10098);
					BgL_tmpz00_15880 =
						((BgL_objectz00_bglt)
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_o1522z00_8751)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15880, BgL_auxz00_15884);
				}
				((BgL_objectz00_bglt)
					((BgL_boxzd2setz12zc0_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1522z00_8751)));
				{	/* Cfa/cinfo.scm 124 */
					long BgL_arg2921z00_10099;

					BgL_arg2921z00_10099 =
						BGL_CLASS_NUM(BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_o1522z00_8751))),
						BgL_arg2921z00_10099);
				}
				return
					((BgL_boxzd2setz12zc0_bglt)
					((BgL_boxzd2setz12zc0_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1522z00_8751)));
			}
		}

	}



/* &lambda2917 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2917z62zzcfa_infoz00(obj_t
		BgL_envz00_8752, obj_t BgL_loc1516z00_8753, obj_t BgL_type1517z00_8754,
		obj_t BgL_var1518z00_8755, obj_t BgL_value1519z00_8756,
		obj_t BgL_vtype1520z00_8757, obj_t BgL_approx1521z00_8758)
	{
		{	/* Cfa/cinfo.scm 124 */
			{	/* Cfa/cinfo.scm 124 */
				BgL_boxzd2setz12zc0_bglt BgL_new1808z00_10105;

				{	/* Cfa/cinfo.scm 124 */
					BgL_boxzd2setz12zc0_bglt BgL_tmp1806z00_10106;
					BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_wide1807z00_10107;

					{
						BgL_boxzd2setz12zc0_bglt BgL_auxz00_15898;

						{	/* Cfa/cinfo.scm 124 */
							BgL_boxzd2setz12zc0_bglt BgL_new1805z00_10108;

							BgL_new1805z00_10108 =
								((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2setz12zc0_bgl))));
							{	/* Cfa/cinfo.scm 124 */
								long BgL_arg2919z00_10109;

								BgL_arg2919z00_10109 =
									BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1805z00_10108),
									BgL_arg2919z00_10109);
							}
							{	/* Cfa/cinfo.scm 124 */
								BgL_objectz00_bglt BgL_tmpz00_15903;

								BgL_tmpz00_15903 = ((BgL_objectz00_bglt) BgL_new1805z00_10108);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15903, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1805z00_10108);
							BgL_auxz00_15898 = BgL_new1805z00_10108;
						}
						BgL_tmp1806z00_10106 =
							((BgL_boxzd2setz12zc0_bglt) BgL_auxz00_15898);
					}
					BgL_wide1807z00_10107 =
						((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zf2ozd2cinfoze0_bgl))));
					{	/* Cfa/cinfo.scm 124 */
						obj_t BgL_auxz00_15911;
						BgL_objectz00_bglt BgL_tmpz00_15909;

						BgL_auxz00_15911 = ((obj_t) BgL_wide1807z00_10107);
						BgL_tmpz00_15909 = ((BgL_objectz00_bglt) BgL_tmp1806z00_10106);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15909, BgL_auxz00_15911);
					}
					((BgL_objectz00_bglt) BgL_tmp1806z00_10106);
					{	/* Cfa/cinfo.scm 124 */
						long BgL_arg2918z00_10110;

						BgL_arg2918z00_10110 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1806z00_10106),
							BgL_arg2918z00_10110);
					}
					BgL_new1808z00_10105 =
						((BgL_boxzd2setz12zc0_bglt) BgL_tmp1806z00_10106);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1808z00_10105)))->BgL_locz00) =
					((obj_t) BgL_loc1516z00_8753), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1808z00_10105)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1517z00_8754)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1808z00_10105)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1518z00_8755)), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1808z00_10105)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1519z00_8756)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1808z00_10105)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1520z00_8757)),
					BUNSPEC);
				{
					BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_15933;

					{
						obj_t BgL_auxz00_15934;

						{	/* Cfa/cinfo.scm 124 */
							BgL_objectz00_bglt BgL_tmpz00_15935;

							BgL_tmpz00_15935 = ((BgL_objectz00_bglt) BgL_new1808z00_10105);
							BgL_auxz00_15934 = BGL_OBJECT_WIDENING(BgL_tmpz00_15935);
						}
						BgL_auxz00_15933 =
							((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_15934);
					}
					((((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) COBJECT(BgL_auxz00_15933))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1521z00_8758)), BUNSPEC);
				}
				return BgL_new1808z00_10105;
			}
		}

	}



/* &lambda2933 */
	obj_t BGl_z62lambda2933z62zzcfa_infoz00(obj_t BgL_envz00_8759,
		obj_t BgL_oz00_8760, obj_t BgL_vz00_8761)
	{
		{	/* Cfa/cinfo.scm 124 */
			{
				BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_15941;

				{
					obj_t BgL_auxz00_15942;

					{	/* Cfa/cinfo.scm 124 */
						BgL_objectz00_bglt BgL_tmpz00_15943;

						BgL_tmpz00_15943 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8760));
						BgL_auxz00_15942 = BGL_OBJECT_WIDENING(BgL_tmpz00_15943);
					}
					BgL_auxz00_15941 =
						((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_15942);
				}
				return
					((((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) COBJECT(BgL_auxz00_15941))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8761)), BUNSPEC);
			}
		}

	}



/* &lambda2932 */
	BgL_approxz00_bglt BGl_z62lambda2932z62zzcfa_infoz00(obj_t BgL_envz00_8762,
		obj_t BgL_oz00_8763)
	{
		{	/* Cfa/cinfo.scm 124 */
			{
				BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_15950;

				{
					obj_t BgL_auxz00_15951;

					{	/* Cfa/cinfo.scm 124 */
						BgL_objectz00_bglt BgL_tmpz00_15952;

						BgL_tmpz00_15952 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8763));
						BgL_auxz00_15951 = BGL_OBJECT_WIDENING(BgL_tmpz00_15952);
					}
					BgL_auxz00_15950 =
						((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_15951);
				}
				return
					(((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) COBJECT(BgL_auxz00_15950))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2873 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2873z62zzcfa_infoz00(obj_t BgL_envz00_8764,
		obj_t BgL_o1514z00_8765)
	{
		{	/* Cfa/cinfo.scm 122 */
			{	/* Cfa/cinfo.scm 122 */
				long BgL_arg2876z00_10115;

				{	/* Cfa/cinfo.scm 122 */
					obj_t BgL_arg2877z00_10116;

					{	/* Cfa/cinfo.scm 122 */
						obj_t BgL_arg2878z00_10117;

						{	/* Cfa/cinfo.scm 122 */
							long BgL_arg1833z00_10118;

							{	/* Cfa/cinfo.scm 122 */
								long BgL_arg1834z00_10119;

								BgL_arg1834z00_10119 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_o1514z00_8765)));
								BgL_arg1833z00_10118 = (BgL_arg1834z00_10119 - OBJECT_TYPE);
							}
							BgL_arg2878z00_10117 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10118);
						}
						BgL_arg2877z00_10116 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2878z00_10117);
					}
					{	/* Cfa/cinfo.scm 122 */
						obj_t BgL_tmpz00_15964;

						BgL_tmpz00_15964 = ((obj_t) BgL_arg2877z00_10116);
						BgL_arg2876z00_10115 = BGL_CLASS_NUM(BgL_tmpz00_15964);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1514z00_8765)), BgL_arg2876z00_10115);
			}
			{	/* Cfa/cinfo.scm 122 */
				BgL_objectz00_bglt BgL_tmpz00_15970;

				BgL_tmpz00_15970 =
					((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1514z00_8765));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15970, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1514z00_8765));
			return
				((BgL_boxzd2refzd2_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1514z00_8765));
		}

	}



/* &<@anonymous:2872> */
	obj_t BGl_z62zc3z04anonymousza32872ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8766,
		obj_t BgL_new1513z00_8767)
	{
		{	/* Cfa/cinfo.scm 122 */
			{
				BgL_boxzd2refzd2_bglt BgL_auxz00_15978;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1513z00_8767))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15982;

					{	/* Cfa/cinfo.scm 122 */
						obj_t BgL_classz00_10121;

						BgL_classz00_10121 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 122 */
							obj_t BgL__ortest_1112z00_10122;

							BgL__ortest_1112z00_10122 = BGL_CLASS_NIL(BgL_classz00_10121);
							if (CBOOL(BgL__ortest_1112z00_10122))
								{	/* Cfa/cinfo.scm 122 */
									BgL_auxz00_15982 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10122);
								}
							else
								{	/* Cfa/cinfo.scm 122 */
									BgL_auxz00_15982 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10121));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1513z00_8767))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15982), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1513z00_8767))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_boxzd2refzd2_bglt)
										BgL_new1513z00_8767))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_15998;

					{	/* Cfa/cinfo.scm 122 */
						obj_t BgL_classz00_10123;

						BgL_classz00_10123 = BGl_varz00zzast_nodez00;
						{	/* Cfa/cinfo.scm 122 */
							obj_t BgL__ortest_1112z00_10124;

							BgL__ortest_1112z00_10124 = BGL_CLASS_NIL(BgL_classz00_10123);
							if (CBOOL(BgL__ortest_1112z00_10124))
								{	/* Cfa/cinfo.scm 122 */
									BgL_auxz00_15998 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_10124);
								}
							else
								{	/* Cfa/cinfo.scm 122 */
									BgL_auxz00_15998 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10123));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1513z00_8767))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_15998), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16008;

					{	/* Cfa/cinfo.scm 122 */
						obj_t BgL_classz00_10125;

						BgL_classz00_10125 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 122 */
							obj_t BgL__ortest_1112z00_10126;

							BgL__ortest_1112z00_10126 = BGL_CLASS_NIL(BgL_classz00_10125);
							if (CBOOL(BgL__ortest_1112z00_10126))
								{	/* Cfa/cinfo.scm 122 */
									BgL_auxz00_16008 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10126);
								}
							else
								{	/* Cfa/cinfo.scm 122 */
									BgL_auxz00_16008 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10125));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1513z00_8767))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_16008), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_16025;
					BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_16018;

					{	/* Cfa/cinfo.scm 122 */
						obj_t BgL_classz00_10127;

						BgL_classz00_10127 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 122 */
							obj_t BgL__ortest_1112z00_10128;

							BgL__ortest_1112z00_10128 = BGL_CLASS_NIL(BgL_classz00_10127);
							if (CBOOL(BgL__ortest_1112z00_10128))
								{	/* Cfa/cinfo.scm 122 */
									BgL_auxz00_16025 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10128);
								}
							else
								{	/* Cfa/cinfo.scm 122 */
									BgL_auxz00_16025 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10127));
								}
						}
					}
					{
						obj_t BgL_auxz00_16019;

						{	/* Cfa/cinfo.scm 122 */
							BgL_objectz00_bglt BgL_tmpz00_16020;

							BgL_tmpz00_16020 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_new1513z00_8767));
							BgL_auxz00_16019 = BGL_OBJECT_WIDENING(BgL_tmpz00_16020);
						}
						BgL_auxz00_16018 =
							((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_16019);
					}
					((((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_16018))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_16025), BUNSPEC);
				}
				BgL_auxz00_15978 = ((BgL_boxzd2refzd2_bglt) BgL_new1513z00_8767);
				return ((obj_t) BgL_auxz00_15978);
			}
		}

	}



/* &lambda2870 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2870z62zzcfa_infoz00(obj_t BgL_envz00_8768,
		obj_t BgL_o1510z00_8769)
	{
		{	/* Cfa/cinfo.scm 122 */
			{	/* Cfa/cinfo.scm 122 */
				BgL_boxzd2refzf2cinfoz20_bglt BgL_wide1512z00_10130;

				BgL_wide1512z00_10130 =
					((BgL_boxzd2refzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2refzf2cinfoz20_bgl))));
				{	/* Cfa/cinfo.scm 122 */
					obj_t BgL_auxz00_16040;
					BgL_objectz00_bglt BgL_tmpz00_16036;

					BgL_auxz00_16040 = ((obj_t) BgL_wide1512z00_10130);
					BgL_tmpz00_16036 =
						((BgL_objectz00_bglt)
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_o1510z00_8769)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16036, BgL_auxz00_16040);
				}
				((BgL_objectz00_bglt)
					((BgL_boxzd2refzd2_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1510z00_8769)));
				{	/* Cfa/cinfo.scm 122 */
					long BgL_arg2871z00_10131;

					BgL_arg2871z00_10131 =
						BGL_CLASS_NUM(BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_o1510z00_8769))),
						BgL_arg2871z00_10131);
				}
				return
					((BgL_boxzd2refzd2_bglt)
					((BgL_boxzd2refzd2_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1510z00_8769)));
			}
		}

	}



/* &lambda2867 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2867z62zzcfa_infoz00(obj_t BgL_envz00_8770,
		obj_t BgL_loc1503z00_8771, obj_t BgL_type1504z00_8772,
		obj_t BgL_sidezd2effect1505zd2_8773, obj_t BgL_key1506z00_8774,
		obj_t BgL_var1507z00_8775, obj_t BgL_vtype1508z00_8776,
		obj_t BgL_approx1509z00_8777)
	{
		{	/* Cfa/cinfo.scm 122 */
			{	/* Cfa/cinfo.scm 122 */
				BgL_boxzd2refzd2_bglt BgL_new1803z00_10136;

				{	/* Cfa/cinfo.scm 122 */
					BgL_boxzd2refzd2_bglt BgL_tmp1801z00_10137;
					BgL_boxzd2refzf2cinfoz20_bglt BgL_wide1802z00_10138;

					{
						BgL_boxzd2refzd2_bglt BgL_auxz00_16054;

						{	/* Cfa/cinfo.scm 122 */
							BgL_boxzd2refzd2_bglt BgL_new1800z00_10139;

							BgL_new1800z00_10139 =
								((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2refzd2_bgl))));
							{	/* Cfa/cinfo.scm 122 */
								long BgL_arg2869z00_10140;

								BgL_arg2869z00_10140 =
									BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1800z00_10139),
									BgL_arg2869z00_10140);
							}
							{	/* Cfa/cinfo.scm 122 */
								BgL_objectz00_bglt BgL_tmpz00_16059;

								BgL_tmpz00_16059 = ((BgL_objectz00_bglt) BgL_new1800z00_10139);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16059, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1800z00_10139);
							BgL_auxz00_16054 = BgL_new1800z00_10139;
						}
						BgL_tmp1801z00_10137 = ((BgL_boxzd2refzd2_bglt) BgL_auxz00_16054);
					}
					BgL_wide1802z00_10138 =
						((BgL_boxzd2refzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.scm 122 */
						obj_t BgL_auxz00_16067;
						BgL_objectz00_bglt BgL_tmpz00_16065;

						BgL_auxz00_16067 = ((obj_t) BgL_wide1802z00_10138);
						BgL_tmpz00_16065 = ((BgL_objectz00_bglt) BgL_tmp1801z00_10137);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16065, BgL_auxz00_16067);
					}
					((BgL_objectz00_bglt) BgL_tmp1801z00_10137);
					{	/* Cfa/cinfo.scm 122 */
						long BgL_arg2868z00_10141;

						BgL_arg2868z00_10141 =
							BGL_CLASS_NUM(BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1801z00_10137),
							BgL_arg2868z00_10141);
					}
					BgL_new1803z00_10136 = ((BgL_boxzd2refzd2_bglt) BgL_tmp1801z00_10137);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1803z00_10136)))->BgL_locz00) =
					((obj_t) BgL_loc1503z00_8771), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1803z00_10136)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1504z00_8772)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1803z00_10136)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1505zd2_8773), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1803z00_10136)))->BgL_keyz00) =
					((obj_t) BgL_key1506z00_8774), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1803z00_10136)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1507z00_8775)), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1803z00_10136)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1508z00_8776)),
					BUNSPEC);
				{
					BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_16090;

					{
						obj_t BgL_auxz00_16091;

						{	/* Cfa/cinfo.scm 122 */
							BgL_objectz00_bglt BgL_tmpz00_16092;

							BgL_tmpz00_16092 = ((BgL_objectz00_bglt) BgL_new1803z00_10136);
							BgL_auxz00_16091 = BGL_OBJECT_WIDENING(BgL_tmpz00_16092);
						}
						BgL_auxz00_16090 =
							((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_16091);
					}
					((((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_16090))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1509z00_8777)), BUNSPEC);
				}
				return BgL_new1803z00_10136;
			}
		}

	}



/* &lambda2883 */
	obj_t BGl_z62lambda2883z62zzcfa_infoz00(obj_t BgL_envz00_8778,
		obj_t BgL_oz00_8779, obj_t BgL_vz00_8780)
	{
		{	/* Cfa/cinfo.scm 122 */
			{
				BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_16098;

				{
					obj_t BgL_auxz00_16099;

					{	/* Cfa/cinfo.scm 122 */
						BgL_objectz00_bglt BgL_tmpz00_16100;

						BgL_tmpz00_16100 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_8779));
						BgL_auxz00_16099 = BGL_OBJECT_WIDENING(BgL_tmpz00_16100);
					}
					BgL_auxz00_16098 = ((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_16099);
				}
				return
					((((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_16098))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8780)), BUNSPEC);
			}
		}

	}



/* &lambda2882 */
	BgL_approxz00_bglt BGl_z62lambda2882z62zzcfa_infoz00(obj_t BgL_envz00_8781,
		obj_t BgL_oz00_8782)
	{
		{	/* Cfa/cinfo.scm 122 */
			{
				BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_16107;

				{
					obj_t BgL_auxz00_16108;

					{	/* Cfa/cinfo.scm 122 */
						BgL_objectz00_bglt BgL_tmpz00_16109;

						BgL_tmpz00_16109 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_8782));
						BgL_auxz00_16108 = BGL_OBJECT_WIDENING(BgL_tmpz00_16109);
					}
					BgL_auxz00_16107 = ((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_16108);
				}
				return
					(((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_16107))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2851 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2851z62zzcfa_infoz00(obj_t
		BgL_envz00_8783, obj_t BgL_o1501z00_8784)
	{
		{	/* Cfa/cinfo.scm 120 */
			{	/* Cfa/cinfo.scm 120 */
				long BgL_arg2852z00_10146;

				{	/* Cfa/cinfo.scm 120 */
					obj_t BgL_arg2853z00_10147;

					{	/* Cfa/cinfo.scm 120 */
						obj_t BgL_arg2854z00_10148;

						{	/* Cfa/cinfo.scm 120 */
							long BgL_arg1833z00_10149;

							{	/* Cfa/cinfo.scm 120 */
								long BgL_arg1834z00_10150;

								BgL_arg1834z00_10150 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_o1501z00_8784)));
								BgL_arg1833z00_10149 = (BgL_arg1834z00_10150 - OBJECT_TYPE);
							}
							BgL_arg2854z00_10148 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10149);
						}
						BgL_arg2853z00_10147 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2854z00_10148);
					}
					{	/* Cfa/cinfo.scm 120 */
						obj_t BgL_tmpz00_16121;

						BgL_tmpz00_16121 = ((obj_t) BgL_arg2853z00_10147);
						BgL_arg2852z00_10146 = BGL_CLASS_NUM(BgL_tmpz00_16121);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1501z00_8784)),
					BgL_arg2852z00_10146);
			}
			{	/* Cfa/cinfo.scm 120 */
				BgL_objectz00_bglt BgL_tmpz00_16127;

				BgL_tmpz00_16127 =
					((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_o1501z00_8784));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16127, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_o1501z00_8784));
			return
				((BgL_boxzd2setz12zc0_bglt)
				((BgL_boxzd2setz12zc0_bglt) BgL_o1501z00_8784));
		}

	}



/* &<@anonymous:2850> */
	obj_t BGl_z62zc3z04anonymousza32850ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8785,
		obj_t BgL_new1500z00_8786)
	{
		{	/* Cfa/cinfo.scm 120 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_auxz00_16135;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_new1500z00_8786))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16139;

					{	/* Cfa/cinfo.scm 120 */
						obj_t BgL_classz00_10152;

						BgL_classz00_10152 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 120 */
							obj_t BgL__ortest_1112z00_10153;

							BgL__ortest_1112z00_10153 = BGL_CLASS_NIL(BgL_classz00_10152);
							if (CBOOL(BgL__ortest_1112z00_10153))
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16139 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10153);
								}
							else
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16139 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10152));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1500z00_8786))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16139), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_16149;

					{	/* Cfa/cinfo.scm 120 */
						obj_t BgL_classz00_10154;

						BgL_classz00_10154 = BGl_varz00zzast_nodez00;
						{	/* Cfa/cinfo.scm 120 */
							obj_t BgL__ortest_1112z00_10155;

							BgL__ortest_1112z00_10155 = BGL_CLASS_NIL(BgL_classz00_10154);
							if (CBOOL(BgL__ortest_1112z00_10155))
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16149 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_10155);
								}
							else
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16149 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10154));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1500z00_8786))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_16149), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_16159;

					{	/* Cfa/cinfo.scm 120 */
						obj_t BgL_classz00_10156;

						BgL_classz00_10156 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 120 */
							obj_t BgL__ortest_1112z00_10157;

							BgL__ortest_1112z00_10157 = BGL_CLASS_NIL(BgL_classz00_10156);
							if (CBOOL(BgL__ortest_1112z00_10157))
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16159 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10157);
								}
							else
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16159 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10156));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1500z00_8786))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_16159), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16169;

					{	/* Cfa/cinfo.scm 120 */
						obj_t BgL_classz00_10158;

						BgL_classz00_10158 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 120 */
							obj_t BgL__ortest_1112z00_10159;

							BgL__ortest_1112z00_10159 = BGL_CLASS_NIL(BgL_classz00_10158);
							if (CBOOL(BgL__ortest_1112z00_10159))
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16169 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10159);
								}
							else
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16169 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10158));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1500z00_8786))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_16169), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_16186;
					BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_16179;

					{	/* Cfa/cinfo.scm 120 */
						obj_t BgL_classz00_10160;

						BgL_classz00_10160 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 120 */
							obj_t BgL__ortest_1112z00_10161;

							BgL__ortest_1112z00_10161 = BGL_CLASS_NIL(BgL_classz00_10160);
							if (CBOOL(BgL__ortest_1112z00_10161))
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16186 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10161);
								}
							else
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16186 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10160));
								}
						}
					}
					{
						obj_t BgL_auxz00_16180;

						{	/* Cfa/cinfo.scm 120 */
							BgL_objectz00_bglt BgL_tmpz00_16181;

							BgL_tmpz00_16181 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_new1500z00_8786));
							BgL_auxz00_16180 = BGL_OBJECT_WIDENING(BgL_tmpz00_16181);
						}
						BgL_auxz00_16179 =
							((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_16180);
					}
					((((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_16179))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_16186), BUNSPEC);
				}
				BgL_auxz00_16135 = ((BgL_boxzd2setz12zc0_bglt) BgL_new1500z00_8786);
				return ((obj_t) BgL_auxz00_16135);
			}
		}

	}



/* &lambda2848 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2848z62zzcfa_infoz00(obj_t
		BgL_envz00_8787, obj_t BgL_o1497z00_8788)
	{
		{	/* Cfa/cinfo.scm 120 */
			{	/* Cfa/cinfo.scm 120 */
				BgL_boxzd2setz12zf2cinfoz32_bglt BgL_wide1499z00_10163;

				BgL_wide1499z00_10163 =
					((BgL_boxzd2setz12zf2cinfoz32_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2setz12zf2cinfoz32_bgl))));
				{	/* Cfa/cinfo.scm 120 */
					obj_t BgL_auxz00_16201;
					BgL_objectz00_bglt BgL_tmpz00_16197;

					BgL_auxz00_16201 = ((obj_t) BgL_wide1499z00_10163);
					BgL_tmpz00_16197 =
						((BgL_objectz00_bglt)
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_o1497z00_8788)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16197, BgL_auxz00_16201);
				}
				((BgL_objectz00_bglt)
					((BgL_boxzd2setz12zc0_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1497z00_8788)));
				{	/* Cfa/cinfo.scm 120 */
					long BgL_arg2849z00_10164;

					BgL_arg2849z00_10164 =
						BGL_CLASS_NUM(BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_o1497z00_8788))),
						BgL_arg2849z00_10164);
				}
				return
					((BgL_boxzd2setz12zc0_bglt)
					((BgL_boxzd2setz12zc0_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1497z00_8788)));
			}
		}

	}



/* &lambda2845 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2845z62zzcfa_infoz00(obj_t
		BgL_envz00_8789, obj_t BgL_loc1491z00_8790, obj_t BgL_type1492z00_8791,
		obj_t BgL_var1493z00_8792, obj_t BgL_value1494z00_8793,
		obj_t BgL_vtype1495z00_8794, obj_t BgL_approx1496z00_8795)
	{
		{	/* Cfa/cinfo.scm 120 */
			{	/* Cfa/cinfo.scm 120 */
				BgL_boxzd2setz12zc0_bglt BgL_new1798z00_10170;

				{	/* Cfa/cinfo.scm 120 */
					BgL_boxzd2setz12zc0_bglt BgL_tmp1796z00_10171;
					BgL_boxzd2setz12zf2cinfoz32_bglt BgL_wide1797z00_10172;

					{
						BgL_boxzd2setz12zc0_bglt BgL_auxz00_16215;

						{	/* Cfa/cinfo.scm 120 */
							BgL_boxzd2setz12zc0_bglt BgL_new1795z00_10173;

							BgL_new1795z00_10173 =
								((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2setz12zc0_bgl))));
							{	/* Cfa/cinfo.scm 120 */
								long BgL_arg2847z00_10174;

								BgL_arg2847z00_10174 =
									BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1795z00_10173),
									BgL_arg2847z00_10174);
							}
							{	/* Cfa/cinfo.scm 120 */
								BgL_objectz00_bglt BgL_tmpz00_16220;

								BgL_tmpz00_16220 = ((BgL_objectz00_bglt) BgL_new1795z00_10173);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16220, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1795z00_10173);
							BgL_auxz00_16215 = BgL_new1795z00_10173;
						}
						BgL_tmp1796z00_10171 =
							((BgL_boxzd2setz12zc0_bglt) BgL_auxz00_16215);
					}
					BgL_wide1797z00_10172 =
						((BgL_boxzd2setz12zf2cinfoz32_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zf2cinfoz32_bgl))));
					{	/* Cfa/cinfo.scm 120 */
						obj_t BgL_auxz00_16228;
						BgL_objectz00_bglt BgL_tmpz00_16226;

						BgL_auxz00_16228 = ((obj_t) BgL_wide1797z00_10172);
						BgL_tmpz00_16226 = ((BgL_objectz00_bglt) BgL_tmp1796z00_10171);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16226, BgL_auxz00_16228);
					}
					((BgL_objectz00_bglt) BgL_tmp1796z00_10171);
					{	/* Cfa/cinfo.scm 120 */
						long BgL_arg2846z00_10175;

						BgL_arg2846z00_10175 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1796z00_10171),
							BgL_arg2846z00_10175);
					}
					BgL_new1798z00_10170 =
						((BgL_boxzd2setz12zc0_bglt) BgL_tmp1796z00_10171);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1798z00_10170)))->BgL_locz00) =
					((obj_t) BgL_loc1491z00_8790), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1798z00_10170)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1492z00_8791)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1798z00_10170)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1493z00_8792)), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1798z00_10170)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1494z00_8793)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1798z00_10170)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1495z00_8794)),
					BUNSPEC);
				{
					BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_16250;

					{
						obj_t BgL_auxz00_16251;

						{	/* Cfa/cinfo.scm 120 */
							BgL_objectz00_bglt BgL_tmpz00_16252;

							BgL_tmpz00_16252 = ((BgL_objectz00_bglt) BgL_new1798z00_10170);
							BgL_auxz00_16251 = BGL_OBJECT_WIDENING(BgL_tmpz00_16252);
						}
						BgL_auxz00_16250 =
							((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_16251);
					}
					((((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_16250))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1496z00_8795)), BUNSPEC);
				}
				return BgL_new1798z00_10170;
			}
		}

	}



/* &lambda2859 */
	obj_t BGl_z62lambda2859z62zzcfa_infoz00(obj_t BgL_envz00_8796,
		obj_t BgL_oz00_8797, obj_t BgL_vz00_8798)
	{
		{	/* Cfa/cinfo.scm 120 */
			{
				BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_16258;

				{
					obj_t BgL_auxz00_16259;

					{	/* Cfa/cinfo.scm 120 */
						BgL_objectz00_bglt BgL_tmpz00_16260;

						BgL_tmpz00_16260 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8797));
						BgL_auxz00_16259 = BGL_OBJECT_WIDENING(BgL_tmpz00_16260);
					}
					BgL_auxz00_16258 =
						((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_16259);
				}
				return
					((((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_16258))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8798)), BUNSPEC);
			}
		}

	}



/* &lambda2858 */
	BgL_approxz00_bglt BGl_z62lambda2858z62zzcfa_infoz00(obj_t BgL_envz00_8799,
		obj_t BgL_oz00_8800)
	{
		{	/* Cfa/cinfo.scm 120 */
			{
				BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_16267;

				{
					obj_t BgL_auxz00_16268;

					{	/* Cfa/cinfo.scm 120 */
						BgL_objectz00_bglt BgL_tmpz00_16269;

						BgL_tmpz00_16269 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8800));
						BgL_auxz00_16268 = BGL_OBJECT_WIDENING(BgL_tmpz00_16269);
					}
					BgL_auxz00_16267 =
						((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_16268);
				}
				return
					(((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_16267))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2823 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2823z62zzcfa_infoz00(obj_t
		BgL_envz00_8801, obj_t BgL_o1489z00_8802)
	{
		{	/* Cfa/cinfo.scm 117 */
			{	/* Cfa/cinfo.scm 117 */
				long BgL_arg2824z00_10180;

				{	/* Cfa/cinfo.scm 117 */
					obj_t BgL_arg2825z00_10181;

					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_arg2826z00_10182;

						{	/* Cfa/cinfo.scm 117 */
							long BgL_arg1833z00_10183;

							{	/* Cfa/cinfo.scm 117 */
								long BgL_arg1834z00_10184;

								BgL_arg1834z00_10184 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_o1489z00_8802)));
								BgL_arg1833z00_10183 = (BgL_arg1834z00_10184 - OBJECT_TYPE);
							}
							BgL_arg2826z00_10182 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10183);
						}
						BgL_arg2825z00_10181 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2826z00_10182);
					}
					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_tmpz00_16281;

						BgL_tmpz00_16281 = ((obj_t) BgL_arg2825z00_10181);
						BgL_arg2824z00_10180 = BGL_CLASS_NUM(BgL_tmpz00_16281);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1489z00_8802)),
					BgL_arg2824z00_10180);
			}
			{	/* Cfa/cinfo.scm 117 */
				BgL_objectz00_bglt BgL_tmpz00_16287;

				BgL_tmpz00_16287 =
					((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1489z00_8802));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16287, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1489z00_8802));
			return
				((BgL_makezd2boxzd2_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1489z00_8802));
		}

	}



/* &<@anonymous:2822> */
	obj_t BGl_z62zc3z04anonymousza32822ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8803,
		obj_t BgL_new1488z00_8804)
	{
		{	/* Cfa/cinfo.scm 117 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_16295;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1488z00_8804))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16299;

					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_classz00_10186;

						BgL_classz00_10186 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 117 */
							obj_t BgL__ortest_1112z00_10187;

							BgL__ortest_1112z00_10187 = BGL_CLASS_NIL(BgL_classz00_10186);
							if (CBOOL(BgL__ortest_1112z00_10187))
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16299 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10187);
								}
							else
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16299 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10186));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1488z00_8804))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16299), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1488z00_8804))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_makezd2boxzd2_bglt)
										BgL_new1488z00_8804))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_16315;

					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_classz00_10188;

						BgL_classz00_10188 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 117 */
							obj_t BgL__ortest_1112z00_10189;

							BgL__ortest_1112z00_10189 = BGL_CLASS_NIL(BgL_classz00_10188);
							if (CBOOL(BgL__ortest_1112z00_10189))
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16315 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10189);
								}
							else
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16315 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10188));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1488z00_8804))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_16315), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16325;

					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_classz00_10190;

						BgL_classz00_10190 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 117 */
							obj_t BgL__ortest_1112z00_10191;

							BgL__ortest_1112z00_10191 = BGL_CLASS_NIL(BgL_classz00_10190);
							if (CBOOL(BgL__ortest_1112z00_10191))
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16325 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10191);
								}
							else
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16325 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10190));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1488z00_8804))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_16325), BUNSPEC);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1488z00_8804))))->
						BgL_stackablez00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_16345;
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_16338;

					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_classz00_10192;

						BgL_classz00_10192 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 117 */
							obj_t BgL__ortest_1112z00_10193;

							BgL__ortest_1112z00_10193 = BGL_CLASS_NIL(BgL_classz00_10192);
							if (CBOOL(BgL__ortest_1112z00_10193))
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16345 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10193);
								}
							else
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16345 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10192));
								}
						}
					}
					{
						obj_t BgL_auxz00_16339;

						{	/* Cfa/cinfo.scm 117 */
							BgL_objectz00_bglt BgL_tmpz00_16340;

							BgL_tmpz00_16340 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_new1488z00_8804));
							BgL_auxz00_16339 = BGL_OBJECT_WIDENING(BgL_tmpz00_16340);
						}
						BgL_auxz00_16338 =
							((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_16339);
					}
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16338))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_16345), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_16360;
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_16353;

					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_classz00_10194;

						BgL_classz00_10194 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 117 */
							obj_t BgL__ortest_1112z00_10195;

							BgL__ortest_1112z00_10195 = BGL_CLASS_NIL(BgL_classz00_10194);
							if (CBOOL(BgL__ortest_1112z00_10195))
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16360 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10195);
								}
							else
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16360 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10194));
								}
						}
					}
					{
						obj_t BgL_auxz00_16354;

						{	/* Cfa/cinfo.scm 117 */
							BgL_objectz00_bglt BgL_tmpz00_16355;

							BgL_tmpz00_16355 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_new1488z00_8804));
							BgL_auxz00_16354 = BGL_OBJECT_WIDENING(BgL_tmpz00_16355);
						}
						BgL_auxz00_16353 =
							((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_16354);
					}
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16353))->
							BgL_valuezd2approxzd2) =
						((BgL_approxz00_bglt) BgL_auxz00_16360), BUNSPEC);
				}
				BgL_auxz00_16295 = ((BgL_makezd2boxzd2_bglt) BgL_new1488z00_8804);
				return ((obj_t) BgL_auxz00_16295);
			}
		}

	}



/* &lambda2820 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2820z62zzcfa_infoz00(obj_t
		BgL_envz00_8805, obj_t BgL_o1485z00_8806)
	{
		{	/* Cfa/cinfo.scm 117 */
			{	/* Cfa/cinfo.scm 117 */
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_wide1487z00_10197;

				BgL_wide1487z00_10197 =
					((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_makezd2boxzf2ozd2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 117 */
					obj_t BgL_auxz00_16375;
					BgL_objectz00_bglt BgL_tmpz00_16371;

					BgL_auxz00_16375 = ((obj_t) BgL_wide1487z00_10197);
					BgL_tmpz00_16371 =
						((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_o1485z00_8806)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16371, BgL_auxz00_16375);
				}
				((BgL_objectz00_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1485z00_8806)));
				{	/* Cfa/cinfo.scm 117 */
					long BgL_arg2821z00_10198;

					BgL_arg2821z00_10198 =
						BGL_CLASS_NUM(BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_o1485z00_8806))),
						BgL_arg2821z00_10198);
				}
				return
					((BgL_makezd2boxzd2_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1485z00_8806)));
			}
		}

	}



/* &lambda2797 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2797z62zzcfa_infoz00(obj_t
		BgL_envz00_8807, obj_t BgL_loc1476z00_8808, obj_t BgL_type1477z00_8809,
		obj_t BgL_sidezd2effect1478zd2_8810, obj_t BgL_key1479z00_8811,
		obj_t BgL_value1480z00_8812, obj_t BgL_vtype1481z00_8813,
		obj_t BgL_stackable1482z00_8814, obj_t BgL_approx1483z00_8815,
		obj_t BgL_valuezd2approx1484zd2_8816)
	{
		{	/* Cfa/cinfo.scm 117 */
			{	/* Cfa/cinfo.scm 117 */
				BgL_makezd2boxzd2_bglt BgL_new1793z00_10204;

				{	/* Cfa/cinfo.scm 117 */
					BgL_makezd2boxzd2_bglt BgL_tmp1791z00_10205;
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_wide1792z00_10206;

					{
						BgL_makezd2boxzd2_bglt BgL_auxz00_16389;

						{	/* Cfa/cinfo.scm 117 */
							BgL_makezd2boxzd2_bglt BgL_new1790z00_10207;

							BgL_new1790z00_10207 =
								((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzd2_bgl))));
							{	/* Cfa/cinfo.scm 117 */
								long BgL_arg2819z00_10208;

								BgL_arg2819z00_10208 =
									BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1790z00_10207),
									BgL_arg2819z00_10208);
							}
							{	/* Cfa/cinfo.scm 117 */
								BgL_objectz00_bglt BgL_tmpz00_16394;

								BgL_tmpz00_16394 = ((BgL_objectz00_bglt) BgL_new1790z00_10207);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16394, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1790z00_10207);
							BgL_auxz00_16389 = BgL_new1790z00_10207;
						}
						BgL_tmp1791z00_10205 = ((BgL_makezd2boxzd2_bglt) BgL_auxz00_16389);
					}
					BgL_wide1792z00_10206 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzf2ozd2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_auxz00_16402;
						BgL_objectz00_bglt BgL_tmpz00_16400;

						BgL_auxz00_16402 = ((obj_t) BgL_wide1792z00_10206);
						BgL_tmpz00_16400 = ((BgL_objectz00_bglt) BgL_tmp1791z00_10205);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16400, BgL_auxz00_16402);
					}
					((BgL_objectz00_bglt) BgL_tmp1791z00_10205);
					{	/* Cfa/cinfo.scm 117 */
						long BgL_arg2803z00_10209;

						BgL_arg2803z00_10209 =
							BGL_CLASS_NUM(BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1791z00_10205),
							BgL_arg2803z00_10209);
					}
					BgL_new1793z00_10204 =
						((BgL_makezd2boxzd2_bglt) BgL_tmp1791z00_10205);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1793z00_10204)))->BgL_locz00) =
					((obj_t) BgL_loc1476z00_8808), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1793z00_10204)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1477z00_8809)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1793z00_10204)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1478zd2_8810), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1793z00_10204)))->BgL_keyz00) =
					((obj_t) BgL_key1479z00_8811), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1793z00_10204)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1480z00_8812)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1793z00_10204)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1481z00_8813)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1793z00_10204)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1482z00_8814), BUNSPEC);
				{
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_16427;

					{
						obj_t BgL_auxz00_16428;

						{	/* Cfa/cinfo.scm 117 */
							BgL_objectz00_bglt BgL_tmpz00_16429;

							BgL_tmpz00_16429 = ((BgL_objectz00_bglt) BgL_new1793z00_10204);
							BgL_auxz00_16428 = BGL_OBJECT_WIDENING(BgL_tmpz00_16429);
						}
						BgL_auxz00_16427 =
							((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_16428);
					}
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16427))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1483z00_8815)), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_16435;

					{
						obj_t BgL_auxz00_16436;

						{	/* Cfa/cinfo.scm 117 */
							BgL_objectz00_bglt BgL_tmpz00_16437;

							BgL_tmpz00_16437 = ((BgL_objectz00_bglt) BgL_new1793z00_10204);
							BgL_auxz00_16436 = BGL_OBJECT_WIDENING(BgL_tmpz00_16437);
						}
						BgL_auxz00_16435 =
							((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_16436);
					}
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16435))->
							BgL_valuezd2approxzd2) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_valuezd2approx1484zd2_8816)), BUNSPEC);
				}
				return BgL_new1793z00_10204;
			}
		}

	}



/* &lambda2838 */
	obj_t BGl_z62lambda2838z62zzcfa_infoz00(obj_t BgL_envz00_8817,
		obj_t BgL_oz00_8818, obj_t BgL_vz00_8819)
	{
		{	/* Cfa/cinfo.scm 117 */
			{
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_16443;

				{
					obj_t BgL_auxz00_16444;

					{	/* Cfa/cinfo.scm 117 */
						BgL_objectz00_bglt BgL_tmpz00_16445;

						BgL_tmpz00_16445 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_8818));
						BgL_auxz00_16444 = BGL_OBJECT_WIDENING(BgL_tmpz00_16445);
					}
					BgL_auxz00_16443 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_16444);
				}
				return
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16443))->
						BgL_valuezd2approxzd2) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8819)), BUNSPEC);
			}
		}

	}



/* &lambda2837 */
	BgL_approxz00_bglt BGl_z62lambda2837z62zzcfa_infoz00(obj_t BgL_envz00_8820,
		obj_t BgL_oz00_8821)
	{
		{	/* Cfa/cinfo.scm 117 */
			{
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_16452;

				{
					obj_t BgL_auxz00_16453;

					{	/* Cfa/cinfo.scm 117 */
						BgL_objectz00_bglt BgL_tmpz00_16454;

						BgL_tmpz00_16454 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_8821));
						BgL_auxz00_16453 = BGL_OBJECT_WIDENING(BgL_tmpz00_16454);
					}
					BgL_auxz00_16452 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_16453);
				}
				return
					(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16452))->
					BgL_valuezd2approxzd2);
			}
		}

	}



/* &lambda2831 */
	obj_t BGl_z62lambda2831z62zzcfa_infoz00(obj_t BgL_envz00_8822,
		obj_t BgL_oz00_8823, obj_t BgL_vz00_8824)
	{
		{	/* Cfa/cinfo.scm 117 */
			{
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_16460;

				{
					obj_t BgL_auxz00_16461;

					{	/* Cfa/cinfo.scm 117 */
						BgL_objectz00_bglt BgL_tmpz00_16462;

						BgL_tmpz00_16462 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_8823));
						BgL_auxz00_16461 = BGL_OBJECT_WIDENING(BgL_tmpz00_16462);
					}
					BgL_auxz00_16460 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_16461);
				}
				return
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16460))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8824)), BUNSPEC);
			}
		}

	}



/* &lambda2830 */
	BgL_approxz00_bglt BGl_z62lambda2830z62zzcfa_infoz00(obj_t BgL_envz00_8825,
		obj_t BgL_oz00_8826)
	{
		{	/* Cfa/cinfo.scm 117 */
			{
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_16469;

				{
					obj_t BgL_auxz00_16470;

					{	/* Cfa/cinfo.scm 117 */
						BgL_objectz00_bglt BgL_tmpz00_16471;

						BgL_tmpz00_16471 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_8826));
						BgL_auxz00_16470 = BGL_OBJECT_WIDENING(BgL_tmpz00_16471);
					}
					BgL_auxz00_16469 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_16470);
				}
				return
					(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16469))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2780 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2780z62zzcfa_infoz00(obj_t
		BgL_envz00_8827, obj_t BgL_o1474z00_8828)
	{
		{	/* Cfa/cinfo.scm 115 */
			{	/* Cfa/cinfo.scm 115 */
				long BgL_arg2781z00_10217;

				{	/* Cfa/cinfo.scm 115 */
					obj_t BgL_arg2782z00_10218;

					{	/* Cfa/cinfo.scm 115 */
						obj_t BgL_arg2783z00_10219;

						{	/* Cfa/cinfo.scm 115 */
							long BgL_arg1833z00_10220;

							{	/* Cfa/cinfo.scm 115 */
								long BgL_arg1834z00_10221;

								BgL_arg1834z00_10221 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_o1474z00_8828)));
								BgL_arg1833z00_10220 = (BgL_arg1834z00_10221 - OBJECT_TYPE);
							}
							BgL_arg2783z00_10219 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10220);
						}
						BgL_arg2782z00_10218 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2783z00_10219);
					}
					{	/* Cfa/cinfo.scm 115 */
						obj_t BgL_tmpz00_16483;

						BgL_tmpz00_16483 = ((obj_t) BgL_arg2782z00_10218);
						BgL_arg2781z00_10217 = BGL_CLASS_NUM(BgL_tmpz00_16483);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1474z00_8828)),
					BgL_arg2781z00_10217);
			}
			{	/* Cfa/cinfo.scm 115 */
				BgL_objectz00_bglt BgL_tmpz00_16489;

				BgL_tmpz00_16489 =
					((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1474z00_8828));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16489, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1474z00_8828));
			return
				((BgL_makezd2boxzd2_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1474z00_8828));
		}

	}



/* &<@anonymous:2779> */
	obj_t BGl_z62zc3z04anonymousza32779ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8829,
		obj_t BgL_new1473z00_8830)
	{
		{	/* Cfa/cinfo.scm 115 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_16497;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1473z00_8830))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16501;

					{	/* Cfa/cinfo.scm 115 */
						obj_t BgL_classz00_10223;

						BgL_classz00_10223 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 115 */
							obj_t BgL__ortest_1112z00_10224;

							BgL__ortest_1112z00_10224 = BGL_CLASS_NIL(BgL_classz00_10223);
							if (CBOOL(BgL__ortest_1112z00_10224))
								{	/* Cfa/cinfo.scm 115 */
									BgL_auxz00_16501 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10224);
								}
							else
								{	/* Cfa/cinfo.scm 115 */
									BgL_auxz00_16501 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10223));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1473z00_8830))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16501), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1473z00_8830))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_makezd2boxzd2_bglt)
										BgL_new1473z00_8830))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_16517;

					{	/* Cfa/cinfo.scm 115 */
						obj_t BgL_classz00_10225;

						BgL_classz00_10225 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 115 */
							obj_t BgL__ortest_1112z00_10226;

							BgL__ortest_1112z00_10226 = BGL_CLASS_NIL(BgL_classz00_10225);
							if (CBOOL(BgL__ortest_1112z00_10226))
								{	/* Cfa/cinfo.scm 115 */
									BgL_auxz00_16517 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10226);
								}
							else
								{	/* Cfa/cinfo.scm 115 */
									BgL_auxz00_16517 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10225));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1473z00_8830))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_16517), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16527;

					{	/* Cfa/cinfo.scm 115 */
						obj_t BgL_classz00_10227;

						BgL_classz00_10227 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 115 */
							obj_t BgL__ortest_1112z00_10228;

							BgL__ortest_1112z00_10228 = BGL_CLASS_NIL(BgL_classz00_10227);
							if (CBOOL(BgL__ortest_1112z00_10228))
								{	/* Cfa/cinfo.scm 115 */
									BgL_auxz00_16527 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10228);
								}
							else
								{	/* Cfa/cinfo.scm 115 */
									BgL_auxz00_16527 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10227));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1473z00_8830))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_16527), BUNSPEC);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1473z00_8830))))->
						BgL_stackablez00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_16547;
					BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_16540;

					{	/* Cfa/cinfo.scm 115 */
						obj_t BgL_classz00_10229;

						BgL_classz00_10229 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 115 */
							obj_t BgL__ortest_1112z00_10230;

							BgL__ortest_1112z00_10230 = BGL_CLASS_NIL(BgL_classz00_10229);
							if (CBOOL(BgL__ortest_1112z00_10230))
								{	/* Cfa/cinfo.scm 115 */
									BgL_auxz00_16547 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10230);
								}
							else
								{	/* Cfa/cinfo.scm 115 */
									BgL_auxz00_16547 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10229));
								}
						}
					}
					{
						obj_t BgL_auxz00_16541;

						{	/* Cfa/cinfo.scm 115 */
							BgL_objectz00_bglt BgL_tmpz00_16542;

							BgL_tmpz00_16542 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_new1473z00_8830));
							BgL_auxz00_16541 = BGL_OBJECT_WIDENING(BgL_tmpz00_16542);
						}
						BgL_auxz00_16540 =
							((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_16541);
					}
					((((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_16540))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_16547), BUNSPEC);
				}
				BgL_auxz00_16497 = ((BgL_makezd2boxzd2_bglt) BgL_new1473z00_8830);
				return ((obj_t) BgL_auxz00_16497);
			}
		}

	}



/* &lambda2777 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2777z62zzcfa_infoz00(obj_t
		BgL_envz00_8831, obj_t BgL_o1470z00_8832)
	{
		{	/* Cfa/cinfo.scm 115 */
			{	/* Cfa/cinfo.scm 115 */
				BgL_makezd2boxzf2cinfoz20_bglt BgL_wide1472z00_10232;

				BgL_wide1472z00_10232 =
					((BgL_makezd2boxzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_makezd2boxzf2cinfoz20_bgl))));
				{	/* Cfa/cinfo.scm 115 */
					obj_t BgL_auxz00_16562;
					BgL_objectz00_bglt BgL_tmpz00_16558;

					BgL_auxz00_16562 = ((obj_t) BgL_wide1472z00_10232);
					BgL_tmpz00_16558 =
						((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_o1470z00_8832)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16558, BgL_auxz00_16562);
				}
				((BgL_objectz00_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1470z00_8832)));
				{	/* Cfa/cinfo.scm 115 */
					long BgL_arg2778z00_10233;

					BgL_arg2778z00_10233 =
						BGL_CLASS_NUM(BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_o1470z00_8832))),
						BgL_arg2778z00_10233);
				}
				return
					((BgL_makezd2boxzd2_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1470z00_8832)));
			}
		}

	}



/* &lambda2773 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2773z62zzcfa_infoz00(obj_t
		BgL_envz00_8833, obj_t BgL_loc1462z00_8834, obj_t BgL_type1463z00_8835,
		obj_t BgL_sidezd2effect1464zd2_8836, obj_t BgL_key1465z00_8837,
		obj_t BgL_value1466z00_8838, obj_t BgL_vtype1467z00_8839,
		obj_t BgL_stackable1468z00_8840, obj_t BgL_approx1469z00_8841)
	{
		{	/* Cfa/cinfo.scm 115 */
			{	/* Cfa/cinfo.scm 115 */
				BgL_makezd2boxzd2_bglt BgL_new1788z00_10238;

				{	/* Cfa/cinfo.scm 115 */
					BgL_makezd2boxzd2_bglt BgL_tmp1786z00_10239;
					BgL_makezd2boxzf2cinfoz20_bglt BgL_wide1787z00_10240;

					{
						BgL_makezd2boxzd2_bglt BgL_auxz00_16576;

						{	/* Cfa/cinfo.scm 115 */
							BgL_makezd2boxzd2_bglt BgL_new1785z00_10241;

							BgL_new1785z00_10241 =
								((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzd2_bgl))));
							{	/* Cfa/cinfo.scm 115 */
								long BgL_arg2776z00_10242;

								BgL_arg2776z00_10242 =
									BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1785z00_10241),
									BgL_arg2776z00_10242);
							}
							{	/* Cfa/cinfo.scm 115 */
								BgL_objectz00_bglt BgL_tmpz00_16581;

								BgL_tmpz00_16581 = ((BgL_objectz00_bglt) BgL_new1785z00_10241);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16581, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1785z00_10241);
							BgL_auxz00_16576 = BgL_new1785z00_10241;
						}
						BgL_tmp1786z00_10239 = ((BgL_makezd2boxzd2_bglt) BgL_auxz00_16576);
					}
					BgL_wide1787z00_10240 =
						((BgL_makezd2boxzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.scm 115 */
						obj_t BgL_auxz00_16589;
						BgL_objectz00_bglt BgL_tmpz00_16587;

						BgL_auxz00_16589 = ((obj_t) BgL_wide1787z00_10240);
						BgL_tmpz00_16587 = ((BgL_objectz00_bglt) BgL_tmp1786z00_10239);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16587, BgL_auxz00_16589);
					}
					((BgL_objectz00_bglt) BgL_tmp1786z00_10239);
					{	/* Cfa/cinfo.scm 115 */
						long BgL_arg2775z00_10243;

						BgL_arg2775z00_10243 =
							BGL_CLASS_NUM(BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1786z00_10239),
							BgL_arg2775z00_10243);
					}
					BgL_new1788z00_10238 =
						((BgL_makezd2boxzd2_bglt) BgL_tmp1786z00_10239);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1788z00_10238)))->BgL_locz00) =
					((obj_t) BgL_loc1462z00_8834), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1788z00_10238)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1463z00_8835)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1788z00_10238)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1464zd2_8836), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1788z00_10238)))->BgL_keyz00) =
					((obj_t) BgL_key1465z00_8837), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1788z00_10238)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1466z00_8838)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1788z00_10238)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1467z00_8839)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1788z00_10238)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1468z00_8840), BUNSPEC);
				{
					BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_16614;

					{
						obj_t BgL_auxz00_16615;

						{	/* Cfa/cinfo.scm 115 */
							BgL_objectz00_bglt BgL_tmpz00_16616;

							BgL_tmpz00_16616 = ((BgL_objectz00_bglt) BgL_new1788z00_10238);
							BgL_auxz00_16615 = BGL_OBJECT_WIDENING(BgL_tmpz00_16616);
						}
						BgL_auxz00_16614 =
							((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_16615);
					}
					((((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_16614))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1469z00_8841)), BUNSPEC);
				}
				return BgL_new1788z00_10238;
			}
		}

	}



/* &lambda2788 */
	obj_t BGl_z62lambda2788z62zzcfa_infoz00(obj_t BgL_envz00_8842,
		obj_t BgL_oz00_8843, obj_t BgL_vz00_8844)
	{
		{	/* Cfa/cinfo.scm 115 */
			{
				BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_16622;

				{
					obj_t BgL_auxz00_16623;

					{	/* Cfa/cinfo.scm 115 */
						BgL_objectz00_bglt BgL_tmpz00_16624;

						BgL_tmpz00_16624 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_8843));
						BgL_auxz00_16623 = BGL_OBJECT_WIDENING(BgL_tmpz00_16624);
					}
					BgL_auxz00_16622 =
						((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_16623);
				}
				return
					((((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_16622))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8844)), BUNSPEC);
			}
		}

	}



/* &lambda2787 */
	BgL_approxz00_bglt BGl_z62lambda2787z62zzcfa_infoz00(obj_t BgL_envz00_8845,
		obj_t BgL_oz00_8846)
	{
		{	/* Cfa/cinfo.scm 115 */
			{
				BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_16631;

				{
					obj_t BgL_auxz00_16632;

					{	/* Cfa/cinfo.scm 115 */
						BgL_objectz00_bglt BgL_tmpz00_16633;

						BgL_tmpz00_16633 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_8846));
						BgL_auxz00_16632 = BGL_OBJECT_WIDENING(BgL_tmpz00_16633);
					}
					BgL_auxz00_16631 =
						((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_16632);
				}
				return
					(((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_16631))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2748 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2748z62zzcfa_infoz00(obj_t
		BgL_envz00_8847, obj_t BgL_o1460z00_8848)
	{
		{	/* Cfa/cinfo.scm 114 */
			{	/* Cfa/cinfo.scm 114 */
				long BgL_arg2749z00_10248;

				{	/* Cfa/cinfo.scm 114 */
					obj_t BgL_arg2750z00_10249;

					{	/* Cfa/cinfo.scm 114 */
						obj_t BgL_arg2751z00_10250;

						{	/* Cfa/cinfo.scm 114 */
							long BgL_arg1833z00_10251;

							{	/* Cfa/cinfo.scm 114 */
								long BgL_arg1834z00_10252;

								BgL_arg1834z00_10252 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_o1460z00_8848)));
								BgL_arg1833z00_10251 = (BgL_arg1834z00_10252 - OBJECT_TYPE);
							}
							BgL_arg2751z00_10250 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10251);
						}
						BgL_arg2750z00_10249 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2751z00_10250);
					}
					{	/* Cfa/cinfo.scm 114 */
						obj_t BgL_tmpz00_16645;

						BgL_tmpz00_16645 = ((obj_t) BgL_arg2750z00_10249);
						BgL_arg2749z00_10248 = BGL_CLASS_NUM(BgL_tmpz00_16645);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1460z00_8848)),
					BgL_arg2749z00_10248);
			}
			{	/* Cfa/cinfo.scm 114 */
				BgL_objectz00_bglt BgL_tmpz00_16651;

				BgL_tmpz00_16651 =
					((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1460z00_8848));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16651, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1460z00_8848));
			return
				((BgL_makezd2boxzd2_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1460z00_8848));
		}

	}



/* &<@anonymous:2747> */
	obj_t BGl_z62zc3z04anonymousza32747ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8849,
		obj_t BgL_new1459z00_8850)
	{
		{	/* Cfa/cinfo.scm 114 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_16659;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1459z00_8850))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16663;

					{	/* Cfa/cinfo.scm 114 */
						obj_t BgL_classz00_10254;

						BgL_classz00_10254 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 114 */
							obj_t BgL__ortest_1112z00_10255;

							BgL__ortest_1112z00_10255 = BGL_CLASS_NIL(BgL_classz00_10254);
							if (CBOOL(BgL__ortest_1112z00_10255))
								{	/* Cfa/cinfo.scm 114 */
									BgL_auxz00_16663 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10255);
								}
							else
								{	/* Cfa/cinfo.scm 114 */
									BgL_auxz00_16663 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10254));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1459z00_8850))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16663), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1459z00_8850))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_makezd2boxzd2_bglt)
										BgL_new1459z00_8850))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_16679;

					{	/* Cfa/cinfo.scm 114 */
						obj_t BgL_classz00_10256;

						BgL_classz00_10256 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 114 */
							obj_t BgL__ortest_1112z00_10257;

							BgL__ortest_1112z00_10257 = BGL_CLASS_NIL(BgL_classz00_10256);
							if (CBOOL(BgL__ortest_1112z00_10257))
								{	/* Cfa/cinfo.scm 114 */
									BgL_auxz00_16679 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10257);
								}
							else
								{	/* Cfa/cinfo.scm 114 */
									BgL_auxz00_16679 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10256));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1459z00_8850))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_16679), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16689;

					{	/* Cfa/cinfo.scm 114 */
						obj_t BgL_classz00_10258;

						BgL_classz00_10258 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 114 */
							obj_t BgL__ortest_1112z00_10259;

							BgL__ortest_1112z00_10259 = BGL_CLASS_NIL(BgL_classz00_10258);
							if (CBOOL(BgL__ortest_1112z00_10259))
								{	/* Cfa/cinfo.scm 114 */
									BgL_auxz00_16689 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10259);
								}
							else
								{	/* Cfa/cinfo.scm 114 */
									BgL_auxz00_16689 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10258));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1459z00_8850))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_16689), BUNSPEC);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1459z00_8850))))->
						BgL_stackablez00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_16659 = ((BgL_makezd2boxzd2_bglt) BgL_new1459z00_8850);
				return ((obj_t) BgL_auxz00_16659);
			}
		}

	}



/* &lambda2745 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2745z62zzcfa_infoz00(obj_t
		BgL_envz00_8851, obj_t BgL_o1456z00_8852)
	{
		{	/* Cfa/cinfo.scm 114 */
			{	/* Cfa/cinfo.scm 114 */
				BgL_prezd2makezd2boxz00_bglt BgL_wide1458z00_10261;

				BgL_wide1458z00_10261 =
					((BgL_prezd2makezd2boxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_prezd2makezd2boxz00_bgl))));
				{	/* Cfa/cinfo.scm 114 */
					obj_t BgL_auxz00_16709;
					BgL_objectz00_bglt BgL_tmpz00_16705;

					BgL_auxz00_16709 = ((obj_t) BgL_wide1458z00_10261);
					BgL_tmpz00_16705 =
						((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_o1456z00_8852)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16705, BgL_auxz00_16709);
				}
				((BgL_objectz00_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1456z00_8852)));
				{	/* Cfa/cinfo.scm 114 */
					long BgL_arg2746z00_10262;

					BgL_arg2746z00_10262 =
						BGL_CLASS_NUM(BGl_prezd2makezd2boxz00zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_o1456z00_8852))),
						BgL_arg2746z00_10262);
				}
				return
					((BgL_makezd2boxzd2_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1456z00_8852)));
			}
		}

	}



/* &lambda2742 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2742z62zzcfa_infoz00(obj_t
		BgL_envz00_8853, obj_t BgL_loc1449z00_8854, obj_t BgL_type1450z00_8855,
		obj_t BgL_sidezd2effect1451zd2_8856, obj_t BgL_key1452z00_8857,
		obj_t BgL_value1453z00_8858, obj_t BgL_vtype1454z00_8859,
		obj_t BgL_stackable1455z00_8860)
	{
		{	/* Cfa/cinfo.scm 114 */
			{	/* Cfa/cinfo.scm 114 */
				BgL_makezd2boxzd2_bglt BgL_new1783z00_10266;

				{	/* Cfa/cinfo.scm 114 */
					BgL_makezd2boxzd2_bglt BgL_tmp1781z00_10267;
					BgL_prezd2makezd2boxz00_bglt BgL_wide1782z00_10268;

					{
						BgL_makezd2boxzd2_bglt BgL_auxz00_16723;

						{	/* Cfa/cinfo.scm 114 */
							BgL_makezd2boxzd2_bglt BgL_new1780z00_10269;

							BgL_new1780z00_10269 =
								((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzd2_bgl))));
							{	/* Cfa/cinfo.scm 114 */
								long BgL_arg2744z00_10270;

								BgL_arg2744z00_10270 =
									BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1780z00_10269),
									BgL_arg2744z00_10270);
							}
							{	/* Cfa/cinfo.scm 114 */
								BgL_objectz00_bglt BgL_tmpz00_16728;

								BgL_tmpz00_16728 = ((BgL_objectz00_bglt) BgL_new1780z00_10269);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16728, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1780z00_10269);
							BgL_auxz00_16723 = BgL_new1780z00_10269;
						}
						BgL_tmp1781z00_10267 = ((BgL_makezd2boxzd2_bglt) BgL_auxz00_16723);
					}
					BgL_wide1782z00_10268 =
						((BgL_prezd2makezd2boxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_prezd2makezd2boxz00_bgl))));
					{	/* Cfa/cinfo.scm 114 */
						obj_t BgL_auxz00_16736;
						BgL_objectz00_bglt BgL_tmpz00_16734;

						BgL_auxz00_16736 = ((obj_t) BgL_wide1782z00_10268);
						BgL_tmpz00_16734 = ((BgL_objectz00_bglt) BgL_tmp1781z00_10267);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16734, BgL_auxz00_16736);
					}
					((BgL_objectz00_bglt) BgL_tmp1781z00_10267);
					{	/* Cfa/cinfo.scm 114 */
						long BgL_arg2743z00_10271;

						BgL_arg2743z00_10271 =
							BGL_CLASS_NUM(BGl_prezd2makezd2boxz00zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1781z00_10267),
							BgL_arg2743z00_10271);
					}
					BgL_new1783z00_10266 =
						((BgL_makezd2boxzd2_bglt) BgL_tmp1781z00_10267);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1783z00_10266)))->BgL_locz00) =
					((obj_t) BgL_loc1449z00_8854), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1783z00_10266)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1450z00_8855)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1783z00_10266)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1451zd2_8856), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1783z00_10266)))->BgL_keyz00) =
					((obj_t) BgL_key1452z00_8857), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1783z00_10266)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1453z00_8858)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1783z00_10266)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1454z00_8859)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1783z00_10266)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1455z00_8860), BUNSPEC);
				return BgL_new1783z00_10266;
			}
		}

	}



/* &lambda2722 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2722z62zzcfa_infoz00(obj_t
		BgL_envz00_8861, obj_t BgL_o1446z00_8862)
	{
		{	/* Cfa/cinfo.scm 110 */
			{	/* Cfa/cinfo.scm 110 */
				long BgL_arg2723z00_10273;

				{	/* Cfa/cinfo.scm 110 */
					obj_t BgL_arg2724z00_10274;

					{	/* Cfa/cinfo.scm 110 */
						obj_t BgL_arg2725z00_10275;

						{	/* Cfa/cinfo.scm 110 */
							long BgL_arg1833z00_10276;

							{	/* Cfa/cinfo.scm 110 */
								long BgL_arg1834z00_10277;

								BgL_arg1834z00_10277 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_o1446z00_8862)));
								BgL_arg1833z00_10276 = (BgL_arg1834z00_10277 - OBJECT_TYPE);
							}
							BgL_arg2725z00_10275 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10276);
						}
						BgL_arg2724z00_10274 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2725z00_10275);
					}
					{	/* Cfa/cinfo.scm 110 */
						obj_t BgL_tmpz00_16767;

						BgL_tmpz00_16767 = ((obj_t) BgL_arg2724z00_10274);
						BgL_arg2723z00_10273 = BGL_CLASS_NUM(BgL_tmpz00_16767);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_o1446z00_8862)),
					BgL_arg2723z00_10273);
			}
			{	/* Cfa/cinfo.scm 110 */
				BgL_objectz00_bglt BgL_tmpz00_16773;

				BgL_tmpz00_16773 =
					((BgL_objectz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt) BgL_o1446z00_8862));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16773, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_o1446z00_8862));
			return
				((BgL_jumpzd2exzd2itz00_bglt)
				((BgL_jumpzd2exzd2itz00_bglt) BgL_o1446z00_8862));
		}

	}



/* &<@anonymous:2721> */
	obj_t BGl_z62zc3z04anonymousza32721ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8863,
		obj_t BgL_new1445z00_8864)
	{
		{	/* Cfa/cinfo.scm 110 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_16781;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_new1445z00_8864))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16785;

					{	/* Cfa/cinfo.scm 110 */
						obj_t BgL_classz00_10279;

						BgL_classz00_10279 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 110 */
							obj_t BgL__ortest_1112z00_10280;

							BgL__ortest_1112z00_10280 = BGL_CLASS_NIL(BgL_classz00_10279);
							if (CBOOL(BgL__ortest_1112z00_10280))
								{	/* Cfa/cinfo.scm 110 */
									BgL_auxz00_16785 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10280);
								}
							else
								{	/* Cfa/cinfo.scm 110 */
									BgL_auxz00_16785 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10279));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1445z00_8864))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16785), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_16795;

					{	/* Cfa/cinfo.scm 110 */
						obj_t BgL_classz00_10281;

						BgL_classz00_10281 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 110 */
							obj_t BgL__ortest_1112z00_10282;

							BgL__ortest_1112z00_10282 = BGL_CLASS_NIL(BgL_classz00_10281);
							if (CBOOL(BgL__ortest_1112z00_10282))
								{	/* Cfa/cinfo.scm 110 */
									BgL_auxz00_16795 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10282);
								}
							else
								{	/* Cfa/cinfo.scm 110 */
									BgL_auxz00_16795 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10281));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1445z00_8864))))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_16795), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_16805;

					{	/* Cfa/cinfo.scm 110 */
						obj_t BgL_classz00_10283;

						BgL_classz00_10283 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 110 */
							obj_t BgL__ortest_1112z00_10284;

							BgL__ortest_1112z00_10284 = BGL_CLASS_NIL(BgL_classz00_10283);
							if (CBOOL(BgL__ortest_1112z00_10284))
								{	/* Cfa/cinfo.scm 110 */
									BgL_auxz00_16805 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10284);
								}
							else
								{	/* Cfa/cinfo.scm 110 */
									BgL_auxz00_16805 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10283));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1445z00_8864))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_16805), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_16822;
					BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_16815;

					{	/* Cfa/cinfo.scm 110 */
						obj_t BgL_classz00_10285;

						BgL_classz00_10285 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 110 */
							obj_t BgL__ortest_1112z00_10286;

							BgL__ortest_1112z00_10286 = BGL_CLASS_NIL(BgL_classz00_10285);
							if (CBOOL(BgL__ortest_1112z00_10286))
								{	/* Cfa/cinfo.scm 110 */
									BgL_auxz00_16822 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10286);
								}
							else
								{	/* Cfa/cinfo.scm 110 */
									BgL_auxz00_16822 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10285));
								}
						}
					}
					{
						obj_t BgL_auxz00_16816;

						{	/* Cfa/cinfo.scm 110 */
							BgL_objectz00_bglt BgL_tmpz00_16817;

							BgL_tmpz00_16817 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_new1445z00_8864));
							BgL_auxz00_16816 = BGL_OBJECT_WIDENING(BgL_tmpz00_16817);
						}
						BgL_auxz00_16815 =
							((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_16816);
					}
					((((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_16815))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_16822), BUNSPEC);
				}
				BgL_auxz00_16781 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_new1445z00_8864);
				return ((obj_t) BgL_auxz00_16781);
			}
		}

	}



/* &lambda2719 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2719z62zzcfa_infoz00(obj_t
		BgL_envz00_8865, obj_t BgL_o1442z00_8866)
	{
		{	/* Cfa/cinfo.scm 110 */
			{	/* Cfa/cinfo.scm 110 */
				BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_wide1444z00_10288;

				BgL_wide1444z00_10288 =
					((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_jumpzd2exzd2itzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 110 */
					obj_t BgL_auxz00_16837;
					BgL_objectz00_bglt BgL_tmpz00_16833;

					BgL_auxz00_16837 = ((obj_t) BgL_wide1444z00_10288);
					BgL_tmpz00_16833 =
						((BgL_objectz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_o1442z00_8866)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16833, BgL_auxz00_16837);
				}
				((BgL_objectz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_o1442z00_8866)));
				{	/* Cfa/cinfo.scm 110 */
					long BgL_arg2720z00_10289;

					BgL_arg2720z00_10289 =
						BGL_CLASS_NUM(BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_o1442z00_8866))),
						BgL_arg2720z00_10289);
				}
				return
					((BgL_jumpzd2exzd2itz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_o1442z00_8866)));
			}
		}

	}



/* &lambda2716 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2716z62zzcfa_infoz00(obj_t
		BgL_envz00_8867, obj_t BgL_loc1437z00_8868, obj_t BgL_type1438z00_8869,
		obj_t BgL_exit1439z00_8870, obj_t BgL_value1440z00_8871,
		obj_t BgL_approx1441z00_8872)
	{
		{	/* Cfa/cinfo.scm 110 */
			{	/* Cfa/cinfo.scm 110 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1778z00_10294;

				{	/* Cfa/cinfo.scm 110 */
					BgL_jumpzd2exzd2itz00_bglt BgL_tmp1776z00_10295;
					BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_wide1777z00_10296;

					{
						BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_16851;

						{	/* Cfa/cinfo.scm 110 */
							BgL_jumpzd2exzd2itz00_bglt BgL_new1775z00_10297;

							BgL_new1775z00_10297 =
								((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_jumpzd2exzd2itz00_bgl))));
							{	/* Cfa/cinfo.scm 110 */
								long BgL_arg2718z00_10298;

								BgL_arg2718z00_10298 =
									BGL_CLASS_NUM(BGl_jumpzd2exzd2itz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1775z00_10297),
									BgL_arg2718z00_10298);
							}
							{	/* Cfa/cinfo.scm 110 */
								BgL_objectz00_bglt BgL_tmpz00_16856;

								BgL_tmpz00_16856 = ((BgL_objectz00_bglt) BgL_new1775z00_10297);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16856, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1775z00_10297);
							BgL_auxz00_16851 = BgL_new1775z00_10297;
						}
						BgL_tmp1776z00_10295 =
							((BgL_jumpzd2exzd2itz00_bglt) BgL_auxz00_16851);
					}
					BgL_wide1777z00_10296 =
						((BgL_jumpzd2exzd2itzf2cinfozf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 110 */
						obj_t BgL_auxz00_16864;
						BgL_objectz00_bglt BgL_tmpz00_16862;

						BgL_auxz00_16864 = ((obj_t) BgL_wide1777z00_10296);
						BgL_tmpz00_16862 = ((BgL_objectz00_bglt) BgL_tmp1776z00_10295);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16862, BgL_auxz00_16864);
					}
					((BgL_objectz00_bglt) BgL_tmp1776z00_10295);
					{	/* Cfa/cinfo.scm 110 */
						long BgL_arg2717z00_10299;

						BgL_arg2717z00_10299 =
							BGL_CLASS_NUM(BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1776z00_10295),
							BgL_arg2717z00_10299);
					}
					BgL_new1778z00_10294 =
						((BgL_jumpzd2exzd2itz00_bglt) BgL_tmp1776z00_10295);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1778z00_10294)))->BgL_locz00) =
					((obj_t) BgL_loc1437z00_8868), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1778z00_10294)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1438z00_8869)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_new1778z00_10294)))->BgL_exitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_exit1439z00_8870)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_new1778z00_10294)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1440z00_8871)),
					BUNSPEC);
				{
					BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_16883;

					{
						obj_t BgL_auxz00_16884;

						{	/* Cfa/cinfo.scm 110 */
							BgL_objectz00_bglt BgL_tmpz00_16885;

							BgL_tmpz00_16885 = ((BgL_objectz00_bglt) BgL_new1778z00_10294);
							BgL_auxz00_16884 = BGL_OBJECT_WIDENING(BgL_tmpz00_16885);
						}
						BgL_auxz00_16883 =
							((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_16884);
					}
					((((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_16883))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1441z00_8872)), BUNSPEC);
				}
				return BgL_new1778z00_10294;
			}
		}

	}



/* &lambda2730 */
	obj_t BGl_z62lambda2730z62zzcfa_infoz00(obj_t BgL_envz00_8873,
		obj_t BgL_oz00_8874, obj_t BgL_vz00_8875)
	{
		{	/* Cfa/cinfo.scm 110 */
			{
				BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_16891;

				{
					obj_t BgL_auxz00_16892;

					{	/* Cfa/cinfo.scm 110 */
						BgL_objectz00_bglt BgL_tmpz00_16893;

						BgL_tmpz00_16893 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8874));
						BgL_auxz00_16892 = BGL_OBJECT_WIDENING(BgL_tmpz00_16893);
					}
					BgL_auxz00_16891 =
						((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_16892);
				}
				return
					((((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_16891))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8875)), BUNSPEC);
			}
		}

	}



/* &lambda2729 */
	BgL_approxz00_bglt BGl_z62lambda2729z62zzcfa_infoz00(obj_t BgL_envz00_8876,
		obj_t BgL_oz00_8877)
	{
		{	/* Cfa/cinfo.scm 110 */
			{
				BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_16900;

				{
					obj_t BgL_auxz00_16901;

					{	/* Cfa/cinfo.scm 110 */
						BgL_objectz00_bglt BgL_tmpz00_16902;

						BgL_tmpz00_16902 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8877));
						BgL_auxz00_16901 = BGL_OBJECT_WIDENING(BgL_tmpz00_16902);
					}
					BgL_auxz00_16900 =
						((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_16901);
				}
				return
					(((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_16900))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2697 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda2697z62zzcfa_infoz00(obj_t
		BgL_envz00_8878, obj_t BgL_o1434z00_8879)
	{
		{	/* Cfa/cinfo.scm 108 */
			{	/* Cfa/cinfo.scm 108 */
				long BgL_arg2699z00_10304;

				{	/* Cfa/cinfo.scm 108 */
					obj_t BgL_arg2700z00_10305;

					{	/* Cfa/cinfo.scm 108 */
						obj_t BgL_arg2701z00_10306;

						{	/* Cfa/cinfo.scm 108 */
							long BgL_arg1833z00_10307;

							{	/* Cfa/cinfo.scm 108 */
								long BgL_arg1834z00_10308;

								BgL_arg1834z00_10308 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_o1434z00_8879)));
								BgL_arg1833z00_10307 = (BgL_arg1834z00_10308 - OBJECT_TYPE);
							}
							BgL_arg2701z00_10306 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10307);
						}
						BgL_arg2700z00_10305 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2701z00_10306);
					}
					{	/* Cfa/cinfo.scm 108 */
						obj_t BgL_tmpz00_16914;

						BgL_tmpz00_16914 = ((obj_t) BgL_arg2700z00_10305);
						BgL_arg2699z00_10304 = BGL_CLASS_NUM(BgL_tmpz00_16914);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_o1434z00_8879)),
					BgL_arg2699z00_10304);
			}
			{	/* Cfa/cinfo.scm 108 */
				BgL_objectz00_bglt BgL_tmpz00_16920;

				BgL_tmpz00_16920 =
					((BgL_objectz00_bglt)
					((BgL_setzd2exzd2itz00_bglt) BgL_o1434z00_8879));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16920, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_o1434z00_8879));
			return
				((BgL_setzd2exzd2itz00_bglt)
				((BgL_setzd2exzd2itz00_bglt) BgL_o1434z00_8879));
		}

	}



/* &<@anonymous:2696> */
	obj_t BGl_z62zc3z04anonymousza32696ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8880,
		obj_t BgL_new1433z00_8881)
	{
		{	/* Cfa/cinfo.scm 108 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_auxz00_16928;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_new1433z00_8881))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16932;

					{	/* Cfa/cinfo.scm 108 */
						obj_t BgL_classz00_10310;

						BgL_classz00_10310 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 108 */
							obj_t BgL__ortest_1112z00_10311;

							BgL__ortest_1112z00_10311 = BGL_CLASS_NIL(BgL_classz00_10310);
							if (CBOOL(BgL__ortest_1112z00_10311))
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_16932 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10311);
								}
							else
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_16932 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10310));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1433z00_8881))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16932), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_16942;

					{	/* Cfa/cinfo.scm 108 */
						obj_t BgL_classz00_10312;

						BgL_classz00_10312 = BGl_varz00zzast_nodez00;
						{	/* Cfa/cinfo.scm 108 */
							obj_t BgL__ortest_1112z00_10313;

							BgL__ortest_1112z00_10313 = BGL_CLASS_NIL(BgL_classz00_10312);
							if (CBOOL(BgL__ortest_1112z00_10313))
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_16942 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_10313);
								}
							else
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_16942 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10312));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1433z00_8881))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_16942), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_16952;

					{	/* Cfa/cinfo.scm 108 */
						obj_t BgL_classz00_10314;

						BgL_classz00_10314 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 108 */
							obj_t BgL__ortest_1112z00_10315;

							BgL__ortest_1112z00_10315 = BGL_CLASS_NIL(BgL_classz00_10314);
							if (CBOOL(BgL__ortest_1112z00_10315))
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_16952 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10315);
								}
							else
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_16952 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10314));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1433z00_8881))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_16952), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_16962;

					{	/* Cfa/cinfo.scm 108 */
						obj_t BgL_classz00_10316;

						BgL_classz00_10316 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 108 */
							obj_t BgL__ortest_1112z00_10317;

							BgL__ortest_1112z00_10317 = BGL_CLASS_NIL(BgL_classz00_10316);
							if (CBOOL(BgL__ortest_1112z00_10317))
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_16962 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10317);
								}
							else
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_16962 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10316));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1433z00_8881))))->
							BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_16962), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_16979;
					BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_16972;

					{	/* Cfa/cinfo.scm 108 */
						obj_t BgL_classz00_10318;

						BgL_classz00_10318 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 108 */
							obj_t BgL__ortest_1112z00_10319;

							BgL__ortest_1112z00_10319 = BGL_CLASS_NIL(BgL_classz00_10318);
							if (CBOOL(BgL__ortest_1112z00_10319))
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_16979 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10319);
								}
							else
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_16979 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10318));
								}
						}
					}
					{
						obj_t BgL_auxz00_16973;

						{	/* Cfa/cinfo.scm 108 */
							BgL_objectz00_bglt BgL_tmpz00_16974;

							BgL_tmpz00_16974 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_new1433z00_8881));
							BgL_auxz00_16973 = BGL_OBJECT_WIDENING(BgL_tmpz00_16974);
						}
						BgL_auxz00_16972 =
							((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_16973);
					}
					((((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_16972))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_16979), BUNSPEC);
				}
				BgL_auxz00_16928 = ((BgL_setzd2exzd2itz00_bglt) BgL_new1433z00_8881);
				return ((obj_t) BgL_auxz00_16928);
			}
		}

	}



/* &lambda2694 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda2694z62zzcfa_infoz00(obj_t
		BgL_envz00_8882, obj_t BgL_o1430z00_8883)
	{
		{	/* Cfa/cinfo.scm 108 */
			{	/* Cfa/cinfo.scm 108 */
				BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_wide1432z00_10321;

				BgL_wide1432z00_10321 =
					((BgL_setzd2exzd2itzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setzd2exzd2itzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 108 */
					obj_t BgL_auxz00_16994;
					BgL_objectz00_bglt BgL_tmpz00_16990;

					BgL_auxz00_16994 = ((obj_t) BgL_wide1432z00_10321);
					BgL_tmpz00_16990 =
						((BgL_objectz00_bglt)
						((BgL_setzd2exzd2itz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_o1430z00_8883)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16990, BgL_auxz00_16994);
				}
				((BgL_objectz00_bglt)
					((BgL_setzd2exzd2itz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_o1430z00_8883)));
				{	/* Cfa/cinfo.scm 108 */
					long BgL_arg2695z00_10322;

					BgL_arg2695z00_10322 =
						BGL_CLASS_NUM(BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_o1430z00_8883))),
						BgL_arg2695z00_10322);
				}
				return
					((BgL_setzd2exzd2itz00_bglt)
					((BgL_setzd2exzd2itz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_o1430z00_8883)));
			}
		}

	}



/* &lambda2691 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda2691z62zzcfa_infoz00(obj_t
		BgL_envz00_8884, obj_t BgL_loc1424z00_8885, obj_t BgL_type1425z00_8886,
		obj_t BgL_var1426z00_8887, obj_t BgL_body1427z00_8888,
		obj_t BgL_onexit1428z00_8889, obj_t BgL_approx1429z00_8890)
	{
		{	/* Cfa/cinfo.scm 108 */
			{	/* Cfa/cinfo.scm 108 */
				BgL_setzd2exzd2itz00_bglt BgL_new1773z00_10328;

				{	/* Cfa/cinfo.scm 108 */
					BgL_setzd2exzd2itz00_bglt BgL_tmp1771z00_10329;
					BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_wide1772z00_10330;

					{
						BgL_setzd2exzd2itz00_bglt BgL_auxz00_17008;

						{	/* Cfa/cinfo.scm 108 */
							BgL_setzd2exzd2itz00_bglt BgL_new1770z00_10331;

							BgL_new1770z00_10331 =
								((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setzd2exzd2itz00_bgl))));
							{	/* Cfa/cinfo.scm 108 */
								long BgL_arg2693z00_10332;

								BgL_arg2693z00_10332 =
									BGL_CLASS_NUM(BGl_setzd2exzd2itz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1770z00_10331),
									BgL_arg2693z00_10332);
							}
							{	/* Cfa/cinfo.scm 108 */
								BgL_objectz00_bglt BgL_tmpz00_17013;

								BgL_tmpz00_17013 = ((BgL_objectz00_bglt) BgL_new1770z00_10331);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17013, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1770z00_10331);
							BgL_auxz00_17008 = BgL_new1770z00_10331;
						}
						BgL_tmp1771z00_10329 =
							((BgL_setzd2exzd2itz00_bglt) BgL_auxz00_17008);
					}
					BgL_wide1772z00_10330 =
						((BgL_setzd2exzd2itzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 108 */
						obj_t BgL_auxz00_17021;
						BgL_objectz00_bglt BgL_tmpz00_17019;

						BgL_auxz00_17021 = ((obj_t) BgL_wide1772z00_10330);
						BgL_tmpz00_17019 = ((BgL_objectz00_bglt) BgL_tmp1771z00_10329);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17019, BgL_auxz00_17021);
					}
					((BgL_objectz00_bglt) BgL_tmp1771z00_10329);
					{	/* Cfa/cinfo.scm 108 */
						long BgL_arg2692z00_10333;

						BgL_arg2692z00_10333 =
							BGL_CLASS_NUM(BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1771z00_10329),
							BgL_arg2692z00_10333);
					}
					BgL_new1773z00_10328 =
						((BgL_setzd2exzd2itz00_bglt) BgL_tmp1771z00_10329);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1773z00_10328)))->BgL_locz00) =
					((obj_t) BgL_loc1424z00_8885), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1773z00_10328)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1425z00_8886)),
					BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1773z00_10328)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1426z00_8887)), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1773z00_10328)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1427z00_8888)),
					BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1773z00_10328)))->BgL_onexitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_onexit1428z00_8889)),
					BUNSPEC);
				{
					BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_17043;

					{
						obj_t BgL_auxz00_17044;

						{	/* Cfa/cinfo.scm 108 */
							BgL_objectz00_bglt BgL_tmpz00_17045;

							BgL_tmpz00_17045 = ((BgL_objectz00_bglt) BgL_new1773z00_10328);
							BgL_auxz00_17044 = BGL_OBJECT_WIDENING(BgL_tmpz00_17045);
						}
						BgL_auxz00_17043 =
							((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_17044);
					}
					((((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17043))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1429z00_8890)), BUNSPEC);
				}
				return BgL_new1773z00_10328;
			}
		}

	}



/* &lambda2707 */
	obj_t BGl_z62lambda2707z62zzcfa_infoz00(obj_t BgL_envz00_8891,
		obj_t BgL_oz00_8892, obj_t BgL_vz00_8893)
	{
		{	/* Cfa/cinfo.scm 108 */
			{
				BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_17051;

				{
					obj_t BgL_auxz00_17052;

					{	/* Cfa/cinfo.scm 108 */
						BgL_objectz00_bglt BgL_tmpz00_17053;

						BgL_tmpz00_17053 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8892));
						BgL_auxz00_17052 = BGL_OBJECT_WIDENING(BgL_tmpz00_17053);
					}
					BgL_auxz00_17051 =
						((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_17052);
				}
				return
					((((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17051))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8893)), BUNSPEC);
			}
		}

	}



/* &lambda2706 */
	BgL_approxz00_bglt BGl_z62lambda2706z62zzcfa_infoz00(obj_t BgL_envz00_8894,
		obj_t BgL_oz00_8895)
	{
		{	/* Cfa/cinfo.scm 108 */
			{
				BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_17060;

				{
					obj_t BgL_auxz00_17061;

					{	/* Cfa/cinfo.scm 108 */
						BgL_objectz00_bglt BgL_tmpz00_17062;

						BgL_tmpz00_17062 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8895));
						BgL_auxz00_17061 = BGL_OBJECT_WIDENING(BgL_tmpz00_17062);
					}
					BgL_auxz00_17060 =
						((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_17061);
				}
				return
					(((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17060))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2675 */
	BgL_switchz00_bglt BGl_z62lambda2675z62zzcfa_infoz00(obj_t BgL_envz00_8896,
		obj_t BgL_o1422z00_8897)
	{
		{	/* Cfa/cinfo.scm 106 */
			{	/* Cfa/cinfo.scm 106 */
				long BgL_arg2677z00_10338;

				{	/* Cfa/cinfo.scm 106 */
					obj_t BgL_arg2678z00_10339;

					{	/* Cfa/cinfo.scm 106 */
						obj_t BgL_arg2679z00_10340;

						{	/* Cfa/cinfo.scm 106 */
							long BgL_arg1833z00_10341;

							{	/* Cfa/cinfo.scm 106 */
								long BgL_arg1834z00_10342;

								BgL_arg1834z00_10342 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_switchz00_bglt) BgL_o1422z00_8897)));
								BgL_arg1833z00_10341 = (BgL_arg1834z00_10342 - OBJECT_TYPE);
							}
							BgL_arg2679z00_10340 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10341);
						}
						BgL_arg2678z00_10339 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2679z00_10340);
					}
					{	/* Cfa/cinfo.scm 106 */
						obj_t BgL_tmpz00_17074;

						BgL_tmpz00_17074 = ((obj_t) BgL_arg2678z00_10339);
						BgL_arg2677z00_10338 = BGL_CLASS_NUM(BgL_tmpz00_17074);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) BgL_o1422z00_8897)), BgL_arg2677z00_10338);
			}
			{	/* Cfa/cinfo.scm 106 */
				BgL_objectz00_bglt BgL_tmpz00_17080;

				BgL_tmpz00_17080 =
					((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_o1422z00_8897));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17080, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_o1422z00_8897));
			return ((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1422z00_8897));
		}

	}



/* &<@anonymous:2674> */
	obj_t BGl_z62zc3z04anonymousza32674ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8898,
		obj_t BgL_new1421z00_8899)
	{
		{	/* Cfa/cinfo.scm 106 */
			{
				BgL_switchz00_bglt BgL_auxz00_17088;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_switchz00_bglt) BgL_new1421z00_8899))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17092;

					{	/* Cfa/cinfo.scm 106 */
						obj_t BgL_classz00_10344;

						BgL_classz00_10344 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 106 */
							obj_t BgL__ortest_1112z00_10345;

							BgL__ortest_1112z00_10345 = BGL_CLASS_NIL(BgL_classz00_10344);
							if (CBOOL(BgL__ortest_1112z00_10345))
								{	/* Cfa/cinfo.scm 106 */
									BgL_auxz00_17092 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10345);
								}
							else
								{	/* Cfa/cinfo.scm 106 */
									BgL_auxz00_17092 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10344));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_switchz00_bglt) BgL_new1421z00_8899))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17092), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_switchz00_bglt) BgL_new1421z00_8899))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_switchz00_bglt)
										BgL_new1421z00_8899))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_17108;

					{	/* Cfa/cinfo.scm 106 */
						obj_t BgL_classz00_10346;

						BgL_classz00_10346 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 106 */
							obj_t BgL__ortest_1112z00_10347;

							BgL__ortest_1112z00_10347 = BGL_CLASS_NIL(BgL_classz00_10346);
							if (CBOOL(BgL__ortest_1112z00_10347))
								{	/* Cfa/cinfo.scm 106 */
									BgL_auxz00_17108 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10347);
								}
							else
								{	/* Cfa/cinfo.scm 106 */
									BgL_auxz00_17108 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10346));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_new1421z00_8899))))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_17108), BUNSPEC);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt)
									((BgL_switchz00_bglt) BgL_new1421z00_8899))))->
						BgL_clausesz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17121;

					{	/* Cfa/cinfo.scm 106 */
						obj_t BgL_classz00_10348;

						BgL_classz00_10348 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 106 */
							obj_t BgL__ortest_1112z00_10349;

							BgL__ortest_1112z00_10349 = BGL_CLASS_NIL(BgL_classz00_10348);
							if (CBOOL(BgL__ortest_1112z00_10349))
								{	/* Cfa/cinfo.scm 106 */
									BgL_auxz00_17121 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10349);
								}
							else
								{	/* Cfa/cinfo.scm 106 */
									BgL_auxz00_17121 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10348));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_new1421z00_8899))))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_17121), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_17138;
					BgL_switchzf2cinfozf2_bglt BgL_auxz00_17131;

					{	/* Cfa/cinfo.scm 106 */
						obj_t BgL_classz00_10350;

						BgL_classz00_10350 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 106 */
							obj_t BgL__ortest_1112z00_10351;

							BgL__ortest_1112z00_10351 = BGL_CLASS_NIL(BgL_classz00_10350);
							if (CBOOL(BgL__ortest_1112z00_10351))
								{	/* Cfa/cinfo.scm 106 */
									BgL_auxz00_17138 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10351);
								}
							else
								{	/* Cfa/cinfo.scm 106 */
									BgL_auxz00_17138 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10350));
								}
						}
					}
					{
						obj_t BgL_auxz00_17132;

						{	/* Cfa/cinfo.scm 106 */
							BgL_objectz00_bglt BgL_tmpz00_17133;

							BgL_tmpz00_17133 =
								((BgL_objectz00_bglt)
								((BgL_switchz00_bglt) BgL_new1421z00_8899));
							BgL_auxz00_17132 = BGL_OBJECT_WIDENING(BgL_tmpz00_17133);
						}
						BgL_auxz00_17131 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_17132);
					}
					((((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17131))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_17138), BUNSPEC);
				}
				BgL_auxz00_17088 = ((BgL_switchz00_bglt) BgL_new1421z00_8899);
				return ((obj_t) BgL_auxz00_17088);
			}
		}

	}



/* &lambda2672 */
	BgL_switchz00_bglt BGl_z62lambda2672z62zzcfa_infoz00(obj_t BgL_envz00_8900,
		obj_t BgL_o1418z00_8901)
	{
		{	/* Cfa/cinfo.scm 106 */
			{	/* Cfa/cinfo.scm 106 */
				BgL_switchzf2cinfozf2_bglt BgL_wide1420z00_10353;

				BgL_wide1420z00_10353 =
					((BgL_switchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_switchzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 106 */
					obj_t BgL_auxz00_17153;
					BgL_objectz00_bglt BgL_tmpz00_17149;

					BgL_auxz00_17153 = ((obj_t) BgL_wide1420z00_10353);
					BgL_tmpz00_17149 =
						((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1418z00_8901)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17149, BgL_auxz00_17153);
				}
				((BgL_objectz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1418z00_8901)));
				{	/* Cfa/cinfo.scm 106 */
					long BgL_arg2673z00_10354;

					BgL_arg2673z00_10354 =
						BGL_CLASS_NUM(BGl_switchzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_o1418z00_8901))),
						BgL_arg2673z00_10354);
				}
				return
					((BgL_switchz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1418z00_8901)));
			}
		}

	}



/* &lambda2668 */
	BgL_switchz00_bglt BGl_z62lambda2668z62zzcfa_infoz00(obj_t BgL_envz00_8902,
		obj_t BgL_loc1410z00_8903, obj_t BgL_type1411z00_8904,
		obj_t BgL_sidezd2effect1412zd2_8905, obj_t BgL_key1413z00_8906,
		obj_t BgL_test1414z00_8907, obj_t BgL_clauses1415z00_8908,
		obj_t BgL_itemzd2type1416zd2_8909, obj_t BgL_approx1417z00_8910)
	{
		{	/* Cfa/cinfo.scm 106 */
			{	/* Cfa/cinfo.scm 106 */
				BgL_switchz00_bglt BgL_new1768z00_10359;

				{	/* Cfa/cinfo.scm 106 */
					BgL_switchz00_bglt BgL_tmp1766z00_10360;
					BgL_switchzf2cinfozf2_bglt BgL_wide1767z00_10361;

					{
						BgL_switchz00_bglt BgL_auxz00_17167;

						{	/* Cfa/cinfo.scm 106 */
							BgL_switchz00_bglt BgL_new1765z00_10362;

							BgL_new1765z00_10362 =
								((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_switchz00_bgl))));
							{	/* Cfa/cinfo.scm 106 */
								long BgL_arg2671z00_10363;

								BgL_arg2671z00_10363 =
									BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1765z00_10362),
									BgL_arg2671z00_10363);
							}
							{	/* Cfa/cinfo.scm 106 */
								BgL_objectz00_bglt BgL_tmpz00_17172;

								BgL_tmpz00_17172 = ((BgL_objectz00_bglt) BgL_new1765z00_10362);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17172, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1765z00_10362);
							BgL_auxz00_17167 = BgL_new1765z00_10362;
						}
						BgL_tmp1766z00_10360 = ((BgL_switchz00_bglt) BgL_auxz00_17167);
					}
					BgL_wide1767z00_10361 =
						((BgL_switchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_switchzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 106 */
						obj_t BgL_auxz00_17180;
						BgL_objectz00_bglt BgL_tmpz00_17178;

						BgL_auxz00_17180 = ((obj_t) BgL_wide1767z00_10361);
						BgL_tmpz00_17178 = ((BgL_objectz00_bglt) BgL_tmp1766z00_10360);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17178, BgL_auxz00_17180);
					}
					((BgL_objectz00_bglt) BgL_tmp1766z00_10360);
					{	/* Cfa/cinfo.scm 106 */
						long BgL_arg2669z00_10364;

						BgL_arg2669z00_10364 =
							BGL_CLASS_NUM(BGl_switchzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1766z00_10360),
							BgL_arg2669z00_10364);
					}
					BgL_new1768z00_10359 = ((BgL_switchz00_bglt) BgL_tmp1766z00_10360);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1768z00_10359)))->BgL_locz00) =
					((obj_t) BgL_loc1410z00_8903), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1768z00_10359)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1411z00_8904)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1768z00_10359)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1412zd2_8905), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1768z00_10359)))->BgL_keyz00) =
					((obj_t) BgL_key1413z00_8906), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1768z00_10359)))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1414z00_8907)),
					BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1768z00_10359)))->BgL_clausesz00) =
					((obj_t) BgL_clauses1415z00_8908), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1768z00_10359)))->BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_itemzd2type1416zd2_8909)),
					BUNSPEC);
				{
					BgL_switchzf2cinfozf2_bglt BgL_auxz00_17205;

					{
						obj_t BgL_auxz00_17206;

						{	/* Cfa/cinfo.scm 106 */
							BgL_objectz00_bglt BgL_tmpz00_17207;

							BgL_tmpz00_17207 = ((BgL_objectz00_bglt) BgL_new1768z00_10359);
							BgL_auxz00_17206 = BGL_OBJECT_WIDENING(BgL_tmpz00_17207);
						}
						BgL_auxz00_17205 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_17206);
					}
					((((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17205))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1417z00_8910)), BUNSPEC);
				}
				return BgL_new1768z00_10359;
			}
		}

	}



/* &lambda2684 */
	obj_t BGl_z62lambda2684z62zzcfa_infoz00(obj_t BgL_envz00_8911,
		obj_t BgL_oz00_8912, obj_t BgL_vz00_8913)
	{
		{	/* Cfa/cinfo.scm 106 */
			{
				BgL_switchzf2cinfozf2_bglt BgL_auxz00_17213;

				{
					obj_t BgL_auxz00_17214;

					{	/* Cfa/cinfo.scm 106 */
						BgL_objectz00_bglt BgL_tmpz00_17215;

						BgL_tmpz00_17215 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_8912));
						BgL_auxz00_17214 = BGL_OBJECT_WIDENING(BgL_tmpz00_17215);
					}
					BgL_auxz00_17213 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_17214);
				}
				return
					((((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17213))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8913)), BUNSPEC);
			}
		}

	}



/* &lambda2683 */
	BgL_approxz00_bglt BGl_z62lambda2683z62zzcfa_infoz00(obj_t BgL_envz00_8914,
		obj_t BgL_oz00_8915)
	{
		{	/* Cfa/cinfo.scm 106 */
			{
				BgL_switchzf2cinfozf2_bglt BgL_auxz00_17222;

				{
					obj_t BgL_auxz00_17223;

					{	/* Cfa/cinfo.scm 106 */
						BgL_objectz00_bglt BgL_tmpz00_17224;

						BgL_tmpz00_17224 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_8915));
						BgL_auxz00_17223 = BGL_OBJECT_WIDENING(BgL_tmpz00_17224);
					}
					BgL_auxz00_17222 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_17223);
				}
				return
					(((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17222))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2650 */
	BgL_failz00_bglt BGl_z62lambda2650z62zzcfa_infoz00(obj_t BgL_envz00_8916,
		obj_t BgL_o1408z00_8917)
	{
		{	/* Cfa/cinfo.scm 104 */
			{	/* Cfa/cinfo.scm 104 */
				long BgL_arg2652z00_10369;

				{	/* Cfa/cinfo.scm 104 */
					obj_t BgL_arg2653z00_10370;

					{	/* Cfa/cinfo.scm 104 */
						obj_t BgL_arg2654z00_10371;

						{	/* Cfa/cinfo.scm 104 */
							long BgL_arg1833z00_10372;

							{	/* Cfa/cinfo.scm 104 */
								long BgL_arg1834z00_10373;

								BgL_arg1834z00_10373 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_failz00_bglt) BgL_o1408z00_8917)));
								BgL_arg1833z00_10372 = (BgL_arg1834z00_10373 - OBJECT_TYPE);
							}
							BgL_arg2654z00_10371 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10372);
						}
						BgL_arg2653z00_10370 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2654z00_10371);
					}
					{	/* Cfa/cinfo.scm 104 */
						obj_t BgL_tmpz00_17236;

						BgL_tmpz00_17236 = ((obj_t) BgL_arg2653z00_10370);
						BgL_arg2652z00_10369 = BGL_CLASS_NUM(BgL_tmpz00_17236);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_failz00_bglt) BgL_o1408z00_8917)), BgL_arg2652z00_10369);
			}
			{	/* Cfa/cinfo.scm 104 */
				BgL_objectz00_bglt BgL_tmpz00_17242;

				BgL_tmpz00_17242 =
					((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_o1408z00_8917));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17242, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_o1408z00_8917));
			return ((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1408z00_8917));
		}

	}



/* &<@anonymous:2649> */
	obj_t BGl_z62zc3z04anonymousza32649ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8918,
		obj_t BgL_new1407z00_8919)
	{
		{	/* Cfa/cinfo.scm 104 */
			{
				BgL_failz00_bglt BgL_auxz00_17250;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_failz00_bglt) BgL_new1407z00_8919))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17254;

					{	/* Cfa/cinfo.scm 104 */
						obj_t BgL_classz00_10375;

						BgL_classz00_10375 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 104 */
							obj_t BgL__ortest_1112z00_10376;

							BgL__ortest_1112z00_10376 = BGL_CLASS_NIL(BgL_classz00_10375);
							if (CBOOL(BgL__ortest_1112z00_10376))
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17254 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10376);
								}
							else
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17254 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10375));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_failz00_bglt) BgL_new1407z00_8919))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17254), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17264;

					{	/* Cfa/cinfo.scm 104 */
						obj_t BgL_classz00_10377;

						BgL_classz00_10377 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 104 */
							obj_t BgL__ortest_1112z00_10378;

							BgL__ortest_1112z00_10378 = BGL_CLASS_NIL(BgL_classz00_10377);
							if (CBOOL(BgL__ortest_1112z00_10378))
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17264 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10378);
								}
							else
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17264 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10377));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt)
										((BgL_failz00_bglt) BgL_new1407z00_8919))))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_17264), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17274;

					{	/* Cfa/cinfo.scm 104 */
						obj_t BgL_classz00_10379;

						BgL_classz00_10379 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 104 */
							obj_t BgL__ortest_1112z00_10380;

							BgL__ortest_1112z00_10380 = BGL_CLASS_NIL(BgL_classz00_10379);
							if (CBOOL(BgL__ortest_1112z00_10380))
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17274 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10380);
								}
							else
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17274 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10379));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt)
										((BgL_failz00_bglt) BgL_new1407z00_8919))))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_17274), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17284;

					{	/* Cfa/cinfo.scm 104 */
						obj_t BgL_classz00_10381;

						BgL_classz00_10381 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 104 */
							obj_t BgL__ortest_1112z00_10382;

							BgL__ortest_1112z00_10382 = BGL_CLASS_NIL(BgL_classz00_10381);
							if (CBOOL(BgL__ortest_1112z00_10382))
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17284 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10382);
								}
							else
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17284 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10381));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt)
										((BgL_failz00_bglt) BgL_new1407z00_8919))))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_17284), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_17301;
					BgL_failzf2cinfozf2_bglt BgL_auxz00_17294;

					{	/* Cfa/cinfo.scm 104 */
						obj_t BgL_classz00_10383;

						BgL_classz00_10383 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 104 */
							obj_t BgL__ortest_1112z00_10384;

							BgL__ortest_1112z00_10384 = BGL_CLASS_NIL(BgL_classz00_10383);
							if (CBOOL(BgL__ortest_1112z00_10384))
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17301 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10384);
								}
							else
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17301 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10383));
								}
						}
					}
					{
						obj_t BgL_auxz00_17295;

						{	/* Cfa/cinfo.scm 104 */
							BgL_objectz00_bglt BgL_tmpz00_17296;

							BgL_tmpz00_17296 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_new1407z00_8919));
							BgL_auxz00_17295 = BGL_OBJECT_WIDENING(BgL_tmpz00_17296);
						}
						BgL_auxz00_17294 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_17295);
					}
					((((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17294))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_17301), BUNSPEC);
				}
				BgL_auxz00_17250 = ((BgL_failz00_bglt) BgL_new1407z00_8919);
				return ((obj_t) BgL_auxz00_17250);
			}
		}

	}



/* &lambda2647 */
	BgL_failz00_bglt BGl_z62lambda2647z62zzcfa_infoz00(obj_t BgL_envz00_8920,
		obj_t BgL_o1404z00_8921)
	{
		{	/* Cfa/cinfo.scm 104 */
			{	/* Cfa/cinfo.scm 104 */
				BgL_failzf2cinfozf2_bglt BgL_wide1406z00_10386;

				BgL_wide1406z00_10386 =
					((BgL_failzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_failzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 104 */
					obj_t BgL_auxz00_17316;
					BgL_objectz00_bglt BgL_tmpz00_17312;

					BgL_auxz00_17316 = ((obj_t) BgL_wide1406z00_10386);
					BgL_tmpz00_17312 =
						((BgL_objectz00_bglt)
						((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1404z00_8921)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17312, BgL_auxz00_17316);
				}
				((BgL_objectz00_bglt)
					((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1404z00_8921)));
				{	/* Cfa/cinfo.scm 104 */
					long BgL_arg2648z00_10387;

					BgL_arg2648z00_10387 =
						BGL_CLASS_NUM(BGl_failzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_failz00_bglt)
								((BgL_failz00_bglt) BgL_o1404z00_8921))), BgL_arg2648z00_10387);
				}
				return
					((BgL_failz00_bglt)
					((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1404z00_8921)));
			}
		}

	}



/* &lambda2643 */
	BgL_failz00_bglt BGl_z62lambda2643z62zzcfa_infoz00(obj_t BgL_envz00_8922,
		obj_t BgL_loc1398z00_8923, obj_t BgL_type1399z00_8924,
		obj_t BgL_proc1400z00_8925, obj_t BgL_msg1401z00_8926,
		obj_t BgL_obj1402z00_8927, obj_t BgL_approx1403z00_8928)
	{
		{	/* Cfa/cinfo.scm 104 */
			{	/* Cfa/cinfo.scm 104 */
				BgL_failz00_bglt BgL_new1763z00_10393;

				{	/* Cfa/cinfo.scm 104 */
					BgL_failz00_bglt BgL_tmp1761z00_10394;
					BgL_failzf2cinfozf2_bglt BgL_wide1762z00_10395;

					{
						BgL_failz00_bglt BgL_auxz00_17330;

						{	/* Cfa/cinfo.scm 104 */
							BgL_failz00_bglt BgL_new1760z00_10396;

							BgL_new1760z00_10396 =
								((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_failz00_bgl))));
							{	/* Cfa/cinfo.scm 104 */
								long BgL_arg2646z00_10397;

								BgL_arg2646z00_10397 = BGL_CLASS_NUM(BGl_failz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1760z00_10396),
									BgL_arg2646z00_10397);
							}
							{	/* Cfa/cinfo.scm 104 */
								BgL_objectz00_bglt BgL_tmpz00_17335;

								BgL_tmpz00_17335 = ((BgL_objectz00_bglt) BgL_new1760z00_10396);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17335, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1760z00_10396);
							BgL_auxz00_17330 = BgL_new1760z00_10396;
						}
						BgL_tmp1761z00_10394 = ((BgL_failz00_bglt) BgL_auxz00_17330);
					}
					BgL_wide1762z00_10395 =
						((BgL_failzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_failzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 104 */
						obj_t BgL_auxz00_17343;
						BgL_objectz00_bglt BgL_tmpz00_17341;

						BgL_auxz00_17343 = ((obj_t) BgL_wide1762z00_10395);
						BgL_tmpz00_17341 = ((BgL_objectz00_bglt) BgL_tmp1761z00_10394);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17341, BgL_auxz00_17343);
					}
					((BgL_objectz00_bglt) BgL_tmp1761z00_10394);
					{	/* Cfa/cinfo.scm 104 */
						long BgL_arg2644z00_10398;

						BgL_arg2644z00_10398 =
							BGL_CLASS_NUM(BGl_failzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1761z00_10394),
							BgL_arg2644z00_10398);
					}
					BgL_new1763z00_10393 = ((BgL_failz00_bglt) BgL_tmp1761z00_10394);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1763z00_10393)))->BgL_locz00) =
					((obj_t) BgL_loc1398z00_8923), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1763z00_10393)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1399z00_8924)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1763z00_10393)))->BgL_procz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_proc1400z00_8925)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1763z00_10393)))->BgL_msgz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_msg1401z00_8926)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1763z00_10393)))->BgL_objz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_obj1402z00_8927)),
					BUNSPEC);
				{
					BgL_failzf2cinfozf2_bglt BgL_auxz00_17365;

					{
						obj_t BgL_auxz00_17366;

						{	/* Cfa/cinfo.scm 104 */
							BgL_objectz00_bglt BgL_tmpz00_17367;

							BgL_tmpz00_17367 = ((BgL_objectz00_bglt) BgL_new1763z00_10393);
							BgL_auxz00_17366 = BGL_OBJECT_WIDENING(BgL_tmpz00_17367);
						}
						BgL_auxz00_17365 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_17366);
					}
					((((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17365))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1403z00_8928)), BUNSPEC);
				}
				return BgL_new1763z00_10393;
			}
		}

	}



/* &lambda2660 */
	obj_t BGl_z62lambda2660z62zzcfa_infoz00(obj_t BgL_envz00_8929,
		obj_t BgL_oz00_8930, obj_t BgL_vz00_8931)
	{
		{	/* Cfa/cinfo.scm 104 */
			{
				BgL_failzf2cinfozf2_bglt BgL_auxz00_17373;

				{
					obj_t BgL_auxz00_17374;

					{	/* Cfa/cinfo.scm 104 */
						BgL_objectz00_bglt BgL_tmpz00_17375;

						BgL_tmpz00_17375 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_8930));
						BgL_auxz00_17374 = BGL_OBJECT_WIDENING(BgL_tmpz00_17375);
					}
					BgL_auxz00_17373 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_17374);
				}
				return
					((((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17373))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8931)), BUNSPEC);
			}
		}

	}



/* &lambda2659 */
	BgL_approxz00_bglt BGl_z62lambda2659z62zzcfa_infoz00(obj_t BgL_envz00_8932,
		obj_t BgL_oz00_8933)
	{
		{	/* Cfa/cinfo.scm 104 */
			{
				BgL_failzf2cinfozf2_bglt BgL_auxz00_17382;

				{
					obj_t BgL_auxz00_17383;

					{	/* Cfa/cinfo.scm 104 */
						BgL_objectz00_bglt BgL_tmpz00_17384;

						BgL_tmpz00_17384 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_8933));
						BgL_auxz00_17383 = BGL_OBJECT_WIDENING(BgL_tmpz00_17384);
					}
					BgL_auxz00_17382 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_17383);
				}
				return
					(((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17382))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2624 */
	BgL_conditionalz00_bglt BGl_z62lambda2624z62zzcfa_infoz00(obj_t
		BgL_envz00_8934, obj_t BgL_o1396z00_8935)
	{
		{	/* Cfa/cinfo.scm 102 */
			{	/* Cfa/cinfo.scm 102 */
				long BgL_arg2625z00_10403;

				{	/* Cfa/cinfo.scm 102 */
					obj_t BgL_arg2626z00_10404;

					{	/* Cfa/cinfo.scm 102 */
						obj_t BgL_arg2628z00_10405;

						{	/* Cfa/cinfo.scm 102 */
							long BgL_arg1833z00_10406;

							{	/* Cfa/cinfo.scm 102 */
								long BgL_arg1834z00_10407;

								BgL_arg1834z00_10407 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_conditionalz00_bglt) BgL_o1396z00_8935)));
								BgL_arg1833z00_10406 = (BgL_arg1834z00_10407 - OBJECT_TYPE);
							}
							BgL_arg2628z00_10405 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10406);
						}
						BgL_arg2626z00_10404 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2628z00_10405);
					}
					{	/* Cfa/cinfo.scm 102 */
						obj_t BgL_tmpz00_17396;

						BgL_tmpz00_17396 = ((obj_t) BgL_arg2626z00_10404);
						BgL_arg2625z00_10403 = BGL_CLASS_NUM(BgL_tmpz00_17396);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_conditionalz00_bglt) BgL_o1396z00_8935)),
					BgL_arg2625z00_10403);
			}
			{	/* Cfa/cinfo.scm 102 */
				BgL_objectz00_bglt BgL_tmpz00_17402;

				BgL_tmpz00_17402 =
					((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_o1396z00_8935));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17402, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_o1396z00_8935));
			return
				((BgL_conditionalz00_bglt)
				((BgL_conditionalz00_bglt) BgL_o1396z00_8935));
		}

	}



/* &<@anonymous:2623> */
	obj_t BGl_z62zc3z04anonymousza32623ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8936,
		obj_t BgL_new1395z00_8937)
	{
		{	/* Cfa/cinfo.scm 102 */
			{
				BgL_conditionalz00_bglt BgL_auxz00_17410;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_conditionalz00_bglt) BgL_new1395z00_8937))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17414;

					{	/* Cfa/cinfo.scm 102 */
						obj_t BgL_classz00_10409;

						BgL_classz00_10409 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 102 */
							obj_t BgL__ortest_1112z00_10410;

							BgL__ortest_1112z00_10410 = BGL_CLASS_NIL(BgL_classz00_10409);
							if (CBOOL(BgL__ortest_1112z00_10410))
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17414 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10410);
								}
							else
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17414 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10409));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1395z00_8937))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17414), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_conditionalz00_bglt) BgL_new1395z00_8937))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_conditionalz00_bglt)
										BgL_new1395z00_8937))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_17430;

					{	/* Cfa/cinfo.scm 102 */
						obj_t BgL_classz00_10411;

						BgL_classz00_10411 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 102 */
							obj_t BgL__ortest_1112z00_10412;

							BgL__ortest_1112z00_10412 = BGL_CLASS_NIL(BgL_classz00_10411);
							if (CBOOL(BgL__ortest_1112z00_10412))
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17430 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10412);
								}
							else
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17430 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10411));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1395z00_8937))))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_17430), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17440;

					{	/* Cfa/cinfo.scm 102 */
						obj_t BgL_classz00_10413;

						BgL_classz00_10413 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 102 */
							obj_t BgL__ortest_1112z00_10414;

							BgL__ortest_1112z00_10414 = BGL_CLASS_NIL(BgL_classz00_10413);
							if (CBOOL(BgL__ortest_1112z00_10414))
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17440 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10414);
								}
							else
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17440 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10413));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1395z00_8937))))->
							BgL_truez00) = ((BgL_nodez00_bglt) BgL_auxz00_17440), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17450;

					{	/* Cfa/cinfo.scm 102 */
						obj_t BgL_classz00_10415;

						BgL_classz00_10415 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 102 */
							obj_t BgL__ortest_1112z00_10416;

							BgL__ortest_1112z00_10416 = BGL_CLASS_NIL(BgL_classz00_10415);
							if (CBOOL(BgL__ortest_1112z00_10416))
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17450 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10416);
								}
							else
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17450 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10415));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1395z00_8937))))->
							BgL_falsez00) = ((BgL_nodez00_bglt) BgL_auxz00_17450), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_17467;
					BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_17460;

					{	/* Cfa/cinfo.scm 102 */
						obj_t BgL_classz00_10417;

						BgL_classz00_10417 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 102 */
							obj_t BgL__ortest_1112z00_10418;

							BgL__ortest_1112z00_10418 = BGL_CLASS_NIL(BgL_classz00_10417);
							if (CBOOL(BgL__ortest_1112z00_10418))
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17467 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10418);
								}
							else
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17467 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10417));
								}
						}
					}
					{
						obj_t BgL_auxz00_17461;

						{	/* Cfa/cinfo.scm 102 */
							BgL_objectz00_bglt BgL_tmpz00_17462;

							BgL_tmpz00_17462 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_new1395z00_8937));
							BgL_auxz00_17461 = BGL_OBJECT_WIDENING(BgL_tmpz00_17462);
						}
						BgL_auxz00_17460 =
							((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_17461);
					}
					((((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17460))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_17467), BUNSPEC);
				}
				BgL_auxz00_17410 = ((BgL_conditionalz00_bglt) BgL_new1395z00_8937);
				return ((obj_t) BgL_auxz00_17410);
			}
		}

	}



/* &lambda2621 */
	BgL_conditionalz00_bglt BGl_z62lambda2621z62zzcfa_infoz00(obj_t
		BgL_envz00_8938, obj_t BgL_o1392z00_8939)
	{
		{	/* Cfa/cinfo.scm 102 */
			{	/* Cfa/cinfo.scm 102 */
				BgL_conditionalzf2cinfozf2_bglt BgL_wide1394z00_10420;

				BgL_wide1394z00_10420 =
					((BgL_conditionalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_conditionalzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 102 */
					obj_t BgL_auxz00_17482;
					BgL_objectz00_bglt BgL_tmpz00_17478;

					BgL_auxz00_17482 = ((obj_t) BgL_wide1394z00_10420);
					BgL_tmpz00_17478 =
						((BgL_objectz00_bglt)
						((BgL_conditionalz00_bglt)
							((BgL_conditionalz00_bglt) BgL_o1392z00_8939)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17478, BgL_auxz00_17482);
				}
				((BgL_objectz00_bglt)
					((BgL_conditionalz00_bglt)
						((BgL_conditionalz00_bglt) BgL_o1392z00_8939)));
				{	/* Cfa/cinfo.scm 102 */
					long BgL_arg2622z00_10421;

					BgL_arg2622z00_10421 =
						BGL_CLASS_NUM(BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_o1392z00_8939))),
						BgL_arg2622z00_10421);
				}
				return
					((BgL_conditionalz00_bglt)
					((BgL_conditionalz00_bglt)
						((BgL_conditionalz00_bglt) BgL_o1392z00_8939)));
			}
		}

	}



/* &lambda2618 */
	BgL_conditionalz00_bglt BGl_z62lambda2618z62zzcfa_infoz00(obj_t
		BgL_envz00_8940, obj_t BgL_loc1382z00_8941, obj_t BgL_type1383z00_8942,
		obj_t BgL_sidezd2effect1384zd2_8943, obj_t BgL_key1385z00_8944,
		obj_t BgL_test1388z00_8945, obj_t BgL_true1389z00_8946,
		obj_t BgL_false1390z00_8947, obj_t BgL_approx1391z00_8948)
	{
		{	/* Cfa/cinfo.scm 102 */
			{	/* Cfa/cinfo.scm 102 */
				BgL_conditionalz00_bglt BgL_new1758z00_10427;

				{	/* Cfa/cinfo.scm 102 */
					BgL_conditionalz00_bglt BgL_tmp1756z00_10428;
					BgL_conditionalzf2cinfozf2_bglt BgL_wide1757z00_10429;

					{
						BgL_conditionalz00_bglt BgL_auxz00_17496;

						{	/* Cfa/cinfo.scm 102 */
							BgL_conditionalz00_bglt BgL_new1755z00_10430;

							BgL_new1755z00_10430 =
								((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_conditionalz00_bgl))));
							{	/* Cfa/cinfo.scm 102 */
								long BgL_arg2620z00_10431;

								BgL_arg2620z00_10431 =
									BGL_CLASS_NUM(BGl_conditionalz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1755z00_10430),
									BgL_arg2620z00_10431);
							}
							{	/* Cfa/cinfo.scm 102 */
								BgL_objectz00_bglt BgL_tmpz00_17501;

								BgL_tmpz00_17501 = ((BgL_objectz00_bglt) BgL_new1755z00_10430);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17501, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1755z00_10430);
							BgL_auxz00_17496 = BgL_new1755z00_10430;
						}
						BgL_tmp1756z00_10428 = ((BgL_conditionalz00_bglt) BgL_auxz00_17496);
					}
					BgL_wide1757z00_10429 =
						((BgL_conditionalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_conditionalzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 102 */
						obj_t BgL_auxz00_17509;
						BgL_objectz00_bglt BgL_tmpz00_17507;

						BgL_auxz00_17509 = ((obj_t) BgL_wide1757z00_10429);
						BgL_tmpz00_17507 = ((BgL_objectz00_bglt) BgL_tmp1756z00_10428);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17507, BgL_auxz00_17509);
					}
					((BgL_objectz00_bglt) BgL_tmp1756z00_10428);
					{	/* Cfa/cinfo.scm 102 */
						long BgL_arg2619z00_10432;

						BgL_arg2619z00_10432 =
							BGL_CLASS_NUM(BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1756z00_10428),
							BgL_arg2619z00_10432);
					}
					BgL_new1758z00_10427 =
						((BgL_conditionalz00_bglt) BgL_tmp1756z00_10428);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1758z00_10427)))->BgL_locz00) =
					((obj_t) BgL_loc1382z00_8941), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1758z00_10427)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1383z00_8942)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1758z00_10427)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1384zd2_8943), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1758z00_10427)))->BgL_keyz00) =
					((obj_t) BgL_key1385z00_8944), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1758z00_10427)))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1388z00_8945)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1758z00_10427)))->BgL_truez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_true1389z00_8946)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1758z00_10427)))->BgL_falsez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_false1390z00_8947)),
					BUNSPEC);
				{
					BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_17535;

					{
						obj_t BgL_auxz00_17536;

						{	/* Cfa/cinfo.scm 102 */
							BgL_objectz00_bglt BgL_tmpz00_17537;

							BgL_tmpz00_17537 = ((BgL_objectz00_bglt) BgL_new1758z00_10427);
							BgL_auxz00_17536 = BGL_OBJECT_WIDENING(BgL_tmpz00_17537);
						}
						BgL_auxz00_17535 =
							((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_17536);
					}
					((((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17535))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1391z00_8948)), BUNSPEC);
				}
				return BgL_new1758z00_10427;
			}
		}

	}



/* &lambda2634 */
	obj_t BGl_z62lambda2634z62zzcfa_infoz00(obj_t BgL_envz00_8949,
		obj_t BgL_oz00_8950, obj_t BgL_vz00_8951)
	{
		{	/* Cfa/cinfo.scm 102 */
			{
				BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_17543;

				{
					obj_t BgL_auxz00_17544;

					{	/* Cfa/cinfo.scm 102 */
						BgL_objectz00_bglt BgL_tmpz00_17545;

						BgL_tmpz00_17545 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_8950));
						BgL_auxz00_17544 = BGL_OBJECT_WIDENING(BgL_tmpz00_17545);
					}
					BgL_auxz00_17543 =
						((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_17544);
				}
				return
					((((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17543))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8951)), BUNSPEC);
			}
		}

	}



/* &lambda2633 */
	BgL_approxz00_bglt BGl_z62lambda2633z62zzcfa_infoz00(obj_t BgL_envz00_8952,
		obj_t BgL_oz00_8953)
	{
		{	/* Cfa/cinfo.scm 102 */
			{
				BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_17552;

				{
					obj_t BgL_auxz00_17553;

					{	/* Cfa/cinfo.scm 102 */
						BgL_objectz00_bglt BgL_tmpz00_17554;

						BgL_tmpz00_17554 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_8953));
						BgL_auxz00_17553 = BGL_OBJECT_WIDENING(BgL_tmpz00_17554);
					}
					BgL_auxz00_17552 =
						((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_17553);
				}
				return
					(((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17552))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2601 */
	BgL_setqz00_bglt BGl_z62lambda2601z62zzcfa_infoz00(obj_t BgL_envz00_8954,
		obj_t BgL_o1380z00_8955)
	{
		{	/* Cfa/cinfo.scm 100 */
			{	/* Cfa/cinfo.scm 100 */
				long BgL_arg2602z00_10437;

				{	/* Cfa/cinfo.scm 100 */
					obj_t BgL_arg2603z00_10438;

					{	/* Cfa/cinfo.scm 100 */
						obj_t BgL_arg2604z00_10439;

						{	/* Cfa/cinfo.scm 100 */
							long BgL_arg1833z00_10440;

							{	/* Cfa/cinfo.scm 100 */
								long BgL_arg1834z00_10441;

								BgL_arg1834z00_10441 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_setqz00_bglt) BgL_o1380z00_8955)));
								BgL_arg1833z00_10440 = (BgL_arg1834z00_10441 - OBJECT_TYPE);
							}
							BgL_arg2604z00_10439 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10440);
						}
						BgL_arg2603z00_10438 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2604z00_10439);
					}
					{	/* Cfa/cinfo.scm 100 */
						obj_t BgL_tmpz00_17566;

						BgL_tmpz00_17566 = ((obj_t) BgL_arg2603z00_10438);
						BgL_arg2602z00_10437 = BGL_CLASS_NUM(BgL_tmpz00_17566);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_setqz00_bglt) BgL_o1380z00_8955)), BgL_arg2602z00_10437);
			}
			{	/* Cfa/cinfo.scm 100 */
				BgL_objectz00_bglt BgL_tmpz00_17572;

				BgL_tmpz00_17572 =
					((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_o1380z00_8955));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17572, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_o1380z00_8955));
			return ((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1380z00_8955));
		}

	}



/* &<@anonymous:2600> */
	obj_t BGl_z62zc3z04anonymousza32600ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8956,
		obj_t BgL_new1379z00_8957)
	{
		{	/* Cfa/cinfo.scm 100 */
			{
				BgL_setqz00_bglt BgL_auxz00_17580;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setqz00_bglt) BgL_new1379z00_8957))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17584;

					{	/* Cfa/cinfo.scm 100 */
						obj_t BgL_classz00_10443;

						BgL_classz00_10443 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 100 */
							obj_t BgL__ortest_1112z00_10444;

							BgL__ortest_1112z00_10444 = BGL_CLASS_NIL(BgL_classz00_10443);
							if (CBOOL(BgL__ortest_1112z00_10444))
								{	/* Cfa/cinfo.scm 100 */
									BgL_auxz00_17584 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10444);
								}
							else
								{	/* Cfa/cinfo.scm 100 */
									BgL_auxz00_17584 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10443));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setqz00_bglt) BgL_new1379z00_8957))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17584), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_17594;

					{	/* Cfa/cinfo.scm 100 */
						obj_t BgL_classz00_10445;

						BgL_classz00_10445 = BGl_varz00zzast_nodez00;
						{	/* Cfa/cinfo.scm 100 */
							obj_t BgL__ortest_1112z00_10446;

							BgL__ortest_1112z00_10446 = BGL_CLASS_NIL(BgL_classz00_10445);
							if (CBOOL(BgL__ortest_1112z00_10446))
								{	/* Cfa/cinfo.scm 100 */
									BgL_auxz00_17594 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_10446);
								}
							else
								{	/* Cfa/cinfo.scm 100 */
									BgL_auxz00_17594 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10445));
								}
						}
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt)
										((BgL_setqz00_bglt) BgL_new1379z00_8957))))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_17594), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17604;

					{	/* Cfa/cinfo.scm 100 */
						obj_t BgL_classz00_10447;

						BgL_classz00_10447 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 100 */
							obj_t BgL__ortest_1112z00_10448;

							BgL__ortest_1112z00_10448 = BGL_CLASS_NIL(BgL_classz00_10447);
							if (CBOOL(BgL__ortest_1112z00_10448))
								{	/* Cfa/cinfo.scm 100 */
									BgL_auxz00_17604 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10448);
								}
							else
								{	/* Cfa/cinfo.scm 100 */
									BgL_auxz00_17604 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10447));
								}
						}
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt)
										((BgL_setqz00_bglt) BgL_new1379z00_8957))))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_17604), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_17621;
					BgL_setqzf2cinfozf2_bglt BgL_auxz00_17614;

					{	/* Cfa/cinfo.scm 100 */
						obj_t BgL_classz00_10449;

						BgL_classz00_10449 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 100 */
							obj_t BgL__ortest_1112z00_10450;

							BgL__ortest_1112z00_10450 = BGL_CLASS_NIL(BgL_classz00_10449);
							if (CBOOL(BgL__ortest_1112z00_10450))
								{	/* Cfa/cinfo.scm 100 */
									BgL_auxz00_17621 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10450);
								}
							else
								{	/* Cfa/cinfo.scm 100 */
									BgL_auxz00_17621 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10449));
								}
						}
					}
					{
						obj_t BgL_auxz00_17615;

						{	/* Cfa/cinfo.scm 100 */
							BgL_objectz00_bglt BgL_tmpz00_17616;

							BgL_tmpz00_17616 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_new1379z00_8957));
							BgL_auxz00_17615 = BGL_OBJECT_WIDENING(BgL_tmpz00_17616);
						}
						BgL_auxz00_17614 = ((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_17615);
					}
					((((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17614))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_17621), BUNSPEC);
				}
				BgL_auxz00_17580 = ((BgL_setqz00_bglt) BgL_new1379z00_8957);
				return ((obj_t) BgL_auxz00_17580);
			}
		}

	}



/* &lambda2598 */
	BgL_setqz00_bglt BGl_z62lambda2598z62zzcfa_infoz00(obj_t BgL_envz00_8958,
		obj_t BgL_o1376z00_8959)
	{
		{	/* Cfa/cinfo.scm 100 */
			{	/* Cfa/cinfo.scm 100 */
				BgL_setqzf2cinfozf2_bglt BgL_wide1378z00_10452;

				BgL_wide1378z00_10452 =
					((BgL_setqzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setqzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 100 */
					obj_t BgL_auxz00_17636;
					BgL_objectz00_bglt BgL_tmpz00_17632;

					BgL_auxz00_17636 = ((obj_t) BgL_wide1378z00_10452);
					BgL_tmpz00_17632 =
						((BgL_objectz00_bglt)
						((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1376z00_8959)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17632, BgL_auxz00_17636);
				}
				((BgL_objectz00_bglt)
					((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1376z00_8959)));
				{	/* Cfa/cinfo.scm 100 */
					long BgL_arg2599z00_10453;

					BgL_arg2599z00_10453 =
						BGL_CLASS_NUM(BGl_setqzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setqz00_bglt)
								((BgL_setqz00_bglt) BgL_o1376z00_8959))), BgL_arg2599z00_10453);
				}
				return
					((BgL_setqz00_bglt)
					((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1376z00_8959)));
			}
		}

	}



/* &lambda2594 */
	BgL_setqz00_bglt BGl_z62lambda2594z62zzcfa_infoz00(obj_t BgL_envz00_8960,
		obj_t BgL_loc1371z00_8961, obj_t BgL_type1372z00_8962,
		obj_t BgL_var1373z00_8963, obj_t BgL_value1374z00_8964,
		obj_t BgL_approx1375z00_8965)
	{
		{	/* Cfa/cinfo.scm 100 */
			{	/* Cfa/cinfo.scm 100 */
				BgL_setqz00_bglt BgL_new1753z00_10458;

				{	/* Cfa/cinfo.scm 100 */
					BgL_setqz00_bglt BgL_tmp1751z00_10459;
					BgL_setqzf2cinfozf2_bglt BgL_wide1752z00_10460;

					{
						BgL_setqz00_bglt BgL_auxz00_17650;

						{	/* Cfa/cinfo.scm 100 */
							BgL_setqz00_bglt BgL_new1750z00_10461;

							BgL_new1750z00_10461 =
								((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setqz00_bgl))));
							{	/* Cfa/cinfo.scm 100 */
								long BgL_arg2597z00_10462;

								BgL_arg2597z00_10462 = BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1750z00_10461),
									BgL_arg2597z00_10462);
							}
							{	/* Cfa/cinfo.scm 100 */
								BgL_objectz00_bglt BgL_tmpz00_17655;

								BgL_tmpz00_17655 = ((BgL_objectz00_bglt) BgL_new1750z00_10461);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17655, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1750z00_10461);
							BgL_auxz00_17650 = BgL_new1750z00_10461;
						}
						BgL_tmp1751z00_10459 = ((BgL_setqz00_bglt) BgL_auxz00_17650);
					}
					BgL_wide1752z00_10460 =
						((BgL_setqzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setqzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 100 */
						obj_t BgL_auxz00_17663;
						BgL_objectz00_bglt BgL_tmpz00_17661;

						BgL_auxz00_17663 = ((obj_t) BgL_wide1752z00_10460);
						BgL_tmpz00_17661 = ((BgL_objectz00_bglt) BgL_tmp1751z00_10459);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17661, BgL_auxz00_17663);
					}
					((BgL_objectz00_bglt) BgL_tmp1751z00_10459);
					{	/* Cfa/cinfo.scm 100 */
						long BgL_arg2595z00_10463;

						BgL_arg2595z00_10463 =
							BGL_CLASS_NUM(BGl_setqzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1751z00_10459),
							BgL_arg2595z00_10463);
					}
					BgL_new1753z00_10458 = ((BgL_setqz00_bglt) BgL_tmp1751z00_10459);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1753z00_10458)))->BgL_locz00) =
					((obj_t) BgL_loc1371z00_8961), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1753z00_10458)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1372z00_8962)),
					BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(((BgL_setqz00_bglt)
									BgL_new1753z00_10458)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1373z00_8963)), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(((BgL_setqz00_bglt)
									BgL_new1753z00_10458)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1374z00_8964)),
					BUNSPEC);
				{
					BgL_setqzf2cinfozf2_bglt BgL_auxz00_17682;

					{
						obj_t BgL_auxz00_17683;

						{	/* Cfa/cinfo.scm 100 */
							BgL_objectz00_bglt BgL_tmpz00_17684;

							BgL_tmpz00_17684 = ((BgL_objectz00_bglt) BgL_new1753z00_10458);
							BgL_auxz00_17683 = BGL_OBJECT_WIDENING(BgL_tmpz00_17684);
						}
						BgL_auxz00_17682 = ((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_17683);
					}
					((((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17682))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1375z00_8965)), BUNSPEC);
				}
				return BgL_new1753z00_10458;
			}
		}

	}



/* &lambda2610 */
	obj_t BGl_z62lambda2610z62zzcfa_infoz00(obj_t BgL_envz00_8966,
		obj_t BgL_oz00_8967, obj_t BgL_vz00_8968)
	{
		{	/* Cfa/cinfo.scm 100 */
			{
				BgL_setqzf2cinfozf2_bglt BgL_auxz00_17690;

				{
					obj_t BgL_auxz00_17691;

					{	/* Cfa/cinfo.scm 100 */
						BgL_objectz00_bglt BgL_tmpz00_17692;

						BgL_tmpz00_17692 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_8967));
						BgL_auxz00_17691 = BGL_OBJECT_WIDENING(BgL_tmpz00_17692);
					}
					BgL_auxz00_17690 = ((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_17691);
				}
				return
					((((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17690))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8968)), BUNSPEC);
			}
		}

	}



/* &lambda2609 */
	BgL_approxz00_bglt BGl_z62lambda2609z62zzcfa_infoz00(obj_t BgL_envz00_8969,
		obj_t BgL_oz00_8970)
	{
		{	/* Cfa/cinfo.scm 100 */
			{
				BgL_setqzf2cinfozf2_bglt BgL_auxz00_17699;

				{
					obj_t BgL_auxz00_17700;

					{	/* Cfa/cinfo.scm 100 */
						BgL_objectz00_bglt BgL_tmpz00_17701;

						BgL_tmpz00_17701 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_8970));
						BgL_auxz00_17700 = BGL_OBJECT_WIDENING(BgL_tmpz00_17701);
					}
					BgL_auxz00_17699 = ((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_17700);
				}
				return
					(((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17699))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2543 */
	BgL_funcallz00_bglt BGl_z62lambda2543z62zzcfa_infoz00(obj_t BgL_envz00_8971,
		obj_t BgL_o1369z00_8972)
	{
		{	/* Cfa/cinfo.scm 95 */
			{	/* Cfa/cinfo.scm 95 */
				long BgL_arg2546z00_10468;

				{	/* Cfa/cinfo.scm 95 */
					obj_t BgL_arg2547z00_10469;

					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_arg2548z00_10470;

						{	/* Cfa/cinfo.scm 95 */
							long BgL_arg1833z00_10471;

							{	/* Cfa/cinfo.scm 95 */
								long BgL_arg1834z00_10472;

								BgL_arg1834z00_10472 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_o1369z00_8972)));
								BgL_arg1833z00_10471 = (BgL_arg1834z00_10472 - OBJECT_TYPE);
							}
							BgL_arg2548z00_10470 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10471);
						}
						BgL_arg2547z00_10469 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2548z00_10470);
					}
					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_tmpz00_17713;

						BgL_tmpz00_17713 = ((obj_t) BgL_arg2547z00_10469);
						BgL_arg2546z00_10468 = BGL_CLASS_NUM(BgL_tmpz00_17713);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_funcallz00_bglt) BgL_o1369z00_8972)), BgL_arg2546z00_10468);
			}
			{	/* Cfa/cinfo.scm 95 */
				BgL_objectz00_bglt BgL_tmpz00_17719;

				BgL_tmpz00_17719 =
					((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_o1369z00_8972));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17719, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_o1369z00_8972));
			return ((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1369z00_8972));
		}

	}



/* &<@anonymous:2542> */
	obj_t BGl_z62zc3z04anonymousza32542ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8973,
		obj_t BgL_new1368z00_8974)
	{
		{	/* Cfa/cinfo.scm 95 */
			{
				BgL_funcallz00_bglt BgL_auxz00_17727;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_funcallz00_bglt) BgL_new1368z00_8974))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17731;

					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_classz00_10474;

						BgL_classz00_10474 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 95 */
							obj_t BgL__ortest_1112z00_10475;

							BgL__ortest_1112z00_10475 = BGL_CLASS_NIL(BgL_classz00_10474);
							if (CBOOL(BgL__ortest_1112z00_10475))
								{	/* Cfa/cinfo.scm 95 */
									BgL_auxz00_17731 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10475);
								}
							else
								{	/* Cfa/cinfo.scm 95 */
									BgL_auxz00_17731 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10474));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_funcallz00_bglt) BgL_new1368z00_8974))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17731), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17741;

					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_classz00_10476;

						BgL_classz00_10476 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 95 */
							obj_t BgL__ortest_1112z00_10477;

							BgL__ortest_1112z00_10477 = BGL_CLASS_NIL(BgL_classz00_10476);
							if (CBOOL(BgL__ortest_1112z00_10477))
								{	/* Cfa/cinfo.scm 95 */
									BgL_auxz00_17741 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10477);
								}
							else
								{	/* Cfa/cinfo.scm 95 */
									BgL_auxz00_17741 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10476));
								}
						}
					}
					((((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_new1368z00_8974))))->
							BgL_funz00) = ((BgL_nodez00_bglt) BgL_auxz00_17741), BUNSPEC);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_new1368z00_8974))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funcallz00_bglt)
							COBJECT(((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt)
										BgL_new1368z00_8974))))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 51))), BUNSPEC);
				((((BgL_funcallz00_bglt)
							COBJECT(((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt)
										BgL_new1368z00_8974))))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_17768;
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_17761;

					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_classz00_10478;

						BgL_classz00_10478 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 95 */
							obj_t BgL__ortest_1112z00_10479;

							BgL__ortest_1112z00_10479 = BGL_CLASS_NIL(BgL_classz00_10478);
							if (CBOOL(BgL__ortest_1112z00_10479))
								{	/* Cfa/cinfo.scm 95 */
									BgL_auxz00_17768 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10479);
								}
							else
								{	/* Cfa/cinfo.scm 95 */
									BgL_auxz00_17768 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10478));
								}
						}
					}
					{
						obj_t BgL_auxz00_17762;

						{	/* Cfa/cinfo.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_17763;

							BgL_tmpz00_17763 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1368z00_8974));
							BgL_auxz00_17762 = BGL_OBJECT_WIDENING(BgL_tmpz00_17763);
						}
						BgL_auxz00_17761 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_17762);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17761))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_17768), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_17783;
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_17776;

					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_classz00_10480;

						BgL_classz00_10480 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 95 */
							obj_t BgL__ortest_1112z00_10481;

							BgL__ortest_1112z00_10481 = BGL_CLASS_NIL(BgL_classz00_10480);
							if (CBOOL(BgL__ortest_1112z00_10481))
								{	/* Cfa/cinfo.scm 95 */
									BgL_auxz00_17783 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10481);
								}
							else
								{	/* Cfa/cinfo.scm 95 */
									BgL_auxz00_17783 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10480));
								}
						}
					}
					{
						obj_t BgL_auxz00_17777;

						{	/* Cfa/cinfo.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_17778;

							BgL_tmpz00_17778 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1368z00_8974));
							BgL_auxz00_17777 = BGL_OBJECT_WIDENING(BgL_tmpz00_17778);
						}
						BgL_auxz00_17776 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_17777);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17776))->
							BgL_vazd2approxzd2) =
						((BgL_approxz00_bglt) BgL_auxz00_17783), BUNSPEC);
				}
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_17791;

					{
						obj_t BgL_auxz00_17792;

						{	/* Cfa/cinfo.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_17793;

							BgL_tmpz00_17793 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1368z00_8974));
							BgL_auxz00_17792 = BGL_OBJECT_WIDENING(BgL_tmpz00_17793);
						}
						BgL_auxz00_17791 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_17792);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17791))->
							BgL_arityzd2errorzd2noticedzf3zf3) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_17799;

					{
						obj_t BgL_auxz00_17800;

						{	/* Cfa/cinfo.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_17801;

							BgL_tmpz00_17801 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1368z00_8974));
							BgL_auxz00_17800 = BGL_OBJECT_WIDENING(BgL_tmpz00_17801);
						}
						BgL_auxz00_17799 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_17800);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17799))->
							BgL_typezd2errorzd2noticedzf3zf3) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_auxz00_17727 = ((BgL_funcallz00_bglt) BgL_new1368z00_8974);
				return ((obj_t) BgL_auxz00_17727);
			}
		}

	}



/* &lambda2538 */
	BgL_funcallz00_bglt BGl_z62lambda2538z62zzcfa_infoz00(obj_t BgL_envz00_8975,
		obj_t BgL_o1365z00_8976)
	{
		{	/* Cfa/cinfo.scm 95 */
			{	/* Cfa/cinfo.scm 95 */
				BgL_funcallzf2cinfozf2_bglt BgL_wide1367z00_10483;

				BgL_wide1367z00_10483 =
					((BgL_funcallzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_funcallzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 95 */
					obj_t BgL_auxz00_17814;
					BgL_objectz00_bglt BgL_tmpz00_17810;

					BgL_auxz00_17814 = ((obj_t) BgL_wide1367z00_10483);
					BgL_tmpz00_17810 =
						((BgL_objectz00_bglt)
						((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1365z00_8976)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17810, BgL_auxz00_17814);
				}
				((BgL_objectz00_bglt)
					((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1365z00_8976)));
				{	/* Cfa/cinfo.scm 95 */
					long BgL_arg2541z00_10484;

					BgL_arg2541z00_10484 =
						BGL_CLASS_NUM(BGl_funcallzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_funcallz00_bglt)
								((BgL_funcallz00_bglt) BgL_o1365z00_8976))),
						BgL_arg2541z00_10484);
				}
				return
					((BgL_funcallz00_bglt)
					((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1365z00_8976)));
			}
		}

	}



/* &lambda2532 */
	BgL_funcallz00_bglt BGl_z62lambda2532z62zzcfa_infoz00(obj_t BgL_envz00_8977,
		obj_t BgL_loc1355z00_8978, obj_t BgL_type1356z00_8979,
		obj_t BgL_fun1357z00_8980, obj_t BgL_args1358z00_8981,
		obj_t BgL_strength1359z00_8982, obj_t BgL_functions1360z00_8983,
		obj_t BgL_approx1361z00_8984, obj_t BgL_vazd2approx1362zd2_8985,
		obj_t BgL_arityzd2errorzd2noticedzf31363zf3_8986,
		obj_t BgL_typezd2errorzd2noticedzf31364zf3_8987)
	{
		{	/* Cfa/cinfo.scm 95 */
			{	/* Cfa/cinfo.scm 95 */
				bool_t BgL_arityzd2errorzd2noticedzf31363zf3_10490;
				bool_t BgL_typezd2errorzd2noticedzf31364zf3_10491;

				BgL_arityzd2errorzd2noticedzf31363zf3_10490 =
					CBOOL(BgL_arityzd2errorzd2noticedzf31363zf3_8986);
				BgL_typezd2errorzd2noticedzf31364zf3_10491 =
					CBOOL(BgL_typezd2errorzd2noticedzf31364zf3_8987);
				{	/* Cfa/cinfo.scm 95 */
					BgL_funcallz00_bglt BgL_new1748z00_10492;

					{	/* Cfa/cinfo.scm 95 */
						BgL_funcallz00_bglt BgL_tmp1746z00_10493;
						BgL_funcallzf2cinfozf2_bglt BgL_wide1747z00_10494;

						{
							BgL_funcallz00_bglt BgL_auxz00_17830;

							{	/* Cfa/cinfo.scm 95 */
								BgL_funcallz00_bglt BgL_new1745z00_10495;

								BgL_new1745z00_10495 =
									((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_funcallz00_bgl))));
								{	/* Cfa/cinfo.scm 95 */
									long BgL_arg2537z00_10496;

									BgL_arg2537z00_10496 =
										BGL_CLASS_NUM(BGl_funcallz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1745z00_10495),
										BgL_arg2537z00_10496);
								}
								{	/* Cfa/cinfo.scm 95 */
									BgL_objectz00_bglt BgL_tmpz00_17835;

									BgL_tmpz00_17835 =
										((BgL_objectz00_bglt) BgL_new1745z00_10495);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17835, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1745z00_10495);
								BgL_auxz00_17830 = BgL_new1745z00_10495;
							}
							BgL_tmp1746z00_10493 = ((BgL_funcallz00_bglt) BgL_auxz00_17830);
						}
						BgL_wide1747z00_10494 =
							((BgL_funcallzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_funcallzf2cinfozf2_bgl))));
						{	/* Cfa/cinfo.scm 95 */
							obj_t BgL_auxz00_17843;
							BgL_objectz00_bglt BgL_tmpz00_17841;

							BgL_auxz00_17843 = ((obj_t) BgL_wide1747z00_10494);
							BgL_tmpz00_17841 = ((BgL_objectz00_bglt) BgL_tmp1746z00_10493);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17841, BgL_auxz00_17843);
						}
						((BgL_objectz00_bglt) BgL_tmp1746z00_10493);
						{	/* Cfa/cinfo.scm 95 */
							long BgL_arg2535z00_10497;

							BgL_arg2535z00_10497 =
								BGL_CLASS_NUM(BGl_funcallzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1746z00_10493),
								BgL_arg2535z00_10497);
						}
						BgL_new1748z00_10492 = ((BgL_funcallz00_bglt) BgL_tmp1746z00_10493);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1748z00_10492)))->BgL_locz00) =
						((obj_t) BgL_loc1355z00_8978), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1748z00_10492)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1356z00_8979)),
						BUNSPEC);
					((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
										BgL_new1748z00_10492)))->BgL_funz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1357z00_8980)),
						BUNSPEC);
					((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
										BgL_new1748z00_10492)))->BgL_argsz00) =
						((obj_t) BgL_args1358z00_8981), BUNSPEC);
					((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
										BgL_new1748z00_10492)))->BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1359z00_8982)), BUNSPEC);
					((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
										BgL_new1748z00_10492)))->BgL_functionsz00) =
						((obj_t) BgL_functions1360z00_8983), BUNSPEC);
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_17866;

						{
							obj_t BgL_auxz00_17867;

							{	/* Cfa/cinfo.scm 95 */
								BgL_objectz00_bglt BgL_tmpz00_17868;

								BgL_tmpz00_17868 = ((BgL_objectz00_bglt) BgL_new1748z00_10492);
								BgL_auxz00_17867 = BGL_OBJECT_WIDENING(BgL_tmpz00_17868);
							}
							BgL_auxz00_17866 =
								((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_17867);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17866))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_approx1361z00_8984)), BUNSPEC);
					}
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_17874;

						{
							obj_t BgL_auxz00_17875;

							{	/* Cfa/cinfo.scm 95 */
								BgL_objectz00_bglt BgL_tmpz00_17876;

								BgL_tmpz00_17876 = ((BgL_objectz00_bglt) BgL_new1748z00_10492);
								BgL_auxz00_17875 = BGL_OBJECT_WIDENING(BgL_tmpz00_17876);
							}
							BgL_auxz00_17874 =
								((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_17875);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17874))->
								BgL_vazd2approxzd2) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_vazd2approx1362zd2_8985)), BUNSPEC);
					}
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_17882;

						{
							obj_t BgL_auxz00_17883;

							{	/* Cfa/cinfo.scm 95 */
								BgL_objectz00_bglt BgL_tmpz00_17884;

								BgL_tmpz00_17884 = ((BgL_objectz00_bglt) BgL_new1748z00_10492);
								BgL_auxz00_17883 = BGL_OBJECT_WIDENING(BgL_tmpz00_17884);
							}
							BgL_auxz00_17882 =
								((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_17883);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17882))->
								BgL_arityzd2errorzd2noticedzf3zf3) =
							((bool_t) BgL_arityzd2errorzd2noticedzf31363zf3_10490), BUNSPEC);
					}
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_17889;

						{
							obj_t BgL_auxz00_17890;

							{	/* Cfa/cinfo.scm 95 */
								BgL_objectz00_bglt BgL_tmpz00_17891;

								BgL_tmpz00_17891 = ((BgL_objectz00_bglt) BgL_new1748z00_10492);
								BgL_auxz00_17890 = BGL_OBJECT_WIDENING(BgL_tmpz00_17891);
							}
							BgL_auxz00_17889 =
								((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_17890);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17889))->
								BgL_typezd2errorzd2noticedzf3zf3) =
							((bool_t) BgL_typezd2errorzd2noticedzf31364zf3_10491), BUNSPEC);
					}
					return BgL_new1748z00_10492;
				}
			}
		}

	}



/* &<@anonymous:2584> */
	obj_t BGl_z62zc3z04anonymousza32584ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8988)
	{
		{	/* Cfa/cinfo.scm 95 */
			{	/* Cfa/cinfo.scm 99 */
				bool_t BgL_tmpz00_17896;

				{	/* Cfa/cinfo.scm 99 */
					int BgL_arg2585z00_10498;

					BgL_arg2585z00_10498 = BGl_bigloozd2warningzd2zz__paramz00();
					BgL_tmpz00_17896 = ((long) (BgL_arg2585z00_10498) == ((long) 0));
				}
				return BBOOL(BgL_tmpz00_17896);
			}
		}

	}



/* &lambda2583 */
	obj_t BGl_z62lambda2583z62zzcfa_infoz00(obj_t BgL_envz00_8989,
		obj_t BgL_oz00_8990, obj_t BgL_vz00_8991)
	{
		{	/* Cfa/cinfo.scm 95 */
			{	/* Cfa/cinfo.scm 95 */
				bool_t BgL_vz00_10500;

				BgL_vz00_10500 = CBOOL(BgL_vz00_8991);
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_17902;

					{
						obj_t BgL_auxz00_17903;

						{	/* Cfa/cinfo.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_17904;

							BgL_tmpz00_17904 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8990));
							BgL_auxz00_17903 = BGL_OBJECT_WIDENING(BgL_tmpz00_17904);
						}
						BgL_auxz00_17902 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_17903);
					}
					return
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17902))->
							BgL_typezd2errorzd2noticedzf3zf3) =
						((bool_t) BgL_vz00_10500), BUNSPEC);
				}
			}
		}

	}



/* &lambda2582 */
	obj_t BGl_z62lambda2582z62zzcfa_infoz00(obj_t BgL_envz00_8992,
		obj_t BgL_oz00_8993)
	{
		{	/* Cfa/cinfo.scm 95 */
			{	/* Cfa/cinfo.scm 95 */
				bool_t BgL_tmpz00_17910;

				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_17911;

					{
						obj_t BgL_auxz00_17912;

						{	/* Cfa/cinfo.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_17913;

							BgL_tmpz00_17913 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8993));
							BgL_auxz00_17912 = BGL_OBJECT_WIDENING(BgL_tmpz00_17913);
						}
						BgL_auxz00_17911 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_17912);
					}
					BgL_tmpz00_17910 =
						(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17911))->
						BgL_typezd2errorzd2noticedzf3zf3);
				}
				return BBOOL(BgL_tmpz00_17910);
			}
		}

	}



/* &<@anonymous:2574> */
	obj_t BGl_z62zc3z04anonymousza32574ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8994)
	{
		{	/* Cfa/cinfo.scm 95 */
			{	/* Cfa/cinfo.scm 98 */
				bool_t BgL_tmpz00_17920;

				{	/* Cfa/cinfo.scm 98 */
					int BgL_arg2576z00_10502;

					BgL_arg2576z00_10502 = BGl_bigloozd2warningzd2zz__paramz00();
					BgL_tmpz00_17920 = ((long) (BgL_arg2576z00_10502) == ((long) 0));
				}
				return BBOOL(BgL_tmpz00_17920);
			}
		}

	}



/* &lambda2573 */
	obj_t BGl_z62lambda2573z62zzcfa_infoz00(obj_t BgL_envz00_8995,
		obj_t BgL_oz00_8996, obj_t BgL_vz00_8997)
	{
		{	/* Cfa/cinfo.scm 95 */
			{	/* Cfa/cinfo.scm 95 */
				bool_t BgL_vz00_10504;

				BgL_vz00_10504 = CBOOL(BgL_vz00_8997);
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_17926;

					{
						obj_t BgL_auxz00_17927;

						{	/* Cfa/cinfo.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_17928;

							BgL_tmpz00_17928 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8996));
							BgL_auxz00_17927 = BGL_OBJECT_WIDENING(BgL_tmpz00_17928);
						}
						BgL_auxz00_17926 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_17927);
					}
					return
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17926))->
							BgL_arityzd2errorzd2noticedzf3zf3) =
						((bool_t) BgL_vz00_10504), BUNSPEC);
				}
			}
		}

	}



/* &lambda2572 */
	obj_t BGl_z62lambda2572z62zzcfa_infoz00(obj_t BgL_envz00_8998,
		obj_t BgL_oz00_8999)
	{
		{	/* Cfa/cinfo.scm 95 */
			{	/* Cfa/cinfo.scm 95 */
				bool_t BgL_tmpz00_17934;

				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_17935;

					{
						obj_t BgL_auxz00_17936;

						{	/* Cfa/cinfo.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_17937;

							BgL_tmpz00_17937 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8999));
							BgL_auxz00_17936 = BGL_OBJECT_WIDENING(BgL_tmpz00_17937);
						}
						BgL_auxz00_17935 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_17936);
					}
					BgL_tmpz00_17934 =
						(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17935))->
						BgL_arityzd2errorzd2noticedzf3zf3);
				}
				return BBOOL(BgL_tmpz00_17934);
			}
		}

	}



/* &lambda2565 */
	obj_t BGl_z62lambda2565z62zzcfa_infoz00(obj_t BgL_envz00_9000,
		obj_t BgL_oz00_9001, obj_t BgL_vz00_9002)
	{
		{	/* Cfa/cinfo.scm 95 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_17944;

				{
					obj_t BgL_auxz00_17945;

					{	/* Cfa/cinfo.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_17946;

						BgL_tmpz00_17946 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_9001));
						BgL_auxz00_17945 = BGL_OBJECT_WIDENING(BgL_tmpz00_17946);
					}
					BgL_auxz00_17944 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_17945);
				}
				return
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17944))->
						BgL_vazd2approxzd2) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9002)), BUNSPEC);
			}
		}

	}



/* &lambda2564 */
	BgL_approxz00_bglt BGl_z62lambda2564z62zzcfa_infoz00(obj_t BgL_envz00_9003,
		obj_t BgL_oz00_9004)
	{
		{	/* Cfa/cinfo.scm 95 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_17953;

				{
					obj_t BgL_auxz00_17954;

					{	/* Cfa/cinfo.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_17955;

						BgL_tmpz00_17955 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_9004));
						BgL_auxz00_17954 = BGL_OBJECT_WIDENING(BgL_tmpz00_17955);
					}
					BgL_auxz00_17953 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_17954);
				}
				return
					(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17953))->
					BgL_vazd2approxzd2);
			}
		}

	}



/* &lambda2559 */
	obj_t BGl_z62lambda2559z62zzcfa_infoz00(obj_t BgL_envz00_9005,
		obj_t BgL_oz00_9006, obj_t BgL_vz00_9007)
	{
		{	/* Cfa/cinfo.scm 95 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_17961;

				{
					obj_t BgL_auxz00_17962;

					{	/* Cfa/cinfo.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_17963;

						BgL_tmpz00_17963 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_9006));
						BgL_auxz00_17962 = BGL_OBJECT_WIDENING(BgL_tmpz00_17963);
					}
					BgL_auxz00_17961 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_17962);
				}
				return
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17961))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9007)), BUNSPEC);
			}
		}

	}



/* &lambda2558 */
	BgL_approxz00_bglt BGl_z62lambda2558z62zzcfa_infoz00(obj_t BgL_envz00_9008,
		obj_t BgL_oz00_9009)
	{
		{	/* Cfa/cinfo.scm 95 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_17970;

				{
					obj_t BgL_auxz00_17971;

					{	/* Cfa/cinfo.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_17972;

						BgL_tmpz00_17972 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_9009));
						BgL_auxz00_17971 = BGL_OBJECT_WIDENING(BgL_tmpz00_17972);
					}
					BgL_auxz00_17970 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_17971);
				}
				return
					(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17970))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2506 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2506z62zzcfa_infoz00(obj_t BgL_envz00_9010,
		obj_t BgL_o1353z00_9011)
	{
		{	/* Cfa/cinfo.scm 93 */
			{	/* Cfa/cinfo.scm 93 */
				long BgL_arg2507z00_10513;

				{	/* Cfa/cinfo.scm 93 */
					obj_t BgL_arg2509z00_10514;

					{	/* Cfa/cinfo.scm 93 */
						obj_t BgL_arg2513z00_10515;

						{	/* Cfa/cinfo.scm 93 */
							long BgL_arg1833z00_10516;

							{	/* Cfa/cinfo.scm 93 */
								long BgL_arg1834z00_10517;

								BgL_arg1834z00_10517 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_o1353z00_9011)));
								BgL_arg1833z00_10516 = (BgL_arg1834z00_10517 - OBJECT_TYPE);
							}
							BgL_arg2513z00_10515 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10516);
						}
						BgL_arg2509z00_10514 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2513z00_10515);
					}
					{	/* Cfa/cinfo.scm 93 */
						obj_t BgL_tmpz00_17984;

						BgL_tmpz00_17984 = ((obj_t) BgL_arg2509z00_10514);
						BgL_arg2507z00_10513 = BGL_CLASS_NUM(BgL_tmpz00_17984);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_appzd2lyzd2_bglt) BgL_o1353z00_9011)), BgL_arg2507z00_10513);
			}
			{	/* Cfa/cinfo.scm 93 */
				BgL_objectz00_bglt BgL_tmpz00_17990;

				BgL_tmpz00_17990 =
					((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1353z00_9011));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17990, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1353z00_9011));
			return
				((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1353z00_9011));
		}

	}



/* &<@anonymous:2505> */
	obj_t BGl_z62zc3z04anonymousza32505ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9012,
		obj_t BgL_new1352z00_9013)
	{
		{	/* Cfa/cinfo.scm 93 */
			{
				BgL_appzd2lyzd2_bglt BgL_auxz00_17998;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_new1352z00_9013))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18002;

					{	/* Cfa/cinfo.scm 93 */
						obj_t BgL_classz00_10519;

						BgL_classz00_10519 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 93 */
							obj_t BgL__ortest_1112z00_10520;

							BgL__ortest_1112z00_10520 = BGL_CLASS_NIL(BgL_classz00_10519);
							if (CBOOL(BgL__ortest_1112z00_10520))
								{	/* Cfa/cinfo.scm 93 */
									BgL_auxz00_18002 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10520);
								}
							else
								{	/* Cfa/cinfo.scm 93 */
									BgL_auxz00_18002 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10519));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1352z00_9013))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_18002), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_18012;

					{	/* Cfa/cinfo.scm 93 */
						obj_t BgL_classz00_10521;

						BgL_classz00_10521 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 93 */
							obj_t BgL__ortest_1112z00_10522;

							BgL__ortest_1112z00_10522 = BGL_CLASS_NIL(BgL_classz00_10521);
							if (CBOOL(BgL__ortest_1112z00_10522))
								{	/* Cfa/cinfo.scm 93 */
									BgL_auxz00_18012 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10522);
								}
							else
								{	/* Cfa/cinfo.scm 93 */
									BgL_auxz00_18012 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10521));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1352z00_9013))))->
							BgL_funz00) = ((BgL_nodez00_bglt) BgL_auxz00_18012), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_18022;

					{	/* Cfa/cinfo.scm 93 */
						obj_t BgL_classz00_10523;

						BgL_classz00_10523 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 93 */
							obj_t BgL__ortest_1112z00_10524;

							BgL__ortest_1112z00_10524 = BGL_CLASS_NIL(BgL_classz00_10523);
							if (CBOOL(BgL__ortest_1112z00_10524))
								{	/* Cfa/cinfo.scm 93 */
									BgL_auxz00_18022 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10524);
								}
							else
								{	/* Cfa/cinfo.scm 93 */
									BgL_auxz00_18022 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10523));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1352z00_9013))))->
							BgL_argz00) = ((BgL_nodez00_bglt) BgL_auxz00_18022), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_18039;
					BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_18032;

					{	/* Cfa/cinfo.scm 93 */
						obj_t BgL_classz00_10525;

						BgL_classz00_10525 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 93 */
							obj_t BgL__ortest_1112z00_10526;

							BgL__ortest_1112z00_10526 = BGL_CLASS_NIL(BgL_classz00_10525);
							if (CBOOL(BgL__ortest_1112z00_10526))
								{	/* Cfa/cinfo.scm 93 */
									BgL_auxz00_18039 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10526);
								}
							else
								{	/* Cfa/cinfo.scm 93 */
									BgL_auxz00_18039 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10525));
								}
						}
					}
					{
						obj_t BgL_auxz00_18033;

						{	/* Cfa/cinfo.scm 93 */
							BgL_objectz00_bglt BgL_tmpz00_18034;

							BgL_tmpz00_18034 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_new1352z00_9013));
							BgL_auxz00_18033 = BGL_OBJECT_WIDENING(BgL_tmpz00_18034);
						}
						BgL_auxz00_18032 =
							((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_18033);
					}
					((((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_18032))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_18039), BUNSPEC);
				}
				BgL_auxz00_17998 = ((BgL_appzd2lyzd2_bglt) BgL_new1352z00_9013);
				return ((obj_t) BgL_auxz00_17998);
			}
		}

	}



/* &lambda2503 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2503z62zzcfa_infoz00(obj_t BgL_envz00_9014,
		obj_t BgL_o1349z00_9015)
	{
		{	/* Cfa/cinfo.scm 93 */
			{	/* Cfa/cinfo.scm 93 */
				BgL_appzd2lyzf2cinfoz20_bglt BgL_wide1351z00_10528;

				BgL_wide1351z00_10528 =
					((BgL_appzd2lyzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_appzd2lyzf2cinfoz20_bgl))));
				{	/* Cfa/cinfo.scm 93 */
					obj_t BgL_auxz00_18054;
					BgL_objectz00_bglt BgL_tmpz00_18050;

					BgL_auxz00_18054 = ((obj_t) BgL_wide1351z00_10528);
					BgL_tmpz00_18050 =
						((BgL_objectz00_bglt)
						((BgL_appzd2lyzd2_bglt)
							((BgL_appzd2lyzd2_bglt) BgL_o1349z00_9015)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18050, BgL_auxz00_18054);
				}
				((BgL_objectz00_bglt)
					((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1349z00_9015)));
				{	/* Cfa/cinfo.scm 93 */
					long BgL_arg2504z00_10529;

					BgL_arg2504z00_10529 =
						BGL_CLASS_NUM(BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_o1349z00_9015))),
						BgL_arg2504z00_10529);
				}
				return
					((BgL_appzd2lyzd2_bglt)
					((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1349z00_9015)));
			}
		}

	}



/* &lambda2500 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2500z62zzcfa_infoz00(obj_t BgL_envz00_9016,
		obj_t BgL_loc1343z00_9017, obj_t BgL_type1344z00_9018,
		obj_t BgL_fun1345z00_9019, obj_t BgL_arg1347z00_9020,
		obj_t BgL_approx1348z00_9021)
	{
		{	/* Cfa/cinfo.scm 93 */
			{	/* Cfa/cinfo.scm 93 */
				BgL_appzd2lyzd2_bglt BgL_new1743z00_10534;

				{	/* Cfa/cinfo.scm 93 */
					BgL_appzd2lyzd2_bglt BgL_tmp1741z00_10535;
					BgL_appzd2lyzf2cinfoz20_bglt BgL_wide1742z00_10536;

					{
						BgL_appzd2lyzd2_bglt BgL_auxz00_18068;

						{	/* Cfa/cinfo.scm 93 */
							BgL_appzd2lyzd2_bglt BgL_new1740z00_10537;

							BgL_new1740z00_10537 =
								((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appzd2lyzd2_bgl))));
							{	/* Cfa/cinfo.scm 93 */
								long BgL_arg2502z00_10538;

								BgL_arg2502z00_10538 =
									BGL_CLASS_NUM(BGl_appzd2lyzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1740z00_10537),
									BgL_arg2502z00_10538);
							}
							{	/* Cfa/cinfo.scm 93 */
								BgL_objectz00_bglt BgL_tmpz00_18073;

								BgL_tmpz00_18073 = ((BgL_objectz00_bglt) BgL_new1740z00_10537);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18073, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1740z00_10537);
							BgL_auxz00_18068 = BgL_new1740z00_10537;
						}
						BgL_tmp1741z00_10535 = ((BgL_appzd2lyzd2_bglt) BgL_auxz00_18068);
					}
					BgL_wide1742z00_10536 =
						((BgL_appzd2lyzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.scm 93 */
						obj_t BgL_auxz00_18081;
						BgL_objectz00_bglt BgL_tmpz00_18079;

						BgL_auxz00_18081 = ((obj_t) BgL_wide1742z00_10536);
						BgL_tmpz00_18079 = ((BgL_objectz00_bglt) BgL_tmp1741z00_10535);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18079, BgL_auxz00_18081);
					}
					((BgL_objectz00_bglt) BgL_tmp1741z00_10535);
					{	/* Cfa/cinfo.scm 93 */
						long BgL_arg2501z00_10539;

						BgL_arg2501z00_10539 =
							BGL_CLASS_NUM(BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1741z00_10535),
							BgL_arg2501z00_10539);
					}
					BgL_new1743z00_10534 = ((BgL_appzd2lyzd2_bglt) BgL_tmp1741z00_10535);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1743z00_10534)))->BgL_locz00) =
					((obj_t) BgL_loc1343z00_9017), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1743z00_10534)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1344z00_9018)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
									BgL_new1743z00_10534)))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1345z00_9019)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
									BgL_new1743z00_10534)))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1347z00_9020)),
					BUNSPEC);
				{
					BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_18100;

					{
						obj_t BgL_auxz00_18101;

						{	/* Cfa/cinfo.scm 93 */
							BgL_objectz00_bglt BgL_tmpz00_18102;

							BgL_tmpz00_18102 = ((BgL_objectz00_bglt) BgL_new1743z00_10534);
							BgL_auxz00_18101 = BGL_OBJECT_WIDENING(BgL_tmpz00_18102);
						}
						BgL_auxz00_18100 =
							((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_18101);
					}
					((((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_18100))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1348z00_9021)), BUNSPEC);
				}
				return BgL_new1743z00_10534;
			}
		}

	}



/* &lambda2522 */
	obj_t BGl_z62lambda2522z62zzcfa_infoz00(obj_t BgL_envz00_9022,
		obj_t BgL_oz00_9023, obj_t BgL_vz00_9024)
	{
		{	/* Cfa/cinfo.scm 93 */
			{
				BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_18108;

				{
					obj_t BgL_auxz00_18109;

					{	/* Cfa/cinfo.scm 93 */
						BgL_objectz00_bglt BgL_tmpz00_18110;

						BgL_tmpz00_18110 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_9023));
						BgL_auxz00_18109 = BGL_OBJECT_WIDENING(BgL_tmpz00_18110);
					}
					BgL_auxz00_18108 = ((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_18109);
				}
				return
					((((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_18108))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9024)), BUNSPEC);
			}
		}

	}



/* &lambda2521 */
	BgL_approxz00_bglt BGl_z62lambda2521z62zzcfa_infoz00(obj_t BgL_envz00_9025,
		obj_t BgL_oz00_9026)
	{
		{	/* Cfa/cinfo.scm 93 */
			{
				BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_18117;

				{
					obj_t BgL_auxz00_18118;

					{	/* Cfa/cinfo.scm 93 */
						BgL_objectz00_bglt BgL_tmpz00_18119;

						BgL_tmpz00_18119 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_9026));
						BgL_auxz00_18118 = BGL_OBJECT_WIDENING(BgL_tmpz00_18119);
					}
					BgL_auxz00_18117 = ((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_18118);
				}
				return
					(((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_18117))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2477 */
	BgL_kwotez00_bglt BGl_z62lambda2477z62zzcfa_infoz00(obj_t BgL_envz00_9027,
		obj_t BgL_o1341z00_9028)
	{
		{	/* Cfa/cinfo.scm 91 */
			{	/* Cfa/cinfo.scm 91 */
				long BgL_arg2478z00_10544;

				{	/* Cfa/cinfo.scm 91 */
					obj_t BgL_arg2479z00_10545;

					{	/* Cfa/cinfo.scm 91 */
						obj_t BgL_arg2481z00_10546;

						{	/* Cfa/cinfo.scm 91 */
							long BgL_arg1833z00_10547;

							{	/* Cfa/cinfo.scm 91 */
								long BgL_arg1834z00_10548;

								BgL_arg1834z00_10548 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_kwotez00_bglt) BgL_o1341z00_9028)));
								BgL_arg1833z00_10547 = (BgL_arg1834z00_10548 - OBJECT_TYPE);
							}
							BgL_arg2481z00_10546 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10547);
						}
						BgL_arg2479z00_10545 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2481z00_10546);
					}
					{	/* Cfa/cinfo.scm 91 */
						obj_t BgL_tmpz00_18131;

						BgL_tmpz00_18131 = ((obj_t) BgL_arg2479z00_10545);
						BgL_arg2478z00_10544 = BGL_CLASS_NUM(BgL_tmpz00_18131);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) BgL_o1341z00_9028)), BgL_arg2478z00_10544);
			}
			{	/* Cfa/cinfo.scm 91 */
				BgL_objectz00_bglt BgL_tmpz00_18137;

				BgL_tmpz00_18137 =
					((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_o1341z00_9028));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18137, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_o1341z00_9028));
			return ((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1341z00_9028));
		}

	}



/* &<@anonymous:2476> */
	obj_t BGl_z62zc3z04anonymousza32476ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9029,
		obj_t BgL_new1340z00_9030)
	{
		{	/* Cfa/cinfo.scm 91 */
			{
				BgL_kwotez00_bglt BgL_auxz00_18145;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_kwotez00_bglt) BgL_new1340z00_9030))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18149;

					{	/* Cfa/cinfo.scm 91 */
						obj_t BgL_classz00_10550;

						BgL_classz00_10550 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 91 */
							obj_t BgL__ortest_1112z00_10551;

							BgL__ortest_1112z00_10551 = BGL_CLASS_NIL(BgL_classz00_10550);
							if (CBOOL(BgL__ortest_1112z00_10551))
								{	/* Cfa/cinfo.scm 91 */
									BgL_auxz00_18149 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10551);
								}
							else
								{	/* Cfa/cinfo.scm 91 */
									BgL_auxz00_18149 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10550));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_kwotez00_bglt) BgL_new1340z00_9030))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_18149), BUNSPEC);
				}
				((((BgL_kwotez00_bglt) COBJECT(
								((BgL_kwotez00_bglt)
									((BgL_kwotez00_bglt) BgL_new1340z00_9030))))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_18169;
					BgL_kwotezf2cinfozf2_bglt BgL_auxz00_18162;

					{	/* Cfa/cinfo.scm 91 */
						obj_t BgL_classz00_10552;

						BgL_classz00_10552 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 91 */
							obj_t BgL__ortest_1112z00_10553;

							BgL__ortest_1112z00_10553 = BGL_CLASS_NIL(BgL_classz00_10552);
							if (CBOOL(BgL__ortest_1112z00_10553))
								{	/* Cfa/cinfo.scm 91 */
									BgL_auxz00_18169 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10553);
								}
							else
								{	/* Cfa/cinfo.scm 91 */
									BgL_auxz00_18169 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10552));
								}
						}
					}
					{
						obj_t BgL_auxz00_18163;

						{	/* Cfa/cinfo.scm 91 */
							BgL_objectz00_bglt BgL_tmpz00_18164;

							BgL_tmpz00_18164 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) BgL_new1340z00_9030));
							BgL_auxz00_18163 = BGL_OBJECT_WIDENING(BgL_tmpz00_18164);
						}
						BgL_auxz00_18162 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_18163);
					}
					((((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_18162))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_18169), BUNSPEC);
				}
				BgL_auxz00_18145 = ((BgL_kwotez00_bglt) BgL_new1340z00_9030);
				return ((obj_t) BgL_auxz00_18145);
			}
		}

	}



/* &lambda2474 */
	BgL_kwotez00_bglt BGl_z62lambda2474z62zzcfa_infoz00(obj_t BgL_envz00_9031,
		obj_t BgL_o1337z00_9032)
	{
		{	/* Cfa/cinfo.scm 91 */
			{	/* Cfa/cinfo.scm 91 */
				BgL_kwotezf2cinfozf2_bglt BgL_wide1339z00_10555;

				BgL_wide1339z00_10555 =
					((BgL_kwotezf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_kwotezf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 91 */
					obj_t BgL_auxz00_18184;
					BgL_objectz00_bglt BgL_tmpz00_18180;

					BgL_auxz00_18184 = ((obj_t) BgL_wide1339z00_10555);
					BgL_tmpz00_18180 =
						((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1337z00_9032)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18180, BgL_auxz00_18184);
				}
				((BgL_objectz00_bglt)
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1337z00_9032)));
				{	/* Cfa/cinfo.scm 91 */
					long BgL_arg2475z00_10556;

					BgL_arg2475z00_10556 =
						BGL_CLASS_NUM(BGl_kwotezf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_kwotez00_bglt)
								((BgL_kwotez00_bglt) BgL_o1337z00_9032))),
						BgL_arg2475z00_10556);
				}
				return
					((BgL_kwotez00_bglt)
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1337z00_9032)));
			}
		}

	}



/* &lambda2471 */
	BgL_kwotez00_bglt BGl_z62lambda2471z62zzcfa_infoz00(obj_t BgL_envz00_9033,
		obj_t BgL_loc1333z00_9034, obj_t BgL_type1334z00_9035,
		obj_t BgL_value1335z00_9036, obj_t BgL_approx1336z00_9037)
	{
		{	/* Cfa/cinfo.scm 91 */
			{	/* Cfa/cinfo.scm 91 */
				BgL_kwotez00_bglt BgL_new1738z00_10559;

				{	/* Cfa/cinfo.scm 91 */
					BgL_kwotez00_bglt BgL_tmp1736z00_10560;
					BgL_kwotezf2cinfozf2_bglt BgL_wide1737z00_10561;

					{
						BgL_kwotez00_bglt BgL_auxz00_18198;

						{	/* Cfa/cinfo.scm 91 */
							BgL_kwotez00_bglt BgL_new1735z00_10562;

							BgL_new1735z00_10562 =
								((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_kwotez00_bgl))));
							{	/* Cfa/cinfo.scm 91 */
								long BgL_arg2473z00_10563;

								BgL_arg2473z00_10563 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1735z00_10562),
									BgL_arg2473z00_10563);
							}
							{	/* Cfa/cinfo.scm 91 */
								BgL_objectz00_bglt BgL_tmpz00_18203;

								BgL_tmpz00_18203 = ((BgL_objectz00_bglt) BgL_new1735z00_10562);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18203, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1735z00_10562);
							BgL_auxz00_18198 = BgL_new1735z00_10562;
						}
						BgL_tmp1736z00_10560 = ((BgL_kwotez00_bglt) BgL_auxz00_18198);
					}
					BgL_wide1737z00_10561 =
						((BgL_kwotezf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 91 */
						obj_t BgL_auxz00_18211;
						BgL_objectz00_bglt BgL_tmpz00_18209;

						BgL_auxz00_18211 = ((obj_t) BgL_wide1737z00_10561);
						BgL_tmpz00_18209 = ((BgL_objectz00_bglt) BgL_tmp1736z00_10560);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18209, BgL_auxz00_18211);
					}
					((BgL_objectz00_bglt) BgL_tmp1736z00_10560);
					{	/* Cfa/cinfo.scm 91 */
						long BgL_arg2472z00_10564;

						BgL_arg2472z00_10564 =
							BGL_CLASS_NUM(BGl_kwotezf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1736z00_10560),
							BgL_arg2472z00_10564);
					}
					BgL_new1738z00_10559 = ((BgL_kwotez00_bglt) BgL_tmp1736z00_10560);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1738z00_10559)))->BgL_locz00) =
					((obj_t) BgL_loc1333z00_9034), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1738z00_10559)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1334z00_9035)),
					BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt)
									BgL_new1738z00_10559)))->BgL_valuez00) =
					((obj_t) BgL_value1335z00_9036), BUNSPEC);
				{
					BgL_kwotezf2cinfozf2_bglt BgL_auxz00_18226;

					{
						obj_t BgL_auxz00_18227;

						{	/* Cfa/cinfo.scm 91 */
							BgL_objectz00_bglt BgL_tmpz00_18228;

							BgL_tmpz00_18228 = ((BgL_objectz00_bglt) BgL_new1738z00_10559);
							BgL_auxz00_18227 = BGL_OBJECT_WIDENING(BgL_tmpz00_18228);
						}
						BgL_auxz00_18226 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_18227);
					}
					((((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_18226))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1336z00_9037)), BUNSPEC);
				}
				return BgL_new1738z00_10559;
			}
		}

	}



/* &lambda2488 */
	obj_t BGl_z62lambda2488z62zzcfa_infoz00(obj_t BgL_envz00_9038,
		obj_t BgL_oz00_9039, obj_t BgL_vz00_9040)
	{
		{	/* Cfa/cinfo.scm 91 */
			{
				BgL_kwotezf2cinfozf2_bglt BgL_auxz00_18234;

				{
					obj_t BgL_auxz00_18235;

					{	/* Cfa/cinfo.scm 91 */
						BgL_objectz00_bglt BgL_tmpz00_18236;

						BgL_tmpz00_18236 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_9039));
						BgL_auxz00_18235 = BGL_OBJECT_WIDENING(BgL_tmpz00_18236);
					}
					BgL_auxz00_18234 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_18235);
				}
				return
					((((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_18234))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9040)), BUNSPEC);
			}
		}

	}



/* &lambda2487 */
	BgL_approxz00_bglt BGl_z62lambda2487z62zzcfa_infoz00(obj_t BgL_envz00_9041,
		obj_t BgL_oz00_9042)
	{
		{	/* Cfa/cinfo.scm 91 */
			{
				BgL_kwotezf2cinfozf2_bglt BgL_auxz00_18243;

				{
					obj_t BgL_auxz00_18244;

					{	/* Cfa/cinfo.scm 91 */
						BgL_objectz00_bglt BgL_tmpz00_18245;

						BgL_tmpz00_18245 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_9042));
						BgL_auxz00_18244 = BGL_OBJECT_WIDENING(BgL_tmpz00_18245);
					}
					BgL_auxz00_18243 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_18244);
				}
				return
					(((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_18243))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2453 */
	BgL_kwotez00_bglt BGl_z62lambda2453z62zzcfa_infoz00(obj_t BgL_envz00_9043,
		obj_t BgL_o1331z00_9044)
	{
		{	/* Cfa/cinfo.scm 89 */
			{	/* Cfa/cinfo.scm 89 */
				long BgL_arg2454z00_10569;

				{	/* Cfa/cinfo.scm 89 */
					obj_t BgL_arg2455z00_10570;

					{	/* Cfa/cinfo.scm 89 */
						obj_t BgL_arg2457z00_10571;

						{	/* Cfa/cinfo.scm 89 */
							long BgL_arg1833z00_10572;

							{	/* Cfa/cinfo.scm 89 */
								long BgL_arg1834z00_10573;

								BgL_arg1834z00_10573 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_kwotez00_bglt) BgL_o1331z00_9044)));
								BgL_arg1833z00_10572 = (BgL_arg1834z00_10573 - OBJECT_TYPE);
							}
							BgL_arg2457z00_10571 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10572);
						}
						BgL_arg2455z00_10570 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2457z00_10571);
					}
					{	/* Cfa/cinfo.scm 89 */
						obj_t BgL_tmpz00_18257;

						BgL_tmpz00_18257 = ((obj_t) BgL_arg2455z00_10570);
						BgL_arg2454z00_10569 = BGL_CLASS_NUM(BgL_tmpz00_18257);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) BgL_o1331z00_9044)), BgL_arg2454z00_10569);
			}
			{	/* Cfa/cinfo.scm 89 */
				BgL_objectz00_bglt BgL_tmpz00_18263;

				BgL_tmpz00_18263 =
					((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_o1331z00_9044));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18263, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_o1331z00_9044));
			return ((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1331z00_9044));
		}

	}



/* &<@anonymous:2452> */
	obj_t BGl_z62zc3z04anonymousza32452ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9045,
		obj_t BgL_new1330z00_9046)
	{
		{	/* Cfa/cinfo.scm 89 */
			{
				BgL_kwotez00_bglt BgL_auxz00_18271;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_kwotez00_bglt) BgL_new1330z00_9046))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18275;

					{	/* Cfa/cinfo.scm 89 */
						obj_t BgL_classz00_10575;

						BgL_classz00_10575 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 89 */
							obj_t BgL__ortest_1112z00_10576;

							BgL__ortest_1112z00_10576 = BGL_CLASS_NIL(BgL_classz00_10575);
							if (CBOOL(BgL__ortest_1112z00_10576))
								{	/* Cfa/cinfo.scm 89 */
									BgL_auxz00_18275 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10576);
								}
							else
								{	/* Cfa/cinfo.scm 89 */
									BgL_auxz00_18275 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10575));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_kwotez00_bglt) BgL_new1330z00_9046))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_18275), BUNSPEC);
				}
				((((BgL_kwotez00_bglt) COBJECT(
								((BgL_kwotez00_bglt)
									((BgL_kwotez00_bglt) BgL_new1330z00_9046))))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_18295;
					BgL_kwotezf2nodezf2_bglt BgL_auxz00_18288;

					{	/* Cfa/cinfo.scm 89 */
						obj_t BgL_classz00_10577;

						BgL_classz00_10577 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 89 */
							obj_t BgL__ortest_1112z00_10578;

							BgL__ortest_1112z00_10578 = BGL_CLASS_NIL(BgL_classz00_10577);
							if (CBOOL(BgL__ortest_1112z00_10578))
								{	/* Cfa/cinfo.scm 89 */
									BgL_auxz00_18295 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10578);
								}
							else
								{	/* Cfa/cinfo.scm 89 */
									BgL_auxz00_18295 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10577));
								}
						}
					}
					{
						obj_t BgL_auxz00_18289;

						{	/* Cfa/cinfo.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_18290;

							BgL_tmpz00_18290 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) BgL_new1330z00_9046));
							BgL_auxz00_18289 = BGL_OBJECT_WIDENING(BgL_tmpz00_18290);
						}
						BgL_auxz00_18288 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_18289);
					}
					((((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_18288))->
							BgL_nodez00) = ((BgL_nodez00_bglt) BgL_auxz00_18295), BUNSPEC);
				}
				BgL_auxz00_18271 = ((BgL_kwotez00_bglt) BgL_new1330z00_9046);
				return ((obj_t) BgL_auxz00_18271);
			}
		}

	}



/* &lambda2450 */
	BgL_kwotez00_bglt BGl_z62lambda2450z62zzcfa_infoz00(obj_t BgL_envz00_9047,
		obj_t BgL_o1327z00_9048)
	{
		{	/* Cfa/cinfo.scm 89 */
			{	/* Cfa/cinfo.scm 89 */
				BgL_kwotezf2nodezf2_bglt BgL_wide1329z00_10580;

				BgL_wide1329z00_10580 =
					((BgL_kwotezf2nodezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_kwotezf2nodezf2_bgl))));
				{	/* Cfa/cinfo.scm 89 */
					obj_t BgL_auxz00_18310;
					BgL_objectz00_bglt BgL_tmpz00_18306;

					BgL_auxz00_18310 = ((obj_t) BgL_wide1329z00_10580);
					BgL_tmpz00_18306 =
						((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1327z00_9048)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18306, BgL_auxz00_18310);
				}
				((BgL_objectz00_bglt)
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1327z00_9048)));
				{	/* Cfa/cinfo.scm 89 */
					long BgL_arg2451z00_10581;

					BgL_arg2451z00_10581 =
						BGL_CLASS_NUM(BGl_kwotezf2nodezf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_kwotez00_bglt)
								((BgL_kwotez00_bglt) BgL_o1327z00_9048))),
						BgL_arg2451z00_10581);
				}
				return
					((BgL_kwotez00_bglt)
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1327z00_9048)));
			}
		}

	}



/* &lambda2447 */
	BgL_kwotez00_bglt BGl_z62lambda2447z62zzcfa_infoz00(obj_t BgL_envz00_9049,
		obj_t BgL_loc1323z00_9050, obj_t BgL_type1324z00_9051,
		obj_t BgL_value1325z00_9052, obj_t BgL_node1326z00_9053)
	{
		{	/* Cfa/cinfo.scm 89 */
			{	/* Cfa/cinfo.scm 89 */
				BgL_kwotez00_bglt BgL_new1733z00_10584;

				{	/* Cfa/cinfo.scm 89 */
					BgL_kwotez00_bglt BgL_tmp1731z00_10585;
					BgL_kwotezf2nodezf2_bglt BgL_wide1732z00_10586;

					{
						BgL_kwotez00_bglt BgL_auxz00_18324;

						{	/* Cfa/cinfo.scm 89 */
							BgL_kwotez00_bglt BgL_new1730z00_10587;

							BgL_new1730z00_10587 =
								((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_kwotez00_bgl))));
							{	/* Cfa/cinfo.scm 89 */
								long BgL_arg2449z00_10588;

								BgL_arg2449z00_10588 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1730z00_10587),
									BgL_arg2449z00_10588);
							}
							{	/* Cfa/cinfo.scm 89 */
								BgL_objectz00_bglt BgL_tmpz00_18329;

								BgL_tmpz00_18329 = ((BgL_objectz00_bglt) BgL_new1730z00_10587);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18329, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1730z00_10587);
							BgL_auxz00_18324 = BgL_new1730z00_10587;
						}
						BgL_tmp1731z00_10585 = ((BgL_kwotez00_bglt) BgL_auxz00_18324);
					}
					BgL_wide1732z00_10586 =
						((BgL_kwotezf2nodezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2nodezf2_bgl))));
					{	/* Cfa/cinfo.scm 89 */
						obj_t BgL_auxz00_18337;
						BgL_objectz00_bglt BgL_tmpz00_18335;

						BgL_auxz00_18337 = ((obj_t) BgL_wide1732z00_10586);
						BgL_tmpz00_18335 = ((BgL_objectz00_bglt) BgL_tmp1731z00_10585);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18335, BgL_auxz00_18337);
					}
					((BgL_objectz00_bglt) BgL_tmp1731z00_10585);
					{	/* Cfa/cinfo.scm 89 */
						long BgL_arg2448z00_10589;

						BgL_arg2448z00_10589 =
							BGL_CLASS_NUM(BGl_kwotezf2nodezf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1731z00_10585),
							BgL_arg2448z00_10589);
					}
					BgL_new1733z00_10584 = ((BgL_kwotez00_bglt) BgL_tmp1731z00_10585);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1733z00_10584)))->BgL_locz00) =
					((obj_t) BgL_loc1323z00_9050), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1733z00_10584)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1324z00_9051)),
					BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt)
									BgL_new1733z00_10584)))->BgL_valuez00) =
					((obj_t) BgL_value1325z00_9052), BUNSPEC);
				{
					BgL_kwotezf2nodezf2_bglt BgL_auxz00_18352;

					{
						obj_t BgL_auxz00_18353;

						{	/* Cfa/cinfo.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_18354;

							BgL_tmpz00_18354 = ((BgL_objectz00_bglt) BgL_new1733z00_10584);
							BgL_auxz00_18353 = BGL_OBJECT_WIDENING(BgL_tmpz00_18354);
						}
						BgL_auxz00_18352 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_18353);
					}
					((((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_18352))->
							BgL_nodez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_node1326z00_9053)),
						BUNSPEC);
				}
				return BgL_new1733z00_10584;
			}
		}

	}



/* &lambda2462 */
	obj_t BGl_z62lambda2462z62zzcfa_infoz00(obj_t BgL_envz00_9054,
		obj_t BgL_oz00_9055, obj_t BgL_vz00_9056)
	{
		{	/* Cfa/cinfo.scm 89 */
			{
				BgL_kwotezf2nodezf2_bglt BgL_auxz00_18360;

				{
					obj_t BgL_auxz00_18361;

					{	/* Cfa/cinfo.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_18362;

						BgL_tmpz00_18362 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_9055));
						BgL_auxz00_18361 = BGL_OBJECT_WIDENING(BgL_tmpz00_18362);
					}
					BgL_auxz00_18360 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_18361);
				}
				return
					((((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_18360))->
						BgL_nodez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_9056)), BUNSPEC);
			}
		}

	}



/* &lambda2461 */
	BgL_nodez00_bglt BGl_z62lambda2461z62zzcfa_infoz00(obj_t BgL_envz00_9057,
		obj_t BgL_oz00_9058)
	{
		{	/* Cfa/cinfo.scm 89 */
			{
				BgL_kwotezf2nodezf2_bglt BgL_auxz00_18369;

				{
					obj_t BgL_auxz00_18370;

					{	/* Cfa/cinfo.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_18371;

						BgL_tmpz00_18371 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_9058));
						BgL_auxz00_18370 = BGL_OBJECT_WIDENING(BgL_tmpz00_18371);
					}
					BgL_auxz00_18369 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_18370);
				}
				return
					(((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_18369))->BgL_nodez00);
			}
		}

	}



/* &lambda2427 */
	BgL_patchz00_bglt BGl_z62lambda2427z62zzcfa_infoz00(obj_t BgL_envz00_9059,
		obj_t BgL_o1321z00_9060)
	{
		{	/* Cfa/cinfo.scm 87 */
			{	/* Cfa/cinfo.scm 87 */
				long BgL_arg2428z00_10594;

				{	/* Cfa/cinfo.scm 87 */
					obj_t BgL_arg2430z00_10595;

					{	/* Cfa/cinfo.scm 87 */
						obj_t BgL_arg2432z00_10596;

						{	/* Cfa/cinfo.scm 87 */
							long BgL_arg1833z00_10597;

							{	/* Cfa/cinfo.scm 87 */
								long BgL_arg1834z00_10598;

								BgL_arg1834z00_10598 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_patchz00_bglt) BgL_o1321z00_9060)));
								BgL_arg1833z00_10597 = (BgL_arg1834z00_10598 - OBJECT_TYPE);
							}
							BgL_arg2432z00_10596 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10597);
						}
						BgL_arg2430z00_10595 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2432z00_10596);
					}
					{	/* Cfa/cinfo.scm 87 */
						obj_t BgL_tmpz00_18383;

						BgL_tmpz00_18383 = ((obj_t) BgL_arg2430z00_10595);
						BgL_arg2428z00_10594 = BGL_CLASS_NUM(BgL_tmpz00_18383);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_patchz00_bglt) BgL_o1321z00_9060)), BgL_arg2428z00_10594);
			}
			{	/* Cfa/cinfo.scm 87 */
				BgL_objectz00_bglt BgL_tmpz00_18389;

				BgL_tmpz00_18389 =
					((BgL_objectz00_bglt) ((BgL_patchz00_bglt) BgL_o1321z00_9060));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18389, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_patchz00_bglt) BgL_o1321z00_9060));
			return ((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_o1321z00_9060));
		}

	}



/* &<@anonymous:2426> */
	obj_t BGl_z62zc3z04anonymousza32426ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9061,
		obj_t BgL_new1320z00_9062)
	{
		{	/* Cfa/cinfo.scm 87 */
			{
				BgL_patchz00_bglt BgL_auxz00_18397;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_patchz00_bglt) BgL_new1320z00_9062))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18401;

					{	/* Cfa/cinfo.scm 87 */
						obj_t BgL_classz00_10600;

						BgL_classz00_10600 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 87 */
							obj_t BgL__ortest_1112z00_10601;

							BgL__ortest_1112z00_10601 = BGL_CLASS_NIL(BgL_classz00_10600);
							if (CBOOL(BgL__ortest_1112z00_10601))
								{	/* Cfa/cinfo.scm 87 */
									BgL_auxz00_18401 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10601);
								}
							else
								{	/* Cfa/cinfo.scm 87 */
									BgL_auxz00_18401 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10600));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_patchz00_bglt) BgL_new1320z00_9062))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_18401), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_patchz00_bglt) BgL_new1320z00_9062))))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_18414;

					{	/* Cfa/cinfo.scm 87 */
						obj_t BgL_classz00_10602;

						BgL_classz00_10602 = BGl_varz00zzast_nodez00;
						{	/* Cfa/cinfo.scm 87 */
							obj_t BgL__ortest_1112z00_10603;

							BgL__ortest_1112z00_10603 = BGL_CLASS_NIL(BgL_classz00_10602);
							if (CBOOL(BgL__ortest_1112z00_10603))
								{	/* Cfa/cinfo.scm 87 */
									BgL_auxz00_18414 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_10603);
								}
							else
								{	/* Cfa/cinfo.scm 87 */
									BgL_auxz00_18414 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10602));
								}
						}
					}
					((((BgL_patchz00_bglt) COBJECT(
									((BgL_patchz00_bglt)
										((BgL_patchz00_bglt) BgL_new1320z00_9062))))->BgL_refz00) =
						((BgL_varz00_bglt) BgL_auxz00_18414), BUNSPEC);
				}
				((((BgL_patchz00_bglt) COBJECT(
								((BgL_patchz00_bglt)
									((BgL_patchz00_bglt) BgL_new1320z00_9062))))->BgL_indexz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt) ((BgL_patchz00_bglt)
										BgL_new1320z00_9062))))->BgL_patchidz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_18437;
					BgL_patchzf2cinfozf2_bglt BgL_auxz00_18430;

					{	/* Cfa/cinfo.scm 87 */
						obj_t BgL_classz00_10604;

						BgL_classz00_10604 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 87 */
							obj_t BgL__ortest_1112z00_10605;

							BgL__ortest_1112z00_10605 = BGL_CLASS_NIL(BgL_classz00_10604);
							if (CBOOL(BgL__ortest_1112z00_10605))
								{	/* Cfa/cinfo.scm 87 */
									BgL_auxz00_18437 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10605);
								}
							else
								{	/* Cfa/cinfo.scm 87 */
									BgL_auxz00_18437 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10604));
								}
						}
					}
					{
						obj_t BgL_auxz00_18431;

						{	/* Cfa/cinfo.scm 87 */
							BgL_objectz00_bglt BgL_tmpz00_18432;

							BgL_tmpz00_18432 =
								((BgL_objectz00_bglt)
								((BgL_patchz00_bglt) BgL_new1320z00_9062));
							BgL_auxz00_18431 = BGL_OBJECT_WIDENING(BgL_tmpz00_18432);
						}
						BgL_auxz00_18430 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_18431);
					}
					((((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18430))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_18437), BUNSPEC);
				}
				BgL_auxz00_18397 = ((BgL_patchz00_bglt) BgL_new1320z00_9062);
				return ((obj_t) BgL_auxz00_18397);
			}
		}

	}



/* &lambda2424 */
	BgL_patchz00_bglt BGl_z62lambda2424z62zzcfa_infoz00(obj_t BgL_envz00_9063,
		obj_t BgL_o1317z00_9064)
	{
		{	/* Cfa/cinfo.scm 87 */
			{	/* Cfa/cinfo.scm 87 */
				BgL_patchzf2cinfozf2_bglt BgL_wide1319z00_10607;

				BgL_wide1319z00_10607 =
					((BgL_patchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_patchzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 87 */
					obj_t BgL_auxz00_18452;
					BgL_objectz00_bglt BgL_tmpz00_18448;

					BgL_auxz00_18452 = ((obj_t) BgL_wide1319z00_10607);
					BgL_tmpz00_18448 =
						((BgL_objectz00_bglt)
						((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_o1317z00_9064)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18448, BgL_auxz00_18452);
				}
				((BgL_objectz00_bglt)
					((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_o1317z00_9064)));
				{	/* Cfa/cinfo.scm 87 */
					long BgL_arg2425z00_10608;

					BgL_arg2425z00_10608 =
						BGL_CLASS_NUM(BGl_patchzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_patchz00_bglt)
								((BgL_patchz00_bglt) BgL_o1317z00_9064))),
						BgL_arg2425z00_10608);
				}
				return
					((BgL_patchz00_bglt)
					((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_o1317z00_9064)));
			}
		}

	}



/* &lambda2420 */
	BgL_patchz00_bglt BGl_z62lambda2420z62zzcfa_infoz00(obj_t BgL_envz00_9065,
		obj_t BgL_loc1310z00_9066, obj_t BgL_type1311z00_9067,
		obj_t BgL_value1312z00_9068, obj_t BgL_ref1313z00_9069,
		obj_t BgL_index1314z00_9070, obj_t BgL_patchid1315z00_9071,
		obj_t BgL_approx1316z00_9072)
	{
		{	/* Cfa/cinfo.scm 87 */
			{	/* Cfa/cinfo.scm 87 */
				long BgL_index1314z00_10611;

				BgL_index1314z00_10611 = (long) CINT(BgL_index1314z00_9070);
				{	/* Cfa/cinfo.scm 87 */
					BgL_patchz00_bglt BgL_new1728z00_10613;

					{	/* Cfa/cinfo.scm 87 */
						BgL_patchz00_bglt BgL_tmp1726z00_10614;
						BgL_patchzf2cinfozf2_bglt BgL_wide1727z00_10615;

						{
							BgL_patchz00_bglt BgL_auxz00_18467;

							{	/* Cfa/cinfo.scm 87 */
								BgL_patchz00_bglt BgL_new1725z00_10616;

								BgL_new1725z00_10616 =
									((BgL_patchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_patchz00_bgl))));
								{	/* Cfa/cinfo.scm 87 */
									long BgL_arg2423z00_10617;

									BgL_arg2423z00_10617 =
										BGL_CLASS_NUM(BGl_patchz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1725z00_10616),
										BgL_arg2423z00_10617);
								}
								{	/* Cfa/cinfo.scm 87 */
									BgL_objectz00_bglt BgL_tmpz00_18472;

									BgL_tmpz00_18472 =
										((BgL_objectz00_bglt) BgL_new1725z00_10616);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18472, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1725z00_10616);
								BgL_auxz00_18467 = BgL_new1725z00_10616;
							}
							BgL_tmp1726z00_10614 = ((BgL_patchz00_bglt) BgL_auxz00_18467);
						}
						BgL_wide1727z00_10615 =
							((BgL_patchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_patchzf2cinfozf2_bgl))));
						{	/* Cfa/cinfo.scm 87 */
							obj_t BgL_auxz00_18480;
							BgL_objectz00_bglt BgL_tmpz00_18478;

							BgL_auxz00_18480 = ((obj_t) BgL_wide1727z00_10615);
							BgL_tmpz00_18478 = ((BgL_objectz00_bglt) BgL_tmp1726z00_10614);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18478, BgL_auxz00_18480);
						}
						((BgL_objectz00_bglt) BgL_tmp1726z00_10614);
						{	/* Cfa/cinfo.scm 87 */
							long BgL_arg2421z00_10618;

							BgL_arg2421z00_10618 =
								BGL_CLASS_NUM(BGl_patchzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1726z00_10614),
								BgL_arg2421z00_10618);
						}
						BgL_new1728z00_10613 = ((BgL_patchz00_bglt) BgL_tmp1726z00_10614);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1728z00_10613)))->BgL_locz00) =
						((obj_t) BgL_loc1310z00_9066), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1728z00_10613)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1311z00_9067)),
						BUNSPEC);
					((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
										BgL_new1728z00_10613)))->BgL_valuez00) =
						((obj_t) BgL_value1312z00_9068), BUNSPEC);
					((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
										BgL_new1728z00_10613)))->BgL_refz00) =
						((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_ref1313z00_9069)),
						BUNSPEC);
					((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
										BgL_new1728z00_10613)))->BgL_indexz00) =
						((long) BgL_index1314z00_10611), BUNSPEC);
					((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
										BgL_new1728z00_10613)))->BgL_patchidz00) =
						((obj_t) BgL_patchid1315z00_9071), BUNSPEC);
					{
						BgL_patchzf2cinfozf2_bglt BgL_auxz00_18502;

						{
							obj_t BgL_auxz00_18503;

							{	/* Cfa/cinfo.scm 87 */
								BgL_objectz00_bglt BgL_tmpz00_18504;

								BgL_tmpz00_18504 = ((BgL_objectz00_bglt) BgL_new1728z00_10613);
								BgL_auxz00_18503 = BGL_OBJECT_WIDENING(BgL_tmpz00_18504);
							}
							BgL_auxz00_18502 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_18503);
						}
						((((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18502))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_approx1316z00_9072)), BUNSPEC);
					}
					return BgL_new1728z00_10613;
				}
			}
		}

	}



/* &lambda2438 */
	obj_t BGl_z62lambda2438z62zzcfa_infoz00(obj_t BgL_envz00_9073,
		obj_t BgL_oz00_9074, obj_t BgL_vz00_9075)
	{
		{	/* Cfa/cinfo.scm 87 */
			{
				BgL_patchzf2cinfozf2_bglt BgL_auxz00_18510;

				{
					obj_t BgL_auxz00_18511;

					{	/* Cfa/cinfo.scm 87 */
						BgL_objectz00_bglt BgL_tmpz00_18512;

						BgL_tmpz00_18512 =
							((BgL_objectz00_bglt) ((BgL_patchz00_bglt) BgL_oz00_9074));
						BgL_auxz00_18511 = BGL_OBJECT_WIDENING(BgL_tmpz00_18512);
					}
					BgL_auxz00_18510 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_18511);
				}
				return
					((((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18510))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9075)), BUNSPEC);
			}
		}

	}



/* &lambda2437 */
	BgL_approxz00_bglt BGl_z62lambda2437z62zzcfa_infoz00(obj_t BgL_envz00_9076,
		obj_t BgL_oz00_9077)
	{
		{	/* Cfa/cinfo.scm 87 */
			{
				BgL_patchzf2cinfozf2_bglt BgL_auxz00_18519;

				{
					obj_t BgL_auxz00_18520;

					{	/* Cfa/cinfo.scm 87 */
						BgL_objectz00_bglt BgL_tmpz00_18521;

						BgL_tmpz00_18521 =
							((BgL_objectz00_bglt) ((BgL_patchz00_bglt) BgL_oz00_9077));
						BgL_auxz00_18520 = BGL_OBJECT_WIDENING(BgL_tmpz00_18521);
					}
					BgL_auxz00_18519 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_18520);
				}
				return
					(((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18519))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2401 */
	BgL_genpatchidz00_bglt BGl_z62lambda2401z62zzcfa_infoz00(obj_t
		BgL_envz00_9078, obj_t BgL_o1308z00_9079)
	{
		{	/* Cfa/cinfo.scm 85 */
			{	/* Cfa/cinfo.scm 85 */
				long BgL_arg2402z00_10623;

				{	/* Cfa/cinfo.scm 85 */
					obj_t BgL_arg2403z00_10624;

					{	/* Cfa/cinfo.scm 85 */
						obj_t BgL_arg2404z00_10625;

						{	/* Cfa/cinfo.scm 85 */
							long BgL_arg1833z00_10626;

							{	/* Cfa/cinfo.scm 85 */
								long BgL_arg1834z00_10627;

								BgL_arg1834z00_10627 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_genpatchidz00_bglt) BgL_o1308z00_9079)));
								BgL_arg1833z00_10626 = (BgL_arg1834z00_10627 - OBJECT_TYPE);
							}
							BgL_arg2404z00_10625 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10626);
						}
						BgL_arg2403z00_10624 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2404z00_10625);
					}
					{	/* Cfa/cinfo.scm 85 */
						obj_t BgL_tmpz00_18533;

						BgL_tmpz00_18533 = ((obj_t) BgL_arg2403z00_10624);
						BgL_arg2402z00_10623 = BGL_CLASS_NUM(BgL_tmpz00_18533);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_genpatchidz00_bglt) BgL_o1308z00_9079)),
					BgL_arg2402z00_10623);
			}
			{	/* Cfa/cinfo.scm 85 */
				BgL_objectz00_bglt BgL_tmpz00_18539;

				BgL_tmpz00_18539 =
					((BgL_objectz00_bglt) ((BgL_genpatchidz00_bglt) BgL_o1308z00_9079));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18539, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_genpatchidz00_bglt) BgL_o1308z00_9079));
			return
				((BgL_genpatchidz00_bglt) ((BgL_genpatchidz00_bglt) BgL_o1308z00_9079));
		}

	}



/* &<@anonymous:2400> */
	obj_t BGl_z62zc3z04anonymousza32400ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9080,
		obj_t BgL_new1307z00_9081)
	{
		{	/* Cfa/cinfo.scm 85 */
			{
				BgL_genpatchidz00_bglt BgL_auxz00_18547;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_genpatchidz00_bglt) BgL_new1307z00_9081))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18551;

					{	/* Cfa/cinfo.scm 85 */
						obj_t BgL_classz00_10629;

						BgL_classz00_10629 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 85 */
							obj_t BgL__ortest_1112z00_10630;

							BgL__ortest_1112z00_10630 = BGL_CLASS_NIL(BgL_classz00_10629);
							if (CBOOL(BgL__ortest_1112z00_10630))
								{	/* Cfa/cinfo.scm 85 */
									BgL_auxz00_18551 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10630);
								}
							else
								{	/* Cfa/cinfo.scm 85 */
									BgL_auxz00_18551 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10629));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_genpatchidz00_bglt) BgL_new1307z00_9081))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_18551), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_genpatchidz00_bglt) BgL_new1307z00_9081))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1307z00_9081))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1307z00_9081))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1307z00_9081))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_genpatchidz00_bglt)
							COBJECT(((BgL_genpatchidz00_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1307z00_9081))))->BgL_indexz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_genpatchidz00_bglt)
							COBJECT(((BgL_genpatchidz00_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1307z00_9081))))->BgL_rindexz00) =
					((long) ((long) 0)), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_18586;
					BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_18579;

					{	/* Cfa/cinfo.scm 85 */
						obj_t BgL_classz00_10631;

						BgL_classz00_10631 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 85 */
							obj_t BgL__ortest_1112z00_10632;

							BgL__ortest_1112z00_10632 = BGL_CLASS_NIL(BgL_classz00_10631);
							if (CBOOL(BgL__ortest_1112z00_10632))
								{	/* Cfa/cinfo.scm 85 */
									BgL_auxz00_18586 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10632);
								}
							else
								{	/* Cfa/cinfo.scm 85 */
									BgL_auxz00_18586 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10631));
								}
						}
					}
					{
						obj_t BgL_auxz00_18580;

						{	/* Cfa/cinfo.scm 85 */
							BgL_objectz00_bglt BgL_tmpz00_18581;

							BgL_tmpz00_18581 =
								((BgL_objectz00_bglt)
								((BgL_genpatchidz00_bglt) BgL_new1307z00_9081));
							BgL_auxz00_18580 = BGL_OBJECT_WIDENING(BgL_tmpz00_18581);
						}
						BgL_auxz00_18579 =
							((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_18580);
					}
					((((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18579))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_18586), BUNSPEC);
				}
				BgL_auxz00_18547 = ((BgL_genpatchidz00_bglt) BgL_new1307z00_9081);
				return ((obj_t) BgL_auxz00_18547);
			}
		}

	}



/* &lambda2398 */
	BgL_genpatchidz00_bglt BGl_z62lambda2398z62zzcfa_infoz00(obj_t
		BgL_envz00_9082, obj_t BgL_o1303z00_9083)
	{
		{	/* Cfa/cinfo.scm 85 */
			{	/* Cfa/cinfo.scm 85 */
				BgL_genpatchidzf2cinfozf2_bglt BgL_wide1305z00_10634;

				BgL_wide1305z00_10634 =
					((BgL_genpatchidzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_genpatchidzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 85 */
					obj_t BgL_auxz00_18601;
					BgL_objectz00_bglt BgL_tmpz00_18597;

					BgL_auxz00_18601 = ((obj_t) BgL_wide1305z00_10634);
					BgL_tmpz00_18597 =
						((BgL_objectz00_bglt)
						((BgL_genpatchidz00_bglt)
							((BgL_genpatchidz00_bglt) BgL_o1303z00_9083)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18597, BgL_auxz00_18601);
				}
				((BgL_objectz00_bglt)
					((BgL_genpatchidz00_bglt)
						((BgL_genpatchidz00_bglt) BgL_o1303z00_9083)));
				{	/* Cfa/cinfo.scm 85 */
					long BgL_arg2399z00_10635;

					BgL_arg2399z00_10635 =
						BGL_CLASS_NUM(BGl_genpatchidzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_genpatchidz00_bglt)
								((BgL_genpatchidz00_bglt) BgL_o1303z00_9083))),
						BgL_arg2399z00_10635);
				}
				return
					((BgL_genpatchidz00_bglt)
					((BgL_genpatchidz00_bglt)
						((BgL_genpatchidz00_bglt) BgL_o1303z00_9083)));
			}
		}

	}



/* &lambda2395 */
	BgL_genpatchidz00_bglt BGl_z62lambda2395z62zzcfa_infoz00(obj_t
		BgL_envz00_9084, obj_t BgL_loc1294z00_9085, obj_t BgL_type1295z00_9086,
		obj_t BgL_sidezd2effect1296zd2_9087, obj_t BgL_key1297z00_9088,
		obj_t BgL_exprza21298za2_9089, obj_t BgL_effect1299z00_9090,
		obj_t BgL_index1300z00_9091, obj_t BgL_rindex1301z00_9092,
		obj_t BgL_approx1302z00_9093)
	{
		{	/* Cfa/cinfo.scm 85 */
			{	/* Cfa/cinfo.scm 85 */
				long BgL_index1300z00_10638;
				long BgL_rindex1301z00_10639;

				BgL_index1300z00_10638 = (long) CINT(BgL_index1300z00_9091);
				BgL_rindex1301z00_10639 = (long) CINT(BgL_rindex1301z00_9092);
				{	/* Cfa/cinfo.scm 85 */
					BgL_genpatchidz00_bglt BgL_new1723z00_10641;

					{	/* Cfa/cinfo.scm 85 */
						BgL_genpatchidz00_bglt BgL_tmp1721z00_10642;
						BgL_genpatchidzf2cinfozf2_bglt BgL_wide1722z00_10643;

						{
							BgL_genpatchidz00_bglt BgL_auxz00_18617;

							{	/* Cfa/cinfo.scm 85 */
								BgL_genpatchidz00_bglt BgL_new1720z00_10644;

								BgL_new1720z00_10644 =
									((BgL_genpatchidz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_genpatchidz00_bgl))));
								{	/* Cfa/cinfo.scm 85 */
									long BgL_arg2397z00_10645;

									BgL_arg2397z00_10645 =
										BGL_CLASS_NUM(BGl_genpatchidz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1720z00_10644),
										BgL_arg2397z00_10645);
								}
								{	/* Cfa/cinfo.scm 85 */
									BgL_objectz00_bglt BgL_tmpz00_18622;

									BgL_tmpz00_18622 =
										((BgL_objectz00_bglt) BgL_new1720z00_10644);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18622, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1720z00_10644);
								BgL_auxz00_18617 = BgL_new1720z00_10644;
							}
							BgL_tmp1721z00_10642 =
								((BgL_genpatchidz00_bglt) BgL_auxz00_18617);
						}
						BgL_wide1722z00_10643 =
							((BgL_genpatchidzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_genpatchidzf2cinfozf2_bgl))));
						{	/* Cfa/cinfo.scm 85 */
							obj_t BgL_auxz00_18630;
							BgL_objectz00_bglt BgL_tmpz00_18628;

							BgL_auxz00_18630 = ((obj_t) BgL_wide1722z00_10643);
							BgL_tmpz00_18628 = ((BgL_objectz00_bglt) BgL_tmp1721z00_10642);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18628, BgL_auxz00_18630);
						}
						((BgL_objectz00_bglt) BgL_tmp1721z00_10642);
						{	/* Cfa/cinfo.scm 85 */
							long BgL_arg2396z00_10646;

							BgL_arg2396z00_10646 =
								BGL_CLASS_NUM(BGl_genpatchidzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1721z00_10642),
								BgL_arg2396z00_10646);
						}
						BgL_new1723z00_10641 =
							((BgL_genpatchidz00_bglt) BgL_tmp1721z00_10642);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1723z00_10641)))->BgL_locz00) =
						((obj_t) BgL_loc1294z00_9085), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1723z00_10641)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1295z00_9086)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1723z00_10641)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1296zd2_9087), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1723z00_10641)))->BgL_keyz00) =
						((obj_t) BgL_key1297z00_9088), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1723z00_10641)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21298za2_9089)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1723z00_10641)))->BgL_effectz00) =
						((obj_t) BgL_effect1299z00_9090), BUNSPEC);
					((((BgL_genpatchidz00_bglt) COBJECT(((BgL_genpatchidz00_bglt)
										BgL_new1723z00_10641)))->BgL_indexz00) =
						((long) BgL_index1300z00_10638), BUNSPEC);
					((((BgL_genpatchidz00_bglt) COBJECT(((BgL_genpatchidz00_bglt)
										BgL_new1723z00_10641)))->BgL_rindexz00) =
						((long) BgL_rindex1301z00_10639), BUNSPEC);
					{
						BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_18656;

						{
							obj_t BgL_auxz00_18657;

							{	/* Cfa/cinfo.scm 85 */
								BgL_objectz00_bglt BgL_tmpz00_18658;

								BgL_tmpz00_18658 = ((BgL_objectz00_bglt) BgL_new1723z00_10641);
								BgL_auxz00_18657 = BGL_OBJECT_WIDENING(BgL_tmpz00_18658);
							}
							BgL_auxz00_18656 =
								((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_18657);
						}
						((((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18656))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_approx1302z00_9093)), BUNSPEC);
					}
					return BgL_new1723z00_10641;
				}
			}
		}

	}



/* &lambda2411 */
	obj_t BGl_z62lambda2411z62zzcfa_infoz00(obj_t BgL_envz00_9094,
		obj_t BgL_oz00_9095, obj_t BgL_vz00_9096)
	{
		{	/* Cfa/cinfo.scm 85 */
			{
				BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_18664;

				{
					obj_t BgL_auxz00_18665;

					{	/* Cfa/cinfo.scm 85 */
						BgL_objectz00_bglt BgL_tmpz00_18666;

						BgL_tmpz00_18666 =
							((BgL_objectz00_bglt) ((BgL_genpatchidz00_bglt) BgL_oz00_9095));
						BgL_auxz00_18665 = BGL_OBJECT_WIDENING(BgL_tmpz00_18666);
					}
					BgL_auxz00_18664 =
						((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_18665);
				}
				return
					((((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18664))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9096)), BUNSPEC);
			}
		}

	}



/* &lambda2410 */
	BgL_approxz00_bglt BGl_z62lambda2410z62zzcfa_infoz00(obj_t BgL_envz00_9097,
		obj_t BgL_oz00_9098)
	{
		{	/* Cfa/cinfo.scm 85 */
			{
				BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_18673;

				{
					obj_t BgL_auxz00_18674;

					{	/* Cfa/cinfo.scm 85 */
						BgL_objectz00_bglt BgL_tmpz00_18675;

						BgL_tmpz00_18675 =
							((BgL_objectz00_bglt) ((BgL_genpatchidz00_bglt) BgL_oz00_9098));
						BgL_auxz00_18674 = BGL_OBJECT_WIDENING(BgL_tmpz00_18675);
					}
					BgL_auxz00_18673 =
						((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_18674);
				}
				return
					(((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18673))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2379 */
	BgL_literalz00_bglt BGl_z62lambda2379z62zzcfa_infoz00(obj_t BgL_envz00_9099,
		obj_t BgL_o1292z00_9100)
	{
		{	/* Cfa/cinfo.scm 83 */
			{	/* Cfa/cinfo.scm 83 */
				long BgL_arg2380z00_10651;

				{	/* Cfa/cinfo.scm 83 */
					obj_t BgL_arg2381z00_10652;

					{	/* Cfa/cinfo.scm 83 */
						obj_t BgL_arg2382z00_10653;

						{	/* Cfa/cinfo.scm 83 */
							long BgL_arg1833z00_10654;

							{	/* Cfa/cinfo.scm 83 */
								long BgL_arg1834z00_10655;

								BgL_arg1834z00_10655 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_literalz00_bglt) BgL_o1292z00_9100)));
								BgL_arg1833z00_10654 = (BgL_arg1834z00_10655 - OBJECT_TYPE);
							}
							BgL_arg2382z00_10653 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10654);
						}
						BgL_arg2381z00_10652 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2382z00_10653);
					}
					{	/* Cfa/cinfo.scm 83 */
						obj_t BgL_tmpz00_18687;

						BgL_tmpz00_18687 = ((obj_t) BgL_arg2381z00_10652);
						BgL_arg2380z00_10651 = BGL_CLASS_NUM(BgL_tmpz00_18687);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_literalz00_bglt) BgL_o1292z00_9100)), BgL_arg2380z00_10651);
			}
			{	/* Cfa/cinfo.scm 83 */
				BgL_objectz00_bglt BgL_tmpz00_18693;

				BgL_tmpz00_18693 =
					((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_o1292z00_9100));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18693, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_o1292z00_9100));
			return ((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1292z00_9100));
		}

	}



/* &<@anonymous:2378> */
	obj_t BGl_z62zc3z04anonymousza32378ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9101,
		obj_t BgL_new1291z00_9102)
	{
		{	/* Cfa/cinfo.scm 83 */
			{
				BgL_literalz00_bglt BgL_auxz00_18701;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_literalz00_bglt) BgL_new1291z00_9102))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18705;

					{	/* Cfa/cinfo.scm 83 */
						obj_t BgL_classz00_10657;

						BgL_classz00_10657 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 83 */
							obj_t BgL__ortest_1112z00_10658;

							BgL__ortest_1112z00_10658 = BGL_CLASS_NIL(BgL_classz00_10657);
							if (CBOOL(BgL__ortest_1112z00_10658))
								{	/* Cfa/cinfo.scm 83 */
									BgL_auxz00_18705 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10658);
								}
							else
								{	/* Cfa/cinfo.scm 83 */
									BgL_auxz00_18705 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10657));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_literalz00_bglt) BgL_new1291z00_9102))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_18705), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_literalz00_bglt) BgL_new1291z00_9102))))->
						BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_18725;
					BgL_literalzf2cinfozf2_bglt BgL_auxz00_18718;

					{	/* Cfa/cinfo.scm 83 */
						obj_t BgL_classz00_10659;

						BgL_classz00_10659 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 83 */
							obj_t BgL__ortest_1112z00_10660;

							BgL__ortest_1112z00_10660 = BGL_CLASS_NIL(BgL_classz00_10659);
							if (CBOOL(BgL__ortest_1112z00_10660))
								{	/* Cfa/cinfo.scm 83 */
									BgL_auxz00_18725 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10660);
								}
							else
								{	/* Cfa/cinfo.scm 83 */
									BgL_auxz00_18725 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10659));
								}
						}
					}
					{
						obj_t BgL_auxz00_18719;

						{	/* Cfa/cinfo.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_18720;

							BgL_tmpz00_18720 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) BgL_new1291z00_9102));
							BgL_auxz00_18719 = BGL_OBJECT_WIDENING(BgL_tmpz00_18720);
						}
						BgL_auxz00_18718 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_18719);
					}
					((((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18718))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_18725), BUNSPEC);
				}
				BgL_auxz00_18701 = ((BgL_literalz00_bglt) BgL_new1291z00_9102);
				return ((obj_t) BgL_auxz00_18701);
			}
		}

	}



/* &lambda2376 */
	BgL_literalz00_bglt BGl_z62lambda2376z62zzcfa_infoz00(obj_t BgL_envz00_9103,
		obj_t BgL_o1288z00_9104)
	{
		{	/* Cfa/cinfo.scm 83 */
			{	/* Cfa/cinfo.scm 83 */
				BgL_literalzf2cinfozf2_bglt BgL_wide1290z00_10662;

				BgL_wide1290z00_10662 =
					((BgL_literalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_literalzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 83 */
					obj_t BgL_auxz00_18740;
					BgL_objectz00_bglt BgL_tmpz00_18736;

					BgL_auxz00_18740 = ((obj_t) BgL_wide1290z00_10662);
					BgL_tmpz00_18736 =
						((BgL_objectz00_bglt)
						((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1288z00_9104)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18736, BgL_auxz00_18740);
				}
				((BgL_objectz00_bglt)
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1288z00_9104)));
				{	/* Cfa/cinfo.scm 83 */
					long BgL_arg2377z00_10663;

					BgL_arg2377z00_10663 =
						BGL_CLASS_NUM(BGl_literalzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_literalz00_bglt)
								((BgL_literalz00_bglt) BgL_o1288z00_9104))),
						BgL_arg2377z00_10663);
				}
				return
					((BgL_literalz00_bglt)
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1288z00_9104)));
			}
		}

	}



/* &lambda2372 */
	BgL_literalz00_bglt BGl_z62lambda2372z62zzcfa_infoz00(obj_t BgL_envz00_9105,
		obj_t BgL_loc1284z00_9106, obj_t BgL_type1285z00_9107,
		obj_t BgL_value1286z00_9108, obj_t BgL_approx1287z00_9109)
	{
		{	/* Cfa/cinfo.scm 83 */
			{	/* Cfa/cinfo.scm 83 */
				BgL_literalz00_bglt BgL_new1718z00_10666;

				{	/* Cfa/cinfo.scm 83 */
					BgL_literalz00_bglt BgL_tmp1716z00_10667;
					BgL_literalzf2cinfozf2_bglt BgL_wide1717z00_10668;

					{
						BgL_literalz00_bglt BgL_auxz00_18754;

						{	/* Cfa/cinfo.scm 83 */
							BgL_literalz00_bglt BgL_new1715z00_10669;

							BgL_new1715z00_10669 =
								((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_literalz00_bgl))));
							{	/* Cfa/cinfo.scm 83 */
								long BgL_arg2375z00_10670;

								BgL_arg2375z00_10670 =
									BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1715z00_10669),
									BgL_arg2375z00_10670);
							}
							{	/* Cfa/cinfo.scm 83 */
								BgL_objectz00_bglt BgL_tmpz00_18759;

								BgL_tmpz00_18759 = ((BgL_objectz00_bglt) BgL_new1715z00_10669);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18759, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1715z00_10669);
							BgL_auxz00_18754 = BgL_new1715z00_10669;
						}
						BgL_tmp1716z00_10667 = ((BgL_literalz00_bglt) BgL_auxz00_18754);
					}
					BgL_wide1717z00_10668 =
						((BgL_literalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 83 */
						obj_t BgL_auxz00_18767;
						BgL_objectz00_bglt BgL_tmpz00_18765;

						BgL_auxz00_18767 = ((obj_t) BgL_wide1717z00_10668);
						BgL_tmpz00_18765 = ((BgL_objectz00_bglt) BgL_tmp1716z00_10667);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18765, BgL_auxz00_18767);
					}
					((BgL_objectz00_bglt) BgL_tmp1716z00_10667);
					{	/* Cfa/cinfo.scm 83 */
						long BgL_arg2374z00_10671;

						BgL_arg2374z00_10671 =
							BGL_CLASS_NUM(BGl_literalzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1716z00_10667),
							BgL_arg2374z00_10671);
					}
					BgL_new1718z00_10666 = ((BgL_literalz00_bglt) BgL_tmp1716z00_10667);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1718z00_10666)))->BgL_locz00) =
					((obj_t) BgL_loc1284z00_9106), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1718z00_10666)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1285z00_9107)),
					BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1718z00_10666)))->BgL_valuez00) =
					((obj_t) BgL_value1286z00_9108), BUNSPEC);
				{
					BgL_literalzf2cinfozf2_bglt BgL_auxz00_18782;

					{
						obj_t BgL_auxz00_18783;

						{	/* Cfa/cinfo.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_18784;

							BgL_tmpz00_18784 = ((BgL_objectz00_bglt) BgL_new1718z00_10666);
							BgL_auxz00_18783 = BGL_OBJECT_WIDENING(BgL_tmpz00_18784);
						}
						BgL_auxz00_18782 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_18783);
					}
					((((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18782))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1287z00_9109)), BUNSPEC);
				}
				return BgL_new1718z00_10666;
			}
		}

	}



/* &lambda2387 */
	obj_t BGl_z62lambda2387z62zzcfa_infoz00(obj_t BgL_envz00_9110,
		obj_t BgL_oz00_9111, obj_t BgL_vz00_9112)
	{
		{	/* Cfa/cinfo.scm 83 */
			{
				BgL_literalzf2cinfozf2_bglt BgL_auxz00_18790;

				{
					obj_t BgL_auxz00_18791;

					{	/* Cfa/cinfo.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_18792;

						BgL_tmpz00_18792 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_9111));
						BgL_auxz00_18791 = BGL_OBJECT_WIDENING(BgL_tmpz00_18792);
					}
					BgL_auxz00_18790 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_18791);
				}
				return
					((((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18790))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9112)), BUNSPEC);
			}
		}

	}



/* &lambda2386 */
	BgL_approxz00_bglt BGl_z62lambda2386z62zzcfa_infoz00(obj_t BgL_envz00_9113,
		obj_t BgL_oz00_9114)
	{
		{	/* Cfa/cinfo.scm 83 */
			{
				BgL_literalzf2cinfozf2_bglt BgL_auxz00_18799;

				{
					obj_t BgL_auxz00_18800;

					{	/* Cfa/cinfo.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_18801;

						BgL_tmpz00_18801 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_9114));
						BgL_auxz00_18800 = BGL_OBJECT_WIDENING(BgL_tmpz00_18801);
					}
					BgL_auxz00_18799 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_18800);
				}
				return
					(((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18799))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2362 */
	BgL_globalz00_bglt BGl_z62lambda2362z62zzcfa_infoz00(obj_t BgL_envz00_9115,
		obj_t BgL_o1282z00_9116)
	{
		{	/* Cfa/cinfo.scm 80 */
			{	/* Cfa/cinfo.scm 80 */
				long BgL_arg2363z00_10676;

				{	/* Cfa/cinfo.scm 80 */
					obj_t BgL_arg2364z00_10677;

					{	/* Cfa/cinfo.scm 80 */
						obj_t BgL_arg2365z00_10678;

						{	/* Cfa/cinfo.scm 80 */
							long BgL_arg1833z00_10679;

							{	/* Cfa/cinfo.scm 80 */
								long BgL_arg1834z00_10680;

								BgL_arg1834z00_10680 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt) BgL_o1282z00_9116)));
								BgL_arg1833z00_10679 = (BgL_arg1834z00_10680 - OBJECT_TYPE);
							}
							BgL_arg2365z00_10678 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10679);
						}
						BgL_arg2364z00_10677 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2365z00_10678);
					}
					{	/* Cfa/cinfo.scm 80 */
						obj_t BgL_tmpz00_18813;

						BgL_tmpz00_18813 = ((obj_t) BgL_arg2364z00_10677);
						BgL_arg2363z00_10676 = BGL_CLASS_NUM(BgL_tmpz00_18813);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) BgL_o1282z00_9116)), BgL_arg2363z00_10676);
			}
			{	/* Cfa/cinfo.scm 80 */
				BgL_objectz00_bglt BgL_tmpz00_18819;

				BgL_tmpz00_18819 =
					((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1282z00_9116));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18819, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1282z00_9116));
			return ((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1282z00_9116));
		}

	}



/* &<@anonymous:2361> */
	obj_t BGl_z62zc3z04anonymousza32361ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9117,
		obj_t BgL_new1281z00_9118)
	{
		{	/* Cfa/cinfo.scm 80 */
			{
				BgL_globalz00_bglt BgL_auxz00_18827;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1281z00_9118))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 51))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1281z00_9118))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18835;

					{	/* Cfa/cinfo.scm 80 */
						obj_t BgL_classz00_10682;

						BgL_classz00_10682 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 80 */
							obj_t BgL__ortest_1112z00_10683;

							BgL__ortest_1112z00_10683 = BGL_CLASS_NIL(BgL_classz00_10682);
							if (CBOOL(BgL__ortest_1112z00_10683))
								{	/* Cfa/cinfo.scm 80 */
									BgL_auxz00_18835 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10683);
								}
							else
								{	/* Cfa/cinfo.scm 80 */
									BgL_auxz00_18835 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10682));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1281z00_9118))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_18835), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_18845;

					{	/* Cfa/cinfo.scm 80 */
						obj_t BgL_classz00_10684;

						BgL_classz00_10684 = BGl_valuez00zzast_varz00;
						{	/* Cfa/cinfo.scm 80 */
							obj_t BgL__ortest_1112z00_10685;

							BgL__ortest_1112z00_10685 = BGL_CLASS_NIL(BgL_classz00_10684);
							if (CBOOL(BgL__ortest_1112z00_10685))
								{	/* Cfa/cinfo.scm 80 */
									BgL_auxz00_18845 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_10685);
								}
							else
								{	/* Cfa/cinfo.scm 80 */
									BgL_auxz00_18845 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10684));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1281z00_9118))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_18845), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1281z00_9118))))->
						BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1281z00_9118))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1281z00_9118))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1281z00_9118))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1281z00_9118))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1281z00_9118))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1281z00_9118))))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 51))), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1281z00_9118))))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1281z00_9118))))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1281z00_9118))))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1281z00_9118))))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1281z00_9118))))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1281z00_9118))))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1281z00_9118))))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string3302z00zzcfa_infoz00), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1281z00_9118))))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1281z00_9118))))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_18827 = ((BgL_globalz00_bglt) BgL_new1281z00_9118);
				return ((obj_t) BgL_auxz00_18827);
			}
		}

	}



/* &lambda2359 */
	BgL_globalz00_bglt BGl_z62lambda2359z62zzcfa_infoz00(obj_t BgL_envz00_9119,
		obj_t BgL_o1278z00_9120)
	{
		{	/* Cfa/cinfo.scm 80 */
			{	/* Cfa/cinfo.scm 80 */
				BgL_reshapedzd2globalzd2_bglt BgL_wide1280z00_10687;

				BgL_wide1280z00_10687 =
					((BgL_reshapedzd2globalzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_reshapedzd2globalzd2_bgl))));
				{	/* Cfa/cinfo.scm 80 */
					obj_t BgL_auxz00_18911;
					BgL_objectz00_bglt BgL_tmpz00_18907;

					BgL_auxz00_18911 = ((obj_t) BgL_wide1280z00_10687);
					BgL_tmpz00_18907 =
						((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1278z00_9120)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18907, BgL_auxz00_18911);
				}
				((BgL_objectz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1278z00_9120)));
				{	/* Cfa/cinfo.scm 80 */
					long BgL_arg2360z00_10688;

					BgL_arg2360z00_10688 =
						BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_o1278z00_9120))),
						BgL_arg2360z00_10688);
				}
				return
					((BgL_globalz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1278z00_9120)));
			}
		}

	}



/* &lambda2356 */
	BgL_globalz00_bglt BGl_z62lambda2356z62zzcfa_infoz00(obj_t BgL_envz00_9121,
		obj_t BgL_id1258z00_9122, obj_t BgL_name1259z00_9123,
		obj_t BgL_type1260z00_9124, obj_t BgL_value1261z00_9125,
		obj_t BgL_access1262z00_9126, obj_t BgL_fastzd2alpha1263zd2_9127,
		obj_t BgL_removable1264z00_9128, obj_t BgL_occurrence1265z00_9129,
		obj_t BgL_occurrencew1266z00_9130, obj_t BgL_userzf31267zf3_9131,
		obj_t BgL_module1268z00_9132, obj_t BgL_import1269z00_9133,
		obj_t BgL_evaluablezf31270zf3_9134, obj_t BgL_evalzf31271zf3_9135,
		obj_t BgL_library1272z00_9136, obj_t BgL_pragma1273z00_9137,
		obj_t BgL_src1274z00_9138, obj_t BgL_jvmzd2typezd2name1275z00_9139,
		obj_t BgL_init1276z00_9140, obj_t BgL_alias1277z00_9141)
	{
		{	/* Cfa/cinfo.scm 80 */
			{	/* Cfa/cinfo.scm 80 */
				long BgL_occurrence1265z00_10692;
				long BgL_occurrencew1266z00_10693;
				bool_t BgL_userzf31267zf3_10694;
				bool_t BgL_evaluablezf31270zf3_10696;
				bool_t BgL_evalzf31271zf3_10697;

				BgL_occurrence1265z00_10692 = (long) CINT(BgL_occurrence1265z00_9129);
				BgL_occurrencew1266z00_10693 = (long) CINT(BgL_occurrencew1266z00_9130);
				BgL_userzf31267zf3_10694 = CBOOL(BgL_userzf31267zf3_9131);
				BgL_evaluablezf31270zf3_10696 = CBOOL(BgL_evaluablezf31270zf3_9134);
				BgL_evalzf31271zf3_10697 = CBOOL(BgL_evalzf31271zf3_9135);
				{	/* Cfa/cinfo.scm 80 */
					BgL_globalz00_bglt BgL_new1713z00_10699;

					{	/* Cfa/cinfo.scm 80 */
						BgL_globalz00_bglt BgL_tmp1711z00_10700;
						BgL_reshapedzd2globalzd2_bglt BgL_wide1712z00_10701;

						{
							BgL_globalz00_bglt BgL_auxz00_18930;

							{	/* Cfa/cinfo.scm 80 */
								BgL_globalz00_bglt BgL_new1710z00_10702;

								BgL_new1710z00_10702 =
									((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Cfa/cinfo.scm 80 */
									long BgL_arg2358z00_10703;

									BgL_arg2358z00_10703 =
										BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1710z00_10702),
										BgL_arg2358z00_10703);
								}
								{	/* Cfa/cinfo.scm 80 */
									BgL_objectz00_bglt BgL_tmpz00_18935;

									BgL_tmpz00_18935 =
										((BgL_objectz00_bglt) BgL_new1710z00_10702);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18935, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1710z00_10702);
								BgL_auxz00_18930 = BgL_new1710z00_10702;
							}
							BgL_tmp1711z00_10700 = ((BgL_globalz00_bglt) BgL_auxz00_18930);
						}
						BgL_wide1712z00_10701 =
							((BgL_reshapedzd2globalzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_reshapedzd2globalzd2_bgl))));
						{	/* Cfa/cinfo.scm 80 */
							obj_t BgL_auxz00_18943;
							BgL_objectz00_bglt BgL_tmpz00_18941;

							BgL_auxz00_18943 = ((obj_t) BgL_wide1712z00_10701);
							BgL_tmpz00_18941 = ((BgL_objectz00_bglt) BgL_tmp1711z00_10700);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18941, BgL_auxz00_18943);
						}
						((BgL_objectz00_bglt) BgL_tmp1711z00_10700);
						{	/* Cfa/cinfo.scm 80 */
							long BgL_arg2357z00_10704;

							BgL_arg2357z00_10704 =
								BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1711z00_10700),
								BgL_arg2357z00_10704);
						}
						BgL_new1713z00_10699 = ((BgL_globalz00_bglt) BgL_tmp1711z00_10700);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1713z00_10699)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1258z00_9122)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1713z00_10699)))->BgL_namez00) =
						((obj_t) BgL_name1259z00_9123), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1713z00_10699)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1260z00_9124)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1713z00_10699)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1261z00_9125)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1713z00_10699)))->BgL_accessz00) =
						((obj_t) BgL_access1262z00_9126), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1713z00_10699)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1263zd2_9127), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1713z00_10699)))->BgL_removablez00) =
						((obj_t) BgL_removable1264z00_9128), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1713z00_10699)))->BgL_occurrencez00) =
						((long) BgL_occurrence1265z00_10692), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1713z00_10699)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1266z00_10693), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1713z00_10699)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31267zf3_10694), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1713z00_10699)))->BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1268z00_9132)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1713z00_10699)))->BgL_importz00) =
						((obj_t) BgL_import1269z00_9133), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1713z00_10699)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31270zf3_10696), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1713z00_10699)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31271zf3_10697), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1713z00_10699)))->BgL_libraryz00) =
						((obj_t) BgL_library1272z00_9136), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1713z00_10699)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1273z00_9137), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1713z00_10699)))->BgL_srcz00) =
						((obj_t) BgL_src1274z00_9138), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1713z00_10699)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) ((obj_t) BgL_jvmzd2typezd2name1275z00_9139)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1713z00_10699)))->BgL_initz00) =
						((obj_t) BgL_init1276z00_9140), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1713z00_10699)))->BgL_aliasz00) =
						((obj_t) BgL_alias1277z00_9141), BUNSPEC);
					return BgL_new1713z00_10699;
				}
			}
		}

	}



/* &lambda2336 */
	BgL_localz00_bglt BGl_z62lambda2336z62zzcfa_infoz00(obj_t BgL_envz00_9142,
		obj_t BgL_o1256z00_9143)
	{
		{	/* Cfa/cinfo.scm 78 */
			{	/* Cfa/cinfo.scm 78 */
				long BgL_arg2337z00_10706;

				{	/* Cfa/cinfo.scm 78 */
					obj_t BgL_arg2338z00_10707;

					{	/* Cfa/cinfo.scm 78 */
						obj_t BgL_arg2340z00_10708;

						{	/* Cfa/cinfo.scm 78 */
							long BgL_arg1833z00_10709;

							{	/* Cfa/cinfo.scm 78 */
								long BgL_arg1834z00_10710;

								BgL_arg1834z00_10710 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1256z00_9143)));
								BgL_arg1833z00_10709 = (BgL_arg1834z00_10710 - OBJECT_TYPE);
							}
							BgL_arg2340z00_10708 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10709);
						}
						BgL_arg2338z00_10707 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2340z00_10708);
					}
					{	/* Cfa/cinfo.scm 78 */
						obj_t BgL_tmpz00_19002;

						BgL_tmpz00_19002 = ((obj_t) BgL_arg2338z00_10707);
						BgL_arg2337z00_10706 = BGL_CLASS_NUM(BgL_tmpz00_19002);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1256z00_9143)), BgL_arg2337z00_10706);
			}
			{	/* Cfa/cinfo.scm 78 */
				BgL_objectz00_bglt BgL_tmpz00_19008;

				BgL_tmpz00_19008 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1256z00_9143));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19008, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1256z00_9143));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1256z00_9143));
		}

	}



/* &<@anonymous:2335> */
	obj_t BGl_z62zc3z04anonymousza32335ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9144,
		obj_t BgL_new1255z00_9145)
	{
		{	/* Cfa/cinfo.scm 78 */
			{
				BgL_localz00_bglt BgL_auxz00_19016;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1255z00_9145))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 51))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1255z00_9145))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_19024;

					{	/* Cfa/cinfo.scm 78 */
						obj_t BgL_classz00_10712;

						BgL_classz00_10712 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 78 */
							obj_t BgL__ortest_1112z00_10713;

							BgL__ortest_1112z00_10713 = BGL_CLASS_NIL(BgL_classz00_10712);
							if (CBOOL(BgL__ortest_1112z00_10713))
								{	/* Cfa/cinfo.scm 78 */
									BgL_auxz00_19024 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10713);
								}
							else
								{	/* Cfa/cinfo.scm 78 */
									BgL_auxz00_19024 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10712));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1255z00_9145))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_19024), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_19034;

					{	/* Cfa/cinfo.scm 78 */
						obj_t BgL_classz00_10714;

						BgL_classz00_10714 = BGl_valuez00zzast_varz00;
						{	/* Cfa/cinfo.scm 78 */
							obj_t BgL__ortest_1112z00_10715;

							BgL__ortest_1112z00_10715 = BGL_CLASS_NIL(BgL_classz00_10714);
							if (CBOOL(BgL__ortest_1112z00_10715))
								{	/* Cfa/cinfo.scm 78 */
									BgL_auxz00_19034 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_10715);
								}
							else
								{	/* Cfa/cinfo.scm 78 */
									BgL_auxz00_19034 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10714));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1255z00_9145))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_19034), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1255z00_9145))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1255z00_9145))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1255z00_9145))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1255z00_9145))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1255z00_9145))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1255z00_9145))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1255z00_9145))))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1255z00_9145))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1255z00_9145))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_reshapedzd2localzd2_bglt BgL_auxz00_19071;

					{
						obj_t BgL_auxz00_19072;

						{	/* Cfa/cinfo.scm 78 */
							BgL_objectz00_bglt BgL_tmpz00_19073;

							BgL_tmpz00_19073 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1255z00_9145));
							BgL_auxz00_19072 = BGL_OBJECT_WIDENING(BgL_tmpz00_19073);
						}
						BgL_auxz00_19071 =
							((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_19072);
					}
					((((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_19071))->
							BgL_bindingzd2valuezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_19016 = ((BgL_localz00_bglt) BgL_new1255z00_9145);
				return ((obj_t) BgL_auxz00_19016);
			}
		}

	}



/* &lambda2332 */
	BgL_localz00_bglt BGl_z62lambda2332z62zzcfa_infoz00(obj_t BgL_envz00_9146,
		obj_t BgL_o1252z00_9147)
	{
		{	/* Cfa/cinfo.scm 78 */
			{	/* Cfa/cinfo.scm 78 */
				BgL_reshapedzd2localzd2_bglt BgL_wide1254z00_10717;

				BgL_wide1254z00_10717 =
					((BgL_reshapedzd2localzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_reshapedzd2localzd2_bgl))));
				{	/* Cfa/cinfo.scm 78 */
					obj_t BgL_auxz00_19086;
					BgL_objectz00_bglt BgL_tmpz00_19082;

					BgL_auxz00_19086 = ((obj_t) BgL_wide1254z00_10717);
					BgL_tmpz00_19082 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1252z00_9147)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19082, BgL_auxz00_19086);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1252z00_9147)));
				{	/* Cfa/cinfo.scm 78 */
					long BgL_arg2334z00_10718;

					BgL_arg2334z00_10718 =
						BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1252z00_9147))),
						BgL_arg2334z00_10718);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1252z00_9147)));
			}
		}

	}



/* &lambda2328 */
	BgL_localz00_bglt BGl_z62lambda2328z62zzcfa_infoz00(obj_t BgL_envz00_9148,
		obj_t BgL_id1238z00_9149, obj_t BgL_name1239z00_9150,
		obj_t BgL_type1240z00_9151, obj_t BgL_value1241z00_9152,
		obj_t BgL_access1242z00_9153, obj_t BgL_fastzd2alpha1243zd2_9154,
		obj_t BgL_removable1244z00_9155, obj_t BgL_occurrence1245z00_9156,
		obj_t BgL_occurrencew1246z00_9157, obj_t BgL_userzf31247zf3_9158,
		obj_t BgL_key1248z00_9159, obj_t BgL_valzd2noescape1249zd2_9160,
		obj_t BgL_volatile1250z00_9161, obj_t BgL_bindingzd2value1251zd2_9162)
	{
		{	/* Cfa/cinfo.scm 78 */
			{	/* Cfa/cinfo.scm 78 */
				long BgL_occurrence1245z00_10722;
				long BgL_occurrencew1246z00_10723;
				bool_t BgL_userzf31247zf3_10724;
				long BgL_key1248z00_10725;
				bool_t BgL_volatile1250z00_10726;

				BgL_occurrence1245z00_10722 = (long) CINT(BgL_occurrence1245z00_9156);
				BgL_occurrencew1246z00_10723 = (long) CINT(BgL_occurrencew1246z00_9157);
				BgL_userzf31247zf3_10724 = CBOOL(BgL_userzf31247zf3_9158);
				BgL_key1248z00_10725 = (long) CINT(BgL_key1248z00_9159);
				BgL_volatile1250z00_10726 = CBOOL(BgL_volatile1250z00_9161);
				{	/* Cfa/cinfo.scm 78 */
					BgL_localz00_bglt BgL_new1708z00_10727;

					{	/* Cfa/cinfo.scm 78 */
						BgL_localz00_bglt BgL_tmp1706z00_10728;
						BgL_reshapedzd2localzd2_bglt BgL_wide1707z00_10729;

						{
							BgL_localz00_bglt BgL_auxz00_19105;

							{	/* Cfa/cinfo.scm 78 */
								BgL_localz00_bglt BgL_new1705z00_10730;

								BgL_new1705z00_10730 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Cfa/cinfo.scm 78 */
									long BgL_arg2331z00_10731;

									BgL_arg2331z00_10731 =
										BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1705z00_10730),
										BgL_arg2331z00_10731);
								}
								{	/* Cfa/cinfo.scm 78 */
									BgL_objectz00_bglt BgL_tmpz00_19110;

									BgL_tmpz00_19110 =
										((BgL_objectz00_bglt) BgL_new1705z00_10730);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19110, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1705z00_10730);
								BgL_auxz00_19105 = BgL_new1705z00_10730;
							}
							BgL_tmp1706z00_10728 = ((BgL_localz00_bglt) BgL_auxz00_19105);
						}
						BgL_wide1707z00_10729 =
							((BgL_reshapedzd2localzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_reshapedzd2localzd2_bgl))));
						{	/* Cfa/cinfo.scm 78 */
							obj_t BgL_auxz00_19118;
							BgL_objectz00_bglt BgL_tmpz00_19116;

							BgL_auxz00_19118 = ((obj_t) BgL_wide1707z00_10729);
							BgL_tmpz00_19116 = ((BgL_objectz00_bglt) BgL_tmp1706z00_10728);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19116, BgL_auxz00_19118);
						}
						((BgL_objectz00_bglt) BgL_tmp1706z00_10728);
						{	/* Cfa/cinfo.scm 78 */
							long BgL_arg2329z00_10732;

							BgL_arg2329z00_10732 =
								BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1706z00_10728),
								BgL_arg2329z00_10732);
						}
						BgL_new1708z00_10727 = ((BgL_localz00_bglt) BgL_tmp1706z00_10728);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1708z00_10727)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1238z00_9149)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1708z00_10727)))->BgL_namez00) =
						((obj_t) BgL_name1239z00_9150), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1708z00_10727)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1240z00_9151)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1708z00_10727)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1241z00_9152)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1708z00_10727)))->BgL_accessz00) =
						((obj_t) BgL_access1242z00_9153), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1708z00_10727)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1243zd2_9154), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1708z00_10727)))->BgL_removablez00) =
						((obj_t) BgL_removable1244z00_9155), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1708z00_10727)))->BgL_occurrencez00) =
						((long) BgL_occurrence1245z00_10722), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1708z00_10727)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1246z00_10723), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1708z00_10727)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31247zf3_10724), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1708z00_10727)))->BgL_keyz00) =
						((long) BgL_key1248z00_10725), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1708z00_10727)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1249zd2_9160), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1708z00_10727)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1250z00_10726), BUNSPEC);
					{
						BgL_reshapedzd2localzd2_bglt BgL_auxz00_19155;

						{
							obj_t BgL_auxz00_19156;

							{	/* Cfa/cinfo.scm 78 */
								BgL_objectz00_bglt BgL_tmpz00_19157;

								BgL_tmpz00_19157 = ((BgL_objectz00_bglt) BgL_new1708z00_10727);
								BgL_auxz00_19156 = BGL_OBJECT_WIDENING(BgL_tmpz00_19157);
							}
							BgL_auxz00_19155 =
								((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_19156);
						}
						((((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_19155))->
								BgL_bindingzd2valuezd2) =
							((obj_t) BgL_bindingzd2value1251zd2_9162), BUNSPEC);
					}
					return BgL_new1708z00_10727;
				}
			}
		}

	}



/* &<@anonymous:2349> */
	obj_t BGl_z62zc3z04anonymousza32349ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9163)
	{
		{	/* Cfa/cinfo.scm 78 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2348 */
	obj_t BGl_z62lambda2348z62zzcfa_infoz00(obj_t BgL_envz00_9164,
		obj_t BgL_oz00_9165, obj_t BgL_vz00_9166)
	{
		{	/* Cfa/cinfo.scm 78 */
			{
				BgL_reshapedzd2localzd2_bglt BgL_auxz00_19163;

				{
					obj_t BgL_auxz00_19164;

					{	/* Cfa/cinfo.scm 78 */
						BgL_objectz00_bglt BgL_tmpz00_19165;

						BgL_tmpz00_19165 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_9165));
						BgL_auxz00_19164 = BGL_OBJECT_WIDENING(BgL_tmpz00_19165);
					}
					BgL_auxz00_19163 = ((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_19164);
				}
				return
					((((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_19163))->
						BgL_bindingzd2valuezd2) = ((obj_t) BgL_vz00_9166), BUNSPEC);
			}
		}

	}



/* &lambda2347 */
	obj_t BGl_z62lambda2347z62zzcfa_infoz00(obj_t BgL_envz00_9167,
		obj_t BgL_oz00_9168)
	{
		{	/* Cfa/cinfo.scm 78 */
			{
				BgL_reshapedzd2localzd2_bglt BgL_auxz00_19171;

				{
					obj_t BgL_auxz00_19172;

					{	/* Cfa/cinfo.scm 78 */
						BgL_objectz00_bglt BgL_tmpz00_19173;

						BgL_tmpz00_19173 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_9168));
						BgL_auxz00_19172 = BGL_OBJECT_WIDENING(BgL_tmpz00_19173);
					}
					BgL_auxz00_19171 = ((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_19172);
				}
				return
					(((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_19171))->
					BgL_bindingzd2valuezd2);
			}
		}

	}



/* &lambda2311 */
	BgL_sexitz00_bglt BGl_z62lambda2311z62zzcfa_infoz00(obj_t BgL_envz00_9169,
		obj_t BgL_o1236z00_9170)
	{
		{	/* Cfa/cinfo.scm 74 */
			{	/* Cfa/cinfo.scm 74 */
				long BgL_arg2312z00_10736;

				{	/* Cfa/cinfo.scm 74 */
					obj_t BgL_arg2314z00_10737;

					{	/* Cfa/cinfo.scm 74 */
						obj_t BgL_arg2315z00_10738;

						{	/* Cfa/cinfo.scm 74 */
							long BgL_arg1833z00_10739;

							{	/* Cfa/cinfo.scm 74 */
								long BgL_arg1834z00_10740;

								BgL_arg1834z00_10740 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sexitz00_bglt) BgL_o1236z00_9170)));
								BgL_arg1833z00_10739 = (BgL_arg1834z00_10740 - OBJECT_TYPE);
							}
							BgL_arg2315z00_10738 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10739);
						}
						BgL_arg2314z00_10737 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2315z00_10738);
					}
					{	/* Cfa/cinfo.scm 74 */
						obj_t BgL_tmpz00_19185;

						BgL_tmpz00_19185 = ((obj_t) BgL_arg2314z00_10737);
						BgL_arg2312z00_10736 = BGL_CLASS_NUM(BgL_tmpz00_19185);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sexitz00_bglt) BgL_o1236z00_9170)), BgL_arg2312z00_10736);
			}
			{	/* Cfa/cinfo.scm 74 */
				BgL_objectz00_bglt BgL_tmpz00_19191;

				BgL_tmpz00_19191 =
					((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_o1236z00_9170));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19191, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_o1236z00_9170));
			return ((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1236z00_9170));
		}

	}



/* &<@anonymous:2310> */
	obj_t BGl_z62zc3z04anonymousza32310ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9171,
		obj_t BgL_new1235z00_9172)
	{
		{	/* Cfa/cinfo.scm 74 */
			{
				BgL_sexitz00_bglt BgL_auxz00_19199;

				((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt)
									((BgL_sexitz00_bglt) BgL_new1235z00_9172))))->
						BgL_handlerz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt)
										BgL_new1235z00_9172))))->BgL_detachedzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_19213;
					BgL_sexitzf2cinfozf2_bglt BgL_auxz00_19206;

					{	/* Cfa/cinfo.scm 74 */
						obj_t BgL_classz00_10742;

						BgL_classz00_10742 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 74 */
							obj_t BgL__ortest_1112z00_10743;

							BgL__ortest_1112z00_10743 = BGL_CLASS_NIL(BgL_classz00_10742);
							if (CBOOL(BgL__ortest_1112z00_10743))
								{	/* Cfa/cinfo.scm 74 */
									BgL_auxz00_19213 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10743);
								}
							else
								{	/* Cfa/cinfo.scm 74 */
									BgL_auxz00_19213 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10742));
								}
						}
					}
					{
						obj_t BgL_auxz00_19207;

						{	/* Cfa/cinfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_19208;

							BgL_tmpz00_19208 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_new1235z00_9172));
							BgL_auxz00_19207 = BGL_OBJECT_WIDENING(BgL_tmpz00_19208);
						}
						BgL_auxz00_19206 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_19207);
					}
					((((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19206))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_19213), BUNSPEC);
				}
				BgL_auxz00_19199 = ((BgL_sexitz00_bglt) BgL_new1235z00_9172);
				return ((obj_t) BgL_auxz00_19199);
			}
		}

	}



/* &lambda2308 */
	BgL_sexitz00_bglt BGl_z62lambda2308z62zzcfa_infoz00(obj_t BgL_envz00_9173,
		obj_t BgL_o1232z00_9174)
	{
		{	/* Cfa/cinfo.scm 74 */
			{	/* Cfa/cinfo.scm 74 */
				BgL_sexitzf2cinfozf2_bglt BgL_wide1234z00_10745;

				BgL_wide1234z00_10745 =
					((BgL_sexitzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sexitzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 74 */
					obj_t BgL_auxz00_19228;
					BgL_objectz00_bglt BgL_tmpz00_19224;

					BgL_auxz00_19228 = ((obj_t) BgL_wide1234z00_10745);
					BgL_tmpz00_19224 =
						((BgL_objectz00_bglt)
						((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1232z00_9174)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19224, BgL_auxz00_19228);
				}
				((BgL_objectz00_bglt)
					((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1232z00_9174)));
				{	/* Cfa/cinfo.scm 74 */
					long BgL_arg2309z00_10746;

					BgL_arg2309z00_10746 =
						BGL_CLASS_NUM(BGl_sexitzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sexitz00_bglt)
								((BgL_sexitz00_bglt) BgL_o1232z00_9174))),
						BgL_arg2309z00_10746);
				}
				return
					((BgL_sexitz00_bglt)
					((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1232z00_9174)));
			}
		}

	}



/* &lambda2305 */
	BgL_sexitz00_bglt BGl_z62lambda2305z62zzcfa_infoz00(obj_t BgL_envz00_9175,
		obj_t BgL_handler1229z00_9176, obj_t BgL_detachedzf31230zf3_9177,
		obj_t BgL_approx1231z00_9178)
	{
		{	/* Cfa/cinfo.scm 74 */
			{	/* Cfa/cinfo.scm 74 */
				bool_t BgL_detachedzf31230zf3_10747;

				BgL_detachedzf31230zf3_10747 = CBOOL(BgL_detachedzf31230zf3_9177);
				{	/* Cfa/cinfo.scm 74 */
					BgL_sexitz00_bglt BgL_new1703z00_10749;

					{	/* Cfa/cinfo.scm 74 */
						BgL_sexitz00_bglt BgL_tmp1701z00_10750;
						BgL_sexitzf2cinfozf2_bglt BgL_wide1702z00_10751;

						{
							BgL_sexitz00_bglt BgL_auxz00_19243;

							{	/* Cfa/cinfo.scm 74 */
								BgL_sexitz00_bglt BgL_new1700z00_10752;

								BgL_new1700z00_10752 =
									((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sexitz00_bgl))));
								{	/* Cfa/cinfo.scm 74 */
									long BgL_arg2307z00_10753;

									BgL_arg2307z00_10753 =
										BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1700z00_10752),
										BgL_arg2307z00_10753);
								}
								{	/* Cfa/cinfo.scm 74 */
									BgL_objectz00_bglt BgL_tmpz00_19248;

									BgL_tmpz00_19248 =
										((BgL_objectz00_bglt) BgL_new1700z00_10752);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19248, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1700z00_10752);
								BgL_auxz00_19243 = BgL_new1700z00_10752;
							}
							BgL_tmp1701z00_10750 = ((BgL_sexitz00_bglt) BgL_auxz00_19243);
						}
						BgL_wide1702z00_10751 =
							((BgL_sexitzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sexitzf2cinfozf2_bgl))));
						{	/* Cfa/cinfo.scm 74 */
							obj_t BgL_auxz00_19256;
							BgL_objectz00_bglt BgL_tmpz00_19254;

							BgL_auxz00_19256 = ((obj_t) BgL_wide1702z00_10751);
							BgL_tmpz00_19254 = ((BgL_objectz00_bglt) BgL_tmp1701z00_10750);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19254, BgL_auxz00_19256);
						}
						((BgL_objectz00_bglt) BgL_tmp1701z00_10750);
						{	/* Cfa/cinfo.scm 74 */
							long BgL_arg2306z00_10754;

							BgL_arg2306z00_10754 =
								BGL_CLASS_NUM(BGl_sexitzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1701z00_10750),
								BgL_arg2306z00_10754);
						}
						BgL_new1703z00_10749 = ((BgL_sexitz00_bglt) BgL_tmp1701z00_10750);
					}
					((((BgL_sexitz00_bglt) COBJECT(
									((BgL_sexitz00_bglt) BgL_new1703z00_10749)))->
							BgL_handlerz00) = ((obj_t) BgL_handler1229z00_9176), BUNSPEC);
					((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
										BgL_new1703z00_10749)))->BgL_detachedzf3zf3) =
						((bool_t) BgL_detachedzf31230zf3_10747), BUNSPEC);
					{
						BgL_sexitzf2cinfozf2_bglt BgL_auxz00_19268;

						{
							obj_t BgL_auxz00_19269;

							{	/* Cfa/cinfo.scm 74 */
								BgL_objectz00_bglt BgL_tmpz00_19270;

								BgL_tmpz00_19270 = ((BgL_objectz00_bglt) BgL_new1703z00_10749);
								BgL_auxz00_19269 = BGL_OBJECT_WIDENING(BgL_tmpz00_19270);
							}
							BgL_auxz00_19268 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_19269);
						}
						((((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19268))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_approx1231z00_9178)), BUNSPEC);
					}
					return BgL_new1703z00_10749;
				}
			}
		}

	}



/* &lambda2321 */
	obj_t BGl_z62lambda2321z62zzcfa_infoz00(obj_t BgL_envz00_9179,
		obj_t BgL_oz00_9180, obj_t BgL_vz00_9181)
	{
		{	/* Cfa/cinfo.scm 74 */
			{
				BgL_sexitzf2cinfozf2_bglt BgL_auxz00_19276;

				{
					obj_t BgL_auxz00_19277;

					{	/* Cfa/cinfo.scm 74 */
						BgL_objectz00_bglt BgL_tmpz00_19278;

						BgL_tmpz00_19278 =
							((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_9180));
						BgL_auxz00_19277 = BGL_OBJECT_WIDENING(BgL_tmpz00_19278);
					}
					BgL_auxz00_19276 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_19277);
				}
				return
					((((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19276))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9181)), BUNSPEC);
			}
		}

	}



/* &lambda2320 */
	BgL_approxz00_bglt BGl_z62lambda2320z62zzcfa_infoz00(obj_t BgL_envz00_9182,
		obj_t BgL_oz00_9183)
	{
		{	/* Cfa/cinfo.scm 74 */
			{
				BgL_sexitzf2cinfozf2_bglt BgL_auxz00_19285;

				{
					obj_t BgL_auxz00_19286;

					{	/* Cfa/cinfo.scm 74 */
						BgL_objectz00_bglt BgL_tmpz00_19287;

						BgL_tmpz00_19287 =
							((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_9183));
						BgL_auxz00_19286 = BGL_OBJECT_WIDENING(BgL_tmpz00_19287);
					}
					BgL_auxz00_19285 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_19286);
				}
				return
					(((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19285))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2288 */
	BgL_cvarz00_bglt BGl_z62lambda2288z62zzcfa_infoz00(obj_t BgL_envz00_9184,
		obj_t BgL_o1227z00_9185)
	{
		{	/* Cfa/cinfo.scm 70 */
			{	/* Cfa/cinfo.scm 70 */
				long BgL_arg2289z00_10759;

				{	/* Cfa/cinfo.scm 70 */
					obj_t BgL_arg2290z00_10760;

					{	/* Cfa/cinfo.scm 70 */
						obj_t BgL_arg2291z00_10761;

						{	/* Cfa/cinfo.scm 70 */
							long BgL_arg1833z00_10762;

							{	/* Cfa/cinfo.scm 70 */
								long BgL_arg1834z00_10763;

								BgL_arg1834z00_10763 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_cvarz00_bglt) BgL_o1227z00_9185)));
								BgL_arg1833z00_10762 = (BgL_arg1834z00_10763 - OBJECT_TYPE);
							}
							BgL_arg2291z00_10761 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10762);
						}
						BgL_arg2290z00_10760 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2291z00_10761);
					}
					{	/* Cfa/cinfo.scm 70 */
						obj_t BgL_tmpz00_19299;

						BgL_tmpz00_19299 = ((obj_t) BgL_arg2290z00_10760);
						BgL_arg2289z00_10759 = BGL_CLASS_NUM(BgL_tmpz00_19299);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_cvarz00_bglt) BgL_o1227z00_9185)), BgL_arg2289z00_10759);
			}
			{	/* Cfa/cinfo.scm 70 */
				BgL_objectz00_bglt BgL_tmpz00_19305;

				BgL_tmpz00_19305 =
					((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_o1227z00_9185));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19305, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_o1227z00_9185));
			return ((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_o1227z00_9185));
		}

	}



/* &<@anonymous:2287> */
	obj_t BGl_z62zc3z04anonymousza32287ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9186,
		obj_t BgL_new1226z00_9187)
	{
		{	/* Cfa/cinfo.scm 70 */
			{
				BgL_cvarz00_bglt BgL_auxz00_19313;

				((((BgL_cvarz00_bglt) COBJECT(
								((BgL_cvarz00_bglt)
									((BgL_cvarz00_bglt) BgL_new1226z00_9187))))->
						BgL_macrozf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_19324;
					BgL_cvarzf2cinfozf2_bglt BgL_auxz00_19317;

					{	/* Cfa/cinfo.scm 70 */
						obj_t BgL_classz00_10765;

						BgL_classz00_10765 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 70 */
							obj_t BgL__ortest_1112z00_10766;

							BgL__ortest_1112z00_10766 = BGL_CLASS_NIL(BgL_classz00_10765);
							if (CBOOL(BgL__ortest_1112z00_10766))
								{	/* Cfa/cinfo.scm 70 */
									BgL_auxz00_19324 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10766);
								}
							else
								{	/* Cfa/cinfo.scm 70 */
									BgL_auxz00_19324 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10765));
								}
						}
					}
					{
						obj_t BgL_auxz00_19318;

						{	/* Cfa/cinfo.scm 70 */
							BgL_objectz00_bglt BgL_tmpz00_19319;

							BgL_tmpz00_19319 =
								((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_new1226z00_9187));
							BgL_auxz00_19318 = BGL_OBJECT_WIDENING(BgL_tmpz00_19319);
						}
						BgL_auxz00_19317 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_19318);
					}
					((((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19317))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_19324), BUNSPEC);
				}
				BgL_auxz00_19313 = ((BgL_cvarz00_bglt) BgL_new1226z00_9187);
				return ((obj_t) BgL_auxz00_19313);
			}
		}

	}



/* &lambda2285 */
	BgL_cvarz00_bglt BGl_z62lambda2285z62zzcfa_infoz00(obj_t BgL_envz00_9188,
		obj_t BgL_o1223z00_9189)
	{
		{	/* Cfa/cinfo.scm 70 */
			{	/* Cfa/cinfo.scm 70 */
				BgL_cvarzf2cinfozf2_bglt BgL_wide1225z00_10768;

				BgL_wide1225z00_10768 =
					((BgL_cvarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_cvarzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 70 */
					obj_t BgL_auxz00_19339;
					BgL_objectz00_bglt BgL_tmpz00_19335;

					BgL_auxz00_19339 = ((obj_t) BgL_wide1225z00_10768);
					BgL_tmpz00_19335 =
						((BgL_objectz00_bglt)
						((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_o1223z00_9189)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19335, BgL_auxz00_19339);
				}
				((BgL_objectz00_bglt)
					((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_o1223z00_9189)));
				{	/* Cfa/cinfo.scm 70 */
					long BgL_arg2286z00_10769;

					BgL_arg2286z00_10769 =
						BGL_CLASS_NUM(BGl_cvarzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_cvarz00_bglt)
								((BgL_cvarz00_bglt) BgL_o1223z00_9189))), BgL_arg2286z00_10769);
				}
				return
					((BgL_cvarz00_bglt)
					((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_o1223z00_9189)));
			}
		}

	}



/* &lambda2282 */
	BgL_cvarz00_bglt BGl_z62lambda2282z62zzcfa_infoz00(obj_t BgL_envz00_9190,
		obj_t BgL_macrozf31221zf3_9191, obj_t BgL_approx1222z00_9192)
	{
		{	/* Cfa/cinfo.scm 70 */
			{	/* Cfa/cinfo.scm 70 */
				bool_t BgL_macrozf31221zf3_10770;

				BgL_macrozf31221zf3_10770 = CBOOL(BgL_macrozf31221zf3_9191);
				{	/* Cfa/cinfo.scm 70 */
					BgL_cvarz00_bglt BgL_new1698z00_10772;

					{	/* Cfa/cinfo.scm 70 */
						BgL_cvarz00_bglt BgL_tmp1696z00_10773;
						BgL_cvarzf2cinfozf2_bglt BgL_wide1697z00_10774;

						{
							BgL_cvarz00_bglt BgL_auxz00_19354;

							{	/* Cfa/cinfo.scm 70 */
								BgL_cvarz00_bglt BgL_new1695z00_10775;

								BgL_new1695z00_10775 =
									((BgL_cvarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_cvarz00_bgl))));
								{	/* Cfa/cinfo.scm 70 */
									long BgL_arg2284z00_10776;

									BgL_arg2284z00_10776 = BGL_CLASS_NUM(BGl_cvarz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1695z00_10775),
										BgL_arg2284z00_10776);
								}
								{	/* Cfa/cinfo.scm 70 */
									BgL_objectz00_bglt BgL_tmpz00_19359;

									BgL_tmpz00_19359 =
										((BgL_objectz00_bglt) BgL_new1695z00_10775);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19359, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1695z00_10775);
								BgL_auxz00_19354 = BgL_new1695z00_10775;
							}
							BgL_tmp1696z00_10773 = ((BgL_cvarz00_bglt) BgL_auxz00_19354);
						}
						BgL_wide1697z00_10774 =
							((BgL_cvarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_cvarzf2cinfozf2_bgl))));
						{	/* Cfa/cinfo.scm 70 */
							obj_t BgL_auxz00_19367;
							BgL_objectz00_bglt BgL_tmpz00_19365;

							BgL_auxz00_19367 = ((obj_t) BgL_wide1697z00_10774);
							BgL_tmpz00_19365 = ((BgL_objectz00_bglt) BgL_tmp1696z00_10773);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19365, BgL_auxz00_19367);
						}
						((BgL_objectz00_bglt) BgL_tmp1696z00_10773);
						{	/* Cfa/cinfo.scm 70 */
							long BgL_arg2283z00_10777;

							BgL_arg2283z00_10777 =
								BGL_CLASS_NUM(BGl_cvarzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1696z00_10773),
								BgL_arg2283z00_10777);
						}
						BgL_new1698z00_10772 = ((BgL_cvarz00_bglt) BgL_tmp1696z00_10773);
					}
					((((BgL_cvarz00_bglt) COBJECT(
									((BgL_cvarz00_bglt) BgL_new1698z00_10772)))->
							BgL_macrozf3zf3) = ((bool_t) BgL_macrozf31221zf3_10770), BUNSPEC);
					{
						BgL_cvarzf2cinfozf2_bglt BgL_auxz00_19377;

						{
							obj_t BgL_auxz00_19378;

							{	/* Cfa/cinfo.scm 70 */
								BgL_objectz00_bglt BgL_tmpz00_19379;

								BgL_tmpz00_19379 = ((BgL_objectz00_bglt) BgL_new1698z00_10772);
								BgL_auxz00_19378 = BGL_OBJECT_WIDENING(BgL_tmpz00_19379);
							}
							BgL_auxz00_19377 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_19378);
						}
						((((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19377))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_approx1222z00_9192)), BUNSPEC);
					}
					return BgL_new1698z00_10772;
				}
			}
		}

	}



/* &lambda2296 */
	obj_t BGl_z62lambda2296z62zzcfa_infoz00(obj_t BgL_envz00_9193,
		obj_t BgL_oz00_9194, obj_t BgL_vz00_9195)
	{
		{	/* Cfa/cinfo.scm 70 */
			{
				BgL_cvarzf2cinfozf2_bglt BgL_auxz00_19385;

				{
					obj_t BgL_auxz00_19386;

					{	/* Cfa/cinfo.scm 70 */
						BgL_objectz00_bglt BgL_tmpz00_19387;

						BgL_tmpz00_19387 =
							((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_oz00_9194));
						BgL_auxz00_19386 = BGL_OBJECT_WIDENING(BgL_tmpz00_19387);
					}
					BgL_auxz00_19385 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_19386);
				}
				return
					((((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19385))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9195)), BUNSPEC);
			}
		}

	}



/* &lambda2295 */
	BgL_approxz00_bglt BGl_z62lambda2295z62zzcfa_infoz00(obj_t BgL_envz00_9196,
		obj_t BgL_oz00_9197)
	{
		{	/* Cfa/cinfo.scm 70 */
			{
				BgL_cvarzf2cinfozf2_bglt BgL_auxz00_19394;

				{
					obj_t BgL_auxz00_19395;

					{	/* Cfa/cinfo.scm 70 */
						BgL_objectz00_bglt BgL_tmpz00_19396;

						BgL_tmpz00_19396 =
							((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_oz00_9197));
						BgL_auxz00_19395 = BGL_OBJECT_WIDENING(BgL_tmpz00_19396);
					}
					BgL_auxz00_19394 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_19395);
				}
				return
					(((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19394))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2252 */
	BgL_svarz00_bglt BGl_z62lambda2252z62zzcfa_infoz00(obj_t BgL_envz00_9198,
		obj_t BgL_o1219z00_9199)
	{
		{	/* Cfa/cinfo.scm 63 */
			{	/* Cfa/cinfo.scm 63 */
				long BgL_arg2253z00_10782;

				{	/* Cfa/cinfo.scm 63 */
					obj_t BgL_arg2254z00_10783;

					{	/* Cfa/cinfo.scm 63 */
						obj_t BgL_arg2255z00_10784;

						{	/* Cfa/cinfo.scm 63 */
							long BgL_arg1833z00_10785;

							{	/* Cfa/cinfo.scm 63 */
								long BgL_arg1834z00_10786;

								BgL_arg1834z00_10786 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_svarz00_bglt) BgL_o1219z00_9199)));
								BgL_arg1833z00_10785 = (BgL_arg1834z00_10786 - OBJECT_TYPE);
							}
							BgL_arg2255z00_10784 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10785);
						}
						BgL_arg2254z00_10783 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2255z00_10784);
					}
					{	/* Cfa/cinfo.scm 63 */
						obj_t BgL_tmpz00_19408;

						BgL_tmpz00_19408 = ((obj_t) BgL_arg2254z00_10783);
						BgL_arg2253z00_10782 = BGL_CLASS_NUM(BgL_tmpz00_19408);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_svarz00_bglt) BgL_o1219z00_9199)), BgL_arg2253z00_10782);
			}
			{	/* Cfa/cinfo.scm 63 */
				BgL_objectz00_bglt BgL_tmpz00_19414;

				BgL_tmpz00_19414 =
					((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_o1219z00_9199));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19414, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_o1219z00_9199));
			return ((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1219z00_9199));
		}

	}



/* &<@anonymous:2251> */
	obj_t BGl_z62zc3z04anonymousza32251ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9200,
		obj_t BgL_new1218z00_9201)
	{
		{	/* Cfa/cinfo.scm 63 */
			{
				BgL_svarz00_bglt BgL_auxz00_19422;

				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt)
									((BgL_svarz00_bglt) BgL_new1218z00_9201))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_19433;
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_19426;

					{	/* Cfa/cinfo.scm 63 */
						obj_t BgL_classz00_10788;

						BgL_classz00_10788 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 63 */
							obj_t BgL__ortest_1112z00_10789;

							BgL__ortest_1112z00_10789 = BGL_CLASS_NIL(BgL_classz00_10788);
							if (CBOOL(BgL__ortest_1112z00_10789))
								{	/* Cfa/cinfo.scm 63 */
									BgL_auxz00_19433 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10789);
								}
							else
								{	/* Cfa/cinfo.scm 63 */
									BgL_auxz00_19433 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10788));
								}
						}
					}
					{
						obj_t BgL_auxz00_19427;

						{	/* Cfa/cinfo.scm 63 */
							BgL_objectz00_bglt BgL_tmpz00_19428;

							BgL_tmpz00_19428 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1218z00_9201));
							BgL_auxz00_19427 = BGL_OBJECT_WIDENING(BgL_tmpz00_19428);
						}
						BgL_auxz00_19426 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19427);
					}
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19426))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_19433), BUNSPEC);
				}
				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_19441;

					{
						obj_t BgL_auxz00_19442;

						{	/* Cfa/cinfo.scm 63 */
							BgL_objectz00_bglt BgL_tmpz00_19443;

							BgL_tmpz00_19443 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1218z00_9201));
							BgL_auxz00_19442 = BGL_OBJECT_WIDENING(BgL_tmpz00_19443);
						}
						BgL_auxz00_19441 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19442);
					}
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19441))->
							BgL_clozd2envzf3z21) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_19449;

					{
						obj_t BgL_auxz00_19450;

						{	/* Cfa/cinfo.scm 63 */
							BgL_objectz00_bglt BgL_tmpz00_19451;

							BgL_tmpz00_19451 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1218z00_9201));
							BgL_auxz00_19450 = BGL_OBJECT_WIDENING(BgL_tmpz00_19451);
						}
						BgL_auxz00_19449 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19450);
					}
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19449))->
							BgL_stampz00) = ((long) ((long) 0)), BUNSPEC);
				}
				BgL_auxz00_19422 = ((BgL_svarz00_bglt) BgL_new1218z00_9201);
				return ((obj_t) BgL_auxz00_19422);
			}
		}

	}



/* &lambda2249 */
	BgL_svarz00_bglt BGl_z62lambda2249z62zzcfa_infoz00(obj_t BgL_envz00_9202,
		obj_t BgL_o1215z00_9203)
	{
		{	/* Cfa/cinfo.scm 63 */
			{	/* Cfa/cinfo.scm 63 */
				BgL_svarzf2cinfozf2_bglt BgL_wide1217z00_10791;

				BgL_wide1217z00_10791 =
					((BgL_svarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_svarzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 63 */
					obj_t BgL_auxz00_19464;
					BgL_objectz00_bglt BgL_tmpz00_19460;

					BgL_auxz00_19464 = ((obj_t) BgL_wide1217z00_10791);
					BgL_tmpz00_19460 =
						((BgL_objectz00_bglt)
						((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1215z00_9203)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19460, BgL_auxz00_19464);
				}
				((BgL_objectz00_bglt)
					((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1215z00_9203)));
				{	/* Cfa/cinfo.scm 63 */
					long BgL_arg2250z00_10792;

					BgL_arg2250z00_10792 =
						BGL_CLASS_NUM(BGl_svarzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_svarz00_bglt)
								((BgL_svarz00_bglt) BgL_o1215z00_9203))), BgL_arg2250z00_10792);
				}
				return
					((BgL_svarz00_bglt)
					((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1215z00_9203)));
			}
		}

	}



/* &lambda2246 */
	BgL_svarz00_bglt BGl_z62lambda2246z62zzcfa_infoz00(obj_t BgL_envz00_9204,
		obj_t BgL_loc1211z00_9205, obj_t BgL_approx1212z00_9206,
		obj_t BgL_clozd2envzf31213z21_9207, obj_t BgL_stamp1214z00_9208)
	{
		{	/* Cfa/cinfo.scm 63 */
			{	/* Cfa/cinfo.scm 63 */
				bool_t BgL_clozd2envzf31213z21_10794;
				long BgL_stamp1214z00_10795;

				BgL_clozd2envzf31213z21_10794 = CBOOL(BgL_clozd2envzf31213z21_9207);
				BgL_stamp1214z00_10795 = (long) CINT(BgL_stamp1214z00_9208);
				{	/* Cfa/cinfo.scm 63 */
					BgL_svarz00_bglt BgL_new1693z00_10796;

					{	/* Cfa/cinfo.scm 63 */
						BgL_svarz00_bglt BgL_tmp1691z00_10797;
						BgL_svarzf2cinfozf2_bglt BgL_wide1692z00_10798;

						{
							BgL_svarz00_bglt BgL_auxz00_19480;

							{	/* Cfa/cinfo.scm 63 */
								BgL_svarz00_bglt BgL_new1690z00_10799;

								BgL_new1690z00_10799 =
									((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_svarz00_bgl))));
								{	/* Cfa/cinfo.scm 63 */
									long BgL_arg2248z00_10800;

									BgL_arg2248z00_10800 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1690z00_10799),
										BgL_arg2248z00_10800);
								}
								{	/* Cfa/cinfo.scm 63 */
									BgL_objectz00_bglt BgL_tmpz00_19485;

									BgL_tmpz00_19485 =
										((BgL_objectz00_bglt) BgL_new1690z00_10799);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19485, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1690z00_10799);
								BgL_auxz00_19480 = BgL_new1690z00_10799;
							}
							BgL_tmp1691z00_10797 = ((BgL_svarz00_bglt) BgL_auxz00_19480);
						}
						BgL_wide1692z00_10798 =
							((BgL_svarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_svarzf2cinfozf2_bgl))));
						{	/* Cfa/cinfo.scm 63 */
							obj_t BgL_auxz00_19493;
							BgL_objectz00_bglt BgL_tmpz00_19491;

							BgL_auxz00_19493 = ((obj_t) BgL_wide1692z00_10798);
							BgL_tmpz00_19491 = ((BgL_objectz00_bglt) BgL_tmp1691z00_10797);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19491, BgL_auxz00_19493);
						}
						((BgL_objectz00_bglt) BgL_tmp1691z00_10797);
						{	/* Cfa/cinfo.scm 63 */
							long BgL_arg2247z00_10801;

							BgL_arg2247z00_10801 =
								BGL_CLASS_NUM(BGl_svarzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1691z00_10797),
								BgL_arg2247z00_10801);
						}
						BgL_new1693z00_10796 = ((BgL_svarz00_bglt) BgL_tmp1691z00_10797);
					}
					((((BgL_svarz00_bglt) COBJECT(
									((BgL_svarz00_bglt) BgL_new1693z00_10796)))->BgL_locz00) =
						((obj_t) BgL_loc1211z00_9205), BUNSPEC);
					{
						BgL_svarzf2cinfozf2_bglt BgL_auxz00_19503;

						{
							obj_t BgL_auxz00_19504;

							{	/* Cfa/cinfo.scm 63 */
								BgL_objectz00_bglt BgL_tmpz00_19505;

								BgL_tmpz00_19505 = ((BgL_objectz00_bglt) BgL_new1693z00_10796);
								BgL_auxz00_19504 = BGL_OBJECT_WIDENING(BgL_tmpz00_19505);
							}
							BgL_auxz00_19503 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19504);
						}
						((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19503))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_approx1212z00_9206)), BUNSPEC);
					}
					{
						BgL_svarzf2cinfozf2_bglt BgL_auxz00_19511;

						{
							obj_t BgL_auxz00_19512;

							{	/* Cfa/cinfo.scm 63 */
								BgL_objectz00_bglt BgL_tmpz00_19513;

								BgL_tmpz00_19513 = ((BgL_objectz00_bglt) BgL_new1693z00_10796);
								BgL_auxz00_19512 = BGL_OBJECT_WIDENING(BgL_tmpz00_19513);
							}
							BgL_auxz00_19511 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19512);
						}
						((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19511))->
								BgL_clozd2envzf3z21) =
							((bool_t) BgL_clozd2envzf31213z21_10794), BUNSPEC);
					}
					{
						BgL_svarzf2cinfozf2_bglt BgL_auxz00_19518;

						{
							obj_t BgL_auxz00_19519;

							{	/* Cfa/cinfo.scm 63 */
								BgL_objectz00_bglt BgL_tmpz00_19520;

								BgL_tmpz00_19520 = ((BgL_objectz00_bglt) BgL_new1693z00_10796);
								BgL_auxz00_19519 = BGL_OBJECT_WIDENING(BgL_tmpz00_19520);
							}
							BgL_auxz00_19518 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19519);
						}
						((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19518))->
								BgL_stampz00) = ((long) BgL_stamp1214z00_10795), BUNSPEC);
					}
					return BgL_new1693z00_10796;
				}
			}
		}

	}



/* &<@anonymous:2274> */
	obj_t BGl_z62zc3z04anonymousza32274ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9209)
	{
		{	/* Cfa/cinfo.scm 63 */
			return BINT(((long) -1));
		}

	}



/* &lambda2273 */
	obj_t BGl_z62lambda2273z62zzcfa_infoz00(obj_t BgL_envz00_9210,
		obj_t BgL_oz00_9211, obj_t BgL_vz00_9212)
	{
		{	/* Cfa/cinfo.scm 63 */
			{	/* Cfa/cinfo.scm 63 */
				long BgL_vz00_10803;

				BgL_vz00_10803 = (long) CINT(BgL_vz00_9212);
				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_19527;

					{
						obj_t BgL_auxz00_19528;

						{	/* Cfa/cinfo.scm 63 */
							BgL_objectz00_bglt BgL_tmpz00_19529;

							BgL_tmpz00_19529 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_9211));
							BgL_auxz00_19528 = BGL_OBJECT_WIDENING(BgL_tmpz00_19529);
						}
						BgL_auxz00_19527 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19528);
					}
					return
						((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19527))->
							BgL_stampz00) = ((long) BgL_vz00_10803), BUNSPEC);
		}}}

	}



/* &lambda2272 */
	obj_t BGl_z62lambda2272z62zzcfa_infoz00(obj_t BgL_envz00_9213,
		obj_t BgL_oz00_9214)
	{
		{	/* Cfa/cinfo.scm 63 */
			{	/* Cfa/cinfo.scm 63 */
				long BgL_tmpz00_19535;

				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_19536;

					{
						obj_t BgL_auxz00_19537;

						{	/* Cfa/cinfo.scm 63 */
							BgL_objectz00_bglt BgL_tmpz00_19538;

							BgL_tmpz00_19538 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_9214));
							BgL_auxz00_19537 = BGL_OBJECT_WIDENING(BgL_tmpz00_19538);
						}
						BgL_auxz00_19536 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19537);
					}
					BgL_tmpz00_19535 =
						(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19536))->
						BgL_stampz00);
				}
				return BINT(BgL_tmpz00_19535);
			}
		}

	}



/* &<@anonymous:2267> */
	obj_t BGl_z62zc3z04anonymousza32267ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9215)
	{
		{	/* Cfa/cinfo.scm 63 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2266 */
	obj_t BGl_z62lambda2266z62zzcfa_infoz00(obj_t BgL_envz00_9216,
		obj_t BgL_oz00_9217, obj_t BgL_vz00_9218)
	{
		{	/* Cfa/cinfo.scm 63 */
			{	/* Cfa/cinfo.scm 63 */
				bool_t BgL_vz00_10806;

				BgL_vz00_10806 = CBOOL(BgL_vz00_9218);
				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_19547;

					{
						obj_t BgL_auxz00_19548;

						{	/* Cfa/cinfo.scm 63 */
							BgL_objectz00_bglt BgL_tmpz00_19549;

							BgL_tmpz00_19549 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_9217));
							BgL_auxz00_19548 = BGL_OBJECT_WIDENING(BgL_tmpz00_19549);
						}
						BgL_auxz00_19547 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19548);
					}
					return
						((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19547))->
							BgL_clozd2envzf3z21) = ((bool_t) BgL_vz00_10806), BUNSPEC);
				}
			}
		}

	}



/* &lambda2265 */
	obj_t BGl_z62lambda2265z62zzcfa_infoz00(obj_t BgL_envz00_9219,
		obj_t BgL_oz00_9220)
	{
		{	/* Cfa/cinfo.scm 63 */
			{	/* Cfa/cinfo.scm 63 */
				bool_t BgL_tmpz00_19555;

				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_19556;

					{
						obj_t BgL_auxz00_19557;

						{	/* Cfa/cinfo.scm 63 */
							BgL_objectz00_bglt BgL_tmpz00_19558;

							BgL_tmpz00_19558 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_9220));
							BgL_auxz00_19557 = BGL_OBJECT_WIDENING(BgL_tmpz00_19558);
						}
						BgL_auxz00_19556 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19557);
					}
					BgL_tmpz00_19555 =
						(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19556))->
						BgL_clozd2envzf3z21);
				}
				return BBOOL(BgL_tmpz00_19555);
			}
		}

	}



/* &lambda2260 */
	obj_t BGl_z62lambda2260z62zzcfa_infoz00(obj_t BgL_envz00_9221,
		obj_t BgL_oz00_9222, obj_t BgL_vz00_9223)
	{
		{	/* Cfa/cinfo.scm 63 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_19565;

				{
					obj_t BgL_auxz00_19566;

					{	/* Cfa/cinfo.scm 63 */
						BgL_objectz00_bglt BgL_tmpz00_19567;

						BgL_tmpz00_19567 =
							((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_9222));
						BgL_auxz00_19566 = BGL_OBJECT_WIDENING(BgL_tmpz00_19567);
					}
					BgL_auxz00_19565 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19566);
				}
				return
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19565))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9223)), BUNSPEC);
			}
		}

	}



/* &lambda2259 */
	BgL_approxz00_bglt BGl_z62lambda2259z62zzcfa_infoz00(obj_t BgL_envz00_9224,
		obj_t BgL_oz00_9225)
	{
		{	/* Cfa/cinfo.scm 63 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_19574;

				{
					obj_t BgL_auxz00_19575;

					{	/* Cfa/cinfo.scm 63 */
						BgL_objectz00_bglt BgL_tmpz00_19576;

						BgL_tmpz00_19576 =
							((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_9225));
						BgL_auxz00_19575 = BGL_OBJECT_WIDENING(BgL_tmpz00_19576);
					}
					BgL_auxz00_19574 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19575);
				}
				return
					(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19574))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2236 */
	BgL_svarz00_bglt BGl_z62lambda2236z62zzcfa_infoz00(obj_t BgL_envz00_9226,
		obj_t BgL_o1209z00_9227)
	{
		{	/* Cfa/cinfo.scm 62 */
			{	/* Cfa/cinfo.scm 62 */
				long BgL_arg2237z00_10812;

				{	/* Cfa/cinfo.scm 62 */
					obj_t BgL_arg2238z00_10813;

					{	/* Cfa/cinfo.scm 62 */
						obj_t BgL_arg2239z00_10814;

						{	/* Cfa/cinfo.scm 62 */
							long BgL_arg1833z00_10815;

							{	/* Cfa/cinfo.scm 62 */
								long BgL_arg1834z00_10816;

								BgL_arg1834z00_10816 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_svarz00_bglt) BgL_o1209z00_9227)));
								BgL_arg1833z00_10815 = (BgL_arg1834z00_10816 - OBJECT_TYPE);
							}
							BgL_arg2239z00_10814 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10815);
						}
						BgL_arg2238z00_10813 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2239z00_10814);
					}
					{	/* Cfa/cinfo.scm 62 */
						obj_t BgL_tmpz00_19588;

						BgL_tmpz00_19588 = ((obj_t) BgL_arg2238z00_10813);
						BgL_arg2237z00_10812 = BGL_CLASS_NUM(BgL_tmpz00_19588);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_svarz00_bglt) BgL_o1209z00_9227)), BgL_arg2237z00_10812);
			}
			{	/* Cfa/cinfo.scm 62 */
				BgL_objectz00_bglt BgL_tmpz00_19594;

				BgL_tmpz00_19594 =
					((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_o1209z00_9227));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19594, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_o1209z00_9227));
			return ((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1209z00_9227));
		}

	}



/* &<@anonymous:2235> */
	obj_t BGl_z62zc3z04anonymousza32235ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9228,
		obj_t BgL_new1208z00_9229)
	{
		{	/* Cfa/cinfo.scm 62 */
			{
				BgL_svarz00_bglt BgL_auxz00_19602;

				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt)
									((BgL_svarz00_bglt) BgL_new1208z00_9229))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_19602 = ((BgL_svarz00_bglt) BgL_new1208z00_9229);
				return ((obj_t) BgL_auxz00_19602);
			}
		}

	}



/* &lambda2233 */
	BgL_svarz00_bglt BGl_z62lambda2233z62zzcfa_infoz00(obj_t BgL_envz00_9230,
		obj_t BgL_o1205z00_9231)
	{
		{	/* Cfa/cinfo.scm 62 */
			{	/* Cfa/cinfo.scm 62 */
				BgL_prezd2clozd2envz00_bglt BgL_wide1207z00_10819;

				BgL_wide1207z00_10819 =
					((BgL_prezd2clozd2envz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_prezd2clozd2envz00_bgl))));
				{	/* Cfa/cinfo.scm 62 */
					obj_t BgL_auxz00_19613;
					BgL_objectz00_bglt BgL_tmpz00_19609;

					BgL_auxz00_19613 = ((obj_t) BgL_wide1207z00_10819);
					BgL_tmpz00_19609 =
						((BgL_objectz00_bglt)
						((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1205z00_9231)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19609, BgL_auxz00_19613);
				}
				((BgL_objectz00_bglt)
					((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1205z00_9231)));
				{	/* Cfa/cinfo.scm 62 */
					long BgL_arg2234z00_10820;

					BgL_arg2234z00_10820 =
						BGL_CLASS_NUM(BGl_prezd2clozd2envz00zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_svarz00_bglt)
								((BgL_svarz00_bglt) BgL_o1205z00_9231))), BgL_arg2234z00_10820);
				}
				return
					((BgL_svarz00_bglt)
					((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1205z00_9231)));
			}
		}

	}



/* &lambda2230 */
	BgL_svarz00_bglt BGl_z62lambda2230z62zzcfa_infoz00(obj_t BgL_envz00_9232,
		obj_t BgL_loc1204z00_9233)
	{
		{	/* Cfa/cinfo.scm 62 */
			{	/* Cfa/cinfo.scm 62 */
				BgL_svarz00_bglt BgL_new1688z00_10821;

				{	/* Cfa/cinfo.scm 62 */
					BgL_svarz00_bglt BgL_tmp1686z00_10822;
					BgL_prezd2clozd2envz00_bglt BgL_wide1687z00_10823;

					{
						BgL_svarz00_bglt BgL_auxz00_19627;

						{	/* Cfa/cinfo.scm 62 */
							BgL_svarz00_bglt BgL_new1685z00_10824;

							BgL_new1685z00_10824 =
								((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_svarz00_bgl))));
							{	/* Cfa/cinfo.scm 62 */
								long BgL_arg2232z00_10825;

								BgL_arg2232z00_10825 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1685z00_10824),
									BgL_arg2232z00_10825);
							}
							{	/* Cfa/cinfo.scm 62 */
								BgL_objectz00_bglt BgL_tmpz00_19632;

								BgL_tmpz00_19632 = ((BgL_objectz00_bglt) BgL_new1685z00_10824);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19632, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1685z00_10824);
							BgL_auxz00_19627 = BgL_new1685z00_10824;
						}
						BgL_tmp1686z00_10822 = ((BgL_svarz00_bglt) BgL_auxz00_19627);
					}
					BgL_wide1687z00_10823 =
						((BgL_prezd2clozd2envz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_prezd2clozd2envz00_bgl))));
					{	/* Cfa/cinfo.scm 62 */
						obj_t BgL_auxz00_19640;
						BgL_objectz00_bglt BgL_tmpz00_19638;

						BgL_auxz00_19640 = ((obj_t) BgL_wide1687z00_10823);
						BgL_tmpz00_19638 = ((BgL_objectz00_bglt) BgL_tmp1686z00_10822);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19638, BgL_auxz00_19640);
					}
					((BgL_objectz00_bglt) BgL_tmp1686z00_10822);
					{	/* Cfa/cinfo.scm 62 */
						long BgL_arg2231z00_10826;

						BgL_arg2231z00_10826 =
							BGL_CLASS_NUM(BGl_prezd2clozd2envz00zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1686z00_10822),
							BgL_arg2231z00_10826);
					}
					BgL_new1688z00_10821 = ((BgL_svarz00_bglt) BgL_tmp1686z00_10822);
				}
				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt) BgL_new1688z00_10821)))->BgL_locz00) =
					((obj_t) BgL_loc1204z00_9233), BUNSPEC);
				return BgL_new1688z00_10821;
			}
		}

	}



/* &lambda2215 */
	BgL_scnstz00_bglt BGl_z62lambda2215z62zzcfa_infoz00(obj_t BgL_envz00_9234,
		obj_t BgL_o1202z00_9235)
	{
		{	/* Cfa/cinfo.scm 58 */
			{	/* Cfa/cinfo.scm 58 */
				long BgL_arg2216z00_10828;

				{	/* Cfa/cinfo.scm 58 */
					obj_t BgL_arg2217z00_10829;

					{	/* Cfa/cinfo.scm 58 */
						obj_t BgL_arg2218z00_10830;

						{	/* Cfa/cinfo.scm 58 */
							long BgL_arg1833z00_10831;

							{	/* Cfa/cinfo.scm 58 */
								long BgL_arg1834z00_10832;

								BgL_arg1834z00_10832 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_scnstz00_bglt) BgL_o1202z00_9235)));
								BgL_arg1833z00_10831 = (BgL_arg1834z00_10832 - OBJECT_TYPE);
							}
							BgL_arg2218z00_10830 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10831);
						}
						BgL_arg2217z00_10829 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2218z00_10830);
					}
					{	/* Cfa/cinfo.scm 58 */
						obj_t BgL_tmpz00_19656;

						BgL_tmpz00_19656 = ((obj_t) BgL_arg2217z00_10829);
						BgL_arg2216z00_10828 = BGL_CLASS_NUM(BgL_tmpz00_19656);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_scnstz00_bglt) BgL_o1202z00_9235)), BgL_arg2216z00_10828);
			}
			{	/* Cfa/cinfo.scm 58 */
				BgL_objectz00_bglt BgL_tmpz00_19662;

				BgL_tmpz00_19662 =
					((BgL_objectz00_bglt) ((BgL_scnstz00_bglt) BgL_o1202z00_9235));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19662, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_scnstz00_bglt) BgL_o1202z00_9235));
			return ((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_o1202z00_9235));
		}

	}



/* &<@anonymous:2214> */
	obj_t BGl_z62zc3z04anonymousza32214ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9236,
		obj_t BgL_new1201z00_9237)
	{
		{	/* Cfa/cinfo.scm 58 */
			{
				BgL_scnstz00_bglt BgL_auxz00_19670;

				((((BgL_scnstz00_bglt) COBJECT(
								((BgL_scnstz00_bglt)
									((BgL_scnstz00_bglt) BgL_new1201z00_9237))))->BgL_nodez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt)
										BgL_new1201z00_9237))))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt)
										BgL_new1201z00_9237))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_19687;
					BgL_scnstzf2cinfozf2_bglt BgL_auxz00_19680;

					{	/* Cfa/cinfo.scm 58 */
						obj_t BgL_classz00_10834;

						BgL_classz00_10834 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 58 */
							obj_t BgL__ortest_1112z00_10835;

							BgL__ortest_1112z00_10835 = BGL_CLASS_NIL(BgL_classz00_10834);
							if (CBOOL(BgL__ortest_1112z00_10835))
								{	/* Cfa/cinfo.scm 58 */
									BgL_auxz00_19687 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10835);
								}
							else
								{	/* Cfa/cinfo.scm 58 */
									BgL_auxz00_19687 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10834));
								}
						}
					}
					{
						obj_t BgL_auxz00_19681;

						{	/* Cfa/cinfo.scm 58 */
							BgL_objectz00_bglt BgL_tmpz00_19682;

							BgL_tmpz00_19682 =
								((BgL_objectz00_bglt)
								((BgL_scnstz00_bglt) BgL_new1201z00_9237));
							BgL_auxz00_19681 = BGL_OBJECT_WIDENING(BgL_tmpz00_19682);
						}
						BgL_auxz00_19680 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_19681);
					}
					((((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19680))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_19687), BUNSPEC);
				}
				BgL_auxz00_19670 = ((BgL_scnstz00_bglt) BgL_new1201z00_9237);
				return ((obj_t) BgL_auxz00_19670);
			}
		}

	}



/* &lambda2212 */
	BgL_scnstz00_bglt BGl_z62lambda2212z62zzcfa_infoz00(obj_t BgL_envz00_9238,
		obj_t BgL_o1198z00_9239)
	{
		{	/* Cfa/cinfo.scm 58 */
			{	/* Cfa/cinfo.scm 58 */
				BgL_scnstzf2cinfozf2_bglt BgL_wide1200z00_10837;

				BgL_wide1200z00_10837 =
					((BgL_scnstzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_scnstzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 58 */
					obj_t BgL_auxz00_19702;
					BgL_objectz00_bglt BgL_tmpz00_19698;

					BgL_auxz00_19702 = ((obj_t) BgL_wide1200z00_10837);
					BgL_tmpz00_19698 =
						((BgL_objectz00_bglt)
						((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_o1198z00_9239)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19698, BgL_auxz00_19702);
				}
				((BgL_objectz00_bglt)
					((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_o1198z00_9239)));
				{	/* Cfa/cinfo.scm 58 */
					long BgL_arg2213z00_10838;

					BgL_arg2213z00_10838 =
						BGL_CLASS_NUM(BGl_scnstzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_scnstz00_bglt)
								((BgL_scnstz00_bglt) BgL_o1198z00_9239))),
						BgL_arg2213z00_10838);
				}
				return
					((BgL_scnstz00_bglt)
					((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_o1198z00_9239)));
			}
		}

	}



/* &lambda2209 */
	BgL_scnstz00_bglt BGl_z62lambda2209z62zzcfa_infoz00(obj_t BgL_envz00_9240,
		obj_t BgL_node1194z00_9241, obj_t BgL_class1195z00_9242,
		obj_t BgL_loc1196z00_9243, obj_t BgL_approx1197z00_9244)
	{
		{	/* Cfa/cinfo.scm 58 */
			{	/* Cfa/cinfo.scm 58 */
				BgL_scnstz00_bglt BgL_new1683z00_10840;

				{	/* Cfa/cinfo.scm 58 */
					BgL_scnstz00_bglt BgL_tmp1681z00_10841;
					BgL_scnstzf2cinfozf2_bglt BgL_wide1682z00_10842;

					{
						BgL_scnstz00_bglt BgL_auxz00_19716;

						{	/* Cfa/cinfo.scm 58 */
							BgL_scnstz00_bglt BgL_new1680z00_10843;

							BgL_new1680z00_10843 =
								((BgL_scnstz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_scnstz00_bgl))));
							{	/* Cfa/cinfo.scm 58 */
								long BgL_arg2211z00_10844;

								BgL_arg2211z00_10844 = BGL_CLASS_NUM(BGl_scnstz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1680z00_10843),
									BgL_arg2211z00_10844);
							}
							{	/* Cfa/cinfo.scm 58 */
								BgL_objectz00_bglt BgL_tmpz00_19721;

								BgL_tmpz00_19721 = ((BgL_objectz00_bglt) BgL_new1680z00_10843);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19721, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1680z00_10843);
							BgL_auxz00_19716 = BgL_new1680z00_10843;
						}
						BgL_tmp1681z00_10841 = ((BgL_scnstz00_bglt) BgL_auxz00_19716);
					}
					BgL_wide1682z00_10842 =
						((BgL_scnstzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_scnstzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 58 */
						obj_t BgL_auxz00_19729;
						BgL_objectz00_bglt BgL_tmpz00_19727;

						BgL_auxz00_19729 = ((obj_t) BgL_wide1682z00_10842);
						BgL_tmpz00_19727 = ((BgL_objectz00_bglt) BgL_tmp1681z00_10841);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19727, BgL_auxz00_19729);
					}
					((BgL_objectz00_bglt) BgL_tmp1681z00_10841);
					{	/* Cfa/cinfo.scm 58 */
						long BgL_arg2210z00_10845;

						BgL_arg2210z00_10845 =
							BGL_CLASS_NUM(BGl_scnstzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1681z00_10841),
							BgL_arg2210z00_10845);
					}
					BgL_new1683z00_10840 = ((BgL_scnstz00_bglt) BgL_tmp1681z00_10841);
				}
				((((BgL_scnstz00_bglt) COBJECT(
								((BgL_scnstz00_bglt) BgL_new1683z00_10840)))->BgL_nodez00) =
					((obj_t) BgL_node1194z00_9241), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt)
									BgL_new1683z00_10840)))->BgL_classz00) =
					((obj_t) BgL_class1195z00_9242), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt)
									BgL_new1683z00_10840)))->BgL_locz00) =
					((obj_t) BgL_loc1196z00_9243), BUNSPEC);
				{
					BgL_scnstzf2cinfozf2_bglt BgL_auxz00_19743;

					{
						obj_t BgL_auxz00_19744;

						{	/* Cfa/cinfo.scm 58 */
							BgL_objectz00_bglt BgL_tmpz00_19745;

							BgL_tmpz00_19745 = ((BgL_objectz00_bglt) BgL_new1683z00_10840);
							BgL_auxz00_19744 = BGL_OBJECT_WIDENING(BgL_tmpz00_19745);
						}
						BgL_auxz00_19743 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_19744);
					}
					((((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19743))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1197z00_9244)), BUNSPEC);
				}
				return BgL_new1683z00_10840;
			}
		}

	}



/* &lambda2223 */
	obj_t BGl_z62lambda2223z62zzcfa_infoz00(obj_t BgL_envz00_9245,
		obj_t BgL_oz00_9246, obj_t BgL_vz00_9247)
	{
		{	/* Cfa/cinfo.scm 58 */
			{
				BgL_scnstzf2cinfozf2_bglt BgL_auxz00_19751;

				{
					obj_t BgL_auxz00_19752;

					{	/* Cfa/cinfo.scm 58 */
						BgL_objectz00_bglt BgL_tmpz00_19753;

						BgL_tmpz00_19753 =
							((BgL_objectz00_bglt) ((BgL_scnstz00_bglt) BgL_oz00_9246));
						BgL_auxz00_19752 = BGL_OBJECT_WIDENING(BgL_tmpz00_19753);
					}
					BgL_auxz00_19751 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_19752);
				}
				return
					((((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19751))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9247)), BUNSPEC);
			}
		}

	}



/* &lambda2222 */
	BgL_approxz00_bglt BGl_z62lambda2222z62zzcfa_infoz00(obj_t BgL_envz00_9248,
		obj_t BgL_oz00_9249)
	{
		{	/* Cfa/cinfo.scm 58 */
			{
				BgL_scnstzf2cinfozf2_bglt BgL_auxz00_19760;

				{
					obj_t BgL_auxz00_19761;

					{	/* Cfa/cinfo.scm 58 */
						BgL_objectz00_bglt BgL_tmpz00_19762;

						BgL_tmpz00_19762 =
							((BgL_objectz00_bglt) ((BgL_scnstz00_bglt) BgL_oz00_9249));
						BgL_auxz00_19761 = BGL_OBJECT_WIDENING(BgL_tmpz00_19762);
					}
					BgL_auxz00_19760 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_19761);
				}
				return
					(((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19760))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2179 */
	BgL_sfunz00_bglt BGl_z62lambda2179z62zzcfa_infoz00(obj_t BgL_envz00_9250,
		obj_t BgL_o1192z00_9251)
	{
		{	/* Cfa/cinfo.scm 52 */
			{	/* Cfa/cinfo.scm 52 */
				long BgL_arg2180z00_10850;

				{	/* Cfa/cinfo.scm 52 */
					obj_t BgL_arg2181z00_10851;

					{	/* Cfa/cinfo.scm 52 */
						obj_t BgL_arg2182z00_10852;

						{	/* Cfa/cinfo.scm 52 */
							long BgL_arg1833z00_10853;

							{	/* Cfa/cinfo.scm 52 */
								long BgL_arg1834z00_10854;

								BgL_arg1834z00_10854 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_o1192z00_9251)));
								BgL_arg1833z00_10853 = (BgL_arg1834z00_10854 - OBJECT_TYPE);
							}
							BgL_arg2182z00_10852 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10853);
						}
						BgL_arg2181z00_10851 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2182z00_10852);
					}
					{	/* Cfa/cinfo.scm 52 */
						obj_t BgL_tmpz00_19774;

						BgL_tmpz00_19774 = ((obj_t) BgL_arg2181z00_10851);
						BgL_arg2180z00_10850 = BGL_CLASS_NUM(BgL_tmpz00_19774);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) BgL_o1192z00_9251)), BgL_arg2180z00_10850);
			}
			{	/* Cfa/cinfo.scm 52 */
				BgL_objectz00_bglt BgL_tmpz00_19780;

				BgL_tmpz00_19780 =
					((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1192z00_9251));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19780, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1192z00_9251));
			return ((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1192z00_9251));
		}

	}



/* &<@anonymous:2178> */
	obj_t BGl_z62zc3z04anonymousza32178ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9252,
		obj_t BgL_new1191z00_9253)
	{
		{	/* Cfa/cinfo.scm 52 */
			{
				BgL_sfunz00_bglt BgL_auxz00_19788;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_new1191z00_9253))))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_propertyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_argszd2namezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_bodyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_dssslzd2keywordszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_optionalsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_keysz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 51))), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1191z00_9253))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_19856;

					{
						obj_t BgL_auxz00_19857;

						{	/* Cfa/cinfo.scm 52 */
							BgL_objectz00_bglt BgL_tmpz00_19858;

							BgL_tmpz00_19858 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1191z00_9253));
							BgL_auxz00_19857 = BGL_OBJECT_WIDENING(BgL_tmpz00_19858);
						}
						BgL_auxz00_19856 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_19857);
					}
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_19856))->
							BgL_polymorphiczf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_19871;
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_19864;

					{	/* Cfa/cinfo.scm 52 */
						obj_t BgL_classz00_10856;

						BgL_classz00_10856 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 52 */
							obj_t BgL__ortest_1112z00_10857;

							BgL__ortest_1112z00_10857 = BGL_CLASS_NIL(BgL_classz00_10856);
							if (CBOOL(BgL__ortest_1112z00_10857))
								{	/* Cfa/cinfo.scm 52 */
									BgL_auxz00_19871 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10857);
								}
							else
								{	/* Cfa/cinfo.scm 52 */
									BgL_auxz00_19871 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10856));
								}
						}
					}
					{
						obj_t BgL_auxz00_19865;

						{	/* Cfa/cinfo.scm 52 */
							BgL_objectz00_bglt BgL_tmpz00_19866;

							BgL_tmpz00_19866 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1191z00_9253));
							BgL_auxz00_19865 = BGL_OBJECT_WIDENING(BgL_tmpz00_19866);
						}
						BgL_auxz00_19864 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_19865);
					}
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_19864))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_19871), BUNSPEC);
				}
				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_19879;

					{
						obj_t BgL_auxz00_19880;

						{	/* Cfa/cinfo.scm 52 */
							BgL_objectz00_bglt BgL_tmpz00_19881;

							BgL_tmpz00_19881 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1191z00_9253));
							BgL_auxz00_19880 = BGL_OBJECT_WIDENING(BgL_tmpz00_19881);
						}
						BgL_auxz00_19879 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_19880);
					}
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_19879))->
							BgL_stampz00) = ((long) ((long) 0)), BUNSPEC);
				}
				BgL_auxz00_19788 = ((BgL_sfunz00_bglt) BgL_new1191z00_9253);
				return ((obj_t) BgL_auxz00_19788);
			}
		}

	}



/* &lambda2176 */
	BgL_sfunz00_bglt BGl_z62lambda2176z62zzcfa_infoz00(obj_t BgL_envz00_9254,
		obj_t BgL_o1188z00_9255)
	{
		{	/* Cfa/cinfo.scm 52 */
			{	/* Cfa/cinfo.scm 52 */
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_wide1190z00_10859;

				BgL_wide1190z00_10859 =
					((BgL_internzd2sfunzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_internzd2sfunzf2cinfoz20_bgl))));
				{	/* Cfa/cinfo.scm 52 */
					obj_t BgL_auxz00_19894;
					BgL_objectz00_bglt BgL_tmpz00_19890;

					BgL_auxz00_19894 = ((obj_t) BgL_wide1190z00_10859);
					BgL_tmpz00_19890 =
						((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1188z00_9255)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19890, BgL_auxz00_19894);
				}
				((BgL_objectz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1188z00_9255)));
				{	/* Cfa/cinfo.scm 52 */
					long BgL_arg2177z00_10860;

					BgL_arg2177z00_10860 =
						BGL_CLASS_NUM(BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_o1188z00_9255))), BgL_arg2177z00_10860);
				}
				return
					((BgL_sfunz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1188z00_9255)));
			}
		}

	}



/* &lambda2173 */
	BgL_sfunz00_bglt BGl_z62lambda2173z62zzcfa_infoz00(obj_t BgL_envz00_9256,
		obj_t BgL_arity1163z00_9257, obj_t BgL_sidezd2effect1164zd2_9258,
		obj_t BgL_predicatezd2of1165zd2_9259,
		obj_t BgL_stackzd2allocator1166zd2_9260, obj_t BgL_topzf31167zf3_9261,
		obj_t BgL_thezd2closure1168zd2_9262, obj_t BgL_effect1169z00_9263,
		obj_t BgL_failsafe1170z00_9264, obj_t BgL_argszd2noescape1171zd2_9265,
		obj_t BgL_argszd2retescape1172zd2_9266, obj_t BgL_property1173z00_9267,
		obj_t BgL_args1174z00_9268, obj_t BgL_argszd2name1175zd2_9269,
		obj_t BgL_body1176z00_9270, obj_t BgL_class1177z00_9271,
		obj_t BgL_dssslzd2keywords1178zd2_9272, obj_t BgL_loc1179z00_9273,
		obj_t BgL_optionals1180z00_9274, obj_t BgL_keys1181z00_9275,
		obj_t BgL_thezd2closurezd2global1182z00_9276,
		obj_t BgL_strength1183z00_9277, obj_t BgL_stackable1184z00_9278,
		obj_t BgL_polymorphiczf31185zf3_9279, obj_t BgL_approx1186z00_9280,
		obj_t BgL_stamp1187z00_9281)
	{
		{	/* Cfa/cinfo.scm 52 */
			{	/* Cfa/cinfo.scm 52 */
				long BgL_arity1163z00_10861;
				bool_t BgL_topzf31167zf3_10862;
				bool_t BgL_polymorphiczf31185zf3_10864;
				long BgL_stamp1187z00_10866;

				BgL_arity1163z00_10861 = (long) CINT(BgL_arity1163z00_9257);
				BgL_topzf31167zf3_10862 = CBOOL(BgL_topzf31167zf3_9261);
				BgL_polymorphiczf31185zf3_10864 = CBOOL(BgL_polymorphiczf31185zf3_9279);
				BgL_stamp1187z00_10866 = (long) CINT(BgL_stamp1187z00_9281);
				{	/* Cfa/cinfo.scm 52 */
					BgL_sfunz00_bglt BgL_new1678z00_10867;

					{	/* Cfa/cinfo.scm 52 */
						BgL_sfunz00_bglt BgL_tmp1676z00_10868;
						BgL_internzd2sfunzf2cinfoz20_bglt BgL_wide1677z00_10869;

						{
							BgL_sfunz00_bglt BgL_auxz00_19912;

							{	/* Cfa/cinfo.scm 52 */
								BgL_sfunz00_bglt BgL_new1675z00_10870;

								BgL_new1675z00_10870 =
									((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Cfa/cinfo.scm 52 */
									long BgL_arg2175z00_10871;

									BgL_arg2175z00_10871 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1675z00_10870),
										BgL_arg2175z00_10871);
								}
								{	/* Cfa/cinfo.scm 52 */
									BgL_objectz00_bglt BgL_tmpz00_19917;

									BgL_tmpz00_19917 =
										((BgL_objectz00_bglt) BgL_new1675z00_10870);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19917, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1675z00_10870);
								BgL_auxz00_19912 = BgL_new1675z00_10870;
							}
							BgL_tmp1676z00_10868 = ((BgL_sfunz00_bglt) BgL_auxz00_19912);
						}
						BgL_wide1677z00_10869 =
							((BgL_internzd2sfunzf2cinfoz20_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_internzd2sfunzf2cinfoz20_bgl))));
						{	/* Cfa/cinfo.scm 52 */
							obj_t BgL_auxz00_19925;
							BgL_objectz00_bglt BgL_tmpz00_19923;

							BgL_auxz00_19925 = ((obj_t) BgL_wide1677z00_10869);
							BgL_tmpz00_19923 = ((BgL_objectz00_bglt) BgL_tmp1676z00_10868);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19923, BgL_auxz00_19925);
						}
						((BgL_objectz00_bglt) BgL_tmp1676z00_10868);
						{	/* Cfa/cinfo.scm 52 */
							long BgL_arg2174z00_10872;

							BgL_arg2174z00_10872 =
								BGL_CLASS_NUM(BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1676z00_10868),
								BgL_arg2174z00_10872);
						}
						BgL_new1678z00_10867 = ((BgL_sfunz00_bglt) BgL_tmp1676z00_10868);
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1678z00_10867)))->BgL_arityz00) =
						((long) BgL_arity1163z00_10861), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1678z00_10867)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1164zd2_9258), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1678z00_10867)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1165zd2_9259), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1678z00_10867)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1166zd2_9260), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1678z00_10867)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31167zf3_10862), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1678z00_10867)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1168zd2_9262), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1678z00_10867)))->BgL_effectz00) =
						((obj_t) BgL_effect1169z00_9263), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1678z00_10867)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1170z00_9264), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1678z00_10867)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1171zd2_9265), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1678z00_10867)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1172zd2_9266), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1678z00_10867)))->BgL_propertyz00) =
						((obj_t) BgL_property1173z00_9267), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1678z00_10867)))->BgL_argsz00) =
						((obj_t) BgL_args1174z00_9268), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1678z00_10867)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1175zd2_9269), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1678z00_10867)))->BgL_bodyz00) =
						((obj_t) BgL_body1176z00_9270), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1678z00_10867)))->BgL_classz00) =
						((obj_t) BgL_class1177z00_9271), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1678z00_10867)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1178zd2_9272), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1678z00_10867)))->BgL_locz00) =
						((obj_t) BgL_loc1179z00_9273), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1678z00_10867)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1180z00_9274), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1678z00_10867)))->BgL_keysz00) =
						((obj_t) BgL_keys1181z00_9275), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1678z00_10867)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1182z00_9276), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1678z00_10867)))->BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1183z00_9277)), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1678z00_10867)))->BgL_stackablez00) =
						((obj_t) BgL_stackable1184z00_9278), BUNSPEC);
					{
						BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_19978;

						{
							obj_t BgL_auxz00_19979;

							{	/* Cfa/cinfo.scm 52 */
								BgL_objectz00_bglt BgL_tmpz00_19980;

								BgL_tmpz00_19980 = ((BgL_objectz00_bglt) BgL_new1678z00_10867);
								BgL_auxz00_19979 = BGL_OBJECT_WIDENING(BgL_tmpz00_19980);
							}
							BgL_auxz00_19978 =
								((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_19979);
						}
						((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_19978))->
								BgL_polymorphiczf3zf3) =
							((bool_t) BgL_polymorphiczf31185zf3_10864), BUNSPEC);
					}
					{
						BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_19985;

						{
							obj_t BgL_auxz00_19986;

							{	/* Cfa/cinfo.scm 52 */
								BgL_objectz00_bglt BgL_tmpz00_19987;

								BgL_tmpz00_19987 = ((BgL_objectz00_bglt) BgL_new1678z00_10867);
								BgL_auxz00_19986 = BGL_OBJECT_WIDENING(BgL_tmpz00_19987);
							}
							BgL_auxz00_19985 =
								((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_19986);
						}
						((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_19985))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_approx1186z00_9280)), BUNSPEC);
					}
					{
						BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_19993;

						{
							obj_t BgL_auxz00_19994;

							{	/* Cfa/cinfo.scm 52 */
								BgL_objectz00_bglt BgL_tmpz00_19995;

								BgL_tmpz00_19995 = ((BgL_objectz00_bglt) BgL_new1678z00_10867);
								BgL_auxz00_19994 = BGL_OBJECT_WIDENING(BgL_tmpz00_19995);
							}
							BgL_auxz00_19993 =
								((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_19994);
						}
						((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_19993))->
								BgL_stampz00) = ((long) BgL_stamp1187z00_10866), BUNSPEC);
					}
					return BgL_new1678z00_10867;
				}
			}
		}

	}



/* &<@anonymous:2202> */
	obj_t BGl_z62zc3z04anonymousza32202ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9282)
	{
		{	/* Cfa/cinfo.scm 52 */
			return BINT(((long) -1));
		}

	}



/* &lambda2201 */
	obj_t BGl_z62lambda2201z62zzcfa_infoz00(obj_t BgL_envz00_9283,
		obj_t BgL_oz00_9284, obj_t BgL_vz00_9285)
	{
		{	/* Cfa/cinfo.scm 52 */
			{	/* Cfa/cinfo.scm 52 */
				long BgL_vz00_10874;

				BgL_vz00_10874 = (long) CINT(BgL_vz00_9285);
				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_20002;

					{
						obj_t BgL_auxz00_20003;

						{	/* Cfa/cinfo.scm 52 */
							BgL_objectz00_bglt BgL_tmpz00_20004;

							BgL_tmpz00_20004 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9284));
							BgL_auxz00_20003 = BGL_OBJECT_WIDENING(BgL_tmpz00_20004);
						}
						BgL_auxz00_20002 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20003);
					}
					return
						((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20002))->
							BgL_stampz00) = ((long) BgL_vz00_10874), BUNSPEC);
		}}}

	}



/* &lambda2200 */
	obj_t BGl_z62lambda2200z62zzcfa_infoz00(obj_t BgL_envz00_9286,
		obj_t BgL_oz00_9287)
	{
		{	/* Cfa/cinfo.scm 52 */
			{	/* Cfa/cinfo.scm 52 */
				long BgL_tmpz00_20010;

				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_20011;

					{
						obj_t BgL_auxz00_20012;

						{	/* Cfa/cinfo.scm 52 */
							BgL_objectz00_bglt BgL_tmpz00_20013;

							BgL_tmpz00_20013 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9287));
							BgL_auxz00_20012 = BGL_OBJECT_WIDENING(BgL_tmpz00_20013);
						}
						BgL_auxz00_20011 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20012);
					}
					BgL_tmpz00_20010 =
						(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20011))->
						BgL_stampz00);
				}
				return BINT(BgL_tmpz00_20010);
			}
		}

	}



/* &lambda2195 */
	obj_t BGl_z62lambda2195z62zzcfa_infoz00(obj_t BgL_envz00_9288,
		obj_t BgL_oz00_9289, obj_t BgL_vz00_9290)
	{
		{	/* Cfa/cinfo.scm 52 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_20020;

				{
					obj_t BgL_auxz00_20021;

					{	/* Cfa/cinfo.scm 52 */
						BgL_objectz00_bglt BgL_tmpz00_20022;

						BgL_tmpz00_20022 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9289));
						BgL_auxz00_20021 = BGL_OBJECT_WIDENING(BgL_tmpz00_20022);
					}
					BgL_auxz00_20020 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20021);
				}
				return
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20020))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9290)), BUNSPEC);
			}
		}

	}



/* &lambda2194 */
	BgL_approxz00_bglt BGl_z62lambda2194z62zzcfa_infoz00(obj_t BgL_envz00_9291,
		obj_t BgL_oz00_9292)
	{
		{	/* Cfa/cinfo.scm 52 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_20029;

				{
					obj_t BgL_auxz00_20030;

					{	/* Cfa/cinfo.scm 52 */
						BgL_objectz00_bglt BgL_tmpz00_20031;

						BgL_tmpz00_20031 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9292));
						BgL_auxz00_20030 = BGL_OBJECT_WIDENING(BgL_tmpz00_20031);
					}
					BgL_auxz00_20029 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20030);
				}
				return
					(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20029))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:2190> */
	obj_t BGl_z62zc3z04anonymousza32190ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9293)
	{
		{	/* Cfa/cinfo.scm 52 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2189 */
	obj_t BGl_z62lambda2189z62zzcfa_infoz00(obj_t BgL_envz00_9294,
		obj_t BgL_oz00_9295, obj_t BgL_vz00_9296)
	{
		{	/* Cfa/cinfo.scm 52 */
			{	/* Cfa/cinfo.scm 52 */
				bool_t BgL_vz00_10880;

				BgL_vz00_10880 = CBOOL(BgL_vz00_9296);
				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_20039;

					{
						obj_t BgL_auxz00_20040;

						{	/* Cfa/cinfo.scm 52 */
							BgL_objectz00_bglt BgL_tmpz00_20041;

							BgL_tmpz00_20041 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9295));
							BgL_auxz00_20040 = BGL_OBJECT_WIDENING(BgL_tmpz00_20041);
						}
						BgL_auxz00_20039 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20040);
					}
					return
						((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20039))->
							BgL_polymorphiczf3zf3) = ((bool_t) BgL_vz00_10880), BUNSPEC);
				}
			}
		}

	}



/* &lambda2188 */
	obj_t BGl_z62lambda2188z62zzcfa_infoz00(obj_t BgL_envz00_9297,
		obj_t BgL_oz00_9298)
	{
		{	/* Cfa/cinfo.scm 52 */
			{	/* Cfa/cinfo.scm 52 */
				bool_t BgL_tmpz00_20047;

				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_20048;

					{
						obj_t BgL_auxz00_20049;

						{	/* Cfa/cinfo.scm 52 */
							BgL_objectz00_bglt BgL_tmpz00_20050;

							BgL_tmpz00_20050 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9298));
							BgL_auxz00_20049 = BGL_OBJECT_WIDENING(BgL_tmpz00_20050);
						}
						BgL_auxz00_20048 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20049);
					}
					BgL_tmpz00_20047 =
						(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20048))->
						BgL_polymorphiczf3zf3);
				}
				return BBOOL(BgL_tmpz00_20047);
			}
		}

	}



/* &lambda2150 */
	BgL_sfunz00_bglt BGl_z62lambda2150z62zzcfa_infoz00(obj_t BgL_envz00_9299,
		obj_t BgL_o1161z00_9300)
	{
		{	/* Cfa/cinfo.scm 49 */
			{	/* Cfa/cinfo.scm 49 */
				long BgL_arg2151z00_10883;

				{	/* Cfa/cinfo.scm 49 */
					obj_t BgL_arg2152z00_10884;

					{	/* Cfa/cinfo.scm 49 */
						obj_t BgL_arg2153z00_10885;

						{	/* Cfa/cinfo.scm 49 */
							long BgL_arg1833z00_10886;

							{	/* Cfa/cinfo.scm 49 */
								long BgL_arg1834z00_10887;

								BgL_arg1834z00_10887 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_o1161z00_9300)));
								BgL_arg1833z00_10886 = (BgL_arg1834z00_10887 - OBJECT_TYPE);
							}
							BgL_arg2153z00_10885 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10886);
						}
						BgL_arg2152z00_10884 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2153z00_10885);
					}
					{	/* Cfa/cinfo.scm 49 */
						obj_t BgL_tmpz00_20063;

						BgL_tmpz00_20063 = ((obj_t) BgL_arg2152z00_10884);
						BgL_arg2151z00_10883 = BGL_CLASS_NUM(BgL_tmpz00_20063);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) BgL_o1161z00_9300)), BgL_arg2151z00_10883);
			}
			{	/* Cfa/cinfo.scm 49 */
				BgL_objectz00_bglt BgL_tmpz00_20069;

				BgL_tmpz00_20069 =
					((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1161z00_9300));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20069, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1161z00_9300));
			return ((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1161z00_9300));
		}

	}



/* &<@anonymous:2149> */
	obj_t BGl_z62zc3z04anonymousza32149ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9301,
		obj_t BgL_new1160z00_9302)
	{
		{	/* Cfa/cinfo.scm 49 */
			{
				BgL_sfunz00_bglt BgL_auxz00_20077;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_new1160z00_9302))))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_propertyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_argszd2namezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_bodyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_dssslzd2keywordszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_optionalsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_keysz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 51))), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1160z00_9302))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_20145;

					{
						obj_t BgL_auxz00_20146;

						{	/* Cfa/cinfo.scm 49 */
							BgL_objectz00_bglt BgL_tmpz00_20147;

							BgL_tmpz00_20147 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1160z00_9302));
							BgL_auxz00_20146 = BGL_OBJECT_WIDENING(BgL_tmpz00_20147);
						}
						BgL_auxz00_20145 =
							((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20146);
					}
					((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20145))->
							BgL_polymorphiczf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_20160;
					BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_20153;

					{	/* Cfa/cinfo.scm 49 */
						obj_t BgL_classz00_10889;

						BgL_classz00_10889 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 49 */
							obj_t BgL__ortest_1112z00_10890;

							BgL__ortest_1112z00_10890 = BGL_CLASS_NIL(BgL_classz00_10889);
							if (CBOOL(BgL__ortest_1112z00_10890))
								{	/* Cfa/cinfo.scm 49 */
									BgL_auxz00_20160 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10890);
								}
							else
								{	/* Cfa/cinfo.scm 49 */
									BgL_auxz00_20160 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10889));
								}
						}
					}
					{
						obj_t BgL_auxz00_20154;

						{	/* Cfa/cinfo.scm 49 */
							BgL_objectz00_bglt BgL_tmpz00_20155;

							BgL_tmpz00_20155 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1160z00_9302));
							BgL_auxz00_20154 = BGL_OBJECT_WIDENING(BgL_tmpz00_20155);
						}
						BgL_auxz00_20153 =
							((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20154);
					}
					((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20153))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_20160), BUNSPEC);
				}
				BgL_auxz00_20077 = ((BgL_sfunz00_bglt) BgL_new1160z00_9302);
				return ((obj_t) BgL_auxz00_20077);
			}
		}

	}



/* &lambda2146 */
	BgL_sfunz00_bglt BGl_z62lambda2146z62zzcfa_infoz00(obj_t BgL_envz00_9303,
		obj_t BgL_o1157z00_9304)
	{
		{	/* Cfa/cinfo.scm 49 */
			{	/* Cfa/cinfo.scm 49 */
				BgL_externzd2sfunzf2cinfoz20_bglt BgL_wide1159z00_10892;

				BgL_wide1159z00_10892 =
					((BgL_externzd2sfunzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_externzd2sfunzf2cinfoz20_bgl))));
				{	/* Cfa/cinfo.scm 49 */
					obj_t BgL_auxz00_20175;
					BgL_objectz00_bglt BgL_tmpz00_20171;

					BgL_auxz00_20175 = ((obj_t) BgL_wide1159z00_10892);
					BgL_tmpz00_20171 =
						((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1157z00_9304)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20171, BgL_auxz00_20175);
				}
				((BgL_objectz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1157z00_9304)));
				{	/* Cfa/cinfo.scm 49 */
					long BgL_arg2148z00_10893;

					BgL_arg2148z00_10893 =
						BGL_CLASS_NUM(BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_o1157z00_9304))), BgL_arg2148z00_10893);
				}
				return
					((BgL_sfunz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1157z00_9304)));
			}
		}

	}



/* &lambda2143 */
	BgL_sfunz00_bglt BGl_z62lambda2143z62zzcfa_infoz00(obj_t BgL_envz00_9305,
		obj_t BgL_arity1133z00_9306, obj_t BgL_sidezd2effect1134zd2_9307,
		obj_t BgL_predicatezd2of1135zd2_9308,
		obj_t BgL_stackzd2allocator1136zd2_9309, obj_t BgL_topzf31137zf3_9310,
		obj_t BgL_thezd2closure1138zd2_9311, obj_t BgL_effect1139z00_9312,
		obj_t BgL_failsafe1140z00_9313, obj_t BgL_argszd2noescape1141zd2_9314,
		obj_t BgL_argszd2retescape1142zd2_9315, obj_t BgL_property1143z00_9316,
		obj_t BgL_args1144z00_9317, obj_t BgL_argszd2name1145zd2_9318,
		obj_t BgL_body1146z00_9319, obj_t BgL_class1147z00_9320,
		obj_t BgL_dssslzd2keywords1148zd2_9321, obj_t BgL_loc1149z00_9322,
		obj_t BgL_optionals1150z00_9323, obj_t BgL_keys1151z00_9324,
		obj_t BgL_thezd2closurezd2global1152z00_9325,
		obj_t BgL_strength1153z00_9326, obj_t BgL_stackable1154z00_9327,
		obj_t BgL_polymorphiczf31155zf3_9328, obj_t BgL_approx1156z00_9329)
	{
		{	/* Cfa/cinfo.scm 49 */
			{	/* Cfa/cinfo.scm 49 */
				long BgL_arity1133z00_10894;
				bool_t BgL_topzf31137zf3_10895;
				bool_t BgL_polymorphiczf31155zf3_10897;

				BgL_arity1133z00_10894 = (long) CINT(BgL_arity1133z00_9306);
				BgL_topzf31137zf3_10895 = CBOOL(BgL_topzf31137zf3_9310);
				BgL_polymorphiczf31155zf3_10897 = CBOOL(BgL_polymorphiczf31155zf3_9328);
				{	/* Cfa/cinfo.scm 49 */
					BgL_sfunz00_bglt BgL_new1673z00_10899;

					{	/* Cfa/cinfo.scm 49 */
						BgL_sfunz00_bglt BgL_tmp1671z00_10900;
						BgL_externzd2sfunzf2cinfoz20_bglt BgL_wide1672z00_10901;

						{
							BgL_sfunz00_bglt BgL_auxz00_20192;

							{	/* Cfa/cinfo.scm 49 */
								BgL_sfunz00_bglt BgL_new1670z00_10902;

								BgL_new1670z00_10902 =
									((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Cfa/cinfo.scm 49 */
									long BgL_arg2145z00_10903;

									BgL_arg2145z00_10903 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1670z00_10902),
										BgL_arg2145z00_10903);
								}
								{	/* Cfa/cinfo.scm 49 */
									BgL_objectz00_bglt BgL_tmpz00_20197;

									BgL_tmpz00_20197 =
										((BgL_objectz00_bglt) BgL_new1670z00_10902);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20197, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1670z00_10902);
								BgL_auxz00_20192 = BgL_new1670z00_10902;
							}
							BgL_tmp1671z00_10900 = ((BgL_sfunz00_bglt) BgL_auxz00_20192);
						}
						BgL_wide1672z00_10901 =
							((BgL_externzd2sfunzf2cinfoz20_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_externzd2sfunzf2cinfoz20_bgl))));
						{	/* Cfa/cinfo.scm 49 */
							obj_t BgL_auxz00_20205;
							BgL_objectz00_bglt BgL_tmpz00_20203;

							BgL_auxz00_20205 = ((obj_t) BgL_wide1672z00_10901);
							BgL_tmpz00_20203 = ((BgL_objectz00_bglt) BgL_tmp1671z00_10900);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20203, BgL_auxz00_20205);
						}
						((BgL_objectz00_bglt) BgL_tmp1671z00_10900);
						{	/* Cfa/cinfo.scm 49 */
							long BgL_arg2144z00_10904;

							BgL_arg2144z00_10904 =
								BGL_CLASS_NUM(BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1671z00_10900),
								BgL_arg2144z00_10904);
						}
						BgL_new1673z00_10899 = ((BgL_sfunz00_bglt) BgL_tmp1671z00_10900);
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1673z00_10899)))->BgL_arityz00) =
						((long) BgL_arity1133z00_10894), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1673z00_10899)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1134zd2_9307), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1673z00_10899)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1135zd2_9308), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1673z00_10899)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1136zd2_9309), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1673z00_10899)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31137zf3_10895), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1673z00_10899)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1138zd2_9311), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1673z00_10899)))->BgL_effectz00) =
						((obj_t) BgL_effect1139z00_9312), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1673z00_10899)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1140z00_9313), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1673z00_10899)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1141zd2_9314), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1673z00_10899)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1142zd2_9315), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1673z00_10899)))->BgL_propertyz00) =
						((obj_t) BgL_property1143z00_9316), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1673z00_10899)))->BgL_argsz00) =
						((obj_t) BgL_args1144z00_9317), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1673z00_10899)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1145zd2_9318), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1673z00_10899)))->BgL_bodyz00) =
						((obj_t) BgL_body1146z00_9319), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1673z00_10899)))->BgL_classz00) =
						((obj_t) BgL_class1147z00_9320), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1673z00_10899)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1148zd2_9321), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1673z00_10899)))->BgL_locz00) =
						((obj_t) BgL_loc1149z00_9322), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1673z00_10899)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1150z00_9323), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1673z00_10899)))->BgL_keysz00) =
						((obj_t) BgL_keys1151z00_9324), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1673z00_10899)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1152z00_9325), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1673z00_10899)))->BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1153z00_9326)), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1673z00_10899)))->BgL_stackablez00) =
						((obj_t) BgL_stackable1154z00_9327), BUNSPEC);
					{
						BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_20258;

						{
							obj_t BgL_auxz00_20259;

							{	/* Cfa/cinfo.scm 49 */
								BgL_objectz00_bglt BgL_tmpz00_20260;

								BgL_tmpz00_20260 = ((BgL_objectz00_bglt) BgL_new1673z00_10899);
								BgL_auxz00_20259 = BGL_OBJECT_WIDENING(BgL_tmpz00_20260);
							}
							BgL_auxz00_20258 =
								((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20259);
						}
						((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20258))->
								BgL_polymorphiczf3zf3) =
							((bool_t) BgL_polymorphiczf31155zf3_10897), BUNSPEC);
					}
					{
						BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_20265;

						{
							obj_t BgL_auxz00_20266;

							{	/* Cfa/cinfo.scm 49 */
								BgL_objectz00_bglt BgL_tmpz00_20267;

								BgL_tmpz00_20267 = ((BgL_objectz00_bglt) BgL_new1673z00_10899);
								BgL_auxz00_20266 = BGL_OBJECT_WIDENING(BgL_tmpz00_20267);
							}
							BgL_auxz00_20265 =
								((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20266);
						}
						((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20265))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_approx1156z00_9329)), BUNSPEC);
					}
					return BgL_new1673z00_10899;
				}
			}
		}

	}



/* &lambda2166 */
	obj_t BGl_z62lambda2166z62zzcfa_infoz00(obj_t BgL_envz00_9330,
		obj_t BgL_oz00_9331, obj_t BgL_vz00_9332)
	{
		{	/* Cfa/cinfo.scm 49 */
			{
				BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_20273;

				{
					obj_t BgL_auxz00_20274;

					{	/* Cfa/cinfo.scm 49 */
						BgL_objectz00_bglt BgL_tmpz00_20275;

						BgL_tmpz00_20275 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9331));
						BgL_auxz00_20274 = BGL_OBJECT_WIDENING(BgL_tmpz00_20275);
					}
					BgL_auxz00_20273 =
						((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20274);
				}
				return
					((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20273))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9332)), BUNSPEC);
			}
		}

	}



/* &lambda2165 */
	BgL_approxz00_bglt BGl_z62lambda2165z62zzcfa_infoz00(obj_t BgL_envz00_9333,
		obj_t BgL_oz00_9334)
	{
		{	/* Cfa/cinfo.scm 49 */
			{
				BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_20282;

				{
					obj_t BgL_auxz00_20283;

					{	/* Cfa/cinfo.scm 49 */
						BgL_objectz00_bglt BgL_tmpz00_20284;

						BgL_tmpz00_20284 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9334));
						BgL_auxz00_20283 = BGL_OBJECT_WIDENING(BgL_tmpz00_20284);
					}
					BgL_auxz00_20282 =
						((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20283);
				}
				return
					(((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20282))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:2160> */
	obj_t BGl_z62zc3z04anonymousza32160ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9335)
	{
		{	/* Cfa/cinfo.scm 49 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2159 */
	obj_t BGl_z62lambda2159z62zzcfa_infoz00(obj_t BgL_envz00_9336,
		obj_t BgL_oz00_9337, obj_t BgL_vz00_9338)
	{
		{	/* Cfa/cinfo.scm 49 */
			{	/* Cfa/cinfo.scm 49 */
				bool_t BgL_vz00_10909;

				BgL_vz00_10909 = CBOOL(BgL_vz00_9338);
				{
					BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_20292;

					{
						obj_t BgL_auxz00_20293;

						{	/* Cfa/cinfo.scm 49 */
							BgL_objectz00_bglt BgL_tmpz00_20294;

							BgL_tmpz00_20294 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9337));
							BgL_auxz00_20293 = BGL_OBJECT_WIDENING(BgL_tmpz00_20294);
						}
						BgL_auxz00_20292 =
							((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20293);
					}
					return
						((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20292))->
							BgL_polymorphiczf3zf3) = ((bool_t) BgL_vz00_10909), BUNSPEC);
				}
			}
		}

	}



/* &lambda2158 */
	obj_t BGl_z62lambda2158z62zzcfa_infoz00(obj_t BgL_envz00_9339,
		obj_t BgL_oz00_9340)
	{
		{	/* Cfa/cinfo.scm 49 */
			{	/* Cfa/cinfo.scm 49 */
				bool_t BgL_tmpz00_20300;

				{
					BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_20301;

					{
						obj_t BgL_auxz00_20302;

						{	/* Cfa/cinfo.scm 49 */
							BgL_objectz00_bglt BgL_tmpz00_20303;

							BgL_tmpz00_20303 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9340));
							BgL_auxz00_20302 = BGL_OBJECT_WIDENING(BgL_tmpz00_20303);
						}
						BgL_auxz00_20301 =
							((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20302);
					}
					BgL_tmpz00_20300 =
						(((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20301))->
						BgL_polymorphiczf3zf3);
				}
				return BBOOL(BgL_tmpz00_20300);
			}
		}

	}



/* &lambda2128 */
	BgL_cfunz00_bglt BGl_z62lambda2128z62zzcfa_infoz00(obj_t BgL_envz00_9341,
		obj_t BgL_o1131z00_9342)
	{
		{	/* Cfa/cinfo.scm 47 */
			{	/* Cfa/cinfo.scm 47 */
				long BgL_arg2129z00_10912;

				{	/* Cfa/cinfo.scm 47 */
					obj_t BgL_arg2130z00_10913;

					{	/* Cfa/cinfo.scm 47 */
						obj_t BgL_arg2131z00_10914;

						{	/* Cfa/cinfo.scm 47 */
							long BgL_arg1833z00_10915;

							{	/* Cfa/cinfo.scm 47 */
								long BgL_arg1834z00_10916;

								BgL_arg1834z00_10916 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_cfunz00_bglt) BgL_o1131z00_9342)));
								BgL_arg1833z00_10915 = (BgL_arg1834z00_10916 - OBJECT_TYPE);
							}
							BgL_arg2131z00_10914 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_10915);
						}
						BgL_arg2130z00_10913 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2131z00_10914);
					}
					{	/* Cfa/cinfo.scm 47 */
						obj_t BgL_tmpz00_20316;

						BgL_tmpz00_20316 = ((obj_t) BgL_arg2130z00_10913);
						BgL_arg2129z00_10912 = BGL_CLASS_NUM(BgL_tmpz00_20316);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_cfunz00_bglt) BgL_o1131z00_9342)), BgL_arg2129z00_10912);
			}
			{	/* Cfa/cinfo.scm 47 */
				BgL_objectz00_bglt BgL_tmpz00_20322;

				BgL_tmpz00_20322 =
					((BgL_objectz00_bglt) ((BgL_cfunz00_bglt) BgL_o1131z00_9342));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20322, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_cfunz00_bglt) BgL_o1131z00_9342));
			return ((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_o1131z00_9342));
		}

	}



/* &<@anonymous:2127> */
	obj_t BGl_z62zc3z04anonymousza32127ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9343,
		obj_t BgL_new1130z00_9344)
	{
		{	/* Cfa/cinfo.scm 47 */
			{
				BgL_cfunz00_bglt BgL_auxz00_20330;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_cfunz00_bglt) BgL_new1130z00_9344))))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1130z00_9344))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1130z00_9344))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1130z00_9344))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1130z00_9344))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1130z00_9344))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1130z00_9344))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1130z00_9344))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1130z00_9344))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1130z00_9344))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1130z00_9344))))->BgL_argszd2typezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1130z00_9344))))->BgL_macrozf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1130z00_9344))))->BgL_infixzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1130z00_9344))))->BgL_methodz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_20380;
					BgL_cfunzf2cinfozf2_bglt BgL_auxz00_20373;

					{	/* Cfa/cinfo.scm 47 */
						obj_t BgL_classz00_10918;

						BgL_classz00_10918 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 47 */
							obj_t BgL__ortest_1112z00_10919;

							BgL__ortest_1112z00_10919 = BGL_CLASS_NIL(BgL_classz00_10918);
							if (CBOOL(BgL__ortest_1112z00_10919))
								{	/* Cfa/cinfo.scm 47 */
									BgL_auxz00_20380 =
										((BgL_approxz00_bglt) BgL__ortest_1112z00_10919);
								}
							else
								{	/* Cfa/cinfo.scm 47 */
									BgL_auxz00_20380 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10918));
								}
						}
					}
					{
						obj_t BgL_auxz00_20374;

						{	/* Cfa/cinfo.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_20375;

							BgL_tmpz00_20375 =
								((BgL_objectz00_bglt) ((BgL_cfunz00_bglt) BgL_new1130z00_9344));
							BgL_auxz00_20374 = BGL_OBJECT_WIDENING(BgL_tmpz00_20375);
						}
						BgL_auxz00_20373 = ((BgL_cfunzf2cinfozf2_bglt) BgL_auxz00_20374);
					}
					((((BgL_cfunzf2cinfozf2_bglt) COBJECT(BgL_auxz00_20373))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_20380), BUNSPEC);
				}
				BgL_auxz00_20330 = ((BgL_cfunz00_bglt) BgL_new1130z00_9344);
				return ((obj_t) BgL_auxz00_20330);
			}
		}

	}



/* &lambda2125 */
	BgL_cfunz00_bglt BGl_z62lambda2125z62zzcfa_infoz00(obj_t BgL_envz00_9345,
		obj_t BgL_o1127z00_9346)
	{
		{	/* Cfa/cinfo.scm 47 */
			{	/* Cfa/cinfo.scm 47 */
				BgL_cfunzf2cinfozf2_bglt BgL_wide1129z00_10921;

				BgL_wide1129z00_10921 =
					((BgL_cfunzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_cfunzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 47 */
					obj_t BgL_auxz00_20395;
					BgL_objectz00_bglt BgL_tmpz00_20391;

					BgL_auxz00_20395 = ((obj_t) BgL_wide1129z00_10921);
					BgL_tmpz00_20391 =
						((BgL_objectz00_bglt)
						((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_o1127z00_9346)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20391, BgL_auxz00_20395);
				}
				((BgL_objectz00_bglt)
					((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_o1127z00_9346)));
				{	/* Cfa/cinfo.scm 47 */
					long BgL_arg2126z00_10922;

					BgL_arg2126z00_10922 =
						BGL_CLASS_NUM(BGl_cfunzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_cfunz00_bglt)
								((BgL_cfunz00_bglt) BgL_o1127z00_9346))), BgL_arg2126z00_10922);
				}
				return
					((BgL_cfunz00_bglt)
					((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_o1127z00_9346)));
			}
		}

	}



/* &lambda2122 */
	BgL_cfunz00_bglt BGl_z62lambda2122z62zzcfa_infoz00(obj_t BgL_envz00_9347,
		obj_t BgL_arity1112z00_9348, obj_t BgL_sidezd2effect1113zd2_9349,
		obj_t BgL_predicatezd2of1114zd2_9350,
		obj_t BgL_stackzd2allocator1115zd2_9351, obj_t BgL_topzf31116zf3_9352,
		obj_t BgL_thezd2closure1117zd2_9353, obj_t BgL_effect1118z00_9354,
		obj_t BgL_failsafe1119z00_9355, obj_t BgL_argszd2noescape1120zd2_9356,
		obj_t BgL_argszd2retescape1121zd2_9357, obj_t BgL_argszd2type1122zd2_9358,
		obj_t BgL_macrozf31123zf3_9359, obj_t BgL_infixzf31124zf3_9360,
		obj_t BgL_method1125z00_9361, obj_t BgL_approx1126z00_9362)
	{
		{	/* Cfa/cinfo.scm 47 */
			{	/* Cfa/cinfo.scm 47 */
				long BgL_arity1112z00_10923;
				bool_t BgL_topzf31116zf3_10924;
				bool_t BgL_macrozf31123zf3_10925;
				bool_t BgL_infixzf31124zf3_10926;

				BgL_arity1112z00_10923 = (long) CINT(BgL_arity1112z00_9348);
				BgL_topzf31116zf3_10924 = CBOOL(BgL_topzf31116zf3_9352);
				BgL_macrozf31123zf3_10925 = CBOOL(BgL_macrozf31123zf3_9359);
				BgL_infixzf31124zf3_10926 = CBOOL(BgL_infixzf31124zf3_9360);
				{	/* Cfa/cinfo.scm 47 */
					BgL_cfunz00_bglt BgL_new1668z00_10929;

					{	/* Cfa/cinfo.scm 47 */
						BgL_cfunz00_bglt BgL_tmp1666z00_10930;
						BgL_cfunzf2cinfozf2_bglt BgL_wide1667z00_10931;

						{
							BgL_cfunz00_bglt BgL_auxz00_20413;

							{	/* Cfa/cinfo.scm 47 */
								BgL_cfunz00_bglt BgL_new1665z00_10932;

								BgL_new1665z00_10932 =
									((BgL_cfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_cfunz00_bgl))));
								{	/* Cfa/cinfo.scm 47 */
									long BgL_arg2124z00_10933;

									BgL_arg2124z00_10933 = BGL_CLASS_NUM(BGl_cfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1665z00_10932),
										BgL_arg2124z00_10933);
								}
								{	/* Cfa/cinfo.scm 47 */
									BgL_objectz00_bglt BgL_tmpz00_20418;

									BgL_tmpz00_20418 =
										((BgL_objectz00_bglt) BgL_new1665z00_10932);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20418, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1665z00_10932);
								BgL_auxz00_20413 = BgL_new1665z00_10932;
							}
							BgL_tmp1666z00_10930 = ((BgL_cfunz00_bglt) BgL_auxz00_20413);
						}
						BgL_wide1667z00_10931 =
							((BgL_cfunzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_cfunzf2cinfozf2_bgl))));
						{	/* Cfa/cinfo.scm 47 */
							obj_t BgL_auxz00_20426;
							BgL_objectz00_bglt BgL_tmpz00_20424;

							BgL_auxz00_20426 = ((obj_t) BgL_wide1667z00_10931);
							BgL_tmpz00_20424 = ((BgL_objectz00_bglt) BgL_tmp1666z00_10930);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20424, BgL_auxz00_20426);
						}
						((BgL_objectz00_bglt) BgL_tmp1666z00_10930);
						{	/* Cfa/cinfo.scm 47 */
							long BgL_arg2123z00_10934;

							BgL_arg2123z00_10934 =
								BGL_CLASS_NUM(BGl_cfunzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1666z00_10930),
								BgL_arg2123z00_10934);
						}
						BgL_new1668z00_10929 = ((BgL_cfunz00_bglt) BgL_tmp1666z00_10930);
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1668z00_10929)))->BgL_arityz00) =
						((long) BgL_arity1112z00_10923), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1668z00_10929)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1113zd2_9349), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1668z00_10929)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1114zd2_9350), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1668z00_10929)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1115zd2_9351), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1668z00_10929)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31116zf3_10924), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1668z00_10929)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1117zd2_9353), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1668z00_10929)))->BgL_effectz00) =
						((obj_t) BgL_effect1118z00_9354), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1668z00_10929)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1119z00_9355), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1668z00_10929)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1120zd2_9356), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1668z00_10929)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1121zd2_9357), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
										BgL_new1668z00_10929)))->BgL_argszd2typezd2) =
						((obj_t) BgL_argszd2type1122zd2_9358), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
										BgL_new1668z00_10929)))->BgL_macrozf3zf3) =
						((bool_t) BgL_macrozf31123zf3_10925), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
										BgL_new1668z00_10929)))->BgL_infixzf3zf3) =
						((bool_t) BgL_infixzf31124zf3_10926), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
										BgL_new1668z00_10929)))->BgL_methodz00) =
						((obj_t) ((obj_t) BgL_method1125z00_9361)), BUNSPEC);
					{
						BgL_cfunzf2cinfozf2_bglt BgL_auxz00_20463;

						{
							obj_t BgL_auxz00_20464;

							{	/* Cfa/cinfo.scm 47 */
								BgL_objectz00_bglt BgL_tmpz00_20465;

								BgL_tmpz00_20465 = ((BgL_objectz00_bglt) BgL_new1668z00_10929);
								BgL_auxz00_20464 = BGL_OBJECT_WIDENING(BgL_tmpz00_20465);
							}
							BgL_auxz00_20463 = ((BgL_cfunzf2cinfozf2_bglt) BgL_auxz00_20464);
						}
						((((BgL_cfunzf2cinfozf2_bglt) COBJECT(BgL_auxz00_20463))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_approx1126z00_9362)), BUNSPEC);
					}
					return BgL_new1668z00_10929;
				}
			}
		}

	}



/* &lambda2136 */
	obj_t BGl_z62lambda2136z62zzcfa_infoz00(obj_t BgL_envz00_9363,
		obj_t BgL_oz00_9364, obj_t BgL_vz00_9365)
	{
		{	/* Cfa/cinfo.scm 47 */
			{
				BgL_cfunzf2cinfozf2_bglt BgL_auxz00_20471;

				{
					obj_t BgL_auxz00_20472;

					{	/* Cfa/cinfo.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_20473;

						BgL_tmpz00_20473 =
							((BgL_objectz00_bglt) ((BgL_cfunz00_bglt) BgL_oz00_9364));
						BgL_auxz00_20472 = BGL_OBJECT_WIDENING(BgL_tmpz00_20473);
					}
					BgL_auxz00_20471 = ((BgL_cfunzf2cinfozf2_bglt) BgL_auxz00_20472);
				}
				return
					((((BgL_cfunzf2cinfozf2_bglt) COBJECT(BgL_auxz00_20471))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9365)), BUNSPEC);
			}
		}

	}



/* &lambda2135 */
	BgL_approxz00_bglt BGl_z62lambda2135z62zzcfa_infoz00(obj_t BgL_envz00_9366,
		obj_t BgL_oz00_9367)
	{
		{	/* Cfa/cinfo.scm 47 */
			{
				BgL_cfunzf2cinfozf2_bglt BgL_auxz00_20480;

				{
					obj_t BgL_auxz00_20481;

					{	/* Cfa/cinfo.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_20482;

						BgL_tmpz00_20482 =
							((BgL_objectz00_bglt) ((BgL_cfunz00_bglt) BgL_oz00_9367));
						BgL_auxz00_20481 = BGL_OBJECT_WIDENING(BgL_tmpz00_20482);
					}
					BgL_auxz00_20480 = ((BgL_cfunzf2cinfozf2_bglt) BgL_auxz00_20481);
				}
				return
					(((BgL_cfunzf2cinfozf2_bglt) COBJECT(BgL_auxz00_20480))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:2065> */
	obj_t BGl_z62zc3z04anonymousza32065ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9368,
		obj_t BgL_new1110z00_9369)
	{
		{	/* Cfa/cinfo.scm 25 */
			{
				BgL_approxz00_bglt BgL_auxz00_20488;

				{
					BgL_typez00_bglt BgL_auxz00_20489;

					{	/* Cfa/cinfo.scm 25 */
						obj_t BgL_classz00_10939;

						BgL_classz00_10939 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 25 */
							obj_t BgL__ortest_1112z00_10940;

							BgL__ortest_1112z00_10940 = BGL_CLASS_NIL(BgL_classz00_10939);
							if (CBOOL(BgL__ortest_1112z00_10940))
								{	/* Cfa/cinfo.scm 25 */
									BgL_auxz00_20489 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10940);
								}
							else
								{	/* Cfa/cinfo.scm 25 */
									BgL_auxz00_20489 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10939));
								}
						}
					}
					((((BgL_approxz00_bglt) COBJECT(
									((BgL_approxz00_bglt) BgL_new1110z00_9369)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_20489), BUNSPEC);
				}
				((((BgL_approxz00_bglt) COBJECT(
								((BgL_approxz00_bglt) BgL_new1110z00_9369)))->
						BgL_typezd2lockedzf3z21) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
									BgL_new1110z00_9369)))->BgL_allocsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
									BgL_new1110z00_9369)))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
									BgL_new1110z00_9369)))->BgL_lostzd2stampzd2) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
									BgL_new1110z00_9369)))->BgL_dupz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
									BgL_new1110z00_9369)))->BgL_haszd2procedurezf3z21) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_20488 = ((BgL_approxz00_bglt) BgL_new1110z00_9369);
				return ((obj_t) BgL_auxz00_20488);
			}
		}

	}



/* &lambda2063 */
	BgL_approxz00_bglt BGl_z62lambda2063z62zzcfa_infoz00(obj_t BgL_envz00_9370)
	{
		{	/* Cfa/cinfo.scm 25 */
			{	/* Cfa/cinfo.scm 25 */
				BgL_approxz00_bglt BgL_new1109z00_10941;

				BgL_new1109z00_10941 =
					((BgL_approxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_approxz00_bgl))));
				{	/* Cfa/cinfo.scm 25 */
					long BgL_arg2064z00_10942;

					BgL_arg2064z00_10942 = BGL_CLASS_NUM(BGl_approxz00zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1109z00_10941), BgL_arg2064z00_10942);
				}
				return BgL_new1109z00_10941;
			}
		}

	}



/* &lambda2061 */
	BgL_approxz00_bglt BGl_z62lambda2061z62zzcfa_infoz00(obj_t BgL_envz00_9371,
		obj_t BgL_type1102z00_9372, obj_t BgL_typezd2lockedzf31103z21_9373,
		obj_t BgL_allocs1104z00_9374, obj_t BgL_topzf31105zf3_9375,
		obj_t BgL_lostzd2stamp1106zd2_9376, obj_t BgL_dup1107z00_9377,
		obj_t BgL_haszd2procedurezf31108z21_9378)
	{
		{	/* Cfa/cinfo.scm 25 */
			{	/* Cfa/cinfo.scm 25 */
				bool_t BgL_typezd2lockedzf31103z21_10944;
				bool_t BgL_topzf31105zf3_10945;
				long BgL_lostzd2stamp1106zd2_10946;
				bool_t BgL_haszd2procedurezf31108z21_10947;

				BgL_typezd2lockedzf31103z21_10944 =
					CBOOL(BgL_typezd2lockedzf31103z21_9373);
				BgL_topzf31105zf3_10945 = CBOOL(BgL_topzf31105zf3_9375);
				BgL_lostzd2stamp1106zd2_10946 =
					(long) CINT(BgL_lostzd2stamp1106zd2_9376);
				BgL_haszd2procedurezf31108z21_10947 =
					CBOOL(BgL_haszd2procedurezf31108z21_9378);
				{	/* Cfa/cinfo.scm 25 */
					BgL_approxz00_bglt BgL_new1664z00_10948;

					{	/* Cfa/cinfo.scm 25 */
						BgL_approxz00_bglt BgL_new1663z00_10949;

						BgL_new1663z00_10949 =
							((BgL_approxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_approxz00_bgl))));
						{	/* Cfa/cinfo.scm 25 */
							long BgL_arg2062z00_10950;

							BgL_arg2062z00_10950 = BGL_CLASS_NUM(BGl_approxz00zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1663z00_10949),
								BgL_arg2062z00_10950);
						}
						BgL_new1664z00_10948 = BgL_new1663z00_10949;
					}
					((((BgL_approxz00_bglt) COBJECT(BgL_new1664z00_10948))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1102z00_9372)),
						BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1664z00_10948))->
							BgL_typezd2lockedzf3z21) =
						((bool_t) BgL_typezd2lockedzf31103z21_10944), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1664z00_10948))->
							BgL_allocsz00) = ((obj_t) BgL_allocs1104z00_9374), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1664z00_10948))->
							BgL_topzf3zf3) = ((bool_t) BgL_topzf31105zf3_10945), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1664z00_10948))->
							BgL_lostzd2stampzd2) =
						((long) BgL_lostzd2stamp1106zd2_10946), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1664z00_10948))->BgL_dupz00) =
						((obj_t) BgL_dup1107z00_9377), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1664z00_10948))->
							BgL_haszd2procedurezf3z21) =
						((bool_t) BgL_haszd2procedurezf31108z21_10947), BUNSPEC);
					return BgL_new1664z00_10948;
				}
			}
		}

	}



/* &<@anonymous:2115> */
	obj_t BGl_z62zc3z04anonymousza32115ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9379)
	{
		{	/* Cfa/cinfo.scm 25 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2114 */
	obj_t BGl_z62lambda2114z62zzcfa_infoz00(obj_t BgL_envz00_9380,
		obj_t BgL_oz00_9381, obj_t BgL_vz00_9382)
	{
		{	/* Cfa/cinfo.scm 25 */
			{	/* Cfa/cinfo.scm 25 */
				bool_t BgL_vz00_10952;

				BgL_vz00_10952 = CBOOL(BgL_vz00_9382);
				return
					((((BgL_approxz00_bglt) COBJECT(
								((BgL_approxz00_bglt) BgL_oz00_9381)))->
						BgL_haszd2procedurezf3z21) = ((bool_t) BgL_vz00_10952), BUNSPEC);
			}
		}

	}



/* &lambda2113 */
	obj_t BGl_z62lambda2113z62zzcfa_infoz00(obj_t BgL_envz00_9383,
		obj_t BgL_oz00_9384)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				BBOOL(
				(((BgL_approxz00_bglt) COBJECT(
							((BgL_approxz00_bglt) BgL_oz00_9384)))->
					BgL_haszd2procedurezf3z21));
		}

	}



/* &<@anonymous:2107> */
	obj_t BGl_z62zc3z04anonymousza32107ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9385)
	{
		{	/* Cfa/cinfo.scm 25 */
			return BUNSPEC;
		}

	}



/* &lambda2106 */
	obj_t BGl_z62lambda2106z62zzcfa_infoz00(obj_t BgL_envz00_9386,
		obj_t BgL_oz00_9387, obj_t BgL_vz00_9388)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				((((BgL_approxz00_bglt) COBJECT(
							((BgL_approxz00_bglt) BgL_oz00_9387)))->BgL_dupz00) =
				((obj_t) BgL_vz00_9388), BUNSPEC);
		}

	}



/* &lambda2105 */
	obj_t BGl_z62lambda2105z62zzcfa_infoz00(obj_t BgL_envz00_9389,
		obj_t BgL_oz00_9390)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				(((BgL_approxz00_bglt) COBJECT(
						((BgL_approxz00_bglt) BgL_oz00_9390)))->BgL_dupz00);
		}

	}



/* &<@anonymous:2100> */
	obj_t BGl_z62zc3z04anonymousza32100ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9391)
	{
		{	/* Cfa/cinfo.scm 25 */
			return BINT(((long) -1));
		}

	}



/* &lambda2099 */
	obj_t BGl_z62lambda2099z62zzcfa_infoz00(obj_t BgL_envz00_9392,
		obj_t BgL_oz00_9393, obj_t BgL_vz00_9394)
	{
		{	/* Cfa/cinfo.scm 25 */
			{	/* Cfa/cinfo.scm 25 */
				long BgL_vz00_10957;

				BgL_vz00_10957 = (long) CINT(BgL_vz00_9394);
				return
					((((BgL_approxz00_bglt) COBJECT(
								((BgL_approxz00_bglt) BgL_oz00_9393)))->BgL_lostzd2stampzd2) =
					((long) BgL_vz00_10957), BUNSPEC);
		}}

	}



/* &lambda2098 */
	obj_t BGl_z62lambda2098z62zzcfa_infoz00(obj_t BgL_envz00_9395,
		obj_t BgL_oz00_9396)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				BINT(
				(((BgL_approxz00_bglt) COBJECT(
							((BgL_approxz00_bglt) BgL_oz00_9396)))->BgL_lostzd2stampzd2));
		}

	}



/* &<@anonymous:2093> */
	obj_t BGl_z62zc3z04anonymousza32093ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9397)
	{
		{	/* Cfa/cinfo.scm 25 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2092 */
	obj_t BGl_z62lambda2092z62zzcfa_infoz00(obj_t BgL_envz00_9398,
		obj_t BgL_oz00_9399, obj_t BgL_vz00_9400)
	{
		{	/* Cfa/cinfo.scm 25 */
			{	/* Cfa/cinfo.scm 25 */
				bool_t BgL_vz00_10960;

				BgL_vz00_10960 = CBOOL(BgL_vz00_9400);
				return
					((((BgL_approxz00_bglt) COBJECT(
								((BgL_approxz00_bglt) BgL_oz00_9399)))->BgL_topzf3zf3) =
					((bool_t) BgL_vz00_10960), BUNSPEC);
			}
		}

	}



/* &lambda2091 */
	obj_t BGl_z62lambda2091z62zzcfa_infoz00(obj_t BgL_envz00_9401,
		obj_t BgL_oz00_9402)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				BBOOL(
				(((BgL_approxz00_bglt) COBJECT(
							((BgL_approxz00_bglt) BgL_oz00_9402)))->BgL_topzf3zf3));
		}

	}



/* &lambda2086 */
	obj_t BGl_z62lambda2086z62zzcfa_infoz00(obj_t BgL_envz00_9403,
		obj_t BgL_oz00_9404, obj_t BgL_vz00_9405)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				((((BgL_approxz00_bglt) COBJECT(
							((BgL_approxz00_bglt) BgL_oz00_9404)))->BgL_allocsz00) =
				((obj_t) BgL_vz00_9405), BUNSPEC);
		}

	}



/* &lambda2085 */
	obj_t BGl_z62lambda2085z62zzcfa_infoz00(obj_t BgL_envz00_9406,
		obj_t BgL_oz00_9407)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				(((BgL_approxz00_bglt) COBJECT(
						((BgL_approxz00_bglt) BgL_oz00_9407)))->BgL_allocsz00);
		}

	}



/* &<@anonymous:2081> */
	obj_t BGl_z62zc3z04anonymousza32081ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9408)
	{
		{	/* Cfa/cinfo.scm 25 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2080 */
	obj_t BGl_z62lambda2080z62zzcfa_infoz00(obj_t BgL_envz00_9409,
		obj_t BgL_oz00_9410, obj_t BgL_vz00_9411)
	{
		{	/* Cfa/cinfo.scm 25 */
			{	/* Cfa/cinfo.scm 25 */
				bool_t BgL_vz00_10965;

				BgL_vz00_10965 = CBOOL(BgL_vz00_9411);
				return
					((((BgL_approxz00_bglt) COBJECT(
								((BgL_approxz00_bglt) BgL_oz00_9410)))->
						BgL_typezd2lockedzf3z21) = ((bool_t) BgL_vz00_10965), BUNSPEC);
			}
		}

	}



/* &lambda2079 */
	obj_t BGl_z62lambda2079z62zzcfa_infoz00(obj_t BgL_envz00_9412,
		obj_t BgL_oz00_9413)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				BBOOL(
				(((BgL_approxz00_bglt) COBJECT(
							((BgL_approxz00_bglt) BgL_oz00_9413)))->BgL_typezd2lockedzf3z21));
		}

	}



/* &<@anonymous:2074> */
	obj_t BGl_z62zc3z04anonymousza32074ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9414)
	{
		{	/* Cfa/cinfo.scm 25 */
			return BGl_za2_za2z00zztype_cachez00;
		}

	}



/* &lambda2073 */
	obj_t BGl_z62lambda2073z62zzcfa_infoz00(obj_t BgL_envz00_9415,
		obj_t BgL_oz00_9416, obj_t BgL_vz00_9417)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				((((BgL_approxz00_bglt) COBJECT(
							((BgL_approxz00_bglt) BgL_oz00_9416)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_9417)), BUNSPEC);
		}

	}



/* &lambda2072 */
	BgL_typez00_bglt BGl_z62lambda2072z62zzcfa_infoz00(obj_t BgL_envz00_9418,
		obj_t BgL_oz00_9419)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				(((BgL_approxz00_bglt) COBJECT(
						((BgL_approxz00_bglt) BgL_oz00_9419)))->BgL_typez00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_infoz00()
	{
		{	/* Cfa/cinfo.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_infoz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_infoz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_infoz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_infoz00));
		}

	}

#ifdef __cplusplus
}
#endif
