/*===========================================================================*/
/*   (Cfa/closure.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/closure.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;


	extern obj_t BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt,
		obj_t);
	static bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	static obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t);
	static bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_closurez00();
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_closurez00();
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00();
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00();
	static bool_t BGl_showze70ze7zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t,
		obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t);
	static obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_gczd2rootszd2initz00zzcfa_closurez00();
	static obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t, obj_t);
	static bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00();
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00(BgL_typez00_bglt);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza31695ze3ze5zzcfa_closurez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzcfa_closurez00();
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_closurez00();
	static obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t);
	extern obj_t BGl_setzd2headzd2zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t,
		obj_t);
	extern bool_t
		BGl_approxzd2haszd2procedurezf3zf3zzcfa_approxz00(BgL_approxz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_Xz12z12zzcfa_closurez00(obj_t);
	static obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_z62zc3z04anonymousza31712ze3ze5zzcfa_closurez00(obj_t,
		obj_t);
	static obj_t BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00();
	static obj_t BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzcfa_closurez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t,
		obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	static bool_t BGl_mergezd2appzd2returnzd2typesz12zc0zzcfa_closurez00(obj_t,
		BgL_approxz00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[20];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2251z00zzcfa_closurez00,
		BgL_bgl_za762za7c3za704anonymo2260za7,
		BGl_z62zc3z04anonymousza31695ze3ze5zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2252z00zzcfa_closurez00,
		BgL_bgl_za762za7c3za704anonymo2261za7,
		BGl_z62zc3z04anonymousza31712ze3ze5zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2makezd2procedurez12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2makeza7d22262za7,
		BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2funcallz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762addza7d2funcall2263z00,
		BGl_z62addzd2funcallz12za2zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2250z00zzcfa_closurez00,
		BgL_bgl_string2250za700za7za7c2264za7, "   . Light closures", 19);
	      DEFINE_STRING(BGl_string2253z00zzcfa_closurez00,
		BgL_bgl_string2253za700za7za7c2265za7, ": ", 2);
	      DEFINE_STRING(BGl_string2254z00zzcfa_closurez00,
		BgL_bgl_string2254za700za7za7c2266za7, "      ", 6);
	      DEFINE_STRING(BGl_string2255z00zzcfa_closurez00,
		BgL_bgl_string2255za700za7za7c2267za7, "        ", 8);
	      DEFINE_STRING(BGl_string2256z00zzcfa_closurez00,
		BgL_bgl_string2256za700za7za7c2268za7, "cfa_closure", 11);
	      DEFINE_STRING(BGl_string2257z00zzcfa_closurez00,
		BgL_bgl_string2257za700za7za7c2269za7,
		"make-l-procedure make-el-procedure procedure-el-set! procedure-el-ref procedure-l-set! procedure-l-ref procedure-set! foreign procedure-ref T X nothing-to-do slfun selfun done ok \077\077? light elight static ",
		203);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2procedurezd2refz12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2procedu2270z00,
		BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2procedurezd2listzd2envzd2zzcfa_closurez00,
		BgL_bgl_za762getza7d2procedu2271z00,
		BGl_z62getzd2procedurezd2listz62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2closuresz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762typeza7d2closur2272z00,
		BGl_z62typezd2closuresz12za2zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationzf3zd2envz54zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt2273z00,
		BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2closurezd2cachezd2envzd2zzcfa_closurez00,
		BgL_bgl_za762stopza7d2closur2274z00,
		BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationz12zd2envzb5zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt2275z00,
		BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2procedurezd2elzf3zd2envz21zzcfa_closurez00,
		BgL_bgl_za762approxza7d2proc2276z00,
		BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2procedurezd2refza2zd2zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2funcallzd2listza2zd2zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00));
		   
			 ADD_ROOT((void *) (&BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long
		BgL_checksumz00_4852, char *BgL_fromz00_4853)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_closurez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_closurez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_closurez00();
					BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
					BGl_cnstzd2initzd2zzcfa_closurez00();
					BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
					return BGl_toplevelzd2initzd2zzcfa_closurez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00()
	{
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "cfa_closure");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_closurez00()
	{
		{	/* Cfa/closure.scm 25 */
			{	/* Cfa/closure.scm 25 */
				obj_t BgL_cportz00_4812;

				{	/* Cfa/closure.scm 25 */
					obj_t BgL_stringz00_4820;

					BgL_stringz00_4820 = BGl_string2257z00zzcfa_closurez00;
					{	/* Cfa/closure.scm 25 */
						obj_t BgL_startz00_4821;

						BgL_startz00_4821 = BINT(((long) 0));
						{	/* Cfa/closure.scm 25 */
							obj_t BgL_endz00_4822;

							BgL_endz00_4822 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4820)));
							{	/* Cfa/closure.scm 25 */

								BgL_cportz00_4812 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4820, BgL_startz00_4821, BgL_endz00_4822);
				}}}}
				{
					long BgL_iz00_4813;

					BgL_iz00_4813 = ((long) 19);
				BgL_loopz00_4814:
					if ((BgL_iz00_4813 == ((long) -1)))
						{	/* Cfa/closure.scm 25 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/closure.scm 25 */
							{	/* Cfa/closure.scm 25 */
								obj_t BgL_arg2259z00_4816;

								{	/* Cfa/closure.scm 25 */

									{	/* Cfa/closure.scm 25 */
										obj_t BgL_locationz00_4818;

										BgL_locationz00_4818 = BBOOL(((bool_t) 0));
										{	/* Cfa/closure.scm 25 */

											BgL_arg2259z00_4816 =
												BGl_readz00zz__readerz00(BgL_cportz00_4812,
												BgL_locationz00_4818);
										}
									}
								}
								{	/* Cfa/closure.scm 25 */
									int BgL_tmpz00_4880;

									BgL_tmpz00_4880 = (int) (BgL_iz00_4813);
									CNST_TABLE_SET(BgL_tmpz00_4880, BgL_arg2259z00_4816);
							}}
							{	/* Cfa/closure.scm 25 */
								int BgL_auxz00_4819;

								BgL_auxz00_4819 = (int) ((BgL_iz00_4813 - ((long) 1)));
								{
									long BgL_iz00_4885;

									BgL_iz00_4885 = (long) (BgL_auxz00_4819);
									BgL_iz00_4813 = BgL_iz00_4885;
									goto BgL_loopz00_4814;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_closurez00()
	{
		{	/* Cfa/closure.scm 25 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_closurez00()
	{
		{	/* Cfa/closure.scm 25 */
			BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BNIL;
			BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}

	}



/* closure-optimization? */
	BGL_EXPORTED_DEF obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00()
	{
		{	/* Cfa/closure.scm 56 */
			{	/* Cfa/closure.scm 57 */
				long BgL_n1z00_3941;

				BgL_n1z00_3941 = (long) CINT(BGl_za2optimza2z00zzengine_paramz00);
				return BBOOL((BgL_n1z00_3941 >= ((long) 2)));
		}}

	}



/* &closure-optimization? */
	obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t
		BgL_envz00_4790)
	{
		{	/* Cfa/closure.scm 56 */
			return BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
		}

	}



/* closure-optimization! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t BgL_globalsz00_23)
	{
		{	/* Cfa/closure.scm 62 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 63 */
					{	/* Cfa/closure.scm 64 */
						obj_t BgL_list1590z00_2930;

						{	/* Cfa/closure.scm 64 */
							obj_t BgL_arg1595z00_2931;

							BgL_arg1595z00_2931 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_list1590z00_2930 =
								MAKE_YOUNG_PAIR(BGl_string2250z00zzcfa_closurez00,
								BgL_arg1595z00_2931);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list1590z00_2930);
					}
					BGl_startzd2closurezd2cachez00zzcfa_closurez00();
					{
						obj_t BgL_l1509z00_2933;

						BgL_l1509z00_2933 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3z04anonymousza31596ze3z87_2934:
						if (PAIRP(BgL_l1509z00_2933))
							{	/* Cfa/closure.scm 73 */
								{	/* Cfa/closure.scm 75 */
									obj_t BgL_appz00_2936;

									BgL_appz00_2936 = CAR(BgL_l1509z00_2933);
									{	/* Cfa/closure.scm 76 */
										BgL_variablez00_bglt BgL_funz00_2938;

										{
											BgL_varz00_bglt BgL_auxz00_4904;

											{	/* Cfa/closure.scm 76 */
												obj_t BgL_pairz00_3944;

												BgL_pairz00_3944 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_appz00_2936))))->
													BgL_argsz00);
												BgL_auxz00_4904 =
													((BgL_varz00_bglt) CAR(BgL_pairz00_3944));
											}
											BgL_funz00_2938 =
												(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4904))->
												BgL_variablez00);
										}
										{	/* Cfa/closure.scm 76 */
											obj_t BgL_cloz00_2939;

											BgL_cloz00_2939 =
												(((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_funz00_2938))))->
																	BgL_valuez00)))))->BgL_thezd2closurezd2);
											{	/* Cfa/closure.scm 77 */
												bool_t BgL_lostzf3zf3_2940;

												{	/* Cfa/closure.scm 78 */
													long BgL_arg1656z00_2964;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4917;

														{
															obj_t BgL_auxz00_4918;

															{	/* Cfa/closure.scm 78 */
																BgL_objectz00_bglt BgL_tmpz00_4919;

																BgL_tmpz00_4919 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_2936));
																BgL_auxz00_4918 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4919);
															}
															BgL_auxz00_4917 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_4918);
														}
														BgL_arg1656z00_2964 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																COBJECT(BgL_auxz00_4917))->BgL_lostzd2stampzd2);
													}
													BgL_lostzf3zf3_2940 =
														(BgL_arg1656z00_2964 > ((long) -1));
												}
												{	/* Cfa/closure.scm 78 */
													obj_t BgL_siza7eza7_2941;

													{	/* Cfa/closure.scm 79 */
														obj_t BgL_arg1647z00_2962;

														{	/* Cfa/closure.scm 79 */
															obj_t BgL_pairz00_3950;

															BgL_pairz00_3950 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_appz00_2936))))->
																BgL_argsz00);
															BgL_arg1647z00_2962 =
																CAR(CDR(CDR(BgL_pairz00_3950)));
														}
														BgL_siza7eza7_2941 =
															BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
															((BgL_nodez00_bglt) BgL_arg1647z00_2962));
													}
													{	/* Cfa/closure.scm 79 */

														{	/* Cfa/closure.scm 81 */
															bool_t BgL_test2281z00_4934;

															if (BgL_lostzf3zf3_2940)
																{	/* Cfa/closure.scm 81 */
																	BgL_test2281z00_4934 = ((bool_t) 1);
																}
															else
																{	/* Cfa/closure.scm 82 */
																	bool_t BgL_test2283z00_4936;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_4937;
																		{
																			obj_t BgL_auxz00_4938;

																			{	/* Cfa/closure.scm 82 */
																				BgL_objectz00_bglt BgL_tmpz00_4939;

																				BgL_tmpz00_4939 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_2936));
																				BgL_auxz00_4938 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_4939);
																			}
																			BgL_auxz00_4937 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_4938);
																		}
																		BgL_test2283z00_4936 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				COBJECT(BgL_auxz00_4937))->
																			BgL_xzd2tzf3z21);
																	}
																	if (BgL_test2283z00_4936)
																		{	/* Cfa/closure.scm 82 */
																			if (
																				((((BgL_funz00_bglt) COBJECT(
																								((BgL_funz00_bglt)
																									((BgL_sfunz00_bglt)
																										(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_globalz00_bglt) BgL_funz00_2938))))->BgL_valuez00)))))->BgL_arityz00) < ((long) 0)))
																				{	/* Cfa/closure.scm 83 */
																					BgL_test2281z00_4934 = ((bool_t) 1);
																				}
																			else
																				{	/* Cfa/closure.scm 83 */
																					if (INTEGERP(BgL_siza7eza7_2941))
																						{	/* Cfa/closure.scm 85 */
																							bool_t BgL_test2286z00_4955;

																							{	/* Cfa/closure.scm 85 */
																								obj_t BgL_classz00_3960;

																								BgL_classz00_3960 =
																									BGl_globalz00zzast_varz00;
																								if (BGL_OBJECTP
																									(BgL_cloz00_2939))
																									{	/* Cfa/closure.scm 85 */
																										BgL_objectz00_bglt
																											BgL_arg1825z00_3962;
																										BgL_arg1825z00_3962 =
																											(BgL_objectz00_bglt)
																											(BgL_cloz00_2939);
																										{	/* Cfa/closure.scm 85 */
																											bool_t
																												BgL_arg1822z00_3965;
																											bool_t
																												BgL_arg1823z00_3966;
																											{	/* Cfa/closure.scm 85 */
																												long BgL_idxz00_3969;

																												BgL_idxz00_3969 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1825z00_3962);
																												BgL_arg1822z00_3965 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_3969 +
																															((long) 2))) ==
																													BgL_classz00_3960);
																											}
																											{	/* Cfa/closure.scm 85 */
																												bool_t
																													BgL_res2231z00_3991;
																												{	/* Cfa/closure.scm 85 */
																													obj_t
																														BgL_oclassz00_3977;
																													{	/* Cfa/closure.scm 85 */
																														long
																															BgL_arg1833z00_3983;
																														{	/* Cfa/closure.scm 85 */
																															long
																																BgL_arg1834z00_3984;
																															BgL_arg1834z00_3984
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1825z00_3962);
																															BgL_arg1833z00_3983
																																=
																																(BgL_arg1834z00_3984
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_3977 =
																															VECTOR_REF
																															(BGl_za2classesza2z00zz__objectz00,
																															BgL_arg1833z00_3983);
																													}
																													{	/* Cfa/closure.scm 85 */
																														bool_t
																															BgL__ortest_1110z00_3978;
																														BgL__ortest_1110z00_3978
																															=
																															(BgL_classz00_3960
																															==
																															BgL_oclassz00_3977);
																														if (BgL__ortest_1110z00_3978)
																															{	/* Cfa/closure.scm 85 */
																																BgL_res2231z00_3991
																																	=
																																	BgL__ortest_1110z00_3978;
																															}
																														else
																															{	/* Cfa/closure.scm 85 */
																																long
																																	BgL_odepthz00_3979;
																																BgL_odepthz00_3979
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_oclassz00_3977);
																																if ((((long) 2)
																																		<
																																		BgL_odepthz00_3979))
																																	{	/* Cfa/closure.scm 85 */
																																		obj_t
																																			BgL_arg1821z00_3981;
																																		BgL_arg1821z00_3981
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_oclassz00_3977,
																																			((long)
																																				2));
																																		BgL_res2231z00_3991
																																			=
																																			(BgL_arg1821z00_3981
																																			==
																																			BgL_classz00_3960);
																																	}
																																else
																																	{	/* Cfa/closure.scm 85 */
																																		BgL_res2231z00_3991
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_arg1823z00_3966 =
																													BgL_res2231z00_3991;
																											}
																											BgL_test2286z00_4955 =
																												BGL_ISA_C_BACKEND
																												(BgL_arg1822z00_3965,
																												BgL_arg1823z00_3966);
																										}
																									}
																								else
																									{	/* Cfa/closure.scm 85 */
																										BgL_test2286z00_4955 =
																											((bool_t) 0);
																									}
																							}
																							if (BgL_test2286z00_4955)
																								{	/* Cfa/closure.scm 85 */
																									if (
																										((((BgL_globalz00_bglt)
																													COBJECT((
																															(BgL_globalz00_bglt)
																															BgL_cloz00_2939)))->
																												BgL_importz00) ==
																											CNST_TABLE_REF(((long)
																													0))))
																										{	/* Cfa/closure.scm 86 */
																											BgL_test2281z00_4934 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Cfa/closure.scm 86 */
																											BgL_test2281z00_4934 =
																												((bool_t) 1);
																										}
																								}
																							else
																								{	/* Cfa/closure.scm 85 */
																									BgL_test2281z00_4934 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Cfa/closure.scm 84 */
																							BgL_test2281z00_4934 =
																								((bool_t) 1);
																						}
																				}
																		}
																	else
																		{	/* Cfa/closure.scm 82 */
																			BgL_test2281z00_4934 = ((bool_t) 1);
																		}
																}
															if (BgL_test2281z00_4934)
																{	/* Cfa/closure.scm 81 */
																	BNIL;
																}
															else
																{	/* Cfa/closure.scm 81 */
																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_4979;
																		{
																			obj_t BgL_auxz00_4980;

																			{	/* Cfa/closure.scm 103 */
																				BgL_objectz00_bglt BgL_tmpz00_4981;

																				BgL_tmpz00_4981 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_2936));
																				BgL_auxz00_4980 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_4981);
																			}
																			BgL_auxz00_4979 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_4980);
																		}
																		((((BgL_makezd2procedurezd2appz00_bglt)
																					COBJECT(BgL_auxz00_4979))->BgL_xz00) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																	}
																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_4987;
																		{
																			obj_t BgL_auxz00_4988;

																			{	/* Cfa/closure.scm 104 */
																				BgL_objectz00_bglt BgL_tmpz00_4989;

																				BgL_tmpz00_4989 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_2936));
																				BgL_auxz00_4988 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_4989);
																			}
																			BgL_auxz00_4987 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_4988);
																		}
																		((((BgL_makezd2procedurezd2appz00_bglt)
																					COBJECT(BgL_auxz00_4987))->BgL_tz00) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																	}
																}
														}
													}
												}
											}
										}
									}
								}
								{
									obj_t BgL_l1509z00_4995;

									BgL_l1509z00_4995 = CDR(BgL_l1509z00_2933);
									BgL_l1509z00_2933 = BgL_l1509z00_4995;
									goto BgL_zc3z04anonymousza31596ze3z87_2934;
								}
							}
						else
							{	/* Cfa/closure.scm 73 */
								((bool_t) 1);
							}
					}
					BGl_Xz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					{
						obj_t BgL_l1511z00_2971;

						BgL_l1511z00_2971 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3z04anonymousza31668ze3z87_2972:
						if (PAIRP(BgL_l1511z00_2971))
							{	/* Cfa/closure.scm 111 */
								{	/* Cfa/closure.scm 112 */
									obj_t BgL_allocz00_2974;

									BgL_allocz00_2974 = CAR(BgL_l1511z00_2971);
									{	/* Cfa/closure.scm 113 */
										BgL_valuez00_bglt BgL_fz00_2976;

										{
											BgL_variablez00_bglt BgL_auxz00_5002;

											{
												BgL_varz00_bglt BgL_auxz00_5003;

												{	/* Cfa/closure.scm 113 */
													obj_t BgL_pairz00_3997;

													BgL_pairz00_3997 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_allocz00_2974))))->
														BgL_argsz00);
													BgL_auxz00_5003 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_3997));
												}
												BgL_auxz00_5002 =
													(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5003))->
													BgL_variablez00);
											}
											BgL_fz00_2976 =
												(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_5002))->
												BgL_valuez00);
										}
										{	/* Cfa/closure.scm 115 */
											bool_t BgL_test2292z00_5011;

											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5012;

												{
													obj_t BgL_auxz00_5013;

													{	/* Cfa/closure.scm 115 */
														BgL_objectz00_bglt BgL_tmpz00_5014;

														BgL_tmpz00_5014 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt) BgL_allocz00_2974));
														BgL_auxz00_5013 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5014);
													}
													BgL_auxz00_5012 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_5013);
												}
												BgL_test2292z00_5011 =
													(((BgL_makezd2procedurezd2appz00_bglt)
														COBJECT(BgL_auxz00_5012))->BgL_xz00);
											}
											if (BgL_test2292z00_5011)
												{	/* Cfa/closure.scm 115 */
													obj_t BgL_vz00_4002;

													BgL_vz00_4002 = CNST_TABLE_REF(((long) 1));
													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_fz00_2976)))->
															BgL_strengthz00) =
														((obj_t) BgL_vz00_4002), BUNSPEC);
												}
											else
												{	/* Cfa/closure.scm 116 */
													bool_t BgL_test2293z00_5023;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5024;

														{
															obj_t BgL_auxz00_5025;

															{	/* Cfa/closure.scm 116 */
																BgL_objectz00_bglt BgL_tmpz00_5026;

																BgL_tmpz00_5026 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_allocz00_2974));
																BgL_auxz00_5025 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5026);
															}
															BgL_auxz00_5024 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5025);
														}
														BgL_test2293z00_5023 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																COBJECT(BgL_auxz00_5024))->BgL_tz00);
													}
													if (BgL_test2293z00_5023)
														{	/* Cfa/closure.scm 116 */
															obj_t BgL_vz00_4005;

															BgL_vz00_4005 = CNST_TABLE_REF(((long) 2));
															((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_fz00_2976)))->
																	BgL_strengthz00) =
																((obj_t) BgL_vz00_4005), BUNSPEC);
														}
													else
														{	/* Cfa/closure.scm 117 */
															obj_t BgL_vz00_4007;

															BgL_vz00_4007 = CNST_TABLE_REF(((long) 3));
															((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_fz00_2976)))->
																	BgL_strengthz00) =
																((obj_t) BgL_vz00_4007), BUNSPEC);
								}}}}}
								{
									obj_t BgL_l1511z00_5038;

									BgL_l1511z00_5038 = CDR(BgL_l1511z00_2971);
									BgL_l1511z00_2971 = BgL_l1511z00_5038;
									goto BgL_zc3z04anonymousza31668ze3z87_2972;
								}
							}
						else
							{	/* Cfa/closure.scm 111 */
								((bool_t) 1);
							}
					}
					BGl_showzd2Xzd2Tz00zzcfa_closurez00
						(BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00);
					BGl_lightzd2funcallz12zc0zzcfa_closurez00();
					BGl_lightzd2accessz12zc0zzcfa_closurez00();
					BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
					return BGl_lightzd2typez12zc0zzcfa_ltypez00(BgL_globalsz00_23);
				}
			else
				{	/* Cfa/closure.scm 63 */
					return BFALSE;
				}
		}

	}



/* &closure-optimization! */
	obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t
		BgL_envz00_4791, obj_t BgL_globalsz00_4792)
	{
		{	/* Cfa/closure.scm 62 */
			return
				BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(BgL_globalsz00_4792);
		}

	}



/* X! */
	bool_t BGl_Xz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_24)
	{
		{	/* Cfa/closure.scm 133 */
			{
				obj_t BgL_l1513z00_2985;

				BgL_l1513z00_2985 = BgL_funcallzd2listzd2_24;
			BgL_zc3z04anonymousza31680ze3z87_2986:
				if (PAIRP(BgL_l1513z00_2985))
					{	/* Cfa/closure.scm 135 */
						{	/* Cfa/closure.scm 136 */
							BgL_funcallz00_bglt BgL_appz00_2988;

							BgL_appz00_2988 = ((BgL_funcallz00_bglt) CAR(BgL_l1513z00_2985));
							{	/* Cfa/closure.scm 137 */
								BgL_nodez00_bglt BgL_funz00_2989;

								BgL_funz00_2989 =
									(((BgL_funcallz00_bglt) COBJECT(BgL_appz00_2988))->
									BgL_funz00);
								{	/* Cfa/closure.scm 137 */
									BgL_approxz00_bglt BgL_approxz00_2990;

									BgL_approxz00_2990 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2989);
									{	/* Cfa/closure.scm 138 */
										obj_t BgL_allocz00_2991;

										BgL_allocz00_2991 =
											(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_2990))->
											BgL_allocsz00);
										{	/* Cfa/closure.scm 139 */
											BgL_typez00_bglt BgL_typez00_2992;

											BgL_typez00_2992 =
												(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_2990))->
												BgL_typez00);
											{	/* Cfa/closure.scm 140 */
												bool_t BgL_topzf3zf3_2993;

												BgL_topzf3zf3_2993 =
													(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_2990))->
													BgL_topzf3zf3);
												{	/* Cfa/closure.scm 141 */

													if (BgL_topzf3zf3_2993)
														{	/* Cfa/closure.scm 143 */
															if (BGl_approxzd2haszd2procedurezf3zf3zzcfa_approxz00(BgL_approxz00_2990))
																{	/* Cfa/closure.scm 146 */
																	BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																		(BGl_proc2251z00zzcfa_closurez00,
																		BgL_approxz00_2990);
																}
															else
																{	/* Cfa/closure.scm 146 */
																	BFALSE;
																}
														}
													else
														{	/* Cfa/closure.scm 156 */
															bool_t BgL_test2297z00_5059;

															{	/* Cfa/closure.scm 156 */
																obj_t BgL_arg1715z00_3016;

																BgL_arg1715z00_3016 =
																	BGl_setzd2lengthzd2zzcfa_setz00
																	(BgL_allocz00_2991);
																BgL_test2297z00_5059 =
																	((long) CINT(BgL_arg1715z00_3016) ==
																	((long) 0));
															}
															if (BgL_test2297z00_5059)
																{	/* Cfa/closure.scm 156 */
																	CNST_TABLE_REF(((long) 4));
																}
															else
																{	/* Cfa/closure.scm 159 */
																	bool_t BgL_test2298z00_5064;

																	{	/* Cfa/closure.scm 159 */
																		bool_t BgL_test2299z00_5065;

																		{	/* Cfa/closure.scm 159 */
																			obj_t BgL_arg1714z00_3015;

																			BgL_arg1714z00_3015 =
																				BGl_setzd2lengthzd2zzcfa_setz00
																				(BgL_allocz00_2991);
																			BgL_test2299z00_5065 =
																				((long) CINT(BgL_arg1714z00_3015) ==
																				((long) 1));
																		}
																		if (BgL_test2299z00_5065)
																			{	/* Cfa/closure.scm 160 */
																				obj_t BgL__ortest_1161z00_3014;

																				BgL__ortest_1161z00_3014 =
																					BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
																				if (CBOOL(BgL__ortest_1161z00_3014))
																					{	/* Cfa/closure.scm 160 */
																						BgL_test2298z00_5064 =
																							CBOOL(BgL__ortest_1161z00_3014);
																					}
																				else
																					{	/* Cfa/closure.scm 160 */
																						BgL_test2298z00_5064 =
																							(
																							((obj_t) BgL_typez00_2992) ==
																							BGl_za2procedureza2z00zztype_cachez00);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 159 */
																				BgL_test2298z00_5064 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2298z00_5064)
																		{	/* Cfa/closure.scm 159 */
																			CNST_TABLE_REF(((long) 4));
																		}
																	else
																		{	/* Cfa/closure.scm 159 */
																			if (BGl_approxzd2haszd2procedurezf3zf3zzcfa_approxz00(BgL_approxz00_2990))
																				{	/* Cfa/closure.scm 167 */
																					BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																						(BGl_proc2252z00zzcfa_closurez00,
																						BgL_approxz00_2990);
																				}
																			else
																				{	/* Cfa/closure.scm 167 */
																					BFALSE;
																				}
																		}
																}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1513z00_5078;

							BgL_l1513z00_5078 = CDR(BgL_l1513z00_2985);
							BgL_l1513z00_2985 = BgL_l1513z00_5078;
							goto BgL_zc3z04anonymousza31680ze3z87_2986;
						}
					}
				else
					{	/* Cfa/closure.scm 135 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* &<@anonymous:1695> */
	obj_t BGl_z62zc3z04anonymousza31695ze3ze5zzcfa_closurez00(obj_t
		BgL_envz00_4795, obj_t BgL_allocz00_4796)
	{
		{	/* Cfa/closure.scm 148 */
			{	/* Cfa/closure.scm 149 */
				bool_t BgL_test2302z00_5080;

				{	/* Cfa/closure.scm 149 */
					obj_t BgL_classz00_4824;

					BgL_classz00_4824 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
					if (BGL_OBJECTP(BgL_allocz00_4796))
						{	/* Cfa/closure.scm 149 */
							BgL_objectz00_bglt BgL_arg1825z00_4825;

							BgL_arg1825z00_4825 = (BgL_objectz00_bglt) (BgL_allocz00_4796);
							{	/* Cfa/closure.scm 149 */
								bool_t BgL_arg1822z00_4826;
								bool_t BgL_arg1823z00_4827;

								{	/* Cfa/closure.scm 149 */
									long BgL_idxz00_4828;

									BgL_idxz00_4828 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4825);
									BgL_arg1822z00_4826 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4828 + ((long) 4))) == BgL_classz00_4824);
								}
								{	/* Cfa/closure.scm 149 */
									bool_t BgL_res2232z00_4831;

									{	/* Cfa/closure.scm 149 */
										obj_t BgL_oclassz00_4832;

										{	/* Cfa/closure.scm 149 */
											long BgL_arg1833z00_4833;

											{	/* Cfa/closure.scm 149 */
												long BgL_arg1834z00_4834;

												BgL_arg1834z00_4834 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4825);
												BgL_arg1833z00_4833 =
													(BgL_arg1834z00_4834 - OBJECT_TYPE);
											}
											BgL_oclassz00_4832 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4833);
										}
										{	/* Cfa/closure.scm 149 */
											bool_t BgL__ortest_1110z00_4835;

											BgL__ortest_1110z00_4835 =
												(BgL_classz00_4824 == BgL_oclassz00_4832);
											if (BgL__ortest_1110z00_4835)
												{	/* Cfa/closure.scm 149 */
													BgL_res2232z00_4831 = BgL__ortest_1110z00_4835;
												}
											else
												{	/* Cfa/closure.scm 149 */
													long BgL_odepthz00_4836;

													BgL_odepthz00_4836 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4832);
													if ((((long) 4) < BgL_odepthz00_4836))
														{	/* Cfa/closure.scm 149 */
															obj_t BgL_arg1821z00_4837;

															BgL_arg1821z00_4837 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4832,
																((long) 4));
															BgL_res2232z00_4831 =
																(BgL_arg1821z00_4837 == BgL_classz00_4824);
														}
													else
														{	/* Cfa/closure.scm 149 */
															BgL_res2232z00_4831 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4827 = BgL_res2232z00_4831;
								}
								BgL_test2302z00_5080 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4826, BgL_arg1823z00_4827);
							}
						}
					else
						{	/* Cfa/closure.scm 149 */
							BgL_test2302z00_5080 = ((bool_t) 0);
						}
				}
				if (BgL_test2302z00_5080)
					{	/* Cfa/closure.scm 149 */
						{
							BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5099;

							{
								obj_t BgL_auxz00_5100;

								{	/* Cfa/closure.scm 153 */
									BgL_objectz00_bglt BgL_tmpz00_5101;

									BgL_tmpz00_5101 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) BgL_allocz00_4796));
									BgL_auxz00_5100 = BGL_OBJECT_WIDENING(BgL_tmpz00_5101);
								}
								BgL_auxz00_5099 =
									((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5100);
							}
							((((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_5099))->BgL_tz00) =
								((bool_t) ((bool_t) 0)), BUNSPEC);
						}
						{
							BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5107;

							{
								obj_t BgL_auxz00_5108;

								{	/* Cfa/closure.scm 154 */
									BgL_objectz00_bglt BgL_tmpz00_5109;

									BgL_tmpz00_5109 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) BgL_allocz00_4796));
									BgL_auxz00_5108 = BGL_OBJECT_WIDENING(BgL_tmpz00_5109);
								}
								BgL_auxz00_5107 =
									((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5108);
							}
							return
								((((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_5107))->BgL_xz00) =
								((bool_t) ((bool_t) 0)), BUNSPEC);
						}
					}
				else
					{	/* Cfa/closure.scm 149 */
						return BFALSE;
					}
			}
		}

	}



/* &<@anonymous:1712> */
	obj_t BGl_z62zc3z04anonymousza31712ze3ze5zzcfa_closurez00(obj_t
		BgL_envz00_4797, obj_t BgL_allocz00_4798)
	{
		{	/* Cfa/closure.scm 169 */
			{	/* Cfa/closure.scm 170 */
				bool_t BgL_test2306z00_5115;

				{	/* Cfa/closure.scm 170 */
					obj_t BgL_classz00_4838;

					BgL_classz00_4838 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
					if (BGL_OBJECTP(BgL_allocz00_4798))
						{	/* Cfa/closure.scm 170 */
							BgL_objectz00_bglt BgL_arg1825z00_4839;

							BgL_arg1825z00_4839 = (BgL_objectz00_bglt) (BgL_allocz00_4798);
							{	/* Cfa/closure.scm 170 */
								bool_t BgL_arg1822z00_4840;
								bool_t BgL_arg1823z00_4841;

								{	/* Cfa/closure.scm 170 */
									long BgL_idxz00_4842;

									BgL_idxz00_4842 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4839);
									BgL_arg1822z00_4840 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4842 + ((long) 4))) == BgL_classz00_4838);
								}
								{	/* Cfa/closure.scm 170 */
									bool_t BgL_res2233z00_4845;

									{	/* Cfa/closure.scm 170 */
										obj_t BgL_oclassz00_4846;

										{	/* Cfa/closure.scm 170 */
											long BgL_arg1833z00_4847;

											{	/* Cfa/closure.scm 170 */
												long BgL_arg1834z00_4848;

												BgL_arg1834z00_4848 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4839);
												BgL_arg1833z00_4847 =
													(BgL_arg1834z00_4848 - OBJECT_TYPE);
											}
											BgL_oclassz00_4846 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4847);
										}
										{	/* Cfa/closure.scm 170 */
											bool_t BgL__ortest_1110z00_4849;

											BgL__ortest_1110z00_4849 =
												(BgL_classz00_4838 == BgL_oclassz00_4846);
											if (BgL__ortest_1110z00_4849)
												{	/* Cfa/closure.scm 170 */
													BgL_res2233z00_4845 = BgL__ortest_1110z00_4849;
												}
											else
												{	/* Cfa/closure.scm 170 */
													long BgL_odepthz00_4850;

													BgL_odepthz00_4850 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4846);
													if ((((long) 4) < BgL_odepthz00_4850))
														{	/* Cfa/closure.scm 170 */
															obj_t BgL_arg1821z00_4851;

															BgL_arg1821z00_4851 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4846,
																((long) 4));
															BgL_res2233z00_4845 =
																(BgL_arg1821z00_4851 == BgL_classz00_4838);
														}
													else
														{	/* Cfa/closure.scm 170 */
															BgL_res2233z00_4845 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4841 = BgL_res2233z00_4845;
								}
								BgL_test2306z00_5115 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4840, BgL_arg1823z00_4841);
							}
						}
					else
						{	/* Cfa/closure.scm 170 */
							BgL_test2306z00_5115 = ((bool_t) 0);
						}
				}
				if (BgL_test2306z00_5115)
					{	/* Cfa/closure.scm 170 */
						{
							BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5134;

							{
								obj_t BgL_auxz00_5135;

								{	/* Cfa/closure.scm 174 */
									BgL_objectz00_bglt BgL_tmpz00_5136;

									BgL_tmpz00_5136 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) BgL_allocz00_4798));
									BgL_auxz00_5135 = BGL_OBJECT_WIDENING(BgL_tmpz00_5136);
								}
								BgL_auxz00_5134 =
									((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5135);
							}
							return
								((((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_5134))->BgL_xz00) =
								((bool_t) ((bool_t) 0)), BUNSPEC);
						}
					}
				else
					{	/* Cfa/closure.scm 170 */
						return BFALSE;
					}
			}
		}

	}



/* T-fix-point! */
	obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t
		BgL_funcallzd2listzd2_25)
	{
		{	/* Cfa/closure.scm 187 */
			{
				bool_t BgL_continuezf3zf3_3020;

				BgL_continuezf3zf3_3020 = ((bool_t) 1);
			BgL_zc3z04anonymousza31717ze3z87_3021:
				if (BgL_continuezf3zf3_3020)
					{	/* Cfa/closure.scm 192 */
						bool_t BgL_continuezf3zf3_3022;

						BgL_continuezf3zf3_3022 = ((bool_t) 0);
						{
							obj_t BgL_l1517z00_3024;

							BgL_l1517z00_3024 = BgL_funcallzd2listzd2_25;
						BgL_zc3z04anonymousza31718ze3z87_3025:
							if (PAIRP(BgL_l1517z00_3024))
								{	/* Cfa/closure.scm 193 */
									{	/* Cfa/closure.scm 195 */
										obj_t BgL_appz00_3027;

										BgL_appz00_3027 = CAR(BgL_l1517z00_3024);
										{	/* Cfa/closure.scm 196 */
											BgL_nodez00_bglt BgL_funz00_3028;

											BgL_funz00_3028 =
												(((BgL_funcallz00_bglt) COBJECT(
														((BgL_funcallz00_bglt) BgL_appz00_3027)))->
												BgL_funz00);
											{	/* Cfa/closure.scm 196 */
												BgL_approxz00_bglt BgL_approxz00_3029;

												BgL_approxz00_3029 =
													BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_3028);
												{	/* Cfa/closure.scm 197 */
													obj_t BgL_allocz00_3030;

													BgL_allocz00_3030 =
														BGl_setzd2ze3listz31zzcfa_setz00(
														(((BgL_approxz00_bglt)
																COBJECT(BgL_approxz00_3029))->BgL_allocsz00));
													{	/* Cfa/closure.scm 198 */
														BgL_typez00_bglt BgL_typez00_3031;

														BgL_typez00_3031 =
															(((BgL_approxz00_bglt)
																COBJECT(BgL_approxz00_3029))->BgL_typez00);
														{	/* Cfa/closure.scm 199 */
															bool_t BgL_tzd2initzf3z21_3032;

															{	/* Cfa/closure.scm 200 */
																bool_t BgL__ortest_1162z00_3056;

																BgL__ortest_1162z00_3056 =
																	(((BgL_approxz00_bglt)
																		COBJECT(BgL_approxz00_3029))->
																	BgL_topzf3zf3);
																if (BgL__ortest_1162z00_3056)
																	{	/* Cfa/closure.scm 200 */
																		BgL_tzd2initzf3z21_3032 =
																			BgL__ortest_1162z00_3056;
																	}
																else
																	{	/* Cfa/closure.scm 201 */
																		bool_t BgL_test2313z00_5154;

																		if (
																			(((obj_t) BgL_typez00_3031) ==
																				BGl_za2procedureza2z00zztype_cachez00))
																			{	/* Cfa/closure.scm 201 */
																				BgL_test2313z00_5154 = ((bool_t) 1);
																			}
																		else
																			{	/* Cfa/closure.scm 201 */
																				BgL_test2313z00_5154 =
																					CBOOL
																					(BGl_za2unsafezd2typeza2zd2zzengine_paramz00);
																			}
																		if (BgL_test2313z00_5154)
																			{	/* Cfa/closure.scm 201 */
																				BgL_tzd2initzf3z21_3032 = ((bool_t) 0);
																			}
																		else
																			{	/* Cfa/closure.scm 201 */
																				BgL_tzd2initzf3z21_3032 = ((bool_t) 1);
																			}
																	}
															}
															{	/* Cfa/closure.scm 200 */

																{
																	bool_t BgL_onezd2nonzd2tzf3zf3_3034;
																	obj_t BgL_allocsz00_3035;

																	BgL_onezd2nonzd2tzf3zf3_3034 =
																		BgL_tzd2initzf3z21_3032;
																	BgL_allocsz00_3035 = BgL_allocz00_3030;
																BgL_zc3z04anonymousza31720ze3z87_3036:
																	if (NULLP(BgL_allocsz00_3035))
																		{	/* Cfa/closure.scm 209 */
																			CNST_TABLE_REF(((long) 5));
																		}
																	else
																		{	/* Cfa/closure.scm 209 */
																			if (BgL_onezd2nonzd2tzf3zf3_3034)
																				{
																					obj_t BgL_l1515z00_3039;

																					{	/* Cfa/closure.scm 212 */
																						bool_t BgL_tmpz00_5163;

																						BgL_l1515z00_3039 =
																							BgL_allocz00_3030;
																					BgL_zc3z04anonymousza31722ze3z87_3040:
																						if (PAIRP
																							(BgL_l1515z00_3039))
																							{	/* Cfa/closure.scm 212 */
																								{	/* Cfa/closure.scm 214 */
																									obj_t BgL_allocz00_3042;

																									BgL_allocz00_3042 =
																										CAR(BgL_l1515z00_3039);
																									{	/* Cfa/closure.scm 214 */
																										bool_t BgL_test2318z00_5167;

																										{	/* Cfa/closure.scm 214 */
																											obj_t BgL_classz00_4096;

																											BgL_classz00_4096 =
																												BGl_makezd2procedurezd2appz00zzcfa_info2z00;
																											if (BGL_OBJECTP
																												(BgL_allocz00_3042))
																												{	/* Cfa/closure.scm 214 */
																													BgL_objectz00_bglt
																														BgL_arg1825z00_4098;
																													BgL_arg1825z00_4098 =
																														(BgL_objectz00_bglt)
																														(BgL_allocz00_3042);
																													{	/* Cfa/closure.scm 214 */
																														bool_t
																															BgL_arg1822z00_4101;
																														bool_t
																															BgL_arg1823z00_4102;
																														{	/* Cfa/closure.scm 214 */
																															long
																																BgL_idxz00_4105;
																															BgL_idxz00_4105 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1825z00_4098);
																															BgL_arg1822z00_4101
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_4105
																																		+
																																		((long) 4)))
																																==
																																BgL_classz00_4096);
																														}
																														{	/* Cfa/closure.scm 214 */
																															bool_t
																																BgL_res2234z00_4127;
																															{	/* Cfa/closure.scm 214 */
																																obj_t
																																	BgL_oclassz00_4113;
																																{	/* Cfa/closure.scm 214 */
																																	long
																																		BgL_arg1833z00_4119;
																																	{	/* Cfa/closure.scm 214 */
																																		long
																																			BgL_arg1834z00_4120;
																																		BgL_arg1834z00_4120
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1825z00_4098);
																																		BgL_arg1833z00_4119
																																			=
																																			(BgL_arg1834z00_4120
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_4113
																																		=
																																		VECTOR_REF
																																		(BGl_za2classesza2z00zz__objectz00,
																																		BgL_arg1833z00_4119);
																																}
																																{	/* Cfa/closure.scm 214 */
																																	bool_t
																																		BgL__ortest_1110z00_4114;
																																	BgL__ortest_1110z00_4114
																																		=
																																		(BgL_classz00_4096
																																		==
																																		BgL_oclassz00_4113);
																																	if (BgL__ortest_1110z00_4114)
																																		{	/* Cfa/closure.scm 214 */
																																			BgL_res2234z00_4127
																																				=
																																				BgL__ortest_1110z00_4114;
																																		}
																																	else
																																		{	/* Cfa/closure.scm 214 */
																																			long
																																				BgL_odepthz00_4115;
																																			BgL_odepthz00_4115
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_oclassz00_4113);
																																			if ((((long) 4) < BgL_odepthz00_4115))
																																				{	/* Cfa/closure.scm 214 */
																																					obj_t
																																						BgL_arg1821z00_4117;
																																					BgL_arg1821z00_4117
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_oclassz00_4113,
																																						((long) 4));
																																					BgL_res2234z00_4127
																																						=
																																						(BgL_arg1821z00_4117
																																						==
																																						BgL_classz00_4096);
																																				}
																																			else
																																				{	/* Cfa/closure.scm 214 */
																																					BgL_res2234z00_4127
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_arg1823z00_4102
																																=
																																BgL_res2234z00_4127;
																														}
																														BgL_test2318z00_5167
																															=
																															BGL_ISA_C_BACKEND
																															(BgL_arg1822z00_4101,
																															BgL_arg1823z00_4102);
																													}
																												}
																											else
																												{	/* Cfa/closure.scm 214 */
																													BgL_test2318z00_5167 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test2318z00_5167)
																											{	/* Cfa/closure.scm 216 */
																												bool_t
																													BgL_test2322z00_5186;
																												{
																													BgL_makezd2procedurezd2appz00_bglt
																														BgL_auxz00_5187;
																													{
																														obj_t
																															BgL_auxz00_5188;
																														{	/* Cfa/closure.scm 216 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_5189;
																															BgL_tmpz00_5189 =
																																(
																																(BgL_objectz00_bglt)
																																((BgL_appz00_bglt) BgL_allocz00_3042));
																															BgL_auxz00_5188 =
																																BGL_OBJECT_WIDENING
																																(BgL_tmpz00_5189);
																														}
																														BgL_auxz00_5187 =
																															(
																															(BgL_makezd2procedurezd2appz00_bglt)
																															BgL_auxz00_5188);
																													}
																													BgL_test2322z00_5186 =
																														(((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_5187))->BgL_tz00);
																												}
																												if (BgL_test2322z00_5186)
																													{	/* Cfa/closure.scm 216 */
																														{
																															BgL_makezd2procedurezd2appz00_bglt
																																BgL_auxz00_5195;
																															{
																																obj_t
																																	BgL_auxz00_5196;
																																{	/* Cfa/closure.scm 217 */
																																	BgL_objectz00_bglt
																																		BgL_tmpz00_5197;
																																	BgL_tmpz00_5197
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		((BgL_appz00_bglt) BgL_allocz00_3042));
																																	BgL_auxz00_5196
																																		=
																																		BGL_OBJECT_WIDENING
																																		(BgL_tmpz00_5197);
																																}
																																BgL_auxz00_5195
																																	=
																																	(
																																	(BgL_makezd2procedurezd2appz00_bglt)
																																	BgL_auxz00_5196);
																															}
																															((((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_5195))->BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																														}
																														BgL_continuezf3zf3_3022
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Cfa/closure.scm 216 */
																														BFALSE;
																													}
																											}
																										else
																											{	/* Cfa/closure.scm 214 */
																												BFALSE;
																											}
																									}
																								}
																								{
																									obj_t BgL_l1515z00_5203;

																									BgL_l1515z00_5203 =
																										CDR(BgL_l1515z00_3039);
																									BgL_l1515z00_3039 =
																										BgL_l1515z00_5203;
																									goto
																										BgL_zc3z04anonymousza31722ze3z87_3040;
																								}
																							}
																						else
																							{	/* Cfa/closure.scm 212 */
																								BgL_tmpz00_5163 = ((bool_t) 1);
																							}
																						BBOOL(BgL_tmpz00_5163);
																					}
																				}
																			else
																				{	/* Cfa/closure.scm 220 */
																					bool_t BgL_test2323z00_5206;

																					{	/* Cfa/closure.scm 220 */
																						obj_t BgL_arg1742z00_3054;

																						BgL_arg1742z00_3054 =
																							CAR(((obj_t) BgL_allocsz00_3035));
																						{	/* Cfa/closure.scm 220 */
																							obj_t BgL_classz00_4132;

																							BgL_classz00_4132 =
																								BGl_makezd2procedurezd2appz00zzcfa_info2z00;
																							if (BGL_OBJECTP
																								(BgL_arg1742z00_3054))
																								{	/* Cfa/closure.scm 220 */
																									BgL_objectz00_bglt
																										BgL_arg1825z00_4134;
																									BgL_arg1825z00_4134 =
																										(BgL_objectz00_bglt)
																										(BgL_arg1742z00_3054);
																									{	/* Cfa/closure.scm 220 */
																										bool_t BgL_arg1822z00_4137;
																										bool_t BgL_arg1823z00_4138;

																										{	/* Cfa/closure.scm 220 */
																											long BgL_idxz00_4141;

																											BgL_idxz00_4141 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1825z00_4134);
																											BgL_arg1822z00_4137 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_4141 +
																														((long) 4))) ==
																												BgL_classz00_4132);
																										}
																										{	/* Cfa/closure.scm 220 */
																											bool_t
																												BgL_res2235z00_4163;
																											{	/* Cfa/closure.scm 220 */
																												obj_t
																													BgL_oclassz00_4149;
																												{	/* Cfa/closure.scm 220 */
																													long
																														BgL_arg1833z00_4155;
																													{	/* Cfa/closure.scm 220 */
																														long
																															BgL_arg1834z00_4156;
																														BgL_arg1834z00_4156
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1825z00_4134);
																														BgL_arg1833z00_4155
																															=
																															(BgL_arg1834z00_4156
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_4149 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1833z00_4155);
																												}
																												{	/* Cfa/closure.scm 220 */
																													bool_t
																														BgL__ortest_1110z00_4150;
																													BgL__ortest_1110z00_4150
																														=
																														(BgL_classz00_4132
																														==
																														BgL_oclassz00_4149);
																													if (BgL__ortest_1110z00_4150)
																														{	/* Cfa/closure.scm 220 */
																															BgL_res2235z00_4163
																																=
																																BgL__ortest_1110z00_4150;
																														}
																													else
																														{	/* Cfa/closure.scm 220 */
																															long
																																BgL_odepthz00_4151;
																															BgL_odepthz00_4151
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_4149);
																															if ((((long) 4) <
																																	BgL_odepthz00_4151))
																																{	/* Cfa/closure.scm 220 */
																																	obj_t
																																		BgL_arg1821z00_4153;
																																	BgL_arg1821z00_4153
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_4149,
																																		((long) 4));
																																	BgL_res2235z00_4163
																																		=
																																		(BgL_arg1821z00_4153
																																		==
																																		BgL_classz00_4132);
																																}
																															else
																																{	/* Cfa/closure.scm 220 */
																																	BgL_res2235z00_4163
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_arg1823z00_4138 =
																												BgL_res2235z00_4163;
																										}
																										BgL_test2323z00_5206 =
																											BGL_ISA_C_BACKEND
																											(BgL_arg1822z00_4137,
																											BgL_arg1823z00_4138);
																									}
																								}
																							else
																								{	/* Cfa/closure.scm 220 */
																									BgL_test2323z00_5206 =
																										((bool_t) 0);
																								}
																						}
																					}
																					if (BgL_test2323z00_5206)
																						{	/* Cfa/closure.scm 221 */
																							BgL_appz00_bglt BgL_i1164z00_3050;

																							BgL_i1164z00_3050 =
																								((BgL_appz00_bglt)
																								CAR(
																									((obj_t)
																										BgL_allocsz00_3035)));
																							{	/* Cfa/closure.scm 222 */
																								bool_t BgL_test2327z00_5230;

																								{
																									BgL_makezd2procedurezd2appz00_bglt
																										BgL_auxz00_5231;
																									{
																										obj_t BgL_auxz00_5232;

																										{	/* Cfa/closure.scm 222 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_5233;
																											BgL_tmpz00_5233 =
																												((BgL_objectz00_bglt)
																												BgL_i1164z00_3050);
																											BgL_auxz00_5232 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_5233);
																										}
																										BgL_auxz00_5231 =
																											(
																											(BgL_makezd2procedurezd2appz00_bglt)
																											BgL_auxz00_5232);
																									}
																									BgL_test2327z00_5230 =
																										(((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_5231))->BgL_tz00);
																								}
																								if (BgL_test2327z00_5230)
																									{	/* Cfa/closure.scm 223 */
																										obj_t BgL_arg1738z00_3052;

																										BgL_arg1738z00_3052 =
																											CDR(
																											((obj_t)
																												BgL_allocsz00_3035));
																										{
																											obj_t BgL_allocsz00_5240;

																											BgL_allocsz00_5240 =
																												BgL_arg1738z00_3052;
																											BgL_allocsz00_3035 =
																												BgL_allocsz00_5240;
																											goto
																												BgL_zc3z04anonymousza31720ze3z87_3036;
																										}
																									}
																								else
																									{
																										bool_t
																											BgL_onezd2nonzd2tzf3zf3_5241;
																										BgL_onezd2nonzd2tzf3zf3_5241
																											= ((bool_t) 1);
																										BgL_onezd2nonzd2tzf3zf3_3034
																											=
																											BgL_onezd2nonzd2tzf3zf3_5241;
																										goto
																											BgL_zc3z04anonymousza31720ze3z87_3036;
																									}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 220 */
																							if (CBOOL
																								(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
																								{	/* Cfa/closure.scm 227 */
																									obj_t BgL_arg1739z00_3053;

																									BgL_arg1739z00_3053 =
																										CDR(
																										((obj_t)
																											BgL_allocsz00_3035));
																									{
																										obj_t BgL_allocsz00_5246;

																										BgL_allocsz00_5246 =
																											BgL_arg1739z00_3053;
																										BgL_allocsz00_3035 =
																											BgL_allocsz00_5246;
																										goto
																											BgL_zc3z04anonymousza31720ze3z87_3036;
																									}
																								}
																							else
																								{
																									bool_t
																										BgL_onezd2nonzd2tzf3zf3_5247;
																									BgL_onezd2nonzd2tzf3zf3_5247 =
																										((bool_t) 1);
																									BgL_onezd2nonzd2tzf3zf3_3034 =
																										BgL_onezd2nonzd2tzf3zf3_5247;
																									goto
																										BgL_zc3z04anonymousza31720ze3z87_3036;
																								}
																						}
																				}
																		}
																}
															}
														}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l1517z00_5248;

										BgL_l1517z00_5248 = CDR(BgL_l1517z00_3024);
										BgL_l1517z00_3024 = BgL_l1517z00_5248;
										goto BgL_zc3z04anonymousza31718ze3z87_3025;
									}
								}
							else
								{	/* Cfa/closure.scm 193 */
									((bool_t) 1);
								}
						}
						{
							bool_t BgL_continuezf3zf3_5250;

							BgL_continuezf3zf3_5250 = BgL_continuezf3zf3_3022;
							BgL_continuezf3zf3_3020 = BgL_continuezf3zf3_5250;
							goto BgL_zc3z04anonymousza31717ze3z87_3021;
						}
					}
				else
					{	/* Cfa/closure.scm 190 */
						return BUNSPEC;
					}
			}
		}

	}



/* light-make-procedure! */
	bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00()
	{
		{	/* Cfa/closure.scm 256 */
			{
				obj_t BgL_appz00_3109;
				obj_t BgL_appz00_3079;

				{
					obj_t BgL_l1519z00_3070;

					BgL_l1519z00_3070 =
						BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
				BgL_zc3z04anonymousza31749ze3z87_3071:
					if (PAIRP(BgL_l1519z00_3070))
						{	/* Cfa/closure.scm 298 */
							{	/* Cfa/closure.scm 299 */
								obj_t BgL_appz00_3073;

								BgL_appz00_3073 = CAR(BgL_l1519z00_3070);
								{	/* Cfa/closure.scm 301 */
									bool_t BgL_test2330z00_5254;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5255;

										{
											obj_t BgL_auxz00_5256;

											{	/* Cfa/closure.scm 301 */
												BgL_objectz00_bglt BgL_tmpz00_5257;

												BgL_tmpz00_5257 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt) BgL_appz00_3073));
												BgL_auxz00_5256 = BGL_OBJECT_WIDENING(BgL_tmpz00_5257);
											}
											BgL_auxz00_5255 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5256);
										}
										BgL_test2330z00_5254 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												COBJECT(BgL_auxz00_5255))->BgL_xz00);
									}
									if (BgL_test2330z00_5254)
										{	/* Cfa/closure.scm 301 */
											BgL_appz00_3079 = BgL_appz00_3073;
											{	/* Cfa/closure.scm 260 */
												obj_t BgL_siza7eza7_3082;

												{	/* Cfa/closure.scm 260 */
													obj_t BgL_arg1817z00_3106;

													{	/* Cfa/closure.scm 260 */
														obj_t BgL_pairz00_4169;

														BgL_pairz00_4169 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_appz00_3079))))->
															BgL_argsz00);
														BgL_arg1817z00_3106 =
															CAR(CDR(CDR(BgL_pairz00_4169)));
													}
													BgL_siza7eza7_3082 =
														BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
														((BgL_nodez00_bglt) BgL_arg1817z00_3106));
												}
												{	/* Cfa/closure.scm 260 */
													BgL_variablez00_bglt BgL_ffunz00_3083;

													{
														BgL_varz00_bglt BgL_auxz00_5271;

														{	/* Cfa/closure.scm 261 */
															obj_t BgL_pairz00_4175;

															BgL_pairz00_4175 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_appz00_3079))))->
																BgL_argsz00);
															BgL_auxz00_5271 =
																((BgL_varz00_bglt) CAR(BgL_pairz00_4175));
														}
														BgL_ffunz00_3083 =
															(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5271))->
															BgL_variablez00);
													}
													{	/* Cfa/closure.scm 261 */
														BgL_valuez00_bglt BgL_sfunz00_3084;

														BgL_sfunz00_3084 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_ffunz00_3083))->BgL_valuez00);
														{	/* Cfa/closure.scm 262 */

															if (
																((long) CINT(BgL_siza7eza7_3082) < ((long) 1)))
																{	/* Cfa/closure.scm 264 */
																	{	/* Cfa/closure.scm 265 */
																		bool_t BgL_test2332z00_5282;

																		{	/* Cfa/closure.scm 265 */
																			bool_t BgL_test2333z00_5283;

																			{	/* Cfa/closure.scm 265 */
																				obj_t BgL_classz00_4179;

																				BgL_classz00_4179 =
																					BGl_globalz00zzast_varz00;
																				{	/* Cfa/closure.scm 265 */
																					BgL_objectz00_bglt
																						BgL_arg1825z00_4181;
																					{	/* Cfa/closure.scm 265 */
																						obj_t BgL_tmpz00_5284;

																						BgL_tmpz00_5284 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_ffunz00_3083));
																						BgL_arg1825z00_4181 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_5284);
																					}
																					{	/* Cfa/closure.scm 265 */
																						bool_t BgL_arg1822z00_4184;
																						bool_t BgL_arg1823z00_4185;

																						{	/* Cfa/closure.scm 265 */
																							long BgL_idxz00_4188;

																							BgL_idxz00_4188 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1825z00_4181);
																							BgL_arg1822z00_4184 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_4188 +
																										((long) 2))) ==
																								BgL_classz00_4179);
																						}
																						{	/* Cfa/closure.scm 265 */
																							bool_t BgL_res2236z00_4210;

																							{	/* Cfa/closure.scm 265 */
																								obj_t BgL_oclassz00_4196;

																								{	/* Cfa/closure.scm 265 */
																									long BgL_arg1833z00_4202;

																									{	/* Cfa/closure.scm 265 */
																										long BgL_arg1834z00_4203;

																										BgL_arg1834z00_4203 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1825z00_4181);
																										BgL_arg1833z00_4202 =
																											(BgL_arg1834z00_4203 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_4196 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1833z00_4202);
																								}
																								{	/* Cfa/closure.scm 265 */
																									bool_t
																										BgL__ortest_1110z00_4197;
																									BgL__ortest_1110z00_4197 =
																										(BgL_classz00_4179 ==
																										BgL_oclassz00_4196);
																									if (BgL__ortest_1110z00_4197)
																										{	/* Cfa/closure.scm 265 */
																											BgL_res2236z00_4210 =
																												BgL__ortest_1110z00_4197;
																										}
																									else
																										{	/* Cfa/closure.scm 265 */
																											long BgL_odepthz00_4198;

																											BgL_odepthz00_4198 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_4196);
																											if ((((long) 2) <
																													BgL_odepthz00_4198))
																												{	/* Cfa/closure.scm 265 */
																													obj_t
																														BgL_arg1821z00_4200;
																													BgL_arg1821z00_4200 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_4196,
																														((long) 2));
																													BgL_res2236z00_4210 =
																														(BgL_arg1821z00_4200
																														==
																														BgL_classz00_4179);
																												}
																											else
																												{	/* Cfa/closure.scm 265 */
																													BgL_res2236z00_4210 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_arg1823z00_4185 =
																								BgL_res2236z00_4210;
																						}
																						BgL_test2333z00_5283 =
																							BGL_ISA_C_BACKEND
																							(BgL_arg1822z00_4184,
																							BgL_arg1823z00_4185);
																					}
																				}
																			}
																			if (BgL_test2333z00_5283)
																				{	/* Cfa/closure.scm 266 */
																					bool_t BgL_test2336z00_5303;

																					{	/* Cfa/closure.scm 266 */
																						obj_t BgL_arg1799z00_3099;

																						BgL_arg1799z00_3099 =
																							(((BgL_funz00_bglt) COBJECT(
																									((BgL_funz00_bglt)
																										((BgL_sfunz00_bglt)
																											BgL_sfunz00_3084))))->
																							BgL_thezd2closurezd2);
																						{	/* Cfa/closure.scm 266 */
																							obj_t BgL_classz00_4212;

																							BgL_classz00_4212 =
																								BGl_globalz00zzast_varz00;
																							if (BGL_OBJECTP
																								(BgL_arg1799z00_3099))
																								{	/* Cfa/closure.scm 266 */
																									BgL_objectz00_bglt
																										BgL_arg1825z00_4214;
																									BgL_arg1825z00_4214 =
																										(BgL_objectz00_bglt)
																										(BgL_arg1799z00_3099);
																									{	/* Cfa/closure.scm 266 */
																										bool_t BgL_arg1822z00_4217;
																										bool_t BgL_arg1823z00_4218;

																										{	/* Cfa/closure.scm 266 */
																											long BgL_idxz00_4221;

																											BgL_idxz00_4221 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1825z00_4214);
																											BgL_arg1822z00_4217 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_4221 +
																														((long) 2))) ==
																												BgL_classz00_4212);
																										}
																										{	/* Cfa/closure.scm 266 */
																											bool_t
																												BgL_res2237z00_4243;
																											{	/* Cfa/closure.scm 266 */
																												obj_t
																													BgL_oclassz00_4229;
																												{	/* Cfa/closure.scm 266 */
																													long
																														BgL_arg1833z00_4235;
																													{	/* Cfa/closure.scm 266 */
																														long
																															BgL_arg1834z00_4236;
																														BgL_arg1834z00_4236
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1825z00_4214);
																														BgL_arg1833z00_4235
																															=
																															(BgL_arg1834z00_4236
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_4229 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1833z00_4235);
																												}
																												{	/* Cfa/closure.scm 266 */
																													bool_t
																														BgL__ortest_1110z00_4230;
																													BgL__ortest_1110z00_4230
																														=
																														(BgL_classz00_4212
																														==
																														BgL_oclassz00_4229);
																													if (BgL__ortest_1110z00_4230)
																														{	/* Cfa/closure.scm 266 */
																															BgL_res2237z00_4243
																																=
																																BgL__ortest_1110z00_4230;
																														}
																													else
																														{	/* Cfa/closure.scm 266 */
																															long
																																BgL_odepthz00_4231;
																															BgL_odepthz00_4231
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_4229);
																															if ((((long) 2) <
																																	BgL_odepthz00_4231))
																																{	/* Cfa/closure.scm 266 */
																																	obj_t
																																		BgL_arg1821z00_4233;
																																	BgL_arg1821z00_4233
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_4229,
																																		((long) 2));
																																	BgL_res2237z00_4243
																																		=
																																		(BgL_arg1821z00_4233
																																		==
																																		BgL_classz00_4212);
																																}
																															else
																																{	/* Cfa/closure.scm 266 */
																																	BgL_res2237z00_4243
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_arg1823z00_4218 =
																												BgL_res2237z00_4243;
																										}
																										BgL_test2336z00_5303 =
																											BGL_ISA_C_BACKEND
																											(BgL_arg1822z00_4217,
																											BgL_arg1823z00_4218);
																									}
																								}
																							else
																								{	/* Cfa/closure.scm 266 */
																									BgL_test2336z00_5303 =
																										((bool_t) 0);
																								}
																						}
																					}
																					if (BgL_test2336z00_5303)
																						{	/* Cfa/closure.scm 267 */
																							BgL_valuez00_bglt
																								BgL_arg1788z00_3097;
																							BgL_arg1788z00_3097 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_globalz00_bglt) ((
																														(BgL_funz00_bglt)
																														COBJECT((
																																(BgL_funz00_bglt)
																																((BgL_sfunz00_bglt) BgL_sfunz00_3084))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																							{	/* Cfa/closure.scm 267 */
																								obj_t BgL_classz00_4246;

																								BgL_classz00_4246 =
																									BGl_scnstz00zzast_varz00;
																								{	/* Cfa/closure.scm 267 */
																									BgL_objectz00_bglt
																										BgL_arg1825z00_4248;
																									{	/* Cfa/closure.scm 267 */
																										obj_t BgL_tmpz00_5331;

																										BgL_tmpz00_5331 =
																											((obj_t)
																											((BgL_objectz00_bglt)
																												BgL_arg1788z00_3097));
																										BgL_arg1825z00_4248 =
																											(BgL_objectz00_bglt)
																											(BgL_tmpz00_5331);
																									}
																									{	/* Cfa/closure.scm 267 */
																										bool_t BgL_arg1822z00_4251;
																										bool_t BgL_arg1823z00_4252;

																										{	/* Cfa/closure.scm 267 */
																											long BgL_idxz00_4255;

																											BgL_idxz00_4255 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1825z00_4248);
																											BgL_arg1822z00_4251 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_4255 +
																														((long) 2))) ==
																												BgL_classz00_4246);
																										}
																										{	/* Cfa/closure.scm 267 */
																											bool_t
																												BgL_res2238z00_4277;
																											{	/* Cfa/closure.scm 267 */
																												obj_t
																													BgL_oclassz00_4263;
																												{	/* Cfa/closure.scm 267 */
																													long
																														BgL_arg1833z00_4269;
																													{	/* Cfa/closure.scm 267 */
																														long
																															BgL_arg1834z00_4270;
																														BgL_arg1834z00_4270
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1825z00_4248);
																														BgL_arg1833z00_4269
																															=
																															(BgL_arg1834z00_4270
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_4263 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1833z00_4269);
																												}
																												{	/* Cfa/closure.scm 267 */
																													bool_t
																														BgL__ortest_1110z00_4264;
																													BgL__ortest_1110z00_4264
																														=
																														(BgL_classz00_4246
																														==
																														BgL_oclassz00_4263);
																													if (BgL__ortest_1110z00_4264)
																														{	/* Cfa/closure.scm 267 */
																															BgL_res2238z00_4277
																																=
																																BgL__ortest_1110z00_4264;
																														}
																													else
																														{	/* Cfa/closure.scm 267 */
																															long
																																BgL_odepthz00_4265;
																															BgL_odepthz00_4265
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_4263);
																															if ((((long) 2) <
																																	BgL_odepthz00_4265))
																																{	/* Cfa/closure.scm 267 */
																																	obj_t
																																		BgL_arg1821z00_4267;
																																	BgL_arg1821z00_4267
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_4263,
																																		((long) 2));
																																	BgL_res2238z00_4277
																																		=
																																		(BgL_arg1821z00_4267
																																		==
																																		BgL_classz00_4246);
																																}
																															else
																																{	/* Cfa/closure.scm 267 */
																																	BgL_res2238z00_4277
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_arg1823z00_4252 =
																												BgL_res2238z00_4277;
																										}
																										BgL_test2332z00_5282 =
																											BGL_ISA_C_BACKEND
																											(BgL_arg1822z00_4251,
																											BgL_arg1823z00_4252);
																									}
																								}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 266 */
																							BgL_test2332z00_5282 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 265 */
																					BgL_test2332z00_5282 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test2332z00_5282)
																			{	/* Cfa/closure.scm 268 */
																				BgL_valuez00_bglt BgL_arg1781z00_3093;

																				BgL_arg1781z00_3093 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									(((BgL_funz00_bglt) COBJECT(
																												((BgL_funz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_sfunz00_3084))))->
																										BgL_thezd2closurezd2)))))->
																					BgL_valuez00);
																				{	/* Cfa/closure.scm 268 */
																					obj_t BgL_vz00_4281;

																					BgL_vz00_4281 =
																						CNST_TABLE_REF(((long) 6));
																					((((BgL_scnstz00_bglt) COBJECT(
																									((BgL_scnstz00_bglt)
																										BgL_arg1781z00_3093)))->
																							BgL_classz00) =
																						((obj_t) BgL_vz00_4281), BUNSPEC);
																			}}
																		else
																			{	/* Cfa/closure.scm 265 */
																				BFALSE;
																			}
																	}
																	{	/* Cfa/closure.scm 270 */
																		BgL_varz00_bglt BgL_arg1801z00_3100;

																		BgL_arg1801z00_3100 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3079))))->BgL_funz00);
																		{	/* Cfa/closure.scm 270 */
																			BgL_variablez00_bglt BgL_vz00_4283;

																			BgL_vz00_4283 =
																				((BgL_variablez00_bglt)
																				BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1801z00_3100))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_4283),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 271 */
																		BgL_varz00_bglt BgL_arg1805z00_3101;

																		BgL_arg1805z00_3101 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3079))))->BgL_funz00);
																		{	/* Cfa/closure.scm 271 */
																			BgL_typez00_bglt BgL_vz00_4285;

																			BgL_vz00_4285 =
																				((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_arg1805z00_3101)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_4285),
																				BUNSPEC);
																		}
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3079))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																		BUNSPEC);
																}
															else
																{	/* Cfa/closure.scm 264 */
																	{	/* Cfa/closure.scm 274 */
																		BgL_varz00_bglt BgL_arg1807z00_3102;

																		BgL_arg1807z00_3102 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3079))))->BgL_funz00);
																		{	/* Cfa/closure.scm 274 */
																			BgL_variablez00_bglt BgL_vz00_4287;

																			BgL_vz00_4287 =
																				((BgL_variablez00_bglt)
																				BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1807z00_3102))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_4287),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 275 */
																		BgL_varz00_bglt BgL_arg1808z00_3103;

																		BgL_arg1808z00_3103 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3079))))->BgL_funz00);
																		{	/* Cfa/closure.scm 275 */
																			BgL_typez00_bglt BgL_vz00_4289;

																			BgL_vz00_4289 =
																				((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_arg1808z00_3103)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_4289),
																				BUNSPEC);
																		}
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3079))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																		BUNSPEC);
																}
														}
													}
												}
											}
											{
												obj_t BgL_auxz00_5389;

												{	/* Cfa/closure.scm 277 */
													obj_t BgL_pairz00_4290;

													BgL_pairz00_4290 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_3079))))->
														BgL_argsz00);
													{	/* Cfa/closure.scm 277 */
														obj_t BgL_pairz00_4293;

														BgL_pairz00_4293 = CDR(BgL_pairz00_4290);
														BgL_auxz00_5389 = CDR(BgL_pairz00_4293);
													}
												}
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_3079))))->
														BgL_argsz00) = ((obj_t) BgL_auxz00_5389), BUNSPEC);
											}
											BgL_appz00_3079;
										}
									else
										{	/* Cfa/closure.scm 302 */
											bool_t BgL_test2342z00_5398;

											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5399;

												{
													obj_t BgL_auxz00_5400;

													{	/* Cfa/closure.scm 302 */
														BgL_objectz00_bglt BgL_tmpz00_5401;

														BgL_tmpz00_5401 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt) BgL_appz00_3073));
														BgL_auxz00_5400 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5401);
													}
													BgL_auxz00_5399 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_5400);
												}
												BgL_test2342z00_5398 =
													(((BgL_makezd2procedurezd2appz00_bglt)
														COBJECT(BgL_auxz00_5399))->BgL_tz00);
											}
											if (BgL_test2342z00_5398)
												{	/* Cfa/closure.scm 302 */
													BgL_appz00_3109 = BgL_appz00_3073;
													{	/* Cfa/closure.scm 282 */
														obj_t BgL_siza7eza7_3112;

														{	/* Cfa/closure.scm 282 */
															obj_t BgL_arg1871z00_3136;

															{	/* Cfa/closure.scm 282 */
																obj_t BgL_pairz00_4294;

																BgL_pairz00_4294 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_appz00_3109))))->
																	BgL_argsz00);
																BgL_arg1871z00_3136 =
																	CAR(CDR(CDR(BgL_pairz00_4294)));
															}
															BgL_siza7eza7_3112 =
																BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
																((BgL_nodez00_bglt) BgL_arg1871z00_3136));
														}
														{	/* Cfa/closure.scm 282 */
															BgL_variablez00_bglt BgL_ffunz00_3113;

															{
																BgL_varz00_bglt BgL_auxz00_5415;

																{	/* Cfa/closure.scm 283 */
																	obj_t BgL_pairz00_4300;

																	BgL_pairz00_4300 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_appz00_3109))))->BgL_argsz00);
																	BgL_auxz00_5415 =
																		((BgL_varz00_bglt) CAR(BgL_pairz00_4300));
																}
																BgL_ffunz00_3113 =
																	(((BgL_varz00_bglt)
																		COBJECT(BgL_auxz00_5415))->BgL_variablez00);
															}
															{	/* Cfa/closure.scm 283 */
																BgL_valuez00_bglt BgL_sfunz00_3114;

																BgL_sfunz00_3114 =
																	(((BgL_variablez00_bglt)
																		COBJECT(BgL_ffunz00_3113))->BgL_valuez00);
																{	/* Cfa/closure.scm 284 */

																	{	/* Cfa/closure.scm 285 */
																		bool_t BgL_test2343z00_5423;

																		{	/* Cfa/closure.scm 285 */
																			bool_t BgL_test2344z00_5424;

																			{	/* Cfa/closure.scm 285 */
																				obj_t BgL_classz00_4303;

																				BgL_classz00_4303 =
																					BGl_globalz00zzast_varz00;
																				{	/* Cfa/closure.scm 285 */
																					BgL_objectz00_bglt
																						BgL_arg1825z00_4305;
																					{	/* Cfa/closure.scm 285 */
																						obj_t BgL_tmpz00_5425;

																						BgL_tmpz00_5425 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_ffunz00_3113));
																						BgL_arg1825z00_4305 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_5425);
																					}
																					{	/* Cfa/closure.scm 285 */
																						bool_t BgL_arg1822z00_4308;
																						bool_t BgL_arg1823z00_4309;

																						{	/* Cfa/closure.scm 285 */
																							long BgL_idxz00_4312;

																							BgL_idxz00_4312 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1825z00_4305);
																							BgL_arg1822z00_4308 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_4312 +
																										((long) 2))) ==
																								BgL_classz00_4303);
																						}
																						{	/* Cfa/closure.scm 285 */
																							bool_t BgL_res2239z00_4334;

																							{	/* Cfa/closure.scm 285 */
																								obj_t BgL_oclassz00_4320;

																								{	/* Cfa/closure.scm 285 */
																									long BgL_arg1833z00_4326;

																									{	/* Cfa/closure.scm 285 */
																										long BgL_arg1834z00_4327;

																										BgL_arg1834z00_4327 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1825z00_4305);
																										BgL_arg1833z00_4326 =
																											(BgL_arg1834z00_4327 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_4320 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1833z00_4326);
																								}
																								{	/* Cfa/closure.scm 285 */
																									bool_t
																										BgL__ortest_1110z00_4321;
																									BgL__ortest_1110z00_4321 =
																										(BgL_classz00_4303 ==
																										BgL_oclassz00_4320);
																									if (BgL__ortest_1110z00_4321)
																										{	/* Cfa/closure.scm 285 */
																											BgL_res2239z00_4334 =
																												BgL__ortest_1110z00_4321;
																										}
																									else
																										{	/* Cfa/closure.scm 285 */
																											long BgL_odepthz00_4322;

																											BgL_odepthz00_4322 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_4320);
																											if ((((long) 2) <
																													BgL_odepthz00_4322))
																												{	/* Cfa/closure.scm 285 */
																													obj_t
																														BgL_arg1821z00_4324;
																													BgL_arg1821z00_4324 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_4320,
																														((long) 2));
																													BgL_res2239z00_4334 =
																														(BgL_arg1821z00_4324
																														==
																														BgL_classz00_4303);
																												}
																											else
																												{	/* Cfa/closure.scm 285 */
																													BgL_res2239z00_4334 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_arg1823z00_4309 =
																								BgL_res2239z00_4334;
																						}
																						BgL_test2344z00_5424 =
																							BGL_ISA_C_BACKEND
																							(BgL_arg1822z00_4308,
																							BgL_arg1823z00_4309);
																					}
																				}
																			}
																			if (BgL_test2344z00_5424)
																				{	/* Cfa/closure.scm 286 */
																					bool_t BgL_test2347z00_5444;

																					{	/* Cfa/closure.scm 286 */
																						obj_t BgL_arg1857z00_3128;

																						BgL_arg1857z00_3128 =
																							(((BgL_funz00_bglt) COBJECT(
																									((BgL_funz00_bglt)
																										((BgL_sfunz00_bglt)
																											BgL_sfunz00_3114))))->
																							BgL_thezd2closurezd2);
																						{	/* Cfa/closure.scm 286 */
																							obj_t BgL_classz00_4336;

																							BgL_classz00_4336 =
																								BGl_globalz00zzast_varz00;
																							if (BGL_OBJECTP
																								(BgL_arg1857z00_3128))
																								{	/* Cfa/closure.scm 286 */
																									BgL_objectz00_bglt
																										BgL_arg1825z00_4338;
																									BgL_arg1825z00_4338 =
																										(BgL_objectz00_bglt)
																										(BgL_arg1857z00_3128);
																									{	/* Cfa/closure.scm 286 */
																										bool_t BgL_arg1822z00_4341;
																										bool_t BgL_arg1823z00_4342;

																										{	/* Cfa/closure.scm 286 */
																											long BgL_idxz00_4345;

																											BgL_idxz00_4345 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1825z00_4338);
																											BgL_arg1822z00_4341 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_4345 +
																														((long) 2))) ==
																												BgL_classz00_4336);
																										}
																										{	/* Cfa/closure.scm 286 */
																											bool_t
																												BgL_res2240z00_4367;
																											{	/* Cfa/closure.scm 286 */
																												obj_t
																													BgL_oclassz00_4353;
																												{	/* Cfa/closure.scm 286 */
																													long
																														BgL_arg1833z00_4359;
																													{	/* Cfa/closure.scm 286 */
																														long
																															BgL_arg1834z00_4360;
																														BgL_arg1834z00_4360
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1825z00_4338);
																														BgL_arg1833z00_4359
																															=
																															(BgL_arg1834z00_4360
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_4353 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1833z00_4359);
																												}
																												{	/* Cfa/closure.scm 286 */
																													bool_t
																														BgL__ortest_1110z00_4354;
																													BgL__ortest_1110z00_4354
																														=
																														(BgL_classz00_4336
																														==
																														BgL_oclassz00_4353);
																													if (BgL__ortest_1110z00_4354)
																														{	/* Cfa/closure.scm 286 */
																															BgL_res2240z00_4367
																																=
																																BgL__ortest_1110z00_4354;
																														}
																													else
																														{	/* Cfa/closure.scm 286 */
																															long
																																BgL_odepthz00_4355;
																															BgL_odepthz00_4355
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_4353);
																															if ((((long) 2) <
																																	BgL_odepthz00_4355))
																																{	/* Cfa/closure.scm 286 */
																																	obj_t
																																		BgL_arg1821z00_4357;
																																	BgL_arg1821z00_4357
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_4353,
																																		((long) 2));
																																	BgL_res2240z00_4367
																																		=
																																		(BgL_arg1821z00_4357
																																		==
																																		BgL_classz00_4336);
																																}
																															else
																																{	/* Cfa/closure.scm 286 */
																																	BgL_res2240z00_4367
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_arg1823z00_4342 =
																												BgL_res2240z00_4367;
																										}
																										BgL_test2347z00_5444 =
																											BGL_ISA_C_BACKEND
																											(BgL_arg1822z00_4341,
																											BgL_arg1823z00_4342);
																									}
																								}
																							else
																								{	/* Cfa/closure.scm 286 */
																									BgL_test2347z00_5444 =
																										((bool_t) 0);
																								}
																						}
																					}
																					if (BgL_test2347z00_5444)
																						{	/* Cfa/closure.scm 287 */
																							BgL_valuez00_bglt
																								BgL_arg1855z00_3126;
																							BgL_arg1855z00_3126 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_globalz00_bglt) ((
																														(BgL_funz00_bglt)
																														COBJECT((
																																(BgL_funz00_bglt)
																																((BgL_sfunz00_bglt) BgL_sfunz00_3114))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																							{	/* Cfa/closure.scm 287 */
																								obj_t BgL_classz00_4370;

																								BgL_classz00_4370 =
																									BGl_scnstz00zzast_varz00;
																								{	/* Cfa/closure.scm 287 */
																									BgL_objectz00_bglt
																										BgL_arg1825z00_4372;
																									{	/* Cfa/closure.scm 287 */
																										obj_t BgL_tmpz00_5472;

																										BgL_tmpz00_5472 =
																											((obj_t)
																											((BgL_objectz00_bglt)
																												BgL_arg1855z00_3126));
																										BgL_arg1825z00_4372 =
																											(BgL_objectz00_bglt)
																											(BgL_tmpz00_5472);
																									}
																									{	/* Cfa/closure.scm 287 */
																										bool_t BgL_arg1822z00_4375;
																										bool_t BgL_arg1823z00_4376;

																										{	/* Cfa/closure.scm 287 */
																											long BgL_idxz00_4379;

																											BgL_idxz00_4379 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1825z00_4372);
																											BgL_arg1822z00_4375 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_4379 +
																														((long) 2))) ==
																												BgL_classz00_4370);
																										}
																										{	/* Cfa/closure.scm 287 */
																											bool_t
																												BgL_res2241z00_4401;
																											{	/* Cfa/closure.scm 287 */
																												obj_t
																													BgL_oclassz00_4387;
																												{	/* Cfa/closure.scm 287 */
																													long
																														BgL_arg1833z00_4393;
																													{	/* Cfa/closure.scm 287 */
																														long
																															BgL_arg1834z00_4394;
																														BgL_arg1834z00_4394
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1825z00_4372);
																														BgL_arg1833z00_4393
																															=
																															(BgL_arg1834z00_4394
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_4387 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1833z00_4393);
																												}
																												{	/* Cfa/closure.scm 287 */
																													bool_t
																														BgL__ortest_1110z00_4388;
																													BgL__ortest_1110z00_4388
																														=
																														(BgL_classz00_4370
																														==
																														BgL_oclassz00_4387);
																													if (BgL__ortest_1110z00_4388)
																														{	/* Cfa/closure.scm 287 */
																															BgL_res2241z00_4401
																																=
																																BgL__ortest_1110z00_4388;
																														}
																													else
																														{	/* Cfa/closure.scm 287 */
																															long
																																BgL_odepthz00_4389;
																															BgL_odepthz00_4389
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_4387);
																															if ((((long) 2) <
																																	BgL_odepthz00_4389))
																																{	/* Cfa/closure.scm 287 */
																																	obj_t
																																		BgL_arg1821z00_4391;
																																	BgL_arg1821z00_4391
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_4387,
																																		((long) 2));
																																	BgL_res2241z00_4401
																																		=
																																		(BgL_arg1821z00_4391
																																		==
																																		BgL_classz00_4370);
																																}
																															else
																																{	/* Cfa/closure.scm 287 */
																																	BgL_res2241z00_4401
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_arg1823z00_4376 =
																												BgL_res2241z00_4401;
																										}
																										BgL_test2343z00_5423 =
																											BGL_ISA_C_BACKEND
																											(BgL_arg1822z00_4375,
																											BgL_arg1823z00_4376);
																									}
																								}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 286 */
																							BgL_test2343z00_5423 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 285 */
																					BgL_test2343z00_5423 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test2343z00_5423)
																			{	/* Cfa/closure.scm 288 */
																				BgL_valuez00_bglt BgL_arg1852z00_3122;

																				BgL_arg1852z00_3122 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									(((BgL_funz00_bglt) COBJECT(
																												((BgL_funz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_sfunz00_3114))))->
																										BgL_thezd2closurezd2)))))->
																					BgL_valuez00);
																				{	/* Cfa/closure.scm 288 */
																					obj_t BgL_vz00_4405;

																					BgL_vz00_4405 =
																						CNST_TABLE_REF(((long) 7));
																					((((BgL_scnstz00_bglt) COBJECT(
																									((BgL_scnstz00_bglt)
																										BgL_arg1852z00_3122)))->
																							BgL_classz00) =
																						((obj_t) BgL_vz00_4405), BUNSPEC);
																			}}
																		else
																			{	/* Cfa/closure.scm 285 */
																				BFALSE;
																			}
																	}
																	{	/* Cfa/closure.scm 290 */
																		BgL_varz00_bglt BgL_arg1858z00_3129;

																		BgL_arg1858z00_3129 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3109))))->BgL_funz00);
																		{	/* Cfa/closure.scm 290 */
																			BgL_variablez00_bglt BgL_vz00_4407;

																			BgL_vz00_4407 =
																				((BgL_variablez00_bglt)
																				BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1858z00_3129))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_4407),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 292 */
																		BgL_varz00_bglt BgL_arg1862z00_3130;

																		BgL_arg1862z00_3130 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3109))))->BgL_funz00);
																		{	/* Cfa/closure.scm 292 */
																			BgL_typez00_bglt BgL_vz00_4409;

																			BgL_vz00_4409 =
																				((BgL_typez00_bglt)
																				BGl_za2procedureza2z00zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_arg1862z00_3130)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_4409),
																				BUNSPEC);
																		}
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3109))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2procedureza2z00zztype_cachez00)),
																		BUNSPEC);
																	{	/* Cfa/closure.scm 294 */
																		obj_t BgL_arg1863z00_3131;
																		obj_t BgL_arg1865z00_3132;

																		BgL_arg1863z00_3131 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3109))))->BgL_argsz00);
																		{	/* Cfa/closure.scm 294 */
																			obj_t BgL_pairz00_4410;

																			BgL_pairz00_4410 =
																				(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_appz00_3109))))->
																				BgL_argsz00);
																			BgL_arg1865z00_3132 =
																				CDR(CDR(BgL_pairz00_4410));
																		}
																		{	/* Cfa/closure.scm 294 */
																			obj_t BgL_tmpz00_5523;

																			BgL_tmpz00_5523 =
																				((obj_t) BgL_arg1863z00_3131);
																			SET_CDR(BgL_tmpz00_5523,
																				BgL_arg1865z00_3132);
																		}
																	}
																	BgL_appz00_3109;
																}
															}
														}
													}
												}
											else
												{	/* Cfa/closure.scm 302 */
													BFALSE;
												}
										}
								}
							}
							{
								obj_t BgL_l1519z00_5526;

								BgL_l1519z00_5526 = CDR(BgL_l1519z00_3070);
								BgL_l1519z00_3070 = BgL_l1519z00_5526;
								goto BgL_zc3z04anonymousza31749ze3z87_3071;
							}
						}
					else
						{	/* Cfa/closure.scm 298 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* light-funcall! */
	bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00()
	{
		{	/* Cfa/closure.scm 308 */
			{
				obj_t BgL_l1526z00_3141;

				BgL_l1526z00_3141 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00;
			BgL_zc3z04anonymousza31873ze3z87_3142:
				if (PAIRP(BgL_l1526z00_3141))
					{	/* Cfa/closure.scm 312 */
						{	/* Cfa/closure.scm 313 */
							BgL_funcallz00_bglt BgL_appz00_3144;

							BgL_appz00_3144 = ((BgL_funcallz00_bglt) CAR(BgL_l1526z00_3141));
							{	/* Cfa/closure.scm 314 */
								BgL_nodez00_bglt BgL_funz00_3145;

								BgL_funz00_3145 =
									(((BgL_funcallz00_bglt) COBJECT(BgL_appz00_3144))->
									BgL_funz00);
								{	/* Cfa/closure.scm 314 */
									BgL_approxz00_bglt BgL_approxz00_3146;

									BgL_approxz00_3146 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_3145);
									{	/* Cfa/closure.scm 315 */
										obj_t BgL_alloczd2listzd2_3147;

										BgL_alloczd2listzd2_3147 =
											BGl_setzd2ze3listz31zzcfa_setz00(
											(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3146))->
												BgL_allocsz00));
										{	/* Cfa/closure.scm 316 */

											{	/* Cfa/closure.scm 317 */
												bool_t BgL_test2354z00_5536;

												if (PAIRP(BgL_alloczd2listzd2_3147))
													{	/* Cfa/closure.scm 318 */
														bool_t BgL_test2356z00_5539;

														{	/* Cfa/closure.scm 318 */
															obj_t BgL_arg1907z00_3192;

															BgL_arg1907z00_3192 =
																CAR(BgL_alloczd2listzd2_3147);
															{	/* Cfa/closure.scm 318 */
																obj_t BgL_classz00_4423;

																BgL_classz00_4423 =
																	BGl_makezd2procedurezd2appz00zzcfa_info2z00;
																if (BGL_OBJECTP(BgL_arg1907z00_3192))
																	{	/* Cfa/closure.scm 318 */
																		BgL_objectz00_bglt BgL_arg1825z00_4425;

																		BgL_arg1825z00_4425 =
																			(BgL_objectz00_bglt)
																			(BgL_arg1907z00_3192);
																		{	/* Cfa/closure.scm 318 */
																			bool_t BgL_arg1822z00_4428;
																			bool_t BgL_arg1823z00_4429;

																			{	/* Cfa/closure.scm 318 */
																				long BgL_idxz00_4432;

																				BgL_idxz00_4432 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1825z00_4425);
																				BgL_arg1822z00_4428 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_4432 + ((long) 4))) ==
																					BgL_classz00_4423);
																			}
																			{	/* Cfa/closure.scm 318 */
																				bool_t BgL_res2242z00_4454;

																				{	/* Cfa/closure.scm 318 */
																					obj_t BgL_oclassz00_4440;

																					{	/* Cfa/closure.scm 318 */
																						long BgL_arg1833z00_4446;

																						{	/* Cfa/closure.scm 318 */
																							long BgL_arg1834z00_4447;

																							BgL_arg1834z00_4447 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1825z00_4425);
																							BgL_arg1833z00_4446 =
																								(BgL_arg1834z00_4447 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_4440 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1833z00_4446);
																					}
																					{	/* Cfa/closure.scm 318 */
																						bool_t BgL__ortest_1110z00_4441;

																						BgL__ortest_1110z00_4441 =
																							(BgL_classz00_4423 ==
																							BgL_oclassz00_4440);
																						if (BgL__ortest_1110z00_4441)
																							{	/* Cfa/closure.scm 318 */
																								BgL_res2242z00_4454 =
																									BgL__ortest_1110z00_4441;
																							}
																						else
																							{	/* Cfa/closure.scm 318 */
																								long BgL_odepthz00_4442;

																								BgL_odepthz00_4442 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_4440);
																								if ((((long) 4) <
																										BgL_odepthz00_4442))
																									{	/* Cfa/closure.scm 318 */
																										obj_t BgL_arg1821z00_4444;

																										BgL_arg1821z00_4444 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_4440,
																											((long) 4));
																										BgL_res2242z00_4454 =
																											(BgL_arg1821z00_4444 ==
																											BgL_classz00_4423);
																									}
																								else
																									{	/* Cfa/closure.scm 318 */
																										BgL_res2242z00_4454 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_arg1823z00_4429 =
																					BgL_res2242z00_4454;
																			}
																			BgL_test2356z00_5539 =
																				BGL_ISA_C_BACKEND(BgL_arg1822z00_4428,
																				BgL_arg1823z00_4429);
																		}
																	}
																else
																	{	/* Cfa/closure.scm 318 */
																		BgL_test2356z00_5539 = ((bool_t) 0);
																	}
															}
														}
														if (BgL_test2356z00_5539)
															{	/* Cfa/closure.scm 318 */
																BgL_test2354z00_5536 = ((bool_t) 0);
															}
														else
															{	/* Cfa/closure.scm 318 */
																BgL_test2354z00_5536 = ((bool_t) 1);
															}
													}
												else
													{	/* Cfa/closure.scm 317 */
														BgL_test2354z00_5536 = ((bool_t) 1);
													}
												if (BgL_test2354z00_5536)
													{	/* Cfa/closure.scm 317 */
														CNST_TABLE_REF(((long) 8));
													}
												else
													{	/* Cfa/closure.scm 322 */
														BgL_appz00_bglt BgL_allocz00_3153;

														BgL_allocz00_3153 =
															((BgL_appz00_bglt)
															CAR(((obj_t) BgL_alloczd2listzd2_3147)));
														{	/* Cfa/closure.scm 325 */
															bool_t BgL_test2360z00_5563;

															{
																BgL_makezd2procedurezd2appz00_bglt
																	BgL_auxz00_5564;
																{
																	obj_t BgL_auxz00_5565;

																	{	/* Cfa/closure.scm 325 */
																		BgL_objectz00_bglt BgL_tmpz00_5566;

																		BgL_tmpz00_5566 =
																			((BgL_objectz00_bglt)
																			((BgL_appz00_bglt) BgL_allocz00_3153));
																		BgL_auxz00_5565 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5566);
																	}
																	BgL_auxz00_5564 =
																		((BgL_makezd2procedurezd2appz00_bglt)
																		BgL_auxz00_5565);
																}
																BgL_test2360z00_5563 =
																	(((BgL_makezd2procedurezd2appz00_bglt)
																		COBJECT(BgL_auxz00_5564))->BgL_xz00);
															}
															if (BgL_test2360z00_5563)
																{	/* Cfa/closure.scm 325 */
																	{	/* Cfa/closure.scm 330 */
																		BgL_refz00_bglt BgL_arg1883z00_3156;

																		{	/* Cfa/closure.scm 330 */
																			BgL_nodez00_bglt
																				BgL_duplicated1172z00_3157;
																			BgL_refz00_bglt BgL_new1170z00_3158;

																			{	/* Cfa/closure.scm 330 */
																				obj_t BgL_pairz00_4457;

																				BgL_pairz00_4457 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								((BgL_appz00_bglt)
																									BgL_allocz00_3153))))->
																					BgL_argsz00);
																				BgL_duplicated1172z00_3157 =
																					((BgL_nodez00_bglt)
																					CAR(BgL_pairz00_4457));
																			}
																			{	/* Cfa/closure.scm 331 */
																				BgL_refz00_bglt BgL_new1174z00_3168;

																				BgL_new1174z00_3168 =
																					((BgL_refz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_refz00_bgl))));
																				{	/* Cfa/closure.scm 331 */
																					long BgL_arg1894z00_3169;

																					BgL_arg1894z00_3169 =
																						BGL_CLASS_NUM
																						(BGl_refz00zzast_nodez00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1174z00_3168),
																						BgL_arg1894z00_3169);
																				}
																				{	/* Cfa/closure.scm 331 */
																					BgL_objectz00_bglt BgL_tmpz00_5581;

																					BgL_tmpz00_5581 =
																						((BgL_objectz00_bglt)
																						BgL_new1174z00_3168);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_5581, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1174z00_3168);
																				BgL_new1170z00_3158 =
																					BgL_new1174z00_3168;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1170z00_3158)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_nodez00_bglt)
																							COBJECT
																							(BgL_duplicated1172z00_3157))->
																						BgL_locz00)), BUNSPEC);
																			{
																				BgL_typez00_bglt BgL_auxz00_5588;

																				{	/* Cfa/closure.scm 332 */
																					obj_t BgL_arg1884z00_3159;
																					BgL_typez00_bglt BgL_arg1885z00_3160;

																					{	/* Cfa/closure.scm 332 */
																						BgL_approxz00_bglt
																							BgL_arg1886z00_3161;
																						obj_t BgL_arg1887z00_3162;

																						{
																							BgL_makezd2procedurezd2appz00_bglt
																								BgL_auxz00_5590;
																							{
																								obj_t BgL_auxz00_5591;

																								{	/* Cfa/closure.scm 332 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_5592;
																									BgL_tmpz00_5592 =
																										((BgL_objectz00_bglt) (
																											(BgL_appz00_bglt)
																											BgL_allocz00_3153));
																									BgL_auxz00_5591 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_5592);
																								}
																								BgL_auxz00_5590 =
																									(
																									(BgL_makezd2procedurezd2appz00_bglt)
																									BgL_auxz00_5591);
																							}
																							BgL_arg1886z00_3161 =
																								(((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_5590))->BgL_approxz00);
																						}
																						{	/* Cfa/closure.scm 332 */
																							obj_t BgL_pairz00_4463;

																							BgL_pairz00_4463 =
																								(((BgL_appz00_bglt) COBJECT(
																										((BgL_appz00_bglt)
																											((BgL_appz00_bglt)
																												BgL_allocz00_3153))))->
																								BgL_argsz00);
																							BgL_arg1887z00_3162 =
																								CAR(BgL_pairz00_4463);
																						}
																						BgL_arg1884z00_3159 =
																							BGl_getzd2approxzd2typez00zzcfa_typez00
																							(BgL_arg1886z00_3161,
																							BgL_arg1887z00_3162);
																					}
																					{
																						BgL_nodez00_bglt BgL_auxz00_5603;

																						{
																							BgL_varz00_bglt BgL_auxz00_5604;

																							{	/* Cfa/closure.scm 333 */
																								obj_t BgL_pairz00_4464;

																								BgL_pairz00_4464 =
																									(((BgL_appz00_bglt) COBJECT(
																											((BgL_appz00_bglt)
																												((BgL_appz00_bglt)
																													BgL_allocz00_3153))))->
																									BgL_argsz00);
																								BgL_auxz00_5604 =
																									((BgL_varz00_bglt)
																									CAR(BgL_pairz00_4464));
																							}
																							BgL_auxz00_5603 =
																								((BgL_nodez00_bglt)
																								BgL_auxz00_5604);
																						}
																						BgL_arg1885z00_3160 =
																							(((BgL_nodez00_bglt)
																								COBJECT(BgL_auxz00_5603))->
																							BgL_typez00);
																					}
																					BgL_auxz00_5588 =
																						BGl_strictzd2nodezd2typez00zzast_nodez00
																						(((BgL_typez00_bglt)
																							BgL_arg1884z00_3159),
																						BgL_arg1885z00_3160);
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1170z00_3158)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_auxz00_5588),
																					BUNSPEC);
																			}
																			((((BgL_varz00_bglt) COBJECT(
																							((BgL_varz00_bglt)
																								BgL_new1170z00_3158)))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) ((
																							(BgL_varz00_bglt)
																							COBJECT(((BgL_varz00_bglt)
																									BgL_duplicated1172z00_3157)))->
																						BgL_variablez00)), BUNSPEC);
																			BgL_arg1883z00_3156 = BgL_new1170z00_3158;
																		}
																		((((BgL_funcallz00_bglt)
																					COBJECT(BgL_appz00_3144))->
																				BgL_funz00) =
																			((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																					BgL_arg1883z00_3156)), BUNSPEC);
																	}
																	{	/* Cfa/closure.scm 334 */
																		obj_t BgL_arg1895z00_3170;

																		{	/* Cfa/closure.scm 334 */
																			obj_t BgL_arg1896z00_3171;

																			{	/* Cfa/closure.scm 334 */
																				obj_t BgL_pairz00_4468;

																				BgL_pairz00_4468 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								((BgL_appz00_bglt)
																									BgL_allocz00_3153))))->
																					BgL_argsz00);
																				BgL_arg1896z00_3171 =
																					CAR(BgL_pairz00_4468);
																			}
																			{	/* Cfa/closure.scm 334 */
																				obj_t BgL_list1897z00_3172;

																				BgL_list1897z00_3172 =
																					MAKE_YOUNG_PAIR(BgL_arg1896z00_3171,
																					BNIL);
																				BgL_arg1895z00_3170 =
																					BgL_list1897z00_3172;
																		}}
																		((((BgL_funcallz00_bglt)
																					COBJECT(BgL_appz00_3144))->
																				BgL_functionsz00) =
																			((obj_t) BgL_arg1895z00_3170), BUNSPEC);
																	}
																	{	/* Cfa/closure.scm 335 */
																		obj_t BgL_vz00_4472;

																		BgL_vz00_4472 = CNST_TABLE_REF(((long) 1));
																		((((BgL_funcallz00_bglt)
																					COBJECT(BgL_appz00_3144))->
																				BgL_strengthz00) =
																			((obj_t) BgL_vz00_4472), BUNSPEC);
																}}
															else
																{	/* Cfa/closure.scm 336 */
																	bool_t BgL_test2361z00_5629;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_5630;
																		{
																			obj_t BgL_auxz00_5631;

																			{	/* Cfa/closure.scm 336 */
																				BgL_objectz00_bglt BgL_tmpz00_5632;

																				BgL_tmpz00_5632 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_allocz00_3153));
																				BgL_auxz00_5631 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5632);
																			}
																			BgL_auxz00_5630 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_5631);
																		}
																		BgL_test2361z00_5629 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				COBJECT(BgL_auxz00_5630))->BgL_tz00);
																	}
																	if (BgL_test2361z00_5629)
																		{	/* Cfa/closure.scm 336 */
																			{	/* Cfa/closure.scm 339 */
																				obj_t BgL_fz00_3175;

																				if (NULLP(BgL_alloczd2listzd2_3147))
																					{	/* Cfa/closure.scm 339 */
																						BgL_fz00_3175 = BNIL;
																					}
																				else
																					{	/* Cfa/closure.scm 339 */
																						obj_t BgL_head1523z00_3178;

																						BgL_head1523z00_3178 =
																							MAKE_YOUNG_PAIR(BNIL, BNIL);
																						{
																							obj_t BgL_l1521z00_3180;
																							obj_t BgL_tail1524z00_3181;

																							BgL_l1521z00_3180 =
																								BgL_alloczd2listzd2_3147;
																							BgL_tail1524z00_3181 =
																								BgL_head1523z00_3178;
																						BgL_zc3z04anonymousza31901ze3z87_3182:
																							if (NULLP
																								(BgL_l1521z00_3180))
																								{	/* Cfa/closure.scm 339 */
																									BgL_fz00_3175 =
																										CDR(BgL_head1523z00_3178);
																								}
																							else
																								{	/* Cfa/closure.scm 339 */
																									obj_t BgL_newtail1525z00_3184;

																									{	/* Cfa/closure.scm 339 */
																										obj_t BgL_arg1905z00_3186;

																										{	/* Cfa/closure.scm 340 */
																											obj_t BgL_pairz00_4477;

																											BgL_pairz00_4477 =
																												(((BgL_appz00_bglt)
																													COBJECT((
																															(BgL_appz00_bglt)
																															((BgL_appz00_bglt)
																																CAR(((obj_t)
																																		BgL_l1521z00_3180))))))->
																												BgL_argsz00);
																											BgL_arg1905z00_3186 =
																												CAR(BgL_pairz00_4477);
																										}
																										BgL_newtail1525z00_3184 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1905z00_3186,
																											BNIL);
																									}
																									SET_CDR(BgL_tail1524z00_3181,
																										BgL_newtail1525z00_3184);
																									{	/* Cfa/closure.scm 339 */
																										obj_t BgL_arg1904z00_3185;

																										BgL_arg1904z00_3185 =
																											CDR(
																											((obj_t)
																												BgL_l1521z00_3180));
																										{
																											obj_t
																												BgL_tail1524z00_5655;
																											obj_t BgL_l1521z00_5654;

																											BgL_l1521z00_5654 =
																												BgL_arg1904z00_3185;
																											BgL_tail1524z00_5655 =
																												BgL_newtail1525z00_3184;
																											BgL_tail1524z00_3181 =
																												BgL_tail1524z00_5655;
																											BgL_l1521z00_3180 =
																												BgL_l1521z00_5654;
																											goto
																												BgL_zc3z04anonymousza31901ze3z87_3182;
																										}
																									}
																								}
																						}
																					}
																				((((BgL_funcallz00_bglt)
																							COBJECT(BgL_appz00_3144))->
																						BgL_functionsz00) =
																					((obj_t) BgL_fz00_3175), BUNSPEC);
																				{	/* Cfa/closure.scm 343 */
																					obj_t BgL_vz00_4482;

																					BgL_vz00_4482 =
																						CNST_TABLE_REF(((long) 2));
																					((((BgL_funcallz00_bglt)
																								COBJECT(BgL_appz00_3144))->
																							BgL_strengthz00) =
																						((obj_t) BgL_vz00_4482), BUNSPEC);
																		}}}
																	else
																		{	/* Cfa/closure.scm 336 */
																			CNST_TABLE_REF(((long) 8));
						}}}}}}}}}}
						{
							obj_t BgL_l1526z00_5660;

							BgL_l1526z00_5660 = CDR(BgL_l1526z00_3141);
							BgL_l1526z00_3141 = BgL_l1526z00_5660;
							goto BgL_zc3z04anonymousza31873ze3z87_3142;
						}
					}
				else
					{	/* Cfa/closure.scm 312 */
						((bool_t) 1);
					}
			}
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{	/* Cfa/closure.scm 348 */
					{	/* Cfa/closure.scm 354 */
						obj_t BgL_funcallzd2lzd2_3196;

						{	/* Cfa/closure.scm 354 */
							obj_t BgL_hook1532z00_3220;

							BgL_hook1532z00_3220 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							{
								obj_t BgL_l1529z00_3222;
								obj_t BgL_h1530z00_3223;

								BgL_l1529z00_3222 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00;
								BgL_h1530z00_3223 = BgL_hook1532z00_3220;
							BgL_zc3z04anonymousza31920ze3z87_3224:
								if (NULLP(BgL_l1529z00_3222))
									{	/* Cfa/closure.scm 354 */
										BgL_funcallzd2lzd2_3196 = CDR(BgL_hook1532z00_3220);
									}
								else
									{	/* Cfa/closure.scm 354 */
										if (
											((((BgL_funcallz00_bglt) COBJECT(
															((BgL_funcallz00_bglt)
																CAR(
																	((obj_t) BgL_l1529z00_3222)))))->
													BgL_strengthz00) == CNST_TABLE_REF(((long) 2))))
											{	/* Cfa/closure.scm 354 */
												obj_t BgL_nh1531z00_3229;

												{	/* Cfa/closure.scm 354 */
													obj_t BgL_arg1925z00_3231;

													BgL_arg1925z00_3231 =
														CAR(((obj_t) BgL_l1529z00_3222));
													BgL_nh1531z00_3229 =
														MAKE_YOUNG_PAIR(BgL_arg1925z00_3231, BNIL);
												}
												SET_CDR(BgL_h1530z00_3223, BgL_nh1531z00_3229);
												{	/* Cfa/closure.scm 354 */
													obj_t BgL_arg1924z00_3230;

													BgL_arg1924z00_3230 =
														CDR(((obj_t) BgL_l1529z00_3222));
													{
														obj_t BgL_h1530z00_5682;
														obj_t BgL_l1529z00_5681;

														BgL_l1529z00_5681 = BgL_arg1924z00_3230;
														BgL_h1530z00_5682 = BgL_nh1531z00_3229;
														BgL_h1530z00_3223 = BgL_h1530z00_5682;
														BgL_l1529z00_3222 = BgL_l1529z00_5681;
														goto BgL_zc3z04anonymousza31920ze3z87_3224;
													}
												}
											}
										else
											{	/* Cfa/closure.scm 354 */
												obj_t BgL_arg1926z00_3232;

												BgL_arg1926z00_3232 = CDR(((obj_t) BgL_l1529z00_3222));
												{
													obj_t BgL_l1529z00_5685;

													BgL_l1529z00_5685 = BgL_arg1926z00_3232;
													BgL_l1529z00_3222 = BgL_l1529z00_5685;
													goto BgL_zc3z04anonymousza31920ze3z87_3224;
												}
											}
									}
							}
						}
						{

						BgL_zc3z04anonymousza31910ze3z87_3198:
							{	/* Cfa/closure.scm 358 */
								bool_t BgL_contz00_3199;

								BgL_contz00_3199 = ((bool_t) 0);
								{
									obj_t BgL_l1533z00_3201;

									BgL_l1533z00_3201 = BgL_funcallzd2lzd2_3196;
								BgL_zc3z04anonymousza31911ze3z87_3202:
									if (PAIRP(BgL_l1533z00_3201))
										{	/* Cfa/closure.scm 359 */
											{	/* Cfa/closure.scm 360 */
												BgL_funcallz00_bglt BgL_appz00_3204;

												BgL_appz00_3204 =
													((BgL_funcallz00_bglt) CAR(BgL_l1533z00_3201));
												{	/* Cfa/closure.scm 360 */
													BgL_nodez00_bglt BgL_funz00_3205;

													BgL_funz00_3205 =
														(((BgL_funcallz00_bglt) COBJECT(BgL_appz00_3204))->
														BgL_funz00);
													{	/* Cfa/closure.scm 360 */
														BgL_approxz00_bglt BgL_approxz00_3206;

														BgL_approxz00_3206 =
															BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_3205);
														{	/* Cfa/closure.scm 361 */
															obj_t BgL_appsz00_3207;

															BgL_appsz00_3207 =
																BGl_setzd2ze3listz31zzcfa_setz00(
																(((BgL_approxz00_bglt)
																		COBJECT(BgL_approxz00_3206))->
																	BgL_allocsz00));
															{	/* Cfa/closure.scm 362 */

																if (PAIRP(BgL_appsz00_3207))
																	{	/* Cfa/closure.scm 363 */
																		{	/* Cfa/closure.scm 364 */
																			bool_t BgL_test2369z00_5696;

																			{	/* Cfa/closure.scm 364 */
																				obj_t BgL_tmpz00_5697;

																				BgL_tmpz00_5697 = CDR(BgL_appsz00_3207);
																				BgL_test2369z00_5696 =
																					PAIRP(BgL_tmpz00_5697);
																			}
																			if (BgL_test2369z00_5696)
																				{	/* Cfa/closure.scm 366 */
																					bool_t BgL__ortest_1175z00_3211;

																					BgL__ortest_1175z00_3211 =
																						BGl_mergezd2appzd2typesz12z12zzcfa_closurez00
																						(BgL_appsz00_3207);
																					if (BgL__ortest_1175z00_3211)
																						{	/* Cfa/closure.scm 366 */
																							BgL_contz00_3199 =
																								BgL__ortest_1175z00_3211;
																						}
																					else
																						{	/* Cfa/closure.scm 366 */
																							BgL_contz00_3199 =
																								BgL_contz00_3199;
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 364 */
																					BFALSE;
																				}
																		}
																		{	/* Cfa/closure.scm 367 */
																			bool_t BgL_mz00_3213;

																			{	/* Cfa/closure.scm 368 */
																				BgL_approxz00_bglt BgL_arg1917z00_3215;

																				BgL_arg1917z00_3215 =
																					BGl_cfaz12z12zzcfa_cfaz00(
																					((BgL_nodez00_bglt) BgL_appz00_3204));
																				BgL_mz00_3213 =
																					BGl_mergezd2appzd2returnzd2typesz12zc0zzcfa_closurez00
																					(BgL_appsz00_3207,
																					BgL_arg1917z00_3215);
																			}
																			{	/* Cfa/closure.scm 369 */
																				bool_t BgL__ortest_1176z00_3214;

																				BgL__ortest_1176z00_3214 =
																					BgL_contz00_3199;
																				if (BgL__ortest_1176z00_3214)
																					{	/* Cfa/closure.scm 369 */
																						BgL_contz00_3199 =
																							BgL__ortest_1176z00_3214;
																					}
																				else
																					{	/* Cfa/closure.scm 369 */
																						BgL_contz00_3199 = BgL_mz00_3213;
																					}
																			}
																		}
																	}
																else
																	{	/* Cfa/closure.scm 363 */
																		BFALSE;
																	}
															}
														}
													}
												}
											}
											{
												obj_t BgL_l1533z00_5706;

												BgL_l1533z00_5706 = CDR(BgL_l1533z00_3201);
												BgL_l1533z00_3201 = BgL_l1533z00_5706;
												goto BgL_zc3z04anonymousza31911ze3z87_3202;
											}
										}
									else
										{	/* Cfa/closure.scm 359 */
											((bool_t) 1);
										}
								}
								if (BgL_contz00_3199)
									{	/* Cfa/closure.scm 371 */
										goto BgL_zc3z04anonymousza31910ze3z87_3198;
									}
								else
									{	/* Cfa/closure.scm 371 */
										return ((bool_t) 0);
									}
							}
						}
					}
				}
			else
				{	/* Cfa/closure.scm 348 */
					return ((bool_t) 0);
				}
		}

	}



/* merge-app-return-types! */
	bool_t BGl_mergezd2appzd2returnzd2typesz12zc0zzcfa_closurez00(obj_t
		BgL_appsz00_28, BgL_approxz00_bglt BgL_approxz00_29)
	{
		{	/* Cfa/closure.scm 377 */
			{	/* Cfa/closure.scm 378 */
				obj_t BgL_app0z00_3236;

				BgL_app0z00_3236 = CAR(BgL_appsz00_28);
				{	/* Cfa/closure.scm 378 */
					BgL_variablez00_bglt BgL_f0z00_3237;

					{
						BgL_varz00_bglt BgL_auxz00_5710;

						{	/* Cfa/closure.scm 379 */
							obj_t BgL_pairz00_4498;

							BgL_pairz00_4498 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_app0z00_3236))))->BgL_argsz00);
							BgL_auxz00_5710 = ((BgL_varz00_bglt) CAR(BgL_pairz00_4498));
						}
						BgL_f0z00_3237 =
							(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5710))->BgL_variablez00);
					}
					{	/* Cfa/closure.scm 379 */
						BgL_approxz00_bglt BgL_r0z00_3238;

						{	/* Cfa/closure.scm 380 */
							BgL_sfunz00_bglt BgL_oz00_4501;

							BgL_oz00_4501 =
								((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(BgL_f0z00_3237))->
									BgL_valuez00));
							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_5719;

								{
									obj_t BgL_auxz00_5720;

									{	/* Cfa/closure.scm 380 */
										BgL_objectz00_bglt BgL_tmpz00_5721;

										BgL_tmpz00_5721 = ((BgL_objectz00_bglt) BgL_oz00_4501);
										BgL_auxz00_5720 = BGL_OBJECT_WIDENING(BgL_tmpz00_5721);
									}
									BgL_auxz00_5719 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_5720);
								}
								BgL_r0z00_3238 =
									(((BgL_internzd2sfunzf2cinfoz20_bglt)
										COBJECT(BgL_auxz00_5719))->BgL_approxz00);
							}
						}
						{	/* Cfa/closure.scm 380 */
							BgL_typez00_bglt BgL_rt0z00_3239;

							BgL_rt0z00_3239 =
								(((BgL_approxz00_bglt) COBJECT(BgL_r0z00_3238))->BgL_typez00);
							{	/* Cfa/closure.scm 381 */
								BgL_typez00_bglt BgL_brt0z00_3240;

								BgL_brt0z00_3240 =
									BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_rt0z00_3239);
								{	/* Cfa/closure.scm 382 */
									BgL_typez00_bglt BgL_atz00_3241;

									BgL_atz00_3241 =
										(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_29))->
										BgL_typez00);
									{	/* Cfa/closure.scm 383 */

										{	/* Cfa/closure.scm 384 */
											bool_t BgL_test2373z00_5729;

											if (
												(((obj_t) BgL_rt0z00_3239) == ((obj_t) BgL_atz00_3241)))
												{	/* Cfa/closure.scm 384 */
													BgL_test2373z00_5729 = ((bool_t) 1);
												}
											else
												{	/* Cfa/closure.scm 384 */
													if (BGl_bigloozd2typezf3z21zztype_typez00
														(BgL_rt0z00_3239))
														{	/* Cfa/closure.scm 384 */
															BgL_test2373z00_5729 =
																BGl_bigloozd2typezf3z21zztype_typez00
																(BgL_atz00_3241);
														}
													else
														{	/* Cfa/closure.scm 384 */
															BgL_test2373z00_5729 = ((bool_t) 0);
														}
												}
											if (BgL_test2373z00_5729)
												{	/* Cfa/closure.scm 384 */
													return ((bool_t) 0);
												}
											else
												{	/* Cfa/closure.scm 384 */
													((((BgL_approxz00_bglt) COBJECT(BgL_approxz00_29))->
															BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_approxz00_bglt)
																	COBJECT(BgL_r0z00_3238))->BgL_typez00)),
														BUNSPEC);
													return ((bool_t) 1);
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* merge-app-types! */
	bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t BgL_apps0z00_30)
	{
		{	/* Cfa/closure.scm 391 */
			{
				BgL_appz00_bglt BgL_app0z00_3264;
				BgL_appz00_bglt BgL_app1z00_3265;

				{	/* Cfa/closure.scm 460 */
					obj_t BgL_g1183z00_3252;

					BgL_g1183z00_3252 = CDR(((obj_t) BgL_apps0z00_30));
					{
						obj_t BgL_appsz00_3254;
						bool_t BgL_contz00_3255;

						BgL_appsz00_3254 = BgL_g1183z00_3252;
						BgL_contz00_3255 = ((bool_t) 0);
					BgL_zc3z04anonymousza31934ze3z87_3256:
						if (NULLP(BgL_appsz00_3254))
							{	/* Cfa/closure.scm 462 */
								return BgL_contz00_3255;
							}
						else
							{	/* Cfa/closure.scm 464 */
								obj_t BgL_arg1936z00_3258;
								bool_t BgL_arg1937z00_3259;

								BgL_arg1936z00_3258 = CDR(((obj_t) BgL_appsz00_3254));
								{	/* Cfa/closure.scm 464 */
									bool_t BgL__ortest_1184z00_3260;

									{	/* Cfa/closure.scm 464 */
										obj_t BgL_arg1938z00_3261;
										obj_t BgL_arg1939z00_3262;

										BgL_arg1938z00_3261 = CAR(((obj_t) BgL_apps0z00_30));
										BgL_arg1939z00_3262 = CAR(((obj_t) BgL_appsz00_3254));
										BgL_app0z00_3264 = ((BgL_appz00_bglt) BgL_arg1938z00_3261);
										BgL_app1z00_3265 = ((BgL_appz00_bglt) BgL_arg1939z00_3262);
										{	/* Cfa/closure.scm 394 */
											BgL_variablez00_bglt BgL_f0z00_3267;

											{
												BgL_varz00_bglt BgL_auxz00_5749;

												{	/* Cfa/closure.scm 394 */
													obj_t BgL_pairz00_4509;

													BgL_pairz00_4509 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_app0z00_3264)))->
														BgL_argsz00);
													BgL_auxz00_5749 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_4509));
												}
												BgL_f0z00_3267 =
													(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5749))->
													BgL_variablez00);
											}
											{	/* Cfa/closure.scm 394 */
												BgL_variablez00_bglt BgL_f1z00_3268;

												{
													BgL_varz00_bglt BgL_auxz00_5755;

													{	/* Cfa/closure.scm 395 */
														obj_t BgL_pairz00_4512;

														BgL_pairz00_4512 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_app1z00_3265)))->
															BgL_argsz00);
														BgL_auxz00_5755 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_4512));
													}
													BgL_f1z00_3268 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5755))->
														BgL_variablez00);
												}
												{	/* Cfa/closure.scm 395 */

													{	/* Cfa/closure.scm 397 */
														BgL_approxz00_bglt BgL_r0z00_3269;

														{	/* Cfa/closure.scm 397 */
															BgL_sfunz00_bglt BgL_oz00_4515;

															BgL_oz00_4515 =
																((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt)
																		COBJECT(BgL_f0z00_3267))->BgL_valuez00));
															{
																BgL_internzd2sfunzf2cinfoz20_bglt
																	BgL_auxz00_5763;
																{
																	obj_t BgL_auxz00_5764;

																	{	/* Cfa/closure.scm 397 */
																		BgL_objectz00_bglt BgL_tmpz00_5765;

																		BgL_tmpz00_5765 =
																			((BgL_objectz00_bglt) BgL_oz00_4515);
																		BgL_auxz00_5764 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5765);
																	}
																	BgL_auxz00_5763 =
																		((BgL_internzd2sfunzf2cinfoz20_bglt)
																		BgL_auxz00_5764);
																}
																BgL_r0z00_3269 =
																	(((BgL_internzd2sfunzf2cinfoz20_bglt)
																		COBJECT(BgL_auxz00_5763))->BgL_approxz00);
															}
														}
														{	/* Cfa/closure.scm 397 */
															BgL_approxz00_bglt BgL_r1z00_3270;

															{	/* Cfa/closure.scm 398 */
																BgL_sfunz00_bglt BgL_oz00_4518;

																BgL_oz00_4518 =
																	((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt)
																			COBJECT(BgL_f1z00_3268))->BgL_valuez00));
																{
																	BgL_internzd2sfunzf2cinfoz20_bglt
																		BgL_auxz00_5772;
																	{
																		obj_t BgL_auxz00_5773;

																		{	/* Cfa/closure.scm 398 */
																			BgL_objectz00_bglt BgL_tmpz00_5774;

																			BgL_tmpz00_5774 =
																				((BgL_objectz00_bglt) BgL_oz00_4518);
																			BgL_auxz00_5773 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_5774);
																		}
																		BgL_auxz00_5772 =
																			((BgL_internzd2sfunzf2cinfoz20_bglt)
																			BgL_auxz00_5773);
																	}
																	BgL_r1z00_3270 =
																		(((BgL_internzd2sfunzf2cinfoz20_bglt)
																			COBJECT(BgL_auxz00_5772))->BgL_approxz00);
																}
															}
															{	/* Cfa/closure.scm 398 */
																BgL_typez00_bglt BgL_rt0z00_3271;

																BgL_rt0z00_3271 =
																	(((BgL_approxz00_bglt)
																		COBJECT(BgL_r0z00_3269))->BgL_typez00);
																{	/* Cfa/closure.scm 399 */
																	BgL_typez00_bglt BgL_rt1z00_3272;

																	BgL_rt1z00_3272 =
																		(((BgL_approxz00_bglt)
																			COBJECT(BgL_r1z00_3270))->BgL_typez00);
																	{	/* Cfa/closure.scm 400 */
																		BgL_typez00_bglt BgL_brt0z00_3273;

																		BgL_brt0z00_3273 =
																			BGl_getzd2bigloozd2typez00zztype_cachez00
																			(BgL_rt0z00_3271);
																		{	/* Cfa/closure.scm 401 */
																			BgL_typez00_bglt BgL_brt1z00_3274;

																			BgL_brt1z00_3274 =
																				BGl_getzd2bigloozd2typez00zztype_cachez00
																				(BgL_rt1z00_3272);
																			{	/* Cfa/closure.scm 402 */

																				{	/* Cfa/closure.scm 403 */
																					bool_t BgL_test2377z00_5783;

																					if (
																						(((obj_t) BgL_rt0z00_3271) ==
																							((obj_t) BgL_rt1z00_3272)))
																						{	/* Cfa/closure.scm 403 */
																							BgL_test2377z00_5783 =
																								((bool_t) 1);
																						}
																					else
																						{	/* Cfa/closure.scm 403 */
																							if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_rt0z00_3271))
																								{	/* Cfa/closure.scm 404 */
																									BgL_test2377z00_5783 =
																										BGl_bigloozd2typezf3z21zztype_typez00
																										(BgL_rt1z00_3272);
																								}
																							else
																								{	/* Cfa/closure.scm 404 */
																									BgL_test2377z00_5783 =
																										((bool_t) 0);
																								}
																						}
																					if (BgL_test2377z00_5783)
																						{	/* Cfa/closure.scm 403 */
																							BFALSE;
																						}
																					else
																						{	/* Cfa/closure.scm 403 */
																							if (
																								(((obj_t) BgL_rt0z00_3271) ==
																									((obj_t) BgL_brt0z00_3273)))
																								{	/* Cfa/closure.scm 405 */
																									BFALSE;
																								}
																							else
																								{	/* Cfa/closure.scm 405 */
																									((((BgL_approxz00_bglt)
																												COBJECT
																												(BgL_r0z00_3269))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_brt0z00_3273),
																										BUNSPEC);
																								}
																							if (
																								(((obj_t) BgL_rt1z00_3272) ==
																									((obj_t) BgL_brt1z00_3274)))
																								{	/* Cfa/closure.scm 407 */
																									BFALSE;
																								}
																							else
																								{	/* Cfa/closure.scm 407 */
																									((((BgL_approxz00_bglt)
																												COBJECT
																												(BgL_r1z00_3270))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_brt1z00_3274),
																										BUNSPEC);
																								}
																						}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
													{	/* Cfa/closure.scm 409 */
														obj_t BgL_g1179z00_3284;
														obj_t BgL_g1181z00_3285;

														{	/* Cfa/closure.scm 409 */
															obj_t BgL_pairz00_4528;

															BgL_pairz00_4528 =
																(((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					COBJECT(BgL_f0z00_3267))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1179z00_3284 = CDR(BgL_pairz00_4528);
														}
														{	/* Cfa/closure.scm 410 */
															obj_t BgL_pairz00_4531;

															BgL_pairz00_4531 =
																(((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					COBJECT(BgL_f1z00_3268))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1181z00_3285 = CDR(BgL_pairz00_4531);
														}
														{
															obj_t BgL_a0z00_3287;
															obj_t BgL_a1z00_3288;
															bool_t BgL_contz00_3289;

															BgL_a0z00_3287 = BgL_g1179z00_3284;
															BgL_a1z00_3288 = BgL_g1181z00_3285;
															BgL_contz00_3289 = ((bool_t) 0);
														BgL_zc3z04anonymousza31947ze3z87_3290:
															{	/* Cfa/closure.scm 412 */
																bool_t BgL_test2382z00_5809;

																if (PAIRP(BgL_a0z00_3287))
																	{	/* Cfa/closure.scm 412 */
																		BgL_test2382z00_5809 =
																			PAIRP(BgL_a1z00_3288);
																	}
																else
																	{	/* Cfa/closure.scm 412 */
																		BgL_test2382z00_5809 = ((bool_t) 0);
																	}
																if (BgL_test2382z00_5809)
																	{	/* Cfa/closure.scm 413 */
																		BgL_approxz00_bglt BgL_p0z00_3293;

																		{	/* Cfa/closure.scm 413 */
																			BgL_svarz00_bglt BgL_oz00_4534;

																			BgL_oz00_4534 =
																				((BgL_svarz00_bglt)
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								CAR(BgL_a0z00_3287))))->
																					BgL_valuez00));
																			{
																				BgL_svarzf2cinfozf2_bglt
																					BgL_auxz00_5817;
																				{
																					obj_t BgL_auxz00_5818;

																					{	/* Cfa/closure.scm 413 */
																						BgL_objectz00_bglt BgL_tmpz00_5819;

																						BgL_tmpz00_5819 =
																							((BgL_objectz00_bglt)
																							BgL_oz00_4534);
																						BgL_auxz00_5818 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_5819);
																					}
																					BgL_auxz00_5817 =
																						((BgL_svarzf2cinfozf2_bglt)
																						BgL_auxz00_5818);
																				}
																				BgL_p0z00_3293 =
																					(((BgL_svarzf2cinfozf2_bglt)
																						COBJECT(BgL_auxz00_5817))->
																					BgL_approxz00);
																			}
																		}
																		{	/* Cfa/closure.scm 413 */
																			BgL_approxz00_bglt BgL_p1z00_3294;

																			{	/* Cfa/closure.scm 414 */
																				BgL_svarz00_bglt BgL_oz00_4538;

																				BgL_oz00_4538 =
																					((BgL_svarz00_bglt)
																					(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									CAR(BgL_a1z00_3288))))->
																						BgL_valuez00));
																				{
																					BgL_svarzf2cinfozf2_bglt
																						BgL_auxz00_5828;
																					{
																						obj_t BgL_auxz00_5829;

																						{	/* Cfa/closure.scm 414 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_5830;
																							BgL_tmpz00_5830 =
																								((BgL_objectz00_bglt)
																								BgL_oz00_4538);
																							BgL_auxz00_5829 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_5830);
																						}
																						BgL_auxz00_5828 =
																							((BgL_svarzf2cinfozf2_bglt)
																							BgL_auxz00_5829);
																					}
																					BgL_p1z00_3294 =
																						(((BgL_svarzf2cinfozf2_bglt)
																							COBJECT(BgL_auxz00_5828))->
																						BgL_approxz00);
																				}
																			}
																			{	/* Cfa/closure.scm 414 */
																				BgL_typez00_bglt BgL_t0z00_3295;

																				BgL_t0z00_3295 =
																					(((BgL_approxz00_bglt)
																						COBJECT(BgL_p0z00_3293))->
																					BgL_typez00);
																				{	/* Cfa/closure.scm 415 */
																					BgL_typez00_bglt BgL_t1z00_3296;

																					BgL_t1z00_3296 =
																						(((BgL_approxz00_bglt)
																							COBJECT(BgL_p1z00_3294))->
																						BgL_typez00);
																					{	/* Cfa/closure.scm 416 */

																						{	/* Cfa/closure.scm 417 */
																							bool_t BgL_test2384z00_5837;

																							if (
																								(((obj_t) BgL_t0z00_3295) ==
																									((obj_t) BgL_t1z00_3296)))
																								{	/* Cfa/closure.scm 417 */
																									BgL_test2384z00_5837 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cfa/closure.scm 417 */
																									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t0z00_3295))
																										{	/* Cfa/closure.scm 417 */
																											BgL_test2384z00_5837 =
																												BGl_bigloozd2typezf3z21zztype_typez00
																												(BgL_t1z00_3296);
																										}
																									else
																										{	/* Cfa/closure.scm 417 */
																											BgL_test2384z00_5837 =
																												((bool_t) 0);
																										}
																								}
																							if (BgL_test2384z00_5837)
																								{
																									obj_t BgL_a1z00_5847;
																									obj_t BgL_a0z00_5845;

																									BgL_a0z00_5845 =
																										CDR(BgL_a0z00_3287);
																									BgL_a1z00_5847 =
																										CDR(BgL_a1z00_3288);
																									BgL_a1z00_3288 =
																										BgL_a1z00_5847;
																									BgL_a0z00_3287 =
																										BgL_a0z00_5845;
																									goto
																										BgL_zc3z04anonymousza31947ze3z87_3290;
																								}
																							else
																								{	/* Cfa/closure.scm 440 */
																									BgL_typez00_bglt
																										BgL_bt0z00_3302;
																									BgL_typez00_bglt
																										BgL_bt1z00_3303;
																									bool_t BgL_contz00_3304;

																									BgL_bt0z00_3302 =
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(BgL_t0z00_3295);
																									BgL_bt1z00_3303 =
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(BgL_t1z00_3296);
																									BgL_contz00_3304 =
																										((bool_t) 0);
																									if ((((obj_t) ((
																														(BgL_variablez00_bglt)
																														COBJECT((
																																(BgL_variablez00_bglt)
																																CAR
																																(BgL_a0z00_3287))))->
																													BgL_typez00)) ==
																											((obj_t)
																												BgL_bt0z00_3302)))
																										{	/* Cfa/closure.scm 443 */
																											BFALSE;
																										}
																									else
																										{	/* Cfa/closure.scm 443 */
																											{	/* Cfa/closure.scm 445 */
																												obj_t
																													BgL_arg1957z00_3308;
																												BgL_arg1957z00_3308 =
																													CAR(BgL_a0z00_3287);
																												((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_arg1957z00_3308)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_bt0z00_3302), BUNSPEC);
																											}
																											((((BgL_approxz00_bglt)
																														COBJECT
																														(BgL_p0z00_3293))->
																													BgL_typez00) =
																												((BgL_typez00_bglt)
																													BgL_bt0z00_3302),
																												BUNSPEC);
																											BgL_contz00_3304 =
																												((bool_t) 1);
																										}
																									if (
																										(((obj_t)
																												(((BgL_variablez00_bglt)
																														COBJECT((
																																(BgL_variablez00_bglt)
																																CAR
																																(BgL_a1z00_3288))))->
																													BgL_typez00)) ==
																											((obj_t)
																												BgL_bt1z00_3303)))
																										{	/* Cfa/closure.scm 449 */
																											BFALSE;
																										}
																									else
																										{	/* Cfa/closure.scm 449 */
																											{	/* Cfa/closure.scm 451 */
																												obj_t
																													BgL_arg1964z00_3314;
																												BgL_arg1964z00_3314 =
																													CAR(BgL_a1z00_3288);
																												((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_arg1964z00_3314)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_bt1z00_3303), BUNSPEC);
																											}
																											((((BgL_approxz00_bglt)
																														COBJECT
																														(BgL_p1z00_3294))->
																													BgL_typez00) =
																												((BgL_typez00_bglt)
																													BgL_bt1z00_3303),
																												BUNSPEC);
																											BgL_contz00_3304 =
																												((bool_t) 1);
																										}
																									{	/* Cfa/closure.scm 457 */
																										obj_t BgL_arg1967z00_3317;
																										obj_t BgL_arg1968z00_3318;

																										BgL_arg1967z00_3317 =
																											CDR(BgL_a0z00_3287);
																										BgL_arg1968z00_3318 =
																											CDR(BgL_a1z00_3288);
																										{
																											bool_t BgL_contz00_5877;
																											obj_t BgL_a1z00_5876;
																											obj_t BgL_a0z00_5875;

																											BgL_a0z00_5875 =
																												BgL_arg1967z00_3317;
																											BgL_a1z00_5876 =
																												BgL_arg1968z00_3318;
																											BgL_contz00_5877 =
																												BgL_contz00_3304;
																											BgL_contz00_3289 =
																												BgL_contz00_5877;
																											BgL_a1z00_3288 =
																												BgL_a1z00_5876;
																											BgL_a0z00_3287 =
																												BgL_a0z00_5875;
																											goto
																												BgL_zc3z04anonymousza31947ze3z87_3290;
																										}
																									}
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																else
																	{	/* Cfa/closure.scm 412 */
																		BgL__ortest_1184z00_3260 = BgL_contz00_3289;
																	}
															}
														}
													}
												}
											}
										}
									}
									if (BgL__ortest_1184z00_3260)
										{	/* Cfa/closure.scm 464 */
											BgL_arg1937z00_3259 = BgL__ortest_1184z00_3260;
										}
									else
										{	/* Cfa/closure.scm 464 */
											BgL_arg1937z00_3259 = BgL_contz00_3255;
										}
								}
								{
									bool_t BgL_contz00_5882;
									obj_t BgL_appsz00_5881;

									BgL_appsz00_5881 = BgL_arg1936z00_3258;
									BgL_contz00_5882 = BgL_arg1937z00_3259;
									BgL_contz00_3255 = BgL_contz00_5882;
									BgL_appsz00_3254 = BgL_appsz00_5881;
									goto BgL_zc3z04anonymousza31934ze3z87_3256;
								}
							}
					}
				}
			}
		}

	}



/* type-closures! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00()
	{
		{	/* Cfa/closure.scm 469 */
			{
				BgL_appz00_bglt BgL_appz00_3345;

				if (CBOOL
					(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
					{	/* Cfa/closure.scm 496 */
						obj_t BgL_g1540z00_3337;

						BgL_g1540z00_3337 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
						{
							obj_t BgL_l1538z00_3339;

							{	/* Cfa/closure.scm 496 */
								bool_t BgL_tmpz00_5885;

								BgL_l1538z00_3339 = BgL_g1540z00_3337;
							BgL_zc3z04anonymousza31981ze3z87_3340:
								if (PAIRP(BgL_l1538z00_3339))
									{	/* Cfa/closure.scm 496 */
										{	/* Cfa/closure.scm 496 */
											obj_t BgL_arg1983z00_3342;

											BgL_arg1983z00_3342 = CAR(BgL_l1538z00_3339);
											BgL_appz00_3345 = ((BgL_appz00_bglt) BgL_arg1983z00_3342);
											{	/* Cfa/closure.scm 480 */
												bool_t BgL_test2392z00_5889;

												{	/* Cfa/closure.scm 480 */
													bool_t BgL_test2393z00_5890;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5891;

														{
															obj_t BgL_auxz00_5892;

															{	/* Cfa/closure.scm 480 */
																BgL_objectz00_bglt BgL_tmpz00_5893;

																BgL_tmpz00_5893 =
																	((BgL_objectz00_bglt) BgL_appz00_3345);
																BgL_auxz00_5892 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5893);
															}
															BgL_auxz00_5891 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5892);
														}
														BgL_test2393z00_5890 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																COBJECT(BgL_auxz00_5891))->BgL_xz00);
													}
													if (BgL_test2393z00_5890)
														{	/* Cfa/closure.scm 480 */
															BgL_test2392z00_5889 = ((bool_t) 1);
														}
													else
														{
															BgL_makezd2procedurezd2appz00_bglt
																BgL_auxz00_5898;
															{
																obj_t BgL_auxz00_5899;

																{	/* Cfa/closure.scm 480 */
																	BgL_objectz00_bglt BgL_tmpz00_5900;

																	BgL_tmpz00_5900 =
																		((BgL_objectz00_bglt) BgL_appz00_3345);
																	BgL_auxz00_5899 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_5900);
																}
																BgL_auxz00_5898 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_auxz00_5899);
															}
															BgL_test2392z00_5889 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	COBJECT(BgL_auxz00_5898))->BgL_tz00);
														}
												}
												if (BgL_test2392z00_5889)
													{	/* Cfa/closure.scm 480 */
														((bool_t) 0);
													}
												else
													{	/* Cfa/closure.scm 482 */
														BgL_variablez00_bglt BgL_varz00_3350;

														{
															BgL_varz00_bglt BgL_auxz00_5905;

															{	/* Cfa/closure.scm 482 */
																obj_t BgL_pairz00_4566;

																BgL_pairz00_4566 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_appz00_3345)))->
																	BgL_argsz00);
																BgL_auxz00_5905 =
																	((BgL_varz00_bglt) CAR(BgL_pairz00_4566));
															}
															BgL_varz00_3350 =
																(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5905))->
																BgL_variablez00);
														}
														{	/* Cfa/closure.scm 482 */
															BgL_valuez00_bglt BgL_sfunz00_3351;

															BgL_sfunz00_3351 =
																(((BgL_variablez00_bglt)
																	COBJECT(BgL_varz00_3350))->BgL_valuez00);
															{	/* Cfa/closure.scm 483 */

																((((BgL_variablez00_bglt)
																			COBJECT(BgL_varz00_3350))->BgL_typez00) =
																	((BgL_typez00_bglt)
																		BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																		((((BgL_variablez00_bglt)
																					COBJECT(BgL_varz00_3350))->
																				BgL_typez00))), BUNSPEC);
																{	/* Cfa/closure.scm 486 */
																	obj_t BgL_g1537z00_3354;

																	{	/* Cfa/closure.scm 493 */
																		obj_t BgL_pairz00_4573;

																		BgL_pairz00_4573 =
																			(((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						BgL_sfunz00_3351)))->BgL_argsz00);
																		BgL_g1537z00_3354 = CDR(BgL_pairz00_4573);
																	}
																	{
																		obj_t BgL_l1535z00_3356;

																		BgL_l1535z00_3356 = BgL_g1537z00_3354;
																	BgL_zc3z04anonymousza31990ze3z87_3357:
																		if (PAIRP(BgL_l1535z00_3356))
																			{	/* Cfa/closure.scm 493 */
																				{	/* Cfa/closure.scm 487 */
																					obj_t BgL_az00_3359;

																					BgL_az00_3359 =
																						CAR(BgL_l1535z00_3356);
																					{	/* Cfa/closure.scm 487 */
																						BgL_approxz00_bglt BgL_pz00_3360;

																						{	/* Cfa/closure.scm 487 */
																							BgL_svarz00_bglt BgL_oz00_4576;

																							BgL_oz00_4576 =
																								((BgL_svarz00_bglt)
																								(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt)
																												BgL_az00_3359)))->
																									BgL_valuez00));
																							{
																								BgL_svarzf2cinfozf2_bglt
																									BgL_auxz00_5924;
																								{
																									obj_t BgL_auxz00_5925;

																									{	/* Cfa/closure.scm 487 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_5926;
																										BgL_tmpz00_5926 =
																											((BgL_objectz00_bglt)
																											BgL_oz00_4576);
																										BgL_auxz00_5925 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_5926);
																									}
																									BgL_auxz00_5924 =
																										((BgL_svarzf2cinfozf2_bglt)
																										BgL_auxz00_5925);
																								}
																								BgL_pz00_3360 =
																									(((BgL_svarzf2cinfozf2_bglt)
																										COBJECT(BgL_auxz00_5924))->
																									BgL_approxz00);
																							}
																						}
																						{	/* Cfa/closure.scm 487 */
																							BgL_typez00_bglt BgL_tz00_3361;

																							BgL_tz00_3361 =
																								(((BgL_approxz00_bglt)
																									COBJECT(BgL_pz00_3360))->
																								BgL_typez00);
																							{	/* Cfa/closure.scm 488 */

																								{	/* Cfa/closure.scm 492 */
																									BgL_typez00_bglt
																										BgL_arg1992z00_3362;
																									BgL_arg1992z00_3362 =
																										BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																										(BgL_tz00_3361);
																									((((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														BgL_az00_3359)))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_arg1992z00_3362),
																										BUNSPEC);
																								}
																							}
																						}
																					}
																				}
																				{
																					obj_t BgL_l1535z00_5935;

																					BgL_l1535z00_5935 =
																						CDR(BgL_l1535z00_3356);
																					BgL_l1535z00_3356 = BgL_l1535z00_5935;
																					goto
																						BgL_zc3z04anonymousza31990ze3z87_3357;
																				}
																			}
																		else
																			{	/* Cfa/closure.scm 493 */
																				((bool_t) 1);
																			}
																	}
																}
															}
														}
													}
											}
										}
										{
											obj_t BgL_l1538z00_5938;

											BgL_l1538z00_5938 = CDR(BgL_l1538z00_3339);
											BgL_l1538z00_3339 = BgL_l1538z00_5938;
											goto BgL_zc3z04anonymousza31981ze3z87_3340;
										}
									}
								else
									{	/* Cfa/closure.scm 496 */
										BgL_tmpz00_5885 = ((bool_t) 1);
									}
								return BBOOL(BgL_tmpz00_5885);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 495 */
						return BFALSE;
					}
			}
		}

	}



/* &type-closures! */
	obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t BgL_envz00_4799)
	{
		{	/* Cfa/closure.scm 469 */
			return BGl_typezd2closuresz12zc0zzcfa_closurez00();
		}

	}



/* light-access! */
	bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00()
	{
		{	/* Cfa/closure.scm 501 */
			{
				obj_t BgL_l1541z00_3372;

				BgL_l1541z00_3372 = BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00;
			BgL_zc3z04anonymousza32000ze3z87_3373:
				if (PAIRP(BgL_l1541z00_3372))
					{	/* Cfa/closure.scm 502 */
						{	/* Cfa/closure.scm 504 */
							obj_t BgL_appz00_3375;

							BgL_appz00_3375 = CAR(BgL_l1541z00_3372);
							{	/* Cfa/closure.scm 504 */
								BgL_approxz00_bglt BgL_approxz00_3377;

								{	/* Cfa/closure.scm 505 */
									obj_t BgL_arg2008z00_3391;

									{	/* Cfa/closure.scm 505 */
										obj_t BgL_pairz00_4588;

										BgL_pairz00_4588 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_appz00_3375)))->BgL_argsz00);
										BgL_arg2008z00_3391 = CAR(BgL_pairz00_4588);
									}
									BgL_approxz00_3377 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_arg2008z00_3391));
								}
								{	/* Cfa/closure.scm 505 */
									BgL_varz00_bglt BgL_funz00_3378;

									BgL_funz00_3378 =
										(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_appz00_3375)))->BgL_funz00);
									{	/* Cfa/closure.scm 506 */
										BgL_variablez00_bglt BgL_vfunz00_3379;

										BgL_vfunz00_3379 =
											(((BgL_varz00_bglt) COBJECT(BgL_funz00_3378))->
											BgL_variablez00);
										{	/* Cfa/closure.scm 507 */
											obj_t BgL_allocz00_3380;

											{	/* Cfa/closure.scm 508 */
												obj_t BgL_arg2007z00_3388;

												BgL_arg2007z00_3388 =
													(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3377))->
													BgL_allocsz00);
												{	/* Cfa/closure.scm 508 */

													BgL_allocz00_3380 =
														BGl_setzd2headzd2zzcfa_setz00(BgL_arg2007z00_3388,
														BFALSE);
												}
											}
											{	/* Cfa/closure.scm 508 */

												{	/* Cfa/closure.scm 509 */
													bool_t BgL_test2396z00_5955;

													{	/* Cfa/closure.scm 509 */
														obj_t BgL_classz00_4592;

														BgL_classz00_4592 =
															BGl_makezd2procedurezd2appz00zzcfa_info2z00;
														if (BGL_OBJECTP(BgL_allocz00_3380))
															{	/* Cfa/closure.scm 509 */
																BgL_objectz00_bglt BgL_arg1825z00_4594;

																BgL_arg1825z00_4594 =
																	(BgL_objectz00_bglt) (BgL_allocz00_3380);
																{	/* Cfa/closure.scm 509 */
																	bool_t BgL_arg1822z00_4597;
																	bool_t BgL_arg1823z00_4598;

																	{	/* Cfa/closure.scm 509 */
																		long BgL_idxz00_4601;

																		BgL_idxz00_4601 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_4594);
																		BgL_arg1822z00_4597 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_4601 + ((long) 4))) ==
																			BgL_classz00_4592);
																	}
																	{	/* Cfa/closure.scm 509 */
																		bool_t BgL_res2245z00_4623;

																		{	/* Cfa/closure.scm 509 */
																			obj_t BgL_oclassz00_4609;

																			{	/* Cfa/closure.scm 509 */
																				long BgL_arg1833z00_4615;

																				{	/* Cfa/closure.scm 509 */
																					long BgL_arg1834z00_4616;

																					BgL_arg1834z00_4616 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_4594);
																					BgL_arg1833z00_4615 =
																						(BgL_arg1834z00_4616 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_4609 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_4615);
																			}
																			{	/* Cfa/closure.scm 509 */
																				bool_t BgL__ortest_1110z00_4610;

																				BgL__ortest_1110z00_4610 =
																					(BgL_classz00_4592 ==
																					BgL_oclassz00_4609);
																				if (BgL__ortest_1110z00_4610)
																					{	/* Cfa/closure.scm 509 */
																						BgL_res2245z00_4623 =
																							BgL__ortest_1110z00_4610;
																					}
																				else
																					{	/* Cfa/closure.scm 509 */
																						long BgL_odepthz00_4611;

																						BgL_odepthz00_4611 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_4609);
																						if ((((long) 4) <
																								BgL_odepthz00_4611))
																							{	/* Cfa/closure.scm 509 */
																								obj_t BgL_arg1821z00_4613;

																								BgL_arg1821z00_4613 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_4609,
																									((long) 4));
																								BgL_res2245z00_4623 =
																									(BgL_arg1821z00_4613 ==
																									BgL_classz00_4592);
																							}
																						else
																							{	/* Cfa/closure.scm 509 */
																								BgL_res2245z00_4623 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_4598 = BgL_res2245z00_4623;
																	}
																	BgL_test2396z00_5955 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_4597,
																		BgL_arg1823z00_4598);
																}
															}
														else
															{	/* Cfa/closure.scm 509 */
																BgL_test2396z00_5955 = ((bool_t) 0);
															}
													}
													if (BgL_test2396z00_5955)
														{	/* Cfa/closure.scm 513 */
															bool_t BgL_test2400z00_5974;

															{
																BgL_makezd2procedurezd2appz00_bglt
																	BgL_auxz00_5975;
																{
																	obj_t BgL_auxz00_5976;

																	{	/* Cfa/closure.scm 513 */
																		BgL_objectz00_bglt BgL_tmpz00_5977;

																		BgL_tmpz00_5977 =
																			((BgL_objectz00_bglt)
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_allocz00_3380)));
																		BgL_auxz00_5976 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5977);
																	}
																	BgL_auxz00_5975 =
																		((BgL_makezd2procedurezd2appz00_bglt)
																		BgL_auxz00_5976);
																}
																BgL_test2400z00_5974 =
																	(((BgL_makezd2procedurezd2appz00_bglt)
																		COBJECT(BgL_auxz00_5975))->BgL_xz00);
															}
															if (BgL_test2400z00_5974)
																{	/* Cfa/closure.scm 513 */
																	if (
																		(((obj_t) BgL_vfunz00_3379) ==
																			BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																		{	/* Cfa/closure.scm 515 */
																			BgL_variablez00_bglt BgL_vz00_4626;

																			BgL_vz00_4626 =
																				((BgL_variablez00_bglt)
																				BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_funz00_3378))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_4626),
																				BUNSPEC);
																		}
																	else
																		{	/* Cfa/closure.scm 516 */
																			BgL_variablez00_bglt BgL_vz00_4628;

																			BgL_vz00_4628 =
																				((BgL_variablez00_bglt)
																				BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_funz00_3378))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_4628),
																				BUNSPEC);
																		}
																}
															else
																{	/* Cfa/closure.scm 517 */
																	bool_t BgL_test2402z00_5991;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_5992;
																		{
																			obj_t BgL_auxz00_5993;

																			{	/* Cfa/closure.scm 517 */
																				BgL_objectz00_bglt BgL_tmpz00_5994;

																				BgL_tmpz00_5994 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_allocz00_3380)));
																				BgL_auxz00_5993 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5994);
																			}
																			BgL_auxz00_5992 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_5993);
																		}
																		BgL_test2402z00_5991 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				COBJECT(BgL_auxz00_5992))->BgL_tz00);
																	}
																	if (BgL_test2402z00_5991)
																		{	/* Cfa/closure.scm 517 */
																			if (
																				(((obj_t) BgL_vfunz00_3379) ==
																					BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																				{	/* Cfa/closure.scm 519 */
																					BgL_variablez00_bglt BgL_vz00_4631;

																					BgL_vz00_4631 =
																						((BgL_variablez00_bglt)
																						BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								COBJECT(BgL_funz00_3378))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4631), BUNSPEC);
																				}
																			else
																				{	/* Cfa/closure.scm 520 */
																					BgL_variablez00_bglt BgL_vz00_4633;

																					BgL_vz00_4633 =
																						((BgL_variablez00_bglt)
																						BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								COBJECT(BgL_funz00_3378))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4633), BUNSPEC);
																				}
																		}
																	else
																		{	/* Cfa/closure.scm 517 */
																			BFALSE;
																		}
																}
														}
													else
														{	/* Cfa/closure.scm 509 */
															BFALSE;
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1541z00_6008;

							BgL_l1541z00_6008 = CDR(BgL_l1541z00_3372);
							BgL_l1541z00_3372 = BgL_l1541z00_6008;
							goto BgL_zc3z04anonymousza32000ze3z87_3373;
						}
					}
				else
					{	/* Cfa/closure.scm 502 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* show-X-T */
	obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t BgL_allocsz00_31)
	{
		{	/* Cfa/closure.scm 526 */
			{
				obj_t BgL_xpz00_3399;
				obj_t BgL_tpz00_3400;
				obj_t BgL_allocsz00_3401;

				BgL_xpz00_3399 = BNIL;
				BgL_tpz00_3400 = BNIL;
				BgL_allocsz00_3401 = BgL_allocsz00_31;
			BgL_zc3z04anonymousza32011ze3z87_3402:
				if (NULLP(BgL_allocsz00_3401))
					{	/* Cfa/closure.scm 537 */
						BGl_showze70ze7zzcfa_closurez00(CNST_TABLE_REF(((long) 9)),
							BgL_xpz00_3399);
						BGl_showze70ze7zzcfa_closurez00(CNST_TABLE_REF(((long) 10)),
							BgL_tpz00_3400);
						return BUNSPEC;
					}
				else
					{	/* Cfa/closure.scm 542 */
						BgL_appz00_bglt BgL_i1189z00_3404;

						BgL_i1189z00_3404 =
							((BgL_appz00_bglt) CAR(((obj_t) BgL_allocsz00_3401)));
						{	/* Cfa/closure.scm 544 */
							bool_t BgL_test2405z00_6019;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6020;

								{
									obj_t BgL_auxz00_6021;

									{	/* Cfa/closure.scm 544 */
										BgL_objectz00_bglt BgL_tmpz00_6022;

										BgL_tmpz00_6022 = ((BgL_objectz00_bglt) BgL_i1189z00_3404);
										BgL_auxz00_6021 = BGL_OBJECT_WIDENING(BgL_tmpz00_6022);
									}
									BgL_auxz00_6020 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_6021);
								}
								BgL_test2405z00_6019 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_6020))->BgL_xz00);
							}
							if (BgL_test2405z00_6019)
								{	/* Cfa/closure.scm 545 */
									obj_t BgL_arg2014z00_3406;
									obj_t BgL_arg2015z00_3407;

									{	/* Cfa/closure.scm 545 */
										BgL_variablez00_bglt BgL_arg2016z00_3408;

										{
											BgL_varz00_bglt BgL_auxz00_6027;

											{	/* Cfa/closure.scm 545 */
												obj_t BgL_pairz00_4641;

												BgL_pairz00_4641 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_i1189z00_3404)))->
													BgL_argsz00);
												BgL_auxz00_6027 =
													((BgL_varz00_bglt) CAR(BgL_pairz00_4641));
											}
											BgL_arg2016z00_3408 =
												(((BgL_varz00_bglt) COBJECT(BgL_auxz00_6027))->
												BgL_variablez00);
										}
										BgL_arg2014z00_3406 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg2016z00_3408), BgL_xpz00_3399);
									}
									BgL_arg2015z00_3407 = CDR(((obj_t) BgL_allocsz00_3401));
									{
										obj_t BgL_allocsz00_6038;
										obj_t BgL_xpz00_6037;

										BgL_xpz00_6037 = BgL_arg2014z00_3406;
										BgL_allocsz00_6038 = BgL_arg2015z00_3407;
										BgL_allocsz00_3401 = BgL_allocsz00_6038;
										BgL_xpz00_3399 = BgL_xpz00_6037;
										goto BgL_zc3z04anonymousza32011ze3z87_3402;
									}
								}
							else
								{	/* Cfa/closure.scm 546 */
									bool_t BgL_test2406z00_6039;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6040;

										{
											obj_t BgL_auxz00_6041;

											{	/* Cfa/closure.scm 546 */
												BgL_objectz00_bglt BgL_tmpz00_6042;

												BgL_tmpz00_6042 =
													((BgL_objectz00_bglt) BgL_i1189z00_3404);
												BgL_auxz00_6041 = BGL_OBJECT_WIDENING(BgL_tmpz00_6042);
											}
											BgL_auxz00_6040 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_6041);
										}
										BgL_test2406z00_6039 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												COBJECT(BgL_auxz00_6040))->BgL_tz00);
									}
									if (BgL_test2406z00_6039)
										{	/* Cfa/closure.scm 547 */
											obj_t BgL_arg2020z00_3412;
											obj_t BgL_arg2022z00_3413;

											{	/* Cfa/closure.scm 547 */
												BgL_variablez00_bglt BgL_arg2023z00_3414;

												{
													BgL_varz00_bglt BgL_auxz00_6047;

													{	/* Cfa/closure.scm 547 */
														obj_t BgL_pairz00_4645;

														BgL_pairz00_4645 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_i1189z00_3404)))->
															BgL_argsz00);
														BgL_auxz00_6047 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_4645));
													}
													BgL_arg2023z00_3414 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_6047))->
														BgL_variablez00);
												}
												BgL_arg2020z00_3412 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg2023z00_3414), BgL_tpz00_3400);
											}
											BgL_arg2022z00_3413 = CDR(((obj_t) BgL_allocsz00_3401));
											{
												obj_t BgL_allocsz00_6058;
												obj_t BgL_tpz00_6057;

												BgL_tpz00_6057 = BgL_arg2020z00_3412;
												BgL_allocsz00_6058 = BgL_arg2022z00_3413;
												BgL_allocsz00_3401 = BgL_allocsz00_6058;
												BgL_tpz00_3400 = BgL_tpz00_6057;
												goto BgL_zc3z04anonymousza32011ze3z87_3402;
											}
										}
									else
										{	/* Cfa/closure.scm 549 */
											obj_t BgL_arg2026z00_3417;

											BgL_arg2026z00_3417 = CDR(((obj_t) BgL_allocsz00_3401));
											{
												obj_t BgL_allocsz00_6061;

												BgL_allocsz00_6061 = BgL_arg2026z00_3417;
												BgL_allocsz00_3401 = BgL_allocsz00_6061;
												goto BgL_zc3z04anonymousza32011ze3z87_3402;
											}
										}
								}
						}
					}
			}
		}

	}



/* show~0 */
	bool_t BGl_showze70ze7zzcfa_closurez00(obj_t BgL_propz00_3419,
		obj_t BgL_lz00_3420)
	{
		{	/* Cfa/closure.scm 533 */
			if (NULLP(BgL_lz00_3420))
				{	/* Cfa/closure.scm 528 */
					return ((bool_t) 0);
				}
			else
				{	/* Cfa/closure.scm 528 */
					{	/* Cfa/closure.scm 530 */
						obj_t BgL_arg2029z00_3423;

						BgL_arg2029z00_3423 =
							BGl_shapez00zztools_shapez00(CAR(BgL_lz00_3420));
						{	/* Cfa/closure.scm 530 */
							obj_t BgL_list2030z00_3424;

							{	/* Cfa/closure.scm 530 */
								obj_t BgL_arg2031z00_3425;

								{	/* Cfa/closure.scm 530 */
									obj_t BgL_arg2032z00_3426;

									{	/* Cfa/closure.scm 530 */
										obj_t BgL_arg2034z00_3427;

										{	/* Cfa/closure.scm 530 */
											obj_t BgL_arg2035z00_3428;

											BgL_arg2035z00_3428 =
												MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
											BgL_arg2034z00_3427 =
												MAKE_YOUNG_PAIR(BgL_arg2029z00_3423,
												BgL_arg2035z00_3428);
										}
										BgL_arg2032z00_3426 =
											MAKE_YOUNG_PAIR(BGl_string2253z00zzcfa_closurez00,
											BgL_arg2034z00_3427);
									}
									BgL_arg2031z00_3425 =
										MAKE_YOUNG_PAIR(BgL_propz00_3419, BgL_arg2032z00_3426);
								}
								BgL_list2030z00_3424 =
									MAKE_YOUNG_PAIR(BGl_string2254z00zzcfa_closurez00,
									BgL_arg2031z00_3425);
							}
							BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
								BgL_list2030z00_3424);
					}}
					{	/* Cfa/closure.scm 531 */
						obj_t BgL_g1545z00_3430;

						BgL_g1545z00_3430 = CDR(BgL_lz00_3420);
						{
							obj_t BgL_l1543z00_3432;

							BgL_l1543z00_3432 = BgL_g1545z00_3430;
						BgL_zc3z04anonymousza32037ze3z87_3433:
							if (PAIRP(BgL_l1543z00_3432))
								{	/* Cfa/closure.scm 533 */
									{	/* Cfa/closure.scm 532 */
										obj_t BgL_xz00_3435;

										BgL_xz00_3435 = CAR(BgL_l1543z00_3432);
										{	/* Cfa/closure.scm 532 */
											obj_t BgL_arg2039z00_3436;

											BgL_arg2039z00_3436 =
												BGl_shapez00zztools_shapez00(BgL_xz00_3435);
											{	/* Cfa/closure.scm 532 */
												obj_t BgL_list2040z00_3437;

												{	/* Cfa/closure.scm 532 */
													obj_t BgL_arg2041z00_3438;

													{	/* Cfa/closure.scm 532 */
														obj_t BgL_arg2042z00_3439;

														BgL_arg2042z00_3439 =
															MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)),
															BNIL);
														BgL_arg2041z00_3438 =
															MAKE_YOUNG_PAIR(BgL_arg2039z00_3436,
															BgL_arg2042z00_3439);
													}
													BgL_list2040z00_3437 =
														MAKE_YOUNG_PAIR(BGl_string2255z00zzcfa_closurez00,
														BgL_arg2041z00_3438);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
													BgL_list2040z00_3437);
									}}}
									{
										obj_t BgL_l1543z00_6085;

										BgL_l1543z00_6085 = CDR(BgL_l1543z00_3432);
										BgL_l1543z00_3432 = BgL_l1543z00_6085;
										goto BgL_zc3z04anonymousza32037ze3z87_3433;
									}
								}
							else
								{	/* Cfa/closure.scm 533 */
									return ((bool_t) 1);
								}
						}
					}
				}
		}

	}



/* get-procedure-list */
	BGL_EXPORTED_DEF obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00()
	{
		{	/* Cfa/closure.scm 561 */
			return BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
		}

	}



/* &get-procedure-list */
	obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t BgL_envz00_4800)
	{
		{	/* Cfa/closure.scm 561 */
			return BGl_getzd2procedurezd2listz00zzcfa_closurez00();
		}

	}



/* add-funcall! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt BgL_astz00_32)
	{
		{	/* Cfa/closure.scm 567 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 568 */
					return (BGl_za2funcallzd2listza2zd2zzcfa_closurez00 =
						MAKE_YOUNG_PAIR(
							((obj_t) BgL_astz00_32),
							BGl_za2funcallzd2listza2zd2zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 568 */
					return BFALSE;
				}
		}

	}



/* &add-funcall! */
	obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t BgL_envz00_4801,
		obj_t BgL_astz00_4802)
	{
		{	/* Cfa/closure.scm 567 */
			return
				BGl_addzd2funcallz12zc0zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_4802));
		}

	}



/* add-make-procedure! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_33)
	{
		{	/* Cfa/closure.scm 574 */
			return (BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 =
				MAKE_YOUNG_PAIR(
					((obj_t) BgL_astz00_33),
					BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00), BUNSPEC);
		}

	}



/* &add-make-procedure! */
	obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t
		BgL_envz00_4803, obj_t BgL_astz00_4804)
	{
		{	/* Cfa/closure.scm 574 */
			return
				BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_4804));
		}

	}



/* add-procedure-ref! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_34)
	{
		{	/* Cfa/closure.scm 580 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 581 */
					return (BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 =
						MAKE_YOUNG_PAIR(
							((obj_t) BgL_astz00_34),
							BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 581 */
					return BFALSE;
				}
		}

	}



/* &add-procedure-ref! */
	obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t
		BgL_envz00_4805, obj_t BgL_astz00_4806)
	{
		{	/* Cfa/closure.scm 580 */
			return
				BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_4806));
		}

	}



/* approx-procedure-el? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt
		BgL_approxz00_35)
	{
		{	/* Cfa/closure.scm 587 */
			{	/* Cfa/closure.scm 588 */
				bool_t BgL_test2411z00_6106;

				{	/* Cfa/closure.scm 588 */
					BgL_typez00_bglt BgL_arg2055z00_3457;

					BgL_arg2055z00_3457 =
						(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_35))->BgL_typez00);
					BgL_test2411z00_6106 =
						(
						((obj_t) BgL_arg2055z00_3457) ==
						BGl_za2procedureza2z00zztype_cachez00);
				}
				if (BgL_test2411z00_6106)
					{	/* Cfa/closure.scm 589 */
						bool_t BgL_test2412z00_6110;

						{	/* Cfa/closure.scm 589 */
							obj_t BgL_arg2053z00_3455;

							BgL_arg2053z00_3455 =
								BGl_setzd2lengthzd2zzcfa_setz00(
								(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_35))->
									BgL_allocsz00));
							BgL_test2412z00_6110 =
								((long) CINT(BgL_arg2053z00_3455) == ((long) 1));
						}
						if (BgL_test2412z00_6110)
							{	/* Cfa/closure.scm 590 */
								obj_t BgL_allocz00_3450;

								{	/* Cfa/closure.scm 590 */
									obj_t BgL_arg2052z00_3452;

									BgL_arg2052z00_3452 =
										(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_35))->
										BgL_allocsz00);
									{	/* Cfa/closure.scm 590 */

										BgL_allocz00_3450 =
											BGl_setzd2headzd2zzcfa_setz00(BgL_arg2052z00_3452,
											BFALSE);
									}
								}
								{	/* Cfa/closure.scm 591 */
									bool_t BgL_test2413z00_6117;

									{	/* Cfa/closure.scm 591 */
										obj_t BgL_classz00_4655;

										BgL_classz00_4655 =
											BGl_makezd2procedurezd2appz00zzcfa_info2z00;
										if (BGL_OBJECTP(BgL_allocz00_3450))
											{	/* Cfa/closure.scm 591 */
												BgL_objectz00_bglt BgL_arg1825z00_4657;

												BgL_arg1825z00_4657 =
													(BgL_objectz00_bglt) (BgL_allocz00_3450);
												{	/* Cfa/closure.scm 591 */
													bool_t BgL_arg1822z00_4660;
													bool_t BgL_arg1823z00_4661;

													{	/* Cfa/closure.scm 591 */
														long BgL_idxz00_4664;

														BgL_idxz00_4664 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4657);
														BgL_arg1822z00_4660 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4664 + ((long) 4))) ==
															BgL_classz00_4655);
													}
													{	/* Cfa/closure.scm 591 */
														bool_t BgL_res2246z00_4686;

														{	/* Cfa/closure.scm 591 */
															obj_t BgL_oclassz00_4672;

															{	/* Cfa/closure.scm 591 */
																long BgL_arg1833z00_4678;

																{	/* Cfa/closure.scm 591 */
																	long BgL_arg1834z00_4679;

																	BgL_arg1834z00_4679 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4657);
																	BgL_arg1833z00_4678 =
																		(BgL_arg1834z00_4679 - OBJECT_TYPE);
																}
																BgL_oclassz00_4672 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_4678);
															}
															{	/* Cfa/closure.scm 591 */
																bool_t BgL__ortest_1110z00_4673;

																BgL__ortest_1110z00_4673 =
																	(BgL_classz00_4655 == BgL_oclassz00_4672);
																if (BgL__ortest_1110z00_4673)
																	{	/* Cfa/closure.scm 591 */
																		BgL_res2246z00_4686 =
																			BgL__ortest_1110z00_4673;
																	}
																else
																	{	/* Cfa/closure.scm 591 */
																		long BgL_odepthz00_4674;

																		BgL_odepthz00_4674 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_4672);
																		if ((((long) 4) < BgL_odepthz00_4674))
																			{	/* Cfa/closure.scm 591 */
																				obj_t BgL_arg1821z00_4676;

																				BgL_arg1821z00_4676 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_4672, ((long) 4));
																				BgL_res2246z00_4686 =
																					(BgL_arg1821z00_4676 ==
																					BgL_classz00_4655);
																			}
																		else
																			{	/* Cfa/closure.scm 591 */
																				BgL_res2246z00_4686 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_4661 = BgL_res2246z00_4686;
													}
													BgL_test2413z00_6117 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_4660,
														BgL_arg1823z00_4661);
												}
											}
										else
											{	/* Cfa/closure.scm 591 */
												BgL_test2413z00_6117 = ((bool_t) 0);
											}
									}
									if (BgL_test2413z00_6117)
										{
											BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6136;

											{
												obj_t BgL_auxz00_6137;

												{	/* Cfa/closure.scm 592 */
													BgL_objectz00_bglt BgL_tmpz00_6138;

													BgL_tmpz00_6138 =
														((BgL_objectz00_bglt)
														((BgL_appz00_bglt) BgL_allocz00_3450));
													BgL_auxz00_6137 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6138);
												}
												BgL_auxz00_6136 =
													((BgL_makezd2procedurezd2appz00_bglt)
													BgL_auxz00_6137);
											}
											return
												(((BgL_makezd2procedurezd2appz00_bglt)
													COBJECT(BgL_auxz00_6136))->BgL_xz00);
										}
									else
										{	/* Cfa/closure.scm 591 */
											return ((bool_t) 0);
										}
								}
							}
						else
							{	/* Cfa/closure.scm 589 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Cfa/closure.scm 588 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &approx-procedure-el? */
	obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t
		BgL_envz00_4807, obj_t BgL_approxz00_4808)
	{
		{	/* Cfa/closure.scm 587 */
			return
				BBOOL(BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
					((BgL_approxz00_bglt) BgL_approxz00_4808)));
		}

	}



/* start-closure-cache */
	obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00()
	{
		{	/* Cfa/closure.scm 609 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 11)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 13)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 14)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 15)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 16)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 17)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 18)),
				CNST_TABLE_REF(((long) 12)));
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 19)),
					CNST_TABLE_REF(((long) 12))), BUNSPEC);
		}

	}



/* stop-closure-cache */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00()
	{
		{	/* Cfa/closure.scm 622 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}

	}



/* &stop-closure-cache */
	obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t BgL_envz00_4809)
	{
		{	/* Cfa/closure.scm 622 */
			return BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_closurez00()
	{
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_closurez00()
	{
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_closurez00()
	{
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00()
	{
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2256z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2256z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2256z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2256z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2256z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2256z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2256z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2256z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2256z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2256z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2256z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string2256z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2256z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 5932721),
				BSTRING_TO_STRING(BGl_string2256z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_ltypez00(((long) 315872512),
				BSTRING_TO_STRING(BGl_string2256z00zzcfa_closurez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_typez00(((long) 93933605),
				BSTRING_TO_STRING(BGl_string2256z00zzcfa_closurez00));
		}

	}

#ifdef __cplusplus
}
#endif
