/*===========================================================================*/
/*   (Cfa/collect.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/collect.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                     
		*BgL_prezd2makezd2procedurezd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl
	{
	}                                    
		*BgL_prezd2procedurezd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl
	{
	}                                       
		*BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

	typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2vectorzd2appzd2_bglt;

	typedef struct BgL_prezd2conszd2appz00_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                          *BgL_prezd2conszd2appz00_bglt;

	typedef struct BgL_prezd2conszd2refzd2appzd2_bgl
	{
		obj_t BgL_getz00;
	}                                *BgL_prezd2conszd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2conszd2setz12zd2appzc0_bgl
	{
		obj_t BgL_getz00;
	}                                   *BgL_prezd2conszd2setz12zd2appzc0_bglt;

	typedef struct BgL_prezd2makezd2structzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2structzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2refzd2appzd2_bgl
	{
	}                                  *BgL_prezd2structzd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl
	{
	}                                    
		*BgL_prezd2structzd2setz12zd2appzc0_bglt;

	typedef struct BgL_prezd2valloczf2cinfoz20_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                              *BgL_prezd2valloczf2cinfoz20_bglt;


	static obj_t BGl_z62nodezd2collectz12zd2setzd2ex1743za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62nodezd2collectz12zd2extern1727z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62nodezd2collectz12zd2condit1733z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_collectz00();
	extern obj_t BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
	static bool_t BGl_nodezd2collectza2z12z62zzcfa_collectz00(obj_t, obj_t);
	extern obj_t BGl_prezd2makezd2boxz00zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_prezd2valloczf2Cinfoz20zzcfa_info3z00;
	static obj_t BGl_z62nodezd2collectz12zd2boxzd2re1751za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_pairzd2optimzd2quotezd2maxlenzd2zzcfa_pairz00();
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_z62nodezd2collectz12zd2var1713z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_collectz00();
	static obj_t BGl_z62nodezd2collectz12zd2atom1709z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_prezd2makezd2vectorzd2appzd2zzcfa_info2z00;
	extern bool_t BGl_vectorzd2optimzf3z21zzcfa_vectorz00();
	static obj_t BGl_z62nodezd2collectz12zd2boxzd2se1749za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_prezd2conszd2refzd2appzd2zzcfa_info2z00;
	static obj_t BGl_z62nodezd2collectz12zd2kwote1711z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12za2zzcfa_collectz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2sequen1715z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_getzd2atypeze70z35zzcfa_collectz00(obj_t);
	extern obj_t BGl_prezd2structzd2refzd2appzd2zzcfa_info2z00;
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_collectz00();
	extern obj_t BGl_kwotezf2nodezf2zzcfa_infoz00;
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_prezd2conszd2setz12zd2appzc0zzcfa_info2z00;
	extern obj_t BGl_prezd2procedurezd2setz12zd2appzc0zzcfa_info2z00;
	extern obj_t BGl_prezd2procedurezd2refzd2appzd2zzcfa_info2z00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2sync1717z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_loopze70ze7zzcfa_collectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62nodezd2collectz12zd2fail1735z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = BUNSPEC;
	static obj_t BGl_z62nodezd2collectz121705za2zzcfa_collectz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2funcal1725z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62collectzd2allzd2approxz12z70zzcfa_collectz00(obj_t,
		obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	extern obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_collectz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern bool_t BGl_pairzd2optimzf3z21zzcfa_pairz00();
	static obj_t BGl_toplevelzd2initzd2zzcfa_collectz00();
	static obj_t BGl_z62nodezd2collectz12zd2switch1737z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_prezd2makezd2structzd2appzd2zzcfa_info2z00;
	static obj_t BGl_genericzd2initzd2zzcfa_collectz00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t
		BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2makezd2b1747za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2jumpzd2e1745za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_bigloozd2warningzd2setz12z12zz__paramz00(int);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2collectz12zd2app1719z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_prezd2structzd2setz12zd2appzc0zzcfa_info2z00;
	extern obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_boxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_structz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_pairz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_vectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2allocszd2zzcfa_collectz00();
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_collectz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_collectz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_collectz00();
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_z62getzd2allocszb0zzcfa_collectz00(obj_t);
	extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
	static obj_t BGl_z62nodezd2collectz12zd2cast1729z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2letzd2fu1739za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2collectz12zd2letzd2va1741za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2valloc1721z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_prezd2conszd2appz00zzcfa_info2z00;
	static obj_t BGl_z62nodezd2collectz12zd2setq1731z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00;
	static obj_t BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62nodezd2collectz12zd2appzd2ly1723za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t __cnst[23];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2238z00,
		BGl_z62nodezd2collectz121705za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2239z00,
		BGl_z62nodezd2collectz12zd2atom1709z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2240z00,
		BGl_z62nodezd2collectz12zd2kwote1711z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2241z00,
		BGl_z62nodezd2collectz12zd2var1713z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2242z00,
		BGl_z62nodezd2collectz12zd2sequen1715z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2243z00,
		BGl_z62nodezd2collectz12zd2sync1717z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2244z00,
		BGl_z62nodezd2collectz12zd2app1719z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2245z00,
		BGl_z62nodezd2collectz12zd2valloc1721z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2246z00,
		BGl_z62nodezd2collectz12zd2appzd2ly1723za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2247z00,
		BGl_z62nodezd2collectz12zd2funcal1725z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2248z00,
		BGl_z62nodezd2collectz12zd2extern1727z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2249z00,
		BGl_z62nodezd2collectz12zd2cast1729z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2250z00,
		BGl_z62nodezd2collectz12zd2setq1731z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2251z00,
		BGl_z62nodezd2collectz12zd2condit1733z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2252z00,
		BGl_z62nodezd2collectz12zd2fail1735z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2253z00,
		BGl_z62nodezd2collectz12zd2switch1737z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2254z00,
		BGl_z62nodezd2collectz12zd2letzd2fu1739za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2255z00,
		BGl_z62nodezd2collectz12zd2letzd2va1741za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2256z00,
		BGl_z62nodezd2collectz12zd2setzd2ex1743za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2257z00,
		BGl_z62nodezd2collectz12zd2jumpzd2e1745za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2258z00,
		BGl_z62nodezd2collectz12zd2makezd2b1747za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2232z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2259z00,
		BGl_z62nodezd2collectz12zd2boxzd2se1749za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2260z00,
		BGl_z62nodezd2collectz12zd2boxzd2re1751za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2261z00,
		BGl_z62nodezd2collectz12za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_collectzd2allzd2approxz12zd2envzc0zzcfa_collectz00,
		BgL_bgl_za762collectza7d2all2262z00,
		BGl_z62collectzd2allzd2approxz12z70zzcfa_collectz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STRING(BGl_string2209z00zzcfa_collectz00,
		BgL_bgl_string2209za700za7za7c2263za7, "node-collect!1705", 17);
	      DEFINE_STRING(BGl_string2210z00zzcfa_collectz00,
		BgL_bgl_string2210za700za7za7c2264za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2212z00zzcfa_collectz00,
		BgL_bgl_string2212za700za7za7c2265za7, "node-collect!", 13);
	      DEFINE_STRING(BGl_string2234z00zzcfa_collectz00,
		BgL_bgl_string2234za700za7za7c2266za7, "cfa_collect", 11);
	      DEFINE_STRING(BGl_string2235z00zzcfa_collectz00,
		BgL_bgl_string2235za700za7za7c2267za7,
		"real string boolean char integer quote (quote ()) (pragma::obj \"\") $set-cdr! $set-car! $cdr $car $cons $struct-set! $struct-ref $make-struct $make-vector procedure-set! procedure-ref make-va-procedure make-fx-procedure c-eq? node-collect!1705 ",
		243);
	BGL_IMPORT obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2allocszd2envz00zzcfa_collectz00,
		BgL_bgl_za762getza7d2allocsza72268za7,
		BGl_z62getzd2allocszb0zzcfa_collectz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2usedzd2allocza2zd2zzcfa_collectz00));
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_collectz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long
		BgL_checksumz00_5287, char *BgL_fromz00_5288)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_collectz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_collectz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_collectz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_collectz00();
					BGl_cnstzd2initzd2zzcfa_collectz00();
					BGl_importedzd2moduleszd2initz00zzcfa_collectz00();
					BGl_genericzd2initzd2zzcfa_collectz00();
					BGl_methodzd2initzd2zzcfa_collectz00();
					return BGl_toplevelzd2initzd2zzcfa_collectz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_collectz00()
	{
		{	/* Cfa/collect.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long) 0),
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_collect");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_collectz00()
	{
		{	/* Cfa/collect.scm 15 */
			{	/* Cfa/collect.scm 15 */
				obj_t BgL_cportz00_5076;

				{	/* Cfa/collect.scm 15 */
					obj_t BgL_stringz00_5084;

					BgL_stringz00_5084 = BGl_string2235z00zzcfa_collectz00;
					{	/* Cfa/collect.scm 15 */
						obj_t BgL_startz00_5085;

						BgL_startz00_5085 = BINT(((long) 0));
						{	/* Cfa/collect.scm 15 */
							obj_t BgL_endz00_5086;

							BgL_endz00_5086 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5084)));
							{	/* Cfa/collect.scm 15 */

								BgL_cportz00_5076 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5084, BgL_startz00_5085, BgL_endz00_5086);
				}}}}
				{
					long BgL_iz00_5077;

					BgL_iz00_5077 = ((long) 22);
				BgL_loopz00_5078:
					if ((BgL_iz00_5077 == ((long) -1)))
						{	/* Cfa/collect.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/collect.scm 15 */
							{	/* Cfa/collect.scm 15 */
								obj_t BgL_arg2237z00_5080;

								{	/* Cfa/collect.scm 15 */

									{	/* Cfa/collect.scm 15 */
										obj_t BgL_locationz00_5082;

										BgL_locationz00_5082 = BBOOL(((bool_t) 0));
										{	/* Cfa/collect.scm 15 */

											BgL_arg2237z00_5080 =
												BGl_readz00zz__readerz00(BgL_cportz00_5076,
												BgL_locationz00_5082);
										}
									}
								}
								{	/* Cfa/collect.scm 15 */
									int BgL_tmpz00_5322;

									BgL_tmpz00_5322 = (int) (BgL_iz00_5077);
									CNST_TABLE_SET(BgL_tmpz00_5322, BgL_arg2237z00_5080);
							}}
							{	/* Cfa/collect.scm 15 */
								int BgL_auxz00_5083;

								BgL_auxz00_5083 = (int) ((BgL_iz00_5077 - ((long) 1)));
								{
									long BgL_iz00_5327;

									BgL_iz00_5327 = (long) (BgL_auxz00_5083);
									BgL_iz00_5077 = BgL_iz00_5327;
									goto BgL_loopz00_5078;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_collectz00()
	{
		{	/* Cfa/collect.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_collectz00()
	{
		{	/* Cfa/collect.scm 15 */
			return (BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = BNIL, BUNSPEC);
		}

	}



/* collect-all-approx! */
	BGL_EXPORTED_DEF obj_t BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Cfa/collect.scm 46 */
			{
				obj_t BgL_l1692z00_3464;

				{	/* Cfa/collect.scm 48 */
					bool_t BgL_tmpz00_5330;

					BgL_l1692z00_3464 = BgL_globalsz00_3;
				BgL_zc3z04anonymousza31762ze3z87_3465:
					if (PAIRP(BgL_l1692z00_3464))
						{	/* Cfa/collect.scm 48 */
							{	/* Cfa/collect.scm 48 */
								obj_t BgL_globalz00_3467;

								BgL_globalz00_3467 = CAR(BgL_l1692z00_3464);
								{	/* Cfa/collect.scm 48 */
									BgL_valuez00_bglt BgL_arg1766z00_3468;

									BgL_arg1766z00_3468 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_3467))))->
										BgL_valuez00);
									{	/* Cfa/collect.scm 55 */
										obj_t BgL_arg1772z00_4524;

										BgL_arg1772z00_4524 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_arg1766z00_3468)))->
											BgL_bodyz00);
										BGl_nodezd2collectz12zc0zzcfa_collectz00(((BgL_nodez00_bglt)
												BgL_arg1772z00_4524),
											((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
													BgL_globalz00_3467)));
									}
								}
							}
							{
								obj_t BgL_l1692z00_5343;

								BgL_l1692z00_5343 = CDR(BgL_l1692z00_3464);
								BgL_l1692z00_3464 = BgL_l1692z00_5343;
								goto BgL_zc3z04anonymousza31762ze3z87_3465;
							}
						}
					else
						{	/* Cfa/collect.scm 48 */
							BgL_tmpz00_5330 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_5330);
				}
			}
		}

	}



/* &collect-all-approx! */
	obj_t BGl_z62collectzd2allzd2approxz12z70zzcfa_collectz00(obj_t
		BgL_envz00_4974, obj_t BgL_globalsz00_4975)
	{
		{	/* Cfa/collect.scm 46 */
			return
				BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(BgL_globalsz00_4975);
		}

	}



/* node-collect*! */
	bool_t BGl_nodezd2collectza2z12z62zzcfa_collectz00(obj_t BgL_nodeza2za2_52,
		obj_t BgL_ownerz00_53)
	{
		{	/* Cfa/collect.scm 393 */
			{
				obj_t BgL_l1703z00_3473;

				BgL_l1703z00_3473 = BgL_nodeza2za2_52;
			BgL_zc3z04anonymousza31773ze3z87_3474:
				if (PAIRP(BgL_l1703z00_3473))
					{	/* Cfa/collect.scm 394 */
						{	/* Cfa/collect.scm 394 */
							obj_t BgL_nodez00_3476;

							BgL_nodez00_3476 = CAR(BgL_l1703z00_3473);
							BGl_nodezd2collectz12zc0zzcfa_collectz00(
								((BgL_nodez00_bglt) BgL_nodez00_3476),
								((BgL_variablez00_bglt) BgL_ownerz00_53));
						}
						{
							obj_t BgL_l1703z00_5353;

							BgL_l1703z00_5353 = CDR(BgL_l1703z00_3473);
							BgL_l1703z00_3473 = BgL_l1703z00_5353;
							goto BgL_zc3z04anonymousza31773ze3z87_3474;
						}
					}
				else
					{	/* Cfa/collect.scm 394 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* get-allocs */
	BGL_EXPORTED_DEF obj_t BGl_getzd2allocszd2zzcfa_collectz00()
	{
		{	/* Cfa/collect.scm 416 */
			return BGl_za2usedzd2allocza2zd2zzcfa_collectz00;
		}

	}



/* &get-allocs */
	obj_t BGl_z62getzd2allocszb0zzcfa_collectz00(obj_t BgL_envz00_4976)
	{
		{	/* Cfa/collect.scm 416 */
			return BGl_getzd2allocszd2zzcfa_collectz00();
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_collectz00()
	{
		{	/* Cfa/collect.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_collectz00()
	{
		{	/* Cfa/collect.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_proc2208z00zzcfa_collectz00, BGl_nodez00zzast_nodez00,
				BGl_string2209z00zzcfa_collectz00);
		}

	}



/* &node-collect!1705 */
	obj_t BGl_z62nodezd2collectz121705za2zzcfa_collectz00(obj_t BgL_envz00_4978,
		obj_t BgL_nodez00_4979, obj_t BgL_ownerz00_4980)
	{
		{	/* Cfa/collect.scm 60 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string2210z00zzcfa_collectz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_4979)));
		}

	}



/* node-collect! */
	obj_t BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_nodez00_bglt BgL_nodez00_6,
		BgL_variablez00_bglt BgL_ownerz00_7)
	{
		{	/* Cfa/collect.scm 60 */
			{	/* Cfa/collect.scm 60 */
				obj_t BgL_method1707z00_3484;

				{	/* Cfa/collect.scm 60 */
					obj_t BgL_res2200z00_4561;

					{	/* Cfa/collect.scm 60 */
						long BgL_objzd2classzd2numz00_4532;

						BgL_objzd2classzd2numz00_4532 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_6));
						{	/* Cfa/collect.scm 60 */
							obj_t BgL_arg1829z00_4533;

							BgL_arg1829z00_4533 =
								PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
								(int) (((long) 1)));
							{	/* Cfa/collect.scm 60 */
								int BgL_offsetz00_4536;

								BgL_offsetz00_4536 = (int) (BgL_objzd2classzd2numz00_4532);
								{	/* Cfa/collect.scm 60 */
									long BgL_offsetz00_4537;

									BgL_offsetz00_4537 =
										((long) (BgL_offsetz00_4536) - OBJECT_TYPE);
									{	/* Cfa/collect.scm 60 */
										long BgL_modz00_4538;

										BgL_modz00_4538 =
											(BgL_offsetz00_4537 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/collect.scm 60 */
											long BgL_restz00_4540;

											BgL_restz00_4540 =
												(BgL_offsetz00_4537 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/collect.scm 60 */

												{	/* Cfa/collect.scm 60 */
													obj_t BgL_bucketz00_4542;

													BgL_bucketz00_4542 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_4533), BgL_modz00_4538);
													BgL_res2200z00_4561 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4542), BgL_restz00_4540);
					}}}}}}}}
					BgL_method1707z00_3484 = BgL_res2200z00_4561;
				}
				return
					PROCEDURE_ENTRY(BgL_method1707z00_3484) (BgL_method1707z00_3484,
					((obj_t) BgL_nodez00_6), ((obj_t) BgL_ownerz00_7), BEOA);
			}
		}

	}



/* &node-collect! */
	obj_t BGl_z62nodezd2collectz12za2zzcfa_collectz00(obj_t BgL_envz00_4981,
		obj_t BgL_nodez00_4982, obj_t BgL_ownerz00_4983)
	{
		{	/* Cfa/collect.scm 60 */
			return
				BGl_nodezd2collectz12zc0zzcfa_collectz00(
				((BgL_nodez00_bglt) BgL_nodez00_4982),
				((BgL_variablez00_bglt) BgL_ownerz00_4983));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_collectz00()
	{
		{	/* Cfa/collect.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_atomz00zzast_nodez00, BGl_proc2211z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_kwotez00zzast_nodez00, BGl_proc2213z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_varz00zzast_nodez00, BGl_proc2214z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2215z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_syncz00zzast_nodez00, BGl_proc2216z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_appz00zzast_nodez00, BGl_proc2217z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_vallocz00zzast_nodez00, BGl_proc2218z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2219z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2220z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_externz00zzast_nodez00, BGl_proc2221z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_castz00zzast_nodez00, BGl_proc2222z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_setqz00zzast_nodez00, BGl_proc2223z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2224z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_failz00zzast_nodez00, BGl_proc2225z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_switchz00zzast_nodez00, BGl_proc2226z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2227z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2228z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2229z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2230z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2231z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2232z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2233z00zzcfa_collectz00,
				BGl_string2212z00zzcfa_collectz00);
		}

	}



/* &node-collect!-box-re1751 */
	obj_t BGl_z62nodezd2collectz12zd2boxzd2re1751za2zzcfa_collectz00(obj_t
		BgL_envz00_5010, obj_t BgL_nodez00_5011, obj_t BgL_ownerz00_5012)
	{
		{	/* Cfa/collect.scm 386 */
			{	/* Cfa/collect.scm 388 */
				BgL_varz00_bglt BgL_arg1992z00_5091;

				BgL_arg1992z00_5091 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_5011)))->BgL_varz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(
					((BgL_nodez00_bglt) BgL_arg1992z00_5091),
					((BgL_variablez00_bglt) BgL_ownerz00_5012));
			}
		}

	}



/* &node-collect!-box-se1749 */
	obj_t BGl_z62nodezd2collectz12zd2boxzd2se1749za2zzcfa_collectz00(obj_t
		BgL_envz00_5013, obj_t BgL_nodez00_5014, obj_t BgL_ownerz00_5015)
	{
		{	/* Cfa/collect.scm 378 */
			{	/* Cfa/collect.scm 380 */
				BgL_varz00_bglt BgL_arg1990z00_5093;

				BgL_arg1990z00_5093 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5014)))->BgL_varz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(
					((BgL_nodez00_bglt) BgL_arg1990z00_5093),
					((BgL_variablez00_bglt) BgL_ownerz00_5015));
			}
			{	/* Cfa/collect.scm 381 */
				BgL_nodez00_bglt BgL_arg1991z00_5094;

				BgL_arg1991z00_5094 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5014)))->BgL_valuez00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1991z00_5094,
					((BgL_variablez00_bglt) BgL_ownerz00_5015));
			}
		}

	}



/* &node-collect!-make-b1747 */
	obj_t BGl_z62nodezd2collectz12zd2makezd2b1747za2zzcfa_collectz00(obj_t
		BgL_envz00_5016, obj_t BgL_nodez00_5017, obj_t BgL_ownerz00_5018)
	{
		{	/* Cfa/collect.scm 368 */
			{	/* Cfa/collect.scm 369 */
				BgL_nodez00_bglt BgL_arg1987z00_5096;

				BgL_arg1987z00_5096 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_5017)))->BgL_valuez00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1987z00_5096,
					((BgL_variablez00_bglt) BgL_ownerz00_5018));
			}
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
				{	/* Cfa/collect.scm 370 */
					BGl_za2usedzd2allocza2zd2zzcfa_collectz00 =
						MAKE_YOUNG_PAIR(
						((obj_t)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_5017)),
						BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
					{	/* Cfa/collect.scm 373 */
						BgL_prezd2makezd2boxz00_bglt BgL_wide1262z00_5097;

						BgL_wide1262z00_5097 =
							((BgL_prezd2makezd2boxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_prezd2makezd2boxz00_bgl))));
						{	/* Cfa/collect.scm 373 */
							obj_t BgL_auxz00_5447;
							BgL_objectz00_bglt BgL_tmpz00_5443;

							BgL_auxz00_5447 = ((obj_t) BgL_wide1262z00_5097);
							BgL_tmpz00_5443 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_5017)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5443, BgL_auxz00_5447);
						}
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_5017)));
						{	/* Cfa/collect.scm 373 */
							long BgL_arg1989z00_5098;

							BgL_arg1989z00_5098 =
								BGL_CLASS_NUM(BGl_prezd2makezd2boxz00zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nodez00_5017))),
								BgL_arg1989z00_5098);
						}
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_5017)));
					}
					return
						((obj_t)
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_5017)));
				}
			else
				{	/* Cfa/collect.scm 370 */
					return BFALSE;
				}
		}

	}



/* &node-collect!-jump-e1745 */
	obj_t BGl_z62nodezd2collectz12zd2jumpzd2e1745za2zzcfa_collectz00(obj_t
		BgL_envz00_5019, obj_t BgL_nodez00_5020, obj_t BgL_ownerz00_5021)
	{
		{	/* Cfa/collect.scm 360 */
			{	/* Cfa/collect.scm 362 */
				BgL_nodez00_bglt BgL_arg1985z00_5100;

				BgL_arg1985z00_5100 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5020)))->BgL_exitz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1985z00_5100,
					((BgL_variablez00_bglt) BgL_ownerz00_5021));
			}
			{	/* Cfa/collect.scm 363 */
				BgL_nodez00_bglt BgL_arg1986z00_5101;

				BgL_arg1986z00_5101 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5020)))->BgL_valuez00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1986z00_5101,
					((BgL_variablez00_bglt) BgL_ownerz00_5021));
			}
		}

	}



/* &node-collect!-set-ex1743 */
	obj_t BGl_z62nodezd2collectz12zd2setzd2ex1743za2zzcfa_collectz00(obj_t
		BgL_envz00_5022, obj_t BgL_nodez00_5023, obj_t BgL_ownerz00_5024)
	{
		{	/* Cfa/collect.scm 352 */
			{	/* Cfa/collect.scm 354 */
				BgL_nodez00_bglt BgL_arg1983z00_5103;

				BgL_arg1983z00_5103 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5023)))->BgL_onexitz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1983z00_5103,
					((BgL_variablez00_bglt) BgL_ownerz00_5024));
			}
			{	/* Cfa/collect.scm 355 */
				BgL_nodez00_bglt BgL_arg1984z00_5104;

				BgL_arg1984z00_5104 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5023)))->BgL_bodyz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1984z00_5104,
					((BgL_variablez00_bglt) BgL_ownerz00_5024));
			}
		}

	}



/* &node-collect!-let-va1741 */
	obj_t BGl_z62nodezd2collectz12zd2letzd2va1741za2zzcfa_collectz00(obj_t
		BgL_envz00_5025, obj_t BgL_nodez00_5026, obj_t BgL_ownerz00_5027)
	{
		{	/* Cfa/collect.scm 342 */
			{	/* Cfa/collect.scm 344 */
				obj_t BgL_g1702z00_5106;

				BgL_g1702z00_5106 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_5026)))->BgL_bindingsz00);
				{
					obj_t BgL_l1700z00_5108;

					BgL_l1700z00_5108 = BgL_g1702z00_5106;
				BgL_zc3z04anonymousza31978ze3z87_5107:
					if (PAIRP(BgL_l1700z00_5108))
						{	/* Cfa/collect.scm 344 */
							{	/* Cfa/collect.scm 345 */
								obj_t BgL_bindingz00_5109;

								BgL_bindingz00_5109 = CAR(BgL_l1700z00_5108);
								{	/* Cfa/collect.scm 345 */
									obj_t BgL_arg1980z00_5110;

									BgL_arg1980z00_5110 = CDR(((obj_t) BgL_bindingz00_5109));
									BGl_nodezd2collectz12zc0zzcfa_collectz00(
										((BgL_nodez00_bglt) BgL_arg1980z00_5110),
										((BgL_variablez00_bglt) BgL_ownerz00_5027));
								}
							}
							{
								obj_t BgL_l1700z00_5490;

								BgL_l1700z00_5490 = CDR(BgL_l1700z00_5108);
								BgL_l1700z00_5108 = BgL_l1700z00_5490;
								goto BgL_zc3z04anonymousza31978ze3z87_5107;
							}
						}
					else
						{	/* Cfa/collect.scm 344 */
							((bool_t) 1);
						}
				}
			}
			{	/* Cfa/collect.scm 347 */
				BgL_nodez00_bglt BgL_arg1982z00_5111;

				BgL_arg1982z00_5111 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_5026)))->BgL_bodyz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1982z00_5111,
					((BgL_variablez00_bglt) BgL_ownerz00_5027));
			}
		}

	}



/* &node-collect!-let-fu1739 */
	obj_t BGl_z62nodezd2collectz12zd2letzd2fu1739za2zzcfa_collectz00(obj_t
		BgL_envz00_5028, obj_t BgL_nodez00_5029, obj_t BgL_ownerz00_5030)
	{
		{	/* Cfa/collect.scm 331 */
			{	/* Cfa/collect.scm 333 */
				obj_t BgL_g1699z00_5113;

				BgL_g1699z00_5113 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_5029)))->BgL_localsz00);
				{
					obj_t BgL_l1697z00_5115;

					BgL_l1697z00_5115 = BgL_g1699z00_5113;
				BgL_zc3z04anonymousza31973ze3z87_5114:
					if (PAIRP(BgL_l1697z00_5115))
						{	/* Cfa/collect.scm 333 */
							{	/* Cfa/collect.scm 334 */
								obj_t BgL_lz00_5116;

								BgL_lz00_5116 = CAR(BgL_l1697z00_5115);
								{	/* Cfa/collect.scm 334 */
									BgL_valuez00_bglt BgL_fz00_5117;

									BgL_fz00_5117 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_lz00_5116))))->BgL_valuez00);
									{	/* Cfa/collect.scm 335 */
										obj_t BgL_arg1975z00_5118;

										BgL_arg1975z00_5118 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_fz00_5117)))->BgL_bodyz00);
										BGl_nodezd2collectz12zc0zzcfa_collectz00(
											((BgL_nodez00_bglt) BgL_arg1975z00_5118),
											((BgL_variablez00_bglt) BgL_lz00_5116));
									}
								}
							}
							{
								obj_t BgL_l1697z00_5509;

								BgL_l1697z00_5509 = CDR(BgL_l1697z00_5115);
								BgL_l1697z00_5115 = BgL_l1697z00_5509;
								goto BgL_zc3z04anonymousza31973ze3z87_5114;
							}
						}
					else
						{	/* Cfa/collect.scm 333 */
							((bool_t) 1);
						}
				}
			}
			{	/* Cfa/collect.scm 337 */
				BgL_nodez00_bglt BgL_arg1977z00_5119;

				BgL_arg1977z00_5119 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_5029)))->BgL_bodyz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1977z00_5119,
					((BgL_variablez00_bglt) BgL_ownerz00_5030));
			}
		}

	}



/* &node-collect!-switch1737 */
	obj_t BGl_z62nodezd2collectz12zd2switch1737z70zzcfa_collectz00(obj_t
		BgL_envz00_5031, obj_t BgL_nodez00_5032, obj_t BgL_ownerz00_5033)
	{
		{	/* Cfa/collect.scm 321 */
			{	/* Cfa/collect.scm 322 */
				bool_t BgL_tmpz00_5515;

				{	/* Cfa/collect.scm 323 */
					BgL_nodez00_bglt BgL_arg1968z00_5121;

					BgL_arg1968z00_5121 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_5032)))->BgL_testz00);
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1968z00_5121,
						((BgL_variablez00_bglt) BgL_ownerz00_5033));
				}
				{	/* Cfa/collect.scm 324 */
					obj_t BgL_g1696z00_5122;

					BgL_g1696z00_5122 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_5032)))->BgL_clausesz00);
					{
						obj_t BgL_l1694z00_5124;

						BgL_l1694z00_5124 = BgL_g1696z00_5122;
					BgL_zc3z04anonymousza31969ze3z87_5123:
						if (PAIRP(BgL_l1694z00_5124))
							{	/* Cfa/collect.scm 324 */
								{	/* Cfa/collect.scm 325 */
									obj_t BgL_clausez00_5125;

									BgL_clausez00_5125 = CAR(BgL_l1694z00_5124);
									{	/* Cfa/collect.scm 325 */
										obj_t BgL_arg1971z00_5126;

										BgL_arg1971z00_5126 = CDR(((obj_t) BgL_clausez00_5125));
										BGl_nodezd2collectz12zc0zzcfa_collectz00(
											((BgL_nodez00_bglt) BgL_arg1971z00_5126),
											((BgL_variablez00_bglt) BgL_ownerz00_5033));
									}
								}
								{
									obj_t BgL_l1694z00_5530;

									BgL_l1694z00_5530 = CDR(BgL_l1694z00_5124);
									BgL_l1694z00_5124 = BgL_l1694z00_5530;
									goto BgL_zc3z04anonymousza31969ze3z87_5123;
								}
							}
						else
							{	/* Cfa/collect.scm 324 */
								BgL_tmpz00_5515 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_5515);
			}
		}

	}



/* &node-collect!-fail1735 */
	obj_t BGl_z62nodezd2collectz12zd2fail1735z70zzcfa_collectz00(obj_t
		BgL_envz00_5034, obj_t BgL_nodez00_5035, obj_t BgL_ownerz00_5036)
	{
		{	/* Cfa/collect.scm 312 */
			{	/* Cfa/collect.scm 314 */
				BgL_nodez00_bglt BgL_arg1965z00_5128;

				BgL_arg1965z00_5128 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_5035)))->BgL_procz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1965z00_5128,
					((BgL_variablez00_bglt) BgL_ownerz00_5036));
			}
			{	/* Cfa/collect.scm 315 */
				BgL_nodez00_bglt BgL_arg1966z00_5129;

				BgL_arg1966z00_5129 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_5035)))->BgL_msgz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1966z00_5129,
					((BgL_variablez00_bglt) BgL_ownerz00_5036));
			}
			{	/* Cfa/collect.scm 316 */
				BgL_nodez00_bglt BgL_arg1967z00_5130;

				BgL_arg1967z00_5130 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_5035)))->BgL_objz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1967z00_5130,
					((BgL_variablez00_bglt) BgL_ownerz00_5036));
			}
		}

	}



/* &node-collect!-condit1733 */
	obj_t BGl_z62nodezd2collectz12zd2condit1733z70zzcfa_collectz00(obj_t
		BgL_envz00_5037, obj_t BgL_nodez00_5038, obj_t BgL_ownerz00_5039)
	{
		{	/* Cfa/collect.scm 303 */
			{	/* Cfa/collect.scm 305 */
				BgL_nodez00_bglt BgL_arg1961z00_5132;

				BgL_arg1961z00_5132 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_5038)))->BgL_testz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1961z00_5132,
					((BgL_variablez00_bglt) BgL_ownerz00_5039));
			}
			{	/* Cfa/collect.scm 306 */
				BgL_nodez00_bglt BgL_arg1962z00_5133;

				BgL_arg1962z00_5133 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_5038)))->BgL_truez00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1962z00_5133,
					((BgL_variablez00_bglt) BgL_ownerz00_5039));
			}
			{	/* Cfa/collect.scm 307 */
				BgL_nodez00_bglt BgL_arg1964z00_5134;

				BgL_arg1964z00_5134 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_5038)))->BgL_falsez00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1964z00_5134,
					((BgL_variablez00_bglt) BgL_ownerz00_5039));
			}
		}

	}



/* &node-collect!-setq1731 */
	obj_t BGl_z62nodezd2collectz12zd2setq1731z70zzcfa_collectz00(obj_t
		BgL_envz00_5040, obj_t BgL_nodez00_5041, obj_t BgL_ownerz00_5042)
	{
		{	/* Cfa/collect.scm 296 */
			{	/* Cfa/collect.scm 298 */
				BgL_nodez00_bglt BgL_arg1960z00_5136;

				BgL_arg1960z00_5136 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_5041)))->BgL_valuez00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1960z00_5136,
					((BgL_variablez00_bglt) BgL_ownerz00_5042));
			}
		}

	}



/* &node-collect!-cast1729 */
	obj_t BGl_z62nodezd2collectz12zd2cast1729z70zzcfa_collectz00(obj_t
		BgL_envz00_5043, obj_t BgL_nodez00_5044, obj_t BgL_ownerz00_5045)
	{
		{	/* Cfa/collect.scm 289 */
			{	/* Cfa/collect.scm 291 */
				BgL_nodez00_bglt BgL_arg1959z00_5138;

				BgL_arg1959z00_5138 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_5044)))->BgL_argz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1959z00_5138,
					((BgL_variablez00_bglt) BgL_ownerz00_5045));
			}
		}

	}



/* &node-collect!-extern1727 */
	obj_t BGl_z62nodezd2collectz12zd2extern1727z70zzcfa_collectz00(obj_t
		BgL_envz00_5046, obj_t BgL_nodez00_5047, obj_t BgL_ownerz00_5048)
	{
		{	/* Cfa/collect.scm 282 */
			return
				BBOOL(BGl_nodezd2collectza2z12z62zzcfa_collectz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_5047)))->BgL_exprza2za2),
					BgL_ownerz00_5048));
		}

	}



/* &node-collect!-funcal1725 */
	obj_t BGl_z62nodezd2collectz12zd2funcal1725z70zzcfa_collectz00(obj_t
		BgL_envz00_5049, obj_t BgL_nodez00_5050, obj_t BgL_ownerz00_5051)
	{
		{	/* Cfa/collect.scm 273 */
			{	/* Cfa/collect.scm 274 */
				bool_t BgL_tmpz00_5569;

				BGl_addzd2funcallz12zc0zzcfa_closurez00(
					((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5050)));
				{	/* Cfa/collect.scm 276 */
					BgL_nodez00_bglt BgL_arg1956z00_5141;

					BgL_arg1956z00_5141 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_5050)))->BgL_funz00);
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1956z00_5141,
						((BgL_variablez00_bglt) BgL_ownerz00_5051));
				}
				BgL_tmpz00_5569 =
					BGl_nodezd2collectza2z12z62zzcfa_collectz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_5050)))->BgL_argsz00),
					BgL_ownerz00_5051);
				return BBOOL(BgL_tmpz00_5569);
			}
		}

	}



/* &node-collect!-app-ly1723 */
	obj_t BGl_z62nodezd2collectz12zd2appzd2ly1723za2zzcfa_collectz00(obj_t
		BgL_envz00_5052, obj_t BgL_nodez00_5053, obj_t BgL_ownerz00_5054)
	{
		{	/* Cfa/collect.scm 265 */
			{	/* Cfa/collect.scm 267 */
				BgL_nodez00_bglt BgL_arg1954z00_5143;

				BgL_arg1954z00_5143 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_5053)))->BgL_funz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1954z00_5143,
					((BgL_variablez00_bglt) BgL_ownerz00_5054));
			}
			{	/* Cfa/collect.scm 268 */
				BgL_nodez00_bglt BgL_arg1955z00_5144;

				BgL_arg1955z00_5144 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_5053)))->BgL_argz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1955z00_5144,
					((BgL_variablez00_bglt) BgL_ownerz00_5054));
			}
		}

	}



/* &node-collect!-valloc1721 */
	obj_t BGl_z62nodezd2collectz12zd2valloc1721z70zzcfa_collectz00(obj_t
		BgL_envz00_5055, obj_t BgL_nodez00_5056, obj_t BgL_ownerz00_5057)
	{
		{	/* Cfa/collect.scm 255 */
			{	/* Cfa/collect.scm 257 */
				obj_t BgL_arg1951z00_5146;

				BgL_arg1951z00_5146 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_nodez00_5056))))->BgL_exprza2za2);
				BGl_nodezd2collectza2z12z62zzcfa_collectz00(BgL_arg1951z00_5146,
					BgL_ownerz00_5057);
			}
			if (BGl_vectorzd2optimzf3z21zzcfa_vectorz00())
				{	/* Cfa/collect.scm 258 */
					BGl_za2usedzd2allocza2zd2zzcfa_collectz00 =
						MAKE_YOUNG_PAIR(
						((obj_t)
							((BgL_vallocz00_bglt) BgL_nodez00_5056)),
						BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
					{	/* Cfa/collect.scm 260 */
						BgL_prezd2valloczf2cinfoz20_bglt BgL_wide1246z00_5147;

						BgL_wide1246z00_5147 =
							((BgL_prezd2valloczf2cinfoz20_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_prezd2valloczf2cinfoz20_bgl))));
						{	/* Cfa/collect.scm 260 */
							obj_t BgL_auxz00_5603;
							BgL_objectz00_bglt BgL_tmpz00_5599;

							BgL_auxz00_5603 = ((obj_t) BgL_wide1246z00_5147);
							BgL_tmpz00_5599 =
								((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_5056)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5599, BgL_auxz00_5603);
						}
						((BgL_objectz00_bglt)
							((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_5056)));
						{	/* Cfa/collect.scm 260 */
							long BgL_arg1953z00_5148;

							BgL_arg1953z00_5148 =
								BGL_CLASS_NUM(BGl_prezd2valloczf2Cinfoz20zzcfa_info3z00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_5056))),
								BgL_arg1953z00_5148);
						}
						((BgL_vallocz00_bglt)
							((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_5056)));
					}
					{
						BgL_prezd2valloczf2cinfoz20_bglt BgL_auxz00_5617;

						{
							obj_t BgL_auxz00_5618;

							{	/* Cfa/collect.scm 260 */
								BgL_objectz00_bglt BgL_tmpz00_5619;

								BgL_tmpz00_5619 =
									((BgL_objectz00_bglt)
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_5056)));
								BgL_auxz00_5618 = BGL_OBJECT_WIDENING(BgL_tmpz00_5619);
							}
							BgL_auxz00_5617 =
								((BgL_prezd2valloczf2cinfoz20_bglt) BgL_auxz00_5618);
						}
						((((BgL_prezd2valloczf2cinfoz20_bglt) COBJECT(BgL_auxz00_5617))->
								BgL_ownerz00) =
							((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
									BgL_ownerz00_5057)), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_5056)));
				}
			else
				{	/* Cfa/collect.scm 258 */
					return BFALSE;
				}
		}

	}



/* &node-collect!-app1719 */
	obj_t BGl_z62nodezd2collectz12zd2app1719z70zzcfa_collectz00(obj_t
		BgL_envz00_5058, obj_t BgL_nodez00_5059, obj_t BgL_ownerz00_5060)
	{
		{	/* Cfa/collect.scm 181 */
			BGl_nodezd2collectza2z12z62zzcfa_collectz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_5059)))->BgL_argsz00),
				BgL_ownerz00_5060);
			{	/* Cfa/collect.scm 184 */
				BgL_varz00_bglt BgL_arg1901z00_5150;

				BgL_arg1901z00_5150 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_5059)))->BgL_funz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(
					((BgL_nodez00_bglt) BgL_arg1901z00_5150),
					((BgL_variablez00_bglt) BgL_ownerz00_5060));
			}
			{	/* Cfa/collect.scm 185 */
				BgL_variablez00_bglt BgL_vz00_5151;

				BgL_vz00_5151 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_5059)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Cfa/collect.scm 186 */
					bool_t BgL_test2278z00_5641;

					{	/* Cfa/collect.scm 186 */
						obj_t BgL_classz00_5152;

						BgL_classz00_5152 = BGl_globalz00zzast_varz00;
						{	/* Cfa/collect.scm 186 */
							BgL_objectz00_bglt BgL_arg1825z00_5153;

							{	/* Cfa/collect.scm 186 */
								obj_t BgL_tmpz00_5642;

								BgL_tmpz00_5642 =
									((obj_t) ((BgL_objectz00_bglt) BgL_vz00_5151));
								BgL_arg1825z00_5153 = (BgL_objectz00_bglt) (BgL_tmpz00_5642);
							}
							{	/* Cfa/collect.scm 186 */
								bool_t BgL_arg1822z00_5154;
								bool_t BgL_arg1823z00_5155;

								{	/* Cfa/collect.scm 186 */
									long BgL_idxz00_5156;

									BgL_idxz00_5156 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5153);
									BgL_arg1822z00_5154 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5156 + ((long) 2))) == BgL_classz00_5152);
								}
								{	/* Cfa/collect.scm 186 */
									bool_t BgL_res2203z00_5159;

									{	/* Cfa/collect.scm 186 */
										obj_t BgL_oclassz00_5160;

										{	/* Cfa/collect.scm 186 */
											long BgL_arg1833z00_5161;

											{	/* Cfa/collect.scm 186 */
												long BgL_arg1834z00_5162;

												BgL_arg1834z00_5162 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5153);
												BgL_arg1833z00_5161 =
													(BgL_arg1834z00_5162 - OBJECT_TYPE);
											}
											BgL_oclassz00_5160 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_5161);
										}
										{	/* Cfa/collect.scm 186 */
											bool_t BgL__ortest_1110z00_5163;

											BgL__ortest_1110z00_5163 =
												(BgL_classz00_5152 == BgL_oclassz00_5160);
											if (BgL__ortest_1110z00_5163)
												{	/* Cfa/collect.scm 186 */
													BgL_res2203z00_5159 = BgL__ortest_1110z00_5163;
												}
											else
												{	/* Cfa/collect.scm 186 */
													long BgL_odepthz00_5164;

													BgL_odepthz00_5164 =
														BGL_CLASS_DEPTH(BgL_oclassz00_5160);
													if ((((long) 2) < BgL_odepthz00_5164))
														{	/* Cfa/collect.scm 186 */
															obj_t BgL_arg1821z00_5165;

															BgL_arg1821z00_5165 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5160,
																((long) 2));
															BgL_res2203z00_5159 =
																(BgL_arg1821z00_5165 == BgL_classz00_5152);
														}
													else
														{	/* Cfa/collect.scm 186 */
															BgL_res2203z00_5159 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_5155 = BgL_res2203z00_5159;
								}
								BgL_test2278z00_5641 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_5154, BgL_arg1823z00_5155);
							}
						}
					}
					if (BgL_test2278z00_5641)
						{	/* Cfa/collect.scm 187 */
							bool_t BgL_test2281z00_5661;

							{	/* Cfa/collect.scm 187 */
								BgL_valuez00_bglt BgL_arg1949z00_5166;

								BgL_arg1949z00_5166 =
									(((BgL_variablez00_bglt) COBJECT(BgL_vz00_5151))->
									BgL_valuez00);
								{	/* Cfa/collect.scm 187 */
									obj_t BgL_classz00_5167;

									BgL_classz00_5167 = BGl_cfunz00zzast_varz00;
									{	/* Cfa/collect.scm 187 */
										BgL_objectz00_bglt BgL_arg1825z00_5168;

										{	/* Cfa/collect.scm 187 */
											obj_t BgL_tmpz00_5663;

											BgL_tmpz00_5663 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1949z00_5166));
											BgL_arg1825z00_5168 =
												(BgL_objectz00_bglt) (BgL_tmpz00_5663);
										}
										{	/* Cfa/collect.scm 187 */
											bool_t BgL_arg1822z00_5169;
											bool_t BgL_arg1823z00_5170;

											{	/* Cfa/collect.scm 187 */
												long BgL_idxz00_5171;

												BgL_idxz00_5171 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5168);
												BgL_arg1822z00_5169 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5171 + ((long) 3))) ==
													BgL_classz00_5167);
											}
											{	/* Cfa/collect.scm 187 */
												bool_t BgL_res2204z00_5174;

												{	/* Cfa/collect.scm 187 */
													obj_t BgL_oclassz00_5175;

													{	/* Cfa/collect.scm 187 */
														long BgL_arg1833z00_5176;

														{	/* Cfa/collect.scm 187 */
															long BgL_arg1834z00_5177;

															BgL_arg1834z00_5177 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5168);
															BgL_arg1833z00_5176 =
																(BgL_arg1834z00_5177 - OBJECT_TYPE);
														}
														BgL_oclassz00_5175 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_5176);
													}
													{	/* Cfa/collect.scm 187 */
														bool_t BgL__ortest_1110z00_5178;

														BgL__ortest_1110z00_5178 =
															(BgL_classz00_5167 == BgL_oclassz00_5175);
														if (BgL__ortest_1110z00_5178)
															{	/* Cfa/collect.scm 187 */
																BgL_res2204z00_5174 = BgL__ortest_1110z00_5178;
															}
														else
															{	/* Cfa/collect.scm 187 */
																long BgL_odepthz00_5179;

																BgL_odepthz00_5179 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_5175);
																if ((((long) 3) < BgL_odepthz00_5179))
																	{	/* Cfa/collect.scm 187 */
																		obj_t BgL_arg1821z00_5180;

																		BgL_arg1821z00_5180 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_5175, ((long) 3));
																		BgL_res2204z00_5174 =
																			(BgL_arg1821z00_5180 ==
																			BgL_classz00_5167);
																	}
																else
																	{	/* Cfa/collect.scm 187 */
																		BgL_res2204z00_5174 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_5170 = BgL_res2204z00_5174;
											}
											BgL_test2281z00_5661 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_5169,
												BgL_arg1823z00_5170);
										}
									}
								}
							}
							if (BgL_test2281z00_5661)
								{	/* Cfa/collect.scm 193 */
									obj_t BgL_casezd2valuezd2_5181;

									BgL_casezd2valuezd2_5181 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_5151))))->BgL_idz00);
									if ((BgL_casezd2valuezd2_5181 == CNST_TABLE_REF(((long) 1))))
										{	/* Cfa/collect.scm 195 */
											bool_t BgL_test2285z00_5688;

											if (CBOOL
												(BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00))
												{	/* Cfa/collect.scm 195 */
													BgL_test2285z00_5688 = ((bool_t) 1);
												}
											else
												{	/* Cfa/collect.scm 195 */
													BgL_test2285z00_5688 =
														CBOOL
														(BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00);
												}
											if (BgL_test2285z00_5688)
												{	/* Cfa/collect.scm 195 */
													{	/* Cfa/collect.scm 197 */
														BgL_prezd2arithmeticzd2appz00_bglt
															BgL_wide1185z00_5182;
														BgL_wide1185z00_5182 =
															((BgL_prezd2arithmeticzd2appz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_prezd2arithmeticzd2appz00_bgl))));
														{	/* Cfa/collect.scm 197 */
															obj_t BgL_auxz00_5697;
															BgL_objectz00_bglt BgL_tmpz00_5693;

															BgL_auxz00_5697 = ((obj_t) BgL_wide1185z00_5182);
															BgL_tmpz00_5693 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_5059)));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5693,
																BgL_auxz00_5697);
														}
														((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_5059)));
														{	/* Cfa/collect.scm 197 */
															long BgL_arg1908z00_5183;

															BgL_arg1908z00_5183 =
																BGL_CLASS_NUM
																(BGl_prezd2arithmeticzd2appz00zzcfa_info2z00);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																		(BgL_appz00_bglt) ((BgL_appz00_bglt)
																			BgL_nodez00_5059))), BgL_arg1908z00_5183);
														}
														((BgL_appz00_bglt)
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_5059)));
													}
													{
														BgL_prezd2arithmeticzd2appz00_bglt BgL_auxz00_5711;

														{
															obj_t BgL_auxz00_5712;

															{	/* Cfa/collect.scm 198 */
																BgL_objectz00_bglt BgL_tmpz00_5713;

																BgL_tmpz00_5713 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5059)));
																BgL_auxz00_5712 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5713);
															}
															BgL_auxz00_5711 =
																((BgL_prezd2arithmeticzd2appz00_bglt)
																BgL_auxz00_5712);
														}
														((((BgL_prezd2arithmeticzd2appz00_bglt)
																	COBJECT(BgL_auxz00_5711))->
																BgL_speczd2typeszd2) =
															((obj_t)
																BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7
																(((BgL_globalz00_bglt) BgL_vz00_5151))),
															BUNSPEC);
													}
													return
														((obj_t)
														((BgL_appz00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_5059)));
												}
											else
												{	/* Cfa/collect.scm 195 */
													return BFALSE;
												}
										}
									else
										{	/* Cfa/collect.scm 193 */
											if (
												(BgL_casezd2valuezd2_5181 ==
													CNST_TABLE_REF(((long) 2))))
												{	/* Cfa/collect.scm 193 */
													BGl_za2usedzd2allocza2zd2zzcfa_collectz00 =
														MAKE_YOUNG_PAIR(
														((obj_t)
															((BgL_appz00_bglt) BgL_nodez00_5059)),
														BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
													{	/* Cfa/collect.scm 201 */
														BgL_prezd2makezd2procedurezd2appzd2_bglt
															BgL_wide1189z00_5184;
														BgL_wide1189z00_5184 =
															((BgL_prezd2makezd2procedurezd2appzd2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_prezd2makezd2procedurezd2appzd2_bgl))));
														{	/* Cfa/collect.scm 201 */
															obj_t BgL_auxz00_5736;
															BgL_objectz00_bglt BgL_tmpz00_5732;

															BgL_auxz00_5736 = ((obj_t) BgL_wide1189z00_5184);
															BgL_tmpz00_5732 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_5059)));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5732,
																BgL_auxz00_5736);
														}
														((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_5059)));
														{	/* Cfa/collect.scm 201 */
															long BgL_arg1910z00_5185;

															BgL_arg1910z00_5185 =
																BGL_CLASS_NUM
																(BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																		(BgL_appz00_bglt) ((BgL_appz00_bglt)
																			BgL_nodez00_5059))), BgL_arg1910z00_5185);
														}
														((BgL_appz00_bglt)
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_5059)));
													}
													{
														BgL_prezd2makezd2procedurezd2appzd2_bglt
															BgL_auxz00_5750;
														{
															obj_t BgL_auxz00_5751;

															{	/* Cfa/collect.scm 201 */
																BgL_objectz00_bglt BgL_tmpz00_5752;

																BgL_tmpz00_5752 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5059)));
																BgL_auxz00_5751 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5752);
															}
															BgL_auxz00_5750 =
																((BgL_prezd2makezd2procedurezd2appzd2_bglt)
																BgL_auxz00_5751);
														}
														((((BgL_prezd2makezd2procedurezd2appzd2_bglt)
																	COBJECT(BgL_auxz00_5750))->BgL_ownerz00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_ownerz00_5060)), BUNSPEC);
													}
													return
														((obj_t)
														((BgL_appz00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_5059)));
												}
											else
												{	/* Cfa/collect.scm 193 */
													if (
														(BgL_casezd2valuezd2_5181 ==
															CNST_TABLE_REF(((long) 3))))
														{	/* Cfa/collect.scm 193 */
															BGl_za2usedzd2allocza2zd2zzcfa_collectz00 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	((BgL_appz00_bglt) BgL_nodez00_5059)),
																BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
															{	/* Cfa/collect.scm 204 */
																BgL_prezd2makezd2procedurezd2appzd2_bglt
																	BgL_wide1193z00_5186;
																BgL_wide1193z00_5186 =
																	((BgL_prezd2makezd2procedurezd2appzd2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_prezd2makezd2procedurezd2appzd2_bgl))));
																{	/* Cfa/collect.scm 204 */
																	obj_t BgL_auxz00_5774;
																	BgL_objectz00_bglt BgL_tmpz00_5770;

																	BgL_auxz00_5774 =
																		((obj_t) BgL_wide1193z00_5186);
																	BgL_tmpz00_5770 =
																		((BgL_objectz00_bglt)
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_nodez00_5059)));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5770,
																		BgL_auxz00_5774);
																}
																((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5059)));
																{	/* Cfa/collect.scm 204 */
																	long BgL_arg1912z00_5187;

																	BgL_arg1912z00_5187 =
																		BGL_CLASS_NUM
																		(BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_appz00_bglt) ((BgL_appz00_bglt)
																					BgL_nodez00_5059))),
																		BgL_arg1912z00_5187);
																}
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5059)));
															}
															{
																BgL_prezd2makezd2procedurezd2appzd2_bglt
																	BgL_auxz00_5788;
																{
																	obj_t BgL_auxz00_5789;

																	{	/* Cfa/collect.scm 204 */
																		BgL_objectz00_bglt BgL_tmpz00_5790;

																		BgL_tmpz00_5790 =
																			((BgL_objectz00_bglt)
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_nodez00_5059)));
																		BgL_auxz00_5789 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5790);
																	}
																	BgL_auxz00_5788 =
																		((BgL_prezd2makezd2procedurezd2appzd2_bglt)
																		BgL_auxz00_5789);
																}
																((((BgL_prezd2makezd2procedurezd2appzd2_bglt)
																			COBJECT(BgL_auxz00_5788))->BgL_ownerz00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt)
																			BgL_ownerz00_5060)), BUNSPEC);
															}
															return
																((obj_t)
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_5059)));
														}
													else
														{	/* Cfa/collect.scm 193 */
															if (
																(BgL_casezd2valuezd2_5181 ==
																	CNST_TABLE_REF(((long) 4))))
																{	/* Cfa/collect.scm 193 */
																	{	/* Cfa/collect.scm 206 */
																		BgL_prezd2procedurezd2refzd2appzd2_bglt
																			BgL_wide1197z00_5188;
																		BgL_wide1197z00_5188 =
																			((BgL_prezd2procedurezd2refzd2appzd2_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_prezd2procedurezd2refzd2appzd2_bgl))));
																		{	/* Cfa/collect.scm 206 */
																			obj_t BgL_auxz00_5809;
																			BgL_objectz00_bglt BgL_tmpz00_5805;

																			BgL_auxz00_5809 =
																				((obj_t) BgL_wide1197z00_5188);
																			BgL_tmpz00_5805 =
																				((BgL_objectz00_bglt)
																				((BgL_appz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_nodez00_5059)));
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5805,
																				BgL_auxz00_5809);
																		}
																		((BgL_objectz00_bglt)
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_nodez00_5059)));
																		{	/* Cfa/collect.scm 206 */
																			long BgL_arg1914z00_5189;

																			BgL_arg1914z00_5189 =
																				BGL_CLASS_NUM
																				(BGl_prezd2procedurezd2refzd2appzd2zzcfa_info2z00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt) (
																						(BgL_appz00_bglt) ((BgL_appz00_bglt)
																							BgL_nodez00_5059))),
																				BgL_arg1914z00_5189);
																		}
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_nodez00_5059)));
																	}
																	return
																		((obj_t)
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_nodez00_5059)));
																}
															else
																{	/* Cfa/collect.scm 193 */
																	if (
																		(BgL_casezd2valuezd2_5181 ==
																			CNST_TABLE_REF(((long) 5))))
																		{	/* Cfa/collect.scm 193 */
																			{	/* Cfa/collect.scm 208 */
																				BgL_prezd2procedurezd2setz12zd2appzc0_bglt
																					BgL_wide1201z00_5190;
																				BgL_wide1201z00_5190 =
																					(
																					(BgL_prezd2procedurezd2setz12zd2appzc0_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_prezd2procedurezd2setz12zd2appzc0_bgl))));
																				{	/* Cfa/collect.scm 208 */
																					obj_t BgL_auxz00_5834;
																					BgL_objectz00_bglt BgL_tmpz00_5830;

																					BgL_auxz00_5834 =
																						((obj_t) BgL_wide1201z00_5190);
																					BgL_tmpz00_5830 =
																						((BgL_objectz00_bglt)
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_nodez00_5059)));
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_5830, BgL_auxz00_5834);
																				}
																				((BgL_objectz00_bglt)
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_nodez00_5059)));
																				{	/* Cfa/collect.scm 208 */
																					long BgL_arg1916z00_5191;

																					BgL_arg1916z00_5191 =
																						BGL_CLASS_NUM
																						(BGl_prezd2procedurezd2setz12zd2appzc0zzcfa_info2z00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt) (
																								(BgL_appz00_bglt) (
																									(BgL_appz00_bglt)
																									BgL_nodez00_5059))),
																						BgL_arg1916z00_5191);
																				}
																				((BgL_appz00_bglt)
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_nodez00_5059)));
																			}
																			return
																				((obj_t)
																				((BgL_appz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_nodez00_5059)));
																		}
																	else
																		{	/* Cfa/collect.scm 193 */
																			if (
																				(BgL_casezd2valuezd2_5181 ==
																					CNST_TABLE_REF(((long) 6))))
																				{	/* Cfa/collect.scm 193 */
																					if (BGl_vectorzd2optimzf3z21zzcfa_vectorz00())
																						{	/* Cfa/collect.scm 210 */
																							BGl_za2usedzd2allocza2zd2zzcfa_collectz00
																								=
																								MAKE_YOUNG_PAIR(((obj_t) (
																										(BgL_appz00_bglt)
																										BgL_nodez00_5059)),
																								BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
																							{	/* Cfa/collect.scm 212 */
																								BgL_prezd2makezd2vectorzd2appzd2_bglt
																									BgL_wide1205z00_5192;
																								BgL_wide1205z00_5192 =
																									(
																									(BgL_prezd2makezd2vectorzd2appzd2_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_prezd2makezd2vectorzd2appzd2_bgl))));
																								{	/* Cfa/collect.scm 212 */
																									obj_t BgL_auxz00_5864;
																									BgL_objectz00_bglt
																										BgL_tmpz00_5860;
																									BgL_auxz00_5864 =
																										((obj_t)
																										BgL_wide1205z00_5192);
																									BgL_tmpz00_5860 =
																										((BgL_objectz00_bglt) (
																											(BgL_appz00_bglt) (
																												(BgL_appz00_bglt)
																												BgL_nodez00_5059)));
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_5860,
																										BgL_auxz00_5864);
																								}
																								((BgL_objectz00_bglt)
																									((BgL_appz00_bglt)
																										((BgL_appz00_bglt)
																											BgL_nodez00_5059)));
																								{	/* Cfa/collect.scm 212 */
																									long BgL_arg1919z00_5193;

																									BgL_arg1919z00_5193 =
																										BGL_CLASS_NUM
																										(BGl_prezd2makezd2vectorzd2appzd2zzcfa_info2z00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt) (
																												(BgL_appz00_bglt) (
																													(BgL_appz00_bglt)
																													BgL_nodez00_5059))),
																										BgL_arg1919z00_5193);
																								}
																								((BgL_appz00_bglt)
																									((BgL_appz00_bglt)
																										((BgL_appz00_bglt)
																											BgL_nodez00_5059)));
																							}
																							{
																								BgL_prezd2makezd2vectorzd2appzd2_bglt
																									BgL_auxz00_5878;
																								{
																									obj_t BgL_auxz00_5879;

																									{	/* Cfa/collect.scm 212 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_5880;
																										BgL_tmpz00_5880 =
																											((BgL_objectz00_bglt) (
																												(BgL_appz00_bglt) (
																													(BgL_appz00_bglt)
																													BgL_nodez00_5059)));
																										BgL_auxz00_5879 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_5880);
																									}
																									BgL_auxz00_5878 =
																										(
																										(BgL_prezd2makezd2vectorzd2appzd2_bglt)
																										BgL_auxz00_5879);
																								}
																								((((BgL_prezd2makezd2vectorzd2appzd2_bglt) COBJECT(BgL_auxz00_5878))->BgL_ownerz00) = ((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_ownerz00_5060)), BUNSPEC);
																							}
																							return
																								((obj_t)
																								((BgL_appz00_bglt)
																									((BgL_appz00_bglt)
																										BgL_nodez00_5059)));
																						}
																					else
																						{	/* Cfa/collect.scm 210 */
																							return BFALSE;
																						}
																				}
																			else
																				{	/* Cfa/collect.scm 193 */
																					if (
																						(BgL_casezd2valuezd2_5181 ==
																							CNST_TABLE_REF(((long) 7))))
																						{	/* Cfa/collect.scm 193 */
																							if (
																								((long)
																									CINT
																									(BGl_za2optimza2z00zzengine_paramz00)
																									>= ((long) 2)))
																								{	/* Cfa/collect.scm 214 */
																									BGl_za2usedzd2allocza2zd2zzcfa_collectz00
																										=
																										MAKE_YOUNG_PAIR(((obj_t) (
																												(BgL_appz00_bglt)
																												BgL_nodez00_5059)),
																										BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
																									{	/* Cfa/collect.scm 216 */
																										BgL_prezd2makezd2structzd2appzd2_bglt
																											BgL_wide1209z00_5194;
																										BgL_wide1209z00_5194 =
																											(
																											(BgL_prezd2makezd2structzd2appzd2_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_prezd2makezd2structzd2appzd2_bgl))));
																										{	/* Cfa/collect.scm 216 */
																											obj_t BgL_auxz00_5905;
																											BgL_objectz00_bglt
																												BgL_tmpz00_5901;
																											BgL_auxz00_5905 =
																												((obj_t)
																												BgL_wide1209z00_5194);
																											BgL_tmpz00_5901 =
																												((BgL_objectz00_bglt) (
																													(BgL_appz00_bglt) (
																														(BgL_appz00_bglt)
																														BgL_nodez00_5059)));
																											BGL_OBJECT_WIDENING_SET
																												(BgL_tmpz00_5901,
																												BgL_auxz00_5905);
																										}
																										((BgL_objectz00_bglt)
																											((BgL_appz00_bglt)
																												((BgL_appz00_bglt)
																													BgL_nodez00_5059)));
																										{	/* Cfa/collect.scm 216 */
																											long BgL_arg1922z00_5195;

																											BgL_arg1922z00_5195 =
																												BGL_CLASS_NUM
																												(BGl_prezd2makezd2structzd2appzd2zzcfa_info2z00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt) (
																														(BgL_appz00_bglt) (
																															(BgL_appz00_bglt)
																															BgL_nodez00_5059))),
																												BgL_arg1922z00_5195);
																										}
																										((BgL_appz00_bglt)
																											((BgL_appz00_bglt)
																												((BgL_appz00_bglt)
																													BgL_nodez00_5059)));
																									}
																									{
																										BgL_prezd2makezd2structzd2appzd2_bglt
																											BgL_auxz00_5919;
																										{
																											obj_t BgL_auxz00_5920;

																											{	/* Cfa/collect.scm 216 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_5921;
																												BgL_tmpz00_5921 =
																													((BgL_objectz00_bglt)
																													((BgL_appz00_bglt) (
																															(BgL_appz00_bglt)
																															BgL_nodez00_5059)));
																												BgL_auxz00_5920 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_5921);
																											}
																											BgL_auxz00_5919 =
																												(
																												(BgL_prezd2makezd2structzd2appzd2_bglt)
																												BgL_auxz00_5920);
																										}
																										((((BgL_prezd2makezd2structzd2appzd2_bglt) COBJECT(BgL_auxz00_5919))->BgL_ownerz00) = ((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_ownerz00_5060)), BUNSPEC);
																									}
																									return
																										((obj_t)
																										((BgL_appz00_bglt)
																											((BgL_appz00_bglt)
																												BgL_nodez00_5059)));
																								}
																							else
																								{	/* Cfa/collect.scm 214 */
																									return BFALSE;
																								}
																						}
																					else
																						{	/* Cfa/collect.scm 193 */
																							if (
																								(BgL_casezd2valuezd2_5181 ==
																									CNST_TABLE_REF(((long) 8))))
																								{	/* Cfa/collect.scm 193 */
																									if (
																										((long)
																											CINT
																											(BGl_za2optimza2z00zzengine_paramz00)
																											>= ((long) 2)))
																										{	/* Cfa/collect.scm 218 */
																											{	/* Cfa/collect.scm 219 */
																												BgL_prezd2structzd2refzd2appzd2_bglt
																													BgL_wide1213z00_5196;
																												BgL_wide1213z00_5196 =
																													(
																													(BgL_prezd2structzd2refzd2appzd2_bglt)
																													BOBJECT(GC_MALLOC
																														(sizeof(struct
																																BgL_prezd2structzd2refzd2appzd2_bgl))));
																												{	/* Cfa/collect.scm 219 */
																													obj_t BgL_auxz00_5943;
																													BgL_objectz00_bglt
																														BgL_tmpz00_5939;
																													BgL_auxz00_5943 =
																														((obj_t)
																														BgL_wide1213z00_5196);
																													BgL_tmpz00_5939 =
																														(
																														(BgL_objectz00_bglt)
																														((BgL_appz00_bglt) (
																																(BgL_appz00_bglt)
																																BgL_nodez00_5059)));
																													BGL_OBJECT_WIDENING_SET
																														(BgL_tmpz00_5939,
																														BgL_auxz00_5943);
																												}
																												((BgL_objectz00_bglt)
																													((BgL_appz00_bglt)
																														((BgL_appz00_bglt)
																															BgL_nodez00_5059)));
																												{	/* Cfa/collect.scm 219 */
																													long
																														BgL_arg1925z00_5197;
																													BgL_arg1925z00_5197 =
																														BGL_CLASS_NUM
																														(BGl_prezd2structzd2refzd2appzd2zzcfa_info2z00);
																													BGL_OBJECT_CLASS_NUM_SET
																														(((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059))), BgL_arg1925z00_5197);
																												}
																												((BgL_appz00_bglt)
																													((BgL_appz00_bglt)
																														((BgL_appz00_bglt)
																															BgL_nodez00_5059)));
																											}
																											return
																												((obj_t)
																												((BgL_appz00_bglt)
																													((BgL_appz00_bglt)
																														BgL_nodez00_5059)));
																										}
																									else
																										{	/* Cfa/collect.scm 218 */
																											return BFALSE;
																										}
																								}
																							else
																								{	/* Cfa/collect.scm 193 */
																									if (
																										(BgL_casezd2valuezd2_5181 ==
																											CNST_TABLE_REF(((long)
																													9))))
																										{	/* Cfa/collect.scm 193 */
																											if (
																												((long)
																													CINT
																													(BGl_za2optimza2z00zzengine_paramz00)
																													>= ((long) 2)))
																												{	/* Cfa/collect.scm 221 */
																													{	/* Cfa/collect.scm 222 */
																														BgL_prezd2structzd2setz12zd2appzc0_bglt
																															BgL_wide1217z00_5198;
																														BgL_wide1217z00_5198
																															=
																															(
																															(BgL_prezd2structzd2setz12zd2appzc0_bglt)
																															BOBJECT(GC_MALLOC
																																(sizeof(struct
																																		BgL_prezd2structzd2setz12zd2appzc0_bgl))));
																														{	/* Cfa/collect.scm 222 */
																															obj_t
																																BgL_auxz00_5971;
																															BgL_objectz00_bglt
																																BgL_tmpz00_5967;
																															BgL_auxz00_5971 =
																																((obj_t)
																																BgL_wide1217z00_5198);
																															BgL_tmpz00_5967 =
																																(
																																(BgL_objectz00_bglt)
																																((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																															BGL_OBJECT_WIDENING_SET
																																(BgL_tmpz00_5967,
																																BgL_auxz00_5971);
																														}
																														((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																														{	/* Cfa/collect.scm 222 */
																															long
																																BgL_arg1929z00_5199;
																															BgL_arg1929z00_5199
																																=
																																BGL_CLASS_NUM
																																(BGl_prezd2structzd2setz12zd2appzc0zzcfa_info2z00);
																															BGL_OBJECT_CLASS_NUM_SET
																																(((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059))), BgL_arg1929z00_5199);
																														}
																														((BgL_appz00_bglt)
																															((BgL_appz00_bglt)
																																((BgL_appz00_bglt) BgL_nodez00_5059)));
																													}
																													return
																														((obj_t)
																														((BgL_appz00_bglt)
																															((BgL_appz00_bglt)
																																BgL_nodez00_5059)));
																												}
																											else
																												{	/* Cfa/collect.scm 221 */
																													return BFALSE;
																												}
																										}
																									else
																										{	/* Cfa/collect.scm 193 */
																											if (
																												(BgL_casezd2valuezd2_5181
																													==
																													CNST_TABLE_REF(((long)
																															10))))
																												{	/* Cfa/collect.scm 193 */
																													if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
																														{	/* Cfa/collect.scm 224 */
																															BGl_za2usedzd2allocza2zd2zzcfa_collectz00
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t) (
																																		(BgL_appz00_bglt)
																																		BgL_nodez00_5059)),
																																BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
																															{	/* Cfa/collect.scm 226 */
																																BgL_prezd2conszd2appz00_bglt
																																	BgL_wide1221z00_5200;
																																BgL_wide1221z00_5200
																																	=
																																	(
																																	(BgL_prezd2conszd2appz00_bglt)
																																	BOBJECT
																																	(GC_MALLOC
																																		(sizeof
																																			(struct
																																				BgL_prezd2conszd2appz00_bgl))));
																																{	/* Cfa/collect.scm 226 */
																																	obj_t
																																		BgL_auxz00_6001;
																																	BgL_objectz00_bglt
																																		BgL_tmpz00_5997;
																																	BgL_auxz00_6001
																																		=
																																		((obj_t)
																																		BgL_wide1221z00_5200);
																																	BgL_tmpz00_5997
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																	BGL_OBJECT_WIDENING_SET
																																		(BgL_tmpz00_5997,
																																		BgL_auxz00_6001);
																																}
																																((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																{	/* Cfa/collect.scm 226 */
																																	long
																																		BgL_arg1932z00_5201;
																																	BgL_arg1932z00_5201
																																		=
																																		BGL_CLASS_NUM
																																		(BGl_prezd2conszd2appz00zzcfa_info2z00);
																																	BGL_OBJECT_CLASS_NUM_SET
																																		(((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059))), BgL_arg1932z00_5201);
																																}
																																((BgL_appz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																															}
																															{
																																BgL_prezd2conszd2appz00_bglt
																																	BgL_auxz00_6015;
																																{
																																	obj_t
																																		BgL_auxz00_6016;
																																	{	/* Cfa/collect.scm 226 */
																																		BgL_objectz00_bglt
																																			BgL_tmpz00_6017;
																																		BgL_tmpz00_6017
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																		BgL_auxz00_6016
																																			=
																																			BGL_OBJECT_WIDENING
																																			(BgL_tmpz00_6017);
																																	}
																																	BgL_auxz00_6015
																																		=
																																		(
																																		(BgL_prezd2conszd2appz00_bglt)
																																		BgL_auxz00_6016);
																																}
																																((((BgL_prezd2conszd2appz00_bglt) COBJECT(BgL_auxz00_6015))->BgL_ownerz00) = ((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_ownerz00_5060)), BUNSPEC);
																															}
																															return
																																((obj_t)
																																((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																														}
																													else
																														{	/* Cfa/collect.scm 224 */
																															return BFALSE;
																														}
																												}
																											else
																												{	/* Cfa/collect.scm 193 */
																													if (
																														(BgL_casezd2valuezd2_5181
																															==
																															CNST_TABLE_REF((
																																	(long) 11))))
																														{	/* Cfa/collect.scm 193 */
																															if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
																																{	/* Cfa/collect.scm 228 */
																																	{	/* Cfa/collect.scm 229 */
																																		BgL_prezd2conszd2refzd2appzd2_bglt
																																			BgL_wide1225z00_5202;
																																		BgL_wide1225z00_5202
																																			=
																																			(
																																			(BgL_prezd2conszd2refzd2appzd2_bglt)
																																			BOBJECT
																																			(GC_MALLOC
																																				(sizeof
																																					(struct
																																						BgL_prezd2conszd2refzd2appzd2_bgl))));
																																		{	/* Cfa/collect.scm 229 */
																																			obj_t
																																				BgL_auxz00_6038;
																																			BgL_objectz00_bglt
																																				BgL_tmpz00_6034;
																																			BgL_auxz00_6038
																																				=
																																				((obj_t)
																																				BgL_wide1225z00_5202);
																																			BgL_tmpz00_6034
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																			BGL_OBJECT_WIDENING_SET
																																				(BgL_tmpz00_6034,
																																				BgL_auxz00_6038);
																																		}
																																		((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																		{	/* Cfa/collect.scm 229 */
																																			long
																																				BgL_arg1935z00_5203;
																																			BgL_arg1935z00_5203
																																				=
																																				BGL_CLASS_NUM
																																				(BGl_prezd2conszd2refzd2appzd2zzcfa_info2z00);
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059))), BgL_arg1935z00_5203);
																																		}
																																		((BgL_appz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																	}
																																	{
																																		BgL_prezd2conszd2refzd2appzd2_bglt
																																			BgL_auxz00_6052;
																																		{
																																			obj_t
																																				BgL_auxz00_6053;
																																			{	/* Cfa/collect.scm 230 */
																																				BgL_objectz00_bglt
																																					BgL_tmpz00_6054;
																																				BgL_tmpz00_6054
																																					=
																																					(
																																					(BgL_objectz00_bglt)
																																					((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																				BgL_auxz00_6053
																																					=
																																					BGL_OBJECT_WIDENING
																																					(BgL_tmpz00_6054);
																																			}
																																			BgL_auxz00_6052
																																				=
																																				(
																																				(BgL_prezd2conszd2refzd2appzd2_bglt)
																																				BgL_auxz00_6053);
																																		}
																																		((((BgL_prezd2conszd2refzd2appzd2_bglt) COBJECT(BgL_auxz00_6052))->BgL_getz00) = ((obj_t) BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00), BUNSPEC);
																																	}
																																	return
																																		((obj_t)
																																		((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																}
																															else
																																{	/* Cfa/collect.scm 228 */
																																	return BFALSE;
																																}
																														}
																													else
																														{	/* Cfa/collect.scm 193 */
																															if (
																																(BgL_casezd2valuezd2_5181
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			12))))
																																{	/* Cfa/collect.scm 193 */
																																	if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
																																		{	/* Cfa/collect.scm 232 */
																																			{	/* Cfa/collect.scm 233 */
																																				BgL_prezd2conszd2refzd2appzd2_bglt
																																					BgL_wide1229z00_5204;
																																				BgL_wide1229z00_5204
																																					=
																																					(
																																					(BgL_prezd2conszd2refzd2appzd2_bglt)
																																					BOBJECT
																																					(GC_MALLOC
																																						(sizeof
																																							(struct
																																								BgL_prezd2conszd2refzd2appzd2_bgl))));
																																				{	/* Cfa/collect.scm 233 */
																																					obj_t
																																						BgL_auxz00_6074;
																																					BgL_objectz00_bglt
																																						BgL_tmpz00_6070;
																																					BgL_auxz00_6074
																																						=
																																						(
																																						(obj_t)
																																						BgL_wide1229z00_5204);
																																					BgL_tmpz00_6070
																																						=
																																						(
																																						(BgL_objectz00_bglt)
																																						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																					BGL_OBJECT_WIDENING_SET
																																						(BgL_tmpz00_6070,
																																						BgL_auxz00_6074);
																																				}
																																				((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																				{	/* Cfa/collect.scm 233 */
																																					long
																																						BgL_arg1938z00_5205;
																																					BgL_arg1938z00_5205
																																						=
																																						BGL_CLASS_NUM
																																						(BGl_prezd2conszd2refzd2appzd2zzcfa_info2z00);
																																					BGL_OBJECT_CLASS_NUM_SET
																																						(((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059))), BgL_arg1938z00_5205);
																																				}
																																				((BgL_appz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																			}
																																			{
																																				BgL_prezd2conszd2refzd2appzd2_bglt
																																					BgL_auxz00_6088;
																																				{
																																					obj_t
																																						BgL_auxz00_6089;
																																					{	/* Cfa/collect.scm 234 */
																																						BgL_objectz00_bglt
																																							BgL_tmpz00_6090;
																																						BgL_tmpz00_6090
																																							=
																																							(
																																							(BgL_objectz00_bglt)
																																							((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																						BgL_auxz00_6089
																																							=
																																							BGL_OBJECT_WIDENING
																																							(BgL_tmpz00_6090);
																																					}
																																					BgL_auxz00_6088
																																						=
																																						(
																																						(BgL_prezd2conszd2refzd2appzd2_bglt)
																																						BgL_auxz00_6089);
																																				}
																																				((((BgL_prezd2conszd2refzd2appzd2_bglt) COBJECT(BgL_auxz00_6088))->BgL_getz00) = ((obj_t) BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00), BUNSPEC);
																																			}
																																			return
																																				((obj_t)
																																				((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																		}
																																	else
																																		{	/* Cfa/collect.scm 232 */
																																			return
																																				BFALSE;
																																		}
																																}
																															else
																																{	/* Cfa/collect.scm 193 */
																																	if (
																																		(BgL_casezd2valuezd2_5181
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					13))))
																																		{	/* Cfa/collect.scm 193 */
																																			if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
																																				{	/* Cfa/collect.scm 236 */
																																					{	/* Cfa/collect.scm 237 */
																																						BgL_prezd2conszd2setz12zd2appzc0_bglt
																																							BgL_wide1233z00_5206;
																																						BgL_wide1233z00_5206
																																							=
																																							(
																																							(BgL_prezd2conszd2setz12zd2appzc0_bglt)
																																							BOBJECT
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_prezd2conszd2setz12zd2appzc0_bgl))));
																																						{	/* Cfa/collect.scm 237 */
																																							obj_t
																																								BgL_auxz00_6110;
																																							BgL_objectz00_bglt
																																								BgL_tmpz00_6106;
																																							BgL_auxz00_6110
																																								=
																																								(
																																								(obj_t)
																																								BgL_wide1233z00_5206);
																																							BgL_tmpz00_6106
																																								=
																																								(
																																								(BgL_objectz00_bglt)
																																								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																							BGL_OBJECT_WIDENING_SET
																																								(BgL_tmpz00_6106,
																																								BgL_auxz00_6110);
																																						}
																																						((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																						{	/* Cfa/collect.scm 237 */
																																							long
																																								BgL_arg1941z00_5207;
																																							BgL_arg1941z00_5207
																																								=
																																								BGL_CLASS_NUM
																																								(BGl_prezd2conszd2setz12zd2appzc0zzcfa_info2z00);
																																							BGL_OBJECT_CLASS_NUM_SET
																																								(
																																								((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059))), BgL_arg1941z00_5207);
																																						}
																																						((BgL_appz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																					}
																																					{
																																						BgL_prezd2conszd2setz12zd2appzc0_bglt
																																							BgL_auxz00_6124;
																																						{
																																							obj_t
																																								BgL_auxz00_6125;
																																							{	/* Cfa/collect.scm 238 */
																																								BgL_objectz00_bglt
																																									BgL_tmpz00_6126;
																																								BgL_tmpz00_6126
																																									=
																																									(
																																									(BgL_objectz00_bglt)
																																									((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																								BgL_auxz00_6125
																																									=
																																									BGL_OBJECT_WIDENING
																																									(BgL_tmpz00_6126);
																																							}
																																							BgL_auxz00_6124
																																								=
																																								(
																																								(BgL_prezd2conszd2setz12zd2appzc0_bglt)
																																								BgL_auxz00_6125);
																																						}
																																						((((BgL_prezd2conszd2setz12zd2appzc0_bglt) COBJECT(BgL_auxz00_6124))->BgL_getz00) = ((obj_t) BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00), BUNSPEC);
																																					}
																																					return
																																						(
																																						(obj_t)
																																						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																				}
																																			else
																																				{	/* Cfa/collect.scm 236 */
																																					return
																																						BFALSE;
																																				}
																																		}
																																	else
																																		{	/* Cfa/collect.scm 193 */
																																			if (
																																				(BgL_casezd2valuezd2_5181
																																					==
																																					CNST_TABLE_REF
																																					(((long) 14))))
																																				{	/* Cfa/collect.scm 193 */
																																					if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
																																						{	/* Cfa/collect.scm 240 */
																																							{	/* Cfa/collect.scm 241 */
																																								BgL_prezd2conszd2setz12zd2appzc0_bglt
																																									BgL_wide1237z00_5208;
																																								BgL_wide1237z00_5208
																																									=
																																									(
																																									(BgL_prezd2conszd2setz12zd2appzc0_bglt)
																																									BOBJECT
																																									(GC_MALLOC
																																										(sizeof
																																											(struct
																																												BgL_prezd2conszd2setz12zd2appzc0_bgl))));
																																								{	/* Cfa/collect.scm 241 */
																																									obj_t
																																										BgL_auxz00_6146;
																																									BgL_objectz00_bglt
																																										BgL_tmpz00_6142;
																																									BgL_auxz00_6146
																																										=
																																										(
																																										(obj_t)
																																										BgL_wide1237z00_5208);
																																									BgL_tmpz00_6142
																																										=
																																										(
																																										(BgL_objectz00_bglt)
																																										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																									BGL_OBJECT_WIDENING_SET
																																										(BgL_tmpz00_6142,
																																										BgL_auxz00_6146);
																																								}
																																								((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																								{	/* Cfa/collect.scm 241 */
																																									long
																																										BgL_arg1944z00_5209;
																																									BgL_arg1944z00_5209
																																										=
																																										BGL_CLASS_NUM
																																										(BGl_prezd2conszd2setz12zd2appzc0zzcfa_info2z00);
																																									BGL_OBJECT_CLASS_NUM_SET
																																										(
																																										((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059))), BgL_arg1944z00_5209);
																																								}
																																								((BgL_appz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																							}
																																							{
																																								BgL_prezd2conszd2setz12zd2appzc0_bglt
																																									BgL_auxz00_6160;
																																								{
																																									obj_t
																																										BgL_auxz00_6161;
																																									{	/* Cfa/collect.scm 242 */
																																										BgL_objectz00_bglt
																																											BgL_tmpz00_6162;
																																										BgL_tmpz00_6162
																																											=
																																											(
																																											(BgL_objectz00_bglt)
																																											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																										BgL_auxz00_6161
																																											=
																																											BGL_OBJECT_WIDENING
																																											(BgL_tmpz00_6162);
																																									}
																																									BgL_auxz00_6160
																																										=
																																										(
																																										(BgL_prezd2conszd2setz12zd2appzc0_bglt)
																																										BgL_auxz00_6161);
																																								}
																																								((((BgL_prezd2conszd2setz12zd2appzc0_bglt) COBJECT(BgL_auxz00_6160))->BgL_getz00) = ((obj_t) BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00), BUNSPEC);
																																							}
																																							return
																																								(
																																								(obj_t)
																																								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5059)));
																																						}
																																					else
																																						{	/* Cfa/collect.scm 240 */
																																							return
																																								BFALSE;
																																						}
																																				}
																																			else
																																				{	/* Cfa/collect.scm 193 */
																																					return
																																						BUNSPEC;
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
							else
								{	/* Cfa/collect.scm 244 */
									bool_t BgL_test2309z00_6172;

									if (CBOOL
										(BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00))
										{	/* Cfa/collect.scm 244 */
											BgL_test2309z00_6172 = ((bool_t) 1);
										}
									else
										{	/* Cfa/collect.scm 244 */
											BgL_test2309z00_6172 =
												CBOOL
												(BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00);
										}
									if (BgL_test2309z00_6172)
										{	/* Cfa/collect.scm 244 */
											if (CBOOL
												(BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7((
															(BgL_globalz00_bglt) BgL_vz00_5151))))
												{	/* Cfa/collect.scm 247 */
													obj_t BgL_typesz00_5210;

													BgL_typesz00_5210 =
														BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7
														(((BgL_globalz00_bglt) BgL_vz00_5151));
													if (PAIRP(BgL_typesz00_5210))
														{	/* Cfa/collect.scm 248 */
															{	/* Cfa/collect.scm 249 */
																BgL_prezd2arithmeticzd2appz00_bglt
																	BgL_wide1241z00_5211;
																BgL_wide1241z00_5211 =
																	((BgL_prezd2arithmeticzd2appz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_prezd2arithmeticzd2appz00_bgl))));
																{	/* Cfa/collect.scm 249 */
																	obj_t BgL_auxz00_6189;
																	BgL_objectz00_bglt BgL_tmpz00_6185;

																	BgL_auxz00_6189 =
																		((obj_t) BgL_wide1241z00_5211);
																	BgL_tmpz00_6185 =
																		((BgL_objectz00_bglt)
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_nodez00_5059)));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6185,
																		BgL_auxz00_6189);
																}
																((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5059)));
																{	/* Cfa/collect.scm 249 */
																	long BgL_arg1948z00_5212;

																	BgL_arg1948z00_5212 =
																		BGL_CLASS_NUM
																		(BGl_prezd2arithmeticzd2appz00zzcfa_info2z00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_appz00_bglt) ((BgL_appz00_bglt)
																					BgL_nodez00_5059))),
																		BgL_arg1948z00_5212);
																}
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5059)));
															}
															{
																BgL_prezd2arithmeticzd2appz00_bglt
																	BgL_auxz00_6203;
																{
																	obj_t BgL_auxz00_6204;

																	{	/* Cfa/collect.scm 250 */
																		BgL_objectz00_bglt BgL_tmpz00_6205;

																		BgL_tmpz00_6205 =
																			((BgL_objectz00_bglt)
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_nodez00_5059)));
																		BgL_auxz00_6204 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_6205);
																	}
																	BgL_auxz00_6203 =
																		((BgL_prezd2arithmeticzd2appz00_bglt)
																		BgL_auxz00_6204);
																}
																((((BgL_prezd2arithmeticzd2appz00_bglt)
																			COBJECT(BgL_auxz00_6203))->
																		BgL_speczd2typeszd2) =
																	((obj_t) BgL_typesz00_5210), BUNSPEC);
															}
															return
																((obj_t)
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_5059)));
														}
													else
														{	/* Cfa/collect.scm 248 */
															return BFALSE;
														}
												}
											else
												{	/* Cfa/collect.scm 246 */
													return BFALSE;
												}
										}
									else
										{	/* Cfa/collect.scm 244 */
											return BFALSE;
										}
								}
						}
					else
						{	/* Cfa/collect.scm 186 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &node-collect!-sync1717 */
	obj_t BGl_z62nodezd2collectz12zd2sync1717z70zzcfa_collectz00(obj_t
		BgL_envz00_5061, obj_t BgL_nodez00_5062, obj_t BgL_ownerz00_5063)
	{
		{	/* Cfa/collect.scm 173 */
			{	/* Cfa/collect.scm 174 */
				BgL_nodez00_bglt BgL_arg1895z00_5214;

				BgL_arg1895z00_5214 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_5062)))->BgL_mutexz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1895z00_5214,
					((BgL_variablez00_bglt) BgL_ownerz00_5063));
			}
			{	/* Cfa/collect.scm 175 */
				BgL_nodez00_bglt BgL_arg1896z00_5215;

				BgL_arg1896z00_5215 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_5062)))->BgL_prelockz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1896z00_5215,
					((BgL_variablez00_bglt) BgL_ownerz00_5063));
			}
			{	/* Cfa/collect.scm 176 */
				BgL_nodez00_bglt BgL_arg1897z00_5216;

				BgL_arg1897z00_5216 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_5062)))->BgL_bodyz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1897z00_5216,
					((BgL_variablez00_bglt) BgL_ownerz00_5063));
			}
		}

	}



/* &node-collect!-sequen1715 */
	obj_t BGl_z62nodezd2collectz12zd2sequen1715z70zzcfa_collectz00(obj_t
		BgL_envz00_5064, obj_t BgL_nodez00_5065, obj_t BgL_ownerz00_5066)
	{
		{	/* Cfa/collect.scm 167 */
			return
				BBOOL(BGl_nodezd2collectza2z12z62zzcfa_collectz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_5065)))->BgL_nodesz00),
					BgL_ownerz00_5066));
		}

	}



/* &node-collect!-var1713 */
	obj_t BGl_z62nodezd2collectz12zd2var1713z70zzcfa_collectz00(obj_t
		BgL_envz00_5067, obj_t BgL_nodez00_5068, obj_t BgL_ownerz00_5069)
	{
		{	/* Cfa/collect.scm 150 */
			{	/* Cfa/collect.scm 151 */
				BgL_variablez00_bglt BgL_vz00_5219;

				BgL_vz00_5219 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_5068)))->BgL_variablez00);
				{	/* Cfa/collect.scm 152 */
					bool_t BgL_test2313z00_6233;

					{	/* Cfa/collect.scm 152 */
						bool_t BgL_test2314z00_6234;

						{	/* Cfa/collect.scm 152 */
							obj_t BgL_classz00_5220;

							BgL_classz00_5220 = BGl_globalz00zzast_varz00;
							{	/* Cfa/collect.scm 152 */
								BgL_objectz00_bglt BgL_arg1825z00_5221;

								{	/* Cfa/collect.scm 152 */
									obj_t BgL_tmpz00_6235;

									BgL_tmpz00_6235 =
										((obj_t) ((BgL_objectz00_bglt) BgL_vz00_5219));
									BgL_arg1825z00_5221 = (BgL_objectz00_bglt) (BgL_tmpz00_6235);
								}
								{	/* Cfa/collect.scm 152 */
									bool_t BgL_arg1822z00_5222;
									bool_t BgL_arg1823z00_5223;

									{	/* Cfa/collect.scm 152 */
										long BgL_idxz00_5224;

										BgL_idxz00_5224 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5221);
										BgL_arg1822z00_5222 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5224 + ((long) 2))) == BgL_classz00_5220);
									}
									{	/* Cfa/collect.scm 152 */
										bool_t BgL_res2201z00_5227;

										{	/* Cfa/collect.scm 152 */
											obj_t BgL_oclassz00_5228;

											{	/* Cfa/collect.scm 152 */
												long BgL_arg1833z00_5229;

												{	/* Cfa/collect.scm 152 */
													long BgL_arg1834z00_5230;

													BgL_arg1834z00_5230 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5221);
													BgL_arg1833z00_5229 =
														(BgL_arg1834z00_5230 - OBJECT_TYPE);
												}
												BgL_oclassz00_5228 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_5229);
											}
											{	/* Cfa/collect.scm 152 */
												bool_t BgL__ortest_1110z00_5231;

												BgL__ortest_1110z00_5231 =
													(BgL_classz00_5220 == BgL_oclassz00_5228);
												if (BgL__ortest_1110z00_5231)
													{	/* Cfa/collect.scm 152 */
														BgL_res2201z00_5227 = BgL__ortest_1110z00_5231;
													}
												else
													{	/* Cfa/collect.scm 152 */
														long BgL_odepthz00_5232;

														BgL_odepthz00_5232 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5228);
														if ((((long) 2) < BgL_odepthz00_5232))
															{	/* Cfa/collect.scm 152 */
																obj_t BgL_arg1821z00_5233;

																BgL_arg1821z00_5233 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5228,
																	((long) 2));
																BgL_res2201z00_5227 =
																	(BgL_arg1821z00_5233 == BgL_classz00_5220);
															}
														else
															{	/* Cfa/collect.scm 152 */
																BgL_res2201z00_5227 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_5223 = BgL_res2201z00_5227;
									}
									BgL_test2314z00_6234 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_5222, BgL_arg1823z00_5223);
								}
							}
						}
						if (BgL_test2314z00_6234)
							{	/* Cfa/collect.scm 153 */
								bool_t BgL_test2317z00_6254;

								{	/* Cfa/collect.scm 153 */
									obj_t BgL_arg1892z00_5234;

									BgL_arg1892z00_5234 =
										(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt) BgL_vz00_5219)))->BgL_modulez00);
									BgL_test2317z00_6254 =
										(BgL_arg1892z00_5234 ==
										BGl_za2moduleza2z00zzmodule_modulez00);
								}
								if (BgL_test2317z00_6254)
									{	/* Cfa/collect.scm 154 */
										bool_t BgL_test2318z00_6258;

										{	/* Cfa/collect.scm 154 */
											BgL_valuez00_bglt BgL_arg1891z00_5235;

											BgL_arg1891z00_5235 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_vz00_5219))))->
												BgL_valuez00);
											{	/* Cfa/collect.scm 154 */
												obj_t BgL_classz00_5236;

												BgL_classz00_5236 = BGl_scnstz00zzast_varz00;
												{	/* Cfa/collect.scm 154 */
													BgL_objectz00_bglt BgL_arg1825z00_5237;

													{	/* Cfa/collect.scm 154 */
														obj_t BgL_tmpz00_6262;

														BgL_tmpz00_6262 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg1891z00_5235));
														BgL_arg1825z00_5237 =
															(BgL_objectz00_bglt) (BgL_tmpz00_6262);
													}
													{	/* Cfa/collect.scm 154 */
														bool_t BgL_arg1822z00_5238;
														bool_t BgL_arg1823z00_5239;

														{	/* Cfa/collect.scm 154 */
															long BgL_idxz00_5240;

															BgL_idxz00_5240 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5237);
															BgL_arg1822z00_5238 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_5240 + ((long) 2))) ==
																BgL_classz00_5236);
														}
														{	/* Cfa/collect.scm 154 */
															bool_t BgL_res2202z00_5243;

															{	/* Cfa/collect.scm 154 */
																obj_t BgL_oclassz00_5244;

																{	/* Cfa/collect.scm 154 */
																	long BgL_arg1833z00_5245;

																	{	/* Cfa/collect.scm 154 */
																		long BgL_arg1834z00_5246;

																		BgL_arg1834z00_5246 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5237);
																		BgL_arg1833z00_5245 =
																			(BgL_arg1834z00_5246 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_5244 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_5245);
																}
																{	/* Cfa/collect.scm 154 */
																	bool_t BgL__ortest_1110z00_5247;

																	BgL__ortest_1110z00_5247 =
																		(BgL_classz00_5236 == BgL_oclassz00_5244);
																	if (BgL__ortest_1110z00_5247)
																		{	/* Cfa/collect.scm 154 */
																			BgL_res2202z00_5243 =
																				BgL__ortest_1110z00_5247;
																		}
																	else
																		{	/* Cfa/collect.scm 154 */
																			long BgL_odepthz00_5248;

																			BgL_odepthz00_5248 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_5244);
																			if ((((long) 2) < BgL_odepthz00_5248))
																				{	/* Cfa/collect.scm 154 */
																					obj_t BgL_arg1821z00_5249;

																					BgL_arg1821z00_5249 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_5244, ((long) 2));
																					BgL_res2202z00_5243 =
																						(BgL_arg1821z00_5249 ==
																						BgL_classz00_5236);
																				}
																			else
																				{	/* Cfa/collect.scm 154 */
																					BgL_res2202z00_5243 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_5239 = BgL_res2202z00_5243;
														}
														BgL_test2318z00_6258 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_5238,
															BgL_arg1823z00_5239);
													}
												}
											}
										}
										if (BgL_test2318z00_6258)
											{	/* Cfa/collect.scm 155 */
												bool_t BgL_test2321z00_6281;

												{	/* Cfa/collect.scm 155 */
													obj_t BgL_arg1888z00_5250;

													BgL_arg1888z00_5250 =
														(((BgL_scnstz00_bglt) COBJECT(
																((BgL_scnstz00_bglt)
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_vz00_5219))))->
																		BgL_valuez00))))->BgL_nodez00);
													BgL_test2321z00_6281 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1888z00_5250,
															BGl_za2usedzd2allocza2zd2zzcfa_collectz00));
												}
												if (BgL_test2321z00_6281)
													{	/* Cfa/collect.scm 155 */
														BgL_test2313z00_6233 = ((bool_t) 0);
													}
												else
													{	/* Cfa/collect.scm 155 */
														BgL_test2313z00_6233 = ((bool_t) 1);
													}
											}
										else
											{	/* Cfa/collect.scm 154 */
												BgL_test2313z00_6233 = ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/collect.scm 153 */
										BgL_test2313z00_6233 = ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/collect.scm 152 */
								BgL_test2313z00_6233 = ((bool_t) 0);
							}
					}
					if (BgL_test2313z00_6233)
						{	/* Cfa/collect.scm 152 */
							{	/* Cfa/collect.scm 161 */
								obj_t BgL_arg1886z00_5251;

								BgL_arg1886z00_5251 =
									(((BgL_scnstz00_bglt) COBJECT(
											((BgL_scnstz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_vz00_5219))))->
													BgL_valuez00))))->BgL_nodez00);
								BGl_nodezd2collectz12zc0zzcfa_collectz00(((BgL_nodez00_bglt)
										BgL_arg1886z00_5251),
									((BgL_variablez00_bglt) BgL_ownerz00_5069));
							}
						}
					else
						{	/* Cfa/collect.scm 152 */
							BFALSE;
						}
				}
			}
			return BUNSPEC;
		}

	}



/* &node-collect!-kwote1711 */
	obj_t BGl_z62nodezd2collectz12zd2kwote1711z70zzcfa_collectz00(obj_t
		BgL_envz00_5070, obj_t BgL_nodez00_5071, obj_t BgL_ownerz00_5072)
	{
		{	/* Cfa/collect.scm 71 */
			{
				obj_t BgL_valuez00_5273;
				obj_t BgL_valuez00_5260;
				obj_t BgL_vectorz00_5256;

				{	/* Cfa/collect.scm 137 */
					obj_t BgL_valuez00_5283;

					BgL_valuez00_5283 =
						(((BgL_kwotez00_bglt) COBJECT(
								((BgL_kwotez00_bglt) BgL_nodez00_5071)))->BgL_valuez00);
					{	/* Cfa/collect.scm 139 */
						bool_t BgL_test2322z00_6299;

						if (VECTORP(BgL_valuez00_5283))
							{	/* Cfa/collect.scm 139 */
								BgL_test2322z00_6299 =
									BGl_vectorzd2optimzf3z21zzcfa_vectorz00();
							}
						else
							{	/* Cfa/collect.scm 139 */
								BgL_test2322z00_6299 = ((bool_t) 0);
							}
						if (BgL_test2322z00_6299)
							{	/* Cfa/collect.scm 139 */
								BgL_valuez00_5260 = BgL_valuez00_5283;
								{	/* Cfa/collect.scm 101 */
									int BgL_warningz00_5261;

									{	/* Cfa/collect.scm 101 */
										int BgL_wanz00_5262;

										BgL_wanz00_5262 = BGl_bigloozd2warningzd2zz__paramz00();
										BGl_bigloozd2warningzd2setz12z12zz__paramz00(
											(int) (((long) 0)));
										BgL_warningz00_5261 = BgL_wanz00_5262;
									}
									{	/* Cfa/collect.scm 101 */
										obj_t BgL_backendz00_5263;

										BgL_backendz00_5263 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										{	/* Cfa/collect.scm 104 */
											bool_t BgL_pragmazf3zf3_5264;

											{	/* Cfa/collect.scm 105 */
												bool_t BgL_tgtz00_5265;

												BgL_tgtz00_5265 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_backendz00_5263)))->
													BgL_pragmazd2supportzd2);
												((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
																	BgL_backendz00_5263)))->
														BgL_pragmazd2supportzd2) =
													((bool_t) ((bool_t) 1)), BUNSPEC);
												BgL_pragmazf3zf3_5264 = BgL_tgtz00_5265;
											}
											{	/* Cfa/collect.scm 105 */
												BgL_nodez00_bglt BgL_dummyz00_5266;

												{	/* Cfa/collect.scm 109 */
													obj_t BgL_arg1842z00_5267;

													{	/* Cfa/collect.scm 109 */
														obj_t BgL_arg1848z00_5268;

														{	/* Cfa/collect.scm 109 */
															obj_t BgL_arg1850z00_5269;

															{	/* Cfa/collect.scm 110 */
																obj_t BgL_arg1852z00_5270;

																{	/* Cfa/collect.scm 110 */
																	bool_t BgL_test2324z00_6311;

																	BgL_vectorz00_5256 = BgL_valuez00_5260;
																	if (
																		(VECTOR_LENGTH(BgL_vectorz00_5256) ==
																			((long) 0)))
																		{	/* Cfa/collect.scm 83 */
																			BgL_test2324z00_6311 = ((bool_t) 0);
																		}
																	else
																		{	/* Cfa/collect.scm 85 */
																			obj_t BgL_atypez00_5257;

																			BgL_atypez00_5257 =
																				BGl_getzd2atypeze70z35zzcfa_collectz00
																				(VECTOR_REF(BgL_vectorz00_5256,
																					((long) 0)));
																			{
																				long BgL_iz00_5259;

																				BgL_iz00_5259 = ((long) 1);
																			BgL_loopz00_5258:
																				if (CBOOL(BgL_atypez00_5257))
																					{	/* Cfa/collect.scm 88 */
																						if (
																							(BgL_iz00_5259 ==
																								VECTOR_LENGTH
																								(BgL_vectorz00_5256)))
																							{	/* Cfa/collect.scm 90 */
																								BgL_test2324z00_6311 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Cfa/collect.scm 90 */
																								if (
																									(BGl_getzd2atypeze70z35zzcfa_collectz00
																										(VECTOR_REF
																											(BgL_vectorz00_5256,
																												BgL_iz00_5259)) ==
																										BgL_atypez00_5257))
																									{
																										long BgL_iz00_6326;

																										BgL_iz00_6326 =
																											(BgL_iz00_5259 +
																											((long) 1));
																										BgL_iz00_5259 =
																											BgL_iz00_6326;
																										goto BgL_loopz00_5258;
																									}
																								else
																									{	/* Cfa/collect.scm 92 */
																										BgL_test2324z00_6311 =
																											((bool_t) 0);
																									}
																							}
																					}
																				else
																					{	/* Cfa/collect.scm 88 */
																						BgL_test2324z00_6311 = ((bool_t) 0);
																					}
																			}
																		}
																	if (BgL_test2324z00_6311)
																		{	/* Cfa/collect.scm 110 */
																			BgL_arg1852z00_5270 =
																				VECTOR_REF(BgL_valuez00_5260,
																				((long) 0));
																		}
																	else
																		{	/* Cfa/collect.scm 110 */
																			BgL_arg1852z00_5270 =
																				CNST_TABLE_REF(((long) 15));
																}}
																BgL_arg1850z00_5269 =
																	MAKE_YOUNG_PAIR(BgL_arg1852z00_5270, BNIL);
															}
															BgL_arg1848z00_5268 =
																MAKE_YOUNG_PAIR(BINT(VECTOR_LENGTH
																	(BgL_valuez00_5260)), BgL_arg1850z00_5269);
														}
														BgL_arg1842z00_5267 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
															BgL_arg1848z00_5268);
													}
													BgL_dummyz00_5266 =
														BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
														(BgL_arg1842z00_5267, BFALSE);
												}
												{	/* Cfa/collect.scm 108 */

													((((BgL_backendz00_bglt) COBJECT(
																	((BgL_backendz00_bglt)
																		BgL_backendz00_5263)))->
															BgL_pragmazd2supportzd2) =
														((bool_t) BgL_pragmazf3zf3_5264), BUNSPEC);
													BGl_bigloozd2warningzd2setz12z12zz__paramz00
														(BgL_warningz00_5261);
													{	/* Cfa/collect.scm 116 */
														BgL_kwotezf2nodezf2_bglt BgL_wide1176z00_5271;

														BgL_wide1176z00_5271 =
															((BgL_kwotezf2nodezf2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_kwotezf2nodezf2_bgl))));
														{	/* Cfa/collect.scm 116 */
															obj_t BgL_auxz00_6345;
															BgL_objectz00_bglt BgL_tmpz00_6341;

															BgL_auxz00_6345 = ((obj_t) BgL_wide1176z00_5271);
															BgL_tmpz00_6341 =
																((BgL_objectz00_bglt)
																((BgL_kwotez00_bglt)
																	((BgL_kwotez00_bglt) BgL_nodez00_5071)));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6341,
																BgL_auxz00_6345);
														}
														((BgL_objectz00_bglt)
															((BgL_kwotez00_bglt)
																((BgL_kwotez00_bglt) BgL_nodez00_5071)));
														{	/* Cfa/collect.scm 116 */
															long BgL_arg1839z00_5272;

															BgL_arg1839z00_5272 =
																BGL_CLASS_NUM(BGl_kwotezf2nodezf2zzcfa_infoz00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt)
																	((BgL_kwotez00_bglt)
																		((BgL_kwotez00_bglt) BgL_nodez00_5071))),
																BgL_arg1839z00_5272);
														}
														((BgL_kwotez00_bglt)
															((BgL_kwotez00_bglt)
																((BgL_kwotez00_bglt) BgL_nodez00_5071)));
													}
													{
														BgL_kwotezf2nodezf2_bglt BgL_auxz00_6359;

														{
															obj_t BgL_auxz00_6360;

															{	/* Cfa/collect.scm 116 */
																BgL_objectz00_bglt BgL_tmpz00_6361;

																BgL_tmpz00_6361 =
																	((BgL_objectz00_bglt)
																	((BgL_kwotez00_bglt)
																		((BgL_kwotez00_bglt) BgL_nodez00_5071)));
																BgL_auxz00_6360 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6361);
															}
															BgL_auxz00_6359 =
																((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_6360);
														}
														((((BgL_kwotezf2nodezf2_bglt)
																	COBJECT(BgL_auxz00_6359))->BgL_nodez00) =
															((BgL_nodez00_bglt) BgL_dummyz00_5266), BUNSPEC);
													}
													((BgL_kwotez00_bglt)
														((BgL_kwotez00_bglt) BgL_nodez00_5071));
													return
														BGl_nodezd2collectz12zc0zzcfa_collectz00
														(BgL_dummyz00_5266,
														((BgL_variablez00_bglt) BgL_ownerz00_5072));
												}
											}
										}
									}
								}
							}
						else
							{	/* Cfa/collect.scm 142 */
								bool_t BgL_test2329z00_6372;

								if (PAIRP(BgL_valuez00_5283))
									{	/* Cfa/collect.scm 142 */
										if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
											{	/* Cfa/collect.scm 142 */
												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00
													(BgL_valuez00_5283))
													{	/* Cfa/collect.scm 143 */
														long BgL_arg1799z00_5284;
														obj_t BgL_arg1801z00_5285;

														BgL_arg1799z00_5284 =
															bgl_list_length(BgL_valuez00_5283);
														BgL_arg1801z00_5285 =
															BGl_pairzd2optimzd2quotezd2maxlenzd2zzcfa_pairz00
															();
														BgL_test2329z00_6372 =
															(BgL_arg1799z00_5284 <
															(long) CINT(BgL_arg1801z00_5285));
													}
												else
													{	/* Cfa/collect.scm 142 */
														BgL_test2329z00_6372 = ((bool_t) 0);
													}
											}
										else
											{	/* Cfa/collect.scm 142 */
												BgL_test2329z00_6372 = ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/collect.scm 142 */
										BgL_test2329z00_6372 = ((bool_t) 0);
									}
								if (BgL_test2329z00_6372)
									{	/* Cfa/collect.scm 142 */
										BgL_valuez00_5273 = BgL_valuez00_5283;
										{	/* Cfa/collect.scm 120 */
											int BgL_warningz00_5274;

											{	/* Cfa/collect.scm 120 */
												int BgL_wanz00_5275;

												BgL_wanz00_5275 = BGl_bigloozd2warningzd2zz__paramz00();
												BGl_bigloozd2warningzd2setz12z12zz__paramz00(
													(int) (((long) 0)));
												BgL_warningz00_5274 = BgL_wanz00_5275;
											}
											{	/* Cfa/collect.scm 120 */
												obj_t BgL_backendz00_5276;

												BgL_backendz00_5276 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												{	/* Cfa/collect.scm 123 */
													bool_t BgL_pragmazf3zf3_5277;

													{	/* Cfa/collect.scm 124 */
														bool_t BgL_tgtz00_5278;

														BgL_tgtz00_5278 =
															(((BgL_backendz00_bglt) COBJECT(
																	((BgL_backendz00_bglt)
																		BgL_backendz00_5276)))->
															BgL_pragmazd2supportzd2);
														((((BgL_backendz00_bglt)
																	COBJECT(((BgL_backendz00_bglt)
																			BgL_backendz00_5276)))->
																BgL_pragmazd2supportzd2) =
															((bool_t) ((bool_t) 1)), BUNSPEC);
														BgL_pragmazf3zf3_5277 = BgL_tgtz00_5278;
													}
													{	/* Cfa/collect.scm 124 */
														obj_t BgL_expz00_5279;

														BgL_expz00_5279 =
															BGl_loopze70ze7zzcfa_collectz00
															(BgL_valuez00_5273);
														{	/* Cfa/collect.scm 127 */
															BgL_nodez00_bglt BgL_dummyz00_5280;

															BgL_dummyz00_5280 =
																BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
																(BgL_expz00_5279, BFALSE);
															{	/* Cfa/collect.scm 131 */

																((((BgL_backendz00_bglt) COBJECT(
																				((BgL_backendz00_bglt)
																					BgL_backendz00_5276)))->
																		BgL_pragmazd2supportzd2) =
																	((bool_t) BgL_pragmazf3zf3_5277), BUNSPEC);
																BGl_bigloozd2warningzd2setz12z12zz__paramz00
																	(BgL_warningz00_5274);
																{	/* Cfa/collect.scm 134 */
																	BgL_kwotezf2nodezf2_bglt BgL_wide1180z00_5281;

																	BgL_wide1180z00_5281 =
																		((BgL_kwotezf2nodezf2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_kwotezf2nodezf2_bgl))));
																	{	/* Cfa/collect.scm 134 */
																		obj_t BgL_auxz00_6401;
																		BgL_objectz00_bglt BgL_tmpz00_6397;

																		BgL_auxz00_6401 =
																			((obj_t) BgL_wide1180z00_5281);
																		BgL_tmpz00_6397 =
																			((BgL_objectz00_bglt)
																			((BgL_kwotez00_bglt)
																				((BgL_kwotez00_bglt)
																					BgL_nodez00_5071)));
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6397,
																			BgL_auxz00_6401);
																	}
																	((BgL_objectz00_bglt)
																		((BgL_kwotez00_bglt)
																			((BgL_kwotez00_bglt) BgL_nodez00_5071)));
																	{	/* Cfa/collect.scm 134 */
																		long BgL_arg1855z00_5282;

																		BgL_arg1855z00_5282 =
																			BGL_CLASS_NUM
																			(BGl_kwotezf2nodezf2zzcfa_infoz00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt) (
																					(BgL_kwotez00_bglt) (
																						(BgL_kwotez00_bglt)
																						BgL_nodez00_5071))),
																			BgL_arg1855z00_5282);
																	}
																	((BgL_kwotez00_bglt)
																		((BgL_kwotez00_bglt)
																			((BgL_kwotez00_bglt) BgL_nodez00_5071)));
																}
																{
																	BgL_kwotezf2nodezf2_bglt BgL_auxz00_6415;

																	{
																		obj_t BgL_auxz00_6416;

																		{	/* Cfa/collect.scm 134 */
																			BgL_objectz00_bglt BgL_tmpz00_6417;

																			BgL_tmpz00_6417 =
																				((BgL_objectz00_bglt)
																				((BgL_kwotez00_bglt)
																					((BgL_kwotez00_bglt)
																						BgL_nodez00_5071)));
																			BgL_auxz00_6416 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_6417);
																		}
																		BgL_auxz00_6415 =
																			((BgL_kwotezf2nodezf2_bglt)
																			BgL_auxz00_6416);
																	}
																	((((BgL_kwotezf2nodezf2_bglt)
																				COBJECT(BgL_auxz00_6415))->
																			BgL_nodez00) =
																		((BgL_nodez00_bglt) BgL_dummyz00_5280),
																		BUNSPEC);
																}
																((BgL_kwotez00_bglt)
																	((BgL_kwotez00_bglt) BgL_nodez00_5071));
																return
																	BGl_nodezd2collectz12zc0zzcfa_collectz00
																	(BgL_dummyz00_5280,
																	((BgL_variablez00_bglt) BgL_ownerz00_5072));
															}
														}
													}
												}
											}
										}
									}
								else
									{	/* Cfa/collect.scm 142 */
										return BFALSE;
									}
							}
					}
				}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzcfa_collectz00(obj_t BgL_vz00_3574)
	{
		{	/* Cfa/collect.scm 127 */
			if (NULLP(BgL_vz00_3574))
				{	/* Cfa/collect.scm 128 */
					return CNST_TABLE_REF(((long) 16));
				}
			else
				{	/* Cfa/collect.scm 130 */
					obj_t BgL_arg1858z00_3577;

					{	/* Cfa/collect.scm 130 */
						obj_t BgL_arg1862z00_3578;
						obj_t BgL_arg1863z00_3579;

						{	/* Cfa/collect.scm 130 */
							obj_t BgL_arg1865z00_3580;

							{	/* Cfa/collect.scm 130 */
								obj_t BgL_arg1867z00_3581;

								BgL_arg1867z00_3581 = CAR(((obj_t) BgL_vz00_3574));
								BgL_arg1865z00_3580 =
									MAKE_YOUNG_PAIR(BgL_arg1867z00_3581, BNIL);
							}
							BgL_arg1862z00_3578 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 17)),
								BgL_arg1865z00_3580);
						}
						{	/* Cfa/collect.scm 130 */
							obj_t BgL_arg1869z00_3582;

							{	/* Cfa/collect.scm 130 */
								obj_t BgL_arg1870z00_3583;

								BgL_arg1870z00_3583 = CDR(((obj_t) BgL_vz00_3574));
								BgL_arg1869z00_3582 =
									BGl_loopze70ze7zzcfa_collectz00(BgL_arg1870z00_3583);
							}
							BgL_arg1863z00_3579 = MAKE_YOUNG_PAIR(BgL_arg1869z00_3582, BNIL);
						}
						BgL_arg1858z00_3577 =
							MAKE_YOUNG_PAIR(BgL_arg1862z00_3578, BgL_arg1863z00_3579);
					}
					return
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)), BgL_arg1858z00_3577);
		}}

	}



/* get-atype~0 */
	obj_t BGl_getzd2atypeze70z35zzcfa_collectz00(obj_t BgL_valuez00_3531)
	{
		{	/* Cfa/collect.scm 81 */
			if (INTEGERP(BgL_valuez00_3531))
				{	/* Cfa/collect.scm 76 */
					return CNST_TABLE_REF(((long) 18));
				}
			else
				{	/* Cfa/collect.scm 76 */
					if (CHARP(BgL_valuez00_3531))
						{	/* Cfa/collect.scm 77 */
							return CNST_TABLE_REF(((long) 19));
						}
					else
						{	/* Cfa/collect.scm 77 */
							if (BOOLEANP(BgL_valuez00_3531))
								{	/* Cfa/collect.scm 78 */
									return CNST_TABLE_REF(((long) 20));
								}
							else
								{	/* Cfa/collect.scm 78 */
									if (STRINGP(BgL_valuez00_3531))
										{	/* Cfa/collect.scm 79 */
											return CNST_TABLE_REF(((long) 21));
										}
									else
										{	/* Cfa/collect.scm 80 */
											bool_t BgL_test2338z00_6455;

											if (INTEGERP(BgL_valuez00_3531))
												{	/* Cfa/collect.scm 80 */
													BgL_test2338z00_6455 = ((bool_t) 1);
												}
											else
												{	/* Cfa/collect.scm 80 */
													BgL_test2338z00_6455 = REALP(BgL_valuez00_3531);
												}
											if (BgL_test2338z00_6455)
												{	/* Cfa/collect.scm 80 */
													return CNST_TABLE_REF(((long) 22));
												}
											else
												{	/* Cfa/collect.scm 80 */
													return BFALSE;
												}
										}
								}
						}
				}
		}

	}



/* &node-collect!-atom1709 */
	obj_t BGl_z62nodezd2collectz12zd2atom1709z70zzcfa_collectz00(obj_t
		BgL_envz00_5073, obj_t BgL_nodez00_5074, obj_t BgL_ownerz00_5075)
	{
		{	/* Cfa/collect.scm 65 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_collectz00()
	{
		{	/* Cfa/collect.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(((long) 185547682),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(((long) 374743292),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_procedurez00(((long) 227655313),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_vectorz00(((long) 146804578),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_pairz00(((long) 37668556),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_structz00(((long) 306923863),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_boxz00(((long) 370344659),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 189402713),
				BSTRING_TO_STRING(BGl_string2234z00zzcfa_collectz00));
		}

	}

#ifdef __cplusplus
}
#endif
