/*===========================================================================*/
/*   (Cfa/setup.scm)                                                         */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/setup.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_genpatchidz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		long BgL_indexz00;
		long BgL_rindexz00;
	}                    *BgL_genpatchidz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_prezd2clozd2envz00_bgl
	{
	}                         *BgL_prezd2clozd2envz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_reshapedzd2globalzd2_bgl
	{
	}                           *BgL_reshapedzd2globalzd2_bglt;

	typedef struct BgL_literalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                         *BgL_literalzf2cinfozf2_bglt;

	typedef struct BgL_genpatchidzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_genpatchidzf2cinfozf2_bglt;

	typedef struct BgL_patchzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_patchzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_switchzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_switchzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;

	typedef struct BgL_pragmazf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_pragmazf2cinfozf2_bglt;

	typedef struct BgL_getfieldzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_getfieldzf2cinfozf2_bglt;

	typedef struct BgL_setfieldzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_setfieldzf2cinfozf2_bglt;

	typedef struct BgL_newzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                     *BgL_newzf2cinfozf2_bglt;

	typedef struct BgL_instanceofzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_instanceofzf2cinfozf2_bglt;

	typedef struct BgL_castzd2nullzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_castzd2nullzf2cinfoz20_bglt;


	static obj_t BGl_z62nodezd2setupz12zd2setq1809z70zzcfa_setupz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1757z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_newzf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62variablezd2valuezd2setup1761z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1763z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1765z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1767z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1769z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_pragmazf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62variablezd2valuezd2setup1771z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1773z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62nodezd2setupz12zd2kwote1752z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_za2structza2z00zztype_cachez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62nodezd2setupz12zd2literal1748z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_sexitz00zzast_varz00;
	static obj_t BGl_z62nodezd2setupz12zd2patch1750z70zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_setupz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_genpatchidzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62nodezd2setupz12zd2sync1779z70zzcfa_setupz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
	static obj_t BGl_z62nodezd2setupz12zd2var1756z70zzcfa_setupz00(obj_t, obj_t);
	extern obj_t BGl_reshapedzd2localzd2zzcfa_infoz00;
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_switchzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_setupz00();
	extern obj_t BGl_literalzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62nodezd2setupz12zd2setzd2exzd2i1821z70zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2conditio1811z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_prezd2clozd2envz00zzcfa_infoz00;
	static obj_t BGl_z62nodezd2setupz12zd2closure1775z70zzcfa_setupz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern obj_t BGl_castzd2nullzf2Cinfoz20zzcfa_info3z00;
	extern obj_t BGl_pragmaz00zzast_nodez00;
	extern obj_t BGl_svarz00zzast_varz00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_failzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_setqzf2Cinfozf2zzcfa_infoz00;
	static bool_t BGl_alloczd2typezf3z21zzcfa_setupz00(BgL_typez00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62nodezd2setupz12zd2castzd2nul1805za2zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_kwotezf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_gczd2rootszd2initz00zzcfa_setupz00();
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_kwotezf2nodezf2zzcfa_infoz00;
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	extern obj_t BGl_instanceofzf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_za2optimzd2cfazd2applyzd2trackingzf3za2z21zzengine_paramz00;
	static obj_t BGl_z62nodezd2setupz12zd2sequence1777z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2letzd2fun1817za2zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62funzd2setupz12zd2sfun1785z70zzcfa_setupz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2kwotezf2no1754z82zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2new1801z70zzcfa_setupz00(obj_t, obj_t);
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_cvarz00zzast_varz00;
	extern obj_t BGl_patchz00zzast_nodez00;
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static obj_t BGl_z62nodezd2setupz12zd2switch1815z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_getfieldzf2Cinfozf2zzcfa_info3z00;
	BGL_EXPORTED_DECL obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_setupz00 = BUNSPEC;
	static obj_t BGl_z62nodezd2setupz12zd2appzd2ly1789za2zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_newz00zzast_nodez00;
	extern obj_t BGl_patchzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62nodezd2setupz12zd2fail1813z70zzcfa_setupz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2initialzd2approxz12z70zzcfa_setupz00(obj_t, obj_t);
	extern bool_t BGl_pairzd2optimzf3z21zzcfa_pairz00();
	static obj_t BGl_toplevelzd2initzd2zzcfa_setupz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_setupz00();
	extern obj_t BGl_getfieldz00zzast_nodez00;
	static obj_t BGl_z62nodezd2setupz12zd2letzd2var1819za2zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_z62nodezd2setupz12zd2genpatch1795z70zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2getfield1797z70zzcfa_setupz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(obj_t);
	extern obj_t BGl_reshapedzd2globalzd2zzcfa_infoz00;
	extern obj_t BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00;
	static obj_t BGl_z62funzd2setupz12zd2cfun1787z70zzcfa_setupz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt);
	static obj_t BGl_z62nodezd2setupz12zd2funcall1791z70zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2setfield1799z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62nodezd2setupz12zd2instance1803z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_funzd2setupz12zc0zzcfa_setupz00(BgL_funz00_bglt, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static obj_t BGl_z62nodezd2setupza2z12z00zzcfa_setupz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2jumpzd2exzd21823z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_z62nodezd2setupz121745za2zzcfa_setupz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2app1781z70zzcfa_setupz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2setupz12za2zzcfa_setupz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_pairz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62nodezd2setupz12zd2pragma1793z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_z62nodezd2setupz12za2zzcfa_setupz00(obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_setupz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_setupz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_setupz00();
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t
		BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_setfieldz00zzast_nodez00;
	static obj_t BGl_z62variablezd2valuezd2setupz12z70zzcfa_setupz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_genpatchidz00zzast_nodez00;
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00;
	static obj_t BGl_z62funzd2setupz121782za2zzcfa_setupz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	extern obj_t BGl_setfieldzf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2forcezd2loosezd2localzd2functionzf3za2z21zzengine_paramz00;
	extern obj_t BGl_cfunzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62nodezd2setupz12zd2cast1807z70zzcfa_setupz00(obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STRING(BGl_string2308z00zzcfa_setupz00,
		BgL_bgl_string2308za700za7za7c2358za7, "node-setup!1745", 15);
	      DEFINE_STRING(BGl_string2310z00zzcfa_setupz00,
		BgL_bgl_string2310za700za7za7c2359za7, "variable-value-setup1757", 24);
	      DEFINE_STRING(BGl_string2312z00zzcfa_setupz00,
		BgL_bgl_string2312za700za7za7c2360za7, "fun-setup!1782", 14);
	      DEFINE_STRING(BGl_string2313z00zzcfa_setupz00,
		BgL_bgl_string2313za700za7za7c2361za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2315z00zzcfa_setupz00,
		BgL_bgl_string2315za700za7za7c2362za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string2321z00zzcfa_setupz00,
		BgL_bgl_string2321za700za7za7c2363za7, "variable-value-setup!", 21);
	      DEFINE_STRING(BGl_string2333z00zzcfa_setupz00,
		BgL_bgl_string2333za700za7za7c2364za7, "fun-setup!", 10);
	      DEFINE_STRING(BGl_string2353z00zzcfa_setupz00,
		BgL_bgl_string2353za700za7za7c2365za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2354z00zzcfa_setupz00,
		BgL_bgl_string2354za700za7za7c2366za7, "cfa_setup", 9);
	      DEFINE_STRING(BGl_string2355z00zzcfa_setupz00,
		BgL_bgl_string2355za700za7za7c2367za7,
		"static already-done (sfun sgfun) import read node-setup!1745 variable-value-setup1757 ",
		86);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2368z00,
		BGl_z62variablezd2valuezd2setupz12z70zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72369za7,
		BGl_z62nodezd2setupz12za2zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2307z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72370za7,
		BGl_z62nodezd2setupz121745za2zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2309z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2371z00,
		BGl_z62variablezd2valuezd2setup1757z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2311z00zzcfa_setupz00,
		BgL_bgl_za762funza7d2setupza712372za7,
		BGl_z62funzd2setupz121782za2zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2314z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72373za7,
		BGl_z62nodezd2setupz12zd2literal1748z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2316z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72374za7,
		BGl_z62nodezd2setupz12zd2patch1750z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2317z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72375za7,
		BGl_z62nodezd2setupz12zd2kwote1752z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2318z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72376za7,
		BGl_z62nodezd2setupz12zd2kwotezf2no1754z82zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2319z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72377za7,
		BGl_z62nodezd2setupz12zd2var1756z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2320z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2378z00,
		BGl_z62variablezd2valuezd2setup1761z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2322z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2379z00,
		BGl_z62variablezd2valuezd2setup1763z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2323z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2380z00,
		BGl_z62variablezd2valuezd2setup1765z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2324z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2381z00,
		BGl_z62variablezd2valuezd2setup1767z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2325z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2382z00,
		BGl_z62variablezd2valuezd2setup1769z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2326z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2383z00,
		BGl_z62variablezd2valuezd2setup1771z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2327z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2384z00,
		BGl_z62variablezd2valuezd2setup1773z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2328z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72385za7,
		BGl_z62nodezd2setupz12zd2closure1775z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2329z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72386za7,
		BGl_z62nodezd2setupz12zd2sequence1777z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2330z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72387za7,
		BGl_z62nodezd2setupz12zd2sync1779z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2331z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72388za7,
		BGl_z62nodezd2setupz12zd2app1781z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2332z00zzcfa_setupz00,
		BgL_bgl_za762funza7d2setupza712389za7,
		BGl_z62funzd2setupz12zd2sfun1785z70zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2334z00zzcfa_setupz00,
		BgL_bgl_za762funza7d2setupza712390za7,
		BGl_z62funzd2setupz12zd2cfun1787z70zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2335z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72391za7,
		BGl_z62nodezd2setupz12zd2appzd2ly1789za2zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2336z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72392za7,
		BGl_z62nodezd2setupz12zd2funcall1791z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2337z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72393za7,
		BGl_z62nodezd2setupz12zd2pragma1793z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2338z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72394za7,
		BGl_z62nodezd2setupz12zd2genpatch1795z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2339z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72395za7,
		BGl_z62nodezd2setupz12zd2getfield1797z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2340z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72396za7,
		BGl_z62nodezd2setupz12zd2setfield1799z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2341z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72397za7,
		BGl_z62nodezd2setupz12zd2new1801z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2342z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72398za7,
		BGl_z62nodezd2setupz12zd2instance1803z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2343z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72399za7,
		BGl_z62nodezd2setupz12zd2castzd2nul1805za2zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2344z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72400za7,
		BGl_z62nodezd2setupz12zd2cast1807z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2345z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72401za7,
		BGl_z62nodezd2setupz12zd2setq1809z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2346z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72402za7,
		BGl_z62nodezd2setupz12zd2conditio1811z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2347z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72403za7,
		BGl_z62nodezd2setupz12zd2fail1813z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2348z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72404za7,
		BGl_z62nodezd2setupz12zd2switch1815z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2349z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72405za7,
		BGl_z62nodezd2setupz12zd2letzd2fun1817za2zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2350z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72406za7,
		BGl_z62nodezd2setupz12zd2letzd2var1819za2zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2351z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72407za7,
		BGl_z62nodezd2setupz12zd2setzd2exzd2i1821z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2352z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72408za7,
		BGl_z62nodezd2setupz12zd2jumpzd2exzd21823z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_funzd2setupz12zd2envz12zzcfa_setupz00,
		BgL_bgl_za762funza7d2setupza712409za7,
		BGl_z62funzd2setupz12za2zzcfa_setupz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2initialzd2approxz12zd2envzc0zzcfa_setupz00,
		BgL_bgl_za762setza7d2initial2410z00,
		BGl_z62setzd2initialzd2approxz12z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2setupza2z12zd2envzb0zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72411za7,
		BGl_z62nodezd2setupza2z12z00zzcfa_setupz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_setupz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long
		BgL_checksumz00_6083, char *BgL_fromz00_6084)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_setupz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_setupz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_setupz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_setupz00();
					BGl_cnstzd2initzd2zzcfa_setupz00();
					BGl_importedzd2moduleszd2initz00zzcfa_setupz00();
					BGl_genericzd2initzd2zzcfa_setupz00();
					BGl_methodzd2initzd2zzcfa_setupz00();
					return BGl_toplevelzd2initzd2zzcfa_setupz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_setupz00()
	{
		{	/* Cfa/setup.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_setup");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_setup");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_setup");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_setup");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_setup");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_setup");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_setup");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_setup");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_setup");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_setup");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_setupz00()
	{
		{	/* Cfa/setup.scm 15 */
			{	/* Cfa/setup.scm 15 */
				obj_t BgL_cportz00_5673;

				{	/* Cfa/setup.scm 15 */
					obj_t BgL_stringz00_5681;

					BgL_stringz00_5681 = BGl_string2355z00zzcfa_setupz00;
					{	/* Cfa/setup.scm 15 */
						obj_t BgL_startz00_5682;

						BgL_startz00_5682 = BINT(((long) 0));
						{	/* Cfa/setup.scm 15 */
							obj_t BgL_endz00_5683;

							BgL_endz00_5683 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5681)));
							{	/* Cfa/setup.scm 15 */

								BgL_cportz00_5673 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5681, BgL_startz00_5682, BgL_endz00_5683);
				}}}}
				{
					long BgL_iz00_5674;

					BgL_iz00_5674 = ((long) 6);
				BgL_loopz00_5675:
					if ((BgL_iz00_5674 == ((long) -1)))
						{	/* Cfa/setup.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/setup.scm 15 */
							{	/* Cfa/setup.scm 15 */
								obj_t BgL_arg2357z00_5677;

								{	/* Cfa/setup.scm 15 */

									{	/* Cfa/setup.scm 15 */
										obj_t BgL_locationz00_5679;

										BgL_locationz00_5679 = BBOOL(((bool_t) 0));
										{	/* Cfa/setup.scm 15 */

											BgL_arg2357z00_5677 =
												BGl_readz00zz__readerz00(BgL_cportz00_5673,
												BgL_locationz00_5679);
										}
									}
								}
								{	/* Cfa/setup.scm 15 */
									int BgL_tmpz00_6114;

									BgL_tmpz00_6114 = (int) (BgL_iz00_5674);
									CNST_TABLE_SET(BgL_tmpz00_6114, BgL_arg2357z00_5677);
							}}
							{	/* Cfa/setup.scm 15 */
								int BgL_auxz00_5680;

								BgL_auxz00_5680 = (int) ((BgL_iz00_5674 - ((long) 1)));
								{
									long BgL_iz00_6119;

									BgL_iz00_6119 = (long) (BgL_auxz00_5680);
									BgL_iz00_5674 = BgL_iz00_6119;
									goto BgL_loopz00_5675;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_setupz00()
	{
		{	/* Cfa/setup.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_setupz00()
	{
		{	/* Cfa/setup.scm 15 */
			return BUNSPEC;
		}

	}



/* set-initial-approx! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Cfa/setup.scm 38 */
			{
				obj_t BgL_l1729z00_3379;

				{	/* Cfa/setup.scm 40 */
					bool_t BgL_tmpz00_6122;

					BgL_l1729z00_3379 = BgL_globalsz00_3;
				BgL_zc3z04anonymousza31839ze3z87_3380:
					if (PAIRP(BgL_l1729z00_3379))
						{	/* Cfa/setup.scm 40 */
							{	/* Cfa/setup.scm 42 */
								obj_t BgL_globalz00_3382;

								BgL_globalz00_3382 = CAR(BgL_l1729z00_3379);
								{	/* Cfa/setup.scm 43 */
									BgL_valuez00_bglt BgL_funz00_3383;

									BgL_funz00_3383 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_3382))))->
										BgL_valuez00);
									BGl_funzd2setupz12zc0zzcfa_setupz00(((BgL_funz00_bglt)
											BgL_funz00_3383), BgL_globalz00_3382);
									{	/* Cfa/setup.scm 45 */
										obj_t BgL_g1728z00_3384;

										BgL_g1728z00_3384 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_3383)))->BgL_argsz00);
										{
											obj_t BgL_l1726z00_3386;

											BgL_l1726z00_3386 = BgL_g1728z00_3384;
										BgL_zc3z04anonymousza31841ze3z87_3387:
											if (PAIRP(BgL_l1726z00_3386))
												{	/* Cfa/setup.scm 49 */
													{	/* Cfa/setup.scm 46 */
														obj_t BgL_localz00_3389;

														BgL_localz00_3389 = CAR(BgL_l1726z00_3386);
														{	/* Cfa/setup.scm 46 */
															BgL_reshapedzd2localzd2_bglt BgL_wide1175z00_3392;

															BgL_wide1175z00_3392 =
																((BgL_reshapedzd2localzd2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_reshapedzd2localzd2_bgl))));
															{	/* Cfa/setup.scm 46 */
																obj_t BgL_auxz00_6141;
																BgL_objectz00_bglt BgL_tmpz00_6137;

																BgL_auxz00_6141 =
																	((obj_t) BgL_wide1175z00_3392);
																BgL_tmpz00_6137 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_3389)));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6137,
																	BgL_auxz00_6141);
															}
															((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_3389)));
															{	/* Cfa/setup.scm 46 */
																long BgL_arg1848z00_3393;

																BgL_arg1848z00_3393 =
																	BGL_CLASS_NUM
																	(BGl_reshapedzd2localzd2zzcfa_infoz00);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																			(BgL_localz00_bglt) ((BgL_localz00_bglt)
																				BgL_localz00_3389))),
																	BgL_arg1848z00_3393);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_3389)));
														}
														{
															BgL_reshapedzd2localzd2_bglt BgL_auxz00_6155;

															{
																obj_t BgL_auxz00_6156;

																{	/* Cfa/setup.scm 46 */
																	BgL_objectz00_bglt BgL_tmpz00_6157;

																	BgL_tmpz00_6157 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_localz00_3389)));
																	BgL_auxz00_6156 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_6157);
																}
																BgL_auxz00_6155 =
																	((BgL_reshapedzd2localzd2_bglt)
																	BgL_auxz00_6156);
															}
															((((BgL_reshapedzd2localzd2_bglt)
																		COBJECT(BgL_auxz00_6155))->
																	BgL_bindingzd2valuezd2) =
																((obj_t) BFALSE), BUNSPEC);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_localz00_3389));
														{	/* Cfa/setup.scm 47 */
															BgL_valuez00_bglt BgL_arg1849z00_3395;

															BgL_arg1849z00_3395 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				BgL_localz00_3389))))->BgL_valuez00);
															BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00
																(BgL_arg1849z00_3395,
																((BgL_variablez00_bglt) BgL_localz00_3389));
													}}
													{
														obj_t BgL_l1726z00_6171;

														BgL_l1726z00_6171 = CDR(BgL_l1726z00_3386);
														BgL_l1726z00_3386 = BgL_l1726z00_6171;
														goto BgL_zc3z04anonymousza31841ze3z87_3387;
													}
												}
											else
												{	/* Cfa/setup.scm 49 */
													((bool_t) 1);
												}
										}
									}
								}
								{	/* Cfa/setup.scm 50 */
									obj_t BgL_arg1852z00_3398;

									BgL_arg1852z00_3398 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_globalz00_3382))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_nodezd2setupz12zc0zzcfa_setupz00(((BgL_nodez00_bglt)
											BgL_arg1852z00_3398));
								}
							}
							{
								obj_t BgL_l1729z00_6180;

								BgL_l1729z00_6180 = CDR(BgL_l1729z00_3379);
								BgL_l1729z00_3379 = BgL_l1729z00_6180;
								goto BgL_zc3z04anonymousza31839ze3z87_3380;
							}
						}
					else
						{	/* Cfa/setup.scm 40 */
							BgL_tmpz00_6122 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_6122);
				}
			}
		}

	}



/* &set-initial-approx! */
	obj_t BGl_z62setzd2initialzd2approxz12z70zzcfa_setupz00(obj_t BgL_envz00_5533,
		obj_t BgL_globalsz00_5534)
	{
		{	/* Cfa/setup.scm 38 */
			return
				BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(BgL_globalsz00_5534);
		}

	}



/* alloc-type? */
	bool_t BGl_alloczd2typezf3z21zzcfa_setupz00(BgL_typez00_bglt BgL_typez00_10)
	{
		{	/* Cfa/setup.scm 111 */
			if ((((obj_t) BgL_typez00_10) == BGl_za2vectorza2z00zztype_cachez00))
				{	/* Cfa/setup.scm 113 */
					return ((bool_t) 1);
				}
			else
				{	/* Cfa/setup.scm 113 */
					if (
						(((obj_t) BgL_typez00_10) == BGl_za2procedureza2z00zztype_cachez00))
						{	/* Cfa/setup.scm 114 */
							return ((bool_t) 1);
						}
					else
						{	/* Cfa/setup.scm 114 */
							if (
								(((obj_t) BgL_typez00_10) ==
									BGl_za2structza2z00zztype_cachez00))
								{	/* Cfa/setup.scm 115 */
									return ((bool_t) 1);
								}
							else
								{	/* Cfa/setup.scm 115 */
									if (
										(((obj_t) BgL_typez00_10) ==
											BGl_za2pairza2z00zztype_cachez00))
										{	/* Cfa/setup.scm 116 */
											return BGl_pairzd2optimzf3z21zzcfa_pairz00();
										}
									else
										{	/* Cfa/setup.scm 116 */
											return ((bool_t) 0);
										}
								}
						}
				}
		}

	}



/* node-setup*! */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t
		BgL_nodeza2za2_55)
	{
		{	/* Cfa/setup.scm 487 */
			{
				obj_t BgL_l1743z00_3407;

				{	/* Cfa/setup.scm 488 */
					bool_t BgL_tmpz00_6197;

					BgL_l1743z00_3407 = BgL_nodeza2za2_55;
				BgL_zc3z04anonymousza31860ze3z87_3408:
					if (PAIRP(BgL_l1743z00_3407))
						{	/* Cfa/setup.scm 488 */
							{	/* Cfa/setup.scm 488 */
								obj_t BgL_arg1862z00_3410;

								BgL_arg1862z00_3410 = CAR(BgL_l1743z00_3407);
								BGl_nodezd2setupz12zc0zzcfa_setupz00(
									((BgL_nodez00_bglt) BgL_arg1862z00_3410));
							}
							{
								obj_t BgL_l1743z00_6203;

								BgL_l1743z00_6203 = CDR(BgL_l1743z00_3407);
								BgL_l1743z00_3407 = BgL_l1743z00_6203;
								goto BgL_zc3z04anonymousza31860ze3z87_3408;
							}
						}
					else
						{	/* Cfa/setup.scm 488 */
							BgL_tmpz00_6197 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_6197);
				}
			}
		}

	}



/* &node-setup*! */
	obj_t BGl_z62nodezd2setupza2z12z00zzcfa_setupz00(obj_t BgL_envz00_5535,
		obj_t BgL_nodeza2za2_5536)
	{
		{	/* Cfa/setup.scm 487 */
			return BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_nodeza2za2_5536);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_setupz00()
	{
		{	/* Cfa/setup.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_setupz00()
	{
		{	/* Cfa/setup.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_proc2307z00zzcfa_setupz00, BGl_nodez00zzast_nodez00,
				BGl_string2308z00zzcfa_setupz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_proc2309z00zzcfa_setupz00, BGl_valuez00zzast_varz00,
				BGl_string2310z00zzcfa_setupz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_funzd2setupz12zd2envz12zzcfa_setupz00,
				BGl_proc2311z00zzcfa_setupz00, BGl_funz00zzast_varz00,
				BGl_string2312z00zzcfa_setupz00);
		}

	}



/* &fun-setup!1782 */
	obj_t BGl_z62funzd2setupz121782za2zzcfa_setupz00(obj_t BgL_envz00_5540,
		obj_t BgL_funz00_5541, obj_t BgL_varz00_5542)
	{
		{	/* Cfa/setup.scm 232 */
			{	/* Cfa/setup.scm 233 */
				bool_t BgL_test2421z00_6210;

				{	/* Cfa/setup.scm 233 */
					bool_t BgL_test2422z00_6211;

					{	/* Cfa/setup.scm 233 */
						obj_t BgL_classz00_5686;

						BgL_classz00_5686 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_varz00_5542))
							{	/* Cfa/setup.scm 233 */
								BgL_objectz00_bglt BgL_arg1825z00_5687;

								BgL_arg1825z00_5687 = (BgL_objectz00_bglt) (BgL_varz00_5542);
								{	/* Cfa/setup.scm 233 */
									bool_t BgL_arg1822z00_5688;
									bool_t BgL_arg1823z00_5689;

									{	/* Cfa/setup.scm 233 */
										long BgL_idxz00_5690;

										BgL_idxz00_5690 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5687);
										BgL_arg1822z00_5688 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5690 + ((long) 2))) == BgL_classz00_5686);
									}
									{	/* Cfa/setup.scm 233 */
										bool_t BgL_res2274z00_5693;

										{	/* Cfa/setup.scm 233 */
											obj_t BgL_oclassz00_5694;

											{	/* Cfa/setup.scm 233 */
												long BgL_arg1833z00_5695;

												{	/* Cfa/setup.scm 233 */
													long BgL_arg1834z00_5696;

													BgL_arg1834z00_5696 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5687);
													BgL_arg1833z00_5695 =
														(BgL_arg1834z00_5696 - OBJECT_TYPE);
												}
												BgL_oclassz00_5694 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_5695);
											}
											{	/* Cfa/setup.scm 233 */
												bool_t BgL__ortest_1110z00_5697;

												BgL__ortest_1110z00_5697 =
													(BgL_classz00_5686 == BgL_oclassz00_5694);
												if (BgL__ortest_1110z00_5697)
													{	/* Cfa/setup.scm 233 */
														BgL_res2274z00_5693 = BgL__ortest_1110z00_5697;
													}
												else
													{	/* Cfa/setup.scm 233 */
														long BgL_odepthz00_5698;

														BgL_odepthz00_5698 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5694);
														if ((((long) 2) < BgL_odepthz00_5698))
															{	/* Cfa/setup.scm 233 */
																obj_t BgL_arg1821z00_5699;

																BgL_arg1821z00_5699 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5694,
																	((long) 2));
																BgL_res2274z00_5693 =
																	(BgL_arg1821z00_5699 == BgL_classz00_5686);
															}
														else
															{	/* Cfa/setup.scm 233 */
																BgL_res2274z00_5693 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_5689 = BgL_res2274z00_5693;
									}
									BgL_test2422z00_6211 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_5688, BgL_arg1823z00_5689);
								}
							}
						else
							{	/* Cfa/setup.scm 233 */
								BgL_test2422z00_6211 = ((bool_t) 0);
							}
					}
					if (BgL_test2422z00_6211)
						{	/* Cfa/setup.scm 233 */
							bool_t BgL_test2426z00_6230;

							{	/* Cfa/setup.scm 233 */
								obj_t BgL_classz00_5700;

								BgL_classz00_5700 = BGl_reshapedzd2globalzd2zzcfa_infoz00;
								if (BGL_OBJECTP(BgL_varz00_5542))
									{	/* Cfa/setup.scm 233 */
										BgL_objectz00_bglt BgL_arg1825z00_5701;

										BgL_arg1825z00_5701 =
											(BgL_objectz00_bglt) (BgL_varz00_5542);
										{	/* Cfa/setup.scm 233 */
											bool_t BgL_arg1822z00_5702;
											bool_t BgL_arg1823z00_5703;

											{	/* Cfa/setup.scm 233 */
												long BgL_idxz00_5704;

												BgL_idxz00_5704 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5701);
												BgL_arg1822z00_5702 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5704 + ((long) 3))) ==
													BgL_classz00_5700);
											}
											{	/* Cfa/setup.scm 233 */
												bool_t BgL_res2275z00_5707;

												{	/* Cfa/setup.scm 233 */
													obj_t BgL_oclassz00_5708;

													{	/* Cfa/setup.scm 233 */
														long BgL_arg1833z00_5709;

														{	/* Cfa/setup.scm 233 */
															long BgL_arg1834z00_5710;

															BgL_arg1834z00_5710 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5701);
															BgL_arg1833z00_5709 =
																(BgL_arg1834z00_5710 - OBJECT_TYPE);
														}
														BgL_oclassz00_5708 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_5709);
													}
													{	/* Cfa/setup.scm 233 */
														bool_t BgL__ortest_1110z00_5711;

														BgL__ortest_1110z00_5711 =
															(BgL_classz00_5700 == BgL_oclassz00_5708);
														if (BgL__ortest_1110z00_5711)
															{	/* Cfa/setup.scm 233 */
																BgL_res2275z00_5707 = BgL__ortest_1110z00_5711;
															}
														else
															{	/* Cfa/setup.scm 233 */
																long BgL_odepthz00_5712;

																BgL_odepthz00_5712 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_5708);
																if ((((long) 3) < BgL_odepthz00_5712))
																	{	/* Cfa/setup.scm 233 */
																		obj_t BgL_arg1821z00_5713;

																		BgL_arg1821z00_5713 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_5708, ((long) 3));
																		BgL_res2275z00_5707 =
																			(BgL_arg1821z00_5713 ==
																			BgL_classz00_5700);
																	}
																else
																	{	/* Cfa/setup.scm 233 */
																		BgL_res2275z00_5707 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_5703 = BgL_res2275z00_5707;
											}
											BgL_test2426z00_6230 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_5702,
												BgL_arg1823z00_5703);
										}
									}
								else
									{	/* Cfa/setup.scm 233 */
										BgL_test2426z00_6230 = ((bool_t) 0);
									}
							}
							if (BgL_test2426z00_6230)
								{	/* Cfa/setup.scm 233 */
									BgL_test2421z00_6210 = ((bool_t) 0);
								}
							else
								{	/* Cfa/setup.scm 233 */
									BgL_test2421z00_6210 = ((bool_t) 1);
								}
						}
					else
						{	/* Cfa/setup.scm 233 */
							BgL_test2421z00_6210 = ((bool_t) 0);
						}
				}
				if (BgL_test2421z00_6210)
					{	/* Cfa/setup.scm 233 */
						{	/* Cfa/setup.scm 234 */
							BgL_reshapedzd2globalzd2_bglt BgL_wide1235z00_5714;

							BgL_wide1235z00_5714 =
								((BgL_reshapedzd2globalzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_reshapedzd2globalzd2_bgl))));
							{	/* Cfa/setup.scm 234 */
								obj_t BgL_auxz00_6254;
								BgL_objectz00_bglt BgL_tmpz00_6250;

								BgL_auxz00_6254 = ((obj_t) BgL_wide1235z00_5714);
								BgL_tmpz00_6250 =
									((BgL_objectz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_5542)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6250, BgL_auxz00_6254);
							}
							((BgL_objectz00_bglt)
								((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5542)));
							{	/* Cfa/setup.scm 234 */
								long BgL_arg1875z00_5715;

								BgL_arg1875z00_5715 =
									BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt) BgL_varz00_5542))),
									BgL_arg1875z00_5715);
							}
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5542)));
						}
						((obj_t)
							((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5542)));
					}
				else
					{	/* Cfa/setup.scm 233 */
						BFALSE;
					}
			}
			return BUNSPEC;
		}

	}



/* &variable-value-setup1757 */
	obj_t BGl_z62variablezd2valuezd2setup1757z62zzcfa_setupz00(obj_t
		BgL_envz00_5543, obj_t BgL_valuez00_5544, obj_t BgL_variablez00_5545)
	{
		{	/* Cfa/setup.scm 122 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string2313z00zzcfa_setupz00,
				((obj_t) ((BgL_valuez00_bglt) BgL_valuez00_5544)));
		}

	}



/* &node-setup!1745 */
	obj_t BGl_z62nodezd2setupz121745za2zzcfa_setupz00(obj_t BgL_envz00_5546,
		obj_t BgL_nodez00_5547)
	{
		{	/* Cfa/setup.scm 56 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
				BGl_string2313z00zzcfa_setupz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_5547)));
		}

	}



/* node-setup! */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		{	/* Cfa/setup.scm 56 */
			{	/* Cfa/setup.scm 56 */
				obj_t BgL_method1746z00_3437;

				{	/* Cfa/setup.scm 56 */
					obj_t BgL_res2280z00_4660;

					{	/* Cfa/setup.scm 56 */
						long BgL_objzd2classzd2numz00_4631;

						BgL_objzd2classzd2numz00_4631 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Cfa/setup.scm 56 */
							obj_t BgL_arg1829z00_4632;

							BgL_arg1829z00_4632 =
								PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
								(int) (((long) 1)));
							{	/* Cfa/setup.scm 56 */
								int BgL_offsetz00_4635;

								BgL_offsetz00_4635 = (int) (BgL_objzd2classzd2numz00_4631);
								{	/* Cfa/setup.scm 56 */
									long BgL_offsetz00_4636;

									BgL_offsetz00_4636 =
										((long) (BgL_offsetz00_4635) - OBJECT_TYPE);
									{	/* Cfa/setup.scm 56 */
										long BgL_modz00_4637;

										BgL_modz00_4637 =
											(BgL_offsetz00_4636 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/setup.scm 56 */
											long BgL_restz00_4639;

											BgL_restz00_4639 =
												(BgL_offsetz00_4636 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/setup.scm 56 */

												{	/* Cfa/setup.scm 56 */
													obj_t BgL_bucketz00_4641;

													BgL_bucketz00_4641 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_4632), BgL_modz00_4637);
													BgL_res2280z00_4660 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4641), BgL_restz00_4639);
					}}}}}}}}
					BgL_method1746z00_3437 = BgL_res2280z00_4660;
				}
				return
					PROCEDURE_ENTRY(BgL_method1746z00_3437) (BgL_method1746z00_3437,
					((obj_t) BgL_nodez00_4), BEOA);
			}
		}

	}



/* &node-setup! */
	obj_t BGl_z62nodezd2setupz12za2zzcfa_setupz00(obj_t BgL_envz00_5548,
		obj_t BgL_nodez00_5549)
	{
		{	/* Cfa/setup.scm 56 */
			return
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
				((BgL_nodez00_bglt) BgL_nodez00_5549));
		}

	}



/* variable-value-setup! */
	obj_t BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00(BgL_valuez00_bglt
		BgL_valuez00_11, BgL_variablez00_bglt BgL_variablez00_12)
	{
		{	/* Cfa/setup.scm 122 */
			{	/* Cfa/setup.scm 122 */
				obj_t BgL_method1759z00_3438;

				{	/* Cfa/setup.scm 122 */
					obj_t BgL_res2285z00_4691;

					{	/* Cfa/setup.scm 122 */
						long BgL_objzd2classzd2numz00_4662;

						BgL_objzd2classzd2numz00_4662 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_11));
						{	/* Cfa/setup.scm 122 */
							obj_t BgL_arg1829z00_4663;

							BgL_arg1829z00_4663 =
								PROCEDURE_REF
								(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
								(int) (((long) 1)));
							{	/* Cfa/setup.scm 122 */
								int BgL_offsetz00_4666;

								BgL_offsetz00_4666 = (int) (BgL_objzd2classzd2numz00_4662);
								{	/* Cfa/setup.scm 122 */
									long BgL_offsetz00_4667;

									BgL_offsetz00_4667 =
										((long) (BgL_offsetz00_4666) - OBJECT_TYPE);
									{	/* Cfa/setup.scm 122 */
										long BgL_modz00_4668;

										BgL_modz00_4668 =
											(BgL_offsetz00_4667 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/setup.scm 122 */
											long BgL_restz00_4670;

											BgL_restz00_4670 =
												(BgL_offsetz00_4667 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/setup.scm 122 */

												{	/* Cfa/setup.scm 122 */
													obj_t BgL_bucketz00_4672;

													BgL_bucketz00_4672 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_4663), BgL_modz00_4668);
													BgL_res2285z00_4691 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4672), BgL_restz00_4670);
					}}}}}}}}
					BgL_method1759z00_3438 = BgL_res2285z00_4691;
				}
				return
					PROCEDURE_ENTRY(BgL_method1759z00_3438) (BgL_method1759z00_3438,
					((obj_t) BgL_valuez00_11), ((obj_t) BgL_variablez00_12), BEOA);
			}
		}

	}



/* &variable-value-setup! */
	obj_t BGl_z62variablezd2valuezd2setupz12z70zzcfa_setupz00(obj_t
		BgL_envz00_5550, obj_t BgL_valuez00_5551, obj_t BgL_variablez00_5552)
	{
		{	/* Cfa/setup.scm 122 */
			return
				BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00(
				((BgL_valuez00_bglt) BgL_valuez00_5551),
				((BgL_variablez00_bglt) BgL_variablez00_5552));
		}

	}



/* fun-setup! */
	obj_t BGl_funzd2setupz12zc0zzcfa_setupz00(BgL_funz00_bglt BgL_funz00_31,
		obj_t BgL_varz00_32)
	{
		{	/* Cfa/setup.scm 232 */
			{	/* Cfa/setup.scm 232 */
				obj_t BgL_method1783z00_3439;

				{	/* Cfa/setup.scm 232 */
					obj_t BgL_res2290z00_4722;

					{	/* Cfa/setup.scm 232 */
						long BgL_objzd2classzd2numz00_4693;

						BgL_objzd2classzd2numz00_4693 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_31));
						{	/* Cfa/setup.scm 232 */
							obj_t BgL_arg1829z00_4694;

							BgL_arg1829z00_4694 =
								PROCEDURE_REF(BGl_funzd2setupz12zd2envz12zzcfa_setupz00,
								(int) (((long) 1)));
							{	/* Cfa/setup.scm 232 */
								int BgL_offsetz00_4697;

								BgL_offsetz00_4697 = (int) (BgL_objzd2classzd2numz00_4693);
								{	/* Cfa/setup.scm 232 */
									long BgL_offsetz00_4698;

									BgL_offsetz00_4698 =
										((long) (BgL_offsetz00_4697) - OBJECT_TYPE);
									{	/* Cfa/setup.scm 232 */
										long BgL_modz00_4699;

										BgL_modz00_4699 =
											(BgL_offsetz00_4698 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/setup.scm 232 */
											long BgL_restz00_4701;

											BgL_restz00_4701 =
												(BgL_offsetz00_4698 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/setup.scm 232 */

												{	/* Cfa/setup.scm 232 */
													obj_t BgL_bucketz00_4703;

													BgL_bucketz00_4703 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_4694), BgL_modz00_4699);
													BgL_res2290z00_4722 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4703), BgL_restz00_4701);
					}}}}}}}}
					BgL_method1783z00_3439 = BgL_res2290z00_4722;
				}
				return
					PROCEDURE_ENTRY(BgL_method1783z00_3439) (BgL_method1783z00_3439,
					((obj_t) BgL_funz00_31), BgL_varz00_32, BEOA);
			}
		}

	}



/* &fun-setup! */
	obj_t BGl_z62funzd2setupz12za2zzcfa_setupz00(obj_t BgL_envz00_5553,
		obj_t BgL_funz00_5554, obj_t BgL_varz00_5555)
	{
		{	/* Cfa/setup.scm 232 */
			return
				BGl_funzd2setupz12zc0zzcfa_setupz00(
				((BgL_funz00_bglt) BgL_funz00_5554), BgL_varz00_5555);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_setupz00()
	{
		{	/* Cfa/setup.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_literalz00zzast_nodez00, BGl_proc2314z00zzcfa_setupz00,
				BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_patchz00zzast_nodez00,
				BGl_proc2316z00zzcfa_setupz00, BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_kwotez00zzast_nodez00,
				BGl_proc2317z00zzcfa_setupz00, BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_kwotezf2nodezf2zzcfa_infoz00, BGl_proc2318z00zzcfa_setupz00,
				BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_varz00zzast_nodez00,
				BGl_proc2319z00zzcfa_setupz00, BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_sfunz00zzast_varz00, BGl_proc2320z00zzcfa_setupz00,
				BGl_string2321z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_svarz00zzast_varz00, BGl_proc2322z00zzcfa_setupz00,
				BGl_string2321z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_prezd2clozd2envz00zzcfa_infoz00, BGl_proc2323z00zzcfa_setupz00,
				BGl_string2321z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_sexitz00zzast_varz00, BGl_proc2324z00zzcfa_setupz00,
				BGl_string2321z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc2325z00zzcfa_setupz00,
				BGl_string2321z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_scnstz00zzast_varz00, BGl_proc2326z00zzcfa_setupz00,
				BGl_string2321z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_cvarz00zzast_varz00, BGl_proc2327z00zzcfa_setupz00,
				BGl_string2321z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_closurez00zzast_nodez00, BGl_proc2328z00zzcfa_setupz00,
				BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2329z00zzcfa_setupz00,
				BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_syncz00zzast_nodez00,
				BGl_proc2330z00zzcfa_setupz00, BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_appz00zzast_nodez00,
				BGl_proc2331z00zzcfa_setupz00, BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_funzd2setupz12zd2envz12zzcfa_setupz00, BGl_sfunz00zzast_varz00,
				BGl_proc2332z00zzcfa_setupz00, BGl_string2333z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_funzd2setupz12zd2envz12zzcfa_setupz00, BGl_cfunz00zzast_varz00,
				BGl_proc2334z00zzcfa_setupz00, BGl_string2333z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2335z00zzcfa_setupz00,
				BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2336z00zzcfa_setupz00,
				BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_pragmaz00zzast_nodez00,
				BGl_proc2337z00zzcfa_setupz00, BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_genpatchidz00zzast_nodez00, BGl_proc2338z00zzcfa_setupz00,
				BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_getfieldz00zzast_nodez00, BGl_proc2339z00zzcfa_setupz00,
				BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_setfieldz00zzast_nodez00, BGl_proc2340z00zzcfa_setupz00,
				BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_newz00zzast_nodez00,
				BGl_proc2341z00zzcfa_setupz00, BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2342z00zzcfa_setupz00,
				BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_castzd2nullzd2zzast_nodez00, BGl_proc2343z00zzcfa_setupz00,
				BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_castz00zzast_nodez00,
				BGl_proc2344z00zzcfa_setupz00, BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_setqz00zzast_nodez00,
				BGl_proc2345z00zzcfa_setupz00, BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2346z00zzcfa_setupz00,
				BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_failz00zzast_nodez00,
				BGl_proc2347z00zzcfa_setupz00, BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_switchz00zzast_nodez00,
				BGl_proc2348z00zzcfa_setupz00, BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2349z00zzcfa_setupz00,
				BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2350z00zzcfa_setupz00,
				BGl_string2315z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2351z00zzcfa_setupz00,
				BGl_string2315z00zzcfa_setupz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2352z00zzcfa_setupz00,
				BGl_string2315z00zzcfa_setupz00);
		}

	}



/* &node-setup!-jump-ex-1823 */
	obj_t BGl_z62nodezd2setupz12zd2jumpzd2exzd21823z70zzcfa_setupz00(obj_t
		BgL_envz00_5592, obj_t BgL_nodez00_5593)
	{
		{	/* Cfa/setup.scm 476 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5593)))->BgL_exitz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5593)))->BgL_valuez00));
			{	/* Cfa/setup.scm 480 */
				BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_wide1358z00_5720;

				BgL_wide1358z00_5720 =
					((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_jumpzd2exzd2itzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 480 */
					obj_t BgL_auxz00_6426;
					BgL_objectz00_bglt BgL_tmpz00_6422;

					BgL_auxz00_6426 = ((obj_t) BgL_wide1358z00_5720);
					BgL_tmpz00_6422 =
						((BgL_objectz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5593)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6422, BgL_auxz00_6426);
				}
				((BgL_objectz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5593)));
				{	/* Cfa/setup.scm 480 */
					long BgL_arg2082z00_5721;

					BgL_arg2082z00_5721 =
						BGL_CLASS_NUM(BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5593))),
						BgL_arg2082z00_5721);
				}
				((BgL_jumpzd2exzd2itz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5593)));
			}
			{
				BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_6440;

				{
					obj_t BgL_auxz00_6441;

					{	/* Cfa/setup.scm 481 */
						BgL_objectz00_bglt BgL_tmpz00_6442;

						BgL_tmpz00_6442 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5593)));
						BgL_auxz00_6441 = BGL_OBJECT_WIDENING(BgL_tmpz00_6442);
					}
					BgL_auxz00_6440 =
						((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_6441);
				}
				((((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6440))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
			}
			((BgL_jumpzd2exzd2itz00_bglt)
				((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5593));
			{	/* Cfa/setup.scm 482 */
				BgL_approxz00_bglt BgL_arg2083z00_5722;

				{
					BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_6453;

					{
						obj_t BgL_auxz00_6454;

						{	/* Cfa/setup.scm 482 */
							BgL_objectz00_bglt BgL_tmpz00_6455;

							BgL_tmpz00_6455 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5593)));
							BgL_auxz00_6454 = BGL_OBJECT_WIDENING(BgL_tmpz00_6455);
						}
						BgL_auxz00_6453 =
							((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_6454);
					}
					BgL_arg2083z00_5722 =
						(((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6453))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2083z00_5722);
			}
		}

	}



/* &node-setup!-set-ex-i1821 */
	obj_t BGl_z62nodezd2setupz12zd2setzd2exzd2i1821z70zzcfa_setupz00(obj_t
		BgL_envz00_5594, obj_t BgL_nodez00_5595)
	{
		{	/* Cfa/setup.scm 463 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5595)))->BgL_bodyz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5595)))->BgL_onexitz00));
			{	/* Cfa/setup.scm 467 */
				BgL_varz00_bglt BgL_arg2073z00_5724;

				BgL_arg2073z00_5724 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5595)))->BgL_varz00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg2073z00_5724));
			}
			{	/* Cfa/setup.scm 468 */
				BgL_localz00_bglt BgL_tmp1347z00_5725;

				BgL_tmp1347z00_5725 =
					((BgL_localz00_bglt)
					(((BgL_varz00_bglt) COBJECT(
								(((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5595)))->
									BgL_varz00)))->BgL_variablez00));
				{	/* Cfa/setup.scm 468 */
					BgL_reshapedzd2localzd2_bglt BgL_wide1349z00_5726;

					BgL_wide1349z00_5726 =
						((BgL_reshapedzd2localzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_reshapedzd2localzd2_bgl))));
					{	/* Cfa/setup.scm 468 */
						obj_t BgL_auxz00_6481;
						BgL_objectz00_bglt BgL_tmpz00_6478;

						BgL_auxz00_6481 = ((obj_t) BgL_wide1349z00_5726);
						BgL_tmpz00_6478 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_tmp1347z00_5725));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6478, BgL_auxz00_6481);
					}
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_tmp1347z00_5725));
					{	/* Cfa/setup.scm 468 */
						long BgL_arg2074z00_5727;

						BgL_arg2074z00_5727 =
							BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_tmp1347z00_5725)),
							BgL_arg2074z00_5727);
					}
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_tmp1347z00_5725));
				}
				{
					BgL_reshapedzd2localzd2_bglt BgL_auxz00_6492;

					{
						obj_t BgL_auxz00_6493;

						{	/* Cfa/setup.scm 468 */
							BgL_objectz00_bglt BgL_tmpz00_6494;

							BgL_tmpz00_6494 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_tmp1347z00_5725));
							BgL_auxz00_6493 = BGL_OBJECT_WIDENING(BgL_tmpz00_6494);
						}
						BgL_auxz00_6492 = ((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_6493);
					}
					((((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_6492))->
							BgL_bindingzd2valuezd2) = ((obj_t) BFALSE), BUNSPEC);
				}
				((BgL_localz00_bglt) BgL_tmp1347z00_5725);
			}
			{	/* Cfa/setup.scm 469 */
				BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_wide1353z00_5728;

				BgL_wide1353z00_5728 =
					((BgL_setzd2exzd2itzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setzd2exzd2itzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 469 */
					obj_t BgL_auxz00_6506;
					BgL_objectz00_bglt BgL_tmpz00_6502;

					BgL_auxz00_6506 = ((obj_t) BgL_wide1353z00_5728);
					BgL_tmpz00_6502 =
						((BgL_objectz00_bglt)
						((BgL_setzd2exzd2itz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5595)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6502, BgL_auxz00_6506);
				}
				((BgL_objectz00_bglt)
					((BgL_setzd2exzd2itz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5595)));
				{	/* Cfa/setup.scm 469 */
					long BgL_arg2076z00_5729;

					BgL_arg2076z00_5729 =
						BGL_CLASS_NUM(BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5595))),
						BgL_arg2076z00_5729);
				}
				((BgL_setzd2exzd2itz00_bglt)
					((BgL_setzd2exzd2itz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5595)));
			}
			{
				BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_6520;

				{
					obj_t BgL_auxz00_6521;

					{	/* Cfa/setup.scm 470 */
						BgL_objectz00_bglt BgL_tmpz00_6522;

						BgL_tmpz00_6522 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5595)));
						BgL_auxz00_6521 = BGL_OBJECT_WIDENING(BgL_tmpz00_6522);
					}
					BgL_auxz00_6520 =
						((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_6521);
				}
				((((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6520))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
			}
			((BgL_setzd2exzd2itz00_bglt)
				((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5595));
			{	/* Cfa/setup.scm 471 */
				BgL_approxz00_bglt BgL_arg2077z00_5730;

				{
					BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_6533;

					{
						obj_t BgL_auxz00_6534;

						{	/* Cfa/setup.scm 471 */
							BgL_objectz00_bglt BgL_tmpz00_6535;

							BgL_tmpz00_6535 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5595)));
							BgL_auxz00_6534 = BGL_OBJECT_WIDENING(BgL_tmpz00_6535);
						}
						BgL_auxz00_6533 =
							((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_6534);
					}
					BgL_arg2077z00_5730 =
						(((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6533))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2077z00_5730);
			}
		}

	}



/* &node-setup!-let-var1819 */
	obj_t BGl_z62nodezd2setupz12zd2letzd2var1819za2zzcfa_setupz00(obj_t
		BgL_envz00_5596, obj_t BgL_nodez00_5597)
	{
		{	/* Cfa/setup.scm 436 */
			{	/* Cfa/setup.scm 439 */
				obj_t BgL_g1742z00_5732;

				BgL_g1742z00_5732 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_5597)))->BgL_bindingsz00);
				{
					obj_t BgL_l1740z00_5734;

					BgL_l1740z00_5734 = BgL_g1742z00_5732;
				BgL_zc3z04anonymousza32060ze3z87_5733:
					if (PAIRP(BgL_l1740z00_5734))
						{	/* Cfa/setup.scm 439 */
							{	/* Cfa/setup.scm 440 */
								obj_t BgL_bindingz00_5735;

								BgL_bindingz00_5735 = CAR(BgL_l1740z00_5734);
								{	/* Cfa/setup.scm 440 */
									obj_t BgL_varz00_5736;
									obj_t BgL_valz00_5737;

									BgL_varz00_5736 = CAR(((obj_t) BgL_bindingz00_5735));
									BgL_valz00_5737 = CDR(((obj_t) BgL_bindingz00_5735));
									{	/* Cfa/setup.scm 442 */
										BgL_valuez00_bglt BgL_arg2062z00_5738;

										BgL_arg2062z00_5738 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_varz00_5736))))->
											BgL_valuez00);
										BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00
											(BgL_arg2062z00_5738,
											((BgL_variablez00_bglt) BgL_varz00_5736));
									}
									BGl_nodezd2setupz12zc0zzcfa_setupz00(
										((BgL_nodez00_bglt) BgL_valz00_5737));
									{	/* Cfa/setup.scm 447 */
										BgL_reshapedzd2localzd2_bglt BgL_wide1344z00_5739;

										BgL_wide1344z00_5739 =
											((BgL_reshapedzd2localzd2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_reshapedzd2localzd2_bgl))));
										{	/* Cfa/setup.scm 447 */
											obj_t BgL_auxz00_6564;
											BgL_objectz00_bglt BgL_tmpz00_6560;

											BgL_auxz00_6564 = ((obj_t) BgL_wide1344z00_5739);
											BgL_tmpz00_6560 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_varz00_5736)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6560, BgL_auxz00_6564);
										}
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_varz00_5736)));
										{	/* Cfa/setup.scm 447 */
											long BgL_arg2063z00_5740;

											BgL_arg2063z00_5740 =
												BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_varz00_5736))),
												BgL_arg2063z00_5740);
										}
										((BgL_localz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_varz00_5736)));
									}
									{
										obj_t BgL_auxz00_6586;
										BgL_reshapedzd2localzd2_bglt BgL_auxz00_6578;

										if (
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_5736))))->
													BgL_accessz00) == CNST_TABLE_REF(((long) 2))))
											{	/* Cfa/setup.scm 448 */
												BgL_auxz00_6586 = BgL_valz00_5737;
											}
										else
											{	/* Cfa/setup.scm 448 */
												BgL_auxz00_6586 = BFALSE;
											}
										{
											obj_t BgL_auxz00_6579;

											{	/* Cfa/setup.scm 448 */
												BgL_objectz00_bglt BgL_tmpz00_6580;

												BgL_tmpz00_6580 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_varz00_5736)));
												BgL_auxz00_6579 = BGL_OBJECT_WIDENING(BgL_tmpz00_6580);
											}
											BgL_auxz00_6578 =
												((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_6579);
										}
										((((BgL_reshapedzd2localzd2_bglt)
													COBJECT(BgL_auxz00_6578))->BgL_bindingzd2valuezd2) =
											((obj_t) BgL_auxz00_6586), BUNSPEC);
									}
									((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_varz00_5736));
									BNIL;
								}
							}
							{
								obj_t BgL_l1740z00_6596;

								BgL_l1740z00_6596 = CDR(BgL_l1740z00_5734);
								BgL_l1740z00_5734 = BgL_l1740z00_6596;
								goto BgL_zc3z04anonymousza32060ze3z87_5733;
							}
						}
					else
						{	/* Cfa/setup.scm 439 */
							((bool_t) 1);
						}
				}
			}
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_5597)))->BgL_bodyz00));
			return BNIL;
		}

	}



/* &node-setup!-let-fun1817 */
	obj_t BGl_z62nodezd2setupz12zd2letzd2fun1817za2zzcfa_setupz00(obj_t
		BgL_envz00_5598, obj_t BgL_nodez00_5599)
	{
		{	/* Cfa/setup.scm 419 */
			{	/* Cfa/setup.scm 421 */
				obj_t BgL_g1739z00_5742;

				BgL_g1739z00_5742 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_5599)))->BgL_localsz00);
				{
					obj_t BgL_l1737z00_5744;

					BgL_l1737z00_5744 = BgL_g1739z00_5742;
				BgL_zc3z04anonymousza32048ze3z87_5743:
					if (PAIRP(BgL_l1737z00_5744))
						{	/* Cfa/setup.scm 421 */
							{	/* Cfa/setup.scm 422 */
								obj_t BgL_lz00_5745;

								BgL_lz00_5745 = CAR(BgL_l1737z00_5744);
								{	/* Cfa/setup.scm 422 */
									BgL_reshapedzd2localzd2_bglt BgL_wide1335z00_5746;

									BgL_wide1335z00_5746 =
										((BgL_reshapedzd2localzd2_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_reshapedzd2localzd2_bgl))));
									{	/* Cfa/setup.scm 422 */
										obj_t BgL_auxz00_6611;
										BgL_objectz00_bglt BgL_tmpz00_6607;

										BgL_auxz00_6611 = ((obj_t) BgL_wide1335z00_5746);
										BgL_tmpz00_6607 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_lz00_5745)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6607, BgL_auxz00_6611);
									}
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_lz00_5745)));
									{	/* Cfa/setup.scm 422 */
										long BgL_arg2050z00_5747;

										BgL_arg2050z00_5747 =
											BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_lz00_5745))),
											BgL_arg2050z00_5747);
									}
									((BgL_localz00_bglt)
										((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_lz00_5745)));
								}
								{
									BgL_reshapedzd2localzd2_bglt BgL_auxz00_6625;

									{
										obj_t BgL_auxz00_6626;

										{	/* Cfa/setup.scm 422 */
											BgL_objectz00_bglt BgL_tmpz00_6627;

											BgL_tmpz00_6627 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_lz00_5745)));
											BgL_auxz00_6626 = BGL_OBJECT_WIDENING(BgL_tmpz00_6627);
										}
										BgL_auxz00_6625 =
											((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_6626);
									}
									((((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_6625))->
											BgL_bindingzd2valuezd2) = ((obj_t) BFALSE), BUNSPEC);
								}
								((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_lz00_5745));
								{	/* Cfa/setup.scm 423 */
									BgL_valuez00_bglt BgL_funz00_5748;

									BgL_funz00_5748 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_lz00_5745))))->BgL_valuez00);
									{	/* Cfa/setup.scm 424 */
										obj_t BgL_g1736z00_5749;

										BgL_g1736z00_5749 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_5748)))->BgL_argsz00);
										{
											obj_t BgL_l1734z00_5751;

											BgL_l1734z00_5751 = BgL_g1736z00_5749;
										BgL_zc3z04anonymousza32051ze3z87_5750:
											if (PAIRP(BgL_l1734z00_5751))
												{	/* Cfa/setup.scm 428 */
													{	/* Cfa/setup.scm 425 */
														obj_t BgL_localz00_5752;

														BgL_localz00_5752 = CAR(BgL_l1734z00_5751);
														{	/* Cfa/setup.scm 425 */
															BgL_reshapedzd2localzd2_bglt BgL_wide1339z00_5753;

															BgL_wide1339z00_5753 =
																((BgL_reshapedzd2localzd2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_reshapedzd2localzd2_bgl))));
															{	/* Cfa/setup.scm 425 */
																obj_t BgL_auxz00_6649;
																BgL_objectz00_bglt BgL_tmpz00_6645;

																BgL_auxz00_6649 =
																	((obj_t) BgL_wide1339z00_5753);
																BgL_tmpz00_6645 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_5752)));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6645,
																	BgL_auxz00_6649);
															}
															((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_5752)));
															{	/* Cfa/setup.scm 425 */
																long BgL_arg2053z00_5754;

																BgL_arg2053z00_5754 =
																	BGL_CLASS_NUM
																	(BGl_reshapedzd2localzd2zzcfa_infoz00);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																			(BgL_localz00_bglt) ((BgL_localz00_bglt)
																				BgL_localz00_5752))),
																	BgL_arg2053z00_5754);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_5752)));
														}
														{
															BgL_reshapedzd2localzd2_bglt BgL_auxz00_6663;

															{
																obj_t BgL_auxz00_6664;

																{	/* Cfa/setup.scm 425 */
																	BgL_objectz00_bglt BgL_tmpz00_6665;

																	BgL_tmpz00_6665 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_localz00_5752)));
																	BgL_auxz00_6664 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_6665);
																}
																BgL_auxz00_6663 =
																	((BgL_reshapedzd2localzd2_bglt)
																	BgL_auxz00_6664);
															}
															((((BgL_reshapedzd2localzd2_bglt)
																		COBJECT(BgL_auxz00_6663))->
																	BgL_bindingzd2valuezd2) =
																((obj_t) BFALSE), BUNSPEC);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_localz00_5752));
														{	/* Cfa/setup.scm 426 */
															BgL_valuez00_bglt BgL_arg2054z00_5755;

															BgL_arg2054z00_5755 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				BgL_localz00_5752))))->BgL_valuez00);
															BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00
																(BgL_arg2054z00_5755,
																((BgL_variablez00_bglt) BgL_localz00_5752));
													}}
													{
														obj_t BgL_l1734z00_6679;

														BgL_l1734z00_6679 = CDR(BgL_l1734z00_5751);
														BgL_l1734z00_5751 = BgL_l1734z00_6679;
														goto BgL_zc3z04anonymousza32051ze3z87_5750;
													}
												}
											else
												{	/* Cfa/setup.scm 428 */
													((bool_t) 1);
												}
										}
									}
									{	/* Cfa/setup.scm 429 */
										obj_t BgL_arg2056z00_5756;

										BgL_arg2056z00_5756 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_5748)))->BgL_bodyz00);
										BGl_nodezd2setupz12zc0zzcfa_setupz00(
											((BgL_nodez00_bglt) BgL_arg2056z00_5756));
									}
								}
							}
							{
								obj_t BgL_l1737z00_6685;

								BgL_l1737z00_6685 = CDR(BgL_l1737z00_5744);
								BgL_l1737z00_5744 = BgL_l1737z00_6685;
								goto BgL_zc3z04anonymousza32048ze3z87_5743;
							}
						}
					else
						{	/* Cfa/setup.scm 421 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_5599)))->BgL_bodyz00));
		}

	}



/* &node-setup!-switch1815 */
	obj_t BGl_z62nodezd2setupz12zd2switch1815z70zzcfa_setupz00(obj_t
		BgL_envz00_5600, obj_t BgL_nodez00_5601)
	{
		{	/* Cfa/setup.scm 407 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_5601)))->BgL_testz00));
			{	/* Cfa/setup.scm 410 */
				obj_t BgL_g1733z00_5758;

				BgL_g1733z00_5758 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_5601)))->BgL_clausesz00);
				{
					obj_t BgL_l1731z00_5760;

					BgL_l1731z00_5760 = BgL_g1733z00_5758;
				BgL_zc3z04anonymousza32043ze3z87_5759:
					if (PAIRP(BgL_l1731z00_5760))
						{	/* Cfa/setup.scm 410 */
							{	/* Cfa/setup.scm 411 */
								obj_t BgL_clausez00_5761;

								BgL_clausez00_5761 = CAR(BgL_l1731z00_5760);
								{	/* Cfa/setup.scm 411 */
									obj_t BgL_arg2045z00_5762;

									BgL_arg2045z00_5762 = CDR(((obj_t) BgL_clausez00_5761));
									BGl_nodezd2setupz12zc0zzcfa_setupz00(
										((BgL_nodez00_bglt) BgL_arg2045z00_5762));
								}
							}
							{
								obj_t BgL_l1731z00_6702;

								BgL_l1731z00_6702 = CDR(BgL_l1731z00_5760);
								BgL_l1731z00_5760 = BgL_l1731z00_6702;
								goto BgL_zc3z04anonymousza32043ze3z87_5759;
							}
						}
					else
						{	/* Cfa/setup.scm 410 */
							((bool_t) 1);
						}
				}
			}
			{	/* Cfa/setup.scm 413 */
				BgL_switchzf2cinfozf2_bglt BgL_wide1330z00_5763;

				BgL_wide1330z00_5763 =
					((BgL_switchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_switchzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 413 */
					obj_t BgL_auxz00_6709;
					BgL_objectz00_bglt BgL_tmpz00_6705;

					BgL_auxz00_6709 = ((obj_t) BgL_wide1330z00_5763);
					BgL_tmpz00_6705 =
						((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_5601)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6705, BgL_auxz00_6709);
				}
				((BgL_objectz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_5601)));
				{	/* Cfa/setup.scm 413 */
					long BgL_arg2047z00_5764;

					BgL_arg2047z00_5764 =
						BGL_CLASS_NUM(BGl_switchzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_nodez00_5601))), BgL_arg2047z00_5764);
				}
				((BgL_switchz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_5601)));
			}
			{
				BgL_switchzf2cinfozf2_bglt BgL_auxz00_6723;

				{
					obj_t BgL_auxz00_6724;

					{	/* Cfa/setup.scm 414 */
						BgL_objectz00_bglt BgL_tmpz00_6725;

						BgL_tmpz00_6725 =
							((BgL_objectz00_bglt)
							((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_5601)));
						BgL_auxz00_6724 = BGL_OBJECT_WIDENING(BgL_tmpz00_6725);
					}
					BgL_auxz00_6723 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_6724);
				}
				((((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6723))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) BGl_makezd2emptyzd2approxz00zzcfa_approxz00()),
					BUNSPEC);
			}
			return
				((obj_t)
				((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_5601)));
		}

	}



/* &node-setup!-fail1813 */
	obj_t BGl_z62nodezd2setupz12zd2fail1813z70zzcfa_setupz00(obj_t
		BgL_envz00_5602, obj_t BgL_nodez00_5603)
	{
		{	/* Cfa/setup.scm 396 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_5603)))->BgL_procz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_5603)))->BgL_msgz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_5603)))->BgL_objz00));
			{	/* Cfa/setup.scm 401 */
				BgL_failzf2cinfozf2_bglt BgL_wide1325z00_5766;

				BgL_wide1325z00_5766 =
					((BgL_failzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_failzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 401 */
					obj_t BgL_auxz00_6750;
					BgL_objectz00_bglt BgL_tmpz00_6746;

					BgL_auxz00_6750 = ((obj_t) BgL_wide1325z00_5766);
					BgL_tmpz00_6746 =
						((BgL_objectz00_bglt)
						((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_nodez00_5603)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6746, BgL_auxz00_6750);
				}
				((BgL_objectz00_bglt)
					((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_nodez00_5603)));
				{	/* Cfa/setup.scm 401 */
					long BgL_arg2041z00_5767;

					BgL_arg2041z00_5767 = BGL_CLASS_NUM(BGl_failzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_failz00_bglt)
								((BgL_failz00_bglt) BgL_nodez00_5603))), BgL_arg2041z00_5767);
				}
				((BgL_failz00_bglt)
					((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_nodez00_5603)));
			}
			{
				BgL_failzf2cinfozf2_bglt BgL_auxz00_6764;

				{
					obj_t BgL_auxz00_6765;

					{	/* Cfa/setup.scm 402 */
						BgL_objectz00_bglt BgL_tmpz00_6766;

						BgL_tmpz00_6766 =
							((BgL_objectz00_bglt)
							((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_nodez00_5603)));
						BgL_auxz00_6765 = BGL_OBJECT_WIDENING(BgL_tmpz00_6766);
					}
					BgL_auxz00_6764 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_6765);
				}
				((((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6764))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
			}
			return
				((obj_t) ((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_nodez00_5603)));
		}

	}



/* &node-setup!-conditio1811 */
	obj_t BGl_z62nodezd2setupz12zd2conditio1811z70zzcfa_setupz00(obj_t
		BgL_envz00_5604, obj_t BgL_nodez00_5605)
	{
		{	/* Cfa/setup.scm 385 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_5605)))->BgL_testz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_5605)))->BgL_truez00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_5605)))->BgL_falsez00));
			{	/* Cfa/setup.scm 390 */
				BgL_conditionalzf2cinfozf2_bglt BgL_wide1320z00_5769;

				BgL_wide1320z00_5769 =
					((BgL_conditionalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_conditionalzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 390 */
					obj_t BgL_auxz00_6792;
					BgL_objectz00_bglt BgL_tmpz00_6788;

					BgL_auxz00_6792 = ((obj_t) BgL_wide1320z00_5769);
					BgL_tmpz00_6788 =
						((BgL_objectz00_bglt)
						((BgL_conditionalz00_bglt)
							((BgL_conditionalz00_bglt) BgL_nodez00_5605)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6788, BgL_auxz00_6792);
				}
				((BgL_objectz00_bglt)
					((BgL_conditionalz00_bglt)
						((BgL_conditionalz00_bglt) BgL_nodez00_5605)));
				{	/* Cfa/setup.scm 390 */
					long BgL_arg2036z00_5770;

					BgL_arg2036z00_5770 =
						BGL_CLASS_NUM(BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nodez00_5605))),
						BgL_arg2036z00_5770);
				}
				((BgL_conditionalz00_bglt)
					((BgL_conditionalz00_bglt)
						((BgL_conditionalz00_bglt) BgL_nodez00_5605)));
			}
			{
				BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_6806;

				{
					obj_t BgL_auxz00_6807;

					{	/* Cfa/setup.scm 391 */
						BgL_objectz00_bglt BgL_tmpz00_6808;

						BgL_tmpz00_6808 =
							((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nodez00_5605)));
						BgL_auxz00_6807 = BGL_OBJECT_WIDENING(BgL_tmpz00_6808);
					}
					BgL_auxz00_6806 = ((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_6807);
				}
				((((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6806))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) BGl_makezd2emptyzd2approxz00zzcfa_approxz00()),
					BUNSPEC);
			}
			return
				((obj_t)
				((BgL_conditionalz00_bglt)
					((BgL_conditionalz00_bglt) BgL_nodez00_5605)));
		}

	}



/* &node-setup!-setq1809 */
	obj_t BGl_z62nodezd2setupz12zd2setq1809z70zzcfa_setupz00(obj_t
		BgL_envz00_5606, obj_t BgL_nodez00_5607)
	{
		{	/* Cfa/setup.scm 374 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_5607)))->BgL_valuez00));
			{	/* Tools/trace.sch 53 */
				BgL_varz00_bglt BgL_arg2030z00_5772;

				BgL_arg2030z00_5772 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_5607)))->BgL_varz00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg2030z00_5772));
			}
			{	/* Tools/trace.sch 53 */
				BgL_setqzf2cinfozf2_bglt BgL_wide1315z00_5773;

				BgL_wide1315z00_5773 =
					((BgL_setqzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setqzf2cinfozf2_bgl))));
				{	/* Tools/trace.sch 53 */
					obj_t BgL_auxz00_6831;
					BgL_objectz00_bglt BgL_tmpz00_6827;

					BgL_auxz00_6831 = ((obj_t) BgL_wide1315z00_5773);
					BgL_tmpz00_6827 =
						((BgL_objectz00_bglt)
						((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_5607)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6827, BgL_auxz00_6831);
				}
				((BgL_objectz00_bglt)
					((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_5607)));
				{	/* Tools/trace.sch 53 */
					long BgL_arg2031z00_5774;

					BgL_arg2031z00_5774 = BGL_CLASS_NUM(BGl_setqzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setqz00_bglt)
								((BgL_setqz00_bglt) BgL_nodez00_5607))), BgL_arg2031z00_5774);
				}
				((BgL_setqz00_bglt)
					((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_5607)));
			}
			{
				BgL_setqzf2cinfozf2_bglt BgL_auxz00_6845;

				{
					obj_t BgL_auxz00_6846;

					{	/* Tools/trace.sch 53 */
						BgL_objectz00_bglt BgL_tmpz00_6847;

						BgL_tmpz00_6847 =
							((BgL_objectz00_bglt)
							((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_5607)));
						BgL_auxz00_6846 = BGL_OBJECT_WIDENING(BgL_tmpz00_6847);
					}
					BgL_auxz00_6845 = ((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_6846);
				}
				((((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6845))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
			}
			return
				((obj_t) ((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_5607)));
		}

	}



/* &node-setup!-cast1807 */
	obj_t BGl_z62nodezd2setupz12zd2cast1807z70zzcfa_setupz00(obj_t
		BgL_envz00_5608, obj_t BgL_nodez00_5609)
	{
		{	/* Cfa/setup.scm 367 */
			return
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_5609)))->BgL_argz00));
		}

	}



/* &node-setup!-cast-nul1805 */
	obj_t BGl_z62nodezd2setupz12zd2castzd2nul1805za2zzcfa_setupz00(obj_t
		BgL_envz00_5610, obj_t BgL_nodez00_5611)
	{
		{	/* Cfa/setup.scm 359 */
			{	/* Cfa/setup.scm 361 */
				BgL_castzd2nullzf2cinfoz20_bglt BgL_wide1309z00_5777;

				BgL_wide1309z00_5777 =
					((BgL_castzd2nullzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_castzd2nullzf2cinfoz20_bgl))));
				{	/* Cfa/setup.scm 361 */
					obj_t BgL_auxz00_6867;
					BgL_objectz00_bglt BgL_tmpz00_6863;

					BgL_auxz00_6867 = ((obj_t) BgL_wide1309z00_5777);
					BgL_tmpz00_6863 =
						((BgL_objectz00_bglt)
						((BgL_castzd2nullzd2_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_nodez00_5611)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6863, BgL_auxz00_6867);
				}
				((BgL_objectz00_bglt)
					((BgL_castzd2nullzd2_bglt)
						((BgL_castzd2nullzd2_bglt) BgL_nodez00_5611)));
				{	/* Cfa/setup.scm 361 */
					long BgL_arg2024z00_5778;

					BgL_arg2024z00_5778 =
						BGL_CLASS_NUM(BGl_castzd2nullzf2Cinfoz20zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_castzd2nullzd2_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nodez00_5611))),
						BgL_arg2024z00_5778);
				}
				((BgL_castzd2nullzd2_bglt)
					((BgL_castzd2nullzd2_bglt)
						((BgL_castzd2nullzd2_bglt) BgL_nodez00_5611)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_6889;
				BgL_castzd2nullzf2cinfoz20_bglt BgL_auxz00_6881;

				{	/* Cfa/setup.scm 362 */
					BgL_typez00_bglt BgL_arg2025z00_5779;

					BgL_arg2025z00_5779 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_nodez00_5611))))->BgL_typez00);
					BgL_auxz00_6889 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg2025z00_5779);
				}
				{
					obj_t BgL_auxz00_6882;

					{	/* Cfa/setup.scm 362 */
						BgL_objectz00_bglt BgL_tmpz00_6883;

						BgL_tmpz00_6883 =
							((BgL_objectz00_bglt)
							((BgL_castzd2nullzd2_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nodez00_5611)));
						BgL_auxz00_6882 = BGL_OBJECT_WIDENING(BgL_tmpz00_6883);
					}
					BgL_auxz00_6881 = ((BgL_castzd2nullzf2cinfoz20_bglt) BgL_auxz00_6882);
				}
				((((BgL_castzd2nullzf2cinfoz20_bglt) COBJECT(BgL_auxz00_6881))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_6889), BUNSPEC);
			}
			return
				((obj_t)
				((BgL_castzd2nullzd2_bglt)
					((BgL_castzd2nullzd2_bglt) BgL_nodez00_5611)));
		}

	}



/* &node-setup!-instance1803 */
	obj_t BGl_z62nodezd2setupz12zd2instance1803z70zzcfa_setupz00(obj_t
		BgL_envz00_5612, obj_t BgL_nodez00_5613)
	{
		{	/* Cfa/setup.scm 349 */
			{	/* Cfa/setup.scm 351 */
				obj_t BgL_arg2019z00_5781;

				BgL_arg2019z00_5781 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_instanceofz00_bglt) BgL_nodez00_5613))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2019z00_5781);
			}
			{	/* Cfa/setup.scm 352 */
				BgL_instanceofzf2cinfozf2_bglt BgL_wide1304z00_5782;

				BgL_wide1304z00_5782 =
					((BgL_instanceofzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_instanceofzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 352 */
					obj_t BgL_auxz00_6907;
					BgL_objectz00_bglt BgL_tmpz00_6903;

					BgL_auxz00_6907 = ((obj_t) BgL_wide1304z00_5782);
					BgL_tmpz00_6903 =
						((BgL_objectz00_bglt)
						((BgL_instanceofz00_bglt)
							((BgL_instanceofz00_bglt) BgL_nodez00_5613)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6903, BgL_auxz00_6907);
				}
				((BgL_objectz00_bglt)
					((BgL_instanceofz00_bglt)
						((BgL_instanceofz00_bglt) BgL_nodez00_5613)));
				{	/* Cfa/setup.scm 352 */
					long BgL_arg2020z00_5783;

					BgL_arg2020z00_5783 =
						BGL_CLASS_NUM(BGl_instanceofzf2Cinfozf2zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_instanceofz00_bglt)
								((BgL_instanceofz00_bglt) BgL_nodez00_5613))),
						BgL_arg2020z00_5783);
				}
				((BgL_instanceofz00_bglt)
					((BgL_instanceofz00_bglt)
						((BgL_instanceofz00_bglt) BgL_nodez00_5613)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_6929;
				BgL_instanceofzf2cinfozf2_bglt BgL_auxz00_6921;

				{	/* Cfa/setup.scm 353 */
					BgL_typez00_bglt BgL_arg2022z00_5784;

					BgL_arg2022z00_5784 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_instanceofz00_bglt) BgL_nodez00_5613))))->BgL_typez00);
					BgL_auxz00_6929 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg2022z00_5784);
				}
				{
					obj_t BgL_auxz00_6922;

					{	/* Cfa/setup.scm 353 */
						BgL_objectz00_bglt BgL_tmpz00_6923;

						BgL_tmpz00_6923 =
							((BgL_objectz00_bglt)
							((BgL_instanceofz00_bglt)
								((BgL_instanceofz00_bglt) BgL_nodez00_5613)));
						BgL_auxz00_6922 = BGL_OBJECT_WIDENING(BgL_tmpz00_6923);
					}
					BgL_auxz00_6921 = ((BgL_instanceofzf2cinfozf2_bglt) BgL_auxz00_6922);
				}
				((((BgL_instanceofzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6921))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_6929), BUNSPEC);
			}
			((BgL_instanceofz00_bglt) ((BgL_instanceofz00_bglt) BgL_nodez00_5613));
			{	/* Cfa/setup.scm 354 */
				BgL_approxz00_bglt BgL_arg2023z00_5785;

				{
					BgL_instanceofzf2cinfozf2_bglt BgL_auxz00_6937;

					{
						obj_t BgL_auxz00_6938;

						{	/* Cfa/setup.scm 354 */
							BgL_objectz00_bglt BgL_tmpz00_6939;

							BgL_tmpz00_6939 =
								((BgL_objectz00_bglt)
								((BgL_instanceofz00_bglt)
									((BgL_instanceofz00_bglt) BgL_nodez00_5613)));
							BgL_auxz00_6938 = BGL_OBJECT_WIDENING(BgL_tmpz00_6939);
						}
						BgL_auxz00_6937 =
							((BgL_instanceofzf2cinfozf2_bglt) BgL_auxz00_6938);
					}
					BgL_arg2023z00_5785 =
						(((BgL_instanceofzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6937))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2023z00_5785);
			}
		}

	}



/* &node-setup!-new1801 */
	obj_t BGl_z62nodezd2setupz12zd2new1801z70zzcfa_setupz00(obj_t BgL_envz00_5614,
		obj_t BgL_nodez00_5615)
	{
		{	/* Cfa/setup.scm 339 */
			{	/* Cfa/setup.scm 341 */
				obj_t BgL_arg2015z00_5787;

				BgL_arg2015z00_5787 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_newz00_bglt) BgL_nodez00_5615))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2015z00_5787);
			}
			{	/* Cfa/setup.scm 342 */
				BgL_newzf2cinfozf2_bglt BgL_wide1299z00_5788;

				BgL_wide1299z00_5788 =
					((BgL_newzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_newzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 342 */
					obj_t BgL_auxz00_6956;
					BgL_objectz00_bglt BgL_tmpz00_6952;

					BgL_auxz00_6956 = ((obj_t) BgL_wide1299z00_5788);
					BgL_tmpz00_6952 =
						((BgL_objectz00_bglt)
						((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_5615)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6952, BgL_auxz00_6956);
				}
				((BgL_objectz00_bglt)
					((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_5615)));
				{	/* Cfa/setup.scm 342 */
					long BgL_arg2016z00_5789;

					BgL_arg2016z00_5789 = BGL_CLASS_NUM(BGl_newzf2Cinfozf2zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_newz00_bglt)
								((BgL_newz00_bglt) BgL_nodez00_5615))), BgL_arg2016z00_5789);
				}
				((BgL_newz00_bglt)
					((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_5615)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_6978;
				BgL_newzf2cinfozf2_bglt BgL_auxz00_6970;

				{	/* Cfa/setup.scm 343 */
					BgL_typez00_bglt BgL_arg2017z00_5790;

					BgL_arg2017z00_5790 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_newz00_bglt) BgL_nodez00_5615))))->BgL_typez00);
					BgL_auxz00_6978 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg2017z00_5790);
				}
				{
					obj_t BgL_auxz00_6971;

					{	/* Cfa/setup.scm 343 */
						BgL_objectz00_bglt BgL_tmpz00_6972;

						BgL_tmpz00_6972 =
							((BgL_objectz00_bglt)
							((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_5615)));
						BgL_auxz00_6971 = BGL_OBJECT_WIDENING(BgL_tmpz00_6972);
					}
					BgL_auxz00_6970 = ((BgL_newzf2cinfozf2_bglt) BgL_auxz00_6971);
				}
				((((BgL_newzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6970))->BgL_approxz00) =
					((BgL_approxz00_bglt) BgL_auxz00_6978), BUNSPEC);
			}
			((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_5615));
			{	/* Cfa/setup.scm 344 */
				BgL_approxz00_bglt BgL_arg2018z00_5791;

				{
					BgL_newzf2cinfozf2_bglt BgL_auxz00_6986;

					{
						obj_t BgL_auxz00_6987;

						{	/* Cfa/setup.scm 344 */
							BgL_objectz00_bglt BgL_tmpz00_6988;

							BgL_tmpz00_6988 =
								((BgL_objectz00_bglt)
								((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_5615)));
							BgL_auxz00_6987 = BGL_OBJECT_WIDENING(BgL_tmpz00_6988);
						}
						BgL_auxz00_6986 = ((BgL_newzf2cinfozf2_bglt) BgL_auxz00_6987);
					}
					BgL_arg2018z00_5791 =
						(((BgL_newzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6986))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2018z00_5791);
			}
		}

	}



/* &node-setup!-setfield1799 */
	obj_t BGl_z62nodezd2setupz12zd2setfield1799z70zzcfa_setupz00(obj_t
		BgL_envz00_5616, obj_t BgL_nodez00_5617)
	{
		{	/* Cfa/setup.scm 329 */
			{	/* Cfa/setup.scm 331 */
				obj_t BgL_arg2011z00_5793;

				BgL_arg2011z00_5793 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_setfieldz00_bglt) BgL_nodez00_5617))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2011z00_5793);
			}
			{	/* Cfa/setup.scm 332 */
				BgL_setfieldzf2cinfozf2_bglt BgL_wide1294z00_5794;

				BgL_wide1294z00_5794 =
					((BgL_setfieldzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setfieldzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 332 */
					obj_t BgL_auxz00_7005;
					BgL_objectz00_bglt BgL_tmpz00_7001;

					BgL_auxz00_7005 = ((obj_t) BgL_wide1294z00_5794);
					BgL_tmpz00_7001 =
						((BgL_objectz00_bglt)
						((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_nodez00_5617)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7001, BgL_auxz00_7005);
				}
				((BgL_objectz00_bglt)
					((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_nodez00_5617)));
				{	/* Cfa/setup.scm 332 */
					long BgL_arg2012z00_5795;

					BgL_arg2012z00_5795 =
						BGL_CLASS_NUM(BGl_setfieldzf2Cinfozf2zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setfieldz00_bglt)
								((BgL_setfieldz00_bglt) BgL_nodez00_5617))),
						BgL_arg2012z00_5795);
				}
				((BgL_setfieldz00_bglt)
					((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_nodez00_5617)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_7027;
				BgL_setfieldzf2cinfozf2_bglt BgL_auxz00_7019;

				{	/* Cfa/setup.scm 333 */
					BgL_typez00_bglt BgL_arg2013z00_5796;

					BgL_arg2013z00_5796 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setfieldz00_bglt) BgL_nodez00_5617))))->BgL_typez00);
					BgL_auxz00_7027 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg2013z00_5796);
				}
				{
					obj_t BgL_auxz00_7020;

					{	/* Cfa/setup.scm 333 */
						BgL_objectz00_bglt BgL_tmpz00_7021;

						BgL_tmpz00_7021 =
							((BgL_objectz00_bglt)
							((BgL_setfieldz00_bglt)
								((BgL_setfieldz00_bglt) BgL_nodez00_5617)));
						BgL_auxz00_7020 = BGL_OBJECT_WIDENING(BgL_tmpz00_7021);
					}
					BgL_auxz00_7019 = ((BgL_setfieldzf2cinfozf2_bglt) BgL_auxz00_7020);
				}
				((((BgL_setfieldzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7019))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_7027), BUNSPEC);
			}
			((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_nodez00_5617));
			{	/* Cfa/setup.scm 334 */
				BgL_approxz00_bglt BgL_arg2014z00_5797;

				{
					BgL_setfieldzf2cinfozf2_bglt BgL_auxz00_7035;

					{
						obj_t BgL_auxz00_7036;

						{	/* Cfa/setup.scm 334 */
							BgL_objectz00_bglt BgL_tmpz00_7037;

							BgL_tmpz00_7037 =
								((BgL_objectz00_bglt)
								((BgL_setfieldz00_bglt)
									((BgL_setfieldz00_bglt) BgL_nodez00_5617)));
							BgL_auxz00_7036 = BGL_OBJECT_WIDENING(BgL_tmpz00_7037);
						}
						BgL_auxz00_7035 = ((BgL_setfieldzf2cinfozf2_bglt) BgL_auxz00_7036);
					}
					BgL_arg2014z00_5797 =
						(((BgL_setfieldzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7035))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2014z00_5797);
			}
		}

	}



/* &node-setup!-getfield1797 */
	obj_t BGl_z62nodezd2setupz12zd2getfield1797z70zzcfa_setupz00(obj_t
		BgL_envz00_5618, obj_t BgL_nodez00_5619)
	{
		{	/* Cfa/setup.scm 319 */
			{	/* Cfa/setup.scm 321 */
				obj_t BgL_arg2007z00_5799;

				BgL_arg2007z00_5799 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_nodez00_5619))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2007z00_5799);
			}
			{	/* Cfa/setup.scm 322 */
				BgL_getfieldzf2cinfozf2_bglt BgL_wide1289z00_5800;

				BgL_wide1289z00_5800 =
					((BgL_getfieldzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_getfieldzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 322 */
					obj_t BgL_auxz00_7054;
					BgL_objectz00_bglt BgL_tmpz00_7050;

					BgL_auxz00_7054 = ((obj_t) BgL_wide1289z00_5800);
					BgL_tmpz00_7050 =
						((BgL_objectz00_bglt)
						((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_nodez00_5619)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7050, BgL_auxz00_7054);
				}
				((BgL_objectz00_bglt)
					((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_nodez00_5619)));
				{	/* Cfa/setup.scm 322 */
					long BgL_arg2008z00_5801;

					BgL_arg2008z00_5801 =
						BGL_CLASS_NUM(BGl_getfieldzf2Cinfozf2zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_getfieldz00_bglt)
								((BgL_getfieldz00_bglt) BgL_nodez00_5619))),
						BgL_arg2008z00_5801);
				}
				((BgL_getfieldz00_bglt)
					((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_nodez00_5619)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_7076;
				BgL_getfieldzf2cinfozf2_bglt BgL_auxz00_7068;

				{	/* Cfa/setup.scm 323 */
					BgL_typez00_bglt BgL_arg2009z00_5802;

					BgL_arg2009z00_5802 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_getfieldz00_bglt) BgL_nodez00_5619))))->BgL_typez00);
					BgL_auxz00_7076 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg2009z00_5802);
				}
				{
					obj_t BgL_auxz00_7069;

					{	/* Cfa/setup.scm 323 */
						BgL_objectz00_bglt BgL_tmpz00_7070;

						BgL_tmpz00_7070 =
							((BgL_objectz00_bglt)
							((BgL_getfieldz00_bglt)
								((BgL_getfieldz00_bglt) BgL_nodez00_5619)));
						BgL_auxz00_7069 = BGL_OBJECT_WIDENING(BgL_tmpz00_7070);
					}
					BgL_auxz00_7068 = ((BgL_getfieldzf2cinfozf2_bglt) BgL_auxz00_7069);
				}
				((((BgL_getfieldzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7068))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_7076), BUNSPEC);
			}
			((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_nodez00_5619));
			{	/* Cfa/setup.scm 324 */
				BgL_approxz00_bglt BgL_arg2010z00_5803;

				{
					BgL_getfieldzf2cinfozf2_bglt BgL_auxz00_7084;

					{
						obj_t BgL_auxz00_7085;

						{	/* Cfa/setup.scm 324 */
							BgL_objectz00_bglt BgL_tmpz00_7086;

							BgL_tmpz00_7086 =
								((BgL_objectz00_bglt)
								((BgL_getfieldz00_bglt)
									((BgL_getfieldz00_bglt) BgL_nodez00_5619)));
							BgL_auxz00_7085 = BGL_OBJECT_WIDENING(BgL_tmpz00_7086);
						}
						BgL_auxz00_7084 = ((BgL_getfieldzf2cinfozf2_bglt) BgL_auxz00_7085);
					}
					BgL_arg2010z00_5803 =
						(((BgL_getfieldzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7084))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2010z00_5803);
			}
		}

	}



/* &node-setup!-genpatch1795 */
	obj_t BGl_z62nodezd2setupz12zd2genpatch1795z70zzcfa_setupz00(obj_t
		BgL_envz00_5620, obj_t BgL_nodez00_5621)
	{
		{	/* Cfa/setup.scm 310 */
			{	/* Cfa/setup.scm 312 */
				obj_t BgL_arg2005z00_5805;

				BgL_arg2005z00_5805 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_genpatchidz00_bglt) BgL_nodez00_5621))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2005z00_5805);
			}
			{	/* Cfa/setup.scm 313 */
				BgL_genpatchidzf2cinfozf2_bglt BgL_wide1284z00_5806;

				BgL_wide1284z00_5806 =
					((BgL_genpatchidzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_genpatchidzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 313 */
					obj_t BgL_auxz00_7103;
					BgL_objectz00_bglt BgL_tmpz00_7099;

					BgL_auxz00_7103 = ((obj_t) BgL_wide1284z00_5806);
					BgL_tmpz00_7099 =
						((BgL_objectz00_bglt)
						((BgL_genpatchidz00_bglt)
							((BgL_genpatchidz00_bglt) BgL_nodez00_5621)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7099, BgL_auxz00_7103);
				}
				((BgL_objectz00_bglt)
					((BgL_genpatchidz00_bglt)
						((BgL_genpatchidz00_bglt) BgL_nodez00_5621)));
				{	/* Cfa/setup.scm 313 */
					long BgL_arg2006z00_5807;

					BgL_arg2006z00_5807 =
						BGL_CLASS_NUM(BGl_genpatchidzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_genpatchidz00_bglt)
								((BgL_genpatchidz00_bglt) BgL_nodez00_5621))),
						BgL_arg2006z00_5807);
				}
				((BgL_genpatchidz00_bglt)
					((BgL_genpatchidz00_bglt)
						((BgL_genpatchidz00_bglt) BgL_nodez00_5621)));
			}
			{
				BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_7117;

				{
					obj_t BgL_auxz00_7118;

					{	/* Cfa/setup.scm 314 */
						BgL_objectz00_bglt BgL_tmpz00_7119;

						BgL_tmpz00_7119 =
							((BgL_objectz00_bglt)
							((BgL_genpatchidz00_bglt)
								((BgL_genpatchidz00_bglt) BgL_nodez00_5621)));
						BgL_auxz00_7118 = BGL_OBJECT_WIDENING(BgL_tmpz00_7119);
					}
					BgL_auxz00_7117 = ((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_7118);
				}
				((((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7117))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2longza2z00zztype_cachez00))), BUNSPEC);
			}
			return
				((obj_t)
				((BgL_genpatchidz00_bglt) ((BgL_genpatchidz00_bglt) BgL_nodez00_5621)));
		}

	}



/* &node-setup!-pragma1793 */
	obj_t BGl_z62nodezd2setupz12zd2pragma1793z70zzcfa_setupz00(obj_t
		BgL_envz00_5622, obj_t BgL_nodez00_5623)
	{
		{	/* Cfa/setup.scm 300 */
			{	/* Cfa/setup.scm 302 */
				obj_t BgL_arg2001z00_5809;

				BgL_arg2001z00_5809 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_pragmaz00_bglt) BgL_nodez00_5623))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2001z00_5809);
			}
			{	/* Cfa/setup.scm 303 */
				BgL_pragmazf2cinfozf2_bglt BgL_wide1279z00_5810;

				BgL_wide1279z00_5810 =
					((BgL_pragmazf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_pragmazf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 303 */
					obj_t BgL_auxz00_7140;
					BgL_objectz00_bglt BgL_tmpz00_7136;

					BgL_auxz00_7140 = ((obj_t) BgL_wide1279z00_5810);
					BgL_tmpz00_7136 =
						((BgL_objectz00_bglt)
						((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_5623)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7136, BgL_auxz00_7140);
				}
				((BgL_objectz00_bglt)
					((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_5623)));
				{	/* Cfa/setup.scm 303 */
					long BgL_arg2002z00_5811;

					BgL_arg2002z00_5811 =
						BGL_CLASS_NUM(BGl_pragmazf2Cinfozf2zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_pragmaz00_bglt)
								((BgL_pragmaz00_bglt) BgL_nodez00_5623))), BgL_arg2002z00_5811);
				}
				((BgL_pragmaz00_bglt)
					((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_5623)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_7162;
				BgL_pragmazf2cinfozf2_bglt BgL_auxz00_7154;

				{	/* Cfa/setup.scm 304 */
					BgL_typez00_bglt BgL_arg2003z00_5812;

					BgL_arg2003z00_5812 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_pragmaz00_bglt) BgL_nodez00_5623))))->BgL_typez00);
					BgL_auxz00_7162 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg2003z00_5812);
				}
				{
					obj_t BgL_auxz00_7155;

					{	/* Cfa/setup.scm 304 */
						BgL_objectz00_bglt BgL_tmpz00_7156;

						BgL_tmpz00_7156 =
							((BgL_objectz00_bglt)
							((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_5623)));
						BgL_auxz00_7155 = BGL_OBJECT_WIDENING(BgL_tmpz00_7156);
					}
					BgL_auxz00_7154 = ((BgL_pragmazf2cinfozf2_bglt) BgL_auxz00_7155);
				}
				((((BgL_pragmazf2cinfozf2_bglt) COBJECT(BgL_auxz00_7154))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_7162), BUNSPEC);
			}
			((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_5623));
			{	/* Cfa/setup.scm 305 */
				BgL_approxz00_bglt BgL_arg2004z00_5813;

				{
					BgL_pragmazf2cinfozf2_bglt BgL_auxz00_7170;

					{
						obj_t BgL_auxz00_7171;

						{	/* Cfa/setup.scm 305 */
							BgL_objectz00_bglt BgL_tmpz00_7172;

							BgL_tmpz00_7172 =
								((BgL_objectz00_bglt)
								((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_5623)));
							BgL_auxz00_7171 = BGL_OBJECT_WIDENING(BgL_tmpz00_7172);
						}
						BgL_auxz00_7170 = ((BgL_pragmazf2cinfozf2_bglt) BgL_auxz00_7171);
					}
					BgL_arg2004z00_5813 =
						(((BgL_pragmazf2cinfozf2_bglt) COBJECT(BgL_auxz00_7170))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2004z00_5813);
			}
		}

	}



/* &node-setup!-funcall1791 */
	obj_t BGl_z62nodezd2setupz12zd2funcall1791z70zzcfa_setupz00(obj_t
		BgL_envz00_5624, obj_t BgL_nodez00_5625)
	{
		{	/* Cfa/setup.scm 283 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_5625)))->BgL_funz00));
			BGl_nodezd2setupza2z12z62zzcfa_setupz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_5625)))->BgL_argsz00));
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{	/* Cfa/setup.scm 287 */
					{	/* Cfa/setup.scm 288 */
						BgL_funcallzf2cinfozf2_bglt BgL_wide1270z00_5815;

						BgL_wide1270z00_5815 =
							((BgL_funcallzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_funcallzf2cinfozf2_bgl))));
						{	/* Cfa/setup.scm 288 */
							obj_t BgL_auxz00_7193;
							BgL_objectz00_bglt BgL_tmpz00_7189;

							BgL_auxz00_7193 = ((obj_t) BgL_wide1270z00_5815);
							BgL_tmpz00_7189 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_5625)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7189, BgL_auxz00_7193);
						}
						((BgL_objectz00_bglt)
							((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5625)));
						{	/* Cfa/setup.scm 288 */
							long BgL_arg1988z00_5816;

							BgL_arg1988z00_5816 =
								BGL_CLASS_NUM(BGl_funcallzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5625))),
								BgL_arg1988z00_5816);
						}
						((BgL_funcallz00_bglt)
							((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5625)));
					}
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7207;

						{
							obj_t BgL_auxz00_7208;

							{	/* Cfa/setup.scm 289 */
								BgL_objectz00_bglt BgL_tmpz00_7209;

								BgL_tmpz00_7209 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5625)));
								BgL_auxz00_7208 = BGL_OBJECT_WIDENING(BgL_tmpz00_7209);
							}
							BgL_auxz00_7207 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7208);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7207))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
					}
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7217;

						{
							obj_t BgL_auxz00_7218;

							{	/* Cfa/setup.scm 290 */
								BgL_objectz00_bglt BgL_tmpz00_7219;

								BgL_tmpz00_7219 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5625)));
								BgL_auxz00_7218 = BGL_OBJECT_WIDENING(BgL_tmpz00_7219);
							}
							BgL_auxz00_7217 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7218);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7217))->
								BgL_vazd2approxzd2) =
							((BgL_approxz00_bglt)
								BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
					}
					{
						bool_t BgL_auxz00_7235;
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7227;

						{	/* Cfa/setup.scm 290 */
							obj_t BgL_arg1989z00_5817;

							{	/* Cfa/setup.scm 290 */
								obj_t BgL_arg1990z00_5818;

								{	/* Cfa/setup.scm 290 */
									obj_t BgL_classz00_5819;

									BgL_classz00_5819 = BGl_funcallzf2Cinfozf2zzcfa_infoz00;
									BgL_arg1990z00_5818 = BGL_CLASS_ALL_FIELDS(BgL_classz00_5819);
								}
								BgL_arg1989z00_5817 =
									VECTOR_REF(BgL_arg1990z00_5818, ((long) 8));
							}
							BgL_auxz00_7235 =
								CBOOL(BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
								(BgL_arg1989z00_5817));
						}
						{
							obj_t BgL_auxz00_7228;

							{	/* Cfa/setup.scm 290 */
								BgL_objectz00_bglt BgL_tmpz00_7229;

								BgL_tmpz00_7229 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5625)));
								BgL_auxz00_7228 = BGL_OBJECT_WIDENING(BgL_tmpz00_7229);
							}
							BgL_auxz00_7227 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7228);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7227))->
								BgL_arityzd2errorzd2noticedzf3zf3) =
							((bool_t) BgL_auxz00_7235), BUNSPEC);
					}
					{
						bool_t BgL_auxz00_7249;
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7241;

						{	/* Cfa/setup.scm 290 */
							obj_t BgL_arg1991z00_5820;

							{	/* Cfa/setup.scm 290 */
								obj_t BgL_arg1992z00_5821;

								{	/* Cfa/setup.scm 290 */
									obj_t BgL_classz00_5822;

									BgL_classz00_5822 = BGl_funcallzf2Cinfozf2zzcfa_infoz00;
									BgL_arg1992z00_5821 = BGL_CLASS_ALL_FIELDS(BgL_classz00_5822);
								}
								BgL_arg1991z00_5820 =
									VECTOR_REF(BgL_arg1992z00_5821, ((long) 9));
							}
							BgL_auxz00_7249 =
								CBOOL(BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
								(BgL_arg1991z00_5820));
						}
						{
							obj_t BgL_auxz00_7242;

							{	/* Cfa/setup.scm 290 */
								BgL_objectz00_bglt BgL_tmpz00_7243;

								BgL_tmpz00_7243 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5625)));
								BgL_auxz00_7242 = BGL_OBJECT_WIDENING(BgL_tmpz00_7243);
							}
							BgL_auxz00_7241 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7242);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7241))->
								BgL_typezd2errorzd2noticedzf3zf3) =
							((bool_t) BgL_auxz00_7249), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5625)));
				}
			else
				{	/* Cfa/setup.scm 287 */
					{	/* Cfa/setup.scm 292 */
						BgL_funcallzf2cinfozf2_bglt BgL_wide1274z00_5823;

						BgL_wide1274z00_5823 =
							((BgL_funcallzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_funcallzf2cinfozf2_bgl))));
						{	/* Cfa/setup.scm 292 */
							obj_t BgL_auxz00_7263;
							BgL_objectz00_bglt BgL_tmpz00_7259;

							BgL_auxz00_7263 = ((obj_t) BgL_wide1274z00_5823);
							BgL_tmpz00_7259 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_5625)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7259, BgL_auxz00_7263);
						}
						((BgL_objectz00_bglt)
							((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5625)));
						{	/* Cfa/setup.scm 292 */
							long BgL_arg1994z00_5824;

							BgL_arg1994z00_5824 =
								BGL_CLASS_NUM(BGl_funcallzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5625))),
								BgL_arg1994z00_5824);
						}
						((BgL_funcallz00_bglt)
							((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5625)));
					}
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7277;

						{
							obj_t BgL_auxz00_7278;

							{	/* Cfa/setup.scm 293 */
								BgL_objectz00_bglt BgL_tmpz00_7279;

								BgL_tmpz00_7279 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5625)));
								BgL_auxz00_7278 = BGL_OBJECT_WIDENING(BgL_tmpz00_7279);
							}
							BgL_auxz00_7277 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7278);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7277))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
					}
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7288;

						{
							obj_t BgL_auxz00_7289;

							{	/* Cfa/setup.scm 294 */
								BgL_objectz00_bglt BgL_tmpz00_7290;

								BgL_tmpz00_7290 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5625)));
								BgL_auxz00_7289 = BGL_OBJECT_WIDENING(BgL_tmpz00_7290);
							}
							BgL_auxz00_7288 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7289);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7288))->
								BgL_vazd2approxzd2) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
					}
					{
						bool_t BgL_auxz00_7307;
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7299;

						{	/* Cfa/setup.scm 294 */
							obj_t BgL_arg1995z00_5825;

							{	/* Cfa/setup.scm 294 */
								obj_t BgL_arg1996z00_5826;

								{	/* Cfa/setup.scm 294 */
									obj_t BgL_classz00_5827;

									BgL_classz00_5827 = BGl_funcallzf2Cinfozf2zzcfa_infoz00;
									BgL_arg1996z00_5826 = BGL_CLASS_ALL_FIELDS(BgL_classz00_5827);
								}
								BgL_arg1995z00_5825 =
									VECTOR_REF(BgL_arg1996z00_5826, ((long) 8));
							}
							BgL_auxz00_7307 =
								CBOOL(BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
								(BgL_arg1995z00_5825));
						}
						{
							obj_t BgL_auxz00_7300;

							{	/* Cfa/setup.scm 294 */
								BgL_objectz00_bglt BgL_tmpz00_7301;

								BgL_tmpz00_7301 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5625)));
								BgL_auxz00_7300 = BGL_OBJECT_WIDENING(BgL_tmpz00_7301);
							}
							BgL_auxz00_7299 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7300);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7299))->
								BgL_arityzd2errorzd2noticedzf3zf3) =
							((bool_t) BgL_auxz00_7307), BUNSPEC);
					}
					{
						bool_t BgL_auxz00_7321;
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7313;

						{	/* Cfa/setup.scm 294 */
							obj_t BgL_arg1997z00_5828;

							{	/* Cfa/setup.scm 294 */
								obj_t BgL_arg1999z00_5829;

								{	/* Cfa/setup.scm 294 */
									obj_t BgL_classz00_5830;

									BgL_classz00_5830 = BGl_funcallzf2Cinfozf2zzcfa_infoz00;
									BgL_arg1999z00_5829 = BGL_CLASS_ALL_FIELDS(BgL_classz00_5830);
								}
								BgL_arg1997z00_5828 =
									VECTOR_REF(BgL_arg1999z00_5829, ((long) 9));
							}
							BgL_auxz00_7321 =
								CBOOL(BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
								(BgL_arg1997z00_5828));
						}
						{
							obj_t BgL_auxz00_7314;

							{	/* Cfa/setup.scm 294 */
								BgL_objectz00_bglt BgL_tmpz00_7315;

								BgL_tmpz00_7315 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5625)));
								BgL_auxz00_7314 = BGL_OBJECT_WIDENING(BgL_tmpz00_7315);
							}
							BgL_auxz00_7313 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7314);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7313))->
								BgL_typezd2errorzd2noticedzf3zf3) =
							((bool_t) BgL_auxz00_7321), BUNSPEC);
					}
					((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5625));
					{	/* Cfa/setup.scm 295 */
						BgL_approxz00_bglt BgL_arg2000z00_5831;

						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7329;

							{
								obj_t BgL_auxz00_7330;

								{	/* Cfa/setup.scm 295 */
									BgL_objectz00_bglt BgL_tmpz00_7331;

									BgL_tmpz00_7331 =
										((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt)
											((BgL_funcallz00_bglt) BgL_nodez00_5625)));
									BgL_auxz00_7330 = BGL_OBJECT_WIDENING(BgL_tmpz00_7331);
								}
								BgL_auxz00_7329 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7330);
							}
							BgL_arg2000z00_5831 =
								(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7329))->
								BgL_vazd2approxzd2);
						}
						return
							BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2000z00_5831);
					}
				}
		}

	}



/* &node-setup!-app-ly1789 */
	obj_t BGl_z62nodezd2setupz12zd2appzd2ly1789za2zzcfa_setupz00(obj_t
		BgL_envz00_5626, obj_t BgL_nodez00_5627)
	{
		{	/* Cfa/setup.scm 268 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_5627)))->BgL_funz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_5627)))->BgL_argz00));
			if (CBOOL
				(BGl_za2optimzd2cfazd2applyzd2trackingzf3za2z21zzengine_paramz00))
				{	/* Cfa/setup.scm 272 */
					{	/* Cfa/setup.scm 273 */
						BgL_appzd2lyzf2cinfoz20_bglt BgL_wide1261z00_5833;

						BgL_wide1261z00_5833 =
							((BgL_appzd2lyzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_appzd2lyzf2cinfoz20_bgl))));
						{	/* Cfa/setup.scm 273 */
							obj_t BgL_auxz00_7352;
							BgL_objectz00_bglt BgL_tmpz00_7348;

							BgL_auxz00_7352 = ((obj_t) BgL_wide1261z00_5833);
							BgL_tmpz00_7348 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5627)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7348, BgL_auxz00_7352);
						}
						((BgL_objectz00_bglt)
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_5627)));
						{	/* Cfa/setup.scm 273 */
							long BgL_arg1983z00_5834;

							BgL_arg1983z00_5834 =
								BGL_CLASS_NUM(BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5627))),
								BgL_arg1983z00_5834);
						}
						((BgL_appzd2lyzd2_bglt)
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_5627)));
					}
					{
						BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_7366;

						{
							obj_t BgL_auxz00_7367;

							{	/* Cfa/setup.scm 274 */
								BgL_objectz00_bglt BgL_tmpz00_7368;

								BgL_tmpz00_7368 =
									((BgL_objectz00_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5627)));
								BgL_auxz00_7367 = BGL_OBJECT_WIDENING(BgL_tmpz00_7368);
							}
							BgL_auxz00_7366 =
								((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_7367);
						}
						((((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_7366))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_5627)));
				}
			else
				{	/* Cfa/setup.scm 272 */
					{	/* Cfa/setup.scm 276 */
						BgL_appzd2lyzf2cinfoz20_bglt BgL_wide1265z00_5835;

						BgL_wide1265z00_5835 =
							((BgL_appzd2lyzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_appzd2lyzf2cinfoz20_bgl))));
						{	/* Cfa/setup.scm 276 */
							obj_t BgL_auxz00_7384;
							BgL_objectz00_bglt BgL_tmpz00_7380;

							BgL_auxz00_7384 = ((obj_t) BgL_wide1265z00_5835);
							BgL_tmpz00_7380 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5627)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7380, BgL_auxz00_7384);
						}
						((BgL_objectz00_bglt)
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_5627)));
						{	/* Cfa/setup.scm 276 */
							long BgL_arg1984z00_5836;

							BgL_arg1984z00_5836 =
								BGL_CLASS_NUM(BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5627))),
								BgL_arg1984z00_5836);
						}
						((BgL_appzd2lyzd2_bglt)
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_5627)));
					}
					{
						BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_7398;

						{
							obj_t BgL_auxz00_7399;

							{	/* Cfa/setup.scm 277 */
								BgL_objectz00_bglt BgL_tmpz00_7400;

								BgL_tmpz00_7400 =
									((BgL_objectz00_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5627)));
								BgL_auxz00_7399 = BGL_OBJECT_WIDENING(BgL_tmpz00_7400);
							}
							BgL_auxz00_7398 =
								((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_7399);
						}
						((((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_7398))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
					}
					((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_5627));
					{	/* Cfa/setup.scm 278 */
						BgL_approxz00_bglt BgL_arg1985z00_5837;

						{
							BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_7411;

							{
								obj_t BgL_auxz00_7412;

								{	/* Cfa/setup.scm 278 */
									BgL_objectz00_bglt BgL_tmpz00_7413;

									BgL_tmpz00_7413 =
										((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt)
											((BgL_appzd2lyzd2_bglt) BgL_nodez00_5627)));
									BgL_auxz00_7412 = BGL_OBJECT_WIDENING(BgL_tmpz00_7413);
								}
								BgL_auxz00_7411 =
									((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_7412);
							}
							BgL_arg1985z00_5837 =
								(((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_7411))->
								BgL_approxz00);
						}
						return
							BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1985z00_5837);
					}
				}
		}

	}



/* &fun-setup!-cfun1787 */
	obj_t BGl_z62funzd2setupz12zd2cfun1787z70zzcfa_setupz00(obj_t BgL_envz00_5628,
		obj_t BgL_funz00_5629, obj_t BgL_varz00_5630)
	{
		{	/* Cfa/setup.scm 257 */
			{
				BgL_cfunz00_bglt BgL_auxz00_7421;

				{	/* Cfa/setup.scm 258 */
					bool_t BgL_test2437z00_7422;

					{	/* Cfa/setup.scm 258 */
						obj_t BgL_classz00_5839;

						BgL_classz00_5839 = BGl_reshapedzd2globalzd2zzcfa_infoz00;
						if (BGL_OBJECTP(BgL_varz00_5630))
							{	/* Cfa/setup.scm 258 */
								BgL_objectz00_bglt BgL_arg1825z00_5840;

								BgL_arg1825z00_5840 = (BgL_objectz00_bglt) (BgL_varz00_5630);
								{	/* Cfa/setup.scm 258 */
									bool_t BgL_arg1822z00_5841;
									bool_t BgL_arg1823z00_5842;

									{	/* Cfa/setup.scm 258 */
										long BgL_idxz00_5843;

										BgL_idxz00_5843 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5840);
										BgL_arg1822z00_5841 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5843 + ((long) 3))) == BgL_classz00_5839);
									}
									{	/* Cfa/setup.scm 258 */
										bool_t BgL_res2301z00_5846;

										{	/* Cfa/setup.scm 258 */
											obj_t BgL_oclassz00_5847;

											{	/* Cfa/setup.scm 258 */
												long BgL_arg1833z00_5848;

												{	/* Cfa/setup.scm 258 */
													long BgL_arg1834z00_5849;

													BgL_arg1834z00_5849 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5840);
													BgL_arg1833z00_5848 =
														(BgL_arg1834z00_5849 - OBJECT_TYPE);
												}
												BgL_oclassz00_5847 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_5848);
											}
											{	/* Cfa/setup.scm 258 */
												bool_t BgL__ortest_1110z00_5850;

												BgL__ortest_1110z00_5850 =
													(BgL_classz00_5839 == BgL_oclassz00_5847);
												if (BgL__ortest_1110z00_5850)
													{	/* Cfa/setup.scm 258 */
														BgL_res2301z00_5846 = BgL__ortest_1110z00_5850;
													}
												else
													{	/* Cfa/setup.scm 258 */
														long BgL_odepthz00_5851;

														BgL_odepthz00_5851 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5847);
														if ((((long) 3) < BgL_odepthz00_5851))
															{	/* Cfa/setup.scm 258 */
																obj_t BgL_arg1821z00_5852;

																BgL_arg1821z00_5852 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5847,
																	((long) 3));
																BgL_res2301z00_5846 =
																	(BgL_arg1821z00_5852 == BgL_classz00_5839);
															}
														else
															{	/* Cfa/setup.scm 258 */
																BgL_res2301z00_5846 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_5842 = BgL_res2301z00_5846;
									}
									BgL_test2437z00_7422 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_5841, BgL_arg1823z00_5842);
								}
							}
						else
							{	/* Cfa/setup.scm 258 */
								BgL_test2437z00_7422 = ((bool_t) 0);
							}
					}
					if (BgL_test2437z00_7422)
						{	/* Cfa/setup.scm 258 */
							BFALSE;
						}
					else
						{	/* Cfa/setup.scm 258 */
							{	/* Cfa/setup.scm 259 */
								BgL_reshapedzd2globalzd2_bglt BgL_wide1252z00_5853;

								BgL_wide1252z00_5853 =
									((BgL_reshapedzd2globalzd2_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_reshapedzd2globalzd2_bgl))));
								{	/* Cfa/setup.scm 259 */
									obj_t BgL_auxz00_7446;
									BgL_objectz00_bglt BgL_tmpz00_7442;

									BgL_auxz00_7446 = ((obj_t) BgL_wide1252z00_5853);
									BgL_tmpz00_7442 =
										((BgL_objectz00_bglt)
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt) BgL_varz00_5630)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7442, BgL_auxz00_7446);
								}
								((BgL_objectz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_5630)));
								{	/* Cfa/setup.scm 259 */
									long BgL_arg1978z00_5854;

									BgL_arg1978z00_5854 =
										BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_varz00_5630))),
										BgL_arg1978z00_5854);
								}
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_5630)));
							}
							((obj_t)
								((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5630)));
				}}
				{	/* Cfa/setup.scm 260 */
					BgL_approxz00_bglt BgL_approxz00_5855;

					{	/* Cfa/setup.scm 260 */
						BgL_typez00_bglt BgL_arg1980z00_5856;

						BgL_arg1980z00_5856 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_5630))))->BgL_typez00);
						BgL_approxz00_5855 =
							BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1980z00_5856);
					}
					BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_5855);
					{	/* Cfa/setup.scm 262 */
						BgL_cfunzf2cinfozf2_bglt BgL_wide1256z00_5857;

						BgL_wide1256z00_5857 =
							((BgL_cfunzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_cfunzf2cinfozf2_bgl))));
						{	/* Cfa/setup.scm 262 */
							obj_t BgL_auxz00_7473;
							BgL_objectz00_bglt BgL_tmpz00_7469;

							BgL_auxz00_7473 = ((obj_t) BgL_wide1256z00_5857);
							BgL_tmpz00_7469 =
								((BgL_objectz00_bglt)
								((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_funz00_5629)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7469, BgL_auxz00_7473);
						}
						((BgL_objectz00_bglt)
							((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_funz00_5629)));
						{	/* Cfa/setup.scm 262 */
							long BgL_arg1979z00_5858;

							BgL_arg1979z00_5858 =
								BGL_CLASS_NUM(BGl_cfunzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_cfunz00_bglt)
										((BgL_cfunz00_bglt) BgL_funz00_5629))),
								BgL_arg1979z00_5858);
						}
						((BgL_cfunz00_bglt)
							((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_funz00_5629)));
					}
					{
						BgL_cfunzf2cinfozf2_bglt BgL_auxz00_7487;

						{
							obj_t BgL_auxz00_7488;

							{	/* Cfa/setup.scm 263 */
								BgL_objectz00_bglt BgL_tmpz00_7489;

								BgL_tmpz00_7489 =
									((BgL_objectz00_bglt)
									((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_funz00_5629)));
								BgL_auxz00_7488 = BGL_OBJECT_WIDENING(BgL_tmpz00_7489);
							}
							BgL_auxz00_7487 = ((BgL_cfunzf2cinfozf2_bglt) BgL_auxz00_7488);
						}
						((((BgL_cfunzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7487))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) BgL_approxz00_5855), BUNSPEC);
					}
					BgL_auxz00_7421 =
						((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_funz00_5629));
				}
				return ((obj_t) BgL_auxz00_7421);
			}
		}

	}



/* &fun-setup!-sfun1785 */
	obj_t BGl_z62funzd2setupz12zd2sfun1785z70zzcfa_setupz00(obj_t BgL_envz00_5631,
		obj_t BgL_funz00_5632, obj_t BgL_varz00_5633)
	{
		{	/* Cfa/setup.scm 240 */
			{
				BgL_sfunz00_bglt BgL_auxz00_7499;

				{	/* Cfa/setup.scm 241 */
					bool_t BgL_test2441z00_7500;

					{	/* Cfa/setup.scm 241 */
						bool_t BgL_test2442z00_7501;

						{	/* Cfa/setup.scm 241 */
							obj_t BgL_classz00_5860;

							BgL_classz00_5860 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_varz00_5633))
								{	/* Cfa/setup.scm 241 */
									BgL_objectz00_bglt BgL_arg1825z00_5861;

									BgL_arg1825z00_5861 = (BgL_objectz00_bglt) (BgL_varz00_5633);
									{	/* Cfa/setup.scm 241 */
										bool_t BgL_arg1822z00_5862;
										bool_t BgL_arg1823z00_5863;

										{	/* Cfa/setup.scm 241 */
											long BgL_idxz00_5864;

											BgL_idxz00_5864 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5861);
											BgL_arg1822z00_5862 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5864 + ((long) 2))) == BgL_classz00_5860);
										}
										{	/* Cfa/setup.scm 241 */
											bool_t BgL_res2298z00_5867;

											{	/* Cfa/setup.scm 241 */
												obj_t BgL_oclassz00_5868;

												{	/* Cfa/setup.scm 241 */
													long BgL_arg1833z00_5869;

													{	/* Cfa/setup.scm 241 */
														long BgL_arg1834z00_5870;

														BgL_arg1834z00_5870 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5861);
														BgL_arg1833z00_5869 =
															(BgL_arg1834z00_5870 - OBJECT_TYPE);
													}
													BgL_oclassz00_5868 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_5869);
												}
												{	/* Cfa/setup.scm 241 */
													bool_t BgL__ortest_1110z00_5871;

													BgL__ortest_1110z00_5871 =
														(BgL_classz00_5860 == BgL_oclassz00_5868);
													if (BgL__ortest_1110z00_5871)
														{	/* Cfa/setup.scm 241 */
															BgL_res2298z00_5867 = BgL__ortest_1110z00_5871;
														}
													else
														{	/* Cfa/setup.scm 241 */
															long BgL_odepthz00_5872;

															BgL_odepthz00_5872 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5868);
															if ((((long) 2) < BgL_odepthz00_5872))
																{	/* Cfa/setup.scm 241 */
																	obj_t BgL_arg1821z00_5873;

																	BgL_arg1821z00_5873 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5868,
																		((long) 2));
																	BgL_res2298z00_5867 =
																		(BgL_arg1821z00_5873 == BgL_classz00_5860);
																}
															else
																{	/* Cfa/setup.scm 241 */
																	BgL_res2298z00_5867 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_5863 = BgL_res2298z00_5867;
										}
										BgL_test2442z00_7501 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_5862,
											BgL_arg1823z00_5863);
									}
								}
							else
								{	/* Cfa/setup.scm 241 */
									BgL_test2442z00_7501 = ((bool_t) 0);
								}
						}
						if (BgL_test2442z00_7501)
							{	/* Cfa/setup.scm 241 */
								bool_t BgL_test2446z00_7520;

								{	/* Cfa/setup.scm 241 */
									obj_t BgL_classz00_5874;

									BgL_classz00_5874 = BGl_reshapedzd2globalzd2zzcfa_infoz00;
									if (BGL_OBJECTP(BgL_varz00_5633))
										{	/* Cfa/setup.scm 241 */
											BgL_objectz00_bglt BgL_arg1825z00_5875;

											BgL_arg1825z00_5875 =
												(BgL_objectz00_bglt) (BgL_varz00_5633);
											{	/* Cfa/setup.scm 241 */
												bool_t BgL_arg1822z00_5876;
												bool_t BgL_arg1823z00_5877;

												{	/* Cfa/setup.scm 241 */
													long BgL_idxz00_5878;

													BgL_idxz00_5878 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5875);
													BgL_arg1822z00_5876 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_5878 + ((long) 3))) ==
														BgL_classz00_5874);
												}
												{	/* Cfa/setup.scm 241 */
													bool_t BgL_res2299z00_5881;

													{	/* Cfa/setup.scm 241 */
														obj_t BgL_oclassz00_5882;

														{	/* Cfa/setup.scm 241 */
															long BgL_arg1833z00_5883;

															{	/* Cfa/setup.scm 241 */
																long BgL_arg1834z00_5884;

																BgL_arg1834z00_5884 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5875);
																BgL_arg1833z00_5883 =
																	(BgL_arg1834z00_5884 - OBJECT_TYPE);
															}
															BgL_oclassz00_5882 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_5883);
														}
														{	/* Cfa/setup.scm 241 */
															bool_t BgL__ortest_1110z00_5885;

															BgL__ortest_1110z00_5885 =
																(BgL_classz00_5874 == BgL_oclassz00_5882);
															if (BgL__ortest_1110z00_5885)
																{	/* Cfa/setup.scm 241 */
																	BgL_res2299z00_5881 =
																		BgL__ortest_1110z00_5885;
																}
															else
																{	/* Cfa/setup.scm 241 */
																	long BgL_odepthz00_5886;

																	BgL_odepthz00_5886 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_5882);
																	if ((((long) 3) < BgL_odepthz00_5886))
																		{	/* Cfa/setup.scm 241 */
																			obj_t BgL_arg1821z00_5887;

																			BgL_arg1821z00_5887 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_5882, ((long) 3));
																			BgL_res2299z00_5881 =
																				(BgL_arg1821z00_5887 ==
																				BgL_classz00_5874);
																		}
																	else
																		{	/* Cfa/setup.scm 241 */
																			BgL_res2299z00_5881 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_5877 = BgL_res2299z00_5881;
												}
												BgL_test2446z00_7520 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_5876,
													BgL_arg1823z00_5877);
											}
										}
									else
										{	/* Cfa/setup.scm 241 */
											BgL_test2446z00_7520 = ((bool_t) 0);
										}
								}
								if (BgL_test2446z00_7520)
									{	/* Cfa/setup.scm 241 */
										BgL_test2441z00_7500 = ((bool_t) 0);
									}
								else
									{	/* Cfa/setup.scm 241 */
										BgL_test2441z00_7500 = ((bool_t) 1);
									}
							}
						else
							{	/* Cfa/setup.scm 241 */
								BgL_test2441z00_7500 = ((bool_t) 0);
							}
					}
					if (BgL_test2441z00_7500)
						{	/* Cfa/setup.scm 241 */
							{	/* Cfa/setup.scm 242 */
								BgL_reshapedzd2globalzd2_bglt BgL_wide1239z00_5888;

								BgL_wide1239z00_5888 =
									((BgL_reshapedzd2globalzd2_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_reshapedzd2globalzd2_bgl))));
								{	/* Cfa/setup.scm 242 */
									obj_t BgL_auxz00_7544;
									BgL_objectz00_bglt BgL_tmpz00_7540;

									BgL_auxz00_7544 = ((obj_t) BgL_wide1239z00_5888);
									BgL_tmpz00_7540 =
										((BgL_objectz00_bglt)
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt) BgL_varz00_5633)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7540, BgL_auxz00_7544);
								}
								((BgL_objectz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_5633)));
								{	/* Cfa/setup.scm 242 */
									long BgL_arg1968z00_5889;

									BgL_arg1968z00_5889 =
										BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_varz00_5633))),
										BgL_arg1968z00_5889);
								}
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_5633)));
							}
							((obj_t)
								((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5633)));
						}
					else
						{	/* Cfa/setup.scm 241 */
							BFALSE;
						}
				}
				{	/* Cfa/setup.scm 243 */
					bool_t BgL_test2450z00_7561;

					{	/* Cfa/setup.scm 243 */
						bool_t BgL_test2451z00_7562;

						{	/* Cfa/setup.scm 243 */
							obj_t BgL_classz00_5890;

							BgL_classz00_5890 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_varz00_5633))
								{	/* Cfa/setup.scm 243 */
									BgL_objectz00_bglt BgL_arg1825z00_5891;

									BgL_arg1825z00_5891 = (BgL_objectz00_bglt) (BgL_varz00_5633);
									{	/* Cfa/setup.scm 243 */
										bool_t BgL_arg1822z00_5892;
										bool_t BgL_arg1823z00_5893;

										{	/* Cfa/setup.scm 243 */
											long BgL_idxz00_5894;

											BgL_idxz00_5894 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5891);
											BgL_arg1822z00_5892 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5894 + ((long) 2))) == BgL_classz00_5890);
										}
										{	/* Cfa/setup.scm 243 */
											bool_t BgL_res2300z00_5897;

											{	/* Cfa/setup.scm 243 */
												obj_t BgL_oclassz00_5898;

												{	/* Cfa/setup.scm 243 */
													long BgL_arg1833z00_5899;

													{	/* Cfa/setup.scm 243 */
														long BgL_arg1834z00_5900;

														BgL_arg1834z00_5900 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5891);
														BgL_arg1833z00_5899 =
															(BgL_arg1834z00_5900 - OBJECT_TYPE);
													}
													BgL_oclassz00_5898 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_5899);
												}
												{	/* Cfa/setup.scm 243 */
													bool_t BgL__ortest_1110z00_5901;

													BgL__ortest_1110z00_5901 =
														(BgL_classz00_5890 == BgL_oclassz00_5898);
													if (BgL__ortest_1110z00_5901)
														{	/* Cfa/setup.scm 243 */
															BgL_res2300z00_5897 = BgL__ortest_1110z00_5901;
														}
													else
														{	/* Cfa/setup.scm 243 */
															long BgL_odepthz00_5902;

															BgL_odepthz00_5902 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5898);
															if ((((long) 2) < BgL_odepthz00_5902))
																{	/* Cfa/setup.scm 243 */
																	obj_t BgL_arg1821z00_5903;

																	BgL_arg1821z00_5903 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5898,
																		((long) 2));
																	BgL_res2300z00_5897 =
																		(BgL_arg1821z00_5903 == BgL_classz00_5890);
																}
															else
																{	/* Cfa/setup.scm 243 */
																	BgL_res2300z00_5897 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_5893 = BgL_res2300z00_5897;
										}
										BgL_test2451z00_7562 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_5892,
											BgL_arg1823z00_5893);
									}
								}
							else
								{	/* Cfa/setup.scm 243 */
									BgL_test2451z00_7562 = ((bool_t) 0);
								}
						}
						if (BgL_test2451z00_7562)
							{	/* Cfa/setup.scm 243 */
								BgL_test2450z00_7561 =
									(
									(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt) BgL_varz00_5633)))->
										BgL_importz00) == CNST_TABLE_REF(((long) 3)));
							}
						else
							{	/* Cfa/setup.scm 243 */
								BgL_test2450z00_7561 = ((bool_t) 0);
							}
					}
					if (BgL_test2450z00_7561)
						{	/* Cfa/setup.scm 244 */
							BgL_approxz00_bglt BgL_approxz00_5904;

							{	/* Cfa/setup.scm 244 */
								BgL_typez00_bglt BgL_arg1973z00_5905;

								BgL_arg1973z00_5905 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_varz00_5633))))->BgL_typez00);
								BgL_approxz00_5904 =
									BGl_makezd2typezd2approxz00zzcfa_approxz00
									(BgL_arg1973z00_5905);
							}
							BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_5904);
							{	/* Cfa/setup.scm 246 */
								BgL_externzd2sfunzf2cinfoz20_bglt BgL_wide1243z00_5906;

								BgL_wide1243z00_5906 =
									((BgL_externzd2sfunzf2cinfoz20_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_externzd2sfunzf2cinfoz20_bgl))));
								{	/* Cfa/setup.scm 246 */
									obj_t BgL_auxz00_7595;
									BgL_objectz00_bglt BgL_tmpz00_7591;

									BgL_auxz00_7595 = ((obj_t) BgL_wide1243z00_5906);
									BgL_tmpz00_7591 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5632)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7591, BgL_auxz00_7595);
								}
								((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5632)));
								{	/* Cfa/setup.scm 246 */
									long BgL_arg1972z00_5907;

									BgL_arg1972z00_5907 =
										BGL_CLASS_NUM(BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5632))),
										BgL_arg1972z00_5907);
								}
								((BgL_sfunz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5632)));
							}
							{
								BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_7609;

								{
									obj_t BgL_auxz00_7610;

									{	/* Cfa/setup.scm 247 */
										BgL_objectz00_bglt BgL_tmpz00_7611;

										BgL_tmpz00_7611 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5632)));
										BgL_auxz00_7610 = BGL_OBJECT_WIDENING(BgL_tmpz00_7611);
									}
									BgL_auxz00_7609 =
										((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_7610);
								}
								((((BgL_externzd2sfunzf2cinfoz20_bglt)
											COBJECT(BgL_auxz00_7609))->BgL_polymorphiczf3zf3) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_7618;

								{
									obj_t BgL_auxz00_7619;

									{	/* Cfa/setup.scm 247 */
										BgL_objectz00_bglt BgL_tmpz00_7620;

										BgL_tmpz00_7620 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5632)));
										BgL_auxz00_7619 = BGL_OBJECT_WIDENING(BgL_tmpz00_7620);
									}
									BgL_auxz00_7618 =
										((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_7619);
								}
								((((BgL_externzd2sfunzf2cinfoz20_bglt)
											COBJECT(BgL_auxz00_7618))->BgL_approxz00) =
									((BgL_approxz00_bglt) BgL_approxz00_5904), BUNSPEC);
							}
							BgL_auxz00_7499 =
								((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5632)));
						}
					else
						{	/* Cfa/setup.scm 248 */
							BgL_approxz00_bglt BgL_approxz00_5908;

							{	/* Cfa/setup.scm 248 */
								BgL_typez00_bglt BgL_arg1975z00_5909;

								BgL_arg1975z00_5909 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_5633)))->BgL_typez00);
								BgL_approxz00_5908 =
									BGl_makezd2typezd2approxz00zzcfa_approxz00
									(BgL_arg1975z00_5909);
							}
							if (CBOOL
								(BGl_za2optimzd2cfazd2forcezd2loosezd2localzd2functionzf3za2z21zzengine_paramz00))
								{	/* Cfa/setup.scm 249 */
									BGl_approxzd2setzd2topz12z12zzcfa_approxz00
										(BgL_approxz00_5908);
								}
							else
								{	/* Cfa/setup.scm 249 */
									BFALSE;
								}
							{	/* Cfa/setup.scm 251 */
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_wide1248z00_5910;

								BgL_wide1248z00_5910 =
									((BgL_internzd2sfunzf2cinfoz20_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_internzd2sfunzf2cinfoz20_bgl))));
								{	/* Cfa/setup.scm 251 */
									obj_t BgL_auxz00_7641;
									BgL_objectz00_bglt BgL_tmpz00_7637;

									BgL_auxz00_7641 = ((obj_t) BgL_wide1248z00_5910);
									BgL_tmpz00_7637 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5632)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7637, BgL_auxz00_7641);
								}
								((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5632)));
								{	/* Cfa/setup.scm 251 */
									long BgL_arg1974z00_5911;

									BgL_arg1974z00_5911 =
										BGL_CLASS_NUM(BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5632))),
										BgL_arg1974z00_5911);
								}
								((BgL_sfunz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5632)));
							}
							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_7655;

								{
									obj_t BgL_auxz00_7656;

									{	/* Cfa/setup.scm 252 */
										BgL_objectz00_bglt BgL_tmpz00_7657;

										BgL_tmpz00_7657 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5632)));
										BgL_auxz00_7656 = BGL_OBJECT_WIDENING(BgL_tmpz00_7657);
									}
									BgL_auxz00_7655 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_7656);
								}
								((((BgL_internzd2sfunzf2cinfoz20_bglt)
											COBJECT(BgL_auxz00_7655))->BgL_polymorphiczf3zf3) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_7664;

								{
									obj_t BgL_auxz00_7665;

									{	/* Cfa/setup.scm 252 */
										BgL_objectz00_bglt BgL_tmpz00_7666;

										BgL_tmpz00_7666 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5632)));
										BgL_auxz00_7665 = BGL_OBJECT_WIDENING(BgL_tmpz00_7666);
									}
									BgL_auxz00_7664 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_7665);
								}
								((((BgL_internzd2sfunzf2cinfoz20_bglt)
											COBJECT(BgL_auxz00_7664))->BgL_approxz00) =
									((BgL_approxz00_bglt) BgL_approxz00_5908), BUNSPEC);
							}
							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_7673;

								{
									obj_t BgL_auxz00_7674;

									{	/* Cfa/setup.scm 252 */
										BgL_objectz00_bglt BgL_tmpz00_7675;

										BgL_tmpz00_7675 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5632)));
										BgL_auxz00_7674 = BGL_OBJECT_WIDENING(BgL_tmpz00_7675);
									}
									BgL_auxz00_7673 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_7674);
								}
								((((BgL_internzd2sfunzf2cinfoz20_bglt)
											COBJECT(BgL_auxz00_7673))->BgL_stampz00) =
									((long) ((long) -1)), BUNSPEC);
							}
							BgL_auxz00_7499 =
								((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5632)));
				}}
				return ((obj_t) BgL_auxz00_7499);
			}
		}

	}



/* &node-setup!-app1781 */
	obj_t BGl_z62nodezd2setupz12zd2app1781z70zzcfa_setupz00(obj_t BgL_envz00_5634,
		obj_t BgL_nodez00_5635)
	{
		{	/* Cfa/setup.scm 222 */
			BGl_nodezd2setupza2z12z62zzcfa_setupz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_5635)))->BgL_argsz00));
			{	/* Tools/trace.sch 53 */
				BgL_variablez00_bglt BgL_variablez00_5913;

				BgL_variablez00_5913 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_5635)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Tools/trace.sch 53 */
					BgL_valuez00_bglt BgL_arg1962z00_5914;

					BgL_arg1962z00_5914 =
						(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_5913))->
						BgL_valuez00);
					return BGl_funzd2setupz12zc0zzcfa_setupz00(((BgL_funz00_bglt)
							BgL_arg1962z00_5914), ((obj_t) BgL_variablez00_5913));
				}
			}
		}

	}



/* &node-setup!-sync1779 */
	obj_t BGl_z62nodezd2setupz12zd2sync1779z70zzcfa_setupz00(obj_t
		BgL_envz00_5636, obj_t BgL_nodez00_5637)
	{
		{	/* Cfa/setup.scm 213 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_5637)))->BgL_mutexz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_5637)))->BgL_prelockz00));
			return
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_5637)))->BgL_bodyz00));
		}

	}



/* &node-setup!-sequence1777 */
	obj_t BGl_z62nodezd2setupz12zd2sequence1777z70zzcfa_setupz00(obj_t
		BgL_envz00_5638, obj_t BgL_nodez00_5639)
	{
		{	/* Cfa/setup.scm 206 */
			return
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_5639)))->BgL_nodesz00));
		}

	}



/* &node-setup!-closure1775 */
	obj_t BGl_z62nodezd2setupz12zd2closure1775z70zzcfa_setupz00(obj_t
		BgL_envz00_5640, obj_t BgL_nodez00_5641)
	{
		{	/* Cfa/setup.scm 200 */
			{	/* Cfa/setup.scm 201 */
				obj_t BgL_arg1956z00_5918;

				BgL_arg1956z00_5918 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_5641)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2315z00zzcfa_setupz00, BGl_string2353z00zzcfa_setupz00,
					BgL_arg1956z00_5918);
			}
		}

	}



/* &variable-value-setup1773 */
	obj_t BGl_z62variablezd2valuezd2setup1773z62zzcfa_setupz00(obj_t
		BgL_envz00_5642, obj_t BgL_valuez00_5643, obj_t BgL_varz00_5644)
	{
		{	/* Cfa/setup.scm 191 */
			{	/* Cfa/setup.scm 192 */
				BgL_cvarzf2cinfozf2_bglt BgL_wide1228z00_5920;

				BgL_wide1228z00_5920 =
					((BgL_cvarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_cvarzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 192 */
					obj_t BgL_auxz00_7717;
					BgL_objectz00_bglt BgL_tmpz00_7713;

					BgL_auxz00_7717 = ((obj_t) BgL_wide1228z00_5920);
					BgL_tmpz00_7713 =
						((BgL_objectz00_bglt)
						((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_5643)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7713, BgL_auxz00_7717);
				}
				((BgL_objectz00_bglt)
					((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_5643)));
				{	/* Cfa/setup.scm 192 */
					long BgL_arg1950z00_5921;

					BgL_arg1950z00_5921 = BGL_CLASS_NUM(BGl_cvarzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_cvarz00_bglt)
								((BgL_cvarz00_bglt) BgL_valuez00_5643))), BgL_arg1950z00_5921);
				}
				((BgL_cvarz00_bglt)
					((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_5643)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_7739;
				BgL_cvarzf2cinfozf2_bglt BgL_auxz00_7731;

				{	/* Cfa/setup.scm 193 */
					BgL_typez00_bglt BgL_arg1951z00_5922;

					BgL_arg1951z00_5922 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_varz00_5644)))->BgL_typez00);
					BgL_auxz00_7739 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1951z00_5922);
				}
				{
					obj_t BgL_auxz00_7732;

					{	/* Cfa/setup.scm 193 */
						BgL_objectz00_bglt BgL_tmpz00_7733;

						BgL_tmpz00_7733 =
							((BgL_objectz00_bglt)
							((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_5643)));
						BgL_auxz00_7732 = BGL_OBJECT_WIDENING(BgL_tmpz00_7733);
					}
					BgL_auxz00_7731 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_7732);
				}
				((((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7731))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_7739), BUNSPEC);
			}
			((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_5643));
			{	/* Cfa/setup.scm 194 */
				bool_t BgL_test2456z00_7746;

				{	/* Cfa/setup.scm 194 */
					BgL_typez00_bglt BgL_arg1955z00_5923;

					BgL_arg1955z00_5923 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_varz00_5644)))->BgL_typez00);
					BgL_test2456z00_7746 =
						BGl_alloczd2typezf3z21zzcfa_setupz00(BgL_arg1955z00_5923);
				}
				if (BgL_test2456z00_7746)
					{	/* Cfa/setup.scm 195 */
						BgL_approxz00_bglt BgL_arg1954z00_5924;

						{
							BgL_cvarzf2cinfozf2_bglt BgL_auxz00_7750;

							{
								obj_t BgL_auxz00_7751;

								{	/* Cfa/setup.scm 195 */
									BgL_objectz00_bglt BgL_tmpz00_7752;

									BgL_tmpz00_7752 =
										((BgL_objectz00_bglt)
										((BgL_cvarz00_bglt)
											((BgL_cvarz00_bglt) BgL_valuez00_5643)));
									BgL_auxz00_7751 = BGL_OBJECT_WIDENING(BgL_tmpz00_7752);
								}
								BgL_auxz00_7750 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_7751);
							}
							BgL_arg1954z00_5924 =
								(((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7750))->
								BgL_approxz00);
						}
						return
							BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1954z00_5924);
					}
				else
					{	/* Cfa/setup.scm 194 */
						return BFALSE;
					}
			}
		}

	}



/* &variable-value-setup1771 */
	obj_t BGl_z62variablezd2valuezd2setup1771z62zzcfa_setupz00(obj_t
		BgL_envz00_5645, obj_t BgL_valuez00_5646, obj_t BgL_varz00_5647)
	{
		{	/* Cfa/setup.scm 169 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_test2457z00_7760;

				{	/* Tools/trace.sch 53 */
					obj_t BgL_classz00_5926;

					BgL_classz00_5926 = BGl_globalz00zzast_varz00;
					if (BGL_OBJECTP(BgL_varz00_5647))
						{	/* Tools/trace.sch 53 */
							BgL_objectz00_bglt BgL_arg1825z00_5927;

							BgL_arg1825z00_5927 = (BgL_objectz00_bglt) (BgL_varz00_5647);
							{	/* Tools/trace.sch 53 */
								bool_t BgL_arg1822z00_5928;
								bool_t BgL_arg1823z00_5929;

								{	/* Tools/trace.sch 53 */
									long BgL_idxz00_5930;

									BgL_idxz00_5930 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5927);
									BgL_arg1822z00_5928 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5930 + ((long) 2))) == BgL_classz00_5926);
								}
								{	/* Tools/trace.sch 53 */
									bool_t BgL_res2296z00_5933;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_oclassz00_5934;

										{	/* Tools/trace.sch 53 */
											long BgL_arg1833z00_5935;

											{	/* Tools/trace.sch 53 */
												long BgL_arg1834z00_5936;

												BgL_arg1834z00_5936 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5927);
												BgL_arg1833z00_5935 =
													(BgL_arg1834z00_5936 - OBJECT_TYPE);
											}
											BgL_oclassz00_5934 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_5935);
										}
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1110z00_5937;

											BgL__ortest_1110z00_5937 =
												(BgL_classz00_5926 == BgL_oclassz00_5934);
											if (BgL__ortest_1110z00_5937)
												{	/* Tools/trace.sch 53 */
													BgL_res2296z00_5933 = BgL__ortest_1110z00_5937;
												}
											else
												{	/* Tools/trace.sch 53 */
													long BgL_odepthz00_5938;

													BgL_odepthz00_5938 =
														BGL_CLASS_DEPTH(BgL_oclassz00_5934);
													if ((((long) 2) < BgL_odepthz00_5938))
														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1821z00_5939;

															BgL_arg1821z00_5939 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5934,
																((long) 2));
															BgL_res2296z00_5933 =
																(BgL_arg1821z00_5939 == BgL_classz00_5926);
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_res2296z00_5933 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_5929 = BgL_res2296z00_5933;
								}
								BgL_test2457z00_7760 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_5928, BgL_arg1823z00_5929);
							}
						}
					else
						{	/* Tools/trace.sch 53 */
							BgL_test2457z00_7760 = ((bool_t) 0);
						}
				}
				if (BgL_test2457z00_7760)
					{	/* Tools/trace.sch 53 */
						bool_t BgL_test2461z00_7779;

						{	/* Tools/trace.sch 53 */
							bool_t BgL_test2462z00_7780;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_arg1947z00_5940;

								BgL_arg1947z00_5940 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_varz00_5647)))->BgL_modulez00);
								BgL_test2462z00_7780 =
									(BgL_arg1947z00_5940 ==
									BGl_za2moduleza2z00zzmodule_modulez00);
							}
							if (BgL_test2462z00_7780)
								{	/* Tools/trace.sch 53 */
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
												(((BgL_scnstz00_bglt) COBJECT(
															((BgL_scnstz00_bglt) BgL_valuez00_5646)))->
													BgL_classz00), CNST_TABLE_REF(((long) 4)))))
										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1945z00_5941;

											BgL_arg1945z00_5941 =
												(((BgL_scnstz00_bglt) COBJECT(
														((BgL_scnstz00_bglt) BgL_valuez00_5646)))->
												BgL_nodez00);
											{	/* Tools/trace.sch 53 */
												obj_t BgL_classz00_5942;

												BgL_classz00_5942 =
													BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00;
												if (BGL_OBJECTP(BgL_arg1945z00_5941))
													{	/* Tools/trace.sch 53 */
														BgL_objectz00_bglt BgL_arg1825z00_5943;

														BgL_arg1825z00_5943 =
															(BgL_objectz00_bglt) (BgL_arg1945z00_5941);
														{	/* Tools/trace.sch 53 */
															bool_t BgL_arg1822z00_5944;
															bool_t BgL_arg1823z00_5945;

															{	/* Tools/trace.sch 53 */
																long BgL_idxz00_5946;

																BgL_idxz00_5946 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_5943);
																BgL_arg1822z00_5944 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_5946 + ((long) 4))) ==
																	BgL_classz00_5942);
															}
															{	/* Tools/trace.sch 53 */
																bool_t BgL_res2297z00_5949;

																{	/* Tools/trace.sch 53 */
																	obj_t BgL_oclassz00_5950;

																	{	/* Tools/trace.sch 53 */
																		long BgL_arg1833z00_5951;

																		{	/* Tools/trace.sch 53 */
																			long BgL_arg1834z00_5952;

																			BgL_arg1834z00_5952 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_5943);
																			BgL_arg1833z00_5951 =
																				(BgL_arg1834z00_5952 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_5950 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_5951);
																	}
																	{	/* Tools/trace.sch 53 */
																		bool_t BgL__ortest_1110z00_5953;

																		BgL__ortest_1110z00_5953 =
																			(BgL_classz00_5942 == BgL_oclassz00_5950);
																		if (BgL__ortest_1110z00_5953)
																			{	/* Tools/trace.sch 53 */
																				BgL_res2297z00_5949 =
																					BgL__ortest_1110z00_5953;
																			}
																		else
																			{	/* Tools/trace.sch 53 */
																				long BgL_odepthz00_5954;

																				BgL_odepthz00_5954 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_5950);
																				if ((((long) 4) < BgL_odepthz00_5954))
																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_arg1821z00_5955;

																						BgL_arg1821z00_5955 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_5950, ((long) 4));
																						BgL_res2297z00_5949 =
																							(BgL_arg1821z00_5955 ==
																							BgL_classz00_5942);
																					}
																				else
																					{	/* Tools/trace.sch 53 */
																						BgL_res2297z00_5949 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_5945 = BgL_res2297z00_5949;
															}
															BgL_test2461z00_7779 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_5944,
																BgL_arg1823z00_5945);
														}
													}
												else
													{	/* Tools/trace.sch 53 */
														BgL_test2461z00_7779 = ((bool_t) 0);
													}
											}
										}
									else
										{	/* Tools/trace.sch 53 */
											BgL_test2461z00_7779 = ((bool_t) 0);
										}
								}
							else
								{	/* Tools/trace.sch 53 */
									BgL_test2461z00_7779 = ((bool_t) 0);
								}
						}
						if (BgL_test2461z00_7779)
							{	/* Tools/trace.sch 53 */
								obj_t BgL_nodez00_5956;

								BgL_nodez00_5956 =
									(((BgL_scnstz00_bglt) COBJECT(
											((BgL_scnstz00_bglt) BgL_valuez00_5646)))->BgL_nodez00);
								BGl_nodezd2setupz12zc0zzcfa_setupz00(
									((BgL_nodez00_bglt) BgL_nodez00_5956));
								{	/* Tools/trace.sch 53 */
									BgL_scnstzf2cinfozf2_bglt BgL_wide1216z00_5957;

									BgL_wide1216z00_5957 =
										((BgL_scnstzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_scnstzf2cinfozf2_bgl))));
									{	/* Tools/trace.sch 53 */
										obj_t BgL_auxz00_7819;
										BgL_objectz00_bglt BgL_tmpz00_7815;

										BgL_auxz00_7819 = ((obj_t) BgL_wide1216z00_5957);
										BgL_tmpz00_7815 =
											((BgL_objectz00_bglt)
											((BgL_scnstz00_bglt)
												((BgL_scnstz00_bglt) BgL_valuez00_5646)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7815, BgL_auxz00_7819);
									}
									((BgL_objectz00_bglt)
										((BgL_scnstz00_bglt)
											((BgL_scnstz00_bglt) BgL_valuez00_5646)));
									{	/* Tools/trace.sch 53 */
										long BgL_arg1941z00_5958;

										BgL_arg1941z00_5958 =
											BGL_CLASS_NUM(BGl_scnstzf2Cinfozf2zzcfa_infoz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_scnstz00_bglt)
													((BgL_scnstz00_bglt) BgL_valuez00_5646))),
											BgL_arg1941z00_5958);
									}
									((BgL_scnstz00_bglt)
										((BgL_scnstz00_bglt)
											((BgL_scnstz00_bglt) BgL_valuez00_5646)));
								}
								{
									BgL_approxz00_bglt BgL_auxz00_7841;
									BgL_scnstzf2cinfozf2_bglt BgL_auxz00_7833;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_7842;

										{
											obj_t BgL_auxz00_7843;

											{	/* Tools/trace.sch 53 */
												BgL_objectz00_bglt BgL_tmpz00_7844;

												BgL_tmpz00_7844 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_5956));
												BgL_auxz00_7843 = BGL_OBJECT_WIDENING(BgL_tmpz00_7844);
											}
											BgL_auxz00_7842 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_7843);
										}
										BgL_auxz00_7841 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												COBJECT(BgL_auxz00_7842))->BgL_approxz00);
									}
									{
										obj_t BgL_auxz00_7834;

										{	/* Tools/trace.sch 53 */
											BgL_objectz00_bglt BgL_tmpz00_7835;

											BgL_tmpz00_7835 =
												((BgL_objectz00_bglt)
												((BgL_scnstz00_bglt)
													((BgL_scnstz00_bglt) BgL_valuez00_5646)));
											BgL_auxz00_7834 = BGL_OBJECT_WIDENING(BgL_tmpz00_7835);
										}
										BgL_auxz00_7833 =
											((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_7834);
									}
									((((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7833))->
											BgL_approxz00) =
										((BgL_approxz00_bglt) BgL_auxz00_7841), BUNSPEC);
								}
								return
									((obj_t)
									((BgL_scnstz00_bglt)
										((BgL_scnstz00_bglt) BgL_valuez00_5646)));
							}
						else
							{	/* Tools/trace.sch 53 */
								BgL_scnstz00_bglt BgL_valuez00_5959;

								{	/* Tools/trace.sch 53 */
									BgL_scnstzf2cinfozf2_bglt BgL_wide1220z00_5960;

									BgL_wide1220z00_5960 =
										((BgL_scnstzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_scnstzf2cinfozf2_bgl))));
									{	/* Tools/trace.sch 53 */
										obj_t BgL_auxz00_7859;
										BgL_objectz00_bglt BgL_tmpz00_7855;

										BgL_auxz00_7859 = ((obj_t) BgL_wide1220z00_5960);
										BgL_tmpz00_7855 =
											((BgL_objectz00_bglt)
											((BgL_scnstz00_bglt)
												((BgL_scnstz00_bglt) BgL_valuez00_5646)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7855, BgL_auxz00_7859);
									}
									((BgL_objectz00_bglt)
										((BgL_scnstz00_bglt)
											((BgL_scnstz00_bglt) BgL_valuez00_5646)));
									{	/* Tools/trace.sch 53 */
										long BgL_arg1943z00_5961;

										BgL_arg1943z00_5961 =
											BGL_CLASS_NUM(BGl_scnstzf2Cinfozf2zzcfa_infoz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_scnstz00_bglt)
													((BgL_scnstz00_bglt) BgL_valuez00_5646))),
											BgL_arg1943z00_5961);
									}
									((BgL_scnstz00_bglt)
										((BgL_scnstz00_bglt)
											((BgL_scnstz00_bglt) BgL_valuez00_5646)));
								}
								{
									BgL_approxz00_bglt BgL_auxz00_7881;
									BgL_scnstzf2cinfozf2_bglt BgL_auxz00_7873;

									{	/* Tools/trace.sch 53 */
										BgL_typez00_bglt BgL_arg1944z00_5962;

										BgL_arg1944z00_5962 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_varz00_5647)))->
											BgL_typez00);
										BgL_auxz00_7881 =
											BGl_makezd2typezd2approxz00zzcfa_approxz00
											(BgL_arg1944z00_5962);
									}
									{
										obj_t BgL_auxz00_7874;

										{	/* Tools/trace.sch 53 */
											BgL_objectz00_bglt BgL_tmpz00_7875;

											BgL_tmpz00_7875 =
												((BgL_objectz00_bglt)
												((BgL_scnstz00_bglt)
													((BgL_scnstz00_bglt) BgL_valuez00_5646)));
											BgL_auxz00_7874 = BGL_OBJECT_WIDENING(BgL_tmpz00_7875);
										}
										BgL_auxz00_7873 =
											((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_7874);
									}
									((((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7873))->
											BgL_approxz00) =
										((BgL_approxz00_bglt) BgL_auxz00_7881), BUNSPEC);
								}
								BgL_valuez00_5959 =
									((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_valuez00_5646));
								{	/* Tools/trace.sch 53 */
									BgL_approxz00_bglt BgL_arg1942z00_5963;

									{
										BgL_scnstzf2cinfozf2_bglt BgL_auxz00_7888;

										{
											obj_t BgL_auxz00_7889;

											{	/* Tools/trace.sch 53 */
												BgL_objectz00_bglt BgL_tmpz00_7890;

												BgL_tmpz00_7890 =
													((BgL_objectz00_bglt) BgL_valuez00_5959);
												BgL_auxz00_7889 = BGL_OBJECT_WIDENING(BgL_tmpz00_7890);
											}
											BgL_auxz00_7888 =
												((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_7889);
										}
										BgL_arg1942z00_5963 =
											(((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7888))->
											BgL_approxz00);
									}
									return
										BGl_approxzd2setzd2topz12z12zzcfa_approxz00
										(BgL_arg1942z00_5963);
								}
							}
					}
				else
					{	/* Tools/trace.sch 53 */
						{	/* Tools/trace.sch 53 */
							BgL_scnstzf2cinfozf2_bglt BgL_wide1224z00_5964;

							BgL_wide1224z00_5964 =
								((BgL_scnstzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_scnstzf2cinfozf2_bgl))));
							{	/* Tools/trace.sch 53 */
								obj_t BgL_auxz00_7901;
								BgL_objectz00_bglt BgL_tmpz00_7897;

								BgL_auxz00_7901 = ((obj_t) BgL_wide1224z00_5964);
								BgL_tmpz00_7897 =
									((BgL_objectz00_bglt)
									((BgL_scnstz00_bglt)
										((BgL_scnstz00_bglt) BgL_valuez00_5646)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7897, BgL_auxz00_7901);
							}
							((BgL_objectz00_bglt)
								((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_valuez00_5646)));
							{	/* Tools/trace.sch 53 */
								long BgL_arg1948z00_5965;

								BgL_arg1948z00_5965 =
									BGL_CLASS_NUM(BGl_scnstzf2Cinfozf2zzcfa_infoz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_scnstz00_bglt)
											((BgL_scnstz00_bglt) BgL_valuez00_5646))),
									BgL_arg1948z00_5965);
							}
							((BgL_scnstz00_bglt)
								((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_valuez00_5646)));
						}
						{
							BgL_approxz00_bglt BgL_auxz00_7923;
							BgL_scnstzf2cinfozf2_bglt BgL_auxz00_7915;

							{	/* Tools/trace.sch 53 */
								BgL_typez00_bglt BgL_arg1949z00_5966;

								BgL_arg1949z00_5966 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_5647)))->BgL_typez00);
								BgL_auxz00_7923 =
									BGl_makezd2typezd2approxz00zzcfa_approxz00
									(BgL_arg1949z00_5966);
							}
							{
								obj_t BgL_auxz00_7916;

								{	/* Tools/trace.sch 53 */
									BgL_objectz00_bglt BgL_tmpz00_7917;

									BgL_tmpz00_7917 =
										((BgL_objectz00_bglt)
										((BgL_scnstz00_bglt)
											((BgL_scnstz00_bglt) BgL_valuez00_5646)));
									BgL_auxz00_7916 = BGL_OBJECT_WIDENING(BgL_tmpz00_7917);
								}
								BgL_auxz00_7915 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_7916);
							}
							((((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7915))->
									BgL_approxz00) =
								((BgL_approxz00_bglt) BgL_auxz00_7923), BUNSPEC);
						}
						return
							((obj_t)
							((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_valuez00_5646)));
					}
			}
		}

	}



/* &variable-value-setup1769 */
	obj_t BGl_z62variablezd2valuezd2setup1769z62zzcfa_setupz00(obj_t
		BgL_envz00_5648, obj_t BgL_valuez00_5649, obj_t BgL_varz00_5650)
	{
		{	/* Cfa/setup.scm 163 */
			return CNST_TABLE_REF(((long) 5));
		}

	}



/* &variable-value-setup1767 */
	obj_t BGl_z62variablezd2valuezd2setup1767z62zzcfa_setupz00(obj_t
		BgL_envz00_5651, obj_t BgL_valuez00_5652, obj_t BgL_varz00_5653)
	{
		{	/* Cfa/setup.scm 156 */
			{
				BgL_sexitz00_bglt BgL_auxz00_7932;

				{	/* Cfa/setup.scm 157 */
					BgL_sexitzf2cinfozf2_bglt BgL_wide1212z00_5969;

					BgL_wide1212z00_5969 =
						((BgL_sexitzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sexitzf2cinfozf2_bgl))));
					{	/* Cfa/setup.scm 157 */
						obj_t BgL_auxz00_7938;
						BgL_objectz00_bglt BgL_tmpz00_7934;

						BgL_auxz00_7938 = ((obj_t) BgL_wide1212z00_5969);
						BgL_tmpz00_7934 =
							((BgL_objectz00_bglt)
							((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_valuez00_5652)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7934, BgL_auxz00_7938);
					}
					((BgL_objectz00_bglt)
						((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_valuez00_5652)));
					{	/* Cfa/setup.scm 157 */
						long BgL_arg1930z00_5970;

						BgL_arg1930z00_5970 =
							BGL_CLASS_NUM(BGl_sexitzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt)
									((BgL_sexitz00_bglt) BgL_valuez00_5652))),
							BgL_arg1930z00_5970);
					}
					((BgL_sexitz00_bglt)
						((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_valuez00_5652)));
				}
				{
					BgL_approxz00_bglt BgL_auxz00_7960;
					BgL_sexitzf2cinfozf2_bglt BgL_auxz00_7952;

					{	/* Cfa/setup.scm 158 */
						BgL_typez00_bglt BgL_arg1931z00_5971;

						BgL_arg1931z00_5971 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_5653)))->BgL_typez00);
						BgL_auxz00_7960 =
							BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1931z00_5971);
					}
					{
						obj_t BgL_auxz00_7953;

						{	/* Cfa/setup.scm 158 */
							BgL_objectz00_bglt BgL_tmpz00_7954;

							BgL_tmpz00_7954 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_valuez00_5652)));
							BgL_auxz00_7953 = BGL_OBJECT_WIDENING(BgL_tmpz00_7954);
						}
						BgL_auxz00_7952 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_7953);
					}
					((((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7952))->
							BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_7960), BUNSPEC);
				}
				BgL_auxz00_7932 =
					((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_valuez00_5652));
				return ((obj_t) BgL_auxz00_7932);
			}
		}

	}



/* &variable-value-setup1765 */
	obj_t BGl_z62variablezd2valuezd2setup1765z62zzcfa_setupz00(obj_t
		BgL_envz00_5654, obj_t BgL_valuez00_5655, obj_t BgL_varz00_5656)
	{
		{	/* Cfa/setup.scm 148 */
			{

				{	/* Cfa/setup.scm 148 */
					obj_t BgL_nextzd2method1764zd2_5974;

					BgL_nextzd2method1764zd2_5974 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_svarz00_bglt) BgL_valuez00_5655)),
						BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
						BGl_prezd2clozd2envz00zzcfa_infoz00);
					PROCEDURE_ENTRY(BgL_nextzd2method1764zd2_5974)
						(BgL_nextzd2method1764zd2_5974,
						((obj_t) ((BgL_svarz00_bglt) BgL_valuez00_5655)), BgL_varz00_5656,
						BEOA);
				}
				{	/* Cfa/setup.scm 151 */
					BgL_valuez00_bglt BgL_arg1929z00_5975;

					BgL_arg1929z00_5975 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_varz00_5656))))->BgL_valuez00);
					{
						BgL_svarzf2cinfozf2_bglt BgL_auxz00_7981;

						{
							obj_t BgL_auxz00_7982;

							{	/* Cfa/setup.scm 151 */
								BgL_objectz00_bglt BgL_tmpz00_7983;

								BgL_tmpz00_7983 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_arg1929z00_5975));
								BgL_auxz00_7982 = BGL_OBJECT_WIDENING(BgL_tmpz00_7983);
							}
							BgL_auxz00_7981 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_7982);
						}
						return
							((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7981))->
								BgL_clozd2envzf3z21) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
				}
			}
		}

	}



/* &variable-value-setup1763 */
	obj_t BGl_z62variablezd2valuezd2setup1763z62zzcfa_setupz00(obj_t
		BgL_envz00_5657, obj_t BgL_valuez00_5658, obj_t BgL_varz00_5659)
	{
		{	/* Cfa/setup.scm 135 */
			{	/* Cfa/setup.scm 136 */
				BgL_typez00_bglt BgL_typz00_5978;

				BgL_typz00_5978 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_5659)))->BgL_typez00);
				{	/* Cfa/setup.scm 137 */
					bool_t BgL_test2467z00_7991;

					{	/* Cfa/setup.scm 137 */
						obj_t BgL_classz00_5979;

						BgL_classz00_5979 = BGl_globalz00zzast_varz00;
						{	/* Cfa/setup.scm 137 */
							BgL_objectz00_bglt BgL_arg1825z00_5980;

							{	/* Cfa/setup.scm 137 */
								obj_t BgL_tmpz00_7992;

								BgL_tmpz00_7992 =
									((obj_t) ((BgL_variablez00_bglt) BgL_varz00_5659));
								BgL_arg1825z00_5980 = (BgL_objectz00_bglt) (BgL_tmpz00_7992);
							}
							{	/* Cfa/setup.scm 137 */
								bool_t BgL_arg1822z00_5981;
								bool_t BgL_arg1823z00_5982;

								{	/* Cfa/setup.scm 137 */
									long BgL_idxz00_5983;

									BgL_idxz00_5983 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5980);
									BgL_arg1822z00_5981 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5983 + ((long) 2))) == BgL_classz00_5979);
								}
								{	/* Cfa/setup.scm 137 */
									bool_t BgL_res2295z00_5986;

									{	/* Cfa/setup.scm 137 */
										obj_t BgL_oclassz00_5987;

										{	/* Cfa/setup.scm 137 */
											long BgL_arg1833z00_5988;

											{	/* Cfa/setup.scm 137 */
												long BgL_arg1834z00_5989;

												BgL_arg1834z00_5989 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5980);
												BgL_arg1833z00_5988 =
													(BgL_arg1834z00_5989 - OBJECT_TYPE);
											}
											BgL_oclassz00_5987 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_5988);
										}
										{	/* Cfa/setup.scm 137 */
											bool_t BgL__ortest_1110z00_5990;

											BgL__ortest_1110z00_5990 =
												(BgL_classz00_5979 == BgL_oclassz00_5987);
											if (BgL__ortest_1110z00_5990)
												{	/* Cfa/setup.scm 137 */
													BgL_res2295z00_5986 = BgL__ortest_1110z00_5990;
												}
											else
												{	/* Cfa/setup.scm 137 */
													long BgL_odepthz00_5991;

													BgL_odepthz00_5991 =
														BGL_CLASS_DEPTH(BgL_oclassz00_5987);
													if ((((long) 2) < BgL_odepthz00_5991))
														{	/* Cfa/setup.scm 137 */
															obj_t BgL_arg1821z00_5992;

															BgL_arg1821z00_5992 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5987,
																((long) 2));
															BgL_res2295z00_5986 =
																(BgL_arg1821z00_5992 == BgL_classz00_5979);
														}
													else
														{	/* Cfa/setup.scm 137 */
															BgL_res2295z00_5986 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_5982 = BgL_res2295z00_5986;
								}
								BgL_test2467z00_7991 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_5981, BgL_arg1823z00_5982);
							}
						}
					}
					if (BgL_test2467z00_7991)
						{	/* Cfa/setup.scm 138 */
							BgL_svarz00_bglt BgL_valuez00_5993;

							{	/* Cfa/setup.scm 138 */
								BgL_svarzf2cinfozf2_bglt BgL_wide1204z00_5994;

								BgL_wide1204z00_5994 =
									((BgL_svarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_svarzf2cinfozf2_bgl))));
								{	/* Cfa/setup.scm 138 */
									obj_t BgL_auxz00_8016;
									BgL_objectz00_bglt BgL_tmpz00_8012;

									BgL_auxz00_8016 = ((obj_t) BgL_wide1204z00_5994);
									BgL_tmpz00_8012 =
										((BgL_objectz00_bglt)
										((BgL_svarz00_bglt)
											((BgL_svarz00_bglt) BgL_valuez00_5658)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8012, BgL_auxz00_8016);
								}
								((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5658)));
								{	/* Cfa/setup.scm 138 */
									long BgL_arg1926z00_5995;

									BgL_arg1926z00_5995 =
										BGL_CLASS_NUM(BGl_svarzf2Cinfozf2zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5658))),
										BgL_arg1926z00_5995);
								}
								((BgL_svarz00_bglt)
									((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5658)));
							}
							{
								BgL_svarzf2cinfozf2_bglt BgL_auxz00_8030;

								{
									obj_t BgL_auxz00_8031;

									{	/* Cfa/setup.scm 139 */
										BgL_objectz00_bglt BgL_tmpz00_8032;

										BgL_tmpz00_8032 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5658)));
										BgL_auxz00_8031 = BGL_OBJECT_WIDENING(BgL_tmpz00_8032);
									}
									BgL_auxz00_8030 =
										((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8031);
								}
								((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8030))->
										BgL_approxz00) =
									((BgL_approxz00_bglt)
										BGl_makezd2typezd2approxz00zzcfa_approxz00
										(BgL_typz00_5978)), BUNSPEC);
							}
							{
								BgL_svarzf2cinfozf2_bglt BgL_auxz00_8040;

								{
									obj_t BgL_auxz00_8041;

									{	/* Cfa/setup.scm 139 */
										BgL_objectz00_bglt BgL_tmpz00_8042;

										BgL_tmpz00_8042 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5658)));
										BgL_auxz00_8041 = BGL_OBJECT_WIDENING(BgL_tmpz00_8042);
									}
									BgL_auxz00_8040 =
										((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8041);
								}
								((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8040))->
										BgL_clozd2envzf3z21) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_svarzf2cinfozf2_bglt BgL_auxz00_8049;

								{
									obj_t BgL_auxz00_8050;

									{	/* Cfa/setup.scm 139 */
										BgL_objectz00_bglt BgL_tmpz00_8051;

										BgL_tmpz00_8051 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5658)));
										BgL_auxz00_8050 = BGL_OBJECT_WIDENING(BgL_tmpz00_8051);
									}
									BgL_auxz00_8049 =
										((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8050);
								}
								((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8049))->
										BgL_stampz00) = ((long) ((long) -1)), BUNSPEC);
							}
							BgL_valuez00_5993 =
								((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5658));
							{	/* Cfa/setup.scm 140 */
								bool_t BgL_test2470z00_8060;

								if (
									((((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt)
														((BgL_variablez00_bglt) BgL_varz00_5659))))->
											BgL_importz00) == CNST_TABLE_REF(((long) 6))))
									{	/* Cfa/setup.scm 140 */
										BgL_test2470z00_8060 = ((bool_t) 0);
									}
								else
									{	/* Cfa/setup.scm 140 */
										BgL_test2470z00_8060 =
											BGl_alloczd2typezf3z21zzcfa_setupz00(BgL_typz00_5978);
									}
								if (BgL_test2470z00_8060)
									{	/* Cfa/setup.scm 141 */
										BgL_approxz00_bglt BgL_arg1924z00_5996;

										{
											BgL_svarzf2cinfozf2_bglt BgL_auxz00_8068;

											{
												obj_t BgL_auxz00_8069;

												{	/* Cfa/setup.scm 141 */
													BgL_objectz00_bglt BgL_tmpz00_8070;

													BgL_tmpz00_8070 =
														((BgL_objectz00_bglt) BgL_valuez00_5993);
													BgL_auxz00_8069 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8070);
												}
												BgL_auxz00_8068 =
													((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8069);
											}
											BgL_arg1924z00_5996 =
												(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8068))->
												BgL_approxz00);
										}
										return
											BGl_approxzd2setzd2topz12z12zzcfa_approxz00
											(BgL_arg1924z00_5996);
									}
								else
									{	/* Cfa/setup.scm 140 */
										return BFALSE;
									}
							}
						}
					else
						{	/* Cfa/setup.scm 137 */
							{	/* Cfa/setup.scm 142 */
								BgL_svarzf2cinfozf2_bglt BgL_wide1208z00_5997;

								BgL_wide1208z00_5997 =
									((BgL_svarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_svarzf2cinfozf2_bgl))));
								{	/* Cfa/setup.scm 142 */
									obj_t BgL_auxz00_8081;
									BgL_objectz00_bglt BgL_tmpz00_8077;

									BgL_auxz00_8081 = ((obj_t) BgL_wide1208z00_5997);
									BgL_tmpz00_8077 =
										((BgL_objectz00_bglt)
										((BgL_svarz00_bglt)
											((BgL_svarz00_bglt) BgL_valuez00_5658)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8077, BgL_auxz00_8081);
								}
								((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5658)));
								{	/* Cfa/setup.scm 142 */
									long BgL_arg1927z00_5998;

									BgL_arg1927z00_5998 =
										BGL_CLASS_NUM(BGl_svarzf2Cinfozf2zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5658))),
										BgL_arg1927z00_5998);
								}
								((BgL_svarz00_bglt)
									((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5658)));
							}
							{
								BgL_svarzf2cinfozf2_bglt BgL_auxz00_8095;

								{
									obj_t BgL_auxz00_8096;

									{	/* Cfa/setup.scm 143 */
										BgL_objectz00_bglt BgL_tmpz00_8097;

										BgL_tmpz00_8097 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5658)));
										BgL_auxz00_8096 = BGL_OBJECT_WIDENING(BgL_tmpz00_8097);
									}
									BgL_auxz00_8095 =
										((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8096);
								}
								((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8095))->
										BgL_approxz00) =
									((BgL_approxz00_bglt)
										BGl_makezd2typezd2approxz00zzcfa_approxz00
										(BgL_typz00_5978)), BUNSPEC);
							}
							{
								BgL_svarzf2cinfozf2_bglt BgL_auxz00_8105;

								{
									obj_t BgL_auxz00_8106;

									{	/* Cfa/setup.scm 143 */
										BgL_objectz00_bglt BgL_tmpz00_8107;

										BgL_tmpz00_8107 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5658)));
										BgL_auxz00_8106 = BGL_OBJECT_WIDENING(BgL_tmpz00_8107);
									}
									BgL_auxz00_8105 =
										((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8106);
								}
								((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8105))->
										BgL_clozd2envzf3z21) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_svarzf2cinfozf2_bglt BgL_auxz00_8114;

								{
									obj_t BgL_auxz00_8115;

									{	/* Cfa/setup.scm 143 */
										BgL_objectz00_bglt BgL_tmpz00_8116;

										BgL_tmpz00_8116 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5658)));
										BgL_auxz00_8115 = BGL_OBJECT_WIDENING(BgL_tmpz00_8116);
									}
									BgL_auxz00_8114 =
										((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8115);
								}
								((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8114))->
										BgL_stampz00) = ((long) ((long) -1)), BUNSPEC);
							}
							return
								((obj_t)
								((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5658)));
						}
				}
			}
		}

	}



/* &variable-value-setup1761 */
	obj_t BGl_z62variablezd2valuezd2setup1761z62zzcfa_setupz00(obj_t
		BgL_envz00_5660, obj_t BgL_valuez00_5661, obj_t BgL_varz00_5662)
	{
		{	/* Cfa/setup.scm 127 */
			return BUNSPEC;
		}

	}



/* &node-setup!-var1756 */
	obj_t BGl_z62nodezd2setupz12zd2var1756z70zzcfa_setupz00(obj_t BgL_envz00_5663,
		obj_t BgL_nodez00_5664)
	{
		{	/* Cfa/setup.scm 95 */
			BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00(
				(((BgL_variablez00_bglt) COBJECT(
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_5664)))->BgL_variablez00)))->
					BgL_valuez00),
				(((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_nodez00_5664)))->
					BgL_variablez00));
			{	/* Cfa/setup.scm 100 */
				bool_t BgL_test2472z00_8132;

				{	/* Cfa/setup.scm 100 */
					bool_t BgL_test2473z00_8133;

					{	/* Cfa/setup.scm 100 */
						BgL_variablez00_bglt BgL_arg1917z00_6001;

						BgL_arg1917z00_6001 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_nodez00_5664)))->BgL_variablez00);
						{	/* Cfa/setup.scm 100 */
							obj_t BgL_classz00_6002;

							BgL_classz00_6002 = BGl_localz00zzast_varz00;
							{	/* Cfa/setup.scm 100 */
								BgL_objectz00_bglt BgL_arg1825z00_6003;

								{	/* Cfa/setup.scm 100 */
									obj_t BgL_tmpz00_8136;

									BgL_tmpz00_8136 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1917z00_6001));
									BgL_arg1825z00_6003 = (BgL_objectz00_bglt) (BgL_tmpz00_8136);
								}
								{	/* Cfa/setup.scm 100 */
									bool_t BgL_arg1822z00_6004;
									bool_t BgL_arg1823z00_6005;

									{	/* Cfa/setup.scm 100 */
										long BgL_idxz00_6006;

										BgL_idxz00_6006 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6003);
										BgL_arg1822z00_6004 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6006 + ((long) 2))) == BgL_classz00_6002);
									}
									{	/* Cfa/setup.scm 100 */
										bool_t BgL_res2291z00_6009;

										{	/* Cfa/setup.scm 100 */
											obj_t BgL_oclassz00_6010;

											{	/* Cfa/setup.scm 100 */
												long BgL_arg1833z00_6011;

												{	/* Cfa/setup.scm 100 */
													long BgL_arg1834z00_6012;

													BgL_arg1834z00_6012 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6003);
													BgL_arg1833z00_6011 =
														(BgL_arg1834z00_6012 - OBJECT_TYPE);
												}
												BgL_oclassz00_6010 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_6011);
											}
											{	/* Cfa/setup.scm 100 */
												bool_t BgL__ortest_1110z00_6013;

												BgL__ortest_1110z00_6013 =
													(BgL_classz00_6002 == BgL_oclassz00_6010);
												if (BgL__ortest_1110z00_6013)
													{	/* Cfa/setup.scm 100 */
														BgL_res2291z00_6009 = BgL__ortest_1110z00_6013;
													}
												else
													{	/* Cfa/setup.scm 100 */
														long BgL_odepthz00_6014;

														BgL_odepthz00_6014 =
															BGL_CLASS_DEPTH(BgL_oclassz00_6010);
														if ((((long) 2) < BgL_odepthz00_6014))
															{	/* Cfa/setup.scm 100 */
																obj_t BgL_arg1821z00_6015;

																BgL_arg1821z00_6015 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6010,
																	((long) 2));
																BgL_res2291z00_6009 =
																	(BgL_arg1821z00_6015 == BgL_classz00_6002);
															}
														else
															{	/* Cfa/setup.scm 100 */
																BgL_res2291z00_6009 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_6005 = BgL_res2291z00_6009;
									}
									BgL_test2473z00_8133 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_6004, BgL_arg1823z00_6005);
								}
							}
						}
					}
					if (BgL_test2473z00_8133)
						{	/* Cfa/setup.scm 100 */
							bool_t BgL_test2476z00_8155;

							{	/* Cfa/setup.scm 100 */
								BgL_variablez00_bglt BgL_arg1916z00_6016;

								BgL_arg1916z00_6016 =
									(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_5664)))->BgL_variablez00);
								{	/* Cfa/setup.scm 100 */
									obj_t BgL_classz00_6017;

									BgL_classz00_6017 = BGl_reshapedzd2localzd2zzcfa_infoz00;
									{	/* Cfa/setup.scm 100 */
										BgL_objectz00_bglt BgL_arg1825z00_6018;

										{	/* Cfa/setup.scm 100 */
											obj_t BgL_tmpz00_8158;

											BgL_tmpz00_8158 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1916z00_6016));
											BgL_arg1825z00_6018 =
												(BgL_objectz00_bglt) (BgL_tmpz00_8158);
										}
										{	/* Cfa/setup.scm 100 */
											bool_t BgL_arg1822z00_6019;
											bool_t BgL_arg1823z00_6020;

											{	/* Cfa/setup.scm 100 */
												long BgL_idxz00_6021;

												BgL_idxz00_6021 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6018);
												BgL_arg1822z00_6019 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_6021 + ((long) 3))) ==
													BgL_classz00_6017);
											}
											{	/* Cfa/setup.scm 100 */
												bool_t BgL_res2292z00_6024;

												{	/* Cfa/setup.scm 100 */
													obj_t BgL_oclassz00_6025;

													{	/* Cfa/setup.scm 100 */
														long BgL_arg1833z00_6026;

														{	/* Cfa/setup.scm 100 */
															long BgL_arg1834z00_6027;

															BgL_arg1834z00_6027 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6018);
															BgL_arg1833z00_6026 =
																(BgL_arg1834z00_6027 - OBJECT_TYPE);
														}
														BgL_oclassz00_6025 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_6026);
													}
													{	/* Cfa/setup.scm 100 */
														bool_t BgL__ortest_1110z00_6028;

														BgL__ortest_1110z00_6028 =
															(BgL_classz00_6017 == BgL_oclassz00_6025);
														if (BgL__ortest_1110z00_6028)
															{	/* Cfa/setup.scm 100 */
																BgL_res2292z00_6024 = BgL__ortest_1110z00_6028;
															}
														else
															{	/* Cfa/setup.scm 100 */
																long BgL_odepthz00_6029;

																BgL_odepthz00_6029 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_6025);
																if ((((long) 3) < BgL_odepthz00_6029))
																	{	/* Cfa/setup.scm 100 */
																		obj_t BgL_arg1821z00_6030;

																		BgL_arg1821z00_6030 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_6025, ((long) 3));
																		BgL_res2292z00_6024 =
																			(BgL_arg1821z00_6030 ==
																			BgL_classz00_6017);
																	}
																else
																	{	/* Cfa/setup.scm 100 */
																		BgL_res2292z00_6024 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_6020 = BgL_res2292z00_6024;
											}
											BgL_test2476z00_8155 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_6019,
												BgL_arg1823z00_6020);
										}
									}
								}
							}
							if (BgL_test2476z00_8155)
								{	/* Cfa/setup.scm 100 */
									BgL_test2472z00_8132 = ((bool_t) 0);
								}
							else
								{	/* Cfa/setup.scm 100 */
									BgL_test2472z00_8132 = ((bool_t) 1);
								}
						}
					else
						{	/* Cfa/setup.scm 100 */
							BgL_test2472z00_8132 = ((bool_t) 0);
						}
				}
				if (BgL_test2472z00_8132)
					{	/* Cfa/setup.scm 101 */
						BgL_localz00_bglt BgL_tmp1194z00_6031;

						BgL_tmp1194z00_6031 =
							((BgL_localz00_bglt)
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_5664)))->BgL_variablez00));
						{	/* Cfa/setup.scm 101 */
							BgL_reshapedzd2localzd2_bglt BgL_wide1196z00_6032;

							BgL_wide1196z00_6032 =
								((BgL_reshapedzd2localzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_reshapedzd2localzd2_bgl))));
							{	/* Cfa/setup.scm 101 */
								obj_t BgL_auxz00_8184;
								BgL_objectz00_bglt BgL_tmpz00_8181;

								BgL_auxz00_8184 = ((obj_t) BgL_wide1196z00_6032);
								BgL_tmpz00_8181 =
									((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_tmp1194z00_6031));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8181, BgL_auxz00_8184);
							}
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_tmp1194z00_6031));
							{	/* Cfa/setup.scm 101 */
								long BgL_arg1904z00_6033;

								BgL_arg1904z00_6033 =
									BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_tmp1194z00_6031)),
									BgL_arg1904z00_6033);
							}
							((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_tmp1194z00_6031));
						}
						{
							BgL_reshapedzd2localzd2_bglt BgL_auxz00_8195;

							{
								obj_t BgL_auxz00_8196;

								{	/* Cfa/setup.scm 101 */
									BgL_objectz00_bglt BgL_tmpz00_8197;

									BgL_tmpz00_8197 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_tmp1194z00_6031));
									BgL_auxz00_8196 = BGL_OBJECT_WIDENING(BgL_tmpz00_8197);
								}
								BgL_auxz00_8195 =
									((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_8196);
							}
							((((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_8195))->
									BgL_bindingzd2valuezd2) = ((obj_t) BFALSE), BUNSPEC);
						}
						return ((obj_t) ((BgL_localz00_bglt) BgL_tmp1194z00_6031));
					}
				else
					{	/* Cfa/setup.scm 102 */
						bool_t BgL_test2479z00_8205;

						{	/* Cfa/setup.scm 102 */
							bool_t BgL_test2480z00_8206;

							{	/* Cfa/setup.scm 102 */
								BgL_variablez00_bglt BgL_arg1914z00_6034;

								BgL_arg1914z00_6034 =
									(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_5664)))->BgL_variablez00);
								{	/* Cfa/setup.scm 102 */
									obj_t BgL_classz00_6035;

									BgL_classz00_6035 = BGl_globalz00zzast_varz00;
									{	/* Cfa/setup.scm 102 */
										BgL_objectz00_bglt BgL_arg1825z00_6036;

										{	/* Cfa/setup.scm 102 */
											obj_t BgL_tmpz00_8209;

											BgL_tmpz00_8209 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1914z00_6034));
											BgL_arg1825z00_6036 =
												(BgL_objectz00_bglt) (BgL_tmpz00_8209);
										}
										{	/* Cfa/setup.scm 102 */
											bool_t BgL_arg1822z00_6037;
											bool_t BgL_arg1823z00_6038;

											{	/* Cfa/setup.scm 102 */
												long BgL_idxz00_6039;

												BgL_idxz00_6039 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6036);
												BgL_arg1822z00_6037 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_6039 + ((long) 2))) ==
													BgL_classz00_6035);
											}
											{	/* Cfa/setup.scm 102 */
												bool_t BgL_res2293z00_6042;

												{	/* Cfa/setup.scm 102 */
													obj_t BgL_oclassz00_6043;

													{	/* Cfa/setup.scm 102 */
														long BgL_arg1833z00_6044;

														{	/* Cfa/setup.scm 102 */
															long BgL_arg1834z00_6045;

															BgL_arg1834z00_6045 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6036);
															BgL_arg1833z00_6044 =
																(BgL_arg1834z00_6045 - OBJECT_TYPE);
														}
														BgL_oclassz00_6043 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_6044);
													}
													{	/* Cfa/setup.scm 102 */
														bool_t BgL__ortest_1110z00_6046;

														BgL__ortest_1110z00_6046 =
															(BgL_classz00_6035 == BgL_oclassz00_6043);
														if (BgL__ortest_1110z00_6046)
															{	/* Cfa/setup.scm 102 */
																BgL_res2293z00_6042 = BgL__ortest_1110z00_6046;
															}
														else
															{	/* Cfa/setup.scm 102 */
																long BgL_odepthz00_6047;

																BgL_odepthz00_6047 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_6043);
																if ((((long) 2) < BgL_odepthz00_6047))
																	{	/* Cfa/setup.scm 102 */
																		obj_t BgL_arg1821z00_6048;

																		BgL_arg1821z00_6048 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_6043, ((long) 2));
																		BgL_res2293z00_6042 =
																			(BgL_arg1821z00_6048 ==
																			BgL_classz00_6035);
																	}
																else
																	{	/* Cfa/setup.scm 102 */
																		BgL_res2293z00_6042 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_6038 = BgL_res2293z00_6042;
											}
											BgL_test2480z00_8206 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_6037,
												BgL_arg1823z00_6038);
										}
									}
								}
							}
							if (BgL_test2480z00_8206)
								{	/* Cfa/setup.scm 102 */
									bool_t BgL_test2483z00_8228;

									{	/* Cfa/setup.scm 102 */
										BgL_variablez00_bglt BgL_arg1913z00_6049;

										BgL_arg1913z00_6049 =
											(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_nodez00_5664)))->
											BgL_variablez00);
										{	/* Cfa/setup.scm 102 */
											obj_t BgL_classz00_6050;

											BgL_classz00_6050 = BGl_reshapedzd2globalzd2zzcfa_infoz00;
											{	/* Cfa/setup.scm 102 */
												BgL_objectz00_bglt BgL_arg1825z00_6051;

												{	/* Cfa/setup.scm 102 */
													obj_t BgL_tmpz00_8231;

													BgL_tmpz00_8231 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1913z00_6049));
													BgL_arg1825z00_6051 =
														(BgL_objectz00_bglt) (BgL_tmpz00_8231);
												}
												{	/* Cfa/setup.scm 102 */
													bool_t BgL_arg1822z00_6052;
													bool_t BgL_arg1823z00_6053;

													{	/* Cfa/setup.scm 102 */
														long BgL_idxz00_6054;

														BgL_idxz00_6054 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6051);
														BgL_arg1822z00_6052 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_6054 + ((long) 3))) ==
															BgL_classz00_6050);
													}
													{	/* Cfa/setup.scm 102 */
														bool_t BgL_res2294z00_6057;

														{	/* Cfa/setup.scm 102 */
															obj_t BgL_oclassz00_6058;

															{	/* Cfa/setup.scm 102 */
																long BgL_arg1833z00_6059;

																{	/* Cfa/setup.scm 102 */
																	long BgL_arg1834z00_6060;

																	BgL_arg1834z00_6060 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6051);
																	BgL_arg1833z00_6059 =
																		(BgL_arg1834z00_6060 - OBJECT_TYPE);
																}
																BgL_oclassz00_6058 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_6059);
															}
															{	/* Cfa/setup.scm 102 */
																bool_t BgL__ortest_1110z00_6061;

																BgL__ortest_1110z00_6061 =
																	(BgL_classz00_6050 == BgL_oclassz00_6058);
																if (BgL__ortest_1110z00_6061)
																	{	/* Cfa/setup.scm 102 */
																		BgL_res2294z00_6057 =
																			BgL__ortest_1110z00_6061;
																	}
																else
																	{	/* Cfa/setup.scm 102 */
																		long BgL_odepthz00_6062;

																		BgL_odepthz00_6062 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_6058);
																		if ((((long) 3) < BgL_odepthz00_6062))
																			{	/* Cfa/setup.scm 102 */
																				obj_t BgL_arg1821z00_6063;

																				BgL_arg1821z00_6063 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_6058, ((long) 3));
																				BgL_res2294z00_6057 =
																					(BgL_arg1821z00_6063 ==
																					BgL_classz00_6050);
																			}
																		else
																			{	/* Cfa/setup.scm 102 */
																				BgL_res2294z00_6057 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_6053 = BgL_res2294z00_6057;
													}
													BgL_test2483z00_8228 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_6052,
														BgL_arg1823z00_6053);
												}
											}
										}
									}
									if (BgL_test2483z00_8228)
										{	/* Cfa/setup.scm 102 */
											BgL_test2479z00_8205 = ((bool_t) 0);
										}
									else
										{	/* Cfa/setup.scm 102 */
											BgL_test2479z00_8205 = ((bool_t) 1);
										}
								}
							else
								{	/* Cfa/setup.scm 102 */
									BgL_test2479z00_8205 = ((bool_t) 0);
								}
						}
						if (BgL_test2479z00_8205)
							{	/* Cfa/setup.scm 103 */
								BgL_globalz00_bglt BgL_tmp1198z00_6064;

								BgL_tmp1198z00_6064 =
									((BgL_globalz00_bglt)
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_5664)))->
										BgL_variablez00));
								{	/* Cfa/setup.scm 103 */
									BgL_reshapedzd2globalzd2_bglt BgL_wide1200z00_6065;

									BgL_wide1200z00_6065 =
										((BgL_reshapedzd2globalzd2_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_reshapedzd2globalzd2_bgl))));
									{	/* Cfa/setup.scm 103 */
										obj_t BgL_auxz00_8257;
										BgL_objectz00_bglt BgL_tmpz00_8254;

										BgL_auxz00_8257 = ((obj_t) BgL_wide1200z00_6065);
										BgL_tmpz00_8254 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt) BgL_tmp1198z00_6064));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8254, BgL_auxz00_8257);
									}
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt) BgL_tmp1198z00_6064));
									{	/* Cfa/setup.scm 103 */
										long BgL_arg1912z00_6066;

										BgL_arg1912z00_6066 =
											BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_tmp1198z00_6064)),
											BgL_arg1912z00_6066);
									}
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_tmp1198z00_6064));
								}
								return ((obj_t) ((BgL_globalz00_bglt) BgL_tmp1198z00_6064));
							}
						else
							{	/* Cfa/setup.scm 102 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &node-setup!-kwote/no1754 */
	obj_t BGl_z62nodezd2setupz12zd2kwotezf2no1754z82zzcfa_setupz00(obj_t
		BgL_envz00_5665, obj_t BgL_kwotez00_5666)
	{
		{	/* Cfa/setup.scm 88 */
			{	/* Cfa/setup.scm 90 */
				BgL_nodez00_bglt BgL_arg1888z00_6068;

				{
					BgL_kwotezf2nodezf2_bglt BgL_auxz00_8270;

					{
						obj_t BgL_auxz00_8271;

						{	/* Cfa/setup.scm 90 */
							BgL_objectz00_bglt BgL_tmpz00_8272;

							BgL_tmpz00_8272 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_kwotez00_5666));
							BgL_auxz00_8271 = BGL_OBJECT_WIDENING(BgL_tmpz00_8272);
						}
						BgL_auxz00_8270 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_8271);
					}
					BgL_arg1888z00_6068 =
						(((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_8270))->
						BgL_nodez00);
				}
				return BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_arg1888z00_6068);
			}
		}

	}



/* &node-setup!-kwote1752 */
	obj_t BGl_z62nodezd2setupz12zd2kwote1752z70zzcfa_setupz00(obj_t
		BgL_envz00_5667, obj_t BgL_nodez00_5668)
	{
		{	/* Cfa/setup.scm 78 */
			{	/* Cfa/setup.scm 80 */
				BgL_approxz00_bglt BgL_approxz00_6070;

				BgL_approxz00_6070 =
					BGl_makezd2typezd2approxz00zzcfa_approxz00
					(BGl_getzd2typezd2kwotez00zztype_typeofz00((((BgL_kwotez00_bglt)
								COBJECT(((BgL_kwotez00_bglt) BgL_nodez00_5668)))->
							BgL_valuez00)));
				((((BgL_approxz00_bglt) COBJECT(BgL_approxz00_6070))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				{	/* Cfa/setup.scm 82 */
					BgL_kwotezf2cinfozf2_bglt BgL_wide1190z00_6071;

					BgL_wide1190z00_6071 =
						((BgL_kwotezf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2cinfozf2_bgl))));
					{	/* Cfa/setup.scm 82 */
						obj_t BgL_auxz00_8289;
						BgL_objectz00_bglt BgL_tmpz00_8285;

						BgL_auxz00_8289 = ((obj_t) BgL_wide1190z00_6071);
						BgL_tmpz00_8285 =
							((BgL_objectz00_bglt)
							((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_5668)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8285, BgL_auxz00_8289);
					}
					((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_5668)));
					{	/* Cfa/setup.scm 82 */
						long BgL_arg1885z00_6072;

						BgL_arg1885z00_6072 =
							BGL_CLASS_NUM(BGl_kwotezf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt)
									((BgL_kwotez00_bglt) BgL_nodez00_5668))),
							BgL_arg1885z00_6072);
					}
					((BgL_kwotez00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_5668)));
				}
				{
					BgL_kwotezf2cinfozf2_bglt BgL_auxz00_8303;

					{
						obj_t BgL_auxz00_8304;

						{	/* Cfa/setup.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_8305;

							BgL_tmpz00_8305 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_5668)));
							BgL_auxz00_8304 = BGL_OBJECT_WIDENING(BgL_tmpz00_8305);
						}
						BgL_auxz00_8303 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_8304);
					}
					((((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_8303))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approxz00_6070), BUNSPEC);
				}
				return
					((obj_t)
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_5668)));
			}
		}

	}



/* &node-setup!-patch1750 */
	obj_t BGl_z62nodezd2setupz12zd2patch1750z70zzcfa_setupz00(obj_t
		BgL_envz00_5669, obj_t BgL_nodez00_5670)
	{
		{	/* Cfa/setup.scm 69 */
			{	/* Cfa/setup.scm 71 */
				obj_t BgL_arg1882z00_6074;

				BgL_arg1882z00_6074 =
					(((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt)
								((BgL_patchz00_bglt) BgL_nodez00_5670))))->BgL_valuez00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg1882z00_6074));
			}
			{	/* Cfa/setup.scm 72 */
				BgL_patchzf2cinfozf2_bglt BgL_wide1185z00_6075;

				BgL_wide1185z00_6075 =
					((BgL_patchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_patchzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 72 */
					obj_t BgL_auxz00_8325;
					BgL_objectz00_bglt BgL_tmpz00_8321;

					BgL_auxz00_8325 = ((obj_t) BgL_wide1185z00_6075);
					BgL_tmpz00_8321 =
						((BgL_objectz00_bglt)
						((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_5670)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8321, BgL_auxz00_8325);
				}
				((BgL_objectz00_bglt)
					((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_5670)));
				{	/* Cfa/setup.scm 72 */
					long BgL_arg1883z00_6076;

					BgL_arg1883z00_6076 =
						BGL_CLASS_NUM(BGl_patchzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_patchz00_bglt)
								((BgL_patchz00_bglt) BgL_nodez00_5670))), BgL_arg1883z00_6076);
				}
				((BgL_patchz00_bglt)
					((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_5670)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_8347;
				BgL_patchzf2cinfozf2_bglt BgL_auxz00_8339;

				{	/* Cfa/setup.scm 73 */
					BgL_typez00_bglt BgL_arg1884z00_6077;

					BgL_arg1884z00_6077 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_patchz00_bglt) BgL_nodez00_5670))))->BgL_typez00);
					BgL_auxz00_8347 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1884z00_6077);
				}
				{
					obj_t BgL_auxz00_8340;

					{	/* Cfa/setup.scm 73 */
						BgL_objectz00_bglt BgL_tmpz00_8341;

						BgL_tmpz00_8341 =
							((BgL_objectz00_bglt)
							((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_5670)));
						BgL_auxz00_8340 = BGL_OBJECT_WIDENING(BgL_tmpz00_8341);
					}
					BgL_auxz00_8339 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_8340);
				}
				((((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8339))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_8347), BUNSPEC);
			}
			return
				((obj_t) ((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_5670)));
		}

	}



/* &node-setup!-literal1748 */
	obj_t BGl_z62nodezd2setupz12zd2literal1748z70zzcfa_setupz00(obj_t
		BgL_envz00_5671, obj_t BgL_nodez00_5672)
	{
		{	/* Cfa/setup.scm 61 */
			{	/* Cfa/setup.scm 63 */
				BgL_literalzf2cinfozf2_bglt BgL_wide1180z00_6079;

				BgL_wide1180z00_6079 =
					((BgL_literalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_literalzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 63 */
					obj_t BgL_auxz00_8361;
					BgL_objectz00_bglt BgL_tmpz00_8357;

					BgL_auxz00_8361 = ((obj_t) BgL_wide1180z00_6079);
					BgL_tmpz00_8357 =
						((BgL_objectz00_bglt)
						((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_5672)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8357, BgL_auxz00_8361);
				}
				((BgL_objectz00_bglt)
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_5672)));
				{	/* Cfa/setup.scm 63 */
					long BgL_arg1877z00_6080;

					BgL_arg1877z00_6080 =
						BGL_CLASS_NUM(BGl_literalzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_literalz00_bglt)
								((BgL_literalz00_bglt) BgL_nodez00_5672))),
						BgL_arg1877z00_6080);
				}
				((BgL_literalz00_bglt)
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_5672)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_8383;
				BgL_literalzf2cinfozf2_bglt BgL_auxz00_8375;

				{	/* Cfa/setup.scm 64 */
					BgL_typez00_bglt BgL_arg1878z00_6081;

					{	/* Cfa/setup.scm 64 */
						obj_t BgL_arg1880z00_6082;

						BgL_arg1880z00_6082 =
							(((BgL_atomz00_bglt) COBJECT(
									((BgL_atomz00_bglt)
										((BgL_literalz00_bglt) BgL_nodez00_5672))))->BgL_valuez00);
						BgL_arg1878z00_6081 =
							BGl_getzd2typezd2atomz00zztype_typeofz00(BgL_arg1880z00_6082);
					}
					BgL_auxz00_8383 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1878z00_6081);
				}
				{
					obj_t BgL_auxz00_8376;

					{	/* Cfa/setup.scm 64 */
						BgL_objectz00_bglt BgL_tmpz00_8377;

						BgL_tmpz00_8377 =
							((BgL_objectz00_bglt)
							((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_5672)));
						BgL_auxz00_8376 = BGL_OBJECT_WIDENING(BgL_tmpz00_8377);
					}
					BgL_auxz00_8375 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_8376);
				}
				((((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8375))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_8383), BUNSPEC);
			}
			return
				((obj_t)
				((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_5672)));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_setupz00()
	{
		{	/* Cfa/setup.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2354z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2354z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2354z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2354z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2354z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2354z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2354z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2354z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2354z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2354z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2354z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2354z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2354z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2354z00zzcfa_setupz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_pairz00(((long) 37668556),
				BSTRING_TO_STRING(BGl_string2354z00zzcfa_setupz00));
		}

	}

#ifdef __cplusplus
}
#endif
