/*===========================================================================*/
/*   (Cfa/specialize.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/specialize.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_specializa7edzd2globalz75_bgl
	{
		obj_t BgL_fixz00;
	}                                *BgL_specializa7edzd2globalz75_bglt;


	static obj_t BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BUNSPEC;
	static BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_z62patchz12zd2kwote1376za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2closure1380za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_normaliza7ezd2getzd2typeze70z40zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_globalz00_bglt BGl_z62lambda1897z62zzcfa_specializa7eza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2switch1400za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_z62patchz121371z70zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_z62patchz12zd2atom1374za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t
		BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00;
	static obj_t BGl_z62patchz12zd2appzd2ly1386z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62patchz12zd2jumpzd2exzd2it1410za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_z62patchz12zd2boxzd2setz121415z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
	static obj_t BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2makezd2box1413z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62patchz12zd2conditional1396za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
	static obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
	static obj_t BGl_z62patchz12zd2letzd2fun1402z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	static obj_t BGl_z62patchz12zd2extern1390za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62patchz12zd2var1378za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	static obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_z62patchz12zd2app1419za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t
		BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static obj_t
		BGl_z62patchz12zd2setzd2exzd2it1408za2zzcfa_specializa7eza7(obj_t, obj_t);
	static bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7();
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62patchz12zd2cast1392za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt);
	static BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
	static obj_t BGl_gczd2rootszd2initz00zzcfa_specializa7eza7();
	static obj_t BGl_z62patchz12zd2setq1394za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2sync1384za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2fail1398za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2letzd2var1404z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t
		BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_z62patchz12zd2sequence1382za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2arithmeticzd2overflowza2zd2zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31905ze3ze5zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2boxzd2ref1417z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	static BgL_globalz00_bglt BGl_z62lambda1902z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1906z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62lambda1913z62zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1914z62zzcfa_specializa7eza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2funcall1388za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t
		BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2speczd2typeszd2envzd2zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d22115z00,
		BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2065z00zzcfa_specializa7eza7,
		BgL_bgl_string2065za700za7za7c2116za7, "   . Specializing", 17);
	      DEFINE_STRING(BGl_string2066z00zzcfa_specializa7eza7,
		BgL_bgl_string2066za700za7za7c2117za7, ")\n", 2);
	      DEFINE_STRING(BGl_string2067z00zzcfa_specializa7eza7,
		BgL_bgl_string2067za700za7za7c2118za7, ": ", 2);
	      DEFINE_STRING(BGl_string2068z00zzcfa_specializa7eza7,
		BgL_bgl_string2068za700za7za7c2119za7, "        (-> ", 12);
	      DEFINE_STRING(BGl_string2069z00zzcfa_specializa7eza7,
		BgL_bgl_string2069za700za7za7c2120za7, "        (eq? ", 13);
	      DEFINE_STRING(BGl_string2070z00zzcfa_specializa7eza7,
		BgL_bgl_string2070za700za7za7c2121za7, "add-specialized-type!", 21);
	      DEFINE_STRING(BGl_string2071z00zzcfa_specializa7eza7,
		BgL_bgl_string2071za700za7za7c2122za7, "Unspecialized type", 18);
	      DEFINE_STRING(BGl_string2072z00zzcfa_specializa7eza7,
		BgL_bgl_string2072za700za7za7c2123za7, "install-specialize", 18);
	      DEFINE_STRING(BGl_string2073z00zzcfa_specializa7eza7,
		BgL_bgl_string2073za700za7za7c2124za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2074z00zzcfa_specializa7eza7,
		BgL_bgl_string2074za700za7za7c2125za7, " -- ", 4);
	      DEFINE_STRING(BGl_string2075z00zzcfa_specializa7eza7,
		BgL_bgl_string2075za700za7za7c2126za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string2076z00zzcfa_specializa7eza7,
		BgL_bgl_string2076za700za7za7c2127za7, "install-specialize!", 19);
	      DEFINE_STRING(BGl_string2083z00zzcfa_specializa7eza7,
		BgL_bgl_string2083za700za7za7c2128za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2077z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1914za7622129z00,
		BGl_z62lambda1914z62zzcfa_specializa7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2078z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1913za7622130z00,
		BGl_z62lambda1913z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2085z00zzcfa_specializa7eza7,
		BgL_bgl_string2085za700za7za7c2131za7, "patch!1371", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2079z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1906za7622132z00,
		BGl_z62lambda1906z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2086z00zzcfa_specializa7eza7,
		BgL_bgl_string2086za700za7za7c2133za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2088z00zzcfa_specializa7eza7,
		BgL_bgl_string2088za700za7za7c2134za7, "patch!", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2080z00zzcfa_specializa7eza7,
		BgL_bgl_za762za7c3za704anonymo2135za7,
		BGl_z62zc3z04anonymousza31905ze3ze5zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2081z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1902za7622136z00,
		BGl_z62lambda1902z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2082z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1897za7622137z00,
		BGl_z62lambda1897z62zzcfa_specializa7eza7, 0L, BUNSPEC, 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2084z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza7121371za72138za7,
		BGl_z62patchz121371z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2087z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2at2139za7,
		BGl_z62patchz12zd2atom1374za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2089z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2kw2140za7,
		BGl_z62patchz12zd2kwote1376za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2090z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2va2141za7,
		BGl_z62patchz12zd2var1378za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2091z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2cl2142za7,
		BGl_z62patchz12zd2closure1380za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2092z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2143za7,
		BGl_z62patchz12zd2sequence1382za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2093z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2sy2144za7,
		BGl_z62patchz12zd2sync1384za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2094z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap2145za7,
		BGl_z62patchz12zd2appzd2ly1386z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2095z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fu2146za7,
		BGl_z62patchz12zd2funcall1388za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2096z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ex2147za7,
		BGl_z62patchz12zd2extern1390za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2097z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ca2148za7,
		BGl_z62patchz12zd2cast1392za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2098z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2149za7,
		BGl_z62patchz12zd2setq1394za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2099z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2co2150za7,
		BGl_z62patchz12zd2conditional1396za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2operatorzf3zd2envzf3zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d22151z00,
		BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_specializa7ez12zd2envz67zzcfa_specializa7eza7,
		BgL_bgl_za762specializa7a7eza72152za7,
		BGl_z62specializa7ez12zd7zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za770za7za72153za7,
		BGl_z62patchz12z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2100z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fa2154za7,
		BGl_z62patchz12zd2fail1398za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2101z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2sw2155za7,
		BGl_z62patchz12zd2switch1400za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2102z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le2156za7,
		BGl_z62patchz12zd2letzd2fun1402z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2103z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le2157za7,
		BGl_z62patchz12zd2letzd2var1404z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2110z00zzcfa_specializa7eza7,
		BgL_bgl_string2110za700za7za7c2158za7, "Unexpected closure", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2104z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2159za7,
		BGl_z62patchz12zd2setzd2exzd2it1408za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2111z00zzcfa_specializa7eza7,
		BgL_bgl_string2111za700za7za7c2160za7, "cfa_specialize", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2105z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ju2161za7,
		BGl_z62patchz12zd2jumpzd2exzd2it1410za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2112z00zzcfa_specializa7eza7,
		BgL_bgl_string2112za700za7za7c2162za7,
		"patch!1371 _ cfa_specialize specialized-global obj fix done c-eq? c-boxed-eq? foreign __r4_numbers_6_5_flonum __r4_numbers_6_5_fixnum ((|2+| (|2+| __r4_numbers_6_5) (+fl __r4_numbers_6_5_flonum) (+fx __r4_numbers_6_5_fixnum)) (|2-| (|2-| __r4_numbers_6_5) (-fl __r4_numbers_6_5_flonum) (-fx __r4_numbers_6_5_fixnum)) (2* (2* __r4_numbers_6_5) (*fl __r4_numbers_6_5_flonum) (*fx __r4_numbers_6_5_fixnum)) (abs (abs __r4_numbers_6_5) (absfl __r4_numbers_6_5_flonum) (absfx __r4_numbers_6_5_fixnum))) ((|2+| (|2+| __r4_numbers_6_5) (+fl __r4_numbers_6_5_flonum)) (|2-| (|2-| __r4_numbers_6_5) (-fl __r4_numbers_6_5_flonum)) (2* (2* __r4_numbers_6_5) (*fl __r4_numbers_6_5_flonum)) (2/ (2/ __r4_numbers_6_5) (/fl __r4_numbers_6_5_flonum)) (abs (abs __r4_numbers_6_5) (absfl __r4_numbers_6_5_flonum)) (c-eq? (c-eq? foreign) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2= (2= __r4_numbers_6_5) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2< (2< __r4_numbers_6_5) (<fx __r4_numbers_6_5_fixnum) ("
		"<fl __r4_numbers_6_5_flonum)) (2> (2> __r4_numbers_6_5) (>fx __r4_numbers_6_5_fixnum) (>fl __r4_numbers_6_5_flonum)) (2<= (2<= __r4_numbers_6_5) (<=fx __r4_numbers_6_5_fixnum) (<=fl __r4_numbers_6_5_flonum)) (2>= (2>= __r4_numbers_6_5) (>=fx __r4_numbers_6_5_fixnum) (>=fl __r4_numbers_6_5_flonum)) (zero? (zero? __r4_numbers_6_5) (zerofx? __r4_numbers_6_5_fixnum) (zerofl? __r4_numbers_6_5_flonum)) (positive? (positive? __r4_numbers_6_5) (positivefx? __r4_numbers_6_5_fixnum) (positivefl? __r4_numbers_6_5_flonum)) (negative? (negative? __r4_numbers_6_5) (negativefx? __r4_numbers_6_5_fixnum) (negativefl? __r4_numbers_6_5_flonum)) (log (log __r4_numbers_6_5) (logfl __r4_numbers_6_5_flonum)) (exp (exp __r4_numbers_6_5) (expfl __r4_numbers_6_5_flonum)) (sin (sin __r4_numbers_6_5) (sinfl __r4_numbers_6_5_flonum)) (cos (cos __r4_numbers_6_5) (cosfl __r4_numbers_6_5_flonum)) (tan (tan __r4_numbers_6_5) (tanfl __r4_numbers_6_5_flonum)) (atan (atan __r4_numbers_6_5) (atanfl __r4_numbers_6_5_flonum)) (asin (asin __r4_numb"
		"ers_6_5) (asinfl __r4_numbers_6_5_flonum)) (acos (acos __r4_numbers_6_5) (acosfl __r4_numbers_6_5_flonum)) (sqrt (sqrt __r4_numbers_6_5) (sqrtfl __r4_numbers_6_5_flonum))) ",
		2220);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2106z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ma2163za7,
		BGl_z62patchz12zd2makezd2box1413z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2107z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo2164za7,
		BGl_z62patchz12zd2boxzd2setz121415z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2108z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo2165za7,
		BGl_z62patchz12zd2boxzd2ref1417z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2109z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap2166za7,
		BGl_z62patchz12zd2app1419za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2specializa7eza2za7zzcfa_specializa7eza7));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7));
		     ADD_ROOT((void *) (&BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7));
		     ADD_ROOT((void *) (&BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7));
		   
			 ADD_ROOT((void
				*) (&BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*) (&BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*)
			(&BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*) (&BGl_specializa7edzd2globalz75zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*) (&BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*) (&BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long
		BgL_checksumz00_3272, char *BgL_fromz00_3273)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7))
				{
					BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_specializa7eza7();
					BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_cnstzd2initzd2zzcfa_specializa7eza7();
					BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_objectzd2initzd2zzcfa_specializa7eza7();
					BGl_genericzd2initzd2zzcfa_specializa7eza7();
					BGl_methodzd2initzd2zzcfa_specializa7eza7();
					return BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_specialize");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 19 */
				obj_t BgL_cportz00_3152;

				{	/* Cfa/specialize.scm 19 */
					obj_t BgL_stringz00_3160;

					BgL_stringz00_3160 = BGl_string2112z00zzcfa_specializa7eza7;
					{	/* Cfa/specialize.scm 19 */
						obj_t BgL_startz00_3161;

						BgL_startz00_3161 = BINT(((long) 0));
						{	/* Cfa/specialize.scm 19 */
							obj_t BgL_endz00_3162;

							BgL_endz00_3162 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3160)));
							{	/* Cfa/specialize.scm 19 */

								BgL_cportz00_3152 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3160, BgL_startz00_3161, BgL_endz00_3162);
				}}}}
				{
					long BgL_iz00_3153;

					BgL_iz00_3153 = ((long) 13);
				BgL_loopz00_3154:
					if ((BgL_iz00_3153 == ((long) -1)))
						{	/* Cfa/specialize.scm 19 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/specialize.scm 19 */
							{	/* Cfa/specialize.scm 19 */
								obj_t BgL_arg2114z00_3156;

								{	/* Cfa/specialize.scm 19 */

									{	/* Cfa/specialize.scm 19 */
										obj_t BgL_locationz00_3158;

										BgL_locationz00_3158 = BBOOL(((bool_t) 0));
										{	/* Cfa/specialize.scm 19 */

											BgL_arg2114z00_3156 =
												BGl_readz00zz__readerz00(BgL_cportz00_3152,
												BgL_locationz00_3158);
										}
									}
								}
								{	/* Cfa/specialize.scm 19 */
									int BgL_tmpz00_3305;

									BgL_tmpz00_3305 = (int) (BgL_iz00_3153);
									CNST_TABLE_SET(BgL_tmpz00_3305, BgL_arg2114z00_3156);
							}}
							{	/* Cfa/specialize.scm 19 */
								int BgL_auxz00_3159;

								BgL_auxz00_3159 = (int) ((BgL_iz00_3153 - ((long) 1)));
								{
									long BgL_iz00_3310;

									BgL_iz00_3310 = (long) (BgL_auxz00_3159);
									BgL_iz00_3153 = BgL_iz00_3310;
									goto BgL_loopz00_3154;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 19 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 19 */
			BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BFALSE;
			BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7 =
				CNST_TABLE_REF(((long) 0));
			BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7 =
				CNST_TABLE_REF(((long) 1));
			BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			return BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzcfa_specializa7eza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1631;

				BgL_headz00_1631 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1632;
					obj_t BgL_tailz00_1633;

					BgL_prevz00_1632 = BgL_headz00_1631;
					BgL_tailz00_1633 = BgL_l1z00_1;
				BgL_loopz00_1634:
					if (PAIRP(BgL_tailz00_1633))
						{
							obj_t BgL_newzd2prevzd2_1636;

							BgL_newzd2prevzd2_1636 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1633), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1632, BgL_newzd2prevzd2_1636);
							{
								obj_t BgL_tailz00_3322;
								obj_t BgL_prevz00_3321;

								BgL_prevz00_3321 = BgL_newzd2prevzd2_1636;
								BgL_tailz00_3322 = CDR(BgL_tailz00_1633);
								BgL_tailz00_1633 = BgL_tailz00_3322;
								BgL_prevz00_1632 = BgL_prevz00_3321;
								goto BgL_loopz00_1634;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1631);
				}
			}
		}

	}



/* specialize! */
	BGL_EXPORTED_DEF obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t
		BgL_globalsz00_88)
	{
		{	/* Cfa/specialize.scm 44 */
			if (BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7())
				{	/* Cfa/specialize.scm 45 */
					{	/* Cfa/specialize.scm 47 */
						obj_t BgL_g1351z00_1646;

						BgL_g1351z00_1646 =
							BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
						{
							obj_t BgL_l1349z00_1648;

							BgL_l1349z00_1648 = BgL_g1351z00_1646;
						BgL_zc3z04anonymousza31459ze3z87_1649:
							if (PAIRP(BgL_l1349z00_1648))
								{	/* Cfa/specialize.scm 47 */
									BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(CAR
										(BgL_l1349z00_1648));
									{
										obj_t BgL_l1349z00_3332;

										BgL_l1349z00_3332 = CDR(BgL_l1349z00_1648);
										BgL_l1349z00_1648 = BgL_l1349z00_3332;
										goto BgL_zc3z04anonymousza31459ze3z87_1649;
									}
								}
							else
								{	/* Cfa/specialize.scm 47 */
									((bool_t) 1);
								}
						}
					}
					BGl_patchzd2treez12zc0zzcfa_specializa7eza7(BgL_globalsz00_88);
					BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
					BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
				}
			else
				{	/* Cfa/specialize.scm 45 */
					BFALSE;
				}
			return BgL_globalsz00_88;
		}

	}



/* &specialize! */
	obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t BgL_envz00_3036,
		obj_t BgL_globalsz00_3037)
	{
		{	/* Cfa/specialize.scm 44 */
			return BGl_specializa7ez12zb5zzcfa_specializa7eza7(BgL_globalsz00_3037);
		}

	}



/* arithmetic-operator? */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_89)
	{
		{	/* Cfa/specialize.scm 56 */
			{	/* Cfa/specialize.scm 58 */
				obj_t BgL_cellz00_1655;

				{	/* Cfa/specialize.scm 58 */
					obj_t BgL_arg1500z00_1660;
					obj_t BgL_arg1520z00_1661;

					BgL_arg1500z00_1660 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_89)))->BgL_idz00);
					BgL_arg1520z00_1661 =
						BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
					BgL_cellz00_1655 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1500z00_1660,
						BgL_arg1520z00_1661);
				}
				if (PAIRP(BgL_cellz00_1655))
					{	/* Cfa/specialize.scm 59 */
						bool_t BgL_tmpz00_3344;

						{	/* Cfa/specialize.scm 59 */
							obj_t BgL_tmpz00_3345;

							{	/* Cfa/specialize.scm 59 */
								obj_t BgL_pairz00_2414;

								BgL_pairz00_2414 = CAR(CDR(BgL_cellz00_1655));
								BgL_tmpz00_3345 = CAR(CDR(BgL_pairz00_2414));
							}
							BgL_tmpz00_3344 =
								(BgL_tmpz00_3345 ==
								(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_89))->
									BgL_modulez00));
						}
						return BBOOL(BgL_tmpz00_3344);
					}
				else
					{	/* Cfa/specialize.scm 59 */
						return BFALSE;
					}
			}
		}

	}



/* &arithmetic-operator? */
	obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t
		BgL_envz00_3038, obj_t BgL_globalz00_3039)
	{
		{	/* Cfa/specialize.scm 56 */
			return
				BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_3039));
		}

	}



/* arithmetic-spec-types */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_90)
	{
		{	/* Cfa/specialize.scm 67 */
			{	/* Cfa/specialize.scm 69 */
				obj_t BgL_cellz00_1663;

				{	/* Cfa/specialize.scm 69 */
					obj_t BgL_arg1570z00_1688;
					obj_t BgL_arg1571z00_1689;

					BgL_arg1570z00_1688 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_90)))->BgL_idz00);
					BgL_arg1571z00_1689 =
						BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
					BgL_cellz00_1663 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1570z00_1688,
						BgL_arg1571z00_1689);
				}
				if (PAIRP(BgL_cellz00_1663))
					{	/* Cfa/specialize.scm 72 */
						obj_t BgL_g1142z00_1665;

						BgL_g1142z00_1665 = CDR(CDR(BgL_cellz00_1663));
						{
							obj_t BgL_specz00_1668;
							obj_t BgL_typesz00_1669;

							BgL_specz00_1668 = BgL_g1142z00_1665;
							BgL_typesz00_1669 = BNIL;
						BgL_zc3z04anonymousza31522ze3z87_1670:
							if (NULLP(BgL_specz00_1668))
								{	/* Cfa/specialize.scm 75 */
									return BgL_typesz00_1669;
								}
							else
								{	/* Cfa/specialize.scm 77 */
									bool_t BgL_test2175z00_3365;

									if (CBOOL
										(BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00))
										{	/* Cfa/specialize.scm 78 */
											obj_t BgL_tmpz00_3368;

											{	/* Cfa/specialize.scm 78 */
												obj_t BgL_pairz00_2423;

												BgL_pairz00_2423 = CAR(((obj_t) BgL_specz00_1668));
												BgL_tmpz00_3368 = CAR(CDR(BgL_pairz00_2423));
											}
											BgL_test2175z00_3365 =
												(BgL_tmpz00_3368 == CNST_TABLE_REF(((long) 2)));
										}
									else
										{	/* Cfa/specialize.scm 77 */
											BgL_test2175z00_3365 = ((bool_t) 0);
										}
									if (BgL_test2175z00_3365)
										{	/* Cfa/specialize.scm 79 */
											obj_t BgL_arg1536z00_1675;
											obj_t BgL_arg1542z00_1676;

											BgL_arg1536z00_1675 = CDR(((obj_t) BgL_specz00_1668));
											BgL_arg1542z00_1676 =
												MAKE_YOUNG_PAIR(BGl_za2longza2z00zztype_cachez00,
												BgL_typesz00_1669);
											{
												obj_t BgL_typesz00_3379;
												obj_t BgL_specz00_3378;

												BgL_specz00_3378 = BgL_arg1536z00_1675;
												BgL_typesz00_3379 = BgL_arg1542z00_1676;
												BgL_typesz00_1669 = BgL_typesz00_3379;
												BgL_specz00_1668 = BgL_specz00_3378;
												goto BgL_zc3z04anonymousza31522ze3z87_1670;
											}
										}
									else
										{	/* Cfa/specialize.scm 80 */
											bool_t BgL_test2177z00_3380;

											if (CBOOL
												(BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00))
												{	/* Cfa/specialize.scm 81 */
													obj_t BgL_tmpz00_3383;

													{	/* Cfa/specialize.scm 81 */
														obj_t BgL_pairz00_2429;

														BgL_pairz00_2429 = CAR(((obj_t) BgL_specz00_1668));
														BgL_tmpz00_3383 = CAR(CDR(BgL_pairz00_2429));
													}
													BgL_test2177z00_3380 =
														(BgL_tmpz00_3383 == CNST_TABLE_REF(((long) 3)));
												}
											else
												{	/* Cfa/specialize.scm 80 */
													BgL_test2177z00_3380 = ((bool_t) 0);
												}
											if (BgL_test2177z00_3380)
												{	/* Cfa/specialize.scm 82 */
													obj_t BgL_arg1551z00_1680;
													obj_t BgL_arg1552z00_1681;

													BgL_arg1551z00_1680 = CDR(((obj_t) BgL_specz00_1668));
													BgL_arg1552z00_1681 =
														MAKE_YOUNG_PAIR(BGl_za2realza2z00zztype_cachez00,
														BgL_typesz00_1669);
													{
														obj_t BgL_typesz00_3394;
														obj_t BgL_specz00_3393;

														BgL_specz00_3393 = BgL_arg1551z00_1680;
														BgL_typesz00_3394 = BgL_arg1552z00_1681;
														BgL_typesz00_1669 = BgL_typesz00_3394;
														BgL_specz00_1668 = BgL_specz00_3393;
														goto BgL_zc3z04anonymousza31522ze3z87_1670;
													}
												}
											else
												{	/* Cfa/specialize.scm 84 */
													obj_t BgL_arg1554z00_1682;

													BgL_arg1554z00_1682 = CDR(((obj_t) BgL_specz00_1668));
													{
														obj_t BgL_specz00_3397;

														BgL_specz00_3397 = BgL_arg1554z00_1682;
														BgL_specz00_1668 = BgL_specz00_3397;
														goto BgL_zc3z04anonymousza31522ze3z87_1670;
													}
												}
										}
								}
						}
					}
				else
					{	/* Cfa/specialize.scm 70 */
						return BNIL;
					}
			}
		}

	}



/* &arithmetic-spec-types */
	obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3040, obj_t BgL_globalz00_3041)
	{
		{	/* Cfa/specialize.scm 67 */
			return
				BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_3041));
		}

	}



/* get-specializations */
	obj_t BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 89 */
			if (CBOOL(BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7))
				{	/* Cfa/specialize.scm 91 */
					return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
				}
			else
				{	/* Cfa/specialize.scm 91 */
					if (CBOOL(BGl_za2arithmeticzd2overflowza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 94 */
							BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
								CNST_TABLE_REF(((long) 0));
							return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
						}
					else
						{	/* Cfa/specialize.scm 94 */
							BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
								BGl_appendzd221011zd2zzcfa_specializa7eza7(CNST_TABLE_REF((
										(long) 1)), CNST_TABLE_REF(((long) 0)));
							return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
						}
				}
		}

	}



/* specialize-optimization? */
	bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 188 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
				{	/* Cfa/specialize.scm 189 */
					if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 189 */
							return ((bool_t) 0);
						}
					else
						{	/* Cfa/specialize.scm 189 */
							return ((bool_t) 1);
						}
				}
			else
				{	/* Cfa/specialize.scm 189 */
					return ((bool_t) 0);
				}
		}

	}



/* show-specialize */
	bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 194 */
			{	/* Cfa/specialize.scm 195 */
				obj_t BgL_list1572z00_1691;

				{	/* Cfa/specialize.scm 195 */
					obj_t BgL_arg1578z00_1692;

					BgL_arg1578z00_1692 =
						MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
					BgL_list1572z00_1691 =
						MAKE_YOUNG_PAIR(BGl_string2065z00zzcfa_specializa7eza7,
						BgL_arg1578z00_1692);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1572z00_1691);
			}
			{
				obj_t BgL_l1352z00_1694;

				BgL_l1352z00_1694 =
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7;
			BgL_zc3z04anonymousza31579ze3z87_1695:
				if (PAIRP(BgL_l1352z00_1694))
					{	/* Cfa/specialize.scm 196 */
						{	/* Cfa/specialize.scm 197 */
							obj_t BgL_typezd2numzd2_1697;

							BgL_typezd2numzd2_1697 = CAR(BgL_l1352z00_1694);
							if (
								((long) CINT(CDR(
											((obj_t) BgL_typezd2numzd2_1697))) > ((long) 0)))
								{	/* Cfa/specialize.scm 198 */
									obj_t BgL_arg1583z00_1700;
									obj_t BgL_arg1584z00_1701;

									{	/* Cfa/specialize.scm 198 */
										obj_t BgL_arg1601z00_1707;

										BgL_arg1601z00_1707 = CAR(((obj_t) BgL_typezd2numzd2_1697));
										BgL_arg1583z00_1700 =
											BGl_shapez00zztools_shapez00(BgL_arg1601z00_1707);
									}
									BgL_arg1584z00_1701 = CDR(((obj_t) BgL_typezd2numzd2_1697));
									{	/* Cfa/specialize.scm 198 */
										obj_t BgL_list1585z00_1702;

										{	/* Cfa/specialize.scm 198 */
											obj_t BgL_arg1586z00_1703;

											{	/* Cfa/specialize.scm 198 */
												obj_t BgL_arg1588z00_1704;

												{	/* Cfa/specialize.scm 198 */
													obj_t BgL_arg1595z00_1705;

													{	/* Cfa/specialize.scm 198 */
														obj_t BgL_arg1597z00_1706;

														BgL_arg1597z00_1706 =
															MAKE_YOUNG_PAIR
															(BGl_string2066z00zzcfa_specializa7eza7, BNIL);
														BgL_arg1595z00_1705 =
															MAKE_YOUNG_PAIR(BgL_arg1584z00_1701,
															BgL_arg1597z00_1706);
													}
													BgL_arg1588z00_1704 =
														MAKE_YOUNG_PAIR
														(BGl_string2067z00zzcfa_specializa7eza7,
														BgL_arg1595z00_1705);
												}
												BgL_arg1586z00_1703 =
													MAKE_YOUNG_PAIR(BgL_arg1583z00_1700,
													BgL_arg1588z00_1704);
											}
											BgL_list1585z00_1702 =
												MAKE_YOUNG_PAIR(BGl_string2068z00zzcfa_specializa7eza7,
												BgL_arg1586z00_1703);
										}
										BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
											BgL_list1585z00_1702);
								}}
							else
								{	/* Cfa/specialize.scm 197 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l1352z00_3438;

							BgL_l1352z00_3438 = CDR(BgL_l1352z00_1694);
							BgL_l1352z00_1694 = BgL_l1352z00_3438;
							goto BgL_zc3z04anonymousza31579ze3z87_1695;
						}
					}
				else
					{	/* Cfa/specialize.scm 196 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1354z00_1712;

				BgL_l1354z00_1712 =
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7;
			BgL_zc3z04anonymousza31604ze3z87_1713:
				if (PAIRP(BgL_l1354z00_1712))
					{	/* Cfa/specialize.scm 201 */
						{	/* Cfa/specialize.scm 202 */
							obj_t BgL_typezd2numzd2_1715;

							BgL_typezd2numzd2_1715 = CAR(BgL_l1354z00_1712);
							if (
								((long) CINT(CDR(
											((obj_t) BgL_typezd2numzd2_1715))) > ((long) 0)))
								{	/* Cfa/specialize.scm 203 */
									obj_t BgL_arg1612z00_1718;
									obj_t BgL_arg1613z00_1719;

									{	/* Cfa/specialize.scm 203 */
										obj_t BgL_arg1633z00_1725;

										BgL_arg1633z00_1725 = CAR(((obj_t) BgL_typezd2numzd2_1715));
										BgL_arg1612z00_1718 =
											BGl_shapez00zztools_shapez00(BgL_arg1633z00_1725);
									}
									BgL_arg1613z00_1719 = CDR(((obj_t) BgL_typezd2numzd2_1715));
									{	/* Cfa/specialize.scm 203 */
										obj_t BgL_list1614z00_1720;

										{	/* Cfa/specialize.scm 203 */
											obj_t BgL_arg1619z00_1721;

											{	/* Cfa/specialize.scm 203 */
												obj_t BgL_arg1620z00_1722;

												{	/* Cfa/specialize.scm 203 */
													obj_t BgL_arg1621z00_1723;

													{	/* Cfa/specialize.scm 203 */
														obj_t BgL_arg1632z00_1724;

														BgL_arg1632z00_1724 =
															MAKE_YOUNG_PAIR
															(BGl_string2066z00zzcfa_specializa7eza7, BNIL);
														BgL_arg1621z00_1723 =
															MAKE_YOUNG_PAIR(BgL_arg1613z00_1719,
															BgL_arg1632z00_1724);
													}
													BgL_arg1620z00_1722 =
														MAKE_YOUNG_PAIR
														(BGl_string2067z00zzcfa_specializa7eza7,
														BgL_arg1621z00_1723);
												}
												BgL_arg1619z00_1721 =
													MAKE_YOUNG_PAIR(BgL_arg1612z00_1718,
													BgL_arg1620z00_1722);
											}
											BgL_list1614z00_1720 =
												MAKE_YOUNG_PAIR(BGl_string2069z00zzcfa_specializa7eza7,
												BgL_arg1619z00_1721);
										}
										BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
											BgL_list1614z00_1720);
								}}
							else
								{	/* Cfa/specialize.scm 202 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l1354z00_3460;

							BgL_l1354z00_3460 = CDR(BgL_l1354z00_1712);
							BgL_l1354z00_1712 = BgL_l1354z00_3460;
							goto BgL_zc3z04anonymousza31604ze3z87_1713;
						}
					}
				else
					{	/* Cfa/specialize.scm 201 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* install-specialized-type! */
	obj_t BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_91)
	{
		{	/* Cfa/specialize.scm 218 */
			{	/* Cfa/specialize.scm 219 */
				bool_t BgL_test2187z00_3462;

				{	/* Cfa/specialize.scm 219 */
					obj_t BgL_tmpz00_3463;

					BgL_tmpz00_3463 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_91,
						BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
					BgL_test2187z00_3462 = PAIRP(BgL_tmpz00_3463);
				}
				if (BgL_test2187z00_3462)
					{	/* Cfa/specialize.scm 219 */
						return BFALSE;
					}
				else
					{	/* Cfa/specialize.scm 219 */
						{	/* Cfa/specialize.scm 220 */
							obj_t BgL_arg1656z00_1731;

							BgL_arg1656z00_1731 =
								MAKE_YOUNG_PAIR(BgL_typez00_91, BINT(((long) 0)));
							BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
								MAKE_YOUNG_PAIR(BgL_arg1656z00_1731,
								BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
						}
						{	/* Cfa/specialize.scm 221 */
							obj_t BgL_list1657z00_1732;

							BgL_list1657z00_1732 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
							BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 5)),
								BgL_list1657z00_1732);
						}
						{	/* Cfa/specialize.scm 222 */
							obj_t BgL_list1658z00_1733;

							BgL_list1658z00_1733 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
							return (BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 6)),
									BgL_list1658z00_1733), BUNSPEC);
		}}}}

	}



/* add-specialized-type! */
	obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_92)
	{
		{	/* Cfa/specialize.scm 227 */
			{	/* Cfa/specialize.scm 228 */
				obj_t BgL_cellz00_1735;

				BgL_cellz00_1735 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_92,
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1735))
					{	/* Cfa/specialize.scm 232 */
						long BgL_arg1665z00_1737;

						BgL_arg1665z00_1737 =
							(((long) 1) + (long) CINT(CDR(BgL_cellz00_1735)));
						{	/* Cfa/specialize.scm 232 */
							obj_t BgL_tmpz00_3483;

							BgL_tmpz00_3483 = BINT(BgL_arg1665z00_1737);
							return SET_CDR(BgL_cellz00_1735, BgL_tmpz00_3483);
						}
					}
				else
					{	/* Cfa/specialize.scm 229 */
						return
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string2070z00zzcfa_specializa7eza7,
							BGl_string2071z00zzcfa_specializa7eza7,
							BGl_shapez00zztools_shapez00(BgL_typez00_92));
					}
			}
		}

	}



/* add-specialized-eq-type! */
	obj_t BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t
		BgL_typez00_93)
	{
		{	/* Cfa/specialize.scm 237 */
			{	/* Cfa/specialize.scm 238 */
				obj_t BgL_cellz00_1740;

				BgL_cellz00_1740 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_93,
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1740))
					{	/* Cfa/specialize.scm 242 */
						long BgL_arg1675z00_1742;

						BgL_arg1675z00_1742 =
							(((long) 1) + (long) CINT(CDR(BgL_cellz00_1740)));
						{	/* Cfa/specialize.scm 242 */
							obj_t BgL_tmpz00_3494;

							BgL_tmpz00_3494 = BINT(BgL_arg1675z00_1742);
							return SET_CDR(BgL_cellz00_1740, BgL_tmpz00_3494);
						}
					}
				else
					{	/* Cfa/specialize.scm 241 */
						obj_t BgL_arg1678z00_1744;

						BgL_arg1678z00_1744 =
							MAKE_YOUNG_PAIR(BgL_typez00_93, BINT(((long) 1)));
						return (BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7
							=
							MAKE_YOUNG_PAIR(BgL_arg1678z00_1744,
								BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7),
							BUNSPEC);
					}
			}
		}

	}



/* install-specialize! */
	obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t
		BgL_specz00_94)
	{
		{	/* Cfa/specialize.scm 247 */
			{	/* Cfa/specialize.scm 248 */
				obj_t BgL_genz00_1745;

				{	/* Cfa/specialize.scm 248 */
					obj_t BgL_pairz00_2457;

					BgL_pairz00_2457 = CDR(((obj_t) BgL_specz00_94));
					BgL_genz00_1745 = CAR(BgL_pairz00_2457);
				}
				{	/* Cfa/specialize.scm 248 */
					obj_t BgL_fixesz00_1746;

					{	/* Cfa/specialize.scm 249 */
						obj_t BgL_pairz00_2461;

						BgL_pairz00_2461 = CDR(((obj_t) BgL_specz00_94));
						BgL_fixesz00_1746 = CDR(BgL_pairz00_2461);
					}
					{	/* Cfa/specialize.scm 249 */
						obj_t BgL_genzd2idzd2_1747;

						BgL_genzd2idzd2_1747 = CAR(((obj_t) BgL_genz00_1745));
						{	/* Cfa/specialize.scm 250 */
							obj_t BgL_genzd2modzd2_1748;

							{	/* Cfa/specialize.scm 251 */
								obj_t BgL_pairz00_2466;

								BgL_pairz00_2466 = CDR(((obj_t) BgL_genz00_1745));
								BgL_genzd2modzd2_1748 = CAR(BgL_pairz00_2466);
							}
							{	/* Cfa/specialize.scm 251 */
								obj_t BgL_genericz00_1749;

								BgL_genericz00_1749 =
									BGl_findzd2globalzf2modulez20zzast_envz00
									(BgL_genzd2idzd2_1747, BgL_genzd2modzd2_1748);
								{	/* Cfa/specialize.scm 252 */

									{	/* Cfa/specialize.scm 253 */
										bool_t BgL_test2190z00_3512;

										{	/* Cfa/specialize.scm 253 */
											obj_t BgL_classz00_2467;

											BgL_classz00_2467 = BGl_globalz00zzast_varz00;
											if (BGL_OBJECTP(BgL_genericz00_1749))
												{	/* Cfa/specialize.scm 253 */
													BgL_objectz00_bglt BgL_arg1825z00_2469;

													BgL_arg1825z00_2469 =
														(BgL_objectz00_bglt) (BgL_genericz00_1749);
													{	/* Cfa/specialize.scm 253 */
														bool_t BgL_arg1822z00_2472;
														bool_t BgL_arg1823z00_2473;

														{	/* Cfa/specialize.scm 253 */
															long BgL_idxz00_2476;

															BgL_idxz00_2476 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2469);
															BgL_arg1822z00_2472 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2476 + ((long) 2))) ==
																BgL_classz00_2467);
														}
														{	/* Cfa/specialize.scm 253 */
															bool_t BgL_res2045z00_2498;

															{	/* Cfa/specialize.scm 253 */
																obj_t BgL_oclassz00_2484;

																{	/* Cfa/specialize.scm 253 */
																	long BgL_arg1833z00_2490;

																	{	/* Cfa/specialize.scm 253 */
																		long BgL_arg1834z00_2491;

																		BgL_arg1834z00_2491 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2469);
																		BgL_arg1833z00_2490 =
																			(BgL_arg1834z00_2491 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2484 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_2490);
																}
																{	/* Cfa/specialize.scm 253 */
																	bool_t BgL__ortest_1110z00_2485;

																	BgL__ortest_1110z00_2485 =
																		(BgL_classz00_2467 == BgL_oclassz00_2484);
																	if (BgL__ortest_1110z00_2485)
																		{	/* Cfa/specialize.scm 253 */
																			BgL_res2045z00_2498 =
																				BgL__ortest_1110z00_2485;
																		}
																	else
																		{	/* Cfa/specialize.scm 253 */
																			long BgL_odepthz00_2486;

																			BgL_odepthz00_2486 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2484);
																			if ((((long) 2) < BgL_odepthz00_2486))
																				{	/* Cfa/specialize.scm 253 */
																					obj_t BgL_arg1821z00_2488;

																					BgL_arg1821z00_2488 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2484, ((long) 2));
																					BgL_res2045z00_2498 =
																						(BgL_arg1821z00_2488 ==
																						BgL_classz00_2467);
																				}
																			else
																				{	/* Cfa/specialize.scm 253 */
																					BgL_res2045z00_2498 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_2473 = BgL_res2045z00_2498;
														}
														BgL_test2190z00_3512 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_2472,
															BgL_arg1823z00_2473);
													}
												}
											else
												{	/* Cfa/specialize.scm 253 */
													BgL_test2190z00_3512 = ((bool_t) 0);
												}
										}
										if (BgL_test2190z00_3512)
											{
												obj_t BgL_fixesz00_1753;
												obj_t BgL_resz00_1754;

												BgL_fixesz00_1753 = BgL_fixesz00_1746;
												BgL_resz00_1754 = BNIL;
											BgL_zc3z04anonymousza31680ze3z87_1755:
												if (NULLP(BgL_fixesz00_1753))
													{	/* Cfa/specialize.scm 257 */
														bool_t BgL_test2195z00_3533;

														{	/* Cfa/specialize.scm 257 */
															obj_t BgL_classz00_2499;

															BgL_classz00_2499 =
																BGl_specializa7edzd2globalz75zzcfa_specializa7eza7;
															if (BGL_OBJECTP(BgL_genericz00_1749))
																{	/* Cfa/specialize.scm 257 */
																	obj_t BgL_oclassz00_2501;

																	{	/* Cfa/specialize.scm 257 */
																		long BgL_arg1833z00_2503;

																		{	/* Cfa/specialize.scm 257 */
																			long BgL_arg1834z00_2504;

																			BgL_arg1834z00_2504 =
																				BGL_OBJECT_CLASS_NUM(
																				((BgL_objectz00_bglt)
																					BgL_genericz00_1749));
																			BgL_arg1833z00_2503 =
																				(BgL_arg1834z00_2504 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2501 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_2503);
																	}
																	BgL_test2195z00_3533 =
																		(BgL_oclassz00_2501 == BgL_classz00_2499);
																}
															else
																{	/* Cfa/specialize.scm 257 */
																	BgL_test2195z00_3533 = ((bool_t) 0);
																}
														}
														if (BgL_test2195z00_3533)
															{
																obj_t BgL_auxz00_3548;
																BgL_specializa7edzd2globalz75_bglt
																	BgL_auxz00_3541;
																{	/* Cfa/specialize.scm 259 */
																	obj_t BgL_arg1694z00_1759;

																	{
																		BgL_specializa7edzd2globalz75_bglt
																			BgL_auxz00_3549;
																		{
																			obj_t BgL_auxz00_3550;

																			{	/* Cfa/specialize.scm 259 */
																				BgL_objectz00_bglt BgL_tmpz00_3551;

																				BgL_tmpz00_3551 =
																					((BgL_objectz00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_genericz00_1749));
																				BgL_auxz00_3550 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_3551);
																			}
																			BgL_auxz00_3549 =
																				((BgL_specializa7edzd2globalz75_bglt)
																				BgL_auxz00_3550);
																		}
																		BgL_arg1694z00_1759 =
																			(((BgL_specializa7edzd2globalz75_bglt)
																				COBJECT(BgL_auxz00_3549))->BgL_fixz00);
																	}
																	BgL_auxz00_3548 =
																		BGl_appendzd221011zd2zzcfa_specializa7eza7
																		(BgL_arg1694z00_1759, BgL_resz00_1754);
																}
																{
																	obj_t BgL_auxz00_3542;

																	{	/* Cfa/specialize.scm 259 */
																		BgL_objectz00_bglt BgL_tmpz00_3543;

																		BgL_tmpz00_3543 =
																			((BgL_objectz00_bglt)
																			((BgL_globalz00_bglt)
																				BgL_genericz00_1749));
																		BgL_auxz00_3542 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3543);
																	}
																	BgL_auxz00_3541 =
																		((BgL_specializa7edzd2globalz75_bglt)
																		BgL_auxz00_3542);
																}
																return
																	((((BgL_specializa7edzd2globalz75_bglt)
																			COBJECT(BgL_auxz00_3541))->BgL_fixz00) =
																	((obj_t) BgL_auxz00_3548), BUNSPEC);
															}
														else
															{	/* Cfa/specialize.scm 257 */
																{	/* Cfa/specialize.scm 261 */
																	BgL_specializa7edzd2globalz75_bglt
																		BgL_wide1149z00_1762;
																	BgL_wide1149z00_1762 =
																		((BgL_specializa7edzd2globalz75_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_specializa7edzd2globalz75_bgl))));
																	{	/* Cfa/specialize.scm 261 */
																		obj_t BgL_auxz00_3564;
																		BgL_objectz00_bglt BgL_tmpz00_3560;

																		BgL_auxz00_3564 =
																			((obj_t) BgL_wide1149z00_1762);
																		BgL_tmpz00_3560 =
																			((BgL_objectz00_bglt)
																			((BgL_globalz00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_genericz00_1749)));
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3560,
																			BgL_auxz00_3564);
																	}
																	((BgL_objectz00_bglt)
																		((BgL_globalz00_bglt)
																			((BgL_globalz00_bglt)
																				BgL_genericz00_1749)));
																	{	/* Cfa/specialize.scm 261 */
																		long BgL_arg1695z00_1763;

																		BgL_arg1695z00_1763 =
																			BGL_CLASS_NUM
																			(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt) (
																					(BgL_globalz00_bglt) (
																						(BgL_globalz00_bglt)
																						BgL_genericz00_1749))),
																			BgL_arg1695z00_1763);
																	}
																	((BgL_globalz00_bglt)
																		((BgL_globalz00_bglt)
																			((BgL_globalz00_bglt)
																				BgL_genericz00_1749)));
																}
																{
																	BgL_specializa7edzd2globalz75_bglt
																		BgL_auxz00_3578;
																	{
																		obj_t BgL_auxz00_3579;

																		{	/* Cfa/specialize.scm 262 */
																			BgL_objectz00_bglt BgL_tmpz00_3580;

																			BgL_tmpz00_3580 =
																				((BgL_objectz00_bglt)
																				((BgL_globalz00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_genericz00_1749)));
																			BgL_auxz00_3579 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_3580);
																		}
																		BgL_auxz00_3578 =
																			((BgL_specializa7edzd2globalz75_bglt)
																			BgL_auxz00_3579);
																	}
																	((((BgL_specializa7edzd2globalz75_bglt)
																				COBJECT(BgL_auxz00_3578))->BgL_fixz00) =
																		((obj_t) BgL_resz00_1754), BUNSPEC);
																}
																((BgL_globalz00_bglt)
																	((BgL_globalz00_bglt) BgL_genericz00_1749));
																return
																	(BGl_za2specializa7eza2za7zzcfa_specializa7eza7
																	=
																	MAKE_YOUNG_PAIR(BgL_genericz00_1749,
																		BGl_za2specializa7eza2za7zzcfa_specializa7eza7),
																	BUNSPEC);
															}
													}
												else
													{	/* Cfa/specialize.scm 264 */
														obj_t BgL_fixz00_1765;

														BgL_fixz00_1765 = CAR(((obj_t) BgL_fixesz00_1753));
														{	/* Cfa/specialize.scm 264 */
															obj_t BgL_idz00_1766;

															BgL_idz00_1766 = CAR(((obj_t) BgL_fixz00_1765));
															{	/* Cfa/specialize.scm 265 */
																obj_t BgL_modz00_1767;

																{	/* Cfa/specialize.scm 266 */
																	obj_t BgL_pairz00_2522;

																	BgL_pairz00_2522 =
																		CDR(((obj_t) BgL_fixz00_1765));
																	BgL_modz00_1767 = CAR(BgL_pairz00_2522);
																}
																{	/* Cfa/specialize.scm 266 */
																	obj_t BgL_globalz00_1768;

																	BgL_globalz00_1768 =
																		BGl_findzd2globalzf2modulez20zzast_envz00
																		(BgL_idz00_1766, BgL_modz00_1767);
																	{	/* Cfa/specialize.scm 267 */

																		{	/* Cfa/specialize.scm 268 */
																			bool_t BgL_test2197z00_3598;

																			{	/* Cfa/specialize.scm 268 */
																				obj_t BgL_classz00_2523;

																				BgL_classz00_2523 =
																					BGl_globalz00zzast_varz00;
																				if (BGL_OBJECTP(BgL_globalz00_1768))
																					{	/* Cfa/specialize.scm 268 */
																						BgL_objectz00_bglt
																							BgL_arg1825z00_2525;
																						BgL_arg1825z00_2525 =
																							(BgL_objectz00_bglt)
																							(BgL_globalz00_1768);
																						{	/* Cfa/specialize.scm 268 */
																							bool_t BgL_arg1822z00_2528;
																							bool_t BgL_arg1823z00_2529;

																							{	/* Cfa/specialize.scm 268 */
																								long BgL_idxz00_2532;

																								BgL_idxz00_2532 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1825z00_2525);
																								BgL_arg1822z00_2528 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_2532 +
																											((long) 2))) ==
																									BgL_classz00_2523);
																							}
																							{	/* Cfa/specialize.scm 268 */
																								bool_t BgL_res2046z00_2554;

																								{	/* Cfa/specialize.scm 268 */
																									obj_t BgL_oclassz00_2540;

																									{	/* Cfa/specialize.scm 268 */
																										long BgL_arg1833z00_2546;

																										{	/* Cfa/specialize.scm 268 */
																											long BgL_arg1834z00_2547;

																											BgL_arg1834z00_2547 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1825z00_2525);
																											BgL_arg1833z00_2546 =
																												(BgL_arg1834z00_2547 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_2540 =
																											VECTOR_REF
																											(BGl_za2classesza2z00zz__objectz00,
																											BgL_arg1833z00_2546);
																									}
																									{	/* Cfa/specialize.scm 268 */
																										bool_t
																											BgL__ortest_1110z00_2541;
																										BgL__ortest_1110z00_2541 =
																											(BgL_classz00_2523 ==
																											BgL_oclassz00_2540);
																										if (BgL__ortest_1110z00_2541)
																											{	/* Cfa/specialize.scm 268 */
																												BgL_res2046z00_2554 =
																													BgL__ortest_1110z00_2541;
																											}
																										else
																											{	/* Cfa/specialize.scm 268 */
																												long BgL_odepthz00_2542;

																												BgL_odepthz00_2542 =
																													BGL_CLASS_DEPTH
																													(BgL_oclassz00_2540);
																												if ((((long) 2) <
																														BgL_odepthz00_2542))
																													{	/* Cfa/specialize.scm 268 */
																														obj_t
																															BgL_arg1821z00_2544;
																														BgL_arg1821z00_2544
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_oclassz00_2540,
																															((long) 2));
																														BgL_res2046z00_2554
																															=
																															(BgL_arg1821z00_2544
																															==
																															BgL_classz00_2523);
																													}
																												else
																													{	/* Cfa/specialize.scm 268 */
																														BgL_res2046z00_2554
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_arg1823z00_2529 =
																									BgL_res2046z00_2554;
																							}
																							BgL_test2197z00_3598 =
																								BGL_ISA_C_BACKEND
																								(BgL_arg1822z00_2528,
																								BgL_arg1823z00_2529);
																						}
																					}
																				else
																					{	/* Cfa/specialize.scm 268 */
																						BgL_test2197z00_3598 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test2197z00_3598)
																				{	/* Cfa/specialize.scm 269 */
																					BgL_valuez00_bglt BgL_valz00_1770;

																					BgL_valz00_1770 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										BgL_globalz00_1768))))->
																						BgL_valuez00);
																					{	/* Cfa/specialize.scm 271 */
																						bool_t BgL_test2201z00_3620;

																						{	/* Cfa/specialize.scm 271 */
																							bool_t BgL_test2202z00_3621;

																							{	/* Cfa/specialize.scm 271 */
																								obj_t BgL_classz00_2556;

																								BgL_classz00_2556 =
																									BGl_sfunz00zzast_varz00;
																								{	/* Cfa/specialize.scm 271 */
																									BgL_objectz00_bglt
																										BgL_arg1825z00_2558;
																									{	/* Cfa/specialize.scm 271 */
																										obj_t BgL_tmpz00_3622;

																										BgL_tmpz00_3622 =
																											((obj_t)
																											((BgL_objectz00_bglt)
																												BgL_valz00_1770));
																										BgL_arg1825z00_2558 =
																											(BgL_objectz00_bglt)
																											(BgL_tmpz00_3622);
																									}
																									{	/* Cfa/specialize.scm 271 */
																										bool_t BgL_arg1822z00_2561;
																										bool_t BgL_arg1823z00_2562;

																										{	/* Cfa/specialize.scm 271 */
																											long BgL_idxz00_2565;

																											BgL_idxz00_2565 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1825z00_2558);
																											BgL_arg1822z00_2561 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_2565 +
																														((long) 3))) ==
																												BgL_classz00_2556);
																										}
																										{	/* Cfa/specialize.scm 271 */
																											bool_t
																												BgL_res2047z00_2587;
																											{	/* Cfa/specialize.scm 271 */
																												obj_t
																													BgL_oclassz00_2573;
																												{	/* Cfa/specialize.scm 271 */
																													long
																														BgL_arg1833z00_2579;
																													{	/* Cfa/specialize.scm 271 */
																														long
																															BgL_arg1834z00_2580;
																														BgL_arg1834z00_2580
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1825z00_2558);
																														BgL_arg1833z00_2579
																															=
																															(BgL_arg1834z00_2580
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_2573 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1833z00_2579);
																												}
																												{	/* Cfa/specialize.scm 271 */
																													bool_t
																														BgL__ortest_1110z00_2574;
																													BgL__ortest_1110z00_2574
																														=
																														(BgL_classz00_2556
																														==
																														BgL_oclassz00_2573);
																													if (BgL__ortest_1110z00_2574)
																														{	/* Cfa/specialize.scm 271 */
																															BgL_res2047z00_2587
																																=
																																BgL__ortest_1110z00_2574;
																														}
																													else
																														{	/* Cfa/specialize.scm 271 */
																															long
																																BgL_odepthz00_2575;
																															BgL_odepthz00_2575
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_2573);
																															if ((((long) 3) <
																																	BgL_odepthz00_2575))
																																{	/* Cfa/specialize.scm 271 */
																																	obj_t
																																		BgL_arg1821z00_2577;
																																	BgL_arg1821z00_2577
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_2573,
																																		((long) 3));
																																	BgL_res2047z00_2587
																																		=
																																		(BgL_arg1821z00_2577
																																		==
																																		BgL_classz00_2556);
																																}
																															else
																																{	/* Cfa/specialize.scm 271 */
																																	BgL_res2047z00_2587
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_arg1823z00_2562 =
																												BgL_res2047z00_2587;
																										}
																										BgL_test2202z00_3621 =
																											BGL_ISA_C_BACKEND
																											(BgL_arg1822z00_2561,
																											BgL_arg1823z00_2562);
																									}
																								}
																							}
																							if (BgL_test2202z00_3621)
																								{	/* Cfa/specialize.scm 271 */
																									obj_t BgL_tmpz00_3641;

																									BgL_tmpz00_3641 =
																										(((BgL_sfunz00_bglt)
																											COBJECT((
																													(BgL_sfunz00_bglt)
																													BgL_valz00_1770)))->
																										BgL_argsz00);
																									BgL_test2201z00_3620 =
																										PAIRP(BgL_tmpz00_3641);
																								}
																							else
																								{	/* Cfa/specialize.scm 271 */
																									BgL_test2201z00_3620 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_test2201z00_3620)
																							{	/* Cfa/specialize.scm 272 */
																								obj_t BgL_typez00_1774;

																								{	/* Cfa/specialize.scm 272 */
																									obj_t BgL_vz00_1778;

																									{	/* Cfa/specialize.scm 272 */
																										obj_t BgL_pairz00_2590;

																										BgL_pairz00_2590 =
																											(((BgL_sfunz00_bglt)
																												COBJECT((
																														(BgL_sfunz00_bglt)
																														BgL_valz00_1770)))->
																											BgL_argsz00);
																										BgL_vz00_1778 =
																											CAR(BgL_pairz00_2590);
																									}
																									{	/* Cfa/specialize.scm 274 */
																										bool_t BgL_test2205z00_3648;

																										{	/* Cfa/specialize.scm 274 */
																											obj_t BgL_classz00_2591;

																											BgL_classz00_2591 =
																												BGl_typez00zztype_typez00;
																											if (BGL_OBJECTP
																												(BgL_vz00_1778))
																												{	/* Cfa/specialize.scm 274 */
																													BgL_objectz00_bglt
																														BgL_arg1825z00_2593;
																													BgL_arg1825z00_2593 =
																														(BgL_objectz00_bglt)
																														(BgL_vz00_1778);
																													{	/* Cfa/specialize.scm 274 */
																														bool_t
																															BgL_arg1822z00_2596;
																														bool_t
																															BgL_arg1823z00_2597;
																														{	/* Cfa/specialize.scm 274 */
																															long
																																BgL_idxz00_2600;
																															BgL_idxz00_2600 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1825z00_2593);
																															BgL_arg1822z00_2596
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_2600
																																		+
																																		((long) 1)))
																																==
																																BgL_classz00_2591);
																														}
																														{	/* Cfa/specialize.scm 274 */
																															bool_t
																																BgL_res2048z00_2622;
																															{	/* Cfa/specialize.scm 274 */
																																obj_t
																																	BgL_oclassz00_2608;
																																{	/* Cfa/specialize.scm 274 */
																																	long
																																		BgL_arg1833z00_2614;
																																	{	/* Cfa/specialize.scm 274 */
																																		long
																																			BgL_arg1834z00_2615;
																																		BgL_arg1834z00_2615
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1825z00_2593);
																																		BgL_arg1833z00_2614
																																			=
																																			(BgL_arg1834z00_2615
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_2608
																																		=
																																		VECTOR_REF
																																		(BGl_za2classesza2z00zz__objectz00,
																																		BgL_arg1833z00_2614);
																																}
																																{	/* Cfa/specialize.scm 274 */
																																	bool_t
																																		BgL__ortest_1110z00_2609;
																																	BgL__ortest_1110z00_2609
																																		=
																																		(BgL_classz00_2591
																																		==
																																		BgL_oclassz00_2608);
																																	if (BgL__ortest_1110z00_2609)
																																		{	/* Cfa/specialize.scm 274 */
																																			BgL_res2048z00_2622
																																				=
																																				BgL__ortest_1110z00_2609;
																																		}
																																	else
																																		{	/* Cfa/specialize.scm 274 */
																																			long
																																				BgL_odepthz00_2610;
																																			BgL_odepthz00_2610
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_oclassz00_2608);
																																			if ((((long) 1) < BgL_odepthz00_2610))
																																				{	/* Cfa/specialize.scm 274 */
																																					obj_t
																																						BgL_arg1821z00_2612;
																																					BgL_arg1821z00_2612
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_oclassz00_2608,
																																						((long) 1));
																																					BgL_res2048z00_2622
																																						=
																																						(BgL_arg1821z00_2612
																																						==
																																						BgL_classz00_2591);
																																				}
																																			else
																																				{	/* Cfa/specialize.scm 274 */
																																					BgL_res2048z00_2622
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_arg1823z00_2597
																																=
																																BgL_res2048z00_2622;
																														}
																														BgL_test2205z00_3648
																															=
																															BGL_ISA_C_BACKEND
																															(BgL_arg1822z00_2596,
																															BgL_arg1823z00_2597);
																													}
																												}
																											else
																												{	/* Cfa/specialize.scm 274 */
																													BgL_test2205z00_3648 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test2205z00_3648)
																											{	/* Cfa/specialize.scm 274 */
																												BgL_typez00_1774 =
																													BgL_vz00_1778;
																											}
																										else
																											{	/* Cfa/specialize.scm 276 */
																												bool_t
																													BgL_test2209z00_3667;
																												{	/* Cfa/specialize.scm 276 */
																													obj_t
																														BgL_classz00_2623;
																													BgL_classz00_2623 =
																														BGl_localz00zzast_varz00;
																													if (BGL_OBJECTP
																														(BgL_vz00_1778))
																														{	/* Cfa/specialize.scm 276 */
																															BgL_objectz00_bglt
																																BgL_arg1825z00_2625;
																															BgL_arg1825z00_2625
																																=
																																(BgL_objectz00_bglt)
																																(BgL_vz00_1778);
																															{	/* Cfa/specialize.scm 276 */
																																bool_t
																																	BgL_arg1822z00_2628;
																																bool_t
																																	BgL_arg1823z00_2629;
																																{	/* Cfa/specialize.scm 276 */
																																	long
																																		BgL_idxz00_2632;
																																	BgL_idxz00_2632
																																		=
																																		BGL_OBJECT_INHERITANCE_NUM
																																		(BgL_arg1825z00_2625);
																																	BgL_arg1822z00_2628
																																		=
																																		(VECTOR_REF
																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																			(BgL_idxz00_2632
																																				+
																																				((long)
																																					2)))
																																		==
																																		BgL_classz00_2623);
																																}
																																{	/* Cfa/specialize.scm 276 */
																																	bool_t
																																		BgL_res2049z00_2654;
																																	{	/* Cfa/specialize.scm 276 */
																																		obj_t
																																			BgL_oclassz00_2640;
																																		{	/* Cfa/specialize.scm 276 */
																																			long
																																				BgL_arg1833z00_2646;
																																			{	/* Cfa/specialize.scm 276 */
																																				long
																																					BgL_arg1834z00_2647;
																																				BgL_arg1834z00_2647
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_arg1825z00_2625);
																																				BgL_arg1833z00_2646
																																					=
																																					(BgL_arg1834z00_2647
																																					-
																																					OBJECT_TYPE);
																																			}
																																			BgL_oclassz00_2640
																																				=
																																				VECTOR_REF
																																				(BGl_za2classesza2z00zz__objectz00,
																																				BgL_arg1833z00_2646);
																																		}
																																		{	/* Cfa/specialize.scm 276 */
																																			bool_t
																																				BgL__ortest_1110z00_2641;
																																			BgL__ortest_1110z00_2641
																																				=
																																				(BgL_classz00_2623
																																				==
																																				BgL_oclassz00_2640);
																																			if (BgL__ortest_1110z00_2641)
																																				{	/* Cfa/specialize.scm 276 */
																																					BgL_res2049z00_2654
																																						=
																																						BgL__ortest_1110z00_2641;
																																				}
																																			else
																																				{	/* Cfa/specialize.scm 276 */
																																					long
																																						BgL_odepthz00_2642;
																																					BgL_odepthz00_2642
																																						=
																																						BGL_CLASS_DEPTH
																																						(BgL_oclassz00_2640);
																																					if ((((long) 2) < BgL_odepthz00_2642))
																																						{	/* Cfa/specialize.scm 276 */
																																							obj_t
																																								BgL_arg1821z00_2644;
																																							BgL_arg1821z00_2644
																																								=
																																								BGL_CLASS_ANCESTORS_REF
																																								(BgL_oclassz00_2640,
																																								((long) 2));
																																							BgL_res2049z00_2654
																																								=
																																								(BgL_arg1821z00_2644
																																								==
																																								BgL_classz00_2623);
																																						}
																																					else
																																						{	/* Cfa/specialize.scm 276 */
																																							BgL_res2049z00_2654
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																	}
																																	BgL_arg1823z00_2629
																																		=
																																		BgL_res2049z00_2654;
																																}
																																BgL_test2209z00_3667
																																	=
																																	BGL_ISA_C_BACKEND
																																	(BgL_arg1822z00_2628,
																																	BgL_arg1823z00_2629);
																															}
																														}
																													else
																														{	/* Cfa/specialize.scm 276 */
																															BgL_test2209z00_3667
																																= ((bool_t) 0);
																														}
																												}
																												if (BgL_test2209z00_3667)
																													{	/* Cfa/specialize.scm 276 */
																														BgL_typez00_1774 =
																															((obj_t)
																															(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt) BgL_vz00_1778))))->BgL_typez00));
																													}
																												else
																													{	/* Cfa/specialize.scm 282 */
																														obj_t
																															BgL_arg1714z00_1781;
																														BgL_arg1714z00_1781
																															=
																															(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_globalz00_1768))))->BgL_idz00);
																														BgL_typez00_1774 =
																															BGl_internalzd2errorzd2zztools_errorz00
																															(BGl_string2072z00zzcfa_specializa7eza7,
																															BGl_string2073z00zzcfa_specializa7eza7,
																															BgL_arg1714z00_1781);
																													}
																											}
																									}
																								}
																								BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																									(BgL_typez00_1774);
																								{	/* Cfa/specialize.scm 284 */
																									obj_t BgL_arg1703z00_1775;
																									obj_t BgL_arg1706z00_1776;

																									BgL_arg1703z00_1775 =
																										CDR(
																										((obj_t)
																											BgL_fixesz00_1753));
																									{	/* Cfa/specialize.scm 285 */
																										obj_t BgL_arg1711z00_1777;

																										BgL_arg1711z00_1777 =
																											MAKE_YOUNG_PAIR
																											(BgL_typez00_1774,
																											BgL_globalz00_1768);
																										BgL_arg1706z00_1776 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1711z00_1777,
																											BgL_resz00_1754);
																									}
																									{
																										obj_t BgL_resz00_3700;
																										obj_t BgL_fixesz00_3699;

																										BgL_fixesz00_3699 =
																											BgL_arg1703z00_1775;
																										BgL_resz00_3700 =
																											BgL_arg1706z00_1776;
																										BgL_resz00_1754 =
																											BgL_resz00_3700;
																										BgL_fixesz00_1753 =
																											BgL_fixesz00_3699;
																										goto
																											BgL_zc3z04anonymousza31680ze3z87_1755;
																									}
																								}
																							}
																						else
																							{	/* Cfa/specialize.scm 286 */
																								bool_t BgL_test2213z00_3701;

																								{	/* Cfa/specialize.scm 286 */
																									bool_t BgL_test2214z00_3702;

																									{	/* Cfa/specialize.scm 286 */
																										obj_t BgL_classz00_2658;

																										BgL_classz00_2658 =
																											BGl_cfunz00zzast_varz00;
																										{	/* Cfa/specialize.scm 286 */
																											BgL_objectz00_bglt
																												BgL_arg1825z00_2660;
																											{	/* Cfa/specialize.scm 286 */
																												obj_t BgL_tmpz00_3703;

																												BgL_tmpz00_3703 =
																													((obj_t)
																													((BgL_objectz00_bglt)
																														BgL_valz00_1770));
																												BgL_arg1825z00_2660 =
																													(BgL_objectz00_bglt)
																													(BgL_tmpz00_3703);
																											}
																											{	/* Cfa/specialize.scm 286 */
																												bool_t
																													BgL_arg1822z00_2663;
																												bool_t
																													BgL_arg1823z00_2664;
																												{	/* Cfa/specialize.scm 286 */
																													long BgL_idxz00_2667;

																													BgL_idxz00_2667 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1825z00_2660);
																													BgL_arg1822z00_2663 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_2667 +
																																((long) 3))) ==
																														BgL_classz00_2658);
																												}
																												{	/* Cfa/specialize.scm 286 */
																													bool_t
																														BgL_res2050z00_2689;
																													{	/* Cfa/specialize.scm 286 */
																														obj_t
																															BgL_oclassz00_2675;
																														{	/* Cfa/specialize.scm 286 */
																															long
																																BgL_arg1833z00_2681;
																															{	/* Cfa/specialize.scm 286 */
																																long
																																	BgL_arg1834z00_2682;
																																BgL_arg1834z00_2682
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1825z00_2660);
																																BgL_arg1833z00_2681
																																	=
																																	(BgL_arg1834z00_2682
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_2675
																																=
																																VECTOR_REF
																																(BGl_za2classesza2z00zz__objectz00,
																																BgL_arg1833z00_2681);
																														}
																														{	/* Cfa/specialize.scm 286 */
																															bool_t
																																BgL__ortest_1110z00_2676;
																															BgL__ortest_1110z00_2676
																																=
																																(BgL_classz00_2658
																																==
																																BgL_oclassz00_2675);
																															if (BgL__ortest_1110z00_2676)
																																{	/* Cfa/specialize.scm 286 */
																																	BgL_res2050z00_2689
																																		=
																																		BgL__ortest_1110z00_2676;
																																}
																															else
																																{	/* Cfa/specialize.scm 286 */
																																	long
																																		BgL_odepthz00_2677;
																																	BgL_odepthz00_2677
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_oclassz00_2675);
																																	if ((((long)
																																				3) <
																																			BgL_odepthz00_2677))
																																		{	/* Cfa/specialize.scm 286 */
																																			obj_t
																																				BgL_arg1821z00_2679;
																																			BgL_arg1821z00_2679
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_oclassz00_2675,
																																				((long)
																																					3));
																																			BgL_res2050z00_2689
																																				=
																																				(BgL_arg1821z00_2679
																																				==
																																				BgL_classz00_2658);
																																		}
																																	else
																																		{	/* Cfa/specialize.scm 286 */
																																			BgL_res2050z00_2689
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_arg1823z00_2664 =
																														BgL_res2050z00_2689;
																												}
																												BgL_test2214z00_3702 =
																													BGL_ISA_C_BACKEND
																													(BgL_arg1822z00_2663,
																													BgL_arg1823z00_2664);
																											}
																										}
																									}
																									if (BgL_test2214z00_3702)
																										{	/* Cfa/specialize.scm 286 */
																											obj_t BgL_tmpz00_3722;

																											BgL_tmpz00_3722 =
																												(((BgL_cfunz00_bglt)
																													COBJECT((
																															(BgL_cfunz00_bglt)
																															BgL_valz00_1770)))->
																												BgL_argszd2typezd2);
																											BgL_test2213z00_3701 =
																												PAIRP(BgL_tmpz00_3722);
																										}
																									else
																										{	/* Cfa/specialize.scm 286 */
																											BgL_test2213z00_3701 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_test2213z00_3701)
																									{	/* Cfa/specialize.scm 287 */
																										obj_t BgL_typez00_1786;

																										{	/* Cfa/specialize.scm 287 */
																											obj_t BgL_pairz00_2692;

																											BgL_pairz00_2692 =
																												(((BgL_cfunz00_bglt)
																													COBJECT((
																															(BgL_cfunz00_bglt)
																															BgL_valz00_1770)))->
																												BgL_argszd2typezd2);
																											BgL_typez00_1786 =
																												CAR(BgL_pairz00_2692);
																										}
																										BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																											(BgL_typez00_1786);
																										{	/* Cfa/specialize.scm 289 */
																											obj_t BgL_arg1723z00_1787;
																											obj_t BgL_arg1725z00_1788;

																											BgL_arg1723z00_1787 =
																												CDR(
																												((obj_t)
																													BgL_fixesz00_1753));
																											{	/* Cfa/specialize.scm 290 */
																												obj_t
																													BgL_arg1726z00_1789;
																												BgL_arg1726z00_1789 =
																													MAKE_YOUNG_PAIR
																													(BgL_typez00_1786,
																													BgL_globalz00_1768);
																												BgL_arg1725z00_1788 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1726z00_1789,
																													BgL_resz00_1754);
																											}
																											{
																												obj_t BgL_resz00_3735;
																												obj_t BgL_fixesz00_3734;

																												BgL_fixesz00_3734 =
																													BgL_arg1723z00_1787;
																												BgL_resz00_3735 =
																													BgL_arg1725z00_1788;
																												BgL_resz00_1754 =
																													BgL_resz00_3735;
																												BgL_fixesz00_1753 =
																													BgL_fixesz00_3734;
																												goto
																													BgL_zc3z04anonymousza31680ze3z87_1755;
																											}
																										}
																									}
																								else
																									{	/* Cfa/specialize.scm 286 */
																										return BFALSE;
																									}
																							}
																					}
																				}
																			else
																				{	/* Cfa/specialize.scm 268 */
																					{	/* Cfa/specialize.scm 295 */
																						obj_t BgL_arg1738z00_1795;

																						BgL_arg1738z00_1795 =
																							MAKE_YOUNG_PAIR(BgL_idz00_1766,
																							BgL_modz00_1767);
																						{	/* Cfa/specialize.scm 292 */
																							obj_t BgL_list1739z00_1796;

																							{	/* Cfa/specialize.scm 292 */
																								obj_t BgL_arg1742z00_1797;

																								{	/* Cfa/specialize.scm 292 */
																									obj_t BgL_arg1743z00_1798;

																									{	/* Cfa/specialize.scm 292 */
																										obj_t BgL_arg1745z00_1799;

																										BgL_arg1745z00_1799 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1738z00_1795,
																											BNIL);
																										BgL_arg1743z00_1798 =
																											MAKE_YOUNG_PAIR
																											(BGl_string2074z00zzcfa_specializa7eza7,
																											BgL_arg1745z00_1799);
																									}
																									BgL_arg1742z00_1797 =
																										MAKE_YOUNG_PAIR
																										(BGl_string2075z00zzcfa_specializa7eza7,
																										BgL_arg1743z00_1798);
																								}
																								BgL_list1739z00_1796 =
																									MAKE_YOUNG_PAIR
																									(BGl_string2076z00zzcfa_specializa7eza7,
																									BgL_arg1742z00_1797);
																							}
																							BGl_warningz00zz__errorz00
																								(BgL_list1739z00_1796);
																						}
																					}
																					{	/* Cfa/specialize.scm 296 */
																						obj_t BgL_arg1746z00_1800;

																						BgL_arg1746z00_1800 =
																							CDR(((obj_t) BgL_fixesz00_1753));
																						{
																							obj_t BgL_fixesz00_3744;

																							BgL_fixesz00_3744 =
																								BgL_arg1746z00_1800;
																							BgL_fixesz00_1753 =
																								BgL_fixesz00_3744;
																							goto
																								BgL_zc3z04anonymousza31680ze3z87_1755;
																						}
																					}
																				}
																		}
																	}
																}
															}
														}
													}
											}
										else
											{	/* Cfa/specialize.scm 300 */
												obj_t BgL_arg1747z00_1802;

												BgL_arg1747z00_1802 =
													MAKE_YOUNG_PAIR(BgL_genzd2idzd2_1747,
													BgL_genzd2modzd2_1748);
												{	/* Cfa/specialize.scm 297 */
													obj_t BgL_list1748z00_1803;

													{	/* Cfa/specialize.scm 297 */
														obj_t BgL_arg1749z00_1804;

														{	/* Cfa/specialize.scm 297 */
															obj_t BgL_arg1750z00_1805;

															{	/* Cfa/specialize.scm 297 */
																obj_t BgL_arg1751z00_1806;

																BgL_arg1751z00_1806 =
																	MAKE_YOUNG_PAIR(BgL_arg1747z00_1802, BNIL);
																BgL_arg1750z00_1805 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2074z00zzcfa_specializa7eza7,
																	BgL_arg1751z00_1806);
															}
															BgL_arg1749z00_1804 =
																MAKE_YOUNG_PAIR
																(BGl_string2075z00zzcfa_specializa7eza7,
																BgL_arg1750z00_1805);
														}
														BgL_list1748z00_1803 =
															MAKE_YOUNG_PAIR
															(BGl_string2076z00zzcfa_specializa7eza7,
															BgL_arg1749z00_1804);
													}
													return
														BGl_warningz00zz__errorz00(BgL_list1748z00_1803);
												}
											}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* uninstall-specializes! */
	obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 305 */
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			{
				obj_t BgL_l1356z00_1808;

				BgL_l1356z00_1808 = BGl_za2specializa7eza2za7zzcfa_specializa7eza7;
			BgL_zc3z04anonymousza31752ze3z87_1809:
				if (PAIRP(BgL_l1356z00_1808))
					{	/* Cfa/specialize.scm 307 */
						{	/* Cfa/specialize.scm 307 */
							obj_t BgL_oz00_1811;

							BgL_oz00_1811 = CAR(BgL_l1356z00_1808);
							{	/* Cfa/specialize.scm 307 */
								long BgL_arg1759z00_1813;

								{	/* Cfa/specialize.scm 307 */
									obj_t BgL_arg1761z00_1814;

									{	/* Cfa/specialize.scm 307 */
										obj_t BgL_arg1762z00_1815;

										{	/* Cfa/specialize.scm 307 */
											long BgL_arg1833z00_2697;

											{	/* Cfa/specialize.scm 307 */
												long BgL_arg1834z00_2698;

												BgL_arg1834z00_2698 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt) BgL_oz00_1811));
												BgL_arg1833z00_2697 =
													(BgL_arg1834z00_2698 - OBJECT_TYPE);
											}
											BgL_arg1762z00_1815 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2697);
										}
										BgL_arg1761z00_1814 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1762z00_1815);
									}
									{	/* Cfa/specialize.scm 307 */
										obj_t BgL_tmpz00_3759;

										BgL_tmpz00_3759 = ((obj_t) BgL_arg1761z00_1814);
										BgL_arg1759z00_1813 = BGL_CLASS_NUM(BgL_tmpz00_3759);
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_oz00_1811), BgL_arg1759z00_1813);
							}
							{	/* Cfa/specialize.scm 307 */
								BgL_objectz00_bglt BgL_tmpz00_3764;

								BgL_tmpz00_3764 = ((BgL_objectz00_bglt) BgL_oz00_1811);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3764, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_oz00_1811);
							BgL_oz00_1811;
						}
						{
							obj_t BgL_l1356z00_3768;

							BgL_l1356z00_3768 = CDR(BgL_l1356z00_1808);
							BgL_l1356z00_1808 = BgL_l1356z00_3768;
							goto BgL_zc3z04anonymousza31752ze3z87_1809;
						}
					}
				else
					{	/* Cfa/specialize.scm 307 */
						((bool_t) 1);
					}
			}
			return (BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL, BUNSPEC);
		}

	}



/* patch-tree! */
	bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t BgL_globalsz00_95)
	{
		{	/* Cfa/specialize.scm 313 */
			{
				obj_t BgL_l1358z00_1819;

				BgL_l1358z00_1819 = BgL_globalsz00_95;
			BgL_zc3z04anonymousza31764ze3z87_1820:
				if (PAIRP(BgL_l1358z00_1819))
					{	/* Cfa/specialize.scm 314 */
						BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR(BgL_l1358z00_1819));
						{
							obj_t BgL_l1358z00_3774;

							BgL_l1358z00_3774 = CDR(BgL_l1358z00_1819);
							BgL_l1358z00_1819 = BgL_l1358z00_3774;
							goto BgL_zc3z04anonymousza31764ze3z87_1820;
						}
					}
				else
					{	/* Cfa/specialize.scm 314 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* patch-fun! */
	obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t BgL_variablez00_96)
	{
		{	/* Cfa/specialize.scm 319 */
			{	/* Cfa/specialize.scm 320 */
				BgL_valuez00_bglt BgL_funz00_1825;

				BgL_funz00_1825 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_variablez00_96)))->BgL_valuez00);
				{	/* Cfa/specialize.scm 321 */
					obj_t BgL_arg1772z00_1826;

					{	/* Cfa/specialize.scm 321 */
						obj_t BgL_arg1777z00_1827;

						BgL_arg1777z00_1827 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1825)))->BgL_bodyz00);
						BgL_arg1772z00_1826 =
							BGl_patchz12z12zzcfa_specializa7eza7(
							((BgL_nodez00_bglt) BgL_arg1777z00_1827));
					}
					return
						((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1825)))->BgL_bodyz00) =
						((obj_t) BgL_arg1772z00_1826), BUNSPEC);
				}
			}
		}

	}



/* patch*! */
	obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t BgL_nodeza2za2_119)
	{
		{	/* Cfa/specialize.scm 527 */
			{
				obj_t BgL_nodeza2za2_1829;

				BgL_nodeza2za2_1829 = BgL_nodeza2za2_119;
			BgL_zc3z04anonymousza31778ze3z87_1830:
				if (NULLP(BgL_nodeza2za2_1829))
					{	/* Cfa/specialize.scm 529 */
						return CNST_TABLE_REF(((long) 7));
					}
				else
					{	/* Cfa/specialize.scm 529 */
						{	/* Cfa/specialize.scm 532 */
							obj_t BgL_arg1781z00_1832;

							{	/* Cfa/specialize.scm 532 */
								obj_t BgL_arg1785z00_1833;

								BgL_arg1785z00_1833 = CAR(((obj_t) BgL_nodeza2za2_1829));
								BgL_arg1781z00_1832 =
									BGl_patchz12z12zzcfa_specializa7eza7(
									((BgL_nodez00_bglt) BgL_arg1785z00_1833));
							}
							{	/* Cfa/specialize.scm 532 */
								obj_t BgL_tmpz00_3791;

								BgL_tmpz00_3791 = ((obj_t) BgL_nodeza2za2_1829);
								SET_CAR(BgL_tmpz00_3791, BgL_arg1781z00_1832);
							}
						}
						{	/* Cfa/specialize.scm 533 */
							obj_t BgL_arg1788z00_1834;

							BgL_arg1788z00_1834 = CDR(((obj_t) BgL_nodeza2za2_1829));
							{
								obj_t BgL_nodeza2za2_3796;

								BgL_nodeza2za2_3796 = BgL_arg1788z00_1834;
								BgL_nodeza2za2_1829 = BgL_nodeza2za2_3796;
								goto BgL_zc3z04anonymousza31778ze3z87_1830;
							}
						}
					}
			}
		}

	}



/* specialize-app! */
	BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_121)
	{
		{	/* Cfa/specialize.scm 552 */
			if (NULLP((((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->BgL_argsz00)))
				{	/* Cfa/specialize.scm 561 */
					return BgL_nodez00_121;
				}
			else
				{	/* Cfa/specialize.scm 565 */
					obj_t BgL_typez00_1840;

					BgL_typez00_1840 =
						BGl_normaliza7ezd2getzd2typeze70z40zzcfa_specializa7eza7(CAR(
							(((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->BgL_argsz00)));
					{	/* Cfa/specialize.scm 565 */
						BgL_variablez00_bglt BgL_gloz00_1841;

						BgL_gloz00_1841 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Cfa/specialize.scm 566 */
							obj_t BgL_specz00_1842;

							{	/* Cfa/specialize.scm 567 */
								obj_t BgL_arg1838z00_1863;

								{
									BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3805;

									{
										obj_t BgL_auxz00_3806;

										{	/* Cfa/specialize.scm 567 */
											BgL_objectz00_bglt BgL_tmpz00_3807;

											BgL_tmpz00_3807 =
												((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_gloz00_1841));
											BgL_auxz00_3806 = BGL_OBJECT_WIDENING(BgL_tmpz00_3807);
										}
										BgL_auxz00_3805 =
											((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3806);
									}
									BgL_arg1838z00_1863 =
										(((BgL_specializa7edzd2globalz75_bglt)
											COBJECT(BgL_auxz00_3805))->BgL_fixz00);
								}
								BgL_specz00_1842 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_1840,
									BgL_arg1838z00_1863);
							}
							{	/* Cfa/specialize.scm 567 */

								if (PAIRP(BgL_specz00_1842))
									{	/* Cfa/specialize.scm 569 */
										obj_t BgL_g1172z00_1844;

										BgL_g1172z00_1844 =
											CDR(
											(((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->
												BgL_argsz00));
										{
											obj_t BgL_argsz00_1846;

											BgL_argsz00_1846 = BgL_g1172z00_1844;
										BgL_zc3z04anonymousza31792ze3z87_1847:
											if (NULLP(BgL_argsz00_1846))
												{	/* Cfa/specialize.scm 571 */
													BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
														(BgL_typez00_1840);
													{	/* Cfa/specialize.scm 573 */
														BgL_varz00_bglt BgL_arg1799z00_1849;
														obj_t BgL_arg1801z00_1850;

														BgL_arg1799z00_1849 =
															(((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->
															BgL_funz00);
														BgL_arg1801z00_1850 =
															CDR(((obj_t) BgL_specz00_1842));
														((((BgL_varz00_bglt) COBJECT(BgL_arg1799z00_1849))->
																BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_arg1801z00_1850)), BUNSPEC);
													}
													{	/* Cfa/specialize.scm 574 */
														BgL_typez00_bglt BgL_ntz00_1851;

														BgL_ntz00_1851 =
															(((BgL_variablez00_bglt) COBJECT(
																	(((BgL_varz00_bglt) COBJECT(
																				(((BgL_appz00_bglt)
																						COBJECT(BgL_nodez00_121))->
																					BgL_funz00)))->BgL_variablez00)))->
															BgL_typez00);
														{	/* Cfa/specialize.scm 575 */
															BgL_typez00_bglt BgL_arg1805z00_1852;

															BgL_arg1805z00_1852 =
																BGl_strictzd2nodezd2typez00zzast_nodez00
																(BgL_ntz00_1851,
																((BgL_typez00_bglt) BgL_typez00_1840));
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_nodez00_121)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_arg1805z00_1852),
																BUNSPEC);
														}
													}
													return BgL_nodez00_121;
												}
											else
												{	/* Cfa/specialize.scm 577 */
													bool_t BgL_test2223z00_3833;

													{	/* Cfa/specialize.scm 577 */
														obj_t BgL_arg1818z00_1859;

														{	/* Cfa/specialize.scm 577 */
															obj_t BgL_arg1824z00_1860;

															BgL_arg1824z00_1860 =
																CAR(((obj_t) BgL_argsz00_1846));
															BgL_arg1818z00_1859 =
																BGl_normaliza7ezd2getzd2typeze70z40zzcfa_specializa7eza7
																(BgL_arg1824z00_1860);
														}
														BgL_test2223z00_3833 =
															(BgL_arg1818z00_1859 == BgL_typez00_1840);
													}
													if (BgL_test2223z00_3833)
														{	/* Cfa/specialize.scm 578 */
															obj_t BgL_arg1817z00_1858;

															BgL_arg1817z00_1858 =
																CDR(((obj_t) BgL_argsz00_1846));
															{
																obj_t BgL_argsz00_3840;

																BgL_argsz00_3840 = BgL_arg1817z00_1858;
																BgL_argsz00_1846 = BgL_argsz00_3840;
																goto BgL_zc3z04anonymousza31792ze3z87_1847;
															}
														}
													else
														{	/* Cfa/specialize.scm 577 */
															return
																BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
																(BgL_nodez00_121);
														}
												}
										}
									}
								else
									{	/* Cfa/specialize.scm 568 */
										return
											BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
											(BgL_nodez00_121);
									}
							}
						}
					}
				}
		}

	}



/* normalize-get-type~0 */
	obj_t BGl_normaliza7ezd2getzd2typeze70z40zzcfa_specializa7eza7(obj_t
		BgL_valz00_1868)
	{
		{	/* Cfa/specialize.scm 558 */
			{	/* Cfa/specialize.scm 555 */
				BgL_typez00_bglt BgL_tyz00_1870;

				BgL_tyz00_1870 =
					BGl_getzd2typezd2zztype_typeofz00(
					((BgL_nodez00_bglt) BgL_valz00_1868), ((bool_t) 0));
				if ((((obj_t) BgL_tyz00_1870) == BGl_za2intza2z00zztype_cachez00))
					{	/* Cfa/specialize.scm 556 */
						return BGl_za2longza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/specialize.scm 556 */
						return ((obj_t) BgL_tyz00_1870);
					}
			}
		}

	}



/* specialize-eq? */
	BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_122)
	{
		{	/* Cfa/specialize.scm 591 */
			{
				BgL_appz00_bglt BgL_nodez00_1910;
				obj_t BgL_typez00_1911;

				{	/* Cfa/specialize.scm 598 */
					bool_t BgL_test2225z00_3849;

					{	/* Cfa/specialize.scm 598 */
						bool_t BgL_test2226z00_3850;

						{	/* Cfa/specialize.scm 598 */
							BgL_variablez00_bglt BgL_arg1884z00_1908;

							BgL_arg1884z00_1908 =
								(((BgL_varz00_bglt) COBJECT(
										(((BgL_appz00_bglt) COBJECT(BgL_nodez00_122))->
											BgL_funz00)))->BgL_variablez00);
							BgL_test2226z00_3850 =
								(((obj_t) BgL_arg1884z00_1908) ==
								BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7);
						}
						if (BgL_test2226z00_3850)
							{	/* Cfa/specialize.scm 599 */
								obj_t BgL_arg1883z00_1907;

								BgL_arg1883z00_1907 =
									BGl_thezd2backendzd2zzbackend_backendz00();
								BgL_test2225z00_3849 =
									(((BgL_backendz00_bglt) COBJECT(
											((BgL_backendz00_bglt) BgL_arg1883z00_1907)))->
									BgL_typedzd2eqzd2);
							}
						else
							{	/* Cfa/specialize.scm 598 */
								BgL_test2225z00_3849 = ((bool_t) 0);
							}
					}
					if (BgL_test2225z00_3849)
						{	/* Cfa/specialize.scm 601 */
							BgL_typez00_bglt BgL_t1z00_1882;
							BgL_typez00_bglt BgL_t2z00_1883;

							{	/* Cfa/specialize.scm 601 */
								obj_t BgL_arg1877z00_1902;

								BgL_arg1877z00_1902 =
									CAR(
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_122))->BgL_argsz00));
								BgL_t1z00_1882 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg1877z00_1902), ((bool_t) 0));
							}
							{	/* Cfa/specialize.scm 602 */
								obj_t BgL_arg1880z00_1904;

								{	/* Cfa/specialize.scm 602 */
									obj_t BgL_pairz00_2770;

									BgL_pairz00_2770 =
										(((BgL_appz00_bglt) COBJECT(BgL_nodez00_122))->BgL_argsz00);
									BgL_arg1880z00_1904 = CAR(CDR(BgL_pairz00_2770));
								}
								BgL_t2z00_1883 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg1880z00_1904), ((bool_t) 0));
							}
							{	/* Cfa/specialize.scm 604 */
								bool_t BgL_test2227z00_3867;

								if (
									(((obj_t) BgL_t1z00_1882) == BGl_za2objza2z00zztype_cachez00))
									{	/* Cfa/specialize.scm 604 */
										BgL_test2227z00_3867 =
											(
											((obj_t) BgL_t2z00_1883) ==
											BGl_za2objza2z00zztype_cachez00);
									}
								else
									{	/* Cfa/specialize.scm 604 */
										BgL_test2227z00_3867 = ((bool_t) 0);
									}
								if (BgL_test2227z00_3867)
									{	/* Cfa/specialize.scm 604 */
										BUNSPEC;
									}
								else
									{	/* Cfa/specialize.scm 604 */
										if (
											(((obj_t) BgL_t1z00_1882) ==
												BGl_za2bintza2z00zztype_cachez00))
											{	/* Cfa/specialize.scm 606 */
												if (
													(((obj_t) BgL_t2z00_1883) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 607 */
														BgL_nodez00_1910 = BgL_nodez00_122;
														BgL_typez00_1911 = BGl_za2bintza2z00zztype_cachez00;
													BgL_zc3z04anonymousza31886ze3z87_1912:
														{	/* Cfa/specialize.scm 594 */
															bool_t BgL_test2231z00_3879;

															{	/* Cfa/specialize.scm 594 */
																obj_t BgL_objz00_2731;

																BgL_objz00_2731 =
																	BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7;
																{	/* Cfa/specialize.scm 594 */
																	obj_t BgL_classz00_2732;

																	BgL_classz00_2732 = BGl_globalz00zzast_varz00;
																	if (BGL_OBJECTP(BgL_objz00_2731))
																		{	/* Cfa/specialize.scm 594 */
																			BgL_objectz00_bglt BgL_arg1825z00_2734;

																			BgL_arg1825z00_2734 =
																				(BgL_objectz00_bglt) (BgL_objz00_2731);
																			{	/* Cfa/specialize.scm 594 */
																				bool_t BgL_arg1822z00_2737;
																				bool_t BgL_arg1823z00_2738;

																				{	/* Cfa/specialize.scm 594 */
																					long BgL_idxz00_2741;

																					BgL_idxz00_2741 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_2734);
																					BgL_arg1822z00_2737 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2741 + ((long) 2))) ==
																						BgL_classz00_2732);
																				}
																				{	/* Cfa/specialize.scm 594 */
																					bool_t BgL_res2051z00_2763;

																					{	/* Cfa/specialize.scm 594 */
																						obj_t BgL_oclassz00_2749;

																						{	/* Cfa/specialize.scm 594 */
																							long BgL_arg1833z00_2755;

																							{	/* Cfa/specialize.scm 594 */
																								long BgL_arg1834z00_2756;

																								BgL_arg1834z00_2756 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_2734);
																								BgL_arg1833z00_2755 =
																									(BgL_arg1834z00_2756 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2749 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_2755);
																						}
																						{	/* Cfa/specialize.scm 594 */
																							bool_t BgL__ortest_1110z00_2750;

																							BgL__ortest_1110z00_2750 =
																								(BgL_classz00_2732 ==
																								BgL_oclassz00_2749);
																							if (BgL__ortest_1110z00_2750)
																								{	/* Cfa/specialize.scm 594 */
																									BgL_res2051z00_2763 =
																										BgL__ortest_1110z00_2750;
																								}
																							else
																								{	/* Cfa/specialize.scm 594 */
																									long BgL_odepthz00_2751;

																									BgL_odepthz00_2751 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2749);
																									if ((((long) 2) <
																											BgL_odepthz00_2751))
																										{	/* Cfa/specialize.scm 594 */
																											obj_t BgL_arg1821z00_2753;

																											BgL_arg1821z00_2753 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2749,
																												((long) 2));
																											BgL_res2051z00_2763 =
																												(BgL_arg1821z00_2753 ==
																												BgL_classz00_2732);
																										}
																									else
																										{	/* Cfa/specialize.scm 594 */
																											BgL_res2051z00_2763 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_2738 =
																						BgL_res2051z00_2763;
																				}
																				BgL_test2231z00_3879 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_2737,
																					BgL_arg1823z00_2738);
																			}
																		}
																	else
																		{	/* Cfa/specialize.scm 594 */
																			BgL_test2231z00_3879 = ((bool_t) 0);
																		}
																}
															}
															if (BgL_test2231z00_3879)
																{	/* Cfa/specialize.scm 594 */
																	{	/* Cfa/specialize.scm 595 */
																		BgL_varz00_bglt BgL_arg1888z00_1914;

																		BgL_arg1888z00_1914 =
																			(((BgL_appz00_bglt)
																				COBJECT(BgL_nodez00_122))->BgL_funz00);
																		{	/* Cfa/specialize.scm 595 */
																			BgL_variablez00_bglt BgL_vz00_2765;

																			BgL_vz00_2765 =
																				((BgL_variablez00_bglt)
																				BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1888z00_1914))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_2765),
																				BUNSPEC);
																		}
																	}
																	BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7
																		(BgL_typez00_1911);
																}
															else
																{	/* Cfa/specialize.scm 594 */
																	BFALSE;
																}
														}
													}
												else
													{	/* Cfa/specialize.scm 607 */
														BFALSE;
													}
											}
										else
											{	/* Cfa/specialize.scm 606 */
												if (
													(((obj_t) BgL_t2z00_1883) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 610 */
														BUNSPEC;
													}
												else
													{	/* Cfa/specialize.scm 610 */
														if (
															(((obj_t) BgL_t1z00_1882) ==
																BGl_za2brealza2z00zztype_cachez00))
															{	/* Cfa/specialize.scm 612 */
																if (
																	(((obj_t) BgL_t2z00_1883) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{
																		obj_t BgL_typez00_3912;
																		BgL_appz00_bglt BgL_nodez00_3911;

																		BgL_nodez00_3911 = BgL_nodez00_122;
																		BgL_typez00_3912 =
																			BGl_za2brealza2z00zztype_cachez00;
																		BgL_typez00_1911 = BgL_typez00_3912;
																		BgL_nodez00_1910 = BgL_nodez00_3911;
																		goto BgL_zc3z04anonymousza31886ze3z87_1912;
																	}
																else
																	{	/* Cfa/specialize.scm 613 */
																		BFALSE;
																	}
															}
														else
															{	/* Cfa/specialize.scm 612 */
																if (
																	(((obj_t) BgL_t2z00_1883) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{	/* Cfa/specialize.scm 616 */
																		BUNSPEC;
																	}
																else
																	{	/* Cfa/specialize.scm 616 */
																		if (
																			(((obj_t) BgL_t2z00_1883) ==
																				BGl_za2bintza2z00zztype_cachez00))
																			{	/* Cfa/specialize.scm 618 */
																				BUNSPEC;
																			}
																		else
																			{	/* Cfa/specialize.scm 618 */
																				if (
																					(((obj_t) BgL_t1z00_1882) ==
																						BGl_za2bcharza2z00zztype_cachez00))
																					{	/* Cfa/specialize.scm 620 */
																						if (
																							(((obj_t) BgL_t2z00_1883) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{
																								obj_t BgL_typez00_3926;
																								BgL_appz00_bglt
																									BgL_nodez00_3925;
																								BgL_nodez00_3925 =
																									BgL_nodez00_122;
																								BgL_typez00_3926 =
																									BGl_za2bcharza2z00zztype_cachez00;
																								BgL_typez00_1911 =
																									BgL_typez00_3926;
																								BgL_nodez00_1910 =
																									BgL_nodez00_3925;
																								goto
																									BgL_zc3z04anonymousza31886ze3z87_1912;
																							}
																						else
																							{	/* Cfa/specialize.scm 621 */
																								BFALSE;
																							}
																					}
																				else
																					{	/* Cfa/specialize.scm 620 */
																						if (
																							(((obj_t) BgL_t2z00_1883) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{	/* Cfa/specialize.scm 624 */
																								BUNSPEC;
																							}
																						else
																							{	/* Cfa/specialize.scm 626 */
																								bool_t BgL_test2243z00_3930;

																								if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_1882))
																									{	/* Cfa/specialize.scm 626 */
																										BgL_test2243z00_3930 =
																											BGl_bigloozd2typezf3z21zztype_typez00
																											(BgL_t2z00_1883);
																									}
																								else
																									{	/* Cfa/specialize.scm 626 */
																										BgL_test2243z00_3930 =
																											((bool_t) 0);
																									}
																								if (BgL_test2243z00_3930)
																									{	/* Cfa/specialize.scm 628 */
																										BgL_typez00_bglt
																											BgL_arg1875z00_1898;
																										if ((((obj_t)
																													BgL_t1z00_1882) ==
																												BGl_za2objza2z00zztype_cachez00))
																											{	/* Cfa/specialize.scm 628 */
																												BgL_arg1875z00_1898 =
																													BgL_t2z00_1883;
																											}
																										else
																											{	/* Cfa/specialize.scm 628 */
																												BgL_arg1875z00_1898 =
																													BgL_t1z00_1882;
																											}
																										{
																											obj_t BgL_typez00_3938;
																											BgL_appz00_bglt
																												BgL_nodez00_3937;
																											BgL_nodez00_3937 =
																												BgL_nodez00_122;
																											BgL_typez00_3938 =
																												((obj_t)
																												BgL_arg1875z00_1898);
																											BgL_typez00_1911 =
																												BgL_typez00_3938;
																											BgL_nodez00_1910 =
																												BgL_nodez00_3937;
																											goto
																												BgL_zc3z04anonymousza31886ze3z87_1912;
																										}
																									}
																								else
																									{	/* Cfa/specialize.scm 626 */
																										BUNSPEC;
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
							return BgL_nodez00_122;
						}
					else
						{	/* Cfa/specialize.scm 598 */
							return BgL_nodez00_122;
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 35 */
				obj_t BgL_arg1895z00_1920;
				obj_t BgL_arg1896z00_1921;

				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_v1369z00_1963;

					BgL_v1369z00_1963 = create_vector(((long) 1));
					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_arg1910z00_1964;

						BgL_arg1910z00_1964 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc2078z00zzcfa_specializa7eza7,
							BGl_proc2077z00zzcfa_specializa7eza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 9)));
						VECTOR_SET(BgL_v1369z00_1963, ((long) 0), BgL_arg1910z00_1964);
					}
					BgL_arg1895z00_1920 = BgL_v1369z00_1963;
				}
				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_v1370z00_1974;

					BgL_v1370z00_1974 = create_vector(((long) 0));
					BgL_arg1896z00_1921 = BgL_v1370z00_1974;
				}
				return (BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 10)),
						CNST_TABLE_REF(((long) 11)), BGl_globalz00zzast_varz00,
						((long) 16878), BGl_proc2082z00zzcfa_specializa7eza7,
						BGl_proc2081z00zzcfa_specializa7eza7, BFALSE,
						BGl_proc2080z00zzcfa_specializa7eza7,
						BGl_proc2079z00zzcfa_specializa7eza7, BgL_arg1895z00_1920,
						BgL_arg1896z00_1921), BUNSPEC);
		}}

	}



/* &lambda1906 */
	BgL_globalz00_bglt BGl_z62lambda1906z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3048, obj_t BgL_o1130z00_3049)
	{
		{	/* Cfa/specialize.scm 35 */
			{	/* Cfa/specialize.scm 35 */
				long BgL_arg1907z00_3165;

				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_arg1908z00_3166;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_arg1909z00_3167;

						{	/* Cfa/specialize.scm 35 */
							long BgL_arg1833z00_3168;

							{	/* Cfa/specialize.scm 35 */
								long BgL_arg1834z00_3169;

								BgL_arg1834z00_3169 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt) BgL_o1130z00_3049)));
								BgL_arg1833z00_3168 = (BgL_arg1834z00_3169 - OBJECT_TYPE);
							}
							BgL_arg1909z00_3167 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_3168);
						}
						BgL_arg1908z00_3166 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1909z00_3167);
					}
					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_tmpz00_3955;

						BgL_tmpz00_3955 = ((obj_t) BgL_arg1908z00_3166);
						BgL_arg1907z00_3165 = BGL_CLASS_NUM(BgL_tmpz00_3955);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) BgL_o1130z00_3049)), BgL_arg1907z00_3165);
			}
			{	/* Cfa/specialize.scm 35 */
				BgL_objectz00_bglt BgL_tmpz00_3961;

				BgL_tmpz00_3961 =
					((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1130z00_3049));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3961, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1130z00_3049));
			return ((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1130z00_3049));
		}

	}



/* &<@anonymous:1905> */
	obj_t BGl_z62zc3z04anonymousza31905ze3ze5zzcfa_specializa7eza7(obj_t
		BgL_envz00_3050, obj_t BgL_new1129z00_3051)
	{
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_auxz00_3969;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1129z00_3051))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3051))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3977;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_classz00_3171;

						BgL_classz00_3171 = BGl_typez00zztype_typez00;
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL__ortest_1112z00_3172;

							BgL__ortest_1112z00_3172 = BGL_CLASS_NIL(BgL_classz00_3171);
							if (CBOOL(BgL__ortest_1112z00_3172))
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3977 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_3172);
								}
							else
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3977 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3171));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1129z00_3051))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3977), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_3987;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_classz00_3173;

						BgL_classz00_3173 = BGl_valuez00zzast_varz00;
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL__ortest_1112z00_3174;

							BgL__ortest_1112z00_3174 = BGL_CLASS_NIL(BgL_classz00_3173);
							if (CBOOL(BgL__ortest_1112z00_3174))
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3987 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_3174);
								}
							else
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3987 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3173));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1129z00_3051))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_3987), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1129z00_3051))))->
						BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3051))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3051))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3051))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3051))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3051))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3051))))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3051))))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3051))))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3051))))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3051))))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3051))))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3051))))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3051))))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string2083z00zzcfa_specializa7eza7), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3051))))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3051))))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_4046;

					{
						obj_t BgL_auxz00_4047;

						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_4048;

							BgL_tmpz00_4048 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt) BgL_new1129z00_3051));
							BgL_auxz00_4047 = BGL_OBJECT_WIDENING(BgL_tmpz00_4048);
						}
						BgL_auxz00_4046 =
							((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_4047);
					}
					((((BgL_specializa7edzd2globalz75_bglt) COBJECT(BgL_auxz00_4046))->
							BgL_fixz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_3969 = ((BgL_globalz00_bglt) BgL_new1129z00_3051);
				return ((obj_t) BgL_auxz00_3969);
			}
		}

	}



/* &lambda1902 */
	BgL_globalz00_bglt BGl_z62lambda1902z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3052, obj_t BgL_o1125z00_3053)
	{
		{	/* Cfa/specialize.scm 35 */
			{	/* Cfa/specialize.scm 35 */
				BgL_specializa7edzd2globalz75_bglt BgL_wide1127z00_3176;

				BgL_wide1127z00_3176 =
					((BgL_specializa7edzd2globalz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_specializa7edzd2globalz75_bgl))));
				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_auxz00_4061;
					BgL_objectz00_bglt BgL_tmpz00_4057;

					BgL_auxz00_4061 = ((obj_t) BgL_wide1127z00_3176);
					BgL_tmpz00_4057 =
						((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1125z00_3053)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4057, BgL_auxz00_4061);
				}
				((BgL_objectz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1125z00_3053)));
				{	/* Cfa/specialize.scm 35 */
					long BgL_arg1904z00_3177;

					BgL_arg1904z00_3177 =
						BGL_CLASS_NUM(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_o1125z00_3053))),
						BgL_arg1904z00_3177);
				}
				return
					((BgL_globalz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1125z00_3053)));
			}
		}

	}



/* &lambda1897 */
	BgL_globalz00_bglt BGl_z62lambda1897z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3054, obj_t BgL_id1104z00_3055, obj_t BgL_name1105z00_3056,
		obj_t BgL_type1106z00_3057, obj_t BgL_value1107z00_3058,
		obj_t BgL_access1108z00_3059, obj_t BgL_fastzd2alpha1109zd2_3060,
		obj_t BgL_removable1110z00_3061, obj_t BgL_occurrence1111z00_3062,
		obj_t BgL_occurrencew1112z00_3063, obj_t BgL_userzf31113zf3_3064,
		obj_t BgL_module1114z00_3065, obj_t BgL_import1115z00_3066,
		obj_t BgL_evaluablezf31116zf3_3067, obj_t BgL_evalzf31117zf3_3068,
		obj_t BgL_library1118z00_3069, obj_t BgL_pragma1119z00_3070,
		obj_t BgL_src1120z00_3071, obj_t BgL_jvmzd2typezd2name1121z00_3072,
		obj_t BgL_init1122z00_3073, obj_t BgL_alias1123z00_3074,
		obj_t BgL_fix1124z00_3075)
	{
		{	/* Cfa/specialize.scm 35 */
			{	/* Cfa/specialize.scm 35 */
				long BgL_occurrence1111z00_3181;
				long BgL_occurrencew1112z00_3182;
				bool_t BgL_userzf31113zf3_3183;
				bool_t BgL_evaluablezf31116zf3_3185;
				bool_t BgL_evalzf31117zf3_3186;

				BgL_occurrence1111z00_3181 = (long) CINT(BgL_occurrence1111z00_3062);
				BgL_occurrencew1112z00_3182 = (long) CINT(BgL_occurrencew1112z00_3063);
				BgL_userzf31113zf3_3183 = CBOOL(BgL_userzf31113zf3_3064);
				BgL_evaluablezf31116zf3_3185 = CBOOL(BgL_evaluablezf31116zf3_3067);
				BgL_evalzf31117zf3_3186 = CBOOL(BgL_evalzf31117zf3_3068);
				{	/* Cfa/specialize.scm 35 */
					BgL_globalz00_bglt BgL_new1177z00_3188;

					{	/* Cfa/specialize.scm 35 */
						BgL_globalz00_bglt BgL_tmp1175z00_3189;
						BgL_specializa7edzd2globalz75_bglt BgL_wide1176z00_3190;

						{
							BgL_globalz00_bglt BgL_auxz00_4080;

							{	/* Cfa/specialize.scm 35 */
								BgL_globalz00_bglt BgL_new1174z00_3191;

								BgL_new1174z00_3191 =
									((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Cfa/specialize.scm 35 */
									long BgL_arg1901z00_3192;

									BgL_arg1901z00_3192 =
										BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1174z00_3191),
										BgL_arg1901z00_3192);
								}
								{	/* Cfa/specialize.scm 35 */
									BgL_objectz00_bglt BgL_tmpz00_4085;

									BgL_tmpz00_4085 = ((BgL_objectz00_bglt) BgL_new1174z00_3191);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4085, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1174z00_3191);
								BgL_auxz00_4080 = BgL_new1174z00_3191;
							}
							BgL_tmp1175z00_3189 = ((BgL_globalz00_bglt) BgL_auxz00_4080);
						}
						BgL_wide1176z00_3190 =
							((BgL_specializa7edzd2globalz75_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_specializa7edzd2globalz75_bgl))));
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_auxz00_4093;
							BgL_objectz00_bglt BgL_tmpz00_4091;

							BgL_auxz00_4093 = ((obj_t) BgL_wide1176z00_3190);
							BgL_tmpz00_4091 = ((BgL_objectz00_bglt) BgL_tmp1175z00_3189);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4091, BgL_auxz00_4093);
						}
						((BgL_objectz00_bglt) BgL_tmp1175z00_3189);
						{	/* Cfa/specialize.scm 35 */
							long BgL_arg1898z00_3193;

							BgL_arg1898z00_3193 =
								BGL_CLASS_NUM
								(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
							BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
									BgL_tmp1175z00_3189), BgL_arg1898z00_3193);
						}
						BgL_new1177z00_3188 = ((BgL_globalz00_bglt) BgL_tmp1175z00_3189);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1177z00_3188)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1104z00_3055)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1177z00_3188)))->BgL_namez00) =
						((obj_t) BgL_name1105z00_3056), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1177z00_3188)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1106z00_3057)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1177z00_3188)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1107z00_3058)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1177z00_3188)))->BgL_accessz00) =
						((obj_t) BgL_access1108z00_3059), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1177z00_3188)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1109zd2_3060), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1177z00_3188)))->BgL_removablez00) =
						((obj_t) BgL_removable1110z00_3061), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1177z00_3188)))->BgL_occurrencez00) =
						((long) BgL_occurrence1111z00_3181), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1177z00_3188)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1112z00_3182), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1177z00_3188)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31113zf3_3183), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1177z00_3188)))->BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1114z00_3065)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1177z00_3188)))->BgL_importz00) =
						((obj_t) BgL_import1115z00_3066), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1177z00_3188)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31116zf3_3185), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1177z00_3188)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31117zf3_3186), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1177z00_3188)))->BgL_libraryz00) =
						((obj_t) BgL_library1118z00_3069), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1177z00_3188)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1119z00_3070), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1177z00_3188)))->BgL_srcz00) =
						((obj_t) BgL_src1120z00_3071), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1177z00_3188)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) ((obj_t) BgL_jvmzd2typezd2name1121z00_3072)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1177z00_3188)))->BgL_initz00) =
						((obj_t) BgL_init1122z00_3073), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1177z00_3188)))->BgL_aliasz00) =
						((obj_t) BgL_alias1123z00_3074), BUNSPEC);
					{
						BgL_specializa7edzd2globalz75_bglt BgL_auxz00_4146;

						{
							obj_t BgL_auxz00_4147;

							{	/* Cfa/specialize.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_4148;

								BgL_tmpz00_4148 = ((BgL_objectz00_bglt) BgL_new1177z00_3188);
								BgL_auxz00_4147 = BGL_OBJECT_WIDENING(BgL_tmpz00_4148);
							}
							BgL_auxz00_4146 =
								((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_4147);
						}
						((((BgL_specializa7edzd2globalz75_bglt) COBJECT(BgL_auxz00_4146))->
								BgL_fixz00) = ((obj_t) BgL_fix1124z00_3075), BUNSPEC);
					}
					return BgL_new1177z00_3188;
				}
			}
		}

	}



/* &lambda1914 */
	obj_t BGl_z62lambda1914z62zzcfa_specializa7eza7(obj_t BgL_envz00_3076,
		obj_t BgL_oz00_3077, obj_t BgL_vz00_3078)
	{
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_specializa7edzd2globalz75_bglt BgL_auxz00_4153;

				{
					obj_t BgL_auxz00_4154;

					{	/* Cfa/specialize.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_4155;

						BgL_tmpz00_4155 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_3077));
						BgL_auxz00_4154 = BGL_OBJECT_WIDENING(BgL_tmpz00_4155);
					}
					BgL_auxz00_4153 =
						((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_4154);
				}
				return
					((((BgL_specializa7edzd2globalz75_bglt) COBJECT(BgL_auxz00_4153))->
						BgL_fixz00) = ((obj_t) BgL_vz00_3078), BUNSPEC);
			}
		}

	}



/* &lambda1913 */
	obj_t BGl_z62lambda1913z62zzcfa_specializa7eza7(obj_t BgL_envz00_3079,
		obj_t BgL_oz00_3080)
	{
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_specializa7edzd2globalz75_bglt BgL_auxz00_4161;

				{
					obj_t BgL_auxz00_4162;

					{	/* Cfa/specialize.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_4163;

						BgL_tmpz00_4163 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_3080));
						BgL_auxz00_4162 = BGL_OBJECT_WIDENING(BgL_tmpz00_4163);
					}
					BgL_auxz00_4161 =
						((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_4162);
				}
				return
					(((BgL_specializa7edzd2globalz75_bglt) COBJECT(BgL_auxz00_4161))->
					BgL_fixz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 19 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_proc2084z00zzcfa_specializa7eza7, BGl_nodez00zzast_nodez00,
				BGl_string2085z00zzcfa_specializa7eza7);
		}

	}



/* &patch!1371 */
	obj_t BGl_z62patchz121371z70zzcfa_specializa7eza7(obj_t BgL_envz00_3082,
		obj_t BgL_nodez00_3083)
	{
		{	/* Cfa/specialize.scm 326 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 13)),
				BGl_string2086z00zzcfa_specializa7eza7,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_3083)));
		}

	}



/* patch! */
	obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt BgL_nodez00_97)
	{
		{	/* Cfa/specialize.scm 326 */
			{	/* Cfa/specialize.scm 326 */
				obj_t BgL_method1372z00_1983;

				{	/* Cfa/specialize.scm 326 */
					obj_t BgL_res2056z00_2843;

					{	/* Cfa/specialize.scm 326 */
						long BgL_objzd2classzd2numz00_2814;

						BgL_objzd2classzd2numz00_2814 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_97));
						{	/* Cfa/specialize.scm 326 */
							obj_t BgL_arg1829z00_2815;

							BgL_arg1829z00_2815 =
								PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
								(int) (((long) 1)));
							{	/* Cfa/specialize.scm 326 */
								int BgL_offsetz00_2818;

								BgL_offsetz00_2818 = (int) (BgL_objzd2classzd2numz00_2814);
								{	/* Cfa/specialize.scm 326 */
									long BgL_offsetz00_2819;

									BgL_offsetz00_2819 =
										((long) (BgL_offsetz00_2818) - OBJECT_TYPE);
									{	/* Cfa/specialize.scm 326 */
										long BgL_modz00_2820;

										BgL_modz00_2820 =
											(BgL_offsetz00_2819 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/specialize.scm 326 */
											long BgL_restz00_2822;

											BgL_restz00_2822 =
												(BgL_offsetz00_2819 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/specialize.scm 326 */

												{	/* Cfa/specialize.scm 326 */
													obj_t BgL_bucketz00_2824;

													BgL_bucketz00_2824 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2815), BgL_modz00_2820);
													BgL_res2056z00_2843 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2824), BgL_restz00_2822);
					}}}}}}}}
					BgL_method1372z00_1983 = BgL_res2056z00_2843;
				}
				return
					PROCEDURE_ENTRY(BgL_method1372z00_1983) (BgL_method1372z00_1983,
					((obj_t) BgL_nodez00_97), BEOA);
			}
		}

	}



/* &patch! */
	obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t BgL_envz00_3084,
		obj_t BgL_nodez00_3085)
	{
		{	/* Cfa/specialize.scm 326 */
			return
				BGl_patchz12z12zzcfa_specializa7eza7(
				((BgL_nodez00_bglt) BgL_nodez00_3085));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 19 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_atomz00zzast_nodez00,
				BGl_proc2087z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_kwotez00zzast_nodez00,
				BGl_proc2089z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_varz00zzast_nodez00,
				BGl_proc2090z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_closurez00zzast_nodez00, BGl_proc2091z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_sequencez00zzast_nodez00, BGl_proc2092z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_syncz00zzast_nodez00,
				BGl_proc2093z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2094z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_funcallz00zzast_nodez00, BGl_proc2095z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_externz00zzast_nodez00,
				BGl_proc2096z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_castz00zzast_nodez00,
				BGl_proc2097z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_setqz00zzast_nodez00,
				BGl_proc2098z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc2099z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_failz00zzast_nodez00,
				BGl_proc2100z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_switchz00zzast_nodez00,
				BGl_proc2101z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2102z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2103z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2104z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2105z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2106z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2107z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2108z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_appz00zzast_nodez00,
				BGl_proc2109z00zzcfa_specializa7eza7,
				BGl_string2088z00zzcfa_specializa7eza7);
		}

	}



/* &patch!-app1419 */
	obj_t BGl_z62patchz12zd2app1419za2zzcfa_specializa7eza7(obj_t BgL_envz00_3108,
		obj_t BgL_nodez00_3109)
	{
		{	/* Cfa/specialize.scm 538 */
			{
				BgL_appz00_bglt BgL_auxz00_4228;

				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3109)))->BgL_argsz00));
				{
					BgL_varz00_bglt BgL_auxz00_4232;

					{	/* Cfa/specialize.scm 541 */
						BgL_varz00_bglt BgL_arg1980z00_3198;

						BgL_arg1980z00_3198 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_3109)))->BgL_funz00);
						BgL_auxz00_4232 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg1980z00_3198)));
					}
					((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_3109)))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_4232), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 542 */
					BgL_variablez00_bglt BgL_vz00_3199;

					BgL_vz00_3199 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_3109)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/specialize.scm 544 */
						bool_t BgL_test2248z00_4243;

						{	/* Cfa/specialize.scm 544 */
							obj_t BgL_classz00_3200;

							BgL_classz00_3200 =
								BGl_specializa7edzd2globalz75zzcfa_specializa7eza7;
							{	/* Cfa/specialize.scm 544 */
								obj_t BgL_oclassz00_3201;

								{	/* Cfa/specialize.scm 544 */
									long BgL_arg1833z00_3202;

									{	/* Cfa/specialize.scm 544 */
										long BgL_arg1834z00_3203;

										BgL_arg1834z00_3203 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt) BgL_vz00_3199));
										BgL_arg1833z00_3202 = (BgL_arg1834z00_3203 - OBJECT_TYPE);
									}
									BgL_oclassz00_3201 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										BgL_arg1833z00_3202);
								}
								BgL_test2248z00_4243 =
									(BgL_oclassz00_3201 == BgL_classz00_3200);
						}}
						if (BgL_test2248z00_4243)
							{	/* Cfa/specialize.scm 544 */
								BgL_auxz00_4228 =
									BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(
									((BgL_appz00_bglt) BgL_nodez00_3109));
							}
						else
							{	/* Cfa/specialize.scm 544 */
								BgL_auxz00_4228 = ((BgL_appz00_bglt) BgL_nodez00_3109);
							}
					}
				}
				return ((obj_t) BgL_auxz00_4228);
			}
		}

	}



/* &patch!-box-ref1417 */
	obj_t BGl_z62patchz12zd2boxzd2ref1417z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3110, obj_t BgL_nodez00_3111)
	{
		{	/* Cfa/specialize.scm 519 */
			{
				BgL_boxzd2refzd2_bglt BgL_auxz00_4253;

				{
					BgL_varz00_bglt BgL_auxz00_4254;

					{	/* Cfa/specialize.scm 521 */
						BgL_varz00_bglt BgL_arg1978z00_3205;

						BgL_arg1978z00_3205 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_3111)))->BgL_varz00);
						BgL_auxz00_4254 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg1978z00_3205)));
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_3111)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_4254), BUNSPEC);
				}
				BgL_auxz00_4253 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3111);
				return ((obj_t) BgL_auxz00_4253);
			}
		}

	}



/* &patch!-box-set!1415 */
	obj_t BGl_z62patchz12zd2boxzd2setz121415z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3112, obj_t BgL_nodez00_3113)
	{
		{	/* Cfa/specialize.scm 510 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_auxz00_4264;

				{
					BgL_varz00_bglt BgL_auxz00_4265;

					{	/* Cfa/specialize.scm 512 */
						BgL_varz00_bglt BgL_arg1976z00_3207;

						BgL_arg1976z00_3207 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3113)))->BgL_varz00);
						BgL_auxz00_4265 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg1976z00_3207)));
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3113)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_4265), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4273;

					{	/* Cfa/specialize.scm 513 */
						BgL_nodez00_bglt BgL_arg1977z00_3208;

						BgL_arg1977z00_3208 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3113)))->
							BgL_valuez00);
						BgL_auxz00_4273 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1977z00_3208));
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3113)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_4273), BUNSPEC);
				}
				BgL_auxz00_4264 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3113);
				return ((obj_t) BgL_auxz00_4264);
			}
		}

	}



/* &patch!-make-box1413 */
	obj_t BGl_z62patchz12zd2makezd2box1413z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3114, obj_t BgL_nodez00_3115)
	{
		{	/* Cfa/specialize.scm 502 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_4282;

				{
					BgL_nodez00_bglt BgL_auxz00_4283;

					{	/* Cfa/specialize.scm 504 */
						BgL_nodez00_bglt BgL_arg1975z00_3210;

						BgL_arg1975z00_3210 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3115)))->BgL_valuez00);
						BgL_auxz00_4283 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1975z00_3210));
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3115)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4283), BUNSPEC);
				}
				BgL_auxz00_4282 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3115);
				return ((obj_t) BgL_auxz00_4282);
			}
		}

	}



/* &patch!-jump-ex-it1410 */
	obj_t BGl_z62patchz12zd2jumpzd2exzd2it1410za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3116, obj_t BgL_nodez00_3117)
	{
		{	/* Cfa/specialize.scm 493 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_4292;

				{
					BgL_nodez00_bglt BgL_auxz00_4293;

					{	/* Cfa/specialize.scm 495 */
						BgL_nodez00_bglt BgL_arg1973z00_3212;

						BgL_arg1973z00_3212 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3117)))->
							BgL_exitz00);
						BgL_auxz00_4293 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1973z00_3212));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3117)))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4293), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4300;

					{	/* Cfa/specialize.scm 496 */
						BgL_nodez00_bglt BgL_arg1974z00_3213;

						BgL_arg1974z00_3213 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3117)))->
							BgL_valuez00);
						BgL_auxz00_4300 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1974z00_3213));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3117)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_4300), BUNSPEC);
				}
				BgL_auxz00_4292 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3117);
				return ((obj_t) BgL_auxz00_4292);
			}
		}

	}



/* &patch!-set-ex-it1408 */
	obj_t BGl_z62patchz12zd2setzd2exzd2it1408za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3118, obj_t BgL_nodez00_3119)
	{
		{	/* Cfa/specialize.scm 483 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_auxz00_4309;

				{
					BgL_nodez00_bglt BgL_auxz00_4310;

					{	/* Cfa/specialize.scm 485 */
						BgL_nodez00_bglt BgL_arg1970z00_3215;

						BgL_arg1970z00_3215 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3119)))->
							BgL_bodyz00);
						BgL_auxz00_4310 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1970z00_3215));
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3119)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_4310), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4317;

					{	/* Cfa/specialize.scm 486 */
						BgL_nodez00_bglt BgL_arg1971z00_3216;

						BgL_arg1971z00_3216 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3119)))->
							BgL_onexitz00);
						BgL_auxz00_4317 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1971z00_3216));
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3119)))->
							BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4317), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 487 */
					BgL_varz00_bglt BgL_arg1972z00_3217;

					BgL_arg1972z00_3217 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3119)))->BgL_varz00);
					BGl_patchz12z12zzcfa_specializa7eza7(
						((BgL_nodez00_bglt) BgL_arg1972z00_3217));
				}
				BgL_auxz00_4309 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3119);
				return ((obj_t) BgL_auxz00_4309);
			}
		}

	}



/* &patch!-let-var1404 */
	obj_t BGl_z62patchz12zd2letzd2var1404z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3120, obj_t BgL_nodez00_3121)
	{
		{	/* Cfa/specialize.scm 468 */
			{
				BgL_letzd2varzd2_bglt BgL_auxz00_4330;

				{	/* Cfa/specialize.scm 470 */
					obj_t BgL_g1368z00_3219;

					BgL_g1368z00_3219 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3121)))->BgL_bindingsz00);
					{
						obj_t BgL_l1366z00_3221;

						BgL_l1366z00_3221 = BgL_g1368z00_3219;
					BgL_zc3z04anonymousza31962ze3z87_3220:
						if (PAIRP(BgL_l1366z00_3221))
							{	/* Cfa/specialize.scm 470 */
								{	/* Cfa/specialize.scm 471 */
									obj_t BgL_bindingz00_3222;

									BgL_bindingz00_3222 = CAR(BgL_l1366z00_3221);
									{	/* Cfa/specialize.scm 471 */
										obj_t BgL_valz00_3223;

										BgL_valz00_3223 = CDR(((obj_t) BgL_bindingz00_3222));
										{	/* Cfa/specialize.scm 472 */
											obj_t BgL_arg1964z00_3224;

											BgL_arg1964z00_3224 =
												BGl_patchz12z12zzcfa_specializa7eza7(
												((BgL_nodez00_bglt) BgL_valz00_3223));
											{	/* Cfa/specialize.scm 472 */
												obj_t BgL_tmpz00_4340;

												BgL_tmpz00_4340 = ((obj_t) BgL_bindingz00_3222);
												SET_CDR(BgL_tmpz00_4340, BgL_arg1964z00_3224);
											}
										}
									}
								}
								{
									obj_t BgL_l1366z00_4343;

									BgL_l1366z00_4343 = CDR(BgL_l1366z00_3221);
									BgL_l1366z00_3221 = BgL_l1366z00_4343;
									goto BgL_zc3z04anonymousza31962ze3z87_3220;
								}
							}
						else
							{	/* Cfa/specialize.scm 470 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4345;

					{	/* Cfa/specialize.scm 474 */
						BgL_nodez00_bglt BgL_arg1966z00_3225;

						BgL_arg1966z00_3225 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_3121)))->BgL_bodyz00);
						BgL_auxz00_4345 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1966z00_3225));
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_3121)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4345), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 475 */
					bool_t BgL_test2250z00_4352;

					{	/* Cfa/specialize.scm 475 */
						BgL_typez00_bglt BgL_arg1969z00_3226;

						BgL_arg1969z00_3226 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nodez00_3121))))->BgL_typez00);
						BgL_test2250z00_4352 =
							(
							((obj_t) BgL_arg1969z00_3226) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_test2250z00_4352)
						{	/* Cfa/specialize.scm 475 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nodez00_3121))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
													BgL_nodez00_3121))))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
												(BgL_letzd2varzd2_bglt) BgL_nodez00_3121)),
										((bool_t) 0))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 475 */
							BFALSE;
						}
				}
				BgL_auxz00_4330 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3121);
				return ((obj_t) BgL_auxz00_4330);
			}
		}

	}



/* &patch!-let-fun1402 */
	obj_t BGl_z62patchz12zd2letzd2fun1402z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3122, obj_t BgL_nodez00_3123)
	{
		{	/* Cfa/specialize.scm 456 */
			{
				BgL_letzd2funzd2_bglt BgL_auxz00_4370;

				{	/* Cfa/specialize.scm 458 */
					obj_t BgL_g1365z00_3228;

					BgL_g1365z00_3228 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3123)))->BgL_localsz00);
					{
						obj_t BgL_l1363z00_3230;

						BgL_l1363z00_3230 = BgL_g1365z00_3228;
					BgL_zc3z04anonymousza31954ze3z87_3229:
						if (PAIRP(BgL_l1363z00_3230))
							{	/* Cfa/specialize.scm 458 */
								BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR
									(BgL_l1363z00_3230));
								{
									obj_t BgL_l1363z00_4377;

									BgL_l1363z00_4377 = CDR(BgL_l1363z00_3230);
									BgL_l1363z00_3230 = BgL_l1363z00_4377;
									goto BgL_zc3z04anonymousza31954ze3z87_3229;
								}
							}
						else
							{	/* Cfa/specialize.scm 458 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4379;

					{	/* Cfa/specialize.scm 459 */
						BgL_nodez00_bglt BgL_arg1958z00_3231;

						BgL_arg1958z00_3231 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_3123)))->BgL_bodyz00);
						BgL_auxz00_4379 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1958z00_3231));
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_3123)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4379), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 460 */
					bool_t BgL_test2252z00_4386;

					{	/* Cfa/specialize.scm 460 */
						BgL_typez00_bglt BgL_arg1961z00_3232;

						BgL_arg1961z00_3232 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nodez00_3123))))->BgL_typez00);
						BgL_test2252z00_4386 =
							(
							((obj_t) BgL_arg1961z00_3232) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_test2252z00_4386)
						{	/* Cfa/specialize.scm 460 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_letzd2funzd2_bglt) BgL_nodez00_3123))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt)
													BgL_nodez00_3123))))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
												(BgL_letzd2funzd2_bglt) BgL_nodez00_3123)),
										((bool_t) 0))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 460 */
							BFALSE;
						}
				}
				BgL_auxz00_4370 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3123);
				return ((obj_t) BgL_auxz00_4370);
			}
		}

	}



/* &patch!-switch1400 */
	obj_t BGl_z62patchz12zd2switch1400za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3124, obj_t BgL_nodez00_3125)
	{
		{	/* Cfa/specialize.scm 445 */
			{
				BgL_switchz00_bglt BgL_auxz00_4404;

				{
					BgL_nodez00_bglt BgL_auxz00_4405;

					{	/* Cfa/specialize.scm 447 */
						BgL_nodez00_bglt BgL_arg1948z00_3234;

						BgL_arg1948z00_3234 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_3125)))->BgL_testz00);
						BgL_auxz00_4405 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1948z00_3234));
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_3125)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4405), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 448 */
					obj_t BgL_g1362z00_3235;

					BgL_g1362z00_3235 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3125)))->BgL_clausesz00);
					{
						obj_t BgL_l1360z00_3237;

						BgL_l1360z00_3237 = BgL_g1362z00_3235;
					BgL_zc3z04anonymousza31949ze3z87_3236:
						if (PAIRP(BgL_l1360z00_3237))
							{	/* Cfa/specialize.scm 448 */
								{	/* Cfa/specialize.scm 449 */
									obj_t BgL_clausez00_3238;

									BgL_clausez00_3238 = CAR(BgL_l1360z00_3237);
									{	/* Cfa/specialize.scm 449 */
										obj_t BgL_arg1951z00_3239;

										{	/* Cfa/specialize.scm 449 */
											obj_t BgL_arg1952z00_3240;

											BgL_arg1952z00_3240 = CDR(((obj_t) BgL_clausez00_3238));
											BgL_arg1951z00_3239 =
												BGl_patchz12z12zzcfa_specializa7eza7(
												((BgL_nodez00_bglt) BgL_arg1952z00_3240));
										}
										{	/* Cfa/specialize.scm 449 */
											obj_t BgL_tmpz00_4421;

											BgL_tmpz00_4421 = ((obj_t) BgL_clausez00_3238);
											SET_CDR(BgL_tmpz00_4421, BgL_arg1951z00_3239);
										}
									}
								}
								{
									obj_t BgL_l1360z00_4424;

									BgL_l1360z00_4424 = CDR(BgL_l1360z00_3237);
									BgL_l1360z00_3237 = BgL_l1360z00_4424;
									goto BgL_zc3z04anonymousza31949ze3z87_3236;
								}
							}
						else
							{	/* Cfa/specialize.scm 448 */
								((bool_t) 1);
							}
					}
				}
				BgL_auxz00_4404 = ((BgL_switchz00_bglt) BgL_nodez00_3125);
				return ((obj_t) BgL_auxz00_4404);
			}
		}

	}



/* &patch!-fail1398 */
	obj_t BGl_z62patchz12zd2fail1398za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3126, obj_t BgL_nodez00_3127)
	{
		{	/* Cfa/specialize.scm 435 */
			{
				BgL_failz00_bglt BgL_auxz00_4428;

				{
					BgL_nodez00_bglt BgL_auxz00_4429;

					{	/* Cfa/specialize.scm 437 */
						BgL_nodez00_bglt BgL_arg1945z00_3242;

						BgL_arg1945z00_3242 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_3127)))->BgL_procz00);
						BgL_auxz00_4429 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1945z00_3242));
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_3127)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4429), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4436;

					{	/* Cfa/specialize.scm 438 */
						BgL_nodez00_bglt BgL_arg1946z00_3243;

						BgL_arg1946z00_3243 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_3127)))->BgL_msgz00);
						BgL_auxz00_4436 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1946z00_3243));
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_3127)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4436), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4443;

					{	/* Cfa/specialize.scm 439 */
						BgL_nodez00_bglt BgL_arg1947z00_3244;

						BgL_arg1947z00_3244 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_3127)))->BgL_objz00);
						BgL_auxz00_4443 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1947z00_3244));
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_3127)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4443), BUNSPEC);
				}
				BgL_auxz00_4428 = ((BgL_failz00_bglt) BgL_nodez00_3127);
				return ((obj_t) BgL_auxz00_4428);
			}
		}

	}



/* &patch!-conditional1396 */
	obj_t BGl_z62patchz12zd2conditional1396za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3128, obj_t BgL_nodez00_3129)
	{
		{	/* Cfa/specialize.scm 422 */
			{
				BgL_conditionalz00_bglt BgL_auxz00_4452;

				{
					BgL_nodez00_bglt BgL_auxz00_4453;

					{	/* Cfa/specialize.scm 424 */
						BgL_nodez00_bglt BgL_arg1939z00_3246;

						BgL_arg1939z00_3246 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3129)))->BgL_testz00);
						BgL_auxz00_4453 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1939z00_3246));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3129)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4453), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4460;

					{	/* Cfa/specialize.scm 425 */
						BgL_nodez00_bglt BgL_arg1940z00_3247;

						BgL_arg1940z00_3247 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3129)))->BgL_truez00);
						BgL_auxz00_4460 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1940z00_3247));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3129)))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4460), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4467;

					{	/* Cfa/specialize.scm 426 */
						BgL_nodez00_bglt BgL_arg1941z00_3248;

						BgL_arg1941z00_3248 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3129)))->BgL_falsez00);
						BgL_auxz00_4467 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1941z00_3248));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3129)))->
							BgL_falsez00) = ((BgL_nodez00_bglt) BgL_auxz00_4467), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 427 */
					bool_t BgL_test2254z00_4474;

					{	/* Cfa/specialize.scm 427 */
						BgL_typez00_bglt BgL_arg1944z00_3249;

						BgL_arg1944z00_3249 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_conditionalz00_bglt) BgL_nodez00_3129))))->
							BgL_typez00);
						BgL_test2254z00_4474 =
							(((obj_t) BgL_arg1944z00_3249) ==
							BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_test2254z00_4474)
						{	/* Cfa/specialize.scm 427 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_conditionalz00_bglt) BgL_nodez00_3129))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt)
													BgL_nodez00_3129))))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
												(BgL_conditionalz00_bglt) BgL_nodez00_3129)),
										((bool_t) 0))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 427 */
							BFALSE;
						}
				}
				BgL_auxz00_4452 = ((BgL_conditionalz00_bglt) BgL_nodez00_3129);
				return ((obj_t) BgL_auxz00_4452);
			}
		}

	}



/* &patch!-setq1394 */
	obj_t BGl_z62patchz12zd2setq1394za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3130, obj_t BgL_nodez00_3131)
	{
		{	/* Cfa/specialize.scm 413 */
			{
				BgL_setqz00_bglt BgL_auxz00_4492;

				{
					BgL_nodez00_bglt BgL_auxz00_4493;

					{	/* Cfa/specialize.scm 415 */
						BgL_nodez00_bglt BgL_arg1937z00_3251;

						BgL_arg1937z00_3251 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_3131)))->BgL_valuez00);
						BgL_auxz00_4493 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1937z00_3251));
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_3131)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4493), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_4500;

					{	/* Cfa/specialize.scm 416 */
						BgL_varz00_bglt BgL_arg1938z00_3252;

						BgL_arg1938z00_3252 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_3131)))->BgL_varz00);
						BgL_auxz00_4500 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg1938z00_3252)));
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_3131)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_4500), BUNSPEC);
				}
				BgL_auxz00_4492 = ((BgL_setqz00_bglt) BgL_nodez00_3131);
				return ((obj_t) BgL_auxz00_4492);
			}
		}

	}



/* &patch!-cast1392 */
	obj_t BGl_z62patchz12zd2cast1392za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3132, obj_t BgL_nodez00_3133)
	{
		{	/* Cfa/specialize.scm 405 */
			{
				BgL_castz00_bglt BgL_auxz00_4510;

				BGl_patchz12z12zzcfa_specializa7eza7(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_3133)))->BgL_argz00));
				BgL_auxz00_4510 = ((BgL_castz00_bglt) BgL_nodez00_3133);
				return ((obj_t) BgL_auxz00_4510);
			}
		}

	}



/* &patch!-extern1390 */
	obj_t BGl_z62patchz12zd2extern1390za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3134, obj_t BgL_nodez00_3135)
	{
		{	/* Cfa/specialize.scm 397 */
			{
				BgL_externz00_bglt BgL_auxz00_4516;

				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_3135)))->BgL_exprza2za2));
				BgL_auxz00_4516 = ((BgL_externz00_bglt) BgL_nodez00_3135);
				return ((obj_t) BgL_auxz00_4516);
			}
		}

	}



/* &patch!-funcall1388 */
	obj_t BGl_z62patchz12zd2funcall1388za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3136, obj_t BgL_nodez00_3137)
	{
		{	/* Cfa/specialize.scm 388 */
			{
				BgL_funcallz00_bglt BgL_auxz00_4522;

				{
					BgL_nodez00_bglt BgL_auxz00_4523;

					{	/* Cfa/specialize.scm 390 */
						BgL_nodez00_bglt BgL_arg1932z00_3256;

						BgL_arg1932z00_3256 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_3137)))->BgL_funz00);
						BgL_auxz00_4523 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1932z00_3256));
					}
					((((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_3137)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4523), BUNSPEC);
				}
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3137)))->BgL_argsz00));
				BgL_auxz00_4522 = ((BgL_funcallz00_bglt) BgL_nodez00_3137);
				return ((obj_t) BgL_auxz00_4522);
			}
		}

	}



/* &patch!-app-ly1386 */
	obj_t BGl_z62patchz12zd2appzd2ly1386z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3138, obj_t BgL_nodez00_3139)
	{
		{	/* Cfa/specialize.scm 379 */
			{
				BgL_appzd2lyzd2_bglt BgL_auxz00_4535;

				{
					BgL_nodez00_bglt BgL_auxz00_4536;

					{	/* Cfa/specialize.scm 381 */
						BgL_nodez00_bglt BgL_arg1930z00_3258;

						BgL_arg1930z00_3258 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3139)))->BgL_funz00);
						BgL_auxz00_4536 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1930z00_3258));
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3139)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4536), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4543;

					{	/* Cfa/specialize.scm 382 */
						BgL_nodez00_bglt BgL_arg1931z00_3259;

						BgL_arg1931z00_3259 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3139)))->BgL_argz00);
						BgL_auxz00_4543 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1931z00_3259));
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3139)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4543), BUNSPEC);
				}
				BgL_auxz00_4535 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3139);
				return ((obj_t) BgL_auxz00_4535);
			}
		}

	}



/* &patch!-sync1384 */
	obj_t BGl_z62patchz12zd2sync1384za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3140, obj_t BgL_nodez00_3141)
	{
		{	/* Cfa/specialize.scm 366 */
			{
				BgL_syncz00_bglt BgL_auxz00_4552;

				{
					BgL_nodez00_bglt BgL_auxz00_4553;

					{	/* Cfa/specialize.scm 368 */
						BgL_nodez00_bglt BgL_arg1923z00_3261;

						BgL_arg1923z00_3261 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_3141)))->BgL_mutexz00);
						BgL_auxz00_4553 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1923z00_3261));
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_3141)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4553), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4560;

					{	/* Cfa/specialize.scm 369 */
						BgL_nodez00_bglt BgL_arg1924z00_3262;

						BgL_arg1924z00_3262 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_3141)))->BgL_prelockz00);
						BgL_auxz00_4560 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1924z00_3262));
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_3141)))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4560), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4567;

					{	/* Cfa/specialize.scm 370 */
						BgL_nodez00_bglt BgL_arg1925z00_3263;

						BgL_arg1925z00_3263 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_3141)))->BgL_bodyz00);
						BgL_auxz00_4567 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1925z00_3263));
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_3141)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4567), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 371 */
					bool_t BgL_test2255z00_4574;

					{	/* Cfa/specialize.scm 371 */
						BgL_typez00_bglt BgL_arg1929z00_3264;

						BgL_arg1929z00_3264 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_syncz00_bglt) BgL_nodez00_3141))))->BgL_typez00);
						BgL_test2255z00_4574 =
							(
							((obj_t) BgL_arg1929z00_3264) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_test2255z00_4574)
						{	/* Cfa/specialize.scm 371 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_syncz00_bglt) BgL_nodez00_3141))))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_syncz00_bglt)
													BgL_nodez00_3141))))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
												(BgL_syncz00_bglt) BgL_nodez00_3141)), ((bool_t) 0))),
								BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 371 */
							BFALSE;
						}
				}
				BgL_auxz00_4552 = ((BgL_syncz00_bglt) BgL_nodez00_3141);
				return ((obj_t) BgL_auxz00_4552);
			}
		}

	}



/* &patch!-sequence1382 */
	obj_t BGl_z62patchz12zd2sequence1382za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3142, obj_t BgL_nodez00_3143)
	{
		{	/* Cfa/specialize.scm 355 */
			{
				BgL_sequencez00_bglt BgL_auxz00_4592;

				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_3143)))->BgL_nodesz00));
				{	/* Cfa/specialize.scm 358 */
					bool_t BgL_test2256z00_4596;

					{	/* Cfa/specialize.scm 358 */
						BgL_typez00_bglt BgL_arg1922z00_3266;

						BgL_arg1922z00_3266 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_sequencez00_bglt) BgL_nodez00_3143))))->BgL_typez00);
						BgL_test2256z00_4596 =
							(
							((obj_t) BgL_arg1922z00_3266) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_test2256z00_4596)
						{	/* Cfa/specialize.scm 358 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_sequencez00_bglt) BgL_nodez00_3143))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_sequencez00_bglt)
													BgL_nodez00_3143))))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
												(BgL_sequencez00_bglt) BgL_nodez00_3143)),
										((bool_t) 0))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 358 */
							BFALSE;
						}
				}
				BgL_auxz00_4592 = ((BgL_sequencez00_bglt) BgL_nodez00_3143);
				return ((obj_t) BgL_auxz00_4592);
			}
		}

	}



/* &patch!-closure1380 */
	obj_t BGl_z62patchz12zd2closure1380za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3144, obj_t BgL_nodez00_3145)
	{
		{	/* Cfa/specialize.scm 349 */
			{	/* Cfa/specialize.scm 350 */
				obj_t BgL_arg1917z00_3268;

				BgL_arg1917z00_3268 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_3145)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2088z00zzcfa_specializa7eza7,
					BGl_string2110z00zzcfa_specializa7eza7, BgL_arg1917z00_3268);
			}
		}

	}



/* &patch!-var1378 */
	obj_t BGl_z62patchz12zd2var1378za2zzcfa_specializa7eza7(obj_t BgL_envz00_3146,
		obj_t BgL_nodez00_3147)
	{
		{	/* Cfa/specialize.scm 343 */
			return ((obj_t) ((BgL_varz00_bglt) BgL_nodez00_3147));
		}

	}



/* &patch!-kwote1376 */
	obj_t BGl_z62patchz12zd2kwote1376za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3148, obj_t BgL_nodez00_3149)
	{
		{	/* Cfa/specialize.scm 337 */
			return ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_3149));
		}

	}



/* &patch!-atom1374 */
	obj_t BGl_z62patchz12zd2atom1374za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3150, obj_t BgL_nodez00_3151)
	{
		{	/* Cfa/specialize.scm 331 */
			return ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_3151));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2111z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2111z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2111z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2111z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2111z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2111z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2111z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2111z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2111z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2111z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2111z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2111z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string2111z00zzcfa_specializa7eza7));
			return
				BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string2111z00zzcfa_specializa7eza7));
		}

	}

#ifdef __cplusplus
}
#endif
